<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Access Controls</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<style>
.myclass1 
{
    padding: 0.25rem 0 !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
                    <div class="content-wrapper">
                            <div class="row">
                                <div class="col-lg-12 grid-margin">
                                    <div class="card">
                                        <div class="card-body">
                                            <nav aria-label="breadcrumb">
                                                <ol class="breadcrumb breadcrumb-help">
                                                    <li class="breadcrumb-item">Common Setups</li>
                                                    <li class="breadcrumb-item active" aria-current="page">Access Controls</li>
                                                </ol>
                                            </nav>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 mx-auto">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-12 grid-margin">
                                                    <div class="card">
                                                        <div class="card-body">
                                                            <div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
                                                                <h4 class="card-title mb-3">Access Controls</h4>
                                                            </div>
                                                            <div class="row">
                                                                <?php
                                                                    $qry = "select cxs_user.user_plan, cxs_licensed_products.* from cxs_user inner join cxs_licensed_products on cxs_licensed_products.user_id = cxs_user.user_id where cxs_user.user_id='".$_SESSION['login_user_array']['user_id']."'";
                                                                    $result = mysqli_query($conn,$qry);
                                                                    if(mysqli_num_rows($result)>0)
                                                                    {
                                                                        while($row = mysqli_fetch_assoc($result))
                                                                        {
                                                                            $access_controls_attendance_flag = $row['attendance_flag'];
                                                                            $access_controls_expense_flag = $row['expense_flag'];
                                                                            $access_controls_projects_flag = $row['projects_flag'];
                                                                            $access_controls_timekeeping_flag = $row['timekeeping_flag'];
                                                                            $access_controls_invoicing_flag = $row['invoicing_flag'];
                                                                            $access_controls_issue_tracking_flag = $row['issue_tracking_flag'];
                                                                            $access_user_plan = $row['user_plan'];
                                                                        }
                                                                    }
                                                                    $access_controls_attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
                                                                    $access_controls_issue_tracking_flag = getvalue("cxs_licensed_products","issue_tracking_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
                                                                    $access_controls_expense_flag = getvalue("cxs_licensed_products","expense_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
                                                                    $access_controls_projects_flag = getvalue("cxs_licensed_products","projects_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
                                                                    $access_controls_timekeeping_flag = getvalue("cxs_licensed_products","timekeeping_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
                                                                    $access_controls_invoicing_flag = getvalue("cxs_licensed_products","invoicing_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
                                                                ?>
                                                                <div class="table-responsive">
                                                                    <table>
                                                                        <table class="table table-bordered">
                                                                            <thead>
                                                                                <tr class="table-info">
                                                                                    <th width="19%">Page</th>
                                                                                    <th width="26%">Administrator</th>
                                                                                    <th width="26%">Manager</th>
                                                                                    <th width="26%">User</th>                                                                                
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>
                                                                                <?php if($access_controls_attendance_flag=="Y") { ?>
                                                                                <tr class="table-info1" style="background-color:#d9a0a9 !important;">
                                                                                    <td class="pt-3 pb-3" colspan="4"><span class="font-weight-bold">ATTENDANCE TRACKING</span></td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">MANAGE USER DATA GRID</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can see everybody.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can only see his/her team where he/she is the boss.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can only see his her own user account and nothing else.</p></td>
                                                                                </tr>
                                                                                <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">MANAGE USER PAGE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can create any user account.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot create new user account.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot create new user account.</p></td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can create any user account.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Cannot create new user account.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Cannot create new user account.</p></td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can edit any user account.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can only edit his/her team where he/she is the boss.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can only edit his or her user account and nothing else.</p></td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can manage subscriptions.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Cannot edit subscriptions.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Cannot edit subscriptions.</p></td>
                                                                                </tr>
                                                                                
                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can edit IP addresses.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Cannot edit IP addresses.</p></td>
                                                                                   <td class="pt-3 pb-3"><p class="card-text">Cannot edit IP addresses.</p></td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can see any login details.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can see login details of his/her team where he/she is the boss.</p></td>
                                                                                   <td class="pt-3 pb-3"><p class="card-text">Can see his/her login details only.</p></td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">MANAGE EMPLOYEES DATA GRID</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can see everybody.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can only see his /her employee details.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can only see his /her employee details.</p></td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can have add and import data icons.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can only edit his/her employee details.</p></td>
                                                                                   <td class="pt-3 pb-3"><p class="card-text">Can only edit his/her employee details.</p></td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Can edit employees.</p></td>
                                                                                    <td class="pt-3 pb-3"><p class="card-text">Cannot create new employees.</p></td>
                                                                                   <td class="pt-3 pb-3"><p class="card-text">Cannot create new employees.</p></td>
                                                                                </tr>
                                                                                
                                                                                <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot see other employees.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot see other employees.</p></td>
                                                                            </tr>
                                                                            
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">MANAGE EMPLOYEES PAGE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can see everybody.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can only see his /her employee details.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can only see his /her employee details.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can have add and import data icons.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can only edit his/her employee details.</p></td>
                                                                               <td class="pt-3 pb-3"><p class="card-text">Can only edit his/her employee details.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can edit employees.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot create new employees.</p></td>
                                                                               <td class="pt-3 pb-3"><p class="card-text">Cannot create new employees.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Has full edit access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot see other employees.</p></td>
                                                                               <td class="pt-3 pb-3"><p class="card-text">Cannot see other employees.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot change username assignment.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot change username assignment.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot change supervisor assignment.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Cannot change supervisor assignment.</p></td>
                                                                            </tr>
                                                                            
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">HOLIDAYS PAGE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can Add, Modify or Delete Holidays.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View only access to Holiday Calendars.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View only access to Holiday Calendars.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Can create new Holiday Year.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                               <td class="pt-3 pb-3"><p class="card-text">&nbsp;</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">LEAVES</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Visibility.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">FEEDS & Notifications</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Only to him or his team.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Only the logged in user activities.</p></td>
                                                                            </tr>
                                                                            
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">WORKING HOURS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">CLOCK IN - CLOCK OUT</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>	
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">MISSED ATTENDANCE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Only to Direct Reports.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">IP ADDRESS PAGE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View Only Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">EMPLOYEE SCHEDULING PAGE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Manager Full Access to Direct Reports only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View only access for that user only.</p></td>
                                                                            </tr>
                                                                            
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">ATTENDANCE TRACKING</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">This page will be in view only mode only showing his /her own time card.  Approval Workbench will remain unavailable for the USER ROLE.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">REQUEST TIME OFF</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access - Only Logged  In User can enter time off.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access - Only Logged  In User can enter time off.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access - Only Logged  In User can enter time off.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">TIME CARDS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">SUPERVISOR WORKBENCH</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">REPORTS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Self Data only.</p></td>
                                                                            </tr>
                                                                            <?php } ?>
                                                                            <?php if($access_controls_expense_flag=="Y") { ?>
                                                                            <tr class="table-info1"  style="background-color:#d9a0a9 !important;">
                                                                                <td class="pt-3 pb-3" colspan="4"><span class="font-weight-bold">EXPENSE</span></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">FEEDS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Self Data Only.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">EXPENDITURE TYPE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View Only Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">ACCESS MANAGEMENT</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View Only Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            	
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">EXPENSE APPROVAL</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            	
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">ENTER EXPENSE</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>	
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">SPEND ANALYSIS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Self Data Only.</p></td>
                                                                            </tr>
                                                                            		
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">REPORTS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Self Data Only.</p></td>
                                                                            </tr>
                                                                            <?php } ?>
                                                                            <?php if($access_controls_invoicing_flag=="Y") { ?>
                                                                            <tr class="table-info1"  style="background-color:#d9a0a9 !important;">
                                                                                <td class="pt-3 pb-3" colspan="4"><span class="font-weight-bold">INVOICE</span></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="pt-3 pb-3 text-center" colspan="4"><p class="card-text">SELF EMPLOYED ONLY</p></td>
                                                                            </tr>
                                                                            <?php } ?>
                                                                            
                                                                            <?php if($access_controls_issue_tracking_flag=="Y") { ?>
                                                                            <tr class="table-info1"  style="background-color:#d9a0a9 !important;">
                                                                                <td class="pt-3 pb-3" colspan="4"><span class="font-weight-bold">ISSUE TRACKING</span></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">NON PROJECT ISSUE ENTRY</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">PROJECT ISSUE ENTRY</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">If part of the Project Team With Manager.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Only  Issue Assignee can see the issue.</p></td>
                                                                            </tr>
                                                                            <?php } ?>
                                                                            <?php if($access_controls_timekeeping_flag=="Y") { ?>
                                                                            <tr class="table-info1"  style="background-color:#d9a0a9 !important;">
                                                                                <td class="pt-3 pb-3" colspan="4"><span class="font-weight-bold">TIME TRACKING</span></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">FEEDS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access, All users, All teams.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Must have manager role only for his direct reports only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Self Projects Only.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">TASKS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Not Visible.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">TIME ENTRY</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">TIME KEEPING</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">To Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">APPROVAL WORKBENCH</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">To Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            	
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">REPORTS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access, All users, All teams.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">To Direct Reports Only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Self only.</p></td>
                                                                            </tr>
                                                                            <?php } ?>
                                                                            <?php if($access_controls_projects_flag=="Y") { ?>
                                                                            <tr class="table-info1"  style="background-color:#d9a0a9 !important;">
                                                                                <td class="pt-3 pb-3" colspan="4"><span class="font-weight-bold">PROJECTS</span></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">FEEDS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access, All users, All teams.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access, limited to assigned projects only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access, limited to assigned projects only.</p></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">ANNOUNCEMENTS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">View Only.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">MANAGE TEAMS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            	
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">MANAGE PROJECTS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access, limited to assigned projects only.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">No Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">PROJECT WORKBENCH</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>
                                                                            
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">CHANGE MANAGEMENT</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="pt-3 pb-3"><p class="card-text">REPORTS</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                                <td class="pt-3 pb-3"><p class="card-text">Full Access.</p></td>
                                                                            </tr>
                                                                        <?php } ?>
                                                                            
                                                                            </tbody>
                                                                        </table>
                                                                    </table>
                                                                </div>    
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    </div>
		</div>
	</div>
</div>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>
</html>