<?php
    $selectedid = isset($_GET['id'])?$_GET['id']:'';
    $Title = ($selectedid=='')?"New Team":"Edit Team";    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Teams</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
    <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
    <link rel="stylesheet" href="vendors/dropify/dropify.min.css">    
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item"><a href="manage-teams.php">Manage Teams</a></li>  
                                            <li class="breadcrumb-item"><a href="#"><?php echo $Title; ?></a></li>                                              
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h2 class="card-title add_title"><?php echo $Title; ?> </h2>
                                        
                                        <?php                                         
                                        if($selectedid!='') { ?>
                                        <div class="form-group">                                            
                                            <button type="button" class="btn btn-primary btn-sm " title="Previous Record"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                            <button type="button" class="btn btn-primary  btn-sm " title="Next Record"><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                        </div>
                                        <?php } ?>
                                    </div>
                                    <form class="form-sample add_asset add_frm" novalidate="novalidate" method="post"> 
                                        <div class="row">
                                            <div class="col-md-12"><hr></div>                                            
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                              <label>Team Name</label>
                                                              <input type="text" class="form-control requirefieldcls" name="AssetId" id="AssetId" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Full Name.">
                                                        </div>
                                                    </div> 

                                                    <div class="col-md-4">
                                                      <div class="form-group">
                                                            <label>Description</label>
                                                            <textarea class="form-control" cols="3"></textarea>    
                                                      </div>
                                                    </div>

                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Administrator</label> 
                                                            <select class="js-example-basic-single w-100" name="Manufacturer" id="Manufacturer">
                                                                  <option value="Team Administrator"> Team Administrator</option>
                                                                  <option value="Team Administrator1"> Team Administrator1</option>                                                          
                                                            </select> 
                                                        </div>
                                                    </div> 
                                                    <div class="col-md-4">
                                                      <div class="form-group">
                                                            <label>Password</label>
                                                            <input type="password" class="form-control requirefieldcls" name="SerialNumber" id="SerialNumber" data-toggle="popover" data-trigger="focus" data-html="true" title="Password Validations" data-content="<?php echo $password_validation; ?>">
                                                      </div>
                                                    </div>

                                                    <div class="col-md-4">
                                                      <div class="form-group">
                                                            <label>Reenter Password</label>
                                                            <input type="password" class="form-control requirefieldcls" name="SerialNumber" id="SerialNumber" data-toggle="popover" data-trigger="focus" data-html="true" title="Password Validations" data-content="<?php echo $password_validation; ?>">
                                                      </div>
                                                    </div>                                                                
                                                    <div class="col-md-4">
                                                        <div class="form-check">
                                                            <label class="form-check-label" style="line-height: 0.8;">
                                                                <input type="checkbox" class="form-check-input" >
                                                                Enable MFA
                                                              <i class="input-helper" ></i>
                                                            </label>
                                                        </div>

                                                        <div class="form-check">
                                                            <label class="form-check-label" style="line-height: 0.8;">
                                                                <input type="checkbox" class="form-check-input" >
                                                                Force Reset upon first time login
                                                              <i class="input-helper" ></i>
                                                            </label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Role</label> 
                                                            <select class="js-example-basic-single w-100" name="Manufacturer" id="Manufacturer">
                                                                  <option value="Administration"> Administration  </option>
                                                                  <option value="Manager"> Manager</option>
                                                                  <option value="User"> User</option>
                                                            </select> 
                                                        </div>
                                                    </div>                                                                 
                                                </div>
                                            </div>
                                    </div>	
                                        
                                        <div class="row">
                                            <div class="col-md-12 text-right">
                                                <input class="btn btn-primary btn-sm" type="submit" value="Save" name="submit_frm">
                                            </div>
                                        </div>
                                    </form>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>   
         <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
        <!-- container-scroller ends-->
    </div>
        <!-- container-scroller page-body-wrapper ends-->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    <script src="vendors/dropify/dropify.min.js"></script>   
    <script src="js/dropify.js"></script>
    <script src="js/custom.js"></script>
  <!-- endinject -->  
    <script>
       
        $(document).ready(function()
        {
            /*$('#table1').dataTable({
              "searching": false,
              "paging": true,
              "ordering": false
            });*/
        
          
          
        });   
        
       
        $("#cmdAddIpAddr").click(function()
        {
            form_element_correct($("#Ipaddr1"));
            form_element_correct($("#Ipaddr2"));
            form_element_correct($("#Ipaddr3"));
            form_element_correct($("#Ipaddr4"));
            
            if($("#Ipaddr1").val()== "" )
            {
                //form_element_empty_err($("#Ipaddr1"));
                $("#Ipaddr1").addClass('error_ele');
                $("#Ipaddr1").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr1").focus();
                return false;
            }
            
            if($("#Ipaddr2").val()== "" )
            {
                //form_element_empty_err($("#Ipaddr2"));
                $("#Ipaddr2").addClass('error_ele');
                $("#Ipaddr2").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr2").focus();
                return false;
            }
            
            if($("#Ipaddr3").val()== "" )
            {
                //form_element_empty_err($("#Ipaddr3"));
                $("#Ipaddr3").addClass('error_ele');
                $("#Ipaddr3").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr3").focus();
                return false;
            }
            
            if($("#Ipaddr4").val()== "" )
            {
                //form_element_empty_err($("#Ipaddr4"));
                $("#Ipaddr4").addClass('error_ele');
                $("#Ipaddr4").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr4").focus();
                return false;
            }
            
            
           /* && $("#Ipaddr2").val()== "" && $("#Ipaddr3").val()== "" && $("#Ipaddr4").val()== ""*/
    
            var ipaddr = $("#Ipaddr1").val()+"."+$("#Ipaddr2").val()+"."+$("#Ipaddr3").val()+"."+$("#Ipaddr4").val();
            var rowCount = $('#table1 tr').length;
            var row = "<tr><td>"+rowCount+"</td><td>"+ipaddr+"</td></tr>";
            $("#table1 tbody").append(row);
            clear_ipaddr_fields();
            $("#Ipaddr1").focus();
        });
        
        
        function clear_ipaddr_fields()
        {
            $("#Ipaddr1").val('');
            $("#Ipaddr2").val('');
            $("#Ipaddr3").val('');
            $("#Ipaddr4").val('');
        }
        
        (function($) {
            'use strict';
            $(function() {
              $('.file-upload-browse').on('click', function() {
                var file = $(this).parent().parent().parent().find('.file-upload-default');
                file.trigger('click');
              });
              $('.file-upload-default').on('change', function() {
                $(this).parent().find('.form-control').val($(this).val().replace(/C:\\fakepath\\/i, ''));
              });
            });
        })(jQuery);


    </script>
</body>

</html>
