<?php
require_once "conn.php";
require_once "functions.php";
check_login();
$selectedid = isset($_GET['id'])?$_GET['id']:'';
$Title = ($selectedid=='')?"New User":"Edit User";
$password_validation = "Minimum 8 Characters. <br>At least 1 uppercase letter.<br>At least 1 lowercase letter.<br>At least 1 numeric value.<br>At least 1 special character.";
$fetch_data = array();

if($_SESSION['login_user_array']['user_plan']=='SELFEMPLOYED' && $selectedid=="")
{
		header("Location: manage-users.php");
		exit();
}

if (CheckCommonSetupEntries()==0)
{
		header("location:admin.php");
}

$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
$date = new DateTime("now", new DateTimeZone($currTz) );
$curDate = $date->format('m/d/Y');
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Users</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="vendors/dropify/dropify.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css?t=101">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<link rel="stylesheet" href="css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="vendors/js/vendor.bundle.base.js"></script>
<style>
.center-div {
	margin: 0 auto;
	max-width: 700px;
	height: 100px;
	background-color: #ccc;
	border-radius: 3px;
}
 @media (min-width: 1610px) {
 .myclass {
 padding-left: 40px;
}
 @media (min-width: 1910px) {
 .myclass {
 padding-left: 55px;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item"><a href="manage-users.php">Manage Users</a></li>
										<li class="breadcrumb-item active" aria-current="page"><?php echo $Title; ?></li>
									</ol>
								</nav>
								<div class="d-flex flex-wrap justify-content-between">
									<h2 class="card-title add_title"><?php echo $Title; ?> </h2>
								</div>
								<?php
								   // echo  " user ".$_SESSION['login_user_array']['user_email'];
								?>
								<form class="form-sample add_asset add_frm" novalidate="novalidate" method="post"  id="form1" enctype="multipart/form-data" autocomplete="off">
									<div id="result_user_data">
										<div class="row mb-3">
											<div class="col-md-12" >
												<div class="d-sm-flex flex-row flex-wrap text-center text-sm-left align-items-center">
													<div class=""  id="FieldName" name="FieldName">
														<label>Upload Photo</label>
														<input type="file" name="file_upload_photo" id="file_upload_photo" class="dropify" data-allowed-file-extensions='["jpg", "png"]'  >
														<!-- file-upload-default -->
													</div>
													<div class="ml-sm-3 ml-md-0 ml-xl-3 mt-2 mt-sm-0 mt-md-2 mt-xl-0">
														<h4 class="card-title" id='lbl_user_name'></h4>
													</div>
												</div>
											</div>
										</div>
										<div class="row">
											<div class="col-md-3">
												<div class="form-group">
													<label>Name </label>
													<button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Enter Your Name' > <i class=' fa fa-question-circle'></i> </button>
													<input type="text" class="form-control requirefieldcls" name="text_fullname" id="text_fullname" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Your Full name will be used at various places through out the application."  autofocus autocorrect="off">
												</div>
											</div>
											<div class="col-md-4">
												<div class="form-group">
													<label>Email Address (This is your login user name)</label>
													<button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Enter your valid email addresses here.?? This email address is your user name you will need at the time of login into Coexsys Application.?
                                                            In addition, this email will also be used by Coexsys support to communicate With you on technical support related tasks.? See terms of use for more details.' > <i class=' fa fa-question-circle'></i> </button>
													<input type="text" class="form-control requirefieldcls" name="text_email" id="text_email" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter User Name." autocomplete="off">
												</div>
											</div>
											<div class="col-md-3 ">
												<div class ="row">
													<div class="col-md-12" >
														<div class="text-center" >
															<label>Access Level</label>
															<button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Assign an appropriate user role to this user.?? Depending on the role assigned, user will have privileges to access various functionality and features of Coexsys applications the user has been subscribed to.
                                                                    Click here for the detail list of privileges and access available under each role.' > <i class=' fa fa-question-circle'></i> </button>
														</div>
														<div class="text-center pb-2 pt-2" style="border:1px solid #fbdbe0; ">
															<div class="d-md-flex  ml-2 myclass">
																<div class="mr-5">
																	<div class="text-left">Administrator</div>
																	<div class="form-check pb-21 pr-3">
																		<label class="form-check-label">
																		<input type="radio" class="form-check-input" name="combo_role" id="radio_administrator" value="Admin" checked>
																		<i class="input-helper"></i></label>
																	</div>
																</div>
																<div class="mr-5">
																	<div class="text-left">Manager</div>
																	<div class="form-check pb-21 pr-3">
																		<label class="form-check-label">
																		<input type="radio" class="form-check-input" name="combo_role" id="radio_manager" value="Manager"  >
																		<i class="input-helper"></i></label>
																	</div>
																</div>
																<div class="mr-5">
																	<div class="text-left">User</div>
																	<div class="form-check pb-21 pr-3">
																		<label class="form-check-label">
																		<input type="radio" class="form-check-input" name="combo_role" id="radio_user" value="User"  >
																		<i class="input-helper"></i></label>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
											<!--                                                <div class="col-md-3 ">
                                                    <div class ="row">
                                                        <div class="col-md-12" style="border:1px solid #808080; ">
                                                            <div class="text-center" >
                                                                    <label>Access Level</label> 
                                                                    <button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Assign an appropriate user role to this user.?? Depending on the role assigned, user will have privileges to access various functionality and features of Coexsys applications the user has been subscribed to.
                                                                    Click here for the detail list of privileges and access available under each role.' > <i class=' fa fa-question-circle'></i> </button>                                                                
                                                            </div>
                                                            
                                                            <div class="text-center" >
                                                            <div class="d-md-flex mb-1 ml-2 myclass">
                                                                
                                                                    <div class="mr-5">
                                                                        <div class="text-left">Administrator</div>
                                                                        <div class="form-check pb-2 pr-3">
                                                                            <label class="form-check-label">
                                                                            <input type="radio" class="form-check-input" name="combo_role" id="radio_administrator" value="Admin" checked> 
                                                                          <i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="mr-5">
                                                                        <div class="text-left">Manager</div>
                                                                        <div class="form-check pb-2 pr-3"> 
                                                                            <label class="form-check-label">
                                                                            <input type="radio" class="form-check-input" name="combo_role" id="radio_manager" value="Manager"  >
                                                                          <i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="mr-5">
                                                                        <div class="text-left">User</div>
                                                                        <div class="form-check pb-2 pr-3">                                                                
                                                                            <label class="form-check-label">
                                                                              <input type="radio" class="form-check-input" name="combo_role" id="radio_user" value="User"  >
                                                                            <i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>
                                                                
                                                                    


                                                            </div>
                                                            </div>    
                                                        </div>
                                                        
                                                    </div>
                                                </div>-->
											<!--                                                <div class="col-md-3 ">
                                                    <div class ="text-center">
                                                        <div class="form-group mb-0 text-center p-2" style="border:1px solid #808080; ">
                                                            <div class="" >
                                                                    <label>Access Level</label> 
                                                                    <button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Assign an appropriate user role to this user.?? Depending on the role assigned, user will have privileges to access various functionality and features of Coexsys applications the user has been subscribed to.
                                                                    Click here for the detail list of privileges and access available under each role.' > <i class=' fa fa-question-circle'></i> </button>                                                                
                                                            </div>
                                                            
                                                            <div class="d-md-flex mb-1">

                                                                    <div class="mr-5">
                                                                        <div class="text-left">Administrator</div>
                                                                        <div class="form-check pb-2 pr-3">
                                                                            <label class="form-check-label">
                                                                            <input type="radio" class="form-check-input" name="combo_role" id="radio_administrator" value="Admin" checked> 
                                                                          <i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="mr-5">
                                                                        <div class="text-left">Manager</div>
                                                                        <div class="form-check pb-2 pr-3"> 
                                                                            <label class="form-check-label">
                                                                            <input type="radio" class="form-check-input" name="combo_role" id="radio_manager" value="Manager"  >
                                                                          <i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="mr-5">
                                                                        <div class="text-left">User</div>
                                                                        <div class="form-check pb-2 pr-3">                                                                
                                                                            <label class="form-check-label">
                                                                              <input type="radio" class="form-check-input" name="combo_role" id="radio_user" value="User"  >
                                                                            <i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>


                                                            </div>
                                                            
                                                        </div>
                                                    </div>
                                                    
                                                    
                                                       
                                                        
                                                </div>-->
											<div class="col-md-2" style="/*max-width: 11.66667%;*/">
												<div class="form-group text-center1">
													<label>Account Status</label>
													<button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Account Status indicates your status of your user profile.? Only Active user account is authorized to login into Coexsys applications.? If a user account is set to Inactive,? the application will unsubscribe the user
                                                               From all active subscriptions and releases all used licenses by this user and adds these licenses back to license available inventory of your organization.' > <i class=' fa fa-question-circle'></i> </button>
													<label class="toggle" style="display:block; margin-left: 40px;">
													<input type="checkbox" id="check_account_status" name="check_account_status" value="1" checked >
													<span class="sld round"></span> </label>
												</div>
											</div>
											<!--                                                <div class="col-md-2" style="/*max-width: 11.66667%;*/">
                                                    <div class="form-group text-center">
                                                        <label>Account Status</label> <button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Account Status indicates your status of your user profile.? Only Active user account is authorized to login into Coexsys applications.? If a user account is set to Inactive,? the application will unsubscribe the user
                                                               From all active subscriptions and releases all used licenses by this user and adds these licenses back to license available inventory of your organization.' > <i class=' fa fa-question-circle'></i> </button>
                                                        <label class="toggle" style="display:block; margin-left: 80px;">
								<input type="checkbox" id="check_account_status" name="check_account_status" value="1" checked >
								<span class="sld round"></span>
							</label>
                                                        
                                                    </div>
                                                </div>-->
											<div class="col-md-3">
												<div class="form-group">
													<label>User Time Zone</label>
													<button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='Time zone is used to indicate the time zone based on which user has set his/her work shift. Coexsys applications tracks application updates and timestamps based on the timestamp assigned to the user in the timezone field.' > <i class=' fa fa-question-circle'></i> </button>
													<?php
                                                            $tzlist = DateTimeZone::listIdentifiers(DateTimeZone::ALL);
                                                            /*IntlTimeZone::createTimeZone($value)->getDisplayName();*/
                                                         ?>
													<select class="js-example-basic-single w-100 requirefieldcls" name="combo_user_timezone" id="combo_user_timezone">
														<option value = "" selected>-Select TimeZone-</option>
														<?php
                                                        foreach($tzlist as $key => $value)
                                                        {
                                                    ?>
														<option value="<?php echo $value;?>"> <?php echo  $value. " (".convertStringToOffset($value).")"; ?> </option>
														<?php  }
                                                    ?>
													</select>
													<span class="not-valid-tip" id="combo_user_timezone_msg"></span> </div>
											</div>
											<div class="col-md-3 mt-4">
												<button class="btn btn-primary btn-sm mt-2" id ="cmdOTP" type="button" >Send OTP / Reset Password</button>
												<button type='button' class='btn btn-default m-0 p-0 pl-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='The OTP, or One Time Password, 
                                                            is used to reset the password for existing users in an event if the user has forgotten his permanent password or needs to reset the password otherwise. When this button is clicked, the system
                                                            Will email a one-time password to the username email address with a link to reset the one time password to a permanent password.' > <i class=' fa fa-question-circle'></i> </button>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12 text-center">
											<label id="msg_save" class="badge badge-info">Record has been updated.</label>
										</div>
										<div class="col-md-12 text-right">
											<input type='hidden' id="h_selectedid" name ="h_selectedid" value="<?php echo $selectedid ; ?>">
											<input class="btn btn-primary btn-sm save_exit" type="button" value="Save & Exit" id="btnSave1" name="btnSave1">
											<input class="btn btn-primary btn-sm save_new" type="button" value="Save & Add New" id="btnSave" name="btnSave">
											<?php 
                                                            $allow_new="N";
                                                            if($_SESSION['login_user_array']['user_plan']=='ENTERPRISE' && $_SESSION['login_user_array']['user_role']=='Admin')
                                                            {
                                                                    $allow_new ="Y";
                                                            } 
                                                            ?>
											<input type='hidden' id="h_allow_new" name ="h_allow_new" value="<?php echo $allow_new ; ?>">
										</div>
									</div>
								</form>
								<div class="card-body1 pt-3">
									<ul class="nav nav-pills nav-pills-custom" id="manage_user_tabs" role="tablist">
										<li class="nav-item"> <a class="nav-link show active" id="manage_user_tab1" data-toggle="pill" href="#manage_user_tab1_content" role="tab" aria-controls="pills-home" aria-selected='true'> Enable Subscriptions</a> </li>
										<li class="nav-item"> <a class="nav-link " id="manage_user_tab2" data-toggle="pill" href="#manage_user_tab2_content" role="tab" aria-controls="pills-profile" aria-selected='false'> Previous Login History </a> </li>
										<li class="nav-item"> <a class="nav-link " id="manage_user_tab3" data-toggle="pill" href="#manage_user_tab3_content" role="tab" aria-controls="pills-profile" aria-selected='false'> Employee </a> </li>
									</ul>
									<div class="tab-content pt-3" id="manage_user_tabs_content">
										<div class="tab-pane fade show active" id="manage_user_tab1_content" role="tabpanel" aria-labelledby="manage_user_tab1">
											<div class="row" id="result_manage_subscription">
												<div class="col-md-12">
													<?php
													$qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);
													if(mysqli_num_rows($result) > 0 )
													{
															$flag_subcribe=0;
															$row = mysqli_fetch_assoc($result);
													?>
													<div class="text-center">
														<div class="row">
															<?php if($row['attendance_flag']=="Y") {  $flag_subcribe++; ?>
															<div class="col-md-3"> <a class="nav-link" href="javascript:void(0);"> <img src="images/shortcut-nav-icon/attendance.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Attendance</h4>
																</a>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Status: Licensed</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
															</div>
															<?php } ?>
															<?php if($row['timekeeping_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-3"> <a class="nav-link" href="javascript:void(0);"> <img src="images/shortcut-nav-icon/time-tracking.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Time Tracking</h4>
																</a>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Status: Licensed</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
															</div>
															<?php } ?>
															<?php if($row['projects_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-3"> <a class="nav-link" href="javascript:void(0);"> <img src="images/shortcut-nav-icon/project.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Project Management</h4>
																</a>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Status: Licensed</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
															</div>
															<?php } ?>
															<?php if($row['issue_tracking_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-3"> <a class="nav-link" href="javascript:void(0);"> <img src="images/shortcut-nav-icon/issue.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Issue Tracking</h4>
																</a>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Status: Licensed</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
															</div>
															<?php } ?>
															<?php if($row['expense_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-3"> <a class="nav-link" href="javascript:void(0);"> <img src="images/shortcut-nav-icon/expenses.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Expense Tracking</h4>
																</a>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Status: Licensed</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
															</div>
															<?php } ?>
														</div>
													</div>
													<?php  
                                                            }
                                                            ?>
												</div>
											</div>
										</div>
										<div class="tab-pane fade " id="manage_user_tab2_content" role="tabpanel" aria-labelledby="manage_user_tab2">
											<div class="row row d-flex justify-content-center">
												<div class="col-md-9">
													<div class="table-responsive">
														<table id="table_login_history" class="table table-bordered">
															<thead>
																<tr class="table-info">
																	<th class="text-center" >Sr. No.</th>
																	<th class="text-center" >Time Logged In</th>
																	<th class="text-center" >Time Logged Out</th>
																	<th class="text-center" >IP Address Used</th>
																	<th class="text-center">Time Zone</th>
																</tr>
															</thead>
															<tfoot>
																<tr>
																	<th class=""></th>
																	<th class="searc">Time Logged In</th>
																	<th class="searc">Time Logged Out</th>
																	<th class="searc">IP Address Used</th>
																	<th class="searc">Time Zone</th>
																</tr>
															</tfoot>
															<tbody>
															</tbody>
														</table>
													</div>
												</div>
											</div>
										</div>
										<div class="tab-pane fade" id="manage_user_tab3_content" role="tabpanel" aria-labelledby="manage_user_tab3">
											<div class="row" id="result_manage_employee">
												<form class="form-sample add_asset add_frm" id="form_employee" novalidate="novalidate" method="post">
													<div class="row pl-2 pr-2">
														<div class="col-md-12">
															<div class="row">
																<div class="col-md-3">
																	<div class="form-group">
																		<label>First Name</label>
																		<input type="text" class="form-control requirefieldcls" name="text_first_name" id="text_first_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter First Name.">
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="form-group">
																		<label>Last Name</label>
																		<input type="text" class="form-control requirefieldcls" name="text_last_name" id="text_last_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Last Name.">
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="form-group">
																		<label>Supervisor</label>
																		<select class="js-example-basic-single w-100 requirefieldcls" style="width:100%;" name="combo_supervisor" id="combo_supervisor">
																			<option value="">- Select Supervisor -</option>
																			<?php
                                                                                    $qry = "select  cxs_user.full_name,employee_id from cxs_employee inner join cxs_user on cxs_user.user_id = cxs_employee.user_id where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."'  order by cxs_user.full_name";
                                                                                    $result = mysqli_query($conn,$qry);
                                                                                    if(mysqli_num_rows($result)>0)      
                                                                                    {
                                                                                        while($row = mysqli_fetch_assoc($result))
                                                                                        {?>
																			<option value="<?php echo $row['employee_id']; ?>"> <?php echo $row['full_name'];  ?></option>
																			<?php   }
                                                                                    }
                                                                                ?>
																		</select>
																		<div id="supervisor_msg"></div>
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="form-group">
																		<label>Start Date</label>
																		<div id="text_fromdate" class="input-group date datepicker form_date ">
																			<input type="text" class="form-control requirefieldcls" id="text_startdate" name="text_startdate" autocomplete="off" value="<?php echo $curDate; ?>">
																			<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text"></span> </span> </div>
																		<div  class="mt-2"><span class="mt-2" id="span_text_startdate"></span></div>
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="form-group">
																		<label>End Date</label>
																		<div id="text_fromdate" class="input-group date datepicker form_date ">
																			<input type="text" class="form-control" id="text_enddate" name="text_enddate" autocomplete="off">
																			<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text"></span> </span> </div>
																		<div  class="mt-2"><span class="mt-2" id="span_text_enddate"></span></div>
																	</div>
																</div>
																<div class="col-md-6"> </div>
																<div class="col-md-3">
																	<div class="form-inline pt-4" style="float:right;">
																		<div class="form-check pb-2 pr-3">
																			<label class="form-check-label">
																			<input type="radio" class="form-check-input" name="check_exempt" id="radio_exempt" value="Y" checked>
																			Exempt <i class="input-helper"></i></label>
																		</div>
																		<div class="form-check pb-2 pr-3">
																			<label class="form-check-label">
																			<input type="radio" class="form-check-input" name="check_exempt" id="radio_non_exempt" value="N"  >
																			Non Exempt <i class="input-helper"></i></label>
																		</div>
																	</div>
																</div>
																<div class="col-md-12 ">
																	<!--                                                        <div class="form-check " style="float:right;">
                                                                            <label class="form-check-label" >
                                                                                <input type="checkbox" class="form-check-input" id="check_exempt" name="check_exempt" value="1">
                                                                                Exempt
                                                                              <i class="input-helper" ></i>
                                                                            </label>                                                            
                                                                        </div>-->
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Address1</label>
																		<input type="text" class="form-control" autocomplete="off" name="text_address1" id="text_address1" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Address1.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Phone1</label>
																		<input type="text" class="form-control " name="text_phone1" id="text_phone1" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Phone1.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Address2</label>
																		<input type="text" class="form-control " name="text_address2" id="text_address2" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Address2.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Phone2</label>
																		<input type="text" class="form-control " name="text_phone2" id="text_phone2" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Phone2.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Address3</label>
																		<input type="text" class="form-control " name="text_address3" id="text_address3" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Address3.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Email</label>
																		<input type="text" class="form-control " name="text_email_emp" id="text_email_emp" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Email.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>City</label>
																		<input type="text" class="form-control " name="text_city" id="text_city" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter City.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Linkdin</label>
																		<input type="text" class="form-control " name="text_linkdin" id="text_linkdin" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Linkdin.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>State &nbsp;&nbsp;</label>
																		<select class="js-example-basic-single w-100 mr-2" style="width:100%;" name="combo_state" id="combo_state" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Select State.">
																			<option value=""> - State - </option>
																			<option value="Alabama - AL"> Alabama - AL</option>
																			<option value="Alaska - AK">Alaska - AK</option>
																			<option value="Arizona - AZ">Arizona - AZ</option>
																			<option value="Arkansas - AR">Arkansas - AR</option>
																			<option value="California - CA">California - CA</option>
																			<option value="Colorado - CO">Colorado - CO</option>
																			<option value="Connecticut - CT">Connecticut - CT</option>
																			<option value="Delaware - DE">Delaware - DE</option>
																			<option value="Florida - FL">Florida - FL</option>
																			<option value="Georgia - GA">Georgia - GA</option>
																			<option value="Hawaii - HI">Hawaii - HI</option>
																			<option value="Idaho - ID">Idaho - ID</option>
																			<option value="Illinois - IL">Illinois - IL</option>
																			<option value="Indiana - IN">Indiana - IN</option>
																			<option value="Iowa - IA">Iowa - IA</option>
																			<option value="Kansas - KS">Kansas - KS</option>
																			<option value="Kentucky - KY">Kentucky - KY</option>
																			<option value="Louisiana - LA">Louisiana - LA</option>
																			<option value="Maine - ME">Maine - ME</option>
																			<option value="Maryland - MD">Maryland - MD</option>
																			<option value="Massachusetts - MA">Massachusetts - MA</option>
																			<option value="Michigan - MI">Michigan - MI</option>
																			<option value="Minnesota - MN">Minnesota - MN</option>
																			<option value="Mississippi - MS">Mississippi - MS</option>
																			<option value="Missouri - MO">Missouri - MO</option>
																			<option value="Montana - MT">Montana - MT</option>
																			<option value="Nebraska - NE">Nebraska - NE</option>
																			<option value="Nevada - NV">Nevada - NV</option>
																			<option value="New Hampshire - NH">New Hampshire - NH</option>
																			<option value="New Jersey - NJ">New Jersey - NJ</option>
																			<option value="New Mexico - NM">New Mexico - NM</option>
																			<option value="New York - NY">New York - NY</option>
																			<option value="North Carolina - NC">North Carolina - NC</option>
																			<option value="North Dakota - ND">North Dakota - ND</option>
																			<option value="Ohio - OH">Ohio - OH</option>
																			<option value="Oklahoma - OK">Oklahoma - OK</option>
																			<option value="Oregon - OR">Oregon - OR</option>
																			<option value="Pennsylvania - PA">Pennsylvania - PA</option>
																			<option value="Rhode Island - RI">Rhode Island - RI</option>
																			<option value="South Carolina - SC">South Carolina - SC</option>
																			<option value="South Dakota - SD">South Dakota - SD</option>
																			<option value="Tennessee - TN">Tennessee - TN</option>
																			<option value="Texas - TX">Texas - TX</option>
																			<option value="Utah - UT">Utah - UT</option>
																			<option value="Vermont - VT">Vermont - VT</option>
																			<option value="Virginia - VA">Virginia - VA</option>
																			<option value="Washington - WA">Washington - WA</option>
																			<option value="West Virginia - WV">West Virginia - WV</option>
																			<option value="Wisconsin - WI">Wisconsin - WI</option>
																			<option value="Wyoming - WY">Wyoming - WY</option>
																			<option value="American Samoa - AS">American Samoa - AS</option>
																			<option value="District of Columbia - DC">District of Columbia - DC</option>
																			<option value="Federated States of Micronesia - FM">Federated States of Micronesia - FM</option>
																			<option value="Guam - GU">Guam - GU</option>
																			<option value="Marshall Islands - MH">Marshall Islands - MH</option>
																			<option value="Northern Mariana Islands - MP">Northern Mariana Islands - MP</option>
																			<option value="Palau - PW">Palau - PW</option>
																			<option value="Puerto Rico - PR">Puerto Rico - PR</option>
																			<option value="Virgin Islands - VI">Virgin Islands - VI</option>
																		</select>
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Twitter</label>
																		<input type="text" class="form-control " name="text_twitter" id="text_twitter" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Twitter.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Zip</label>
																		<input type="text" class="form-control " name="text_zip" id="text_zip" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Zip.">
																	</div>
																</div>
																<div class="col-md-6">
																	<div class="form-group">
																		<label>Country</label>
																		<input type="text" class="form-control " name="text_country" id="text_country" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Country.">
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="row pl-2 pr-2">
														<div class="col-md-12 text-center">
															<label id="msg_save_emp" class="badge badge-info"></label>
														</div>
														<div class="col-md-12 text-right">
															<input type="hidden" id="h_selectedid_emp" name="h_selectedid_emp" value="<?php //echo $selectedid ; ?>">
															<input class="btn btn-primary btn-sm" type="button" value="Save Employee Data" name="btnSave_Emp" id="btnSave_Emp">
														</div>
													</div>
												</form>
											</div>
										</div>
									</div>
								</div>
								<?php        
                                    if(isset($_GET["nid"]) && $_GET["nid"]>0)
                                    {
                                            $nid = intval($_GET["nid"]);
                                            readNotification($nid);
                                    }    
                                    ?>
							</div>
						</div>
					</div>
				</div>
				<div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
					<div class="modal-dialog swal-modal" role="document">
						<div class="modal-content">
							<div class="modal-body pt-0">
								<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
								<div class="swal-title" style="">Are you sure?</div>
								<div class="swal-text" style="">You won't be delete this record?</div>
								<input type="hidden" id="h_deleteid" value="">
								<input type="hidden" id="h_current_row" value="">
							</div>
							<!--<div class="modal-footer">              
                  <button type="button" class="btn btn-primary btn-icon"  id="cmd_modal2_save" title="Save Record"><i class="fa fa-save"></i></button> <!-- data-dismiss="modal" --
                </div>
                -->
							<div class="swal-footer">
								<div class="swal-button-container">
									<button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalCancel">Cancel</button>
								</div>
								<div class="swal-button-container">
									<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalDelete">OK</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal fade" id="modalAttention" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
					<div class="modal-dialog swal-modal" role="document" style="max-width: 40%">
						<div class="modal-content">
							<div class="modal-body pt-0">
								<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
								<div class="swal-title" id = "div_1" style=""></div>
								<div class="swal-text" id = "div_2" style=""></div>
							</div>
							<div class="swal-footer">
								<div class="swal-button-container">
									<button class="swal-button swal-button--cancel btn btn-primary" id="cmdModalYes">Yes</button>
								</div>
								<div class="swal-button-container">
									<button class="swal-button swal-button--confirm btn btn-danger" id="cmdModalNo">No</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div>
<!-- container-scroller ends-->
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="vendors/dropify/dropify.min.js"></script>
<!--<script src="js/dropify.js"></script>-->
<!--<script src="js/custom.js"></script>-->
<script src="js/manage-users.js?t=<?php echo time(); ?>"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom.js?t=<?php echo time(); ?>"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<!-- endinject -->
<script>  
    $('.form_date').datepicker(
    {
        format:'mm/dd/yyyy',
        defaultDate: '',
        autoclose : true,
        todayHighlight: true
    });
     $("#combo_supervisor").click(function()
    {
        form_element_correct($("#supervisor_msg")); 
    });   
$(document).ready(function()
{
    
	$("#msg_save").hide();
	$("#msg_manage_subsriptions").hide();
	if($("#h_selectedid").val()!='')
	{
            $("#cmdOTP").attr("disabled",false);
            
            $(".dropify-filename").hide();
            $("#text_email").prop("readonly", true);
            
            setTimeout(function()
            {
                get_manage_users_data($("#h_selectedid").val());
                
            },1000);
            
            $("#btnSave_Emp").attr("disabled",false);
	}
        else
        {
            $("#btnSave_Emp").attr("disabled",true);
            $("#text_email").prop("readonly", false);
            var image_path = "images/default_user.png";            
            var imagenUrl = image_path;
            var drEvent = $('#file_upload_photo').dropify(
            {
              defaultFile: imagenUrl
            });
            drEvent = drEvent.data('dropify');
            drEvent.resetPreview();
            drEvent.clearElement();
            drEvent.settings.defaultFile = imagenUrl;
            drEvent.destroy();
            drEvent.init();
            $("#cmdOTP").attr("disabled",true);
            $(".dropify-filename").hide();
            
            dataTableDefaultOrderOff("table_login_history");
            $("#table_login_history_filter").hide();
        }
});   
    
(function($) 
{
	'use strict';
	var drEvent =  $('#file_upload_photo').dropify();        
})(jQuery);
    
    
$(".ipaddress").keypress(function(event) 
{
	 if(event.keyCode == 13) 
	 {
		 var current_id  = $(this).attr("id");
		 if(current_id=="Ipaddr1")
		 {
			 $("#Ipaddr2").focus();
		 }
		 else if(current_id=="Ipaddr2")
		 {
			 $("#Ipaddr3").focus();
		 }
		 else if(current_id=="Ipaddr3")
		 {
			 $("#Ipaddr4").focus();
		 }
		 else if(current_id=="Ipaddr4")
		 {
		   $("#Text_DeviceNickname").focus();
		 }
		 else if(current_id=="Text_DeviceNickname")
		 {
		   $("#cmdAddIpAddr").focus();
		 }
	 }
});

$("#check_account_status").click(function() 
{
	var ischecked= $(this).is(':checked');
	if(ischecked)
	{
            $("#span_account_status").text("Active");
            $("#h_account_status").val("Active");		
	}
	else
	{
            $("#span_try_buy").text("Inactive");
            $("#h_is_try_buy").val("Inactive");		
	}
}); 

$("#cmdOTP").click(function()
{
    var selected_id  = $("#h_selectedid").val();
    $.ajax({
                    url: "ajax1_manage_user.php",
                    method: "POST",
                    data: {REQUEST: 'send_otp',selected_id:selected_id},
                    beforeSend: function() {                           
                            $(".rploader").fadeIn(800);
                    },
                    success: function (response){  
                            setTimeout(function()
                            {
                                $(".rploader").hide();
                                if(response.succ=1)    
                                {
                                    alert("OTP send successfully.")
                                }
                            },1000);
                    }
            });
});


function get_manage_users_data(selected_id)
{
    $.ajax({
            url: "ajax1_manage_user.php",
            method: "POST",
            data: {REQUEST: 'get_user_data', selected_id:selected_id},
            success: function (response)
            {  
                console.log(response);
                if(response.succ==1)
                {
                    $("#h_selectedid").val(response.fetch_data['user_id']);
                    $("#text_fullname").val(response.fetch_data['full_name']);
                    $("#lbl_user_name").text(response.fetch_data['full_name']);
                    $("#text_email").val(response.fetch_data['user_email']);
                    /*$("#text_password").val(response.fetch_data['upassword']);
                    $("#text_repassword").val(response.fetch_data['upassword']);
                    $("#combo_status").val(response.fetch_data['user_status']);
                    $('#combo_status').select2();*/
                    if(response.fetch_data['user_status']=="Active")
                    {
                        $("#check_account_status").prop("checked",true);
                    }
                    else if(response.fetch_data['user_status']=="Inactive")
                    {
                        $("#check_account_status").prop("checked",false);
                    }
                    //$("#combo_role").val(response.fetch_data['user_role']);
                    if(response.fetch_data['user_role']=="Admin")
                    {
                        $("#radio_administrator").attr('checked',true);
                    }
                    else if(response.fetch_data['user_role']=="Manager")
                    {
                        $("#radio_manager").attr('checked',true);
                    }
                    else if(response.fetch_data['user_role']=="User")
                    {
                        $("#radio_user").attr('checked',true);
                    }
                    $("#combo_attendance_type").val(response.fetch_data['attendance_type']);
                    $('#combo_attendance_type').select2();
                    $("#check_mfa").prop("checked",response.fetch_data['mfa_flag']=="Y"?true:false);
                    $("#check_force_reset").prop("checked",response.fetch_data['force_reset_flag']=="Y"?true:false);
                    $("#check_message_center").prop("checked",response.fetch_data['message_center_flag']=="Y"?true:false);
                    $("#check_announcements").prop("checked",response.fetch_data['announcement_flag']=="Y"?true:false);

                    $("#check_attendance").prop("checked",response.fetch_data['attendance_flag']=="Y"?true:false);
                    $("#check_Issue_Tracking").prop("checked",response.fetch_data['issue_tracking_flag']=="Y"?true:false);
                    $("#check_project").prop("checked",response.fetch_data['projects_flag']=="Y"?true:false);
                    $("#check_expense").prop("checked",response.fetch_data['expense_flag']=="Y"?true:false);
                    $("#check_Time_Tracking").prop("checked",response.fetch_data['timekeeping_flag']=="Y"?true:false);
                    $("#check_invoicing").prop("checked",response.fetch_data['invoicing_flag']=="Y"?true:false);
                    if(response.fetch_data['user_timezone']== null)
                    {
                        $("#combo_user_timezone").val('');
                    }
                    else
                    {
                        $("#combo_user_timezone").val(response.fetch_data['user_timezone']);
                    }
                    
                    $('#combo_user_timezone').select2();
                    
                    $("#h_is_try_buy").val(response.fetch_data['is_try_buy']);
                    if(response.fetch_data['is_try_buy']=="Buy")
                    {
                        $("#span_try_buy").text("Buy");
                        $("#tile_try").text("");
                        $("#check_try_buy_flag").prop("checked",true);
                    }
                    else if(response.fetch_data['is_try_buy']=="Try")
                    {
                        $("#span_try_buy").text("Try");
                        $("#tile_try").text("14 Days trial has been activated.");
                        $("#check_try_buy_flag").prop("checked",false);
                    }
                    
                    $("#text_email").attr("disabled", false);
                    //if(response.fetch_data['user_role']!='Admin')
                    if(response.Login_User_Role!='Admin')
                    {
                        $("#check_mfa").attr("disabled", true);
                        $("#check_force_reset").attr("disabled", true);
                        $("#check_message_center").attr("disabled", true);
                        $("#check_announcements").attr("disabled", true);
                        //$("#combo_role").attr("disabled", true);
                        $('input[name=combo_role]').attr("disabled",true);
                        $("#result_manage_subscription :input").attr("disabled", true);
                        $("#result_restrict_ip :input").attr("disabled", true);
                        
                        if(response.Login_User_Id==response.fetch_data['user_id'])
                        {
                            $("#text_fullname").attr("disabled", false);
                            /*$("#text_email").attr("disabled", false);*/
                            $("#combo_status").attr("disabled", false);
                            $("#text_password").attr("disabled", false);
                            $("#text_repassword").attr("disabled", false);
                            $("#file_upload_photo").attr("disabled", false);
                            $("#btnSave1").attr("disabled", false);
                            $("#btnSave").attr("disabled", true);
                            
                        }
                        else if(response.Login_User_Id!=response.fetch_data['user_id'])
                        {
                            $("#text_fullname").attr("disabled", true);
                            /*$("#text_email").attr("disabled", true);*/
                            $("#combo_status").attr("disabled", true);
                            $("#text_password").attr("disabled", true);
                            $("#text_repassword").attr("disabled", true);
                            $("#file_upload_photo").attr("disabled", true);
                            $("#btnSave1").attr("disabled", true);
                            $("#btnSave").attr("disabled", true);
                        }
                        
                        if(response.Login_User_Role=='Manager')
                        {
                            $("#btnSave1").attr("disabled", false);
                        }
                    }                        
                    else if(response.Login_User_Role=='Admin')
                    {
                        $("#check_mfa").attr("disabled", false);
                        $("#check_force_reset").attr("disabled", false);
                        $("#check_message_center").attr("disabled", false);
                        $("#check_announcements").attr("disabled", false);
                        /*$("#combo_role").attr("disabled", false);*/
                        $('input[name=combo_role]').attr("disabled",false);
                        $("#result_manage_subscription :input").attr("disabled", false);
                        $("#result_restrict_ip :input").attr("disabled", false);
                    }    
                    //if(response.fetch_data['image_name']!='')
                    {
                        var user_id = response.fetch_data['user_id'];
                        var image_path = "images/default_user.png";
                        if(response.fetch_data['image_name']!='')
                        {
                            //image_path = "img/uploads/user_images/"+user_id+"/"+response.fetch_data['image_name'];
                            image_path = "img/uploads/user_images/"+response.fetch_data['image_name'];
                        }                        
                        var imagenUrl = image_path;
                        var drEvent = $('#file_upload_photo').dropify(
                        {
                          defaultFile: imagenUrl
                        });
                        drEvent = drEvent.data('dropify');
                        drEvent.resetPreview();
                        drEvent.clearElement();
                        drEvent.settings.defaultFile = imagenUrl;
                        drEvent.destroy();
                        drEvent.init();
                        $(".dropify-filename").hide();
                    }
                    
                    if(response.fetch_data['user_plan']=='SELFEMPLOYED')
                    {
                        $("#div_check_invoicing").show();
                        /*$('#combo_role').attr("disabled",true);*/
                        $('input[name=combo_role]').attr("disabled",true);
                        $("#result_manage_subscription :input").attr("disabled", true);
                    }
                    else
                    {
                        $("#div_check_invoicing").hide();
                    }
                    /*
                    if (!jQuery.isEmptyObject(response.ip_addr_list))
                    {
                        var tr = "";
                        $.each( response.ip_addr_list, function( key, value ) 
                        {
                            Addrow(value.ip_addr,value.device_nickname,value.id,"edit");
                        });
                    }
                    */
                    
                    if ( $.fn.DataTable.isDataTable('#table_login_history') ) {
                        $('#table_login_history').DataTable().destroy();
                      }
                   $('#table_login_history tbody').empty();   
                    if (!jQuery.isEmptyObject(response.login_list))
                    {
                        
                        var tr = "";
                        $.each( response.login_list, function( key, value ) 
                        {
                            key1=parseInt(key)+1
                            td0 = '<td>'+key1+'</td>';
                            td1 = '<td>'+value.login_timestamp+'</td>';
                            td2 = '<td>'+value.logout_timestamp+'</td>';
                            td3 = '<td>'+value.ip_addr+'</td>';
                            td4 = '<td>'+value.timezone+'</td>';
                            tr += '<tr>'+td0+td1+td2+td3+td4+'</tr>';
                        });
                        $('#table_login_history').append(tr);
                        
                    }
                    
                    
                    if (!jQuery.isEmptyObject(response.fetch_emp_data))
                    {
                        $("#h_selectedid_emp").val(response.fetch_emp_data['employee_id']);

                        $("#text_startdate").val(response.fetch_emp_data['start_date']);
                        $('#text_startdate').datepicker("update");
                        $("#text_enddate").val(response.fetch_emp_data['end_date']);
                        $('#text_enddate').datepicker("update");                        
                        $("#text_first_name").val(response.fetch_emp_data['first_name']);
                        $("#text_last_name").val(response.fetch_emp_data['last_name']);
                        if(response.fetch_emp_data['supervisor_id']==0)
                        {
                            $("#combo_supervisor").val('');
                        }
                        else
                        {
                            $("#combo_supervisor").val(response.fetch_emp_data['supervisor_id']);
                        }    
                        $('#combo_supervisor').select2();                        
                        if(response.fetch_emp_data['exempt_flag']=="Y")
                        {
                            $("#radio_exempt").attr('checked',true);
                        }
                        else if(response.fetch_emp_data['exempt_flag']=="N")
                        {
                            $("#radio_non_exempt").attr('checked',true);
                        }
                        $("#text_address1").val(response.fetch_emp_data['address1']);
                        $("#text_address2").val(response.fetch_emp_data['address2']);
                        $("#text_address3").val(response.fetch_emp_data['address3']);

                        $("#text_city").val(response.fetch_emp_data['city']);
                        $("#combo_state").val(response.fetch_emp_data['state']);
                        $('#combo_state').select2();
                        $("#text_zip").val(response.fetch_emp_data['zip']);

                        $("#text_country").val(response.fetch_emp_data['country']);
                        $("#text_phone1").val(response.fetch_emp_data['phone1']);
                        $("#text_phone2").val(response.fetch_emp_data['phone2']);

                        $("#text_email_emp").val(response.fetch_emp_data['email']);
                        $("#text_linkdin").val(response.fetch_emp_data['social_profile1']);
                        $("#text_twitter").val(response.fetch_emp_data['social_profile2']);
                        if(response.Login_User_Role!='Admin')
                        {
                            $("#combo_supervisor").attr("disabled", true);
                        }
                        else
                        {
                            $("#combo_supervisor").attr("disabled", false);
                        }
                    }    
                    
                    
                    
                    
                    
                    setDropdownRequiredBackground();
                    
                }
                dataTableDefaultOrderOff("table_login_history");
                    $("#table_login_history_filter").hide();
            }
        });
}   


    $("#btnSave_Emp").click(function()
    {
        var flag = true;        
        form_element_correct($("#text_first_name")); 
        form_element_correct($("#text_last_name")); 
        form_element_correct($("#span_text_startdate"));
    
        
        if($("#text_startdate").val()=='')
        {
            $("#span_text_startdate").addClass('error_ele mb-1');
            $("#span_text_startdate").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#text_startdate").focus();
            flag = false;
        }

        
        if($("#text_first_name").val()=='')
        {
            $("#text_first_name").addClass('error_ele mb-1');
            $("#text_first_name").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#text_first_name").focus();
            flag = false;
        }

        if($("#text_last_name").val()=='')
        {
            $("#text_last_name").addClass('error_ele mb-1');
            $("#text_last_name").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#text_last_name").focus();
            flag = false;
        }
        /*if($("#combo_supervisor").val()=='')
        {
            /*$("#combo_supervisor").addClass('error_ele mb-1');
            $("#combo_supervisor").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            /
            alert("Select supervisor");
            $("#combo_supervisor").focus();
            flag = false;
        }*/ 
        if(flag != false)
        {
            $("#combo_supervisor").attr("disabled", false);

            var login_user_role = "<?php echo $_SESSION['login_user_array']['user_role']; ?>";
            if(login_user_role!='Admin')
            {
                $("#combo_supervisor").attr("disabled", true);
            }

            var formdata = $('#form_employee').serialize();


            var selected_id = $("#h_selectedid_emp").val();
            var user_id = $("#h_selectedid").val();
            form_element_correct($("#supervisor_msg")); 

            $.ajax({
                url: "ajax1_manage_user.php",
                method: "POST",                            
                data: {REQUEST: 'save_employe_data_from_userpage', form1: formdata,selected_id:selected_id,user_id:user_id},
                success: function (response1)
                {
                    if(response1.succ==-1)
                    {
                        $("#supervisor_msg").addClass('error_ele mb-1');
                        $("#supervisor_msg").after('<span role="alert" class="not-valid-tip">Do not become your own supervisor.</span>');
                        $("#combo_supervisor").focus();   
                    }
                    else if(response1.succ==1)
                    {                     
                        $("#msg_save_emp").text("Record has been updated.");
                        $("#msg_save_emp").show().delay(5000).fadeOut();
                    }
                }
            });          
        }
        if(flag==false)
        {
            return false;
        }
    });
    $("#text_fullname").focusout(function()
    {
        if($("#text_fullname").val()!='' && $("#h_selectedid").val()!='')
        {
            $.ajax({
			url: "ajax1_manage_user.php",
			method: "POST",
			data: {REQUEST: 'update_employee_name', full_name: $("#text_fullname").val(),user_id:$("#h_selectedid").val()},
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{	
                            setTimeout(function()
                            {
                                $(".rploader").fadeOut(500);
                                
                                if(response.succ==1)
                                {
                                    $("#text_first_name").val(response.first_name);
                                    $("#text_last_name").val(response.last_name);
                                }
                            },1000);
				
			}
		});
        }        
    });
    
    $("#text_first_name, #text_last_name").focusout(function()
    {
        if($("#h_selectedid").val()!='')
        {
            $.ajax({
			url: "ajax1_manage_user.php",
			method: "POST",
			data: {REQUEST: 'update_user_full_name', text_first_name: $("#text_first_name").val(),text_last_name: $("#text_last_name").val(),user_id:$("#h_selectedid").val()},
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{	
                            setTimeout(function()
                            {
                                $(".rploader").fadeOut(500);
                                
                                if(response.succ==1)
                                {
                                    $("#text_fullname").val(response.full_name);
                                }
                            },1000);
				
			}
		});
        }        
    });
</script>
</body>
</html>
