<?php
require_once "conn.php";
require_once("functions.php");

check_login();

/*echo "<pre>";
print_r($_SESSION);die;*/

$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
$date = new DateTime("now", new DateTimeZone($currTz) );
$curTime = $date->format('Y-m-d H:i:s');

$curretnt_user_image = $_SESSION['login_user_array']['image_name'];
$current_img_src = "images/faces/default_face.png";
if($curretnt_user_image!='')
{
   $current_img_src = "img/uploads/user_images/".$curretnt_user_image;
}    
	
	
$last_login_time = "";
$qry = "select login_timestamp from cxs_logins where  cxs_logins.user_id = '".$_SESSION['login_user_array']['user_id']."' order by id desc limit 1";        
$result = mysqli_query($conn,$qry);
if(mysqli_num_rows($result)>0)
{
	$row = mysqli_fetch_assoc($result);
	$login_time = $row['login_timestamp'];
	
	$last_login_time = date('F jS Y h:i:s a',strtotime($login_time));
			
}
/*
$vd = (isset($_GET['vd']) && $_GET['vd']!='')?$_GET['vd']:'';
$is_show_quick_video = ($vd==1)?"Y":"N";

$user_plan = $_SESSION['login_user_array']['user_plan'];
$video_src = "video/movie1.mp4";
if($user_plan=="SELFEMPLOYED")
{
    $video_src = "video/movie2.mp4";
}
*/
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Administration</title>
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="vendors/dropify/dropify.min.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<?php /*?><link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
<link rel = "stylesheet" href = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/css/bootstrap-datetimepicker.min.css"><?php */?>
<style>
@media (min-width: 576px) {
.card-columns {
 column-count: 1 !important;
}
}
#div_recent_activity {
	height: 200px;
	/*background: #debdc2;*/
    overflow-y: scroll;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<?php 
				$h_do_not_show_video = getvalue("cxs_user","do_not_show_video","where user_id = '".$_SESSION['login_user_array']['user_id']."'");
				?>
				<input type="hidden" id="h_do_not_show_video" name="h_do_not_show_video"  value='<?php echo $h_do_not_show_video; ?>' >
				<div class="row">
					<div class="col-md-12" id="main_col_1">
						<div class="card-columns">
							<!-- CARD - 1 -->
							<div class="card bg-left-light" id="card_1">
								<div class="card-body">
									<div>
										<div class="d-flex flex-wrap justify-content-between">
											<h4 class="card-title   mb-1">Welcome, <a href="javascript:void(0);" id="btn_user_name" class="common-edit-link"><?php echo $_SESSION['login_user_array']['full_name']; ?></a></h4>
											<h4 class="font-weight-bold  mb-1"><?php echo date('F jS Y', strtotime($curTime)); ?></h4>
										</div>
										<div class="d-flex flex-wrap justify-content-between">
											<div>&nbsp;&nbsp;</div>
											<h5 class="font-weight-bold mb-3"><?php echo $_SESSION['login_user_array']['user_timezone']; ?></h5>
										</div>
									</div>
									<div class="d-sm-flex flex-row flex-wrap text-center text-sm-left align-items-center"> <img src="<?php echo $current_img_src; ?>" class="img-lg rounded" alt="profile image">
										<div class="ml-sm-3 ml-md-0 ml-xl-3 mt-2 mt-sm-0 mt-md-2 mt-xl-0">
											<h6 class="mb-0 font-weight-bold">Your last login :</h6>
											<p class="mb-1"> <?php echo $last_login_time; ?></p>
										</div>
									</div>
								</div>
							</div>
							<!-- CARD - 1 -->
							<div class="card bg-left-light">
								<div class="card-body">
									<div class="d-flex flex-wrap justify-content-between">
										<h5 class="card-title mb-3">Page Shortcut</h5>
									</div>
									<div class="row">
										<?php
										$selectQuery 	= "SELECT * FROM `cxs_shortcut_pages` WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
										$RunUserQuery	= mysqli_query($conn, $selectQuery);
										$StdNumRows 	= mysqli_num_rows($RunUserQuery);
										if($StdNumRows>0){
											while($rows=mysqli_fetch_assoc($RunUserQuery)){
												$page_name 	= htmlentities($rows["page_name"]);
												$page_title = htmlentities($rows["page_title"]);	
												?>
												<div class="col-md-2">
													<div class="text-center">
														<a href="<?php echo $page_name; ?>">
															<img src="images/shortcut.png" class="mw-100" alt="">
														</a>
														<h4 class="mt-2 text-black"><a href="<?php echo $page_name; ?>" class="text-black"><?php echo $page_title; ?></a></h4>
														<h4 class="mt-2"><a href="javascript:void(0);" data-page_name="<?php echo $page_name; ?>" class="text-danger rm-shotcut"><i class="fa fa-times"></i></a></h4>
													</div>
												</div>
												<?php
											}
										}
										?>
									</div>
								</div>
							</div>
							<!-- CARD - 3 -->
							<div class="card bg-left-light" id="card_3">
								<div class="card-body">
									<div>
										<h5 class="card-title mb-3">You are currently using following</h5>
									</div>
									<div class="row">
										<div class="col-md-12 mx-auto">
											<ul class="nav nav-pills nav-pills-custom" id="licence_product_tabs" role="tablist">
												<li class="nav-item"> <a class="nav-link show active" id="licence_product_tab1" data-toggle="pill" href="#licence_product_tab1_content" role="tab" aria-controls="pills-home" aria-selected='true'>Your Current Subscription</a> </li>
												<?php if($_SESSION['login_user_array']['user_role']=="Admin"){ ?>
												<li class="nav-item"> <a class="nav-link " id="licence_product_tab2" data-toggle="pill" href="#licence_product_tab2_content" role="tab" aria-controls="pills-contact" aria-selected='false'>Licenses</a> </li>
												<?php } ?>
												<li class="nav-item"> <a class="nav-link " id="licence_product_tab3" data-toggle="pill" href="#licence_product_tab3_content" role="tab" aria-controls="pills-contact" aria-selected='false'>Explore New Apps</a> </li>
											</ul>
											<div class="tab-content licence-app-tab pt-2 pb-3" id="licence_product_tabs_content">
												<div class="tab-pane fade show active" id="licence_product_tab1_content" role="tabpanel" aria-labelledby="licence_product_tab1">
													<?php
													$qry = "select exempt_flag from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);            
													if(mysqli_num_rows($result)>0)    
													{
														$row = mysqli_fetch_assoc($result);
														if($row['exempt_flag']=="Y")
														{
															$attendance_page_link = "working-hours.php";
														}
														else 
														{
															$attendance_page_link = "clock-inout.php";
														}
													}
													$projrect_manager_id = getvalue("cxs_projects_manager","project_manager_id","where user_id = '".$_SESSION['login_user_array']['user_id']."'");
													$project_page_link = "project-workbench.php";
													if($projrect_manager_id>0)
													{
														$project_page_link = "manage-projects.php";
													}
													$qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);
													if(mysqli_num_rows($result) > 0 )
													{
														$flag_subcribe=0;
														$row = mysqli_fetch_assoc($result);
														?>
													<div class="text-center">
														<div class="row">
															<?php if($row['attendance_flag']=="Y") {  $flag_subcribe++; ?>
															<div class="col-md-2"> <a class="nav-link" href="<?php echo $attendance_page_link; ?>"> <img src="images/icons/Attendance.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Attendance</h4>
																</a> </div>
															<?php } ?>
															<?php if($row['timekeeping_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2"> <a class="nav-link" href="tt-time-entry.php"> <img src="images/icons/TimeTracking.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Time Tracking</h4>
																</a> </div>
															<?php } ?>
															<?php if($row['projects_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2"> <a class="nav-link" href="<?php echo $project_page_link; ?>"> <img src="images/icons/projects.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Project Management</h4>
																</a> </div>
															<?php } ?>
															<?php if($row['issue_tracking_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2"> <a class="nav-link" href="it-issue-log.php"> <img src="images/icons/Issue.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Issue Tracking</h4>
																</a> </div>
															<?php } ?>
															<?php if($row['expense_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2"> <a class="nav-link" href="exp-enter-exp-report.php"> <img src="images/icons/Expense.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Expense Tracking</h4>
																</a> </div>
															<?php } ?>
														</div>
													</div>
													<?php  
													}
													?>
												</div>
												<?php if($_SESSION['login_user_array']['user_role']=="Admin"){ ?>
												<div class="tab-pane fade" id="licence_product_tab2_content" role="tabpanel" aria-labelledby="licence_product_tab2">
													<?php
													$qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);
													if(mysqli_num_rows($result) > 0 )
													{
														$flag_subcribe=0;
														$row = mysqli_fetch_assoc($result);
													?>
													<div class="text-center">
														<div class="row">
															<?php if($row['attendance_flag']=="Y") {  $flag_subcribe++; ?>
															<div class="col-md-2"> 
																<a class="nav-link" href="<?php echo $attendance_page_link; ?>"> <img src="images/icons/Attendance.png" class="img-lg rounded pt-2">
																	<h4 class="text-center pt-3">Attendance</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Used: 10</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Total Licenses: 30</a></h6>
															</div>
															<?php } ?>
															<?php if($row['timekeeping_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2">
																<a class="nav-link" href="tt-time-entry.php"> <img src="images/icons/TimeTracking.png" class="img-lg rounded pt-2">
																	<h4 class="text-center pt-3">Time Tracking</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Used: 10</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Total Licenses: 30</a></h6>
															</div>
															<?php } ?>
															<?php if($row['projects_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2">
																<a class="nav-link" href="<?php echo $project_page_link; ?>"> <img src="images/icons/projects.png" class="img-lg rounded pt-2">
																	<h4 class="text-center pt-3">Project Management</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Used: 10</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Total Licenses: 30</a></h6>
															</div>
															<?php } ?>
															<?php if($row['issue_tracking_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2">
																<a class="nav-link" href="it-issue-log.php"> <img src="images/icons/Issue.png" class="img-lg rounded pt-2">
																	<h4 class="text-center pt-3">Issue Tracking</h4>
																</a>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Used: 10</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Total Licenses: 30</a></h6> 
															</div>
															<?php } ?>
															<?php if($row['expense_flag']=="Y") { $flag_subcribe++; ?>
															<div class="col-md-2">
																<a class="nav-link" href="exp-enter-exp-report.php"> <img src="images/icons/Expense.png" class="img-lg rounded pt-2">
																	<h4 class="text-center pt-3">Expense Tracking</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Used: 10</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Available: 20</a></h6>
																<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Total Licenses: 30</a></h6>
															</div>
															<?php } ?>
														</div>
													</div>
													<?php  
													}
													?>
												</div>
												<?php } ?>
												<div class="tab-pane fade " id="licence_product_tab3_content" role="tabpanel" aria-labelledby="licence_product_tab3">
													<?php              
													$qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);
													$none_subscribe = 0;
													if(mysqli_num_rows($result) > 0 )
													{
														$row = mysqli_fetch_assoc($result);
														
													?>
													<div class="text-center">
														<div class="row">
															<?php if($row['attendance_flag']!="Y") {  $none_subscribe++; ?>
															<div class="col-md-2  pb-5"> <img src="images/icons/Attendance.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Attendance Tracking</h4>
																<button class="btn btn-primary btn-sm btn-block" id="btnSave">Subscribe</button>
															</div>
															<?php } ?>
															<?php if($row['timekeeping_flag']!="Y") { $none_subscribe++; ?>
															<div class="col-md-2 pb-5"> <img src="images/icons/TimeTracking.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Time Tracking</h4>
																<button class="btn btn-primary btn-sm btn-block" id="btnSave">Subscribe</button>
															</div>
															<?php } ?>
															<?php if($row['projects_flag']!="Y") { $none_subscribe++; ?>
															<div class="col-md-2 pb-5"> <img src="images/icons/projects.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Project Management</h4>
																<button class="btn btn-primary btn-sm btn-block" id="btnSave">Subscribe</button>
															</div>
															<?php } ?>
															<?php if($row['issue_tracking_flag']!="Y") { $none_subscribe++; ?>
															<div class="col-md-2 pb-5"> <img src="images/icons/Issue.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Issue Tracking</h4>
																<button class="btn btn-primary btn-sm btn-block" id="btnSave">Subscribe</button>
															</div>
															<?php } ?>
															<?php if($row['expense_flag']!="Y") { $none_subscribe++; ?>
															<div class="col-md-2 pb-5"> <img src="images/icons/Expense.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Expense Tracking</h4>
																<button class="btn btn-primary btn-sm btn-block" id="btnSave">Subscribe</button>
															</div>
															<?php } ?>
														</div>
													</div>
													<?php  
													}
													if($none_subscribe == 0)
													{
													?>
													<p class="text-center"> All Pages you subscribed</p>
													<?php 
													} 
													?>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<!-- CARD 3 -->
							<div class="card bg-left-light" id="card_2">
								<div class="card-body">
									<div>
										<h5 class="card-title   mb-3">Recent activities while you were out </h5>
									</div>
									<div class="row">
										<div class="col-md-12" id="div_recent_activity">
											<table id="table1" class="table table-bordered">
												<tbody>
													<?php
                                                            
                                                            $query_time = $curTime;
                                                            $past_12hour = date('Y-m-d H:i:s',strtotime($curTime.'-12 hours'));
                                                            
                                                            $selectQuery = "  SELECT n.*,u.full_name,u.image_name FROM  `cxs_notifications` n
                                                            INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."' AND creation_date BETWEEN '".$curTime."' and '".$past_12hour."' ORDER BY n.notification_id";
                                                            
                                                            $selectQuery = "  SELECT n.*,u.full_name,u.image_name FROM  `cxs_notifications` n
                                                            INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."' ORDER BY n.notification_id limit 50";
                                                            
                                                            $query_1 = "AND n.creation_date BETWEEN '".$curTime."' and '".$past_12hour."'";
                                                            $query_1 = "";
                                                            $selectQuery = "SELECT n.*,u.full_name,u.image_name FROM `cxs_notifications` n 
                                                            INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."'".$query_1."  ORDER BY n.notification_id DESC LIMIT 20";
                                                            
                                                            $RunUserQuery	= mysqli_query($conn, $selectQuery);
                                                            $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                                                            if($StdNumRows>0)
                                                            {
                                                                while($rows=mysqli_fetch_assoc($RunUserQuery))
                                                                {
                                                                        $module_txt = "";
                                                                        $notification_id= $rows["notification_id"];
                                                                        $module_name 	= $rows["module_name"];
                                                                        $module_field_id= $rows["module_field_id"];
                                                                        $notes 			= $rows["notes"];
                                                                        $action_to_be_taken = $rows["action_to_be_taken"];
                                                                        $creation_date		= setDate($rows["creation_date"],"F jS Y h:i A");
                                                                        $created_timezone 	= $rows["created_timezone"];

                                                                        $top_full_name 		= $rows["full_name"];
                                                                        $top_user_image_name= $rows["image_name"];

                                                                        if($top_user_image_name!="" && file_exists("img/uploads/user_images/".$top_user_image_name)){
                                                                                $top_user_img_url = "img/uploads/user_images/".$top_user_image_name;
                                                                        }else{
                                                                                $top_user_img_url = "images/faces/default_face.png";
                                                                        }

                                                                        $module_txt = "";
                                                                        if($module_name=="expense_report"){
                                                                                $module_txt .= "Expense Report: ";

                                                                        }else if($module_name=="approval_activity"){
                                                                                $module_txt .= "Approval Activity: ";
                                                                        }else if($module_name=="timesheet_entry"){
                                                                                $module_txt .= "Timesheet Entry: ";
                                                                        }
                                                                        if (strpos($action_to_be_taken, '?') !== false) {
                                                                                $action_to_be_taken = $action_to_be_taken."&nid=".$notification_id;
                                                                        }else{
                                                                                $action_to_be_taken = $action_to_be_taken."?nid=".$notification_id;
                                                                        }

                                                                        $module_txt .= $notes." by ".$top_full_name." at ".$creation_date." ".$created_timezone;
                                                                        if($module_name=="attendance_approve" || $module_name=="request_timeoff" || $module_name=="ip_address" || $module_name=="add_manage_users")
                                                                        {
                                                                            $module_txt = $notes." at ".$creation_date." ".$created_timezone;
                                                                            $action_to_be_taken = $rows["action_to_be_taken"];
                                                                            if (strpos($action_to_be_taken, '?') !== false) 
                                                                            {
                                                                                $action_to_be_taken = $action_to_be_taken."&nid=".$notification_id;
                                                                            }else
                                                                            {
                                                                                $action_to_be_taken = $action_to_be_taken."?nid=".$notification_id;
                                                                            }
                                                                        }?>
													<tr>
														<td class="pt-2 pb-2"><p><?php echo $module_txt; ?></p></td>
													</tr>
													<?php
                                                                }?>
													<?php    }            
                                                        ?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
							<!-- CARD 4 -->
							
							<!-- CARD 4 -->
						</div>
					</div>
					<div class="col-md-12" id="main_col_2">
						<div class="card bg-left-light">
							<div class="card-body" id="main_col_2_content">
								<div class="d-flex flex-wrap justify-content-between">
									<h5 class="card-title mb-3">Coexsys Resource Center - You will always find help here</h5>
								</div>
								<div>
									
									<ul class="nav nav-tabs" role="tablist">
										<li class="nav-item">
											<a class="nav-link active" id="tab-1" data-toggle="tab" href="#tab1" role="tab" aria-controls="tab-1" aria-selected="true">Today's Call Schedule</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-2" data-toggle="tab" href="#tab2" role="tab" aria-controls="tab-2" aria-selected="false">Latest updates and News on Coexsys Project Cloud</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-3" data-toggle="tab" href="#tab3" role="tab" aria-controls="tab-3" aria-selected="false">E-Learning</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-4" data-toggle="tab" href="#tab4" role="tab" aria-controls="tab-4" aria-selected="false">Upcoming Events and Webinars</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-5" data-toggle="tab" href="#tab5" role="tab" aria-controls="tab-5" aria-selected="false">Product Announcements</a>
										</li>
									</ul>
									<div style="width:100%;display:block;">
										<div class="tab-content">
											
											<div class="tab-pane fade show active" id="tab1" role="tabpanel" aria-labelledby="tab-1">
												<div class="pt-3 pb-3" id="result_schedule"> </div>
											</div>
											<div class="tab-pane fade" id="tab2" role="tabpanel" aria-labelledby="tab-2">
												<div class="pt-3 pb-3" id="result_latestupdates">
													<div class="table-responsive">
														<table class="table table-striped" id="table_updates_news">
															<tbody>
															<?php
																$qry = "select * from cxs_admin_resource_center where resource_center = 'Updates and News' and status = 'Active' order by content_id desc";
																$result = mysqli_query($conn,$qry);
																if(mysqli_num_rows($result)>0)
																{?>
																									<?php
																	$counter = 1;
																	while($row = mysqli_fetch_assoc($result))
																	{
																		$last_updated = "<div class ='text-right'> Last updated on : ".setDate($row['last_update_date'],"m/d/Y h:i a")."</div>";
															?>
																		<tr class="open_modal cr-point">
																				<td class="pt-2 pb-2 text-center" style="width:10%;"><?php echo $counter; ?></td>
																				<td><?php echo "<div>".$row['subject_line']."</div>".$last_updated; ?></td>
																				<td style="display:none;" ><?php echo $row['description']; ?></td>
																				<td style="display:none;" ><?php echo setDate($row['last_update_date'],"m/d/Y h:i a"); ?></td>
																				<td  style="display:none;"><?php echo $row['resource_center']; ?></td>
																		</tr>
																<?php 
																	$counter++;
																	} 
																}
															?>
															</tbody>
														</table>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab3" role="tabpanel" aria-labelledby="tab-3">
												<div class="pt-3 pb-3">
													<div class="row">
														<div class="col-md-4">
															<div class="text-center"> <img src="images/elearning_img1.png" class="mw-100" alt="image">
																<p class="mt-03 font-weight-bold">Documentation</p>
															</div>
														</div>
														<div class="col-md-4">
															<div class="text-center"> <img src="images/elearning_img2.png" class="mw-100" alt="image">
																<p class="mt-03 font-weight-bold">Tutorial Videos</p>
															</div>
														</div>
														<div class="col-md-4">
															<div class="text-center"> <img src="images/elearning_img3.png" class="mw-100" alt="image">
																<p class="mt-03 font-weight-bold">Examples</p>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab4" role="tabpanel" aria-labelledby="tab-4">
												<div class="pt-3 pb-3">
													<div class="table-responsive">
														<table class="table table-striped" id="table_upcoming_events_webinars">
															<tbody>
															<?php
																$qry = "select * from cxs_admin_resource_center where resource_center = 'Events and Webinars' and status = 'Active' order by content_id desc";
																$result = mysqli_query($conn,$qry);
																if(mysqli_num_rows($result)>0)
																{
																	$counter = 1;
			
																	while($row = mysqli_fetch_assoc($result))
																	{
																		 $last_updated = "<div class ='text-right'> Last updated on : ".setDate($row['last_update_date'],"m/d/Y h:i a")."</div>";
															?>
																		<tr class="open_modal cr-point">
																				<td class="pt-2 pb-2 text-center" style="width:10%;"><?php echo $counter; ?></td>
																				<td><?php echo "<div>".$row['subject_line']."</div>".$last_updated; ?></td>
																				<td  style="display:none;"><?php echo $row['description']; ?></td>
																				<td style="display:none;" ><?php echo setDate($row['last_update_date'],"m/d/Y h:i a"); ?></td>
																				<td  style="display:none;"><?php echo $row['resource_center']; ?></td>
																		</tr>
																		<?php 
																	$counter++;
																	} 
																}
															?>
															</tbody>
														</table>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab5" role="tabpanel" aria-labelledby="tab-5">
												<div class="pt-3 pb-3">
													<div class="table-responsive">
														<table class="table table-striped" id="table_project_announcements">
															<tbody>
																<?php
																$qry = "select * from cxs_admin_resource_center where resource_center = 'Product Announcements' and status = 'Active' order by content_id desc";
																$result = mysqli_query($conn,$qry);
																if(mysqli_num_rows($result)>0)
																{
																	$counter = 1;
																
																	while($row = mysqli_fetch_assoc($result))
																	{
																		$last_updated = "<div class ='text-right'> Last updated on : ".setDate($row['last_update_date'],"m/d/Y h:i a")."</div>";
																?>
																<tr class="open_modal cr-point">
																	<td class="pt-2 pb-2 text-center" style="width:10%;"><?php echo $counter; ?></td>
																	<td><?php echo "<div>".$row['subject_line']."</div>".$last_updated; ?></td>
																	<td  style="display:none;"><?php echo $row['description']; ?></td>
																															<td style="display:none;" ><?php echo setDate($row['last_update_date'],"m/d/Y h:i a"); ?></td>
																	<td  style="display:none;"><?php echo $row['resource_center']; ?></td>
																</tr>
																<?php 
																	$counter++;
																	} 
																}
																?>
															</tbody>
														</table>
													</div>
												</div>
											</div>
											
										</div>
									</div>
									
									
									
									
									
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<input type="hidden" id="h_IsCommonSetupComplete" value="<?php echo CheckCommonSetupEntries(); ?>">
		
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="modal_userinfo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-body pt-0">
				<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
				<div class="swal-title" style=""></div>
				<div class="swal-text" style=""><blink>
					<h2 style="display: inline;" class=" font-weight-bold  pr-3"><i class="fa fa-hand-o-left" aria-hidden="true"></i></h2>
					</blink> In order to use application, please complete the common required setup first. </div>
			</div>
			<div class="swal-footer">
				<div class="swal-button-container">
					<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalOK">OK</button>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade pr-0" id="modal_resource_center">
	<div class="modal-dialog modal-xl1 mt-0 " role="document" >
		<div class="modal-content">
			<div class="modal-header pt-3 pb-3">
				<!--<h2 class="pl-3 modal-title" >Resource Center</h2>-->
				<h3 id="modal_resource_title"></h3>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-2 pb-2">
				<div id="modal_result_resource_center">
					<div class="row pb-0">
						<div class="col-xl-12 d-flex stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-bordered">
											<tr>
												<!--                                                                <td style="width:15%;" class="pt-2 pb-2">Subject Line :</td>-->
												<td id="modal_subject_line" class="pt-2 pb-2"></td>
											</tr>
											<tr>
												<!--                                                                <td class="pt-2 pb-2">Description :</td>-->
												<td id="modal_description" class="pt-2 pb-2">Description</td>
											</tr>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="text-right">
						<p class ="pt-1" id="modal_last_updated"></p>
						<button type="button" class="btn btn-light btn-sm mt-3" data-dismiss="modal" title="Close">Close</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="company_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-5 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Company Details</h5>
			</div>
			<div class="modal-body py-1">
				<form id="company_form" action="" method="post" enctype="multipart/form-data">
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								<label>Compnay Name</label>
								<input id="text_company_name" name="text_company_name" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-12">
							<label>Upload Logo</label> 
							<input type="file" name="company_logo" id="company_logo" class="dropify" data-default-file="" data-allowed-file-extensions='["jpg", "jpeg", "png"]'>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Address Line 1</label>
								<input id="text_company_address_line1" name="text_company_address_line1" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Address Line 2</label>
								<input id="text_company_address_line2" name="text_company_address_line2" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Address Line 3</label>
								<input id="text_company_address_line3" name="text_company_address_line3" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>State</label>
								<input id="text_company_state" name="text_company_state" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>County</label>
								<input id="text_company_county" name="text_company_county" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Zip</label>
								<input id="text_company_zip" name="text_company_zip" type="text" class="form-control" value="">
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" id="cmd_company_details">Save</button>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="username_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-sm2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Enter Full Name</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<form class="pt-3" id="username_form">
			<div class="modal-body">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label>Full Name <code>*</code></label>
							<input type="text" id = "text_full_name" name = "text_full_name" class="form-control" placeholder="Full Name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Your Full Name" data-original-title="" autocomplete="off" value="<?php echo $_SESSION['login_user_array']['full_name']; ?>">
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" id="cmdSaveUsername">Save</button>
			</div>
			</form>
		</div>
	</div>
</div>
 
<?php /**********Modal Area***********/ ?>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<!--<script src="datepicker/bootstrap-datepicker.js"></script>-->
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="vendors/dropify/dropify.min.js"></script>
<script src="js/custom.js?t=<?php echo time(); ?>"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="vendors/tinymce/tinymce.min.js"></script>
<script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="dist/jquery.table2excel.js"></script>
<script src="dist/jquery.table2excel.js"></script>
<script src="js/jquery.inputmask.js" type="text/javascript"></script>
<!-- endinject -->
<script>  
(function($) {
	'use strict';
	$('#company_logo').dropify();   
})(jQuery);     
$(document).ready(function()
{
	<?php
	if(isset($_SESSION['is_company_update_required'])){
		?>
		$("#company_modal").modal({
            backdrop: 'static',
            keyboard: false,
			show: true
        });
		$("#cmd_company_details").click(function(){
			var flag = true;
			form_element_correct($("#text_company_name"));
			form_element_correct($("#company_logo"));
			form_element_correct($("#text_company_address_line1"));
			form_element_correct($("#text_company_state"));
			form_element_correct($("#text_company_county"));
			form_element_correct($("#text_company_zip"));
			
			var fileInput = document.getElementById('company_logo');
			
			if(fileInput.files && fileInput.files[0]) {
			
			}else{
				form_element_empty_err($("#company_logo"));
			}
			
			if($("#text_company_name").val()==""){
				form_element_empty_err($("#text_company_name"));               
				flag = false;
			}
			if($("#text_company_address_line1").val()==""){
				form_element_empty_err($("#text_company_address_line1"));               
				flag = false;
			}
			if($("#text_company_state").val()==""){
				form_element_empty_err($("#text_company_state"));               
				flag = false;
			}
			if($("#text_company_county").val()==""){
				form_element_empty_err($("#text_company_county"));               
				flag = false;
			}
			if($("#text_company_zip").val()==""){
				form_element_empty_err($("#text_company_zip"));               
				flag = false;
			}
			
			//var formdata 		= $('#company_form').serialize(); 
			
			var form_data = new FormData();
			var form_data1 = $('#company_form').serializeArray();
			$.each(form_data1, function (key, input) {
				form_data.append(input.name, input.value);
			});
			var ins = document.getElementById('company_logo').files.length;
			for (var x = 0; x < ins; x++) 
			{
				form_data.append("company_logo", document.getElementById('company_logo').files[x]);
			}
			form_data.append("REQUEST", "save_company_details");
			
			if(flag==true){
				$.ajax({
					url: "ajax_common.php",
					method: "POST",
					beforeSend: function() {
						$(".rploader").fadeIn(500);
					},
					cache: false,
					contentType: false,
					processData: false,
					async: false,
					data: form_data,
					success: function (response){
						setTimeout(function(){
							$(".rploader").fadeOut(500);
							if(response.succ==1){
								window.location.href = "";
							}else{
								alert(response.msg);
							}
						},1000);
						
					}
				}); 
			}
		});
		<?php
	}
	?>
            var quick_video = "<?php echo isset($_SESSION['quick_video'])?'show':''; ?>";    
            var h_do_not_show_video = $("#h_do_not_show_video").val();    
            if(h_do_not_show_video=="N" && quick_video=="")
            {
		/*$("#modal_quick_start_video").modal("show");*/
                
                if($("#modal_quick_video_content").html()==""){
			$.ajax({
				url:"ajax_common.php",
				method:"POST",
				data:{REQUEST:'get_modal_quick_start_video',is_html:true,is_seen:'Y'},
				beforeSend: function(){
					$(".rploader").fadeIn(800);
				},
				success:function(response){
					$("#modal_quick_video_content").html(response);
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						$("#modal_quick_start_video").modal("show");
					},1000);
				}
			});
		}else{
			$("#modal_quick_start_video").modal("show");
		}
                
        
            }
	if($("#h_IsCommonSetupComplete").val()==0)
	{
		$("#modal_userinfo").modal('show');
	   /* $("#modal_userinfo").modal('show');*/
		/*
		setTimeout(function()
		{
			$('#modal_userinfo').modal('hide')
		}, 5000);*/
	}
	
	getTechSupportScheduleData();
	<?php /*?>var height = Math.max($("#main_col_1").height(), $("#main_col_2").height());<?php */?>
	//$("#main_col_1").height(height);
	//$("#main_col_2_content").height(height-99);
	
   
	/*var card_3_top = $("#card_3").position().top;
	var card_3_height = $("#card_3").height();
	var total = parseFloat(card_3_top)+parseFloat(card_3_height);
	$("#main_col_2_content").height(parseFloat(card_3_top)+parseFloat(card_3_height)-48);       
	*/
	<?php /*?>var main_col_1 = $("#main_col_1").height();
	$("#main_col_2_content").height(main_col_1-77);       
	
	$("#main_col_2_content").css("overflow-y", "scroll");<?php */?>
	
   // dataTableCreateOrderOff("table_updates_news");
	//$("#table_updates_news_filter").hide();
	
   // dataTableCreateOrderOff("table_project_announcements");
	//$("#table_project_announcements_filter").hide();
	
   // dataTableCreateOrderOff("table_upcoming_events_webinars");
   // $("#table_upcoming_events_webinars_filter").hide();
});
function getTechSupportScheduleData()
{
	$("#result_schedule").html("");
	$.ajax({
		url: "ajax_admin.php",
		method: "POST",
		data: {REQUEST: 'get_today_schedule_data',is_html:true},
		success: function (response)
		{ 
			setTimeout(function()
			{
				//$(".rploader").fadeOut(800);             
				$("#result_schedule").html(response);
				$('[data-toggle="popover"]').popover();
			},1000);                        
		}
	}); 

}
$('#cmdModalOK').click(function()
{
	$("#modal_userinfo").modal("hide");
});
$(".link_total_users").click(function()
{
   window.open("manage-users.php"); 
});
$(".link_total_emp").click(function()
{
   window.open("manage-employees.php"); 
});

$(".link_attendance_pending_approval").click(function()
{
   window.open("attendance-approval.php"); 
});


$(".link_total_tech_issue").click(function()
{
   window.open("tech-support.php"); 
});
$(".link_total_project").click(function()
{
   window.open("manage-projects.php"); 
});

$(".open_modal").click(function()
{
	//var subject_line = $(this).closest("tr").find('td:eq(1)').text();
	
	var subject_line = $(this).closest("tr").find('td:eq(1)  > div:first-child').text();
	$("#modal_subject_line").html("<b>"+subject_line+"</b>");
	$("#modal_description").html($(this).closest("tr").find('td:eq(2)').html());
	$("#modal_last_updated").html( "Last updaed on : "+$(this).closest("tr").find('td:eq(3)').html());
	var a = $(this).closest("tr").find('td:eq(4)').html();
	var set_title = "";
	if(a=="Events and Webinars")
	{
		set_title = "Upcoming Events And Webinars";
	}
	else if(a=="Updates and News")
	{
		set_title = "Latest Updates And News On Coexsys Project Cloud";
	}
	else if(a=="Product Announcements")
	{
		set_title = "Product Announcements";
	}
	$("#modal_resource_title").html(set_title);
   	$("#modal_resource_center").modal("show"); 
});
    
    
    
function dataTableCreateOrderOff(tablename) {
	if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/
      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				'excel',
				'pdf',
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
    
         
	$('#'+tablename+' tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	var length = table.page.info().recordsTotal;
	return (length);
}


$("#btn_user_name").click(function(){
	$("#username_modal").modal("show");
});
$("#cmdSaveUsername").click(function(){
	var flag = true;
	
	form_element_correct($("#text_full_name"));
	
	if($("#text_full_name").val()==''){
		$("#text_full_name").addClass('error_ele mb-1');
		$("#text_full_name").after('<span role="alert" class="not-valid-tip">This field is required.</span>');  
		$("#text_full_name").focus();
		flag = false;
	}
	
	if(flag==true){
		$.ajax({
			url: "ajax_admin.php",
			method: "POST",
			data: {REQUEST: 'update_user_full_name', full_name: $("#text_full_name").val()},
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{
				if(response.succ==0){
					setTimeout(function(){
						$(".rploader").fadeOut(500);
						alert("Something went wrong. Please try again.");
					},1000);
				}else if(response.succ==1){
					setTimeout(function(){
						window.location.href="";
					},1000);
				}
			}
		});
	}
}); 

$(".rm-shotcut").click(function(){

	var a = $(this).parent().parent().parent();
	var r = confirm("Are you sure you want to remove shortcut of this page from dashborad");
	if(r){
		$.ajax({
			url:"ajax_common.php",
			method:"POST",
			data:{REQUEST:'set_shortcut_page',op:"remove",pg_name:$(this).data("page_name")},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==1){
						a.remove();
					}else{
						alert("Something went wrong. Please try again.");
					}
				},1000);
			}
		});
	}
});
</script>
</body>
</html>
