<?php
include("conn.php");
if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
    login_from_cookie();
}
if(!isset($_POST['is_html'])){
    header('Content-Type: application/json'); 
}
 function CalculateTime1($times) 
        {
            $i = 0;
            foreach ($times as $time) {
                sscanf($time, '%d:%d', $hour, $min);
                $i += $hour * 60 + $min;
            }

            if($h = floor($i / 60)) {
                $i %= 60;
            }

            return sprintf('%02d:%02d', $h, $i);
        }
    if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_user_attendance')
    {
        $selected_date = isset($_POST['selected_date'])?trim($_POST['selected_date']):''; 
        $succ=0;
        if($selected_date!='')
        {
            $selected_date = date('m/d/Y', strtotime($selected_date));    
            $selected_date = date('Y-m-d', strtotime($selected_date));  
            $selected_date1 = date("l, F jS Y", strtotime($selected_date));    
            $succ=1;
        }    
        $data_list = array();        
        $qry = "SELECT cxs_user.image_name,cxs_user.full_name,cxs_atnd_clockinout.*,concat(DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p'),' - ',DATE_FORMAT(time_out_stamp,'%c/%d/%Y %h:%i %p')) as time_inout,
                (DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p')) as time_in, TIME_FORMAT(TIMEDIFF(time_out_stamp,time_in_stamp), '%H:%i') AS TimeDuration, 
                (select current_status from cxs_atnd_clockinout_ar_status where  cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by cxs_atnd_clockinout_ar_status.status_id desc limit 1) as time_card_status,
                (SELECT status_comment FROM cxs_atnd_clockinout_ar_status WHERE cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id ORDER BY cxs_atnd_clockinout_ar_status.status_id DESC LIMIT 1) AS time_card_comment
                FROM cxs_atnd_clockinout LEFT JOIN cxs_atnd_clockinout_ar_status ON cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
                INNER JOIN cxs_user ON cxs_user.user_id = cxs_atnd_clockinout.user_id left join cxs_time_off on cxs_time_off.id = cxs_atnd_clockinout.time_off_id
                WHERE (calendar_date = '".$selected_date."' or ('".$selected_date."'  between from_date and to_date )) and cxs_atnd_clockinout.company_id ='".$_SESSION['login_user_array']['company_id']."'
                ORDER BY full_name,user_id,time_in_stamp,time_type ";
        
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $counter = 0;
           while($row = mysqli_fetch_assoc($result))
           {
                if($row['image_name']!='')
                {
                   $img_src = SITEURL."img/uploads/user_images/".$row['image_name'];
                }
                else
                {
                    $img_src = SITEURL."images/faces/default_face.png";
                }
                $row['img_src'] = $img_src; 
                
                
                if(is_null($row['time_card_status']))
                {
                    $row['time_card_status'] = "Pending";
                }
                else if($row['time_card_status']=="A")
                {
                    $row['time_card_status'] = "Approved";
                }
                else if($row['time_card_status']=="R")
                {
                    $row['time_card_status'] = "Rejected";
                }
                else if($row['time_card_status']=="S")
                {
                    $row['time_card_status'] = "Resubmit";
                }
                
                if(is_null($row['time_card_comment']))
                {
                    $row['time_card_comment'] = '';
                }
                
                $row['from_date'] = date("m/d/Y",strtotime($row['time_in_stamp'])); 
                $row['to_date'] = date("m/d/Y",strtotime($row['time_out_stamp'])); 
                
                
                
                if($row['time_type'] == 'time_off')
                {
                    $row['time_type'] = 'PTO (Out of Office)';                    
                }
                else if($row['time_type'] == 'clock')
                {
                    $row['time_type'] = 'Clock Time';
                }
                else if($row['time_type'] == 'break')
                {
                    $row['time_type'] = 'Break Time';
                }
                else if($row['time_type'] == 'meal')
                {
                    $row['time_type'] = 'Meal Time';
                }
                
                if($row['is_missed_in']=="N")
                {
                    $row['is_missed_in']="-";
                }
                else
                {
                    $row['is_missed_in']="Missed";
                }
                if($row['is_missed_out']=="N")
                {
                    $row['is_missed_out']="-";
                }
                else
                {
                    $row['is_missed_out']="Missed";
                }
                $row['from_date'] = date("m/d/Y",strtotime($row['time_in_stamp'])); 
                $row['to_date'] = date("m/d/Y",strtotime($row['time_out_stamp'])); 
                
                
                
                $data_list[] = $row;
           }
        }
        
        $data_list_display = array();
        $prev_user_id = "";
        $prev_time_type = "";
        $prev_session_id = "";
        $counter = -1;
        $break_counter = -1;
        $meal_counter = -1;
        //$prev_all_status = "";
        foreach ($data_list as $key => $value) 
        {
            if($prev_user_id!=$value['user_id'] && $prev_session_id!=$value['session_id'])
            {
                $counter++;
            }
               
            $data_list_display[$counter]['img_src'] = $value['img_src']; 
            $data_list_display[$counter]['full_name'] = $value['full_name']; 
            $data_list_display[$counter]['user_id'] = $value['user_id']; 
            if($value['time_type']=='clock')
            {
                $is_missed="";
                $missed_comment="";
                $data_list_display[$counter]['clock_time_type'] = $value['time_type']; 
                $data_list_display[$counter]['clock_time_inout'] = $value['time_inout']; 
                $data_list_display[$counter]['clock_time_in'] = $value['time_in']; 
                $data_list_display[$counter]['clock_TimeDuration'] = $value['TimeDuration']; 
                $data_list_display[$counter]['clock_session_id'] = $value['session_id'];
                $data_list_display[$counter]['clock_time_card_status'] = $value['time_card_status'];
                
                if($value['is_missed_in']=="Y")
                {
                    $is_missed.="Clock in missed";                    
                    $missed_comment.= $value['missed_in_reason'];
                }
                if($value['is_missed_out']=="Y")
                {
                    $is_missed.="&Clock out missed";
                    $missed_comment.= "`". $value['missed_out_reason'];
                }
                $data_list_display[$counter]['is_missed_clock'] = $is_missed; 
                $data_list_display[$counter]['missed_comment_clock'] = $missed_comment; 
            }
            if($value['time_type']=='break')
            {
                $break_counter++;
                $is_missed="";
                $missed_comment="";
                /*if($break_counter==$counter)*/
                {
                    $data_list_display[$counter]['break_time_type'] = $value['time_type']; 
                    $data_list_display[$counter]['break_time_inout'] = $value['time_inout']; 
                    $data_list_display[$counter]['break_time_in'] = $value['time_in']; 
                    $data_list_display[$counter]['break_TimeDuration'] = $value['TimeDuration']; 
                    $data_list_display[$counter]['break_session_id'] = $value['session_id'];
                    $data_list_display[$counter]['break_time_card_status'] = $value['time_card_status'];
                }
                /*else
                {
                    $data_list_display[$counter]['break_time_type'.$break_counter] = $value['time_type']; 
                    $data_list_display[$counter]['break_time_inout'.$break_counter] = $value['time_inout']; 
                    $data_list_display[$counter]['break_time_in'] = $value['time_in']; 
                    $data_list_display[$counter]['break_TimeDuration'.$break_counter] = $value['TimeDuration'];
                    $data_list_display[$counter]['break_session_id'.$break_counter] = $value['session_id'];
                    $data_list_display[$counter]['break_time_card_status'.$break_counter] = $value['time_card_status'];
                }*/
                if($value['is_missed_in']=="Y")
                {
                    $is_missed.="Break in missed";                    
                    $missed_comment.= $value['missed_in_reason'];
                }
                if($value['is_missed_out']=="Y")
                {
                    $is_missed.="&Break out missed";
                    $missed_comment.= "`". $value['missed_out_reason'];
                }
                $data_list_display[$counter]['is_missed_break'] = $is_missed; 
                $data_list_display[$counter]['missed_comment_break'] = $missed_comment;
            }
            if($value['time_type']=='meal')
            {
                $meal_counter++;
                $is_missed="";
                $missed_comment="";
                $data_list_display[$meal_counter]['meal_time_type'] = $value['time_type']; 
                $data_list_display[$meal_counter]['meal_time_inout'] = $value['time_inout']; 
                $data_list_display[$counter]['meal_time_in'] = $value['time_in']; 
                $data_list_display[$meal_counter]['meal_TimeDuration'] = $value['TimeDuration']; 
                $data_list_display[$meal_counter]['meal_session_id'] = $value['session_id'];
                $data_list_display[$counter]['meal_time_card_status'] = $value['time_card_status'];
                if($value['is_missed_in']=="Y")
                {
                    $is_missed.="Meal in missed";                    
                    $missed_comment.= $value['missed_in_reason'];
                }
                if($value['is_missed_out']=="Y")
                {
                    $is_missed.="&Meal out missed";
                    $missed_comment.= "`". $value['missed_out_reason'];
                }
                $data_list_display[$counter]['is_missed_meal'] = $is_missed; 
                $data_list_display[$counter]['missed_comment_meal'] = $missed_comment;
            }
            
            $data_list_display[$counter]['time_type'] = $value['time_type']; 
            $data_list_display[$counter]['from_date'] = date("m/d/Y",strtotime($value['time_in_stamp'])); 
            $data_list_display[$counter]['to_date'] = date("m/d/Y",strtotime($value['time_out_stamp'])); 
            $data_list_display[$counter]['session_id'] = $value['session_id'];
            if(is_null($value['time_card_status']))
            {
                $value['time_card_status'] = "Pending";
            }
            else if($value['time_card_status']=="A")
            {
                $value['time_card_status'] = "Approved";
            }
            else if($value['time_card_status']=="R")
            {
                $value['time_card_status'] = "Rejected";
            }
            else if($value['time_card_status']=="N")
            {
                $value['time_card_status'] = "Renew";
            }
            $data_list_display[$counter]['time_card_status'] = $value['time_card_status'];
            $data_list_display[$counter]['time_card_comment'] = $value['time_card_comment'];
            if(is_null($value['time_card_comment']))
            {
                $data_list_display[$counter]['time_card_comment'] = '';
            }
            
            $prev_user_id = $value['user_id'];
            $prev_session_id=$value['session_id'];
        }
       // print_r($data_list_display);
        
        
        echo json_encode(array("succ" => $succ,"selected_date1"=>$selected_date1,"data_list"=>$data_list,"data_list_display"=>$data_list_display,"break_counter"=>$break_counter,"qry"=>$qry));
        exit;
    }  
    
    if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_user_attendance1')
    {
        $selected_date = isset($_POST['selected_date'])?trim($_POST['selected_date']):''; 
        $succ=0;
        if($selected_date!='')
        {
            $selected_date = date('m/d/Y', strtotime($selected_date));    
            $selected_date = date('Y-m-d', strtotime($selected_date));  
            $selected_date1 = date("l, F jS Y", strtotime($selected_date));    
            $succ=1;
        }    
        $data_list = array();
        $qry = "SELECT distinct cxs_user.image_name,cxs_user.full_name FROM cxs_atnd_clockinout INNER JOIN cxs_user ON cxs_user.user_id = cxs_atnd_clockinout.user_id
               WHERE cxs_atnd_clockinout.company_id ='".$_SESSION['login_user_array']['company_id']."' ORDER BY  full_name";
        
        
        $qry = "SELECT cxs_user.image_name,cxs_user.full_name,cxs_atnd_clockinout.*,concat(DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p'),' - ',DATE_FORMAT(time_out_stamp,'%c/%d/%Y %h:%i %p')) as time_inout,
                (DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p')) as time_in, TIME_FORMAT(TIMEDIFF(time_out_stamp,time_in_stamp), '%H:%i') AS TimeDuration, 
                (select current_status from cxs_atnd_clockinout_ar_status where  cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by cxs_atnd_clockinout_ar_status.status_id desc limit 1) as time_card_status
                FROM cxs_atnd_clockinout LEFT JOIN cxs_atnd_clockinout_ar_status ON cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
                INNER JOIN cxs_user ON cxs_user.user_id = cxs_atnd_clockinout.user_id
                WHERE calendar_date = '".$selected_date."' and cxs_atnd_clockinout.company_id ='".$_SESSION['login_user_array']['company_id']."'
                ORDER BY full_name,time_type,time_in_stamp ";
        
        $qry = "SELECT cxs_user.image_name,cxs_user.full_name,cxs_atnd_clockinout.*,concat(DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p'),' - ',DATE_FORMAT(time_out_stamp,'%c/%d/%Y %h:%i %p')) as time_inout,
                (DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p')) as time_in, TIME_FORMAT(TIMEDIFF(time_out_stamp,time_in_stamp), '%H:%i') AS TimeDuration, 
                (select current_status from cxs_atnd_clockinout_ar_status where  cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by cxs_atnd_clockinout_ar_status.status_id desc limit 1) as time_card_status,
                (SELECT status_comment FROM cxs_atnd_clockinout_ar_status WHERE cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id ORDER BY cxs_atnd_clockinout_ar_status.status_id DESC LIMIT 1) AS time_card_comment
                FROM cxs_atnd_clockinout LEFT JOIN cxs_atnd_clockinout_ar_status ON cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
                INNER JOIN cxs_user ON cxs_user.user_id = cxs_atnd_clockinout.user_id left join cxs_time_off on cxs_time_off.id = cxs_atnd_clockinout.time_off_id
                WHERE (calendar_date = '".$selected_date."' or ('".$selected_date."'  between from_date and to_date )) and cxs_atnd_clockinout.company_id ='".$_SESSION['login_user_array']['company_id']."'
                ORDER BY full_name,time_in_stamp,time_type ";
        
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $counter = 0;
           while($row = mysqli_fetch_assoc($result))
           {
                if($row['image_name']!='')
                {
                   $img_src = SITEURL."img/uploads/user_images/".$row['image_name'];
                }
                else
                {
                    $img_src = SITEURL."images/faces/default_face.png";
                }
                $row['img_src'] = $img_src; 
                $data_list[] = $row;
           }
        }
        
        $data_list_display = array();
        $prev_user_id = "";
        $prev_time_type = "";
        $prev_session_id = "";
        $counter = -1;
        $break_counter = -1;
        $meal_counter = -1;
        //$prev_all_status = "";
        foreach ($data_list as $key => $value) 
        {
            if($prev_user_id!=$value['user_id'] && $prev_session_id!=$value['session_id'])
            {
                $counter++;
            }
               
            $data_list_display[$counter]['img_src'] = $value['img_src']; 
            $data_list_display[$counter]['full_name'] = $value['full_name']; 
            $data_list_display[$counter]['user_id'] = $value['user_id']; 
            if($value['time_type']=='clock')
            {
                $is_missed="";
                $missed_comment="";
                $data_list_display[$counter]['clock_time_type'] = $value['time_type']; 
                $data_list_display[$counter]['clock_time_inout'] = $value['time_inout']; 
                $data_list_display[$counter]['clock_time_in'] = $value['time_in']; 
                $data_list_display[$counter]['clock_TimeDuration'] = $value['TimeDuration']; 
                $data_list_display[$counter]['clock_session_id'] = $value['session_id'];
                $data_list_display[$counter]['clock_time_card_status'] = $value['time_card_status'];
                
                if($value['is_missed_in']=="Y")
                {
                    $is_missed.="Clock in missed";                    
                    $missed_comment.= $value['missed_in_reason'];
                }
                if($value['is_missed_out']=="Y")
                {
                    $is_missed.="&Clock out missed";
                    $missed_comment.= "`". $value['missed_out_reason'];
                }
                $data_list_display[$counter]['is_missed_clock'] = $is_missed; 
                $data_list_display[$counter]['missed_comment_clock'] = $missed_comment; 
            }
            if($value['time_type']=='break')
            {
                $break_counter++;
                $is_missed="";
                $missed_comment="";
                /*if($break_counter==$counter)*/
                {
                    $data_list_display[$counter]['break_time_type'] = $value['time_type']; 
                    $data_list_display[$counter]['break_time_inout'] = $value['time_inout']; 
                    $data_list_display[$counter]['break_time_in'] = $value['time_in']; 
                    $data_list_display[$counter]['break_TimeDuration'] = $value['TimeDuration']; 
                    $data_list_display[$counter]['break_session_id'] = $value['session_id'];
                    $data_list_display[$counter]['break_time_card_status'] = $value['time_card_status'];
                }
                /*else
                {
                    $data_list_display[$counter]['break_time_type'.$break_counter] = $value['time_type']; 
                    $data_list_display[$counter]['break_time_inout'.$break_counter] = $value['time_inout']; 
                    $data_list_display[$counter]['break_time_in'] = $value['time_in']; 
                    $data_list_display[$counter]['break_TimeDuration'.$break_counter] = $value['TimeDuration'];
                    $data_list_display[$counter]['break_session_id'.$break_counter] = $value['session_id'];
                    $data_list_display[$counter]['break_time_card_status'.$break_counter] = $value['time_card_status'];
                }*/
                if($value['is_missed_in']=="Y")
                {
                    $is_missed.="Break in missed";                    
                    $missed_comment.= $value['missed_in_reason'];
                }
                if($value['is_missed_out']=="Y")
                {
                    $is_missed.="&Break out missed";
                    $missed_comment.= "`". $value['missed_out_reason'];
                }
                $data_list_display[$counter]['is_missed_break'] = $is_missed; 
                $data_list_display[$counter]['missed_comment_break'] = $missed_comment;
            }
            if($value['time_type']=='meal')
            {
                $meal_counter++;
                $is_missed="";
                $missed_comment="";
                $data_list_display[$meal_counter]['meal_time_type'] = $value['time_type']; 
                $data_list_display[$meal_counter]['meal_time_inout'] = $value['time_inout']; 
                $data_list_display[$counter]['meal_time_in'] = $value['time_in']; 
                $data_list_display[$meal_counter]['meal_TimeDuration'] = $value['TimeDuration']; 
                $data_list_display[$meal_counter]['meal_session_id'] = $value['session_id'];
                $data_list_display[$counter]['meal_time_card_status'] = $value['time_card_status'];
                if($value['is_missed_in']=="Y")
                {
                    $is_missed.="Meal in missed";                    
                    $missed_comment.= $value['missed_in_reason'];
                }
                if($value['is_missed_out']=="Y")
                {
                    $is_missed.="&Meal out missed";
                    $missed_comment.= "`". $value['missed_out_reason'];
                }
                $data_list_display[$counter]['is_missed_meal'] = $is_missed; 
                $data_list_display[$counter]['missed_comment_meal'] = $missed_comment;
            }
            
            $data_list_display[$counter]['time_type'] = $value['time_type']; 
            $data_list_display[$counter]['from_date'] = date("m/d/Y",strtotime($value['time_in_stamp'])); 
            $data_list_display[$counter]['to_date'] = date("m/d/Y",strtotime($value['time_out_stamp'])); 
            $data_list_display[$counter]['session_id'] = $value['session_id'];
              if(is_null($value['time_card_status']))
            {
                $value['time_card_status'] = "Pending";
            }
            else if($value['time_card_status']=="A")
            {
                $value['time_card_status'] = "Approved";
            }
            else if($value['time_card_status']=="R")
            {
                $value['time_card_status'] = "Rejected";
            }
            else if($value['time_card_status']=="N")
            {
                $value['time_card_status'] = "Renew";
            }
            $data_list_display[$counter]['time_card_status'] = $value['time_card_status'];
            $data_list_display[$counter]['time_card_comment'] = $value['time_card_comment'];
            if(is_null($value['time_card_comment']))
            {
                $data_list_display[$counter]['time_card_comment'] = '';
            }
            
            $prev_user_id = $value['user_id'];
            $prev_session_id=$value['session_id'];
        }
       // print_r($data_list_display);
        
        
        echo json_encode(array("succ" => $succ,"selected_date1"=>$selected_date1,"data_list"=>$data_list,"data_list_display"=>$data_list_display,"break_counter"=>$break_counter,"qry"=>$qry));
        exit;
    }   
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_get_timeoff_data')
    {
        $succ=1;
        $msg="";
        if(isset($_POST['form1']))
        {
            parse_str($_POST['form1'],$formArr1);      
            $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
            $date = new DateTime("now", new DateTimeZone($currTz) );
            $curTime = $date->format('Y-m-d H:i:s');
            $msg = "";
            $from_date = isset($formArr1['text_fromdate'])?$formArr1['text_fromdate']:'';
            $to_date = isset($formArr1['text_todate'])?$formArr1['text_todate']:'';
            $selected_id = isset($formArr1['h_selected_row'])?$formArr1['h_selected_row']:'';
            
            if($from_date!='')
            {
                $from_date = date('Y-m-d', strtotime($from_date));
            }
            if($to_date!='')
            {
                $to_date = date('Y-m-d', strtotime($to_date));
            }
            
            if ($from_date > $to_date) 
            {
                $msg = "From date must be older than To date";
            }
            
            if($msg=="")
            {
                $query_1 = " and ((from_date BETWEEN '".$from_date."' AND '".$to_date."') OR (to_date BETWEEN  '".$from_date."' AND '".$to_date."')) "; 
                if($selected_id!='')
                {
                    $query_1 .= " and id <> $selected_id ";
                }
                $qry = "select * from cxs_time_off where user_id = '".$_SESSION['login_user_array']['user_id']."' and company_id = '".$_SESSION['login_user_array']['company_id']."'".$query_1;
                $result = mysqli_query($conn,$qry);
                if(mysqli_num_rows($result) > 0)
                {
                    $msg = "Time off period should not be overlap";
                }
            }
            if($msg=="")
            {    
                $supervisor_id = getvalue("cxs_employee","supervisor_id"," where user_id = '".$_SESSION['login_user_array']['user_id']."'");
                if($supervisor_id==0)
                {
                   $supervisor_user_id = $_SESSION['login_user_array']['user_id'];
                }
                else
                {
                   $supervisor_user_id = getvalue("cxs_employee","user_id"," where employee_id = '".$supervisor_id."'");
                }

                $combo_time_off_type = isset($formArr1['combo_time_off_type'])?$formArr1['combo_time_off_type']:'';
                $text_reason = isset($formArr1['text_reason'])?$formArr1['text_reason']:'';
                
                $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";  
                $date = new DateTime("now", new DateTimeZone($currTz) );
                $curTime = $date->format('Y-m-d H:i:s');

                $insArr = array();
                $insArr['user_id'] =   isset($_SESSION['login_user_array']['user_id'])?$_SESSION['login_user_array']['user_id']:0; 
                $insArr['from_date'] = $from_date;
                $insArr['to_date'] = $to_date;
                $insArr['leave_id'] = $combo_time_off_type;
                $insArr['reason'] = $text_reason;

                $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['creation_date'] = $curTime;
                $insArr['last_update_date']= $curTime;
                $insArr['updated_timezone']=$currTz;           
                $insArr['created_timezone']=$currTz;
                $insArr['send_to_user_id']=$supervisor_user_id;

                if($selected_id=='')
                {
                    $LastInsertedid = insertdata("cxs_time_off",$insArr);
                    $time_off_id = $LastInsertedid;
                }
                else
                {
                    updatedata("cxs_time_off",$insArr,"where id = '".$selected_id."'");
                    $time_off_id = $selected_id;
                }
                /***************Save Notification***************/                   
                $notes = "<b>Request Timeoff : </b> PTO (Out of Office) for ".date('m/d/Y', strtotime($from_date))." to ".date('m/d/Y', strtotime($to_date))." submitted by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
                $submitted_on = date('m/d/Y h:i:s',strtotime($curTime));
                
                $insArr = array();
                $insArr['from_user_id']         = $_SESSION['login_user_array']["user_id"];
                $insArr['to_user_id']		= $supervisor_user_id;
                $insArr['module_name'] 		= "request_timeoff";
                $insArr['module_field_id'] 	= 0;//$expense_report_id;
                $insArr['notes']                = $notes;
                $insArr['action_to_be_taken']   = "attendance-approval.php?sub_uid=".$_SESSION['login_user_array']['user_id']."&sub_on=".$curTime;
                $insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
                $insArr['creation_date']	= $curTime;
                $insArr['created_timezone']	= $currTz;
                $insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
                $insArr['last_update_date']	= $curTime;
                $insArr['updated_timezone']	= $currTz;
                $insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                insertdata("cxs_notifications",$insArr);
                /***************Save Notification***************/
                
                /*
                 * 
                 * INSERT DATA INTO CLOCK IN OUT TABLE
                 * 
                 * 
                 */
                $insArr = array();
                $insArr['user_id'] = isset($_SESSION['login_user_array']['user_id'])?$_SESSION['login_user_array']['user_id']:0; 
                $insArr['is_missed_in'] = "N";
                $insArr['missed_in_reason'] = "";            
                $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['creation_date'] = $curTime;
                $insArr['last_update_date']= $curTime;
                $insArr['updated_timezone']=$currTz;           
                $insArr['created_timezone']=$currTz;
                $insArr['time_type'] = 'time_off';   
                $insArr['calendar_date'] = $from_date;
                $insArr['device_nickname_in']="-";
                $insArr['time_in_stamp'] = $from_date; 
                $insArr['time_out_stamp'] = $to_date;
                $insArr['time_off_id'] = $time_off_id;
                if($selected_id=='')
                {
                    $last_inserted_id = insertdata("cxs_atnd_clockinout",$insArr);
                    if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")
                    {
                        AutoApproveAttendanceForSelfEmployed($last_inserted_id,$currTz);
                    }
                }
                else 
                {
                    updatedata("cxs_atnd_clockinout",$insArr,"where time_off_id = '".$time_off_id."'");
                }
               
                
                //$insArr['ip_addr_in'] = $convert_ip;     

                    /*
                     * 
                     * CLOCK IN OUT TABLE ENTRY FINISH
                     * 
                     */

                $to_email = getvalue("cxs_user","user_email","where user_id = '".$supervisor_user_id."'");
                $from_name='Coexsys Time Accounting'; //Website Name
                $from_email=ADMIN_EMAIL; //Admin Email            
                $to= $to_email;	        
                $subject = "subject";
                $cc="";             
                $message = "test message from request-timeoff";
                //include "email/employee_schedule.php"; //email design with content included	            
                $headers  = "MIME-Version: 1.0\r\n";
                $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
                $headers .= "From: $from_name < $from_email >\r\n";		
                //$result = mail($to, $subject, $message, $headers);          
                //send_mail($to, $subject, $message);
                $succ=1;
            }    
            
        }    
        $data = array();
        $qry = "SELECT distinct cxs_time_off.id as cxs_time_off_id,cxs_user.full_name AS send_to, cxs_time_off.*,cxs_atnd_clockinout_ar_status.current_status,cxs_atnd_clockinout_ar_status.status_comment FROM cxs_time_off
                LEFT JOIN cxs_user ON cxs_user.user_id = cxs_time_off.send_to_user_id left join cxs_atnd_clockinout on cxs_atnd_clockinout.time_off_id = cxs_time_off.id
                left join cxs_atnd_clockinout_ar_status on cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
                where cxs_time_off.company_id ='".$_SESSION['login_user_array']['company_id']."' and cxs_time_off.user_id = '".$_SESSION['login_user_array']['user_id']."'";

        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            while($row=mysqli_fetch_assoc($result))
            {
                $data_content_eye_icon = show_eye_icon_data_format($row);
                $row['data_content_eye_icon'] = $data_content_eye_icon; 
                $row['time_off']=date('m/d/Y',strtotime($row['from_date']))." to ".date('m/d/Y',strtotime($row['to_date']));
                if(is_null($row['current_status']))
                {
                    $row['current_status'] = "Pending";
                } 
                else if(isset($row['current_status']) && $row['current_status'] == "A")
                {
                    $row['current_status'] = "Approved";
                } 
                else if(isset($row['current_status']) && $row['current_status'] == "R")
                {
                    $row['current_status'] = "Rejected";
                } 
                else if(isset($row['current_status']) && $row['current_status'] == "S")
                {
                    $row['current_status'] = "Resubmit";
                }
                if(is_null($row['status_comment']))
                {
                    $row['status_comment'] = "";
                } 
                $row['sent_time'] = date('m/d/Y h:i a',strtotime($row['creation_date']));
               
                $row['approver_reason_15'] = substr($row['reason'], 0, 10)."...";
                
                $data[] = $row;                
            }
        }
        
        echo json_encode(array("succ" => $succ,"data"=>$data,"msg"=>$msg));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_single_timeoff_data') 
    {
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):''; 
        $data = array();
        $qry = "select * from cxs_time_off where id ='".$selected_id."'";            
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            while($row=mysqli_fetch_assoc($result))
            {
                if(!is_null($row['from_date']))
                {
                    $row['from_date'] = date('m/d/Y',strtotime($row['from_date']));
                }
                if(!is_null($row['to_date']))
                {
                    $row['to_date'] = date('m/d/Y',strtotime($row['to_date']));
                }
                $data = $row;                
            }
        }
        $succ=1;
        echo json_encode(array("succ" => $succ,"data"=>$data));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_timecard_data')
    {
        /* cxs_atnd_clockinout_ar_status.time_card_id IS Not NULL AND */
        $selected_user_id = isset($_POST['selected_user_id'])?trim($_POST['selected_user_id']):''; 
        $text_fromdate = isset($_POST['text_fromdate'])?trim($_POST['text_fromdate']):''; 
        $text_todate = isset($_POST['text_todate'])?trim($_POST['text_todate']):''; 
        $selected_category = isset($_POST['selected_category'])?trim($_POST['selected_category']):''; 
        
        $data = array();
        $table_list = array();
        $query_1 = "";
        if($text_fromdate!='')
        {
            $text_fromdate = date('Y-m-d',strtotime($text_fromdate));
        }   
        
        if($text_todate !='')
        {
            $text_todate = date('Y-m-d',strtotime($text_todate));         
        }   
        
        if($text_fromdate!='' && $text_todate !='')
        {
           $query_1 = "and (cxs_atnd_clockinout.calendar_date >= '".$text_fromdate."'  and cxs_atnd_clockinout.calendar_date <= '".$text_todate."')";
        }   
        else if($text_fromdate!='' && $text_todate =='')
        {
           $query_1 = "and (cxs_atnd_clockinout.calendar_date >= '".$text_fromdate."')";
        }   
        else if($text_fromdate=='' && $text_todate !='')
        {
           $query_1 = "and (cxs_atnd_clockinout.calendar_date <= '".$text_todate."')";
        }   
        if($selected_category!='')
        {
            $query_1 .= "and cxs_atnd_clockinout.time_type ='".$selected_category."'";
        }
        $qry = "select cxs_atnd_clockinout.session_id, (select cxs_time_off.reason from cxs_time_off where cxs_time_off.id = cxs_atnd_clockinout.time_off_id) as card_reason,calendar_date,concat(time_type,' Time') as time_card, time_in_stamp,time_out_stamp,
                TIME_FORMAT(TIMEDIFF(cxs_atnd_clockinout.time_out_stamp,cxs_atnd_clockinout.time_in_stamp), '%H:%i') AS TimeDuration,
                cxs_atnd_clockinout.creation_date as submitted_on,
                (select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_atnd_clockinout.created_by) as submitted_by,
                (select cxs_atnd_clockinout_ar_status.current_status from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status,

                (select cxs_atnd_clockinout_ar_status.created_by from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_created_by,

                (select cxs_atnd_clockinout_ar_status.last_udpated_by from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_last_udpated_by,

                (select cxs_atnd_clockinout_ar_status.creation_date from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_creation_date,

                (select cxs_atnd_clockinout_ar_status.last_update_date from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_last_update_date,

                (select cxs_atnd_clockinout_ar_status.created_timezone from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_created_timezone,

                (select cxs_atnd_clockinout_ar_status.updated_timezone from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_updated_timezone,
                
                (select cxs_atnd_clockinout_ar_status.status_comment from cxs_atnd_clockinout_ar_status 
                where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_note,
                cxs_atnd_clockinout.missed_in_reason,cxs_atnd_clockinout.missed_out_reason,
                cxs_atnd_clockinout.created_by,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.creation_date,cxs_atnd_clockinout.last_update_date,
                cxs_atnd_clockinout.created_timezone,cxs_atnd_clockinout.updated_timezone from cxs_atnd_clockinout where cxs_atnd_clockinout.company_id ='".$_SESSION['login_user_array']['company_id']."' 
                and cxs_atnd_clockinout.user_id = '".$selected_user_id."' ".$query_1." group by cxs_atnd_clockinout.session_id  ORDER BY calendar_date desc,time_in_stamp";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            
            $Total_ClockTimeHours = 0;
            $Total_MealTimeHours = 0;
            $Total_BreakTimeHours = 0;
            $Total_TimeOffDays = 0;
            
            $ClockTimeArr = array();
            $BreakTimeArr = array();
            $MealTimeArr = array();
            $TimeoffDayArr = array();
            
            $prev_calendar_date = "";
            while($row = mysqli_fetch_assoc($result))
            {
                
                if(!is_null($row['calendar_date']))
                {
                    //date('m/d/Y h:i a',strtotime($row['creation_date']))
                    $row['calendar_date'] = date('m/d/Y',strtotime($row['calendar_date']));
                }    
                /*if(!is_null($row['time_in_stamp'])  && !is_null($row['time_out_stamp']))
                {
                    if($row['time_card']=='time_off Time')
                    {
                        $row['TimeRange'] = date('m/d/Y',strtotime($row['time_in_stamp']))." to ".date('m/d/Y',strtotime($row['time_out_stamp']));
                    }
                    else
                    {
                        $row['TimeRange'] = date('m/d/Y h:i a',strtotime($row['time_in_stamp']))." to ".date('m/d/Y h:i a',strtotime($row['time_out_stamp']));
                    }    
                }
                else if(!is_null($row['time_in_stamp'])  && is_null($row['time_out_stamp']))
                {
                    $row['TimeRange'] = date('m/d/Y h:i a',strtotime($row['time_in_stamp']));
                }*/
                if($row['time_card']=='time_off Time')
                {
                    if(!is_null($row['time_in_stamp']))
                    {
                        $row['time_in_stamp'] = date('m/d/Y',strtotime($row['time_in_stamp']));
                    }
                    
                    if(!is_null($row['time_out_stamp']))
                    {
                        $row['time_out_stamp'] = date('m/d/Y',strtotime($row['time_out_stamp']));
                    }
                }
                else 
                {
                    if(!is_null($row['time_in_stamp']))
                    {
                        $row['time_in_stamp'] = date('m/d/Y h:i a',strtotime($row['time_in_stamp']));
                    }
                    
                    if(!is_null($row['time_out_stamp']))
                    {
                        $row['time_out_stamp'] = date('m/d/Y h:i a',strtotime($row['time_out_stamp']));
                    }
                    else
                    {
                        $row['time_out_stamp'] = "";
                    }
                }
                
                if(is_null($row['TimeDuration']))
                {
                    $row['TimeDuration']='';
                }
                else
                {
                    if($row['time_card']=='time_off Time')
                    {
                        $FromDate= date('Y-m-d',strtotime($row['time_in_stamp']));
                        $ToDate = date('Y-m-d',strtotime($row['time_out_stamp']));
                        $TotalDays = differenceInDays($FromDate,$ToDate);
                        $row['TimeDuration'] = $TotalDays." day(s)";
                        $Total_TimeOffDays = $Total_TimeOffDays+$TotalDays;
                    }
                    else
                    {
                        if($row['time_card']=='clock Time')
                        {
                            //$Total_ClockTimeHours = $Total_ClockTimeHours+$row['TimeDuration'];
                            $ClockTimeArr[]=$row['TimeDuration'];
                        }
                        else if($row['time_card']=='break Time')
                        {
                            //$Total_BreakTimeHours = $Total_BreakTimeHours+$row['TimeDuration'];
                            $BreakTimeArr[]=$row['TimeDuration'];
                        }
                        else if($row['time_card']=='meal Time')
                        {
                            //$Total_MealTimeHours = $Total_MealTimeHours+$row['TimeDuration'];
                            $MealTimeArr[]=$row['TimeDuration'];
                        }
                        $row['TimeDuration'] = $row['TimeDuration']." hrs";
                    }    
                }
                
                if($row['time_card']=='time_off Time')
                {
                    $row['time_card'] = "PTO (Out of Office)";
                }
                else
                {
                    $row['time_card'] = ucwords($row['time_card']);
                }
                
                if(is_null($row['card_status_note']))
                {
                    $row['card_status_note']='';
                }                
                
                
                $row['submitted_on'] = date('m/d/Y h:i a',strtotime($row['submitted_on']));
                if (is_null($row['card_status']))
                {
                    $row['card_status'] = "";
                    $value = array();
                    $value['created_by'] = $row['created_by'];
                    $value['last_udpated_by'] = $row['last_udpated_by'];
                    $value['creation_date'] = $row['creation_date'];
                    $value['last_update_date'] = $row['last_update_date'];
                    $value['created_timezone'] = $row['created_timezone'];
                    $value['updated_timezone'] = $row['updated_timezone'];                    
                }
                else 
                {
                    /*$row['card_status'] = $row['card_status']=="A"?"Approved":"Rejected";*/
                    if($row['card_status']=="A")
                    {
                        $row['card_status'] = "Approved";
                    }
                    else if($row['card_status']=="R")
                    {
                        $row['card_status'] = "Rejected";
                    }
                    else if($row['card_status']=="S")
                    {
                        $row['card_status'] = "Resubmit";
                    }
                    $value = array();
                    $value['created_by'] = $row['card_status_created_by'];
                    $value['last_udpated_by'] = $row['card_status_last_udpated_by'];
                    $value['creation_date'] = $row['card_status_creation_date'];
                    $value['last_update_date'] = $row['card_status_last_update_date'];
                    $value['created_timezone'] = $row['card_status_created_timezone'];
                    $value['updated_timezone'] = $row['card_status_updated_timezone'];                    
                }
                if (is_null($row['card_reason']))
                {
                    $row['card_reason'] = "";
                }
                $data_content_eye_icon = show_eye_icon_data_format($value);
                $row['data_content_eye_icon'] = $data_content_eye_icon;
                $table_list[] = $row;
                
                
            }
        }
        
        $Total_ClockTimeHours = CalculateTime($ClockTimeArr);
        $Total_BreakTimeHours = CalculateTime($BreakTimeArr);
        $Total_MealTimeHours = CalculateTime($MealTimeArr);
        
       
        
        $succ=1;
        echo json_encode(array("succ" => $succ,"qry"=>$qry,"data"=>$table_list,"ClockTimeHours"=>$Total_ClockTimeHours,"BreakTimeHours"=>$Total_BreakTimeHours,"MealTimeHours"=>$Total_MealTimeHours,"TimeOffDays"=>$Total_TimeOffDays ));
        exit;
    }        
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_user_current_time') 
    {
        $selected_user_id = isset($_POST['selected_user_id'])?trim($_POST['selected_user_id']):''; 
        
        $currTz = GetUserTimeZone($selected_user_id);
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('h:i a');
        $succ = 1;
        
        echo json_encode(array("succ" => $succ,"curTime"=>$curTime));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_attend_card_data') 
    {
        $time_card_id= isset($_POST['time_card_id'])?trim($_POST['time_card_id']):''; 
        $qry = "select * from cxs_atnd_clockinout_ar_status where time_card_id = '".$time_card_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."' and current_status = 'R' order by status_id desc limit 1";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $row = mysqli_fetch_assoc($result);
        }
        $succ = 1;
        
        echo json_encode(array("succ" => $succ,"data"=>$row));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'calculate_time_duration_minutes') 
    {
        $from_date = isset($_POST['from_date'])?trim($_POST['from_date']):''; 
        $from_time = isset($_POST['from_time'])?trim($_POST['from_time']):''; 
        $to_time = isset($_POST['to_time'])?trim($_POST['to_time']):''; 
        
        if($from_time!='')
        {
            $from_time = date('h:i a',strtotime($from_time));
            $from_time1 = $from_time;
        }    
        if($from_time!='')
        {
            $to_time = date('h:i a',strtotime($to_time));
            $to_time1 = $to_time;
        }        
        
        
        $start_date_time = $from_date." ".$from_time;
        $end_date_time = $from_date." ".$to_time;                
        $difference = differenceInMinutes($from_time,$to_time);
        if($difference<0)
        {
            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($from_date))));
            $from_time = $from_date." ".$from_time;
            $to_time = $new_date." ".$to_time;
            $difference = differenceInMinutes($from_time,$to_time);
            $end_date_time = $new_date." ".$to_time;
        }
        $hour = floor($difference/60);
        $minutes = $difference % 60;
        if($minutes<10)
        {
            $minutes = "0".$minutes;
        }        
        $time_duration = $hour.".".$minutes." Hours";
        $succ = 1;
        echo json_encode(array("succ" => $succ,"time_duration"=>$time_duration,"start_date_time"=>$start_date_time,"end_date_time"=>$end_date_time,"from_time1"=>$from_time1,"to_time1"=>$to_time1));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_card_correction') 
    {
//        parse_str($_POST['form1'],$formArr1);      
//        
//        $h_selectedid = isset($formArr1['h_selectedid'])?$formArr1['h_selectedid']:''; //isset($_POST['h_selectedid'])?trim($_POST['h_selectedid']):''; 
//        
//        
//        $qry = "select * from cxs_atnd_clockinout where session_id = '".$h_selectedid."'";
//        $result = mysqli_query($conn,$qry);
        
        $session_id = isset($_POST["session_id"])?$_POST["session_id"]:'';
        $user_id = isset($_POST["user_id"])?$_POST["user_id"]:'';
        
        $time_typeArr = isset($_POST["time_type"])?$_POST["time_type"]:'';
        $time_in_stampArr = isset($_POST["time_in_stamp"])?$_POST["time_in_stamp"]:'';
        $time_out_stampArr = isset($_POST["time_out_stamp"])?$_POST["time_out_stamp"]:'';
        $user_reasonArr = isset($_POST["user_reason"])?$_POST["user_reason"]:'';
        
        $_SESSION['login_user_array']['user_timezone'];
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $succ = 0;
        
        $time_card_id = "";
        
        foreach($time_typeArr as $key => $value)
        {
            $insArr = array();
            if($value != '')
            {
                $insArr['time_type'] = $value;  
                $insArr['time_in_stamp'] = date('Y-m-d H:i:s', strtotime($time_in_stampArr[$key]));  
                $insArr['time_out_stamp'] = date('Y-m-d H:i:s', strtotime($time_out_stampArr[$key]));
                $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['last_update_date']= $curTime;
                $insArr['updated_timezone']= $currTz;
                $insArr['missed_in_reason'] = isset($user_reasonArr[$key])?$user_reasonArr[$key]:'';
                if($key==0 && $session_id!='')
                {
                   updatedata("cxs_atnd_clockinout",$insArr,"where session_id = '".$session_id."'");
                   
                   //updatedata("cxs_atnd_clockinout_ar_status",$insArr,"where session_id = '".$session_id."'");
                   $qry = "select * from cxs_atnd_clockinout_ar_status where time_card_id = '".$session_id."' order by status_id desc limit 1";
                   $result = mysqli_query($conn,$qry);
                   if(mysqli_num_rows($result)>0)
                   {
                       $row = mysqli_fetch_assoc($result);
                       $update_qry ="update cxs_atnd_clockinout_ar_status set current_status = 'S' where time_card_id = '".$session_id."' and status_id = '".$row['status_id']."'";
                       mysqli_query($conn,$update_qry);
                   }
                   $succ = 1;
                }
                else 
                {
                    $insArr['user_id'] = $user_id;  
                    $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:'';
                    $insArr['created_by'] = isset($_SESSION['login_user_array']['created_by'])?$_SESSION['login_user_array']['created_by']:'';
                    $insArr['creation_date']= $curTime;
                    $insArr['created_timezone']= $currTz;
                    $insArr['calendar_date']= date('Y-m-d', strtotime($time_in_stampArr[$key])); 
                    if($session_id=='')
                    {
                        $insArr['is_missed_in'] = 'Y';
                        $insArr['is_missed_out'] = 'Y';
                        /*$insArr['missed_in_reason'] = $user_reasonArr[$key];*/
                    }
                    $succ = 1;
                    $time_card_id = insertdata("cxs_atnd_clockinout",$insArr);
                }
                
                if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED" && $time_card_id!='')
                {
                    AutoApproveAttendanceForSelfEmployed($time_card_id,$currTz);
                }
                
                
            }
        }
        
        
        
        $qry = "";
        echo json_encode(array("succ" => $succ,"qry"=>$qry));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_supervisor_workbench_data')
    {
        $succ=1;
        $msg="";
        $data = array();
        $query_1 = "";
        
        $selected_date = isset($_POST["selected_date"])?$_POST["selected_date"]:'';
        $selected_user_id = isset($_POST["selected_user_id"])?$_POST["selected_user_id"]:'';
        $login_user_timezone = $_SESSION['login_user_array']['user_timezone'];
        
        if($selected_date=='')
        {
            $date = new DateTime("now", new DateTimeZone($login_user_timezone) );
            $curTime = $date->format('Y-m-d');
            $selected_date = $curTime;
        }
        else 
        {
            $selected_date = date('Y-m-d',strtotime($selected_date));
        }
        
        if($selected_user_id!="")
        {
            $query_1 .= " and cxs_user.user_id = '".$selected_user_id."' ";
        }
        if($_SESSION['login_user_array']['user_role']!='Admin' && $selected_user_id=="")
        {
            $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");
            
            $query_1 .= "AND (cxs_employee.supervisor_id='".$supervisor_id."' OR cxs_employee.employee_id ='".$supervisor_id."')";
        }    
        $qry = "select cxs_user.user_id,cxs_user.user_email,cxs_user.full_name,cxs_user.image_name,(select  DATE_FORMAT(schedule_datetime_start,'%c/%d/%Y %h:%i %p') from cxs_employee_schedules 
                where cxs_employee_schedules.user_id =   cxs_user.user_id and schedule_time_category = 'Regular Time' and cxs_employee_schedules.schedule_date = '".$selected_date."') as schedule_shift_start,
                (select  DATE_FORMAT(schedule_datetime_end,'%c/%d/%Y %h:%i %p') from cxs_employee_schedules where cxs_employee_schedules.user_id =   cxs_user.user_id and schedule_time_category = 'Regular Time' 
                and cxs_employee_schedules.schedule_date = '".$selected_date."') as schedule_shift_end ,
                (select concat(TIME_FORMAT(TIMEDIFF(schedule_datetime_end,schedule_datetime_start), '%H:%i'),' ',' Hours') from cxs_employee_schedules where cxs_employee_schedules.user_id =   cxs_user.user_id and schedule_time_category = 'Regular Time' 
                and cxs_employee_schedules.schedule_date = '".$selected_date."') as TimeDuration,
                (select  DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p') from cxs_atnd_clockinout where cxs_atnd_clockinout.user_id =   cxs_user.user_id 
                and cxs_atnd_clockinout.calendar_date = '".$selected_date."' order by session_id limit 1) as absent,    
                    
                (select  DATE_FORMAT(time_in_stamp,'%c/%d/%Y %h:%i %p') from cxs_atnd_clockinout where cxs_atnd_clockinout.user_id =   cxs_user.user_id 
                and ( ('".$selected_date."'  between DATE(cxs_atnd_clockinout.time_in_stamp) and DATE(cxs_atnd_clockinout.time_out_stamp)))  and time_type='time_off' order by session_id limit 1) as time_off,    

                (select  '".$selected_date."' as a from cxs_atnd_clockinout where cxs_atnd_clockinout.user_id =   cxs_user.user_id 
                and ( ('".$selected_date."'  between DATE(cxs_atnd_clockinout.time_in_stamp) and DATE(cxs_atnd_clockinout.time_out_stamp)))  and time_type='time_off' order by session_id limit 1) as time_off_date,    
                
                (select  reason from cxs_time_off where  cxs_time_off.user_id =   cxs_user.user_id 
                and ( ('".$selected_date."'  between DATE(cxs_time_off.from_date) and DATE(cxs_time_off.to_date)))) as time_off_reason,
                    
                (select  concat( DATE_FORMAT(cxs_time_off.from_date,'%c/%d/%Y'),' - ',DATE_FORMAT(cxs_time_off.to_date,'%c/%d/%Y') ) from cxs_time_off inner join cxs_atnd_clockinout on cxs_atnd_clockinout.time_off_id = cxs_time_off.id                 
		where  cxs_time_off.user_id =   cxs_user.user_id 
                and ( ('".$selected_date."'  between DATE(cxs_time_off.from_date) and DATE(cxs_time_off.to_date)))  )  as time_off_start_end,
					     
                (select  concat(TIME_FORMAT(TIMEDIFF(cxs_time_off.to_date,cxs_time_off.from_date), '%H:%i'),' ',' Hours')  from cxs_time_off inner join cxs_atnd_clockinout on cxs_atnd_clockinout.time_off_id = cxs_time_off.id                 
                where  cxs_time_off.user_id =   cxs_user.user_id and ( ('".$selected_date."'  between DATE(cxs_time_off.from_date) and DATE(cxs_time_off.to_date)))  )  as time_off_start_end_hours,
					     

                (select  cxs_atnd_clockinout_ar_status.current_status from cxs_time_off inner join cxs_atnd_clockinout on cxs_atnd_clockinout.time_off_id = cxs_time_off.id 
                inner join cxs_atnd_clockinout_ar_status on cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id 
                where  cxs_time_off.user_id =   cxs_user.user_id 
                and ( ('".$selected_date."'  between DATE(cxs_time_off.from_date) and DATE(cxs_time_off.to_date))) order by cxs_atnd_clockinout_ar_status.status_id desc limit 1 )  as time_off_status,
                cxs_user.user_timezone
                from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id
                WHERE cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."'".$query_1."  order by cxs_user.full_name";
        
        
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            $counter = 0;
            while($row=mysqli_fetch_assoc($result))
            {
                if($row['image_name']=='')
                {
                    $row['image_name'] = SITEURL."images/faces/default_face.png";
                }
                else
                {
                    $row['image_name'] = SITEURL."img/uploads/user_images/".$row['image_name'];
                }
                if(is_null($row['schedule_shift_start']))
                {
                    $row['schedule_shift_start']="-";
                }
                if(is_null($row['schedule_shift_end']))
                {
                    $row['schedule_shift_end']="-";
                }
                
                if(is_null($row['TimeDuration']))
                {
                    $row['TimeDuration']="-";
                }
                
                $Is_absent = "";
                if(is_null($row['absent']) && is_null($row['time_off'])) 
                {
                    $Is_absent = "Unreported";
                }
                else
                {
                    if(!is_null($row['time_off']))
                    {
                        $Is_absent = "Reported";
                    }
                }
                $row['is_absent'] = $Is_absent;
                if(is_null($row['time_off_start_end']))
                {
                    $row['time_off_start_end'] = "";
                }
                
                if(is_null($row['time_off_status']))
                {
                    $row['time_off_status'] = "";
                }
                else if($row['time_off_status'] == "A")
                {
                    $row['time_off_status'] = "Approved";
                }
                else if($row['time_off_status'] == "R")
                {
                    $row['time_off_status'] = "Rejected";
                }
                $submitted_clock_in = "";
                $submitted_clock_out = "";
                $submitted_clock_hours= "";
                
                $submitted_break_in = "";
                $submitted_break_out = "";
                $submitted_break_hours= "";
                
                $submitted_meal_in = "";
                $submitted_meal_out = "";
                $submitted_meal_hours= "";
                
                $submitted_status = "";
                $calendar_date = "";
                
                $missed_clock_in = "";
                $missed_clock_out = "";
                $missed_clock_hours= "";
                
                $missed_break_in = "";
                $missed_break_out = "";
                $missed_break_hours = "";
                
                $missed_meal_in = "";
                $missed_meal_out = "";
                $missed_meal_hours = "";
                
                $missed_status = "";
                
                $missed_clock_status = "";
                $missed_break_status = "";
                $missed_meal_status = "";
                
                
                $missed_all_clock_in = "";
                $missed_all_break_in= "";
                $missed_all_meal_in= "";
                $missed_all_clock_out= "";
                $missed_all_break_out= "";
                $missed_all_meal_out= "";                
                $missed_all_clock_hours= "";
                $missed_all_break_hours= "";
                $missed_all_meal_hours= "";                
                $missed_all_clock_status= "";
                $missed_all_break_status= "";
                $missed_all_meal_status="";                
                $missed_all_status = "";
                
                
                $all_status_clock_in = "";
                $all_status_break_in= "";
                $all_status_meal_in= "";
                $all_status_clock_out= "";
                $all_status_break_out= "";
                $all_status_meal_out= "";                
                $all_status_clock_hours= "";
                $all_status_break_hours= "";
                $all_status_meal_hours= "";                
                $all_status_clock_status= "";
                $all_status_break_status= "";
                $all_status_meal_status="";                
                $all_status_status = "";
                
                
                $qry1 = "select * from (
                select * from (select calendar_date,time_type,  DATE_FORMAT(cxs_atnd_clockinout.time_in_stamp,'%c/%d/%Y %h:%i %p') as time_in_stamp,  DATE_FORMAT(cxs_atnd_clockinout.time_out_stamp,'%c/%d/%Y %h:%i %p') as time_out_stamp,cxs_atnd_clockinout.is_missed_in as is_missed,
                (select current_status from cxs_atnd_clockinout_ar_status where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by status_id limit 1) as current_status,time_in_stamp as time_in_stamp1, concat(TIME_FORMAT(TIMEDIFF(time_out_stamp,time_in_stamp), '%H:%i'),' ',' Hours') as TimeDuration1
                from cxs_atnd_clockinout  LEFT JOIN cxs_atnd_clockinout_ar_status ON cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
		where cxs_atnd_clockinout.user_id = '".$row['user_id']."' and cxs_atnd_clockinout.calendar_date = '".$selected_date."'  and
                (cxs_atnd_clockinout_ar_status.time_card_id IS NULL OR cxs_atnd_clockinout_ar_status.current_status='S') and cxs_atnd_clockinout.is_missed_in = 'N' and cxs_atnd_clockinout.is_missed_out = 'N' order by time_type,time_in_stamp ) as a union all 
                
                select * from (select calendar_date,time_type,  DATE_FORMAT(cxs_atnd_clockinout.time_in_stamp,'%c/%d/%Y %h:%i %p') as time_in_stamp,  DATE_FORMAT(cxs_atnd_clockinout.time_out_stamp,'%c/%d/%Y %h:%i %p') as time_out_stamp,cxs_atnd_clockinout.is_missed_in  as is_missed,
                (select current_status from cxs_atnd_clockinout_ar_status where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by status_id limit 1) as current_status,time_in_stamp as time_in_stamp1,concat(TIME_FORMAT(TIMEDIFF(time_out_stamp,time_in_stamp), '%H:%i'),' ',' Hours') as TimeDuration1 
                from cxs_atnd_clockinout  LEFT JOIN cxs_atnd_clockinout_ar_status ON cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
		where cxs_atnd_clockinout.user_id = '".$row['user_id']."' and cxs_atnd_clockinout.calendar_date = '".$selected_date."'  and
                cxs_atnd_clockinout.is_missed_in = 'Y' and cxs_atnd_clockinout.is_missed_out = 'Y'  order by time_type,time_in_stamp ) as b union all 
                

                select * from (select calendar_date,time_type,  DATE_FORMAT(cxs_atnd_clockinout.time_in_stamp,'%c/%d/%Y %h:%i %p') as time_in_stamp,  DATE_FORMAT(cxs_atnd_clockinout.time_out_stamp,'%c/%d/%Y %h:%i %p') as time_out_stamp,'All' as is_missed,
                (select current_status from cxs_atnd_clockinout_ar_status where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by status_id limit 1) as current_status,time_in_stamp as time_in_stamp1, concat(TIME_FORMAT(TIMEDIFF(time_out_stamp,time_in_stamp), '%H:%i'),' ',' Hours') as TimeDuration1
                from cxs_atnd_clockinout  LEFT JOIN cxs_atnd_clockinout_ar_status ON cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
		where cxs_atnd_clockinout.user_id = '".$row['user_id']."' and cxs_atnd_clockinout.calendar_date = '".$selected_date."'  
                order by time_type,time_in_stamp ) as c union all
                

                select * from (select calendar_date,time_type,  DATE_FORMAT(cxs_atnd_clockinout.time_in_stamp,'%c/%d/%Y %h:%i %p') as time_in_stamp,  DATE_FORMAT(cxs_atnd_clockinout.time_out_stamp,'%c/%d/%Y %h:%i %p') as time_out_stamp,'All_Status' as is_missed,
                (select current_status from cxs_atnd_clockinout_ar_status where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by status_id limit 1) as current_status,time_in_stamp as time_in_stamp1, concat(TIME_FORMAT(TIMEDIFF(time_out_stamp,time_in_stamp), '%H:%i'),' ',' Hours') as TimeDuration1
                from cxs_atnd_clockinout  LEFT JOIN cxs_atnd_clockinout_ar_status ON cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id
		where cxs_atnd_clockinout.user_id = '".$row['user_id']."' and cxs_atnd_clockinout.calendar_date = '".$selected_date."' and (cxs_atnd_clockinout_ar_status.time_card_id IS not NULL OR cxs_atnd_clockinout_ar_status.current_status<>'S')
                order by time_type,time_in_stamp )  as d    

                ) as e 
                order by is_missed,time_type,time_in_stamp1 ";
                $result1 = mysqli_query($conn,$qry1);
                if(mysqli_num_rows($result1) > 0)                
                { 
                    while($row1 = mysqli_fetch_assoc($result1))
                    {
                        if($row1['is_missed']=="N")
                        {
                            if($row1['time_type']=='clock')
                            {
                                $submitted_clock_in.= $row1['time_in_stamp']."|";   
                                $submitted_clock_out.= $row1['time_out_stamp']."|";
                                $submitted_clock_hours.= $row1['TimeDuration1']."|";
                            }
                            else if($row1['time_type']=='break')
                            {
                                $submitted_break_in.= $row1['time_in_stamp']."|";   
                                $submitted_break_out .= $row1['time_out_stamp']."|";
                                $submitted_break_hours.= $row1['TimeDuration1']."|";
                            }
                            
                            else if($row1['time_type']=='meal')
                            {
                                $submitted_meal_in.= $row1['time_in_stamp']."|";   
                                $submitted_meal_out .= $row1['time_out_stamp']."|";
                                $submitted_meal_hours.= $row1['TimeDuration1']."|";
                            }
                            
                            $calendar_date = $row1['calendar_date'];
                            $submitted_status = $row1['current_status'];
                            
                            
                            if(is_null($row1['current_status']))
                            {
                                $submitted_status .= " "."|";
                            }
                            else
                            {
                                if($row1['current_status']=="S")
                                {
                                    $submitted_status .= "Resubmitted"."|";
                                }
                            }                            
                        }
                        else if ($row1['is_missed']=="Y")
                        {
                            $calendar_date = $row1['calendar_date'];
                            if(is_null($row1['current_status']))
                            {
                                $missed_status = "Pending";
                            }
                            else
                            {
                                if($row1['current_status']=="A")
                                {
                                    $missed_status = "Approved";
                                }
                                else if($row1['current_status']=="R")
                                {
                                    $missed_status = "Rejected";
                                }
                                else if($row1['current_status']=="S")
                                {
                                    $missed_status = "Resubmit";
                                }
                            }
                            if($row1['time_type']=='clock')
                            {
                                $missed_clock_in .= $row1['time_in_stamp']."|";   
                                $missed_clock_out .= $row1['time_out_stamp']."|";
                                $missed_clock_hours.= $row1['TimeDuration1']."|";
                                $missed_clock_status.= $missed_status."|"; 
                            }    
                            else if($row1['time_type']=='break')
                            {
                                $missed_break_in .= $row1['time_in_stamp']."|";   
                                $missed_break_out .= $row1['time_out_stamp']."|";
                                $missed_break_hours.= $row1['TimeDuration1']."|";
                                $missed_break_status.= $missed_status."|"; 
                            }
                            else if($row1['time_type']=='meal')
                            {
                                $missed_meal_in .= $row1['time_in_stamp']."|";   
                                $missed_meal_out .= $row1['time_out_stamp']."|";
                                $missed_meal_hours.= $row1['TimeDuration1']."|";
                                $missed_meal_status.= $missed_status."|"; 
                            }
                            
                            if(is_null($row1['current_status']))
                            {
                                $missed_status .= " "."|";
                            }
                            else
                            {
                                if($row1['current_status']=="A")
                                {
                                    $missed_status .= "Approved"."|";
                                }
                                if($row1['current_status']=="R")
                                {
                                    $missed_status .= "Rejected"."|";
                                }
                            }
                        }
                        else if ($row1['is_missed']=="All")
                        {
                            if(is_null($row1['current_status']))
                            {
                                $missed_status_all = "Pending";
                            }
                            else
                            {
                                if($row1['current_status']=="A")
                                {
                                    $missed_status_all = "Approved";
                                }
                                else if($row1['current_status']=="R")
                                {
                                    $missed_status_all = "Rejected";
                                }
                                else if($row1['current_status']=="S")
                                {
                                    $missed_status_all = "Resubmit";
                                }
                            }
                            if($row1['time_type']=='clock')
                            {
                                $missed_all_clock_in .= $row1['time_in_stamp']."|";   
                                $missed_all_clock_out .= $row1['time_out_stamp']."|";
                                $missed_all_clock_hours.= $row1['TimeDuration1']."|";
                                $missed_all_clock_status.= $missed_status_all."|"; 
                            }    
                            else if($row1['time_type']=='break')
                            {
                                $missed_all_break_in .= $row1['time_in_stamp']."|";   
                                $missed_all_break_out .= $row1['time_out_stamp']."|";
                                $missed_all_break_hours.= $row1['TimeDuration1']."|";
                                $missed_all_break_status.= $missed_status_all."|"; 
                            }
                            else if($row1['time_type']=='meal')
                            {
                                $missed_all_meal_in .= $row1['time_in_stamp']."|";   
                                $missed_all_meal_out .= $row1['time_out_stamp']."|";
                                $missed_all_meal_hours.= $row1['TimeDuration1']."|";
                                $missed_all_meal_status.= $missed_status_all."|"; 
                            }
                            
                            if(is_null($row1['current_status']))
                            {
                                $missed_all_status .= " "."|";
                            }
                            else
                            {
                                if($row1['current_status']=="A")
                                {
                                    $missed_all_status .= "Approved"."|";
                                }
                                if($row1['current_status']=="R")
                                {
                                    $missed_all_status .= "Rejected"."|";
                                }
                            }
                        }
                        
                        else if ($row1['is_missed']=="All_Status")
                        {
                            if(is_null($row1['current_status']))
                            {
                                $all_status_status = "Pending";
                            }
                            else
                            {
                                if($row1['current_status']=="A")
                                {
                                    $all_status_status = "Approved";
                                }
                                else if($row1['current_status']=="R")
                                {
                                    $all_status_status = "Rejected";
                                }
                                else if($row1['current_status']=="S")
                                {
                                    $all_status_status = "Resubmit";
                                }
                            }
                            if($row1['time_type']=='clock')
                            {
                                $all_status_clock_in .= $row1['time_in_stamp']."|";   
                                $all_status_clock_out .= $row1['time_out_stamp']."|";
                                $all_status_clock_hours.= $row1['TimeDuration1']."|";
                                $all_status_clock_status.= $all_status_status."|"; 
                            }    
                            else if($row1['time_type']=='break')
                            {
                                $all_status_break_in .= $row1['time_in_stamp']."|";   
                                $all_status_break_out .= $row1['time_out_stamp']."|";
                                $all_status_break_hours.= $row1['TimeDuration1']."|";
                                $all_status_break_status.= $all_status_status."|"; 
                            }
                            else if($row1['time_type']=='meal')
                            {
                                $all_status_meal_in .= $row1['time_in_stamp']."|";   
                                $all_status_meal_out .= $row1['time_out_stamp']."|";
                                $all_status_meal_hours.= $row1['TimeDuration1']."|";
                                $all_status_meal_status.= $all_status_status."|"; 
                            }
                            
                            if(is_null($row1['current_status']))
                            {
                                $all_status_status .= " "."|";
                            }
                            else
                            {
                                if($row1['current_status']=="A")
                                {
                                    $all_status_status .= "Approved"."|";
                                }
                                if($row1['current_status']=="R")
                                {
                                    $all_status_status .= "Rejected"."|";
                                }
                            }
                        }
                    }
                }
                
                $row['calendar_date'] = $calendar_date;
                $row['submitted_clock_in'] = $submitted_clock_in;
                $row['submitted_break_in'] = $submitted_break_in;
                $row['submitted_meal_in'] = $submitted_meal_in;
                
                $row['submitted_clock_out'] = $submitted_clock_out;
                $row['submitted_break_out'] = $submitted_break_out;
                $row['submitted_meal_out'] = $submitted_meal_out;
                
                $row['submitted_clock_hours'] = $submitted_clock_hours;
                $row['submitted_break_hours'] = $submitted_break_hours;
                $row['submitted_meal_hours'] = $submitted_meal_hours;
                
                $row['submitted_status'] = $submitted_status;
                
                
                $row['missed_clock_in'] = $missed_clock_in;
                $row['missed_break_in'] = $missed_break_in;
                $row['missed_meal_in'] = $missed_meal_in;
                $row['missed_clock_out'] = $missed_clock_out;
                $row['missed_break_out'] = $missed_break_out;
                $row['missed_meal_out'] = $missed_meal_out;                
                $row['missed_clock_hours'] = $missed_clock_hours;
                $row['missed_break_hours'] = $missed_break_hours;
                $row['missed_meal_hours'] = $missed_meal_hours;                
                $row['missed_clock_status'] = $missed_clock_status;
                $row['missed_break_status'] = $missed_break_status;
                $row['missed_meal_status'] = $missed_meal_status;                
                
                $missed1 = array();
                $missed2 = array();
                $missed3 = array();
                
                $missed_clock_status = rtrim($missed_clock_status, "|");
                $missed_break_status = rtrim($missed_break_status, "|");
                $missed_meal_status = rtrim($missed_meal_status, "|");
                
                if($missed_clock_status!='')
                {
                    $missed1 = explode('|',$missed_clock_status);
                }    
                if($missed_break_status!='')
                {
                    $missed2 = explode('|',$missed_break_status);
                }    
                if($missed_meal_status!='')
                {
                    $missed3 = explode('|',$missed_meal_status);
                }
                $missed_result123 = "";
                $missed_result123 = CheckAllArrayValues($missed1,$missed2,$missed3);
              
                //$row['missed_status'] = ($missed_result123=="")?"-":$missed_result123;
                $row['missed_status'] = $missed_result123;
                $row['missed_all_clock_in'] = $missed_all_clock_in;
                $row['missed_all_break_in'] = $missed_all_break_in;
                $row['missed_all_meal_in'] = $missed_all_meal_in;
                $row['missed_all_clock_out'] = $missed_all_clock_out;
                $row['missed_all_break_out'] = $missed_all_break_out;
                $row['missed_all_meal_out'] = $missed_all_meal_out;                
                $row['missed_all_clock_hours'] = $missed_all_clock_hours;
                $row['missed_all_break_hours'] = $missed_all_break_hours;
                $row['missed_all_meal_hours'] = $missed_all_meal_hours;                
                $row['missed_all_clock_status'] = $missed_all_clock_status;
                $row['missed_all_break_status'] = $missed_all_break_status;
                $row['missed_all_meal_status'] = $missed_all_meal_status;                
                
                $missed1 = explode('|',$missed_all_clock_status);
                $missed2 = explode('|',$missed_all_break_status);
                $missed3 = explode('|',$missed_all_meal_status);
                
                $missed_all_result = array_diff($missed1,$missed2);
                if(empty($missed_all_result))
                {
                    $missed_all_result = array_diff($missed1,$missed3);
                }
                if(empty($missed_all_result))
                {
                    $row['missed_all_status'] = $missed1[0];
                }    
                else
                {
                    $row['missed_all_status'] = '-';
                }
                
                
                $row['all_status_clock_in'] = $all_status_clock_in;
                $row['all_status_break_in'] = $all_status_break_in;
                $row['all_status_meal_in'] = $all_status_meal_in;
                $row['all_status_clock_out'] = $all_status_clock_out;
                $row['all_status_break_out'] = $all_status_break_out;
                $row['all_status_meal_out'] = $all_status_meal_out;                
                $row['all_status_clock_hours'] = $all_status_clock_hours;
                $row['all_status_break_hours'] = $all_status_break_hours;
                $row['all_status_meal_hours'] = $all_status_meal_hours; 
                
                $row['all_status_clock_status'] = $all_status_clock_status;
                $row['all_status_break_status'] = $all_status_break_status;
                $row['all_status_meal_status'] = $all_status_meal_status;                
                
                $missed1 = explode('|',$all_status_clock_status);
                $missed2 = explode('|',$all_status_break_status);
                $missed3 = explode('|',$all_status_meal_status);
                
                $all_status_result = array_diff($missed1,$missed2);
                if(empty($all_status_result))
                {
                    $all_status_result = array_diff($missed1,$missed3);
                }
                if(empty($all_status_result))
                {
                    $row['all_status_status'] = $missed1[0];
                }    
                else
                {
                    $row['all_status_status'] = '-';
                }
                $data[] = $row;                
            }
        }
        $diplay_date = date("m/d/Y",strtotime($selected_date));
        
        echo json_encode(array("succ" => $succ,"data"=>$data,"msg"=>$qry,"diplay_date"=>$diplay_date));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_employee_schedule_data')
    {
        $selected_user_id = isset($_POST["selected_user_id"])?$_POST["selected_user_id"]:'';
        $text_fromdate = isset($_POST["text_fromdate"])?$_POST["text_fromdate"]:'';
        $text_todate = isset($_POST["text_todate"])?$_POST["text_todate"]:'';
        $query_1 = " where cxs_employee_schedules.company_id = '".$_SESSION['login_user_array']['company_id']."' ";
        if($selected_user_id!='')
        {
            $query_1 .= " and cxs_employee_schedules.user_id = '". $selected_user_id."' ";
        }else{
			if(isset($_REQUEST['p']) && $_REQUEST['p']!="" && $_REQUEST['p']=="true"){
				$qry = " and cxs_employee_schedules.user_id IN (SELECT member_userid FROM `cxs_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='".$_SESSION['login_user_array']['user_id']."' AND pm.company_id = '".$_SESSION['login_user_array']['company_id']."'))";
			}
		}
        if($text_fromdate!='')
        {
            $text_fromdate = date('Y-m-d',strtotime($text_fromdate));
        }
        if($text_todate!='')
        {
            $text_todate = date('Y-m-d',strtotime($text_todate));
        }
        $succ = 0;
        
        $data_list = array();
        
        $RegularTimeArr = array();
        $BreakTimeArr = array();
        $MealTimeArr = array();
        $OverTimeArr = array();
        $TimeoffDayArr = array();
        $Total_TimeOffDays = 0;
        $counter = -1;
        $msg = "";
        $TotalDays = 0;
        if($text_fromdate!='' && $text_todate!='')
        {   
            $TotalDays = differenceInDays($text_fromdate,$text_todate);
            if($TotalDays <= 0)
            {
                $msg = "From date must be older than To date.";
            }
        }    
       $qry = "select 
	   				cxs_user.full_name, cxs_user.image_name, cxs_employee_schedules.*, TIME_FORMAT(TIMEDIFF(cxs_employee_schedules.schedule_datetime_end, 
					cxs_employee_schedules.schedule_datetime_start), '%H:%i') AS TimeDuration,
					(select reason from cxs_time_off where cxs_time_off.user_id = cxs_employee_schedules.user_id AND (cxs_employee_schedules.schedule_date between DATE(cxs_time_off.from_date) and DATE(cxs_time_off.to_date)) ) as time_off_reason  from cxs_employee_schedules 
					inner join cxs_user on cxs_user.user_id = cxs_employee_schedules.user_id "
               		.$query_1." and (schedule_date >=  '".$text_fromdate."' and schedule_date <= '".$text_todate."') 
			   		order by 
						full_name, user_id, schedule_date, schedule_id";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)                
        { 
            $succ=1;
            $prev_calendar_date = "";
            $prev_user_id = "";
            
            while($row = mysqli_fetch_assoc($result))
            {
                //$data_list[] = $row;
                
                if($prev_calendar_date==$row['schedule_date'] && $prev_user_id ==$row['user_id'])
                {
                    
                }
                else 
                {
                    $counter++;
                    if($counter==0)
                    {
                        $image_name = SITEURL."images/faces/default_face.png";                        
                        if($row['image_name']!='')
                        {
                            $image_name = SITEURL."img/uploads/user_images/".$row['image_name'];
                        }
                        $data_list[$counter]['image_name'] = $image_name;
                        $data_list[$counter]['full_name'] = $row['full_name'];
                        $counter++;
                    }
                    else if($prev_user_id!=$row['user_id'])
                    {
                        $Total_RegularTimeHours = CalculateTime($RegularTimeArr);
                        $Total_BreakTimeHours = CalculateTime($BreakTimeArr);
                        $Total_MealTimeHours = CalculateTime($MealTimeArr);
                        $Total_OverTimeHours = CalculateTime($OverTimeArr);
                        
                        $data_list[$counter]['Total_RegularTimeHours'] = $Total_RegularTimeHours;
                        $data_list[$counter]['Total_BreakTimeHours'] = $Total_BreakTimeHours;
                        $data_list[$counter]['Total_MealTimeHours'] = $Total_MealTimeHours;
                        $data_list[$counter]['Total_OverTimeHours'] = $Total_OverTimeHours;
                        $data_list[$counter]['Total_LeaveDays'] = $Total_TimeOffDays;
                        
                        $RegularTimeArr = array();
                        $BreakTimeArr = array();
                        $MealTimeArr = array();
                        $OverTimeArr = array();
                        $Total_TimeOffDays = 0;
                        
                        $counter++;
                        
                        $image_name = SITEURL."images/faces/default_face.png";                        
                        if($row['image_name']!='')
                        {
                            $image_name = SITEURL."img/uploads/user_images/".$row['image_name'];
                        }
                        $data_list[$counter]['image_name'] = $image_name;
                        $data_list[$counter]['full_name'] = $row['full_name'];
                        $counter++;
                    }
                    
                }
                
                $data_list[$counter]['schedule_date'] = $row['schedule_date'];
                $data_list[$counter]['user_id'] = $row['user_id'];
                
                if($row['schedule_time_category']=='Regular Time')
                {
                    $data_list[$counter]['schedule_time_regular'] = $row['schedule_time_category'];
                    $data_list[$counter]['regular_time_start'] =  date('h:i a',strtotime($row['schedule_datetime_start']));                    
                    $data_list[$counter]['regular_time_end'] = date('h:i a',strtotime($row['schedule_datetime_end']));  
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_regular'] = $row['TimeDuration'];
                    $RegularTimeArr[]=$row['TimeDuration'];
                }    
                else if($row['schedule_time_category']=='Break Time')
                {
                    $data_list[$counter]['schedule_time_break'] = $row['schedule_time_category'];
                    $data_list[$counter]['break_time_start'] = date('h:i a',strtotime($row['schedule_datetime_start']));     
                    $data_list[$counter]['break_time_end'] = date('h:i a',strtotime($row['schedule_datetime_end']));  
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_break'] = $row['TimeDuration'];
                    $BreakTimeArr[]=$row['TimeDuration'];
                }    
                else if($row['schedule_time_category']=='Meal Time')
                {
                    $data_list[$counter]['schedule_time_meal'] = $row['schedule_time_category'];
                    $data_list[$counter]['meal_time_start'] = date('h:i a',strtotime($row['schedule_datetime_start']));     
                    $data_list[$counter]['meal_time_end'] = date('h:i a',strtotime($row['schedule_datetime_end']));  
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_meal'] = $row['TimeDuration'];
                    $MealTimeArr[]=$row['TimeDuration'];
                }
                else if($row['schedule_time_category']=='OverTime')
                {
                    $data_list[$counter]['schedule_time_overtime'] = $row['schedule_time_category'];
                    $data_list[$counter]['overtime_time_start'] = date('h:i a',strtotime($row['schedule_datetime_start']));     
                    $data_list[$counter]['overtime_time_end'] = date('h:i a',strtotime($row['schedule_datetime_end']));
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_overtime'] = $row['TimeDuration'];
                    $OverTimeArr[]=$row['TimeDuration'];
                    
                }
                else if($row['schedule_time_category']=='Leave Time')
                {
                    $data_list[$counter]['schedule_time_leave'] = "PTO (Out of Office)";
                    $data_list[$counter]['leave_time_reason'] = $row['time_off_reason'];
                    //$TimeoffDayArr[]=$row['TimeDuration'];
                    $FromDate1= date('Y-m-d',strtotime($row['schedule_datetime_start']));
                    $ToDate1 = date('Y-m-d',strtotime($row['schedule_datetime_end']));
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $TotalDays = differenceInDays($FromDate1,$ToDate1);
                    //$row['TimeDuration'] = $TotalDays." day(s)";
                    $Total_TimeOffDays = $Total_TimeOffDays+$TotalDays;
                }
                
                $prev_calendar_date = $row['schedule_date'];
                $prev_user_id = $row['user_id']; 
            }
        }
        
        if($msg=="")
        {
            $Total_RegularTimeHours = CalculateTime($RegularTimeArr);
            $Total_BreakTimeHours = CalculateTime($BreakTimeArr);
            $Total_MealTimeHours = CalculateTime($MealTimeArr);
            $Total_OverTimeHours = CalculateTime($OverTimeArr);
            $counter++;
            $data_list[$counter]['Total_RegularTimeHours'] = $Total_RegularTimeHours;
            $data_list[$counter]['Total_BreakTimeHours'] = $Total_BreakTimeHours;
            $data_list[$counter]['Total_MealTimeHours'] = $Total_MealTimeHours;
            $data_list[$counter]['Total_OverTimeHours'] = $Total_OverTimeHours;
            $data_list[$counter]['Total_LeaveDays'] = $Total_TimeOffDays;
        }    
        echo json_encode(array("succ" => $succ,"data"=>$data_list,"qry"=>$qry,"msg"=>$msg));
        //echo json_encode(array("succ" => $succ,"data"=>$data_list,"qry"=>$qry,"Total_RegularTimeHours"=>$Total_RegularTimeHours,"Total_BreakTimeHours"=>$Total_BreakTimeHours,"Total_MealTimeHours"=>$Total_MealTimeHours,"Total_OverTimeHours"=>$Total_OverTimeHours,"Total_LeaveDays"=>$Total_TimeOffDays));
        exit;
    }
    
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_attendance_data')
    {
        $selected_user_id = isset($_POST["selected_user_id"])?$_POST["selected_user_id"]:'';
        $text_fromdate = isset($_POST["text_fromdate"])?$_POST["text_fromdate"]:'';
        $text_todate = isset($_POST["text_todate"])?$_POST["text_todate"]:'';
        $selected_category = isset($_POST["selected_category"])?$_POST["selected_category"]:'';
        $query_1 = " where cxs_atnd_clockinout.company_id = '".$_SESSION['login_user_array']['company_id']."' ";
        if($selected_user_id!='')
        {
            $query_1 .= " and cxs_atnd_clockinout.user_id = '". $selected_user_id."' ";
        }else{
			if(isset($_REQUEST['p']) && $_REQUEST['p']!="" && $_REQUEST['p']=="true"){
				 $query_1 .= " and cxs_atnd_clockinout.user_id IN (SELECT member_userid FROM `cxs_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='".$_SESSION['login_user_array']['user_id']."' AND pm.company_id = '".$_SESSION['login_user_array']['company_id']."')) ";
			}
		}
        if($text_fromdate!='')
        {
            $text_fromdate = date('Y-m-d',strtotime($text_fromdate));
        }
        if($text_todate!='')
        {
            $text_todate = date('Y-m-d',strtotime($text_todate));
        }
        if($selected_category!='All')
        {
            if($selected_category == "Missed")
            {
                $query_1 .= " and cxs_atnd_clockinout.is_missed_in = 'Y'  AND cxs_atnd_clockinout.is_missed_out = 'Y'  ";
            }
            else
            {
                $query_1 .= " and cxs_atnd_clockinout.time_type = '". $selected_category."' ";
            }
        }
        $succ = 0;
        $TotalDays = 0;
        $msg = "";
        if($text_fromdate!='' && $text_todate!='')
        {   
            $TotalDays = differenceInDays($text_fromdate,$text_todate);
            if($TotalDays <= 0)
            {
                $msg = "From date must be older than To date.";
            }
        }    
        
        $data_list = array();
        
        $RegularTimeArr = array();
        $BreakTimeArr = array();
        $MealTimeArr = array();
        $OverTimeArr = array();
        $TimeoffDayArr = array();
        $Total_TimeOffDays = 0;
        $counter = -1;
        $Total_RegularTimeHours = "";
        $Total_BreakTimeHours = "";
        $Total_MealTimeHours = "";
        $Total_OverTimeHours = "";
        
        $qry = "select cxs_user.full_name,cxs_user.image_name,cxs_atnd_clockinout.*,TIME_FORMAT(TIMEDIFF(cxs_atnd_clockinout.time_out_stamp,cxs_atnd_clockinout.time_in_stamp), '%H:%i') AS TimeDuration,"
            ." (select reason from cxs_time_off where cxs_time_off.user_id = cxs_atnd_clockinout.user_id AND (cxs_atnd_clockinout.calendar_date between DATE(cxs_time_off.from_date) and DATE(cxs_time_off.to_date)) ) as time_off_reason,"
            ." ( select current_status from cxs_atnd_clockinout_ar_status where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by cxs_atnd_clockinout_ar_status.status_id desc limit 1) as timecard_status,"
            ." ( SELECT cxs_user.full_name FROM cxs_atnd_clockinout_ar_status inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout_ar_status.last_udpated_by  WHERE cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id ORDER BY cxs_atnd_clockinout_ar_status.status_id DESC LIMIT 1) AS timecard_status_by from cxs_atnd_clockinout "
            . "inner join cxs_user on cxs_user.user_id = cxs_atnd_clockinout.user_id "
            .$query_1." and (calendar_date >=  '".$text_fromdate."' and calendar_date <= '".$text_todate."') order by full_name,user_id,calendar_date,session_id";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)                
        { 
            $succ=1;
            $prev_calendar_date = "";
            $prev_user_id = "";
            
            while($row = mysqli_fetch_assoc($result))
            {
                //$data_list[] = $row;
                
                if($prev_calendar_date==$row['calendar_date'] && $prev_user_id ==$row['user_id'])
                {
                    
                }
                else 
                {
                    $counter++;
                    if($counter==0)
                    {
                        $image_name = SITEURL."images/faces/default_face.png";                        
                        if($row['image_name']!='')
                        {
                            $image_name = SITEURL."img/uploads/user_images/".$row['image_name'];
                        }
                        $data_list[$counter]['image_name'] = $image_name;
                        $data_list[$counter]['full_name'] = $row['full_name'];
                        $counter++;
                    }
                    else if($prev_user_id!=$row['user_id'])
                    {
                        $Total_RegularTimeHours = CalculateTime($RegularTimeArr);
                        $Total_BreakTimeHours = CalculateTime($BreakTimeArr);
                        $Total_MealTimeHours = CalculateTime($MealTimeArr);
                        $Total_OverTimeHours = CalculateTime($OverTimeArr);
                        
                        $data_list[$counter]['Total_RegularTimeHours'] = $Total_RegularTimeHours;
                        $data_list[$counter]['Total_BreakTimeHours'] = $Total_BreakTimeHours;
                        $data_list[$counter]['Total_MealTimeHours'] = $Total_MealTimeHours;
                        $data_list[$counter]['Total_OverTimeHours'] = $Total_OverTimeHours;
                        $data_list[$counter]['Total_LeaveDays'] = $Total_TimeOffDays;
                        
                        $RegularTimeArr = array();
                        $BreakTimeArr = array();
                        $MealTimeArr = array();
                        $OverTimeArr = array();
                        $Total_TimeOffDays = 0;
                        
                        $counter++;
                        
                        $image_name = SITEURL."images/faces/default_face.png";                        
                        if($row['image_name']!='')
                        {
                            $image_name = SITEURL."img/uploads/user_images/".$row['image_name'];
                        }
                        $data_list[$counter]['image_name'] = $image_name;
                        $data_list[$counter]['full_name'] = $row['full_name'];
                        $counter++;
                    }
                    
                }                
                $data_list[$counter]['calendar_date'] = date('m/d/Y',strtotime($row['calendar_date']));
                $data_list[$counter]['user_id'] = $row['user_id'];
                
                $time_card_status = "";
                $time_card_status_by = "";
                if (is_null($row['timecard_status']))
                {
                    $time_card_status = "Pending";
                }
                else
                {
                    $time_card_status_by = $row['timecard_status_by'];
                    
                    if($row['timecard_status']=="A")
                    {
                        $time_card_status = "Approved";
                    }
                    else if($row['timecard_status']=="R")
                    {
                        $time_card_status = "Rejected";
                    }
                }
                
                if($row['time_type']=='clock')
                {
                    $data_list[$counter]['time_type_clock'] = $row['time_type'];
                    $data_list[$counter]['clock_time_start'] =  date('h:i a',strtotime($row['time_in_stamp']));                    
                    $data_list[$counter]['clock_time_end'] = is_null($row['time_out_stamp'])?'':date('h:i a',strtotime($row['time_out_stamp']));
                    $data_list[$counter]['clock_time_status'] = $time_card_status;
                    $data_list[$counter]['clock_time_statusby'] = $time_card_status_by;
                    
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_clock'] = $row['TimeDuration'];
                    
                    
                    $RegularTimeArr[]=$row['TimeDuration'];
                    
                }    
                else if($row['time_type']=='break')
                {
                    
                    $data_list[$counter]['time_type_break'] = $row['time_type'];
                    $data_list[$counter]['break_time_start'] = date('h:i a',strtotime($row['time_in_stamp']));     
                    $data_list[$counter]['break_time_end'] = is_null($row['time_out_stamp'])?'':date('h:i a',strtotime($row['time_out_stamp']));  
                    $data_list[$counter]['break_time_status'] = $time_card_status;
                    $data_list[$counter]['break_time_statusby'] = $time_card_status_by;
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_break'] = $row['TimeDuration'];
                    $BreakTimeArr[]=$row['TimeDuration'];
                }    
                else if($row['time_type']=='meal')
                {
                    $data_list[$counter]['time_type_meal'] = $row['time_type'];
                    $data_list[$counter]['meal_time_start'] = date('h:i a',strtotime($row['time_in_stamp']));     
                    $data_list[$counter]['meal_time_end'] = is_null($row['time_out_stamp'])?'':date('h:i a',strtotime($row['time_out_stamp']));
                    $data_list[$counter]['meal_time_status'] = $time_card_status;
                    $data_list[$counter]['meal_time_statusby'] = $time_card_status_by;
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_meal'] = $row['TimeDuration'];
                    $MealTimeArr[]=$row['TimeDuration'];
                }
                else if($row['time_type']=='OverTime')
                {
                    $data_list[$counter]['time_type_oveertime'] = $row['time_type'];
                    $data_list[$counter]['overtime_time_start'] = date('h:i a',strtotime($row['time_in_stamp']));     
                    $data_list[$counter]['overtime_time_end'] = is_null($row['time_out_stamp'])?'':date('h:i a',strtotime($row['time_out_stamp']));
                    $data_list[$counter]['overtime_time_status'] = $time_card_status;
                    $data_list[$counter]['overtime_statusby'] = $time_card_status_by;
                    if(is_null($row['TimeDuration']))
                    {
                        $row['TimeDuration'] = "00:00";
                    }
                    $data_list[$counter]['TimeDuration_overtime'] = $row['TimeDuration'];
                    $OverTimeArr[]=$row['TimeDuration'];
                    
                }
                else if($row['time_type']=='time_off')
                {
                    $data_list[$counter]['time_type_leave'] = "PTO (Out of Office)";                    
                    $data_list[$counter]['timeoff_time_start'] = date('m/d/Y',strtotime($row['time_in_stamp']));     
                    $data_list[$counter]['timeoff_time_end'] = is_null($row['time_out_stamp'])?'':date('m/d/Y',strtotime($row['time_out_stamp']));
                    $data_list[$counter]['leave_time_reason'] = $row['time_off_reason'];
                    $data_list[$counter]['leave_time_status'] = $time_card_status;
                    $data_list[$counter]['leave_time_statusby'] = $time_card_status_by;
                    //$TimeoffDayArr[]=$row['TimeDuration'];
                    $FromDate1= date('Y-m-d',strtotime($row['time_in_stamp']));
                    $ToDate1 = date('Y-m-d',strtotime($row['time_out_stamp']));
                    
                    $TotalDays = differenceInDays($FromDate1,$ToDate1);
                    $row['TimeDuration'] = $TotalDays." day(s)";
                    $Total_TimeOffDays = $Total_TimeOffDays+$TotalDays;
                    $data_list[$counter]['TimeDuration_leavetime'] = $row['TimeDuration'];
                }
                
                $prev_calendar_date = $row['calendar_date'];
                $prev_user_id = $row['user_id']; 
            }
        }
        if($msg=="")
        {
            $Total_RegularTimeHours = CalculateTime($RegularTimeArr);
            $Total_BreakTimeHours = CalculateTime($BreakTimeArr);
            $Total_MealTimeHours = CalculateTime($MealTimeArr);
            $Total_OverTimeHours = CalculateTime($OverTimeArr);
            $counter++;
            $data_list[$counter]['Total_RegularTimeHours'] = $Total_RegularTimeHours;
            $data_list[$counter]['Total_BreakTimeHours'] = $Total_BreakTimeHours;
            $data_list[$counter]['Total_MealTimeHours'] = $Total_MealTimeHours;
            $data_list[$counter]['Total_OverTimeHours'] = $Total_OverTimeHours;
            $data_list[$counter]['Total_LeaveDays'] = $Total_TimeOffDays;
        }    
//        echo json_encode(array("succ" => $succ,"data"=>$data_list,"qry"=>$qry));
        echo json_encode(array("succ" => $succ,"data"=>$data_list,"qry"=>$qry,"Total_RegularTimeHours"=>$Total_RegularTimeHours,"Total_BreakTimeHours"=>$Total_BreakTimeHours,"Total_MealTimeHours"=>$Total_MealTimeHours,"Total_OverTimeHours"=>$Total_OverTimeHours,"Total_LeaveDays"=>$Total_TimeOffDays,"msg"=>$msg));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_emp_schedule_utilization')
    {
        $selected_user_id = isset($_POST["selected_user_id"])?$_POST["selected_user_id"]:'';
        $text_fromdate = isset($_POST["text_fromdate"])?$_POST["text_fromdate"]:'';
        $text_todate = isset($_POST["text_todate"])?$_POST["text_todate"]:'';

         if($text_fromdate!='')
        {
            $text_fromdate = date('Y-m-d',strtotime($text_fromdate));
        }
        if($text_todate!='')
        {
            $text_todate = date('Y-m-d',strtotime($text_todate));
        }
        
        $query_1 = "";
        $query_2 = "";
        
        $query_1 = " where cxs_employee_schedules.company_id = '".$_SESSION['login_user_array']['company_id']."' ";
        $query_2 = " where cxs_atnd_clockinout.company_id = '".$_SESSION['login_user_array']['company_id']."' ";
        if($text_fromdate!='' && $text_todate!='')
        {
            $query_1 .= " and (schedule_date >= '".$text_fromdate."' and schedule_date <= '".$text_todate."') ";
            $query_2 .= " and (calendar_date >= '".$text_fromdate."' and calendar_date <= '".$text_todate."') ";
        }
        else if($text_fromdate!='')
        {
            $query_1 .= " and schedule_date >= '".$text_fromdate."' ";
            $query_2 .= " and calendar_date >= '".$text_fromdate."'";
        }
        else if($text_todate!='')
        {
            $query_1 .= " and schedule_date <= '".$text_todate."' ";
            $query_2 .= " and calendar_date <= '".$text_todate."' ";
        }
        
        if($selected_user_id!='')
        {
			$query_1 .= " and cxs_employee_schedules.user_id = '". $selected_user_id."' ";
			$query_2 .= " and cxs_atnd_clockinout.user_id = '". $selected_user_id."' ";
        }else{
			if(isset($_REQUEST['p']) && $_REQUEST['p']!="" && $_REQUEST['p']=="true"){
				$query_1 .= " and cxs_employee_schedules.user_id IN (SELECT member_userid FROM `cxs_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='".$_SESSION['login_user_array']['user_id']."' AND pm.company_id = '".$_SESSION['login_user_array']['company_id']."')) ";
				$query_2 .= " and cxs_atnd_clockinout.user_id IN (SELECT member_userid FROM `cxs_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='".$_SESSION['login_user_array']['user_id']."' AND pm.company_id = '".$_SESSION['login_user_array']['company_id']."')) ";
			}
			
		}
       

         $succ = 0;
        $counter = -1;
        $msg = "";
        if($text_fromdate!='' && $text_todate!='')
        {   
            $TotalDays = differenceInDays($text_fromdate,$text_todate);
            if($TotalDays <= 0)
            {
                $msg = "From date must be older than To date.";
            }
        }    
        $data_list = array();
        $qry = "select * from (
                select cxs_user.full_name,cxs_user.image_name,cxs_employee_schedules.schedule_id as table_id,cxs_employee_schedules.user_id, cxs_employee_schedules.schedule_datetime_start as start_time,cxs_employee_schedules.schedule_datetime_end as end_time,
                if(cxs_employee_schedules.schedule_time_category='Regular Time','clock',cxs_employee_schedules.schedule_time_category) as category,cxs_employee_schedules.schedule_date as calendar_date, 'employee_schedule' as data_from,'' as timecard_status,
                '' as timecard_status_by,'' as timecard_status_comment from cxs_employee_schedules inner join cxs_user on cxs_user.user_id = cxs_employee_schedules.user_id ".$query_1.
                "union all
                select cxs_user.full_name,cxs_user.image_name,cxs_atnd_clockinout.session_id as table_id,cxs_atnd_clockinout.user_id,  cxs_atnd_clockinout.time_in_stamp as start_time,cxs_atnd_clockinout.time_out_stamp as end_time,
                cxs_atnd_clockinout.time_type as category,cxs_atnd_clockinout.calendar_date as calendar_date, 'actual_shift' as data_from,
                ( select current_status from cxs_atnd_clockinout_ar_status where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id order by cxs_atnd_clockinout_ar_status.status_id desc limit 1) as timecard_status,
                ( SELECT cxs_user.full_name FROM cxs_atnd_clockinout_ar_status inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout_ar_status.last_udpated_by  WHERE cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id ORDER BY cxs_atnd_clockinout_ar_status.status_id DESC LIMIT 1) AS timecard_status_by,
                ( SELECT cxs_atnd_clockinout_ar_status.status_comment FROM cxs_atnd_clockinout_ar_status WHERE cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id ORDER BY cxs_atnd_clockinout_ar_status.status_id DESC LIMIT 1) AS timecard_status_comment
                from cxs_atnd_clockinout inner join cxs_user on cxs_user.user_id = cxs_atnd_clockinout.user_id ".$query_2.
                ") as a
                ORDER BY user_id,calendar_date,category desc,data_from desc ";
                
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0 )
        {
            $succ=1;
            $prev_calendar_date = "";
            $prev_user_id = "";
            
            while($row=mysqli_fetch_assoc($result))
            {
                if($prev_calendar_date==$row['calendar_date'] && $prev_user_id ==$row['user_id'])
                {
                    
                }
                else 
                {
                    $counter++;
                    if($counter==0)
                    {
                        $image_name = SITEURL."images/faces/default_face.png";                        
                        if($row['image_name']!='')
                        {
                            $image_name = SITEURL."img/uploads/user_images/".$row['image_name'];
                        }
                        $data_list[$counter]['image_name'] = $image_name;
                        $data_list[$counter]['full_name'] = $row['full_name'];
                        $counter++;
                    }
                    else if($prev_user_id!=$row['user_id'])
                    {
                        $counter++;
                        
                        $image_name = SITEURL."images/faces/default_face.png";                        
                        if($row['image_name']!='')
                        {
                            $image_name = SITEURL."img/uploads/user_images/".$row['image_name'];
                        }
                        $data_list[$counter]['image_name'] = $image_name;
                        $data_list[$counter]['full_name'] = $row['full_name'];
                        $counter++;
                    }
                }
                $data_list[$counter]['calendar_date'] = date('m/d/Y',strtotime($row['calendar_date']));
                $data_list[$counter]['user_id'] = $row['user_id'];
                
                $time_card_status = "";
                $time_card_status_by = "";
                $time_card_status_comment = "";
                if (is_null($row['timecard_status']))
                {
                    $time_card_status = "Pending";
                }
                else
                {
                    $time_card_status_by = $row['timecard_status_by'];
                    
                    if($row['timecard_status']=="A")
                    {
                        $time_card_status = "Approved";
                    }
                    else if($row['timecard_status']=="R")
                    {
                        $time_card_status = "Rejected";
                    }
                    $time_card_status_comment = $row['timecard_status_comment'];
                }
                
                
                if($row['category']=='clock')
                {
                    if($row['data_from']=='employee_schedule')
                    {
                        $data_list[$counter]['schedule_category_clock'] = $row['category'];
                        $data_list[$counter]['schedule_clocktime_start'] =  date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['schedule_clocktime_end'] =  date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['schedule_clockstatus'] =  $time_card_status;
                        $data_list[$counter]['schedule_clockstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['schedule_clockstatus_comment'] =  $time_card_status_comment;
                    }    
                    else if($row['data_from']=='actual_shift')
                    {
                        $data_list[$counter]['actual_category_clock'] = $row['category'];                        
                        $data_list[$counter]['actual_clocktime_start'] = is_null($row['start_time'])?'':date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['actual_clocktime_end'] =  is_null($row['end_time'])?'':date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['actual_clockstatus'] =  $time_card_status;
                        $data_list[$counter]['actual_clockstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['actual_clockstatus_comment'] =  $time_card_status_comment;
                    }                        
                }    
                
                else if($row['category']=='Break Time'  || $row['category']=='break') 
                {
                    if($row['data_from']=='employee_schedule')
                    {
                        $data_list[$counter]['schedule_category_break'] = $row['category'];
                        $data_list[$counter]['schedule_breaktime_start'] =  is_null($row['start_time'])?'':date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['schedule_breaktime_end'] =  is_null($row['end_time'])?'':date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['schedule_breakstatus'] =  $time_card_status;
                        $data_list[$counter]['schedule_breakstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['schedule_breakstatus_comment'] =  $time_card_status_comment;
                    }    
                    else if($row['data_from']=='actual_shift')
                    {
                        $data_list[$counter]['actual_category_break'] = $row['category'];                        
                        $data_list[$counter]['actual_breaktime_start'] =  is_null($row['start_time'])?'':date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['actual_breaktime_end'] =  is_null($row['end_time'])?'':date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['actual_breakstatus'] =  $time_card_status;
                        $data_list[$counter]['actual_breakstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['actual_breakstatus_comment'] =  $time_card_status_comment;
                    }
                }
                
                else if($row['category']=='Meal Time'  || $row['category']=='meal') 
                {
                    if($row['data_from']=='employee_schedule')
                    {
                        $data_list[$counter]['schedule_category_meal'] = $row['category'];
                        $data_list[$counter]['schedule_mealtime_start'] =  is_null($row['start_time'])?'':date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['schedule_mealtime_end'] =  is_null($row['end_time'])?'':date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['schedule_mealstatus'] =  $time_card_status;
                        $data_list[$counter]['schedule_mealstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['schedule_mealstatus_comment'] =  $time_card_status_comment;
                    }    
                    else if($row['data_from']=='actual_shift')
                    {
                        $data_list[$counter]['actual_category_meal'] = $row['category'];                        
                        $data_list[$counter]['actual_mealtime_start'] =  is_null($row['start_time'])?'':date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['actual_mealtime_end'] =  is_null($row['end_time'])?'':date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['actual_mealstatus'] =  $time_card_status;
                        $data_list[$counter]['actual_mealstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['actual_mealstatus_comment'] =  $time_card_status_comment;
                    }
                }
                
                else if($row['category']=='OverTime') 
                {
                    if($row['data_from']=='employee_schedule')
                    {
                        $data_list[$counter]['schedule_category_overtime'] = $row['category'];
                        $data_list[$counter]['schedule_overtime_start'] =  is_null($row['start_time'])?'':date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['schedule_overtime_end'] =  is_null($row['end_time'])?'':date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['schedule_overtimestatus'] =  $time_card_status;
                        $data_list[$counter]['schedule_overtimestatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['schedule_overtimestatus_comment'] =  $time_card_status_comment;
                    }    
                    else if($row['data_from']=='actual_shift')
                    {
                        $data_list[$counter]['actual_category_overtime'] = $row['category'];                        
                        $data_list[$counter]['actual_overtime_start'] =  is_null($row['start_time'])?'':date('h:i a',strtotime($row['start_time']));
                        $data_list[$counter]['actual_overtime_end'] =  is_null($row['end_time'])?'':date('h:i a',strtotime($row['end_time']));
                        $data_list[$counter]['actual_overtimestatus'] =  $time_card_status;
                        $data_list[$counter]['actual_overtimestatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['actual_overtimestatus_comment'] =  $time_card_status_comment;
                    }
                }
                
                else if($row['category']=='time_off') 
                {
                    if($row['data_from']=='employee_schedule')
                    {
                        $data_list[$counter]['schedule_category_timeoff'] = $row['category'];
                        $data_list[$counter]['schedule_timeoff_start'] =  is_null($row['start_time'])?'':date('m/d/Y',strtotime($row['start_time']));
                        $data_list[$counter]['schedule_timeoff_end'] =  is_null($row['end_time'])?'':date('m/d/Y',strtotime($row['end_time'])); 
                        $data_list[$counter]['schedule_timeoffstatus'] =  $time_card_status;
                        $data_list[$counter]['schedule_timeoffsstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['schedule_timeoffstatus_comment'] =  $time_card_status_comment;
                    }    
                    else if($row['data_from']=='actual_shift')
                    {
                        $data_list[$counter]['actual_category_timeoff'] = $row['category'];                        
                        $data_list[$counter]['actual_timeoff_start'] =  is_null($row['start_time'])?'':date('m/d/Y',strtotime($row['start_time']));
                        $data_list[$counter]['actual_timeoff_end'] =  is_null($row['end_time'])?'':date('m/d/Y',strtotime($row['end_time']));                         
                        $data_list[$counter]['actual_timeoff_status'] =  $time_card_status;
                        $data_list[$counter]['actual_timeoffstatus_by'] =  $time_card_status_by;
                        $data_list[$counter]['actual_timeoffstatus_comment'] =  $time_card_status_comment;
                    }
                }                
                
                $prev_calendar_date = $row['calendar_date'];
                $prev_user_id = $row['user_id']; 
            }
        }
        
        
        if (sizeof($data_list)>0)
        {
            foreach($data_list as $key => $val) 
            {
                if(isset($val['schedule_category_clock']) && isset($val['actual_category_clock']))
                {
                    if ($data_list[$key]['schedule_clocktime_start'] = $data_list[$key]['actual_clocktime_start'])
                    {
                        $data_list[$key]['shift_clock_start_difference'] = "Shift Start On Time";
                    }
                    else if ($data_list[$key]['schedule_clocktime_start'] < $data_list[$key]['actual_clocktime_start'])
                    {
                        $data_list[$key]['shift_clock_start_difference'] = "Late Shift Start";
                    }
                    else if ($data_list[$key]['schedule_clocktime_start'] > $data_list[$key]['actual_clocktime_start'])
                    {
                        $data_list[$key]['shift_clock_start_difference'] = "Early Shift Start";                  
                    }                
                    if ($data_list[$key]['schedule_clocktime_end'] = $data_list[$key]['actual_clocktime_end'])
                    {
                        $data_list[$key]['shift_clock_end_difference'] = "Shift End On Time";
                    }             
                    else if ($data_list[$key]['schedule_clocktime_end'] < $data_list[$key]['actual_clocktime_end'])
                    {
                        $data_list[$key]['shift_clock_end_difference'] = "Late Shift End";                  
                    }
                    else if ($data_list[$key]['schedule_clocktime_end'] > $data_list[$key]['actual_clocktime_end'])
                    {
                        $data_list[$key]['shift_clock_end_difference'] = "Early Shift End";                  
                    }
                }
                else if(isset($val['schedule_category_clock']) && !isset($val['actual_category_clock']))
                {
                    if(isset($val['actual_category_timeoff']))
                    {
                        if($val['actual_timeoff_status']=="Pending")
                        {
                            $data_list[$key]['shift_clock_start_difference'] = "Unapproved PTO pending request from ".$val['actual_timeoff_start']." to ".$val['actual_timeoff_end'];                            
                        }
                        else if($val['actual_timeoff_status']=="Approved" || $val['actual_timeoff_status']=="Rejected")
                        {
                            $data_list[$key]['shift_clock_start_difference'] = "PTO from ".$val['actual_timeoff_start']." to ".$val['actual_timeoff_end'];                            
                        }                           
                    }   
                    else
                    {
                        $data_list[$key]['shift_clock_start_difference'] = "Unreported Absence";
                    } 
                }
                else if(!isset($val['schedule_category_clock']) && isset($val['actual_category_clock']))
                {
                    $data_list[$key]['shift_clock_start_difference'] = "Unreported Present";
                }
                
                
                
                
                if(isset($val['schedule_category_break']) && isset($val['actual_category_break']))
                {
                    if ($data_list[$key]['schedule_breaktime_start'] = $data_list[$key]['actual_breaktime_start'])
                    {
                        $data_list[$key]['shift_break_start_difference'] = "Break Start On Time";
                    }
                    else if ($data_list[$key]['schedule_breaktime_start'] < $data_list[$key]['actual_breaktime_start'])
                    {
                        $data_list[$key]['shift_break_start_difference'] = "Late Break Start";
                    }                
                    else if ($data_list[$key]['schedule_breaktime_start'] > $data_list[$key]['actual_breaktime_start'])
                    {
                        $data_list[$key]['shift_break_start_difference'] = "Early Break Start";                  
                    }                
                    if ($data_list[$key]['schedule_breaktime_end'] = $data_list[$key]['actual_breaktime_end'])
                    {
                        $data_list[$key]['shift_break_end_difference'] = "Break End On Time";
                    }
                    
                    else if ($data_list[$key]['schedule_breaktime_end'] < $data_list[$key]['actual_breaktime_end'])
                    {
                        $data_list[$key]['shift_break_end_difference'] = "Late Break End";                  
                    }
                    
                    else if ($data_list[$key]['schedule_breaktime_end'] > $data_list[$key]['actual_breaktime_end'])
                    {
                        $data_list[$key]['shift_break_end_difference'] = "Early Break End";                  
                    }
                }
                else if(isset($val['schedule_category_break']) && !isset($val['actual_category_break']))
                {
                    $data_list[$key]['shift_break_start_difference'] = "Unreported Break";
                }
                else if(!isset($val['schedule_category_break']) && isset($val['actual_category_break']))
                {
                    $data_list[$key]['shift_break_start_difference'] = "Unreported Break";
                }
                
                
                
               if(isset($val['schedule_category_meal']) && isset($val['actual_category_meal']))
                {
                    if ($data_list[$key]['schedule_mealtime_start'] = $data_list[$key]['actual_mealtime_start'])
                    {
                        $data_list[$key]['shift_meal_start_difference'] = "Meal Start On Time";
                    }
                    else if ($data_list[$key]['schedule_mealtime_start'] < $data_list[$key]['actual_mealtime_start'])
                    {
                        $data_list[$key]['shift_meal_start_difference'] = "Late Meal Start";
                    }                
                    else if ($data_list[$key]['schedule_mealtime_start'] > $data_list[$key]['actual_mealtime_start'])
                    {
                        $data_list[$key]['shift_meal_start_difference'] = "Early Meal Start";                  
                    }                
                    if ($data_list[$key]['schedule_mealtime_end'] = $data_list[$key]['actual_mealtime_end'])
                    {
                        $data_list[$key]['shift_meal_end_difference'] = "Meal End On Time";
                    }
                    
                    else if ($data_list[$key]['schedule_mealtime_end'] < $data_list[$key]['actual_mealtime_end'])
                    {
                        $data_list[$key]['shift_meal_end_difference'] = "Late Meal End";                  
                    }
                    
                    else if ($data_list[$key]['schedule_mealtime_end'] > $data_list[$key]['actual_mealtime_end'])
                    {
                        $data_list[$key]['shift_meal_end_difference'] = "Early Meal End";                  
                    }
                }
                else if(isset($val['schedule_category_meal']) && !isset($val['actual_category_meal']))
                {
                    $data_list[$key]['shift_meal_start_difference'] = "Unreported Meal";
                }
                else if(!isset($val['schedule_category_meal']) && isset($val['actual_category_meal']))
                {
                    $data_list[$key]['shift_meal_start_difference'] = "Unreported Meal";
                } 
                
                
                
                if(isset($val['schedule_category_overtime']) && isset($val['actual_category_overtime']))
                {
                    if ($data_list[$key]['schedule_overtime_start'] = $data_list[$key]['actual_overtime_start'])
                    {
                        $data_list[$key]['shift_overtime_start_difference'] = "Overtime Start On Time";
                    }
                    else if ($data_list[$key]['schedule_overtime_start'] < $data_list[$key]['actual_overtime_start'])
                    {
                        $data_list[$key]['shift_overtime_start_difference'] = "Late Overtime Start";
                    }                
                    else if ($data_list[$key]['schedule_overtime_start'] > $data_list[$key]['actual_overtime_start'])
                    {
                        $data_list[$key]['shift_overtime_start_difference'] = "Early Overtime Start";                  
                    }                
                    if ($data_list[$key]['schedule_overtime_end'] = $data_list[$key]['actual_overtime_end'])
                    {
                        $data_list[$key]['shift_overtime_end_difference'] = "Overtime End On Time";
                    }
                    
                    else if ($data_list[$key]['schedule_overtime_end'] < $data_list[$key]['actual_overtime_end'])
                    {
                        $data_list[$key]['shift_overtime_end_difference'] = "Late Overtime End";                  
                    }
                    
                    else if ($data_list[$key]['schedule_overtime_end'] > $data_list[$key]['actual_overtime_end'])
                    {
                        $data_list[$key]['shift_overtime_end_difference'] = "Early Overtime End";                  
                    }
                }
                else if(isset($val['schedule_category_overtime']) && !isset($val['actual_category_overtime']))
                {
                    $data_list[$key]['shift_overtime_start_difference'] = "Unreported Overtime";
                }
                else if(!isset($val['schedule_category_overtime']) && isset($val['actual_category_overtime']))
                {
                    $data_list[$key]['shift_overtime_start_difference'] = "Unreported Overtime";
                }
                
            }
        }
                
        echo json_encode(array("succ" => $succ,"data"=>$data_list,"qry"=>$qry,"msg"=>$msg));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_date_value')
    {
        $duration_value = isset($_POST["duration_value"])?$_POST["duration_value"]:'';
        $succ=1;
        
        $start_date = "";
        $end_date = "";
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";   
         $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
       
        $current_date  = date("Y-m-d", strtotime($curTime));
        if($duration_value=="current_month")
        {
            $start_date	= date("Y-m-01", strtotime($current_date));
            $end_date	= date("Y-m-t", strtotime($current_date));
        }
        else if($duration_value=="last_month")
        {
            $d1	= date("Y-m-01", strtotime($current_date));
            $start_date	= date('Y-m-d', strtotime("-1 months",strtotime($d1)));
            $end_date	= date("Y-m-t", strtotime($start_date));
        }
        else if($duration_value=="last_quarter")
        {
            $d1	= date("Y-m-01", strtotime($current_date));
            $start_date	= date('Y-m-d', strtotime("-3 months",strtotime($d1)));
            $end_date	= date('Y-m-t', strtotime("2 months",strtotime($start_date)));
             
            //$start_date	= date('Y-m-d', strtotime("-3 months",strtotime($current_date)));
            //$end_date	= $current_date;            
        } 
        else if($duration_value=="last_6_month")
        {
            $d1	= date("Y-m-01", strtotime($current_date));
            $start_date	= date('Y-m-d', strtotime("-6 months",strtotime($d1)));
            $end_date	= date('Y-m-t', strtotime("5 months",strtotime($start_date)));
            //$start_date	= date('Y-m-d', strtotime("-6 months",strtotime($current_date)));
            //$end_date	= $current_date;           
        } 
        else if($duration_value=="year_to_date")
        {
            $d1	= date("Y-01-01", strtotime($current_date));
            $start_date	= $d1;
            $end_date	= $current_date;
        } 
        $start_date = date("m/d/Y",strtotime($start_date));
        $end_date = date("m/d/Y",strtotime($end_date));
        echo json_encode(array("succ" => $succ,"start_date"=>$start_date,"end_date"=>$end_date));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_attendance_working_hours')
    {
        //parse_str($_POST['form_data'],$formArr1);   
        $search_employee_user_id = isset($_POST["search_employee_user_id"])?$_POST["search_employee_user_id"]:'';
        $search_category_type = isset($_POST["search_category_type"])?$_POST["search_category_type"]:'';
        $text_fromdate = isset($_POST["text_fromdate"])?$_POST["text_fromdate"]:'';
        $text_todate = isset($_POST["text_todate"])?$_POST["text_todate"]:'';
        
        
        $date1 = date('m/d/Y', strtotime($text_fromdate));
        $date1 = date('Y-m-d', strtotime($date1));

        $date2 = date('m/d/Y', strtotime($text_todate));
        $date2 = date('Y-m-d', strtotime($date2));

        $TotalDays = dateDiffInDays($date1,$date2);
        $TotalDays++;
        
        $calendar_date_array = array();
        $calendar_date_display_array = array();
        $clock_in_array = array();
        $clock_out_array = array();        
        $break_in_array = array();
        $break_out_array = array();        
        $meal_in_array = array();
        $meal_out_array = array();        
        $ot_in_array = array();
        $ot_out_array = array();
        $comment_array = array();
        $status_array = array();
        
        $calendar_date = date('Y-m-d', strtotime($date1)); 
        for($i=0;$i<$TotalDays;$i++)
        {
            $calendar_date_display_array[$i] = $calendar_date;            
            $calendar_date = date('Y-m-d', strtotime($calendar_date . ' +1 day'));
        }
        
        $holiday_date_array = array();
        $holiday_name_array = array();
        $qry = "select *from cxs_holiday where cxs_holiday.company_id = '".$_SESSION['login_user_array']['company_id']."' and (holiday_date >='".$date1."' AND holiday_date <= '".$date2."') ";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            while($row = mysqli_fetch_assoc($result))
            {
                $holiday_date_array[] = $row['holiday_date'];
                $holiday_name_array[] = $row['holiday_name'];
            }
        }
        
        
        $timeoff_from_date_array = array();
        $timeoff_to_date_array = array();
        
        $timeoff_from_time_array = array();
        $timeoff_to_time_array = array();
        
        
        $query_timeoff = " and ((from_date BETWEEN '".$date1."' AND '".$date2."') OR (to_date BETWEEN  '".$date1."' AND '".$date2."')) ";
        $qry = "select *from cxs_time_off where cxs_time_off.company_id = '".$_SESSION['login_user_array']['company_id']."' ".$query_timeoff;
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            while($row = mysqli_fetch_assoc($result))
            {
                $timeoff_from_date_array[] = $row['from_date'];
                $timeoff_to_date_array[] = $row['to_date'];
                $timeoff_from_time_array[] = $row['from_time'];
                $timeoff_to_time_array[] = $row['to_time'];
            }
        }
        $query_1 = "";
        $clock_column_visibility = "";
        $break_column_visibility = "";
        $meal_column_visibility = "";
        $ot_column_visibility = "";
        
        $clock_column_class = "";
        $break_column_class = "";
        $meal_column_class = "";
        $ot_column_class = "";
        
        if($search_employee_user_id!='')
        {
            $query_1 .= "AND user_id = '".$search_employee_user_id."'";
        }
        if($search_category_type!='')
        {
            /*$query_1 .= "AND time_type = '".$search_category_type."'"; */
            if($search_category_type=='clock')
            {
                $break_column_visibility = 'style="display:none;"';
                $meal_column_visibility = 'style="display:none;"';
                $ot_column_visibility = 'style="display:none;"';
                
                $break_column_class = "noExl";
                $meal_column_class = "noExl";
                $ot_column_class = "noExl";
            }
            else if($search_category_type=='break')
            {
                $clock_column_visibility = 'style="display:none;"';
                $meal_column_visibility = 'style="display:none;"';
                $ot_column_visibility = 'style="display:none;"';
                
                $clock_column_class = "noExl";
                $meal_column_class = "noExl";
                $ot_column_class = "noExl";
            }
            else if($search_category_type=='meal')
            {
                $clock_column_visibility = 'style="display:none;"';
                $break_column_visibility = 'style="display:none;"';                
                $ot_column_visibility = 'style="display:none;"';
                
                $clock_column_class = "noExl";
                $break_column_class = "noExl";                
                $ot_column_class = "noExl";
            }
            else if($search_category_type=='overtime')
            {
                $clock_column_visibility = 'style="display:none;"';
                $break_column_visibility = 'style="display:none;"';                
                $meal_column_visibility = 'style="display:none;"';
                
                $clock_column_class = "noExl";
                $break_column_class = "noExl";                
                $meal_column_class = "noExl";
            }
        }
        
        $qry = "SELECT * FROM cxs_atnd_clockinout  WHERE (calendar_date >='".$date1."' AND calendar_date <= '".$date2."') 
                 AND cxs_atnd_clockinout.company_id = '".$_SESSION['login_user_array']['company_id']."' ".$query_1."
                 ORDER BY calendar_date, session_id,CASE time_type WHEN 'clock' THEN 1 WHEN 'break' THEN 2 WHEN 'meal' THEN 3 END,session_id";
         $result = mysqli_query($conn,$qry);
         if(mysqli_num_rows($result)>0)
         {
             $prev_calendar_date="";
             $prev_type = "";
             $counter = 0;

             $is_parent_row = "";
             $is_parent_meal = "";
             $is_parent_break = "";
             while($row = mysqli_fetch_assoc($result))
             { 
                 if($prev_calendar_date==$row['calendar_date'])
                 {
                     
                    if($is_parent_row == "Y")
                    {
                        if($is_parent_break == "Y" && $row['time_type']=='break')
                        {
                            if(isset($break_in_array[$counter]) && $break_in_array[$counter]!="")
                            {
                                $counter++;
                            }
                           if(!is_null($row['time_in_stamp']))
                           {
                               $break_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                           }    
                           if(!is_null($row['time_out_stamp']))
                           {
                               $break_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                           }    

                            $is_parent_break = "done";
                            if(!isset($clock_in_array[$counter]))
                            {
                                $clock_in_array[$counter] = "";
                            }

                            if(!isset($clock_out_array[$counter]))
                            {
                                $clock_out_array[$counter] = "";
                            }

                            if(!isset($break_in_array[$counter]))
                            {
                                $break_in_array[$counter] = "";
                            }

                            if(!isset($break_out_array[$counter]))
                            {
                                $break_out_array[$counter] = "";
                            }

                            if(!isset($meal_in_array[$counter]))
                            {
                                $meal_in_array[$counter] = "";
                            }

                            if(!isset($meal_out_array[$counter]))
                            {
                                $meal_out_array[$counter] = "";
                            }
                            if(!isset($ot_in_array[$counter]))
                            {
                                $ot_in_array[$counter] = "";
                            }

                            if(!isset($ot_out_array[$counter]))
                            {
                                $ot_out_array[$counter] = "";
                            }
                            if(!isset($status_array[$counter]))
                            {
                                $status_array[$counter] = "";
                            }

                            if(!isset($comment_array[$counter]))
                            {
                                $comment_array[$counter] = "";
                            }                            
                        }

                        else if($is_parent_meal == "Y" && $row['time_type']=='meal')
                        {
                            if(isset($meal_in_array[$counter]) && $meal_in_array[$counter]!="")
                            {
                                $counter++;
                            }
                           if(!is_null($row['time_in_stamp']))
                           {
                               $meal_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                           }    
                           if(!is_null($row['time_out_stamp']))
                           {
                               $meal_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                           }  
                            $is_parent_meal = "done";
                            if(!isset($clock_in_array[$counter]))
                            {
                                $clock_in_array[$counter] = "";
                            }

                            if(!isset($clock_out_array[$counter]))
                            {
                                $clock_out_array[$counter] = "";
                            }

                            if(!isset($break_in_array[$counter]))
                            {
                                $break_in_array[$counter] = "";
                            }

                            if(!isset($break_out_array[$counter]))
                            {
                                $break_out_array[$counter] = "";
                            }

                            if(!isset($meal_in_array[$counter]))
                            {
                                $meal_in_array[$counter] = "";
                            }

                            if(!isset($meal_out_array[$counter]))
                            {
                                $meal_out_array[$counter] = "";
                            }
                            if(!isset($ot_in_array[$counter]))
                            {
                                $ot_in_array[$counter] = "";
                            }

                            if(!isset($ot_out_array[$counter]))
                            {
                                $ot_out_array[$counter] = "";
                            }
                            if(!isset($status_array[$counter]))
                            {
                                $status_array[$counter] = "";
                            }

                            if(!isset($comment_array[$counter]))
                            {
                                $comment_array[$counter] = "";
                            }

                        }
                        
                        else if($is_parent_ot == "Y" && $row['time_type']=='overtime')
                        {
                            if(isset($ot_in_array[$counter]) && $ot_in_array[$counter]!="")
                            {
                                $counter++;
                            } 
                           if(!is_null($row['time_in_stamp']))
                           {
                               $ot_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']))." ";
                           }    
                           if(!is_null($row['time_out_stamp']))
                           {
                               $ot_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                           }    

                            $is_parent_ot = "done";
                            if(!isset($clock_in_array[$counter]))
                            {
                                $clock_in_array[$counter] = "";
                            }

                            if(!isset($clock_out_array[$counter]))
                            {
                                $clock_out_array[$counter] = "";
                            }

                            if(!isset($break_in_array[$counter]))
                            {
                                $break_in_array[$counter] = "";
                            }

                            if(!isset($break_out_array[$counter]))
                            {
                                $break_out_array[$counter] = "";
                            }

                            if(!isset($meal_in_array[$counter]))
                            {
                                $meal_in_array[$counter] = "";
                            }

                            if(!isset($meal_out_array[$counter]))
                            {
                                $meal_out_array[$counter] = "";
                            }
                            if(!isset($ot_in_array[$counter]))
                            {
                                $ot_in_array[$counter] = "";
                            }

                            if(!isset($ot_out_array[$counter]))
                            {
                                $ot_out_array[$counter] = "";
                            }

                            if(!isset($status_array[$counter]))
                            {
                                $status_array[$counter] = "";
                            }

                            if(!isset($comment_array[$counter]))
                            {
                                $comment_array[$counter] = "";
                            }

                        }
                        
                        else if(($is_parent_break == "done" && $is_parent_meal == "done" && $is_parent_ot == "done" ))
                        {
                            $counter++;
                            if($row['time_type']=="break")
                            {
                                if(isset($break_in_array[$counter]) && $break_in_array[$counter]!="")
                                {
                                    $counter++;
                                } 
                               if(!is_null($row['time_in_stamp']))
                               {
                                   $break_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                               }    
                               if(!is_null($row['time_out_stamp']))
                               {
                                   $break_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                               }    

                                $calendar_date_array[$counter]  = $row['calendar_date'];
                                if(!is_null($row['entry_status']))
                               {
                                   $status_array[$counter] = ucfirst($row['entry_status']);
                               }                                
                                //$is_parent_meal="not_done";   
                                if(!isset($clock_in_array[$counter]))
                                {
                                    $clock_in_array[$counter] = "";
                                }

                                if(!isset($clock_out_array[$counter]))
                                {
                                    $clock_out_array[$counter] = "";
                                }

                                if(!isset($break_in_array[$counter]))
                                {
                                    $break_in_array[$counter] = "";
                                }

                                if(!isset($break_out_array[$counter]))
                                {
                                    $break_out_array[$counter] = "";
                                }

                                if(!isset($meal_in_array[$counter]))
                                {
                                    $meal_in_array[$counter] = "";
                                }

                                if(!isset($meal_out_array[$counter]))
                                {
                                    $meal_out_array[$counter] = "";
                                }
                                if(!isset($ot_in_array[$counter]))
                                {
                                    $ot_in_array[$counter] = "";
                                }

                                if(!isset($ot_out_array[$counter]))
                                {
                                    $ot_out_array[$counter] = "";
                                }
                                
                                if(!isset($status_array[$counter]))
                                {
                                    $status_array[$counter] = "";
                                }

                                if(!isset($comment_array[$counter]))
                                {
                                    $comment_array[$counter] = "";
                                }

                            }
                            else if($row['time_type']=="meal")
                            {
                                $counter--;
                                if(isset($meal_in_array[$counter]) && $meal_in_array[$counter]!="")
                                {
                                    $counter++;
                                } 
                               if(!is_null($row['time_in_stamp']))
                               {
                                   $meal_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                               }    
                               if(!is_null($row['time_out_stamp']))
                               {
                                   $meal_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                               }  
                                $calendar_date_array[$counter]  = $row['calendar_date'];
                                if(!is_null($row['entry_status']))
                               {
                                   $status_array[$counter] = ucfirst($row['entry_status']);
                               }
                               
                               if(!isset($clock_in_array[$counter]))
                                {
                                    $clock_in_array[$counter] = "";
                                }

                                if(!isset($clock_out_array[$counter]))
                                {
                                    $clock_out_array[$counter] = "";
                                }

                                if(!isset($break_in_array[$counter]))
                                {
                                    $break_in_array[$counter] = "";
                                }

                                if(!isset($break_out_array[$counter]))
                                {
                                    $break_out_array[$counter] = "";
                                }

                                if(!isset($meal_in_array[$counter]))
                                {
                                    $meal_in_array[$counter] = "";
                                }

                                if(!isset($meal_out_array[$counter]))
                                {
                                    $meal_out_array[$counter] = "";
                                }
                                if(!isset($ot_in_array[$counter]))
                                {
                                    $ot_in_array[$counter] = "";
                                }

                                if(!isset($ot_out_array[$counter]))
                                {
                                    $ot_out_array[$counter] = "";
                                }
                                if(!isset($status_array[$counter]))
                                {
                                    $status_array[$counter] = "";
                                }

                                if(!isset($comment_array[$counter]))
                                {
                                    $comment_array[$counter] = "";
                                }
                            }
                            else if($row['time_type']=="overtime")
                            {
                               $counter--;
                               if(isset($ot_in_array[$counter]) && $ot_in_array[$counter]!="")
                                {
                                    $counter++;
                                }
                               if(!is_null($row['time_in_stamp']))
                               {
                                   $ot_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                               }    
                               if(!is_null($row['time_out_stamp']))
                               {
                                   $ot_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                               }  
                                $calendar_date_array[$counter]  = $row['calendar_date'];
                                if(!is_null($row['entry_status']))
                               {
                                   $status_array[$counter] = ucfirst($row['entry_status']);
                               }
                               
                               if(!isset($clock_in_array[$counter]))
                                {
                                    $clock_in_array[$counter] = "";
                                }

                                if(!isset($clock_out_array[$counter]))
                                {
                                    $clock_out_array[$counter] = "";
                                }

                                if(!isset($break_in_array[$counter]))
                                {
                                    $break_in_array[$counter] = "";
                                }

                                if(!isset($break_out_array[$counter]))
                                {
                                    $break_out_array[$counter] = "";
                                }

                                if(!isset($meal_in_array[$counter]))
                                {
                                    $meal_in_array[$counter] = "";
                                }

                                if(!isset($meal_out_array[$counter]))
                                {
                                    $meal_out_array[$counter] = "";
                                }
                                if(!isset($ot_in_array[$counter]))
                                {
                                    $ot_in_array[$counter] = "";
                                }

                                if(!isset($ot_out_array[$counter]))
                                {
                                    $ot_out_array[$counter] = "";
                                }
                                if(!isset($status_array[$counter]))
                                {
                                    $status_array[$counter] = "";
                                }

                                if(!isset($comment_array[$counter]))
                                {
                                    $comment_array[$counter] = "";
                                }
                            }
                        }
                        else if(($is_parent_break == "done" && ($is_parent_meal == "Y" || $is_parent_ot == "Y") && $row['time_type']=='break'))
                        {
                           $counter++;
                           if(!is_null($row['time_in_stamp']))
                           {
                               $break_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                           }    
                           if(!is_null($row['time_out_stamp']))
                           {
                               $break_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                           }    
                           $calendar_date_array[$counter]  = $row['calendar_date'];
                           if(!is_null($row['entry_status']))
                           {
                               $status_array[$counter] = ucfirst($row['entry_status']);
                           }
                           
                           
                           if(!isset($clock_in_array[$counter]))
                            {
                                $clock_in_array[$counter] = "";
                            }

                            if(!isset($clock_out_array[$counter]))
                            {
                                $clock_out_array[$counter] = "";
                            }

                            if(!isset($break_in_array[$counter]))
                            {
                                $break_in_array[$counter] = "";
                            }

                            if(!isset($break_out_array[$counter]))
                            {
                                $break_out_array[$counter] = "";
                            }

                            if(!isset($meal_in_array[$counter]))
                            {
                                $meal_in_array[$counter] = "";
                            }

                            if(!isset($meal_out_array[$counter]))
                            {
                                $meal_out_array[$counter] = "";
                            }
                            if(!isset($ot_in_array[$counter]))
                            {
                                $ot_in_array[$counter] = "";
                            }

                            if(!isset($ot_out_array[$counter]))
                            {
                                $ot_out_array[$counter] = "";
                            }
                            if(!isset($status_array[$counter]))
                            {
                                $status_array[$counter] = "";
                            }

                            if(!isset($comment_array[$counter]))
                            {
                                $comment_array[$counter] = "";
                            }

                           
                        }
                        else if(($is_parent_meal == "done" && ($is_parent_break == "Y" || $is_parent_ot == "Y") && $row['time_type']=='meal'))
                        {
                            $counter++;
                           if(!is_null($row['time_in_stamp']))
                           {
                               $meal_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                           }    
                           if(!is_null($row['time_out_stamp']))
                           {
                               $meal_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                           }  
                            $calendar_date_array[$counter]  = $row['calendar_date'];
                           if(!is_null($row['entry_status']))
                           {
                               $status_array[$counter] = ucfirst($row['entry_status']);
                           }
                           
                           
                           if(!isset($clock_in_array[$counter]))
                            {
                                $clock_in_array[$counter] = "";
                            }

                            if(!isset($clock_out_array[$counter]))
                            {
                                $clock_out_array[$counter] = "";
                            }

                            if(!isset($break_in_array[$counter]))
                            {
                                $break_in_array[$counter] = "";
                            }

                            if(!isset($break_out_array[$counter]))
                            {
                                $break_out_array[$counter] = "";
                            }

                            if(!isset($meal_in_array[$counter]))
                            {
                                $meal_in_array[$counter] = "";
                            }

                            if(!isset($meal_out_array[$counter]))
                            {
                                $meal_out_array[$counter] = "";
                            }
                            if(!isset($ot_in_array[$counter]))
                            {
                                $ot_in_array[$counter] = "";
                            }

                            if(!isset($ot_out_array[$counter]))
                            {
                                $ot_out_array[$counter] = "";
                            }
                            if(!isset($status_array[$counter]))
                            {
                                $status_array[$counter] = "";
                            }

                            if(!isset($comment_array[$counter]))
                            {
                                $comment_array[$counter] = "";
                            }
                        }
                        else if(($is_parent_ot == "done"  && $row['time_type']=='overtime' ))
                        {
                            $counter++;                         
                           if(!is_null($row['time_in_stamp']))
                           {
                               $ot_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                           }    
                           if(!is_null($row['time_out_stamp']))
                           {
                               $ot_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                           }  
                            $calendar_date_array[$counter]  = $row['calendar_date'];
                           if(!is_null($row['entry_status']))
                           {
                               $status_array[$counter] = ucfirst($row['entry_status']);
                           }                           
                            if(!isset($clock_in_array[$counter]))
                            {
                                $clock_in_array[$counter] = "";
                            }

                            if(!isset($clock_out_array[$counter]))
                            {
                                $clock_out_array[$counter] = "";
                            }

                            if(!isset($break_in_array[$counter]))
                            {
                                $break_in_array[$counter] = "";
                            }

                            if(!isset($break_out_array[$counter]))
                            {
                                $break_out_array[$counter] = "";
                            }

                            if(!isset($meal_in_array[$counter]))
                            {
                                $meal_in_array[$counter] = "";
                            }

                            if(!isset($meal_out_array[$counter]))
                            {
                                $meal_out_array[$counter] = "";
                            }
                            if(!isset($ot_in_array[$counter]))
                            {
                                $ot_in_array[$counter] = "";
                            }

                            if(!isset($ot_out_array[$counter]))
                            {
                                $ot_out_array[$counter] = "";
                            }
                            if(!isset($status_array[$counter]))
                            {
                                $status_array[$counter] = "";
                            }

                            if(!isset($comment_array[$counter]))
                            {
                                $comment_array[$counter] = "";
                            }
                        }
                        
                    }
                 }
                 else
                 {
                    if($counter > 0)
                    {
                        $counter++;
                    }
                    else if(sizeof($calendar_date_array)>0 && $row['calendar_date']!=$prev_calendar_date)
                    {
                        $counter++;
                    }
                    /*else if($row['calendar_date']!=$prev_calendar_date)
                    {
                        $counter++;
                    }*/
                     if($row['time_type']=='clock')
                     {
                        $clock_in_array[$counter] = "";
                        $clock_out_array[$counter] = "";
                        $break_in_array[$counter] = "";
                        $break_out_array[$counter] = "";
                        $meal_in_array[$counter] = "";
                        $meal_out_array[$counter] = "";                        
                        $ot_in_array[$counter] = "";
                        $ot_out_array[$counter] = "";
                        $status_array[$counter] = "";
                        $comment_array[$counter] = "";
                        
                        
                        if(!is_null($row['time_in_stamp']))
                        {
                            $clock_in_array[$counter]  = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                        }    
                        if(!is_null($row['time_out_stamp']))
                        {
                            $clock_out_array[$counter]  = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                        }    
                        
                        if(!is_null($row['entry_status']))
                        {
                            $status_array[$counter] = ucfirst($row['entry_status']);
                        }                      
                        
                        if(!is_null($row['comments']))
                        {
                            $comment_array[$counter] = $row['comments'];
                        }
                         $calendar_date_array[$counter]  = $row['calendar_date'];
                         $is_parent_row = "Y";
                         $is_parent_meal = "Y";
                         $is_parent_break = "Y";
                         $is_parent_ot = "Y";
                     }

                 }
                 $prev_calendar_date=$row['calendar_date'];
             }
         }  
        
        ?>
         <div class="table-responsive">
            <table id="table_issue_log_register" class="table table-bordered">
                <thead>
                    <tr class="table-info">
                        <th width="7%" class="text-center">Date</th>
                        <th width="10%" class="text-center <?php echo $clock_column_class; ?>" <?php echo $clock_column_visibility; ?>>Regular Time Start</th>
                        <th width="10%" class="text-center <?php echo $clock_column_class; ?>" <?php echo $clock_column_visibility; ?>>Regular Time Finish</th>
                        <th width="10%" class="text-center <?php echo $break_column_class; ?>" <?php echo $break_column_visibility; ?>>Out for Break</th>
                        <th width="10%" class="text-center <?php echo $break_column_class; ?>" <?php echo $break_column_visibility; ?>>Back from Break</th>
                        <th width="10%" class="text-center <?php echo $meal_column_class; ?>" <?php echo $meal_column_visibility ; ?>>Out for Meal</th>
                        <th width="10%" class="text-center <?php echo $meal_column_class; ?>" <?php echo $meal_column_visibility ; ?>>Back from Meal</th>
                        <th width="10%" class="text-center <?php echo $ot_column_class; ?>" <?php echo $ot_column_visibility ; ?>>Overtime Start</th>
                        <th width="10%" class="text-center <?php echo $ot_column_class; ?>" <?php echo $ot_column_visibility ; ?>>Overtime Finish</th>
                        <th width="7%" class="text-center">Status</th>                                
                    </tr>
                </thead>
                <tbody>
                   <?php
                        
                        for($i=1;$i<=$TotalDays;$i++)
                        {
                            $show_date = date('D, m/d', strtotime($calendar_date_display_array[$i-1]));
                            $holiday_position = -1;
                            
                            if(sizeof($holiday_date_array)>0)
                            {   
                                foreach ($holiday_date_array as $key => $value) 
                                {
                                    if($calendar_date_display_array[$i-1]==$value)
                                    {
                                        $holiday_position = $key;
                                        break;
                                    }
                                }
                            }

                            $position = -1;
                            
                            if($holiday_position==-1)
                            {
                                $is_exist = 0;
                                $sub_counter = 0;
                                for($j=0;$j<sizeof($calendar_date_array);$j++)
                                {
                                    if( isset($calendar_date_array[$j]) &&  $calendar_date_display_array[$i-1]==$calendar_date_array[$j])
                                    {
                                        $is_row_visibility = "";
                                        $is_row_visibility_class = "";
                                        $is_exist = 1;
                                        $sub_counter++; 
                                        if($search_category_type=='clock')
                                        {
                                            if($clock_in_array[$j]=='' || $clock_out_array[$j]=="")
                                            {
                                                $is_row_visibility = 'style="display:none;"';
                                                $is_row_visibility_class = "noExl";
                                            }    
                                        }
                                        else if($search_category_type=='break')
                                        {
                                            if($break_in_array[$j]=='' || $break_out_array[$j]=="")
                                            {
                                                $is_row_visibility = 'style="display:none;"';
                                                $is_row_visibility_class = "noExl";
                                            }    
                                        }
                                        else if($search_category_type=='meal')
                                        {
                                            if($meal_in_array[$j]=='' || $meal_out_array[$j]=="")
                                            {
                                                $is_row_visibility = 'style="display:none;"';
                                                $is_row_visibility_class = "noExl";
                                            }    
                                        }
                                        else if($search_category_type=='overtime')
                                        {
                                            if($ot_in_array[$j]=='' || $ot_out_array[$j]=="")
                                            {
                                                $is_row_visibility = 'style="display:none;"';
                                                $is_row_visibility_class = "noExl";
                                            }    
                                        }
                            ?>
                                        
                                        <tr class='<?php echo $is_row_visibility_class; ?>' <?php echo $is_row_visibility;?>>                                        
                                            <td>
                                                <div class="form-inline"> 
                                                    <span class="font-weight-bold"><?php echo $show_date; ?></span>                                                    
                                                </div>   
                                            </td>
                                            <td  class="<?php echo $clock_column_class; ?>" <?php echo $clock_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $clock_in_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            <td class="<?php echo $clock_column_class; ?>" <?php echo $clock_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $clock_out_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            <td class="<?php echo $break_column_class; ?>" <?php echo $break_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $break_in_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            <td class="<?php echo $break_column_class; ?>" <?php echo $break_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $break_out_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            
                                            <td class="<?php echo $meal_column_class; ?>" <?php echo $meal_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $meal_in_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            <td class="<?php echo $meal_column_class; ?>" <?php echo $meal_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $meal_out_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            
                                            <td class="<?php echo $ot_column_class; ?>" <?php echo $ot_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $ot_in_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            <td class="<?php echo $ot_column_class; ?>" <?php echo $ot_column_visibility; ?>>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $ot_out_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                            <td>
                                                <div class="mt-2 mb-2">
                                                    <span class=""><?php echo $status_array[$j]; ?></span>
                                                 </div>
                                            </td>
                                        </tr>    
                            <?php   }
                                }
                                if($is_exist==0)
                                {
                                    $is_timeoff = "";
                                    if(sizeof($timeoff_from_date_array)>0)
                                    {
                                        $flag_timeoff = 0;

                                        $timeoff_description = "";
                                        foreach ($timeoff_from_date_array as $key => $value) 
                                        {
                                            $base_start_time = date("Y-m-d H:i",strtotime($timeoff_from_date_array[$key]));
                                            $base_end_time = date("Y-m-d H:i",strtotime($timeoff_to_date_array[$key]));
                                            $from_start_time  = date("Y-m-d H:i",strtotime($calendar_date_display_array[$i-1]));
                                            $flag_timeoff = check_DateTimebetween_twodt($base_start_time,$base_end_time,$from_start_time);
                                            if($flag_timeoff==1)
                                            {
                                                $is_timeoff = "Y";
                                                $timeoff_from_datetime = date("Y-m-d",strtotime($timeoff_from_date_array[$key]))." ".date("h:i a",strtotime($timeoff_from_time_array[$key]));
                                                $timeoff_to_datetime = date("Y-m-d",strtotime($timeoff_to_date_array[$key]))." ".date("h:i a",strtotime($timeoff_to_time_array[$key]));

                                                $timeoff_description ="Period from ".$timeoff_from_datetime." to ".$timeoff_to_datetime;
                                                break;
                                            }
                                        }
                                    }
                                    if($is_timeoff=="Y")
                                    {?>
<!--                                        <tr>                                        
                                            <td>
                                                <div class="form-inline time_entry_date_div"> 
                                                    <span class="font-weight-bold"><?php echo $show_date; ?></span>                                                    
                                                </div>   
                                            </td>
                                            <td class="text-center " colspan="9">
                                                <div class="pt-1 pb-1">
                                                    <span class="font-weight-bold"><?php echo $timeoff_description; ?></span>
                                                 </div>
                                            </td>
                                        </tr>    -->
                            <?php   }
                                    
                                }
                            }
                            else if($holiday_position>=0)                              
                            {
                                
                                if($search_category_type=='')
                                {
                                ?>
                               <tr class="current_r" id="<?php echo $i; ?>">    
                                    <td class="">
                                        <div class="form-inline time_entry_date_div"> 
                                            <span class="font-weight-bold"><?php echo $show_date; ?></span>                                            
                                        </div>   
                                    </td>
                                    <td class="text-center " colspan="9">
                                        <div class="mt-2 mb-2">
                                           <span class="font-weight-bold"><?php echo $holiday_name_array[$holiday_position]; ?></span>
                                        </div>
                                    </td>
                                    <td style="display:none;">&nbsp;</td>
                                    <td style="display:none;">&nbsp;</td>
                                    <td style="display:none;">&nbsp;</td>
                                    <td style="display:none;">&nbsp;</td>
                                    <td style="display:none;">&nbsp;</td>
                                    <td style="display:none;">&nbsp;</td>
                                    <td style="display:none;">&nbsp;</td>
                                    <td style="display:none;">&nbsp;</td>
                                </tr>    
                    <?php  
                                }
                            }
                        }
                   ?>
                </tbody>
            </table>
         </div>    
         <?php
         $total_clock_time = 0;
         $total_break_time = 0;
         $total_meal_time = 0;
         $total_ot_time = 0;
         
        $qry = "select a.time_type,TIME_FORMAT(SEC_TO_TIME(SUM(TIME_TO_SEC(a.TimeDuration))), '%H:%i') as TotalTimeDuration from(
                SELECT cxs_atnd_clockinout.*, DATE(time_in_stamp) as schedule_fill_date, TIME_FORMAT(TIMEDIFF(rounding_time_out_stamp,rounding_time_in_stamp), '%H:%i') as TimeDuration
                FROM cxs_atnd_clockinout
                WHERE company_id ='".$_SESSION['login_user_array']['company_id']."' AND user_id = '".$search_employee_user_id."' and (calendar_date >='".$date1."' AND calendar_date <= '".$date2."') 
                ) as a
                group by time_type
                ORDER BY session_id";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0 )
        {
            while($row = mysqli_fetch_assoc($result))
            {
                if($row['time_type']=="clock")
                {
                    $total_clock_time = $row['TotalTimeDuration'];
                }
                if($row['time_type']=="break")
                {
                    $total_break_time = $row['TotalTimeDuration'];
                }
                if($row['time_type']=="meal")
                {
                    $total_meal_time = $row['TotalTimeDuration'];
                }
                if($row['time_type']=="overtime")
                {
                    $total_ot_time = $row['TotalTimeDuration'];
                }
            }
        }
       
        
        $qry = "select TIME_FORMAT(SEC_TO_TIME(SUM(TIME_TO_SEC(a.TimeDuration))), '%H:%i') as TotalTimeDuration from(
                SELECT TIME_FORMAT(TIMEDIFF(rounding_time_out_stamp,rounding_time_in_stamp), '%H:%i') as TimeDuration
                FROM cxs_atnd_clockinout
                WHERE company_id ='".$_SESSION['login_user_array']['company_id']."' AND user_id = '".$search_employee_user_id."' and (calendar_date >='".$date1."' AND calendar_date <= '".$date2."') 
                and (time_type = 'clock' or time_type = 'overtime') ) as a ";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0 )
        {
            $row = mysqli_fetch_assoc($result);
            $total_working_hours = $row['TotalTimeDuration'];
        }
        
         ?>
         <div class="row pt-3" >                                        
            <div class="col-md-3">
                <h5 class="border p-2 "> <span id="span_selected_employee1"></span> Total time duration: </h5>
                <div class="border">
                    <div class="d-flex justify-content-between m-2  <?php echo $clock_column_class;?> " <?php echo $clock_column_visibility; ?> >
                        <span <?php echo $clock_column_visibility; ?> >Regular Time Hours: </span>
                        <span id="lbltotal_clock" <?php echo $clock_column_visibility; ?> ><?php echo $total_clock_time." hours";?></span>
                    </div>
                    <div class="d-flex justify-content-between m-2" <?php echo $break_column_visibility; ?>>
                        <span <?php echo $break_column_visibility; ?>>Break Time Hours: </span>
                        <span id="lbltotal_break" <?php echo $break_column_visibility; ?>><?php echo $total_break_time." hours";?></span>
                    </div>
                    <div class="d-flex justify-content-between m-2" <?php echo $meal_column_visibility; ?>>
                        <span <?php echo $meal_column_visibility; ?> >Meal Time Hours: </span>
                        <span id="lbltotal_meal" <?php echo $meal_column_visibility; ?>><?php echo $total_meal_time." hours";?></span>
                    </div>
                    <div class="d-flex justify-content-between m-2" <?php echo $ot_column_visibility; ?>>
                        <span <?php echo $ot_column_visibility; ?>>Overtime Hours: </span>
                        <span id="lbltotal_ot" <?php echo $ot_column_visibility; ?>><?php echo $total_ot_time." hours";?></span>
                    </div>                                   
                </div>
            </div>
        </div>

        <?php
            if($clock_column_visibility=="" && $ot_column_visibility=="")
            {
        ?>
        <div class="row pt-3" >
            <div class="col-md-3">
                <div class="border">
                    <div class="d-flex justify-content-between m-2">
                        <span>Total Working Hours: </span>
                        <span id="lbltotal_working_hours"><?php echo $total_working_hours." hours";?></span>
                    </div>
                </div>
            </div>
        </div>    
    <?php 
            }
    }
    //$mail_body = file_get_contents(getSiteUrl().'/mailbody/expense_report_submitted.php?expense_report_id='.$expense_report_id.'&user_name='.urlencode($user_name).'&approve_by_user_name='.urlencode($approve_by_user_name), false, CONTEXT);
?>
