<?php
require_once "conn.php";
require_once "functions.php";
if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
	login_from_cookie();
}
if(!isset($_POST['is_html'])){
	header('Content-Type: application/json'); 
}

if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_attendance_announcement')
{
	parse_str($_POST['form1'],$formArr1);    
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ = 1;
	$msg = "";
	
	$text_subject 		= $formArr1['text_subject'];
	$text_message 		= htmlentities($formArr1['text_message']);
	$combo_send_to 		= $formArr1['combo_send_to'];
	
	$insArr = array();
	
	$insArr['subject'] 		= $text_subject;
	$insArr['message'] 		= $text_message;
	$insArr['send_from_user_id']= $_SESSION['login_user_array']['user_id'];
	$insArr['send_to']	= $combo_send_to;	
	$insArr['company_id'] 	= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	
	$insArr['creation_date']	= $curTime;
	$insArr['created_timezone']	= $currTz;
	$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
	$insArr['last_update_date']	= $curTime;
	$insArr['updated_timezone']	= $currTz;
	$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	$announcement_id = insertdata("cxs_attendance_announcement_header",$insArr);
	
	$user_ids 		= array();
	$user_emails 	= array();
	
	$is_send_to_everyone = false;
	if($combo_send_to=="Everyone"){
		$is_send_to_everyone = true;
	}
	$selectQuery = "";
	if($combo_send_to=="Everyone")
        {
		//$selectQuery 	= "SELECT DISTINCT member_userid, (SELECT CONCAT(full_name,'---',user_email) FROM cxs_user WHERE user_id=member_userid) AS user_data FROM `cxs_team_members` WHERE team_id IN (SELECT team_id FROM cxs_projects_teams WHERE project_id='".$combo_project_id."') AND company_id='".$_SESSION['login_user_array']['company_id']."'";
                 $selectQuery 	= "SELECT DISTINCT user_id,  CONCAT(full_name,'---',user_email) AS user_data FROM cxs_user WHERE user_id <> '".$_SESSION['login_user_array']['user_id']."' and company_id='".$_SESSION['login_user_array']['company_id']."'";
        }
        if($combo_send_to=="My Direct Reports")
        {
           $loggin_emp_id = getvalue("cxs_employee","employee_id"," where user_id = '".$_SESSION['login_user_array']['user_id']."'");
           $selectQuery = "select DISTINCT cxs_user.user_id,  CONCAT(full_name,'---',user_email) AS user_data  from cxs_employee inner join cxs_user on cxs_employee.user_id = cxs_user.user_id where supervisor_id = '".$loggin_emp_id."' AND cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."'";
	}
        if($selectQuery!='')
        {
            $RunUserQuery	= mysqli_query($conn, $selectQuery);
            if(mysqli_num_rows($RunUserQuery)>0){
                    while($rows	= mysqli_fetch_assoc($RunUserQuery)){
                            $user_data		= explode("---",$rows["user_data"]);
                            $user_ids[] 	= $rows["user_id"];
                            if($rows["user_id"]!=$_SESSION['login_user_array']['user_id']){
                                    /***************Send Mail to User***************/
                                    $subject= $text_subject;
                                    //$notes	= "Project Announcement for ".$project_name;

                                    //$mail_body = file_get_contents(getSiteUrl().'/mailbody/feed_announcement.php?announcement_id='.$announcement_id.'&to_user_name='.urlencode($user_data[0]), false, CONTEXT);
                                    $mail_body = file_get_contents(getSiteUrl().'/mailbody/feed_announcement.php?announcement_id='.$announcement_id, false, CONTEXT);
                                    //$mail_body = file_get_contents(getSiteUrl().'/mailbody/feeds.php', false, CONTEXT); 
                                    //echo $mail_body = file_get_contents('mailbody/feeds.php'); 
                                    
                                    //$parameters = urlencode('announcement_id='.$announcement_id.'&to_user_name='.$user_data[0]);
                                    
                                    //$mail_body = file_get_contents('mailbody/feed_announcement.php?announcement_id=1',false, CONTEXT);
                                    
                                    sendEmail($user_data[1],$user_data[0], $subject, $mail_body);
                                    /***************Send Mail to User***************/
                            }
                    }
            }
        }
	
	foreach($user_ids as $user_id){
		$insArr = array();
		
		$insArr['announcement_id']	= $announcement_id;
		$insArr['user_id']              = $user_id;
		$insArr['is_user'] 		= 1;
		
		$insArr['company_id'] 	= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
		
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
		
		insertdata("cxs_attendance_announcement_detail",$insArr);
		
		/***************Save Notification***************/
		if($user_id!=$_SESSION['login_user_array']['user_id']){
			$notes	= "Attendance Announcement for ".$text_subject;
			$insArr = array();
			$insArr['from_user_id'] 		= $_SESSION['login_user_array']["user_id"];
			$insArr['to_user_id']			= $user_id;
			$insArr['module_name'] 			= "attendance";
			$insArr['module_field_id'] 		= 0;//$combo_project_id;
			$insArr['notes'] 			= $notes;
			$insArr['action_to_be_taken'] 	= SITEURL."attendance-tracking/feeds/";
			$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
			$insArr['last_update_date']	= $curTime;
			$insArr['updated_timezone']	= $currTz;
			$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
			
			insertdata("cxs_notifications",$insArr);
		}
		/***************Save Notification***************/
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"announcement_id"=>$announcement_id));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_attendance_feed_announcement_message_data'){
	$announcement_id = $_POST['announcement_id'];
	$selectQuery 	= "SELECT message FROM `cxs_attendance_announcement_header` WHERE announcement_id='".$announcement_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$message = "";
	if(mysqli_num_rows($RunUserQuery)>0){
		$rows		= mysqli_fetch_assoc($RunUserQuery);
		$message 	= htmlspecialchars_decode(nl2br($rows['message']));
	}
	?>
	<div class="row">
		<div class="col-md-12">
			<br />
			<?php echo $message; ?>
		</div>
	</div>
	<?php
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_attendance_feed_sent_items'){
	
	?>
	<div class="table-responsive">
            <table id="table_sentitems" class="table table-bordered">
                    <thead>
                        <tr class="table-info">
                            <th width="15%">Date</th>
                            <th width="60%">Subject</th>
                            <th width="15%">Send To</th>
                            <th width="10%">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                            <?php
                            $selectQuery 	= "
                                    SELECT * FROM `cxs_attendance_announcement_header`  WHERE send_from_user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY announcement_id desc";		
                            $RunUserQuery	= mysqli_query($conn, $selectQuery);
                            $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                            if($StdNumRows>0){
                                    while($rows=mysqli_fetch_assoc($RunUserQuery))
                                    {
                                        $announcement_id = $rows['announcement_id'];																				
                                        $subject 	= $rows['subject'];
                                        $send_to 	= $rows['send_to'];
                                        $message 	= htmlspecialchars_decode(nl2br($rows['message']));
                                        $creation_date 	= setDate($rows['creation_date'],"m/d/Y H:i:s");
                                        $data_content_eye_icon = show_eye_icon_data("cxs_projects_announcement_header","announcement_id",$announcement_id);
                            ?>
                            <tr class="announcement_popup" data-id="<?php echo $announcement_id; ?>" >
                                    <td ><span class="d-none"><?php echo $rows['creation_date']; ?></span><span><?php echo $creation_date; ?> PST</span></td>
                                    <td ><?php echo $subject; ?></td>
                                    <td ><?php echo $send_to; ?></td>
                                    <td class="text-center">                                        
                                        <button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
                                    </td>
                            </tr>
                            <?php
                                    }
                            }
                            ?>
                    </tbody>
            </table>
        </div>
	<?php
}
?>