<?php
require_once "conn.php";
require_once "functions.php";
if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
	login_from_cookie();
}
if(!isset($_POST['is_html'])){
	header('Content-Type: application/json'); 
}

/****************************************EXPENSE BLOCK START***************************************/
if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_setup_exp_types_data'){
	
	parse_str($_POST['form1'],$formArr1);    
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ = 1;
	$msg = "";
	
	$selected_id 		= isset($formArr1['h_selectedid'])?$formArr1['h_selectedid']:'';
	$text_exp_type_name = $formArr1['text_exp_type_name'];
	
	$where	= "";
	if($selected_id!=''){
		$where = " AND expenditure_id !='".$selected_id."'";
	}
	$qry = "SELECT * FROM `cxs_expenditure_types` WHERE exp_type_name = '".$text_exp_type_name."' AND  company_id='".$_SESSION['login_user_array']['company_id']."' $where";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0){
		$succ=0;
		$msg = "You can not enter duplicate Expenditure Types.  The Expenditure Type name must be unique.";
	}
	if($succ==1){
		
		$insArr['exp_type_name']= $formArr1['text_exp_type_name'];  
		$insArr['exp_category'] = $formArr1['combo_exp_category'];   
		$amt_ceiling =  str_replace("$","",$formArr1['text_amt_ceiling']);
		$amt_ceiling =  str_replace(",","",$amt_ceiling);
		$insArr['amt_ceiling'] 	= $amt_ceiling;
		$insArr['description'] 	= $formArr1['text_description'];
		$insArr['enabled_flag'] = isset($formArr1['check_enabled_flag']) && $formArr1['check_enabled_flag']==1?"Y":"N";              
		$insArr['company_id'] 	= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
		
		if($selected_id==''){
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
		}    
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
		
		if($selected_id==""){
			$LastInsertedUserId = insertdata("cxs_expenditure_types",$insArr);
			$HeaderId = $LastInsertedUserId;
			
			/*Check Caution Conditions*/
			if($HeaderId>0){
				check_caution_conditions();
			}
			/*Check Caution Conditions*/
			
			/*****************Save Log - Expenditure Types Created*****************/
			$module_name 		= "expenditure_type";
			$module_field_id	= $HeaderId;
			$notes				= "Expenditure Type : ".$formArr1['text_exp_type_name']." created by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
			saveLogs($module_name,$module_field_id,$notes);
			/*****************Save Log - Expenditure Types Created*****************/
		}else{
			updatedata("cxs_expenditure_types",$insArr,"where expenditure_id = '$selected_id'");
			$HeaderId = $selected_id;
			
			/*****************Save Log - Expenditure Types Updated*****************/
			$module_name 		= "expenditure_type";
			$module_field_id	= $HeaderId;
			$notes				= "Expenditure Type : ".$formArr1['text_exp_type_name']." updated by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
			saveLogs($module_name,$module_field_id,$notes);
			/*****************Save Log - Expenditure Types Updated*****************/
		}
		
		
		
		/***Check for New Exp Custom Category***/
		if($formArr1['h_new_cat']=="1"){
			$add_new_cat = true;
			$qry2 = "SELECT * FROM `cxs_expenditure_type_category` WHERE exp_type_category_name = '".$formArr1['combo_exp_category']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
			$result2 = mysqli_query($conn,$qry2);
			if(mysqli_num_rows($result2)>0){
				$add_new_cat = false;
			}
			
			if($add_new_cat==true){
				$insArr = array();
				$insArr['exp_type_category_name']= $formArr1['combo_exp_category'];  
				$insArr['company_id'] 	= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
				
				$insArr['creation_date']	= $curTime;
				$insArr['created_timezone']	= $currTz;
				$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
				$insArr['last_update_date']	= $curTime;
				$insArr['updated_timezone']	= $currTz;
				$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
		
				$LastInsertedUserId2 = insertdata("cxs_expenditure_type_category",$insArr);
				$HeaderId2 = $LastInsertedUserId2;
			}
		}
		/***Check for New Exp Custom Category***/
		
		$succ="1";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"qry"=>$qry));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_setup_exp_types_data'){
	
	$succ=0;
	$data_arr = array();
	$expenditure_id = isset($_POST['expenditure_id'])?trim($_POST['expenditure_id']):''; 
	$qry = "SELECT * FROM `cxs_expenditure_types` WHERE expenditure_id = '".$expenditure_id."'";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0){
		$row = mysqli_fetch_assoc($result);
		$data_arr = $row;
	}
	$succ=1;
	echo json_encode(array("succ" => $succ,"data_arr"=>$data_arr));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_setup_exp_types_table_data'){
	
	?>
	<div class="row mt-2">
		<div class="col-md-12">
			<div class="table-responsive">
				<table class="table table-bordered" id="table_recent_exp">
					<thead>
						<tr class='table-info'>
							<th>Expenditure Type Name</th>
							<th>Category</th>
							<th>Amount Ceiling</th>
							<th>Description</th>
							<th>Enabled</th>
							<th width="9%">Action</th>
						</tr>
					</thead>
					<tfoot>
						<tr>
							<th class="searc">Expenditure Type Name</th>
							<th class="searc">Category</th>
							<th class="searc">Amount Ceiling</th>
							<th class="searc">Description</th>
							<th></th>
							<th></th>
						</tr>
					</tfoot>
					<tbody>
						<?php
						$qry = "SELECT * FROM `cxs_expenditure_types` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY exp_type_name ASC";
						$result = mysqli_query($conn,$qry);
						if(mysqli_num_rows($result)>0){
							while($row = mysqli_fetch_assoc($result)){
								$expenditure_id = $row['expenditure_id'];
								$exp_type_name 	= $row['exp_type_name'];
								$exp_category 	= $row['exp_category'];
								$amt_ceiling 	= "$".setNumberFormat($row['amt_ceiling']);
								$description 	= $row['description'];
								//$minimum_unit 	= $row['minimum_unit'];
								
								$enabled_flag 	= $row['enabled_flag'];
								
								$data_content_eye_icon = show_eye_icon_data("cxs_expenditure_types","expenditure_id",$expenditure_id);
							?>
							<tr>
								<td><?php echo $exp_type_name; ?></td>
								<td><?php echo $exp_category; ?></td>
								<td align="right"><?php echo $amt_ceiling; ?></td>
								<td><?php echo $description; ?></td>
								<td>
									<label class="toggle2 mt-2" style="display:block;" title="<?php echo ($enabled_flag=="Y")?"Enabled":"Disabled"; ?>">
										<span style="margin-left:5px;visibility:hidden;"><?php echo $enabled_flag; ?></span>
										<input type="checkbox" class="check_tgl" id ="chk_tgl" <?php echo ($enabled_flag=="Y")?"checked":""; ?>>
										<span class="sld_table round"></span>
									</label>
								</td>
								<td>
									<div class='text-center'>
										<?php
										if($_SESSION['login_user_array']['user_role']!='User'){
										?>
											<button class='btn edit ml-0 mr-2 pl-0 pr-0' title='Edit Record'><i class='fa fa-pencil'></i></button>
											<input name = "h_selected_id" type='hidden' value="<?php echo $expenditure_id; ?>">
											<?php /*?><button class='btn delete_record ml-0 mr-2 pl-0 pr-0' title='Delete Record'><i class='fa fa-trash-o' aria-hidden='true'></i></button><?php */?>
										<?php } ?>
										<button type='button' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' > <i class=' fa fa-eye'></i> </button>
									</div>
								</td>
							</tr>
							<?php
							}
						}
						?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<?php

}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_setup_exp_types_data'){
	
	$succ=0;
	$expenditure_id = isset($_POST['expenditure_id'])?trim($_POST['expenditure_id']):''; 
	$qry = "DELETE FROM `cxs_expenditure_types` where expenditure_id = '".$expenditure_id."'";
	mysqli_query($conn,$qry);
	$succ=1;
	echo json_encode(array("succ" => $succ));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'data_table_email'){
	
	$recipients = isset($_POST['recipients'])?trim($_POST['recipients']):''; 
	$html_data = isset($_POST['html_data'])?trim($_POST['html_data']):'';
	$subject_title = isset($_POST['subject_title'])?trim($_POST['subject_title']):'';
	
	if($recipients!='')
	{
		$from_name='Coexsys Time Accounting'; //Website Name
		$from_email=ADMIN_EMAIL; //Admin Email            
		$to=$recipients;			
		$subject = $subject_title;
		$cc="";
		include "email/dataTable.php"; //email design with content included	            
		$headers  = "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		$headers .= "From: $from_name < $from_email >\r\n";		
		$result = mail($to, $subject, $message, $headers);    
		//echo "message ".$message;
		$succ=1;
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_custom_category_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$succ = 1;
	$msg = "";
	
	$selected_id 		= isset($formArr1['h_selectedid'])?$formArr1['h_selectedid']:'';
	$text_exp_type_custom_category_name = $formArr1['text_exp_type_custom_category_name'];
	
	$where	= "";
	if($selected_id!=''){
		$where = " AND expenditure_type_category_id !='".$selected_id."'";
	}
	$qry = "SELECT * FROM `cxs_expenditure_type_category` WHERE exp_type_category_name = '".$text_exp_type_custom_category_name."' AND company_id='".$_SESSION['login_user_array']['company_id']."' $where";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0){
		$succ=0;
		$msg = "You can not enter duplicate Expenditure Type Category.  The Expenditure Type Category name must be unique.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"qry"=>$qry));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_custom_uom_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$succ = 1;
	$msg = "";
	
	$selected_id 		= isset($formArr1['h_selectedid'])?$formArr1['h_selectedid']:'';
	$text_exp_type_custom_uom_name = $formArr1['text_exp_type_custom_uom_name'];
	
	$where	= "";
	if($selected_id!=''){
		$where = " AND expenditure_type_uom_id !='".$selected_id."'";
	}
	$qry = "SELECT * FROM `cxs_expenditure_type_uom` WHERE exp_type_uom_name = '".$text_exp_type_custom_uom_name."' AND company_id='".$_SESSION['login_user_array']['company_id']."' $where";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0 || $text_exp_type_custom_uom_name=='EA' || $text_exp_type_custom_uom_name=='Miles' || $text_exp_type_custom_uom_name=='Gallons'){
		$succ=0;
		$msg = "You can not enter duplicate Expenditure Type Unit of Measure.  The Expenditure Type Unit of Measure name must be unique.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"qry"=>$qry));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_exp_setup_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ = 1;
	$msg = "";
	
	if($succ==1){
		
		/*********Save Submission Data*********/
		// $qry = "SELECT 
		// 			*, 
		// 			( SELECT cxs_expense_submission_emp.Expense_Submission_Flag FROM cxs_expense_submission_emp WHERE cxs_expense_submission_emp.User_Id = cxs_user.user_id and cxs_expense_submission_emp.company_id = '".$_SESSION['login_user_array']['company_id']."' ) as expr_flag
		// 		FROM 
		// 			cxs_user
		// 		WHERE 
		// 			company_id = '".$_SESSION['login_user_array']['company_id']."'
		// 		ORDER BY 
		// 			full_name
		// 	";
		// $result = mysqli_query($conn,$qry);
		// if(mysqli_num_rows($result)>0){
		// 	while($row = mysqli_fetch_assoc($result)){
				
		// 		$user_id 		= $row['user_id'];
		// 		$Expense_Submission_Flag = $row['expr_flag'];
				
		// 		$user_name 		= $row['full_name'];
				
		// 		$selected_id = "";
		// 		$insArr = array();
				
		// 		if($Expense_Submission_Flag!=""){
		// 			$Approval_Id = getvalue("cxs_expense_submission_emp","Approval_Id"," WHERE User_Id='".$user_id."'");
		// 			$selected_id = $Approval_Id;
		// 		}
		// 		$Expense_Submission_Flag = isset($formArr1['check_submit_expense_'.$user_id]) && $formArr1['check_submit_expense_'.$user_id]==1?"Y":"N";
				
		// 		$insArr['User_Id'] = $user_id;
		// 		$insArr['Expense_Submission_Flag'] = $Expense_Submission_Flag;
		// 		$insArr['company_id'] 	= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;            
				
		// 		if($selected_id==""){
		// 			$insArr['creation_date']	= $curTime;
		// 			$insArr['created_timezone']	= $currTz;
		// 			$insArr['created_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';  
		// 		}
		// 		$insArr['last_update_date']	= $curTime;
		// 		$insArr['updated_timezone']	= $currTz;
		// 		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
				
		// 		if($selected_id==""){
		// 			$LastInsertedUserId = insertdata("cxs_expense_submission_emp",$insArr);
		// 			//$HeaderId = $LastInsertedUserId;
					
		// 			/*****************Save Log - Access Management Setting Set*****************/
		// 			$module_name 		= "access_management";
		// 			$module_field_id	= $LastInsertedUserId;
		// 			$notes				= "Expense report submittion access = ".$Expense_Submission_Flag." is set for ".$user_name." by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
		// 			saveLogs($module_name,$module_field_id,$notes);
		// 			/*****************Save Log - Access Management Setting Set*****************/
		// 		}else{
		// 			updatedata("cxs_expense_submission_emp",$insArr,"where Approval_Id = '$selected_id'");
		// 			//$HeaderId = $selected_id;
					
		// 			/*****************Save Log - Access Management Setting Updated*****************/
		// 			$module_name 		= "access_management";
		// 			$module_field_id	= $selected_id;
		// 			$notes				= "Expense report submittion access = ".$Expense_Submission_Flag." is updated for ".$user_name." by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
		// 			saveLogs($module_name,$module_field_id,$notes);
		// 			/*****************Save Log - Access Management Setting Updated*****************/
		// 		}
		// 	}
		// }
		/*********Save Submission Data*********/
		
		/*********Save Approval Data*********/
		$qry = "SELECT 
					*, 
					( SELECT cxs_expense_approval_emp.Expense_Approval_Flag FROM cxs_expense_approval_emp WHERE cxs_expense_approval_emp.User_Id = cxs_user.user_id and cxs_expense_approval_emp.company_id = '".$_SESSION['login_user_array']['company_id']."' ) as expr_flag
				FROM 
					cxs_user
				WHERE 
					company_id = '".$_SESSION['login_user_array']['company_id']."' AND ( user_role = 'Manager' OR user_role = 'Admin') 
				ORDER BY 
					full_name
			";
		$result = mysqli_query($conn,$qry);
		if(mysqli_num_rows($result)>0){
			while($row = mysqli_fetch_assoc($result)){
				
				$user_id 		= $row['user_id'];
				$Expense_Approval_Flag = $row['expr_flag'];
				
				$user_name 		= $row['full_name'];
				
				$selected_id = "";
				$insArr = array();
				
				if($Expense_Approval_Flag!=""){
					$Approval_Id = getvalue("cxs_expense_approval_emp","Approval_Id"," WHERE User_Id='".$user_id."'");
					$selected_id = $Approval_Id;
				}
				
				$Expense_Approval_Flag = isset($formArr1['check_approve_expense_'.$user_id]) && $formArr1['check_approve_expense_'.$user_id]==1?"Y":"N";
				
				$insArr['User_Id'] = $user_id;
				$insArr['Expense_Approval_Flag'] = $Expense_Approval_Flag;  
				$insArr['company_id'] 	= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;            
				
				$insArr['creation_date']	= $curTime;
				$insArr['created_timezone']	= $currTz;
				$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';  
				$insArr['last_update_date']	= $curTime;
				$insArr['updated_timezone']	= $currTz;
				$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
				
				if($selected_id==""){
					$LastInsertedUserId = insertdata("cxs_expense_approval_emp",$insArr);
					//$HeaderId = $LastInsertedUserId;
					
					/*****************Save Log - Access Management Setting Set*****************/
					$module_name 		= "access_management";
					$module_field_id	= $LastInsertedUserId;
					$notes				= "Expense report approval access = ".$Expense_Approval_Flag." is set for ".$user_name." by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
					saveLogs($module_name,$module_field_id,$notes);
					/*****************Save Log - Access Management Setting Set*****************/
				}else{
					updatedata("cxs_expense_approval_emp",$insArr,"where Approval_Id = '$selected_id'");
					//$HeaderId = $selected_id;
					
					/*****************Save Log - Access Management Setting Updated*****************/
					$module_name 		= "access_management";
					$module_field_id	= $selected_id;
					$notes				= "Expense report approval access = ".$Expense_Approval_Flag." is updated for ".$user_name." by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
					saveLogs($module_name,$module_field_id,$notes);
					/*****************Save Log - Access Management Setting Updated*****************/
				}
			}
		}
		/*********Save Approval Data*********/
		
		$succ=1;
	}
	
	echo json_encode(array("succ" => $succ));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_expense_detail_draft_data'){
	parse_str($_POST['form1'],$formArr1);
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 0;
	$msg 	= "";
	$expense_report_detail_id = "";
	$selected_id = "";
	$selected_id 		= isset($formArr1['h_selectedid'])?$formArr1['h_selectedid']:'';
	$expense_report_name= trim(ucwords($formArr1['text_expense_report_name']));
	
	/****Header Entry****/
	if(getTotalRecord("cxs_expense_entry_header","expense_report_id"," WHERE expense_report_name='".trim(ucwords($formArr1['text_expense_report_name']))."' AND user_id='".$_SESSION['login_user_array']['user_id']."'")>0){
		$header_id = getvalue("cxs_expense_entry_header","expense_report_id"," WHERE expense_report_name='".trim(ucwords($formArr1['text_expense_report_name']))."' AND user_id='".$_SESSION['login_user_array']['user_id']."' ");
	}else{
		$insArr = array();
		$insArr['user_id'] 				= $_SESSION['login_user_array']['user_id'];
		$insArr['pay_period'] 			= trim(ucwords($formArr1['text_pay_period'])); 
		$insArr['expense_report_name'] 	= trim(ucwords($formArr1['text_expense_report_name'])); 
		$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
		
		$LastInsertedId = insertdata("cxs_expense_entry_header",$insArr);
		$header_id	 	= $LastInsertedId;
			
	}
	/****Header Entry****/
	
	/****Detail Entry****/
	$insArr = array();
	$insArr['header_id'] 			= $header_id;
	$insArr['user_id'] 				= $_SESSION['login_user_array']['user_id'];
	$insArr['expenditure_type_id'] 	= isset($formArr1['combo_expenditure_id'])?$formArr1['combo_expenditure_id']:'';
	$insArr['description'] 			= isset($formArr1['text_description'])?htmlentities($formArr1['text_description']):'';
	$insArr['expense_date'] 		= isset($formArr1['text_expense_date'])?setDate($formArr1['text_expense_date'],"Y-m-d"):'';   
	$amount =  str_replace("$","",$formArr1['text_amount']);
	$amount =  str_replace(",","",$amount);     
	$insArr['amount'] 				= isset($formArr1['text_amount'])?$amount:'';
	$insArr['is_submitted']	= 'N';
	$insArr['is_rejected']	= 'N';
	$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	
	if($selected_id==''){
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	}  
	$insArr['last_update_date']	= $curTime;
	$insArr['updated_timezone']	= $currTz;
	$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	if($selected_id==""){
		$LastInsertedId = insertdata("cxs_expense_entry_detail",$insArr);
		$expense_report_detail_id = $LastInsertedId;
		
		/*****************Save Log - Expense Report Entry Created*****************/
		$module_name 		= "expense_report";
		$module_field_id	= $header_id;
		$notes				= "Expense Report Entry for ".$expense_report_name." CREATED";
		saveLogs($module_name,$module_field_id,$notes);
		/*****************Save Log - Expense Report Entry Created*****************/
		
	}else{
		/*Delete Entry Image if any*/
		if(isset($formArr1['delete_expense_image_arr']) && count($formArr1['delete_expense_image_arr'])>0){
			foreach($formArr1['delete_expense_image_arr'] as $image_name){
				if($image_name!="" && file_exists("img/uploads/expense_images/".$image_name)){
					$qry = "DELETE FROM `cxs_expense_entry_image` WHERE image_name = '".$image_name."'";
					mysqli_query($conn,$qry);
					unlink("img/uploads/expense_images/".$image_name);
				}
			}
		}
		/*Delete Entry Image if any*/
		updatedata("cxs_expense_entry_detail",$insArr,"where expense_report_detail_id = '$selected_id'");
		$expense_report_detail_id = $selected_id;
		
		/*****************Save Log - Expense Report Entry Updated*****************/
		$module_name 		= "expense_report";
		$module_field_id	= $header_id;
		$notes				= "Expense Report Entry for ".$expense_report_name." UPDATED";
		saveLogs($module_name,$module_field_id,$notes);
		/*****************Save Log - Expense Report Entry Updated*****************/
		
	}
	/****Detail Entry****/
	
	/****Project Task Save****/
	if(isset($formArr1['check_pt']) && count($formArr1['check_pt'])>0){
		
		/*Delete Before Save*/
		if(getTotalRecord("cxs_expense_entry_tasks","exp_task_id"," WHERE expense_report_detail_id='".$expense_report_detail_id."'")>0){
			deletedata("cxs_expense_entry_tasks"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
		}
		/*Delete Before Save*/
		
		foreach($formArr1['check_pt'] as $task_id){
			$insArr = array();
			$insArr['user_id'] 			= $_SESSION['login_user_array']['user_id'];
			$insArr['expense_report_detail_id']= $expense_report_detail_id;
			$insArr['task_id'] 			= $task_id;
			$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
			
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
			$insArr['last_update_date']	= $curTime;
			$insArr['updated_timezone']	= $currTz;
			$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			insertdata("cxs_expense_entry_tasks",$insArr);
		}
	}
	/****Project Task Save****/
	
	/***Approval Activity***/
	$action_counter = getTotalRecord("cxs_approval_activity","activity_id"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
	$insArr = array();
	$insArr['approver_id'] 		= $_SESSION['login_user_array']['user_id'];
	$insArr['expense_report_detail_id']= $expense_report_detail_id;
	$insArr['action_type'] 		= "WORKING";
	$insArr['action_datetime'] 	= $curTime;
	$insArr['action_tz'] 		= $currTz;
	$insArr['action_counter'] 	= $action_counter+1;
	$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	
	insertdata("cxs_approval_activity",$insArr);
	/***Approval Activity***/
	
	/***Check for Old Expense Entry Image***/
	$count = 0;
	if(isset($_POST['h_entry_image_arr']) && count($_POST['h_entry_image_arr'])>0){
		$count = count($_POST['h_entry_image_arr']);
	}
	/***Check for Old Expense Entry Image***/
	
	/***Insert New Expense Entry Image***/
	if(isset($_SESSION['expense_images_arr']) && count($_SESSION['expense_images_arr'])>0){
		$expense_images_arr = $_SESSION['expense_images_arr'];
		foreach($expense_images_arr as $img){
			if($img!="" && file_exists("img/uploads/expense_images/temp/".$img)){
				$count++;
				$extension	= strtolower(end(explode('.',basename($img))));
				$fileName	= $expense_report_detail_id."_".$count.".".$extension;
				copy("img/uploads/expense_images/temp/".$img,"img/uploads/expense_images/".$fileName);
				unlink("img/uploads/expense_images/temp/".$img);
				
				$insArr = array();
				$insArr['user_id'] 			= $_SESSION['login_user_array']['user_id'];
				$insArr['expense_report_detail_id']= $expense_report_detail_id;
				$insArr['image_name'] 		= $fileName;
				$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
				
				$insArr['creation_date']	= $curTime;
				$insArr['created_timezone']	= $currTz;
				$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
				$insArr['last_update_date']	= $curTime;
				$insArr['updated_timezone']	= $currTz;
				$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
				insertdata("cxs_expense_entry_image",$insArr);
				
			}
		}
		unset($_SESSION['expense_images_arr']);
	}
	/***Insert Expense Entry Image***/
	
	$succ=1;  
	echo json_encode(array("succ" => $succ));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_expense_detail_draft_data'){
	$succ=0;
	$data_arr 		= array();
	$data_img_arr 	= array();
	$expense_report_detail_id = isset($_POST['expense_report_detail_id'])?trim($_POST['expense_report_detail_id']):''; 
	$qry = "SELECT * FROM `cxs_expense_entry_detail` WHERE expense_report_detail_id = '".$expense_report_detail_id."'";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0){
		$row = mysqli_fetch_assoc($result);
		$data_arr = $row;
	}
	
	//$uom = getvalue("cxs_expenditure_types","uom"," WHERE expenditure_id='".$row["expenditure_type_id"]."'");
	
	$qry_img = "SELECT image_name FROM `cxs_expense_entry_image` WHERE expense_report_detail_id = '".$expense_report_detail_id."'";
	$result_img = mysqli_query($conn,$qry_img);
	if(mysqli_num_rows($result_img)>0){
		while($row_img = mysqli_fetch_assoc($result_img)){
			$data_img_arr[] = $row_img["image_name"];
		}
	}
	if(isset($_SESSION['expense_images_arr'])){
		unset($_SESSION['expense_images_arr']);
	}
	$succ=1;
	echo json_encode(array("succ" => $succ,"data_arr"=>$data_arr,"data_img_arr"=>$data_img_arr));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_expense_entry_data'){
	
	$succ=0;
	$expense_report_detail_id = isset($_POST['expense_report_detail_id'])?trim($_POST['expense_report_detail_id']):''; 
	$qry = "DELETE FROM `cxs_expense_entry_detail` WHERE expense_report_detail_id = '".$expense_report_detail_id."'";
	mysqli_query($conn,$qry);
	
	/**Delete Expense Entry Image Data**/
	$qry_img = "SELECT image_name FROM `cxs_expense_entry_image` WHERE expense_report_detail_id = '".$expense_report_detail_id."'";
	$result_img = mysqli_query($conn,$qry_img);
	if(mysqli_num_rows($result_img)>0){
		while($row_img = mysqli_fetch_assoc($result_img)){
			$data_img_arr[] = $row_img["image_name"];
			if($row_img["image_name"]!="" && file_exists("img/uploads/expense_images/".$row_img["image_name"])){
				unlink("img/uploads/expense_images/".$row_img["image_name"]);
			}
		}
	}
	$qry = "DELETE FROM `cxs_expense_entry_image` WHERE expense_report_detail_id = '".$expense_report_detail_id."'";
	mysqli_query($conn,$qry);
	/**Delete Expense Entry Image Data**/
	
	$succ=1;
	echo json_encode(array("succ" => $succ));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_expense_detail_save_all_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ = 1;
	$msg = "";
	
	$expense_report_id = intval($_POST['expense_report_id1']);
	
	if($succ==1 && $expense_report_id>0){
		$expense_report_name = getvalue("cxs_expense_entry_header","expense_report_name"," WHERE expense_report_id='".$expense_report_id."'");
		
		if($_SESSION['login_user_array']["user_plan"]=="SELFEMPLOYED"){
			$approve_by_user_id			= $_SESSION['login_user_array']['user_id'];
		}else{
			$approve_by_user_id			= $formArr1['combo_approve_by_user_id'];
		}
		
		/******************************/
		$is_save 	= true;
		$is_budgted_task 	= true;
		$exceeded_exp_name 	= "";
		$expense_exceed_msg = "";
		$h_cnt		= $formArr1['h_cnt'];
		
		for($i=1;$i<=$h_cnt;$i++){
			$total_exp_amount = 0;
			$expenditure_type_id= $formArr1["h_expenditure_type_id_".$i];
			$task_id 			= $formArr1["h_task_id_".$i];
			$h_expense_report_detail_id = $formArr1["h_expense_report_detail_id_".$i];
			if($task_id>0 && isset($formArr1["check_submitted_".$h_expense_report_detail_id]) && $formArr1["check_submitted_".$h_expense_report_detail_id]=="1"){
				if(getTotalRecord("cxs_projects_expense_budget","exp_budget_id"," WHERE task_id='".$task_id."' AND expenditure_type_id='".$expenditure_type_id."'")>0){
					$task_budgted_amount= getvalue("cxs_projects_expense_budget","control_amount"," WHERE task_id='".$task_id."'");
				}else{
					$is_budgted_task = false;
					$exceeded_exp_name = getvalue("cxs_expenditure_types","exp_type_name"," WHERE expenditure_id='".$expenditure_type_id."'");
					$task_name = getvalue("cxs_projects_tasks","task_name"," WHERE task_id='".$task_id."'");
					$expense_exceed_msg = "Expenditure Budgeting for '".$exceeded_exp_name."' expense and '".$task_name."' is not set.";
					break;
				}
			
				$amount 			= $formArr1["h_amount_".$i];
				$total_exp_amount += $amount;
				/*************************/
				for($j=1;$j<=$h_cnt;$j++){
					if($i!=$j){
						$expenditure_type_id1= $formArr1["h_expenditure_type_id_".$j];
						$task_id1 			= $formArr1["h_task_id_".$j];
						$amount1 			= $formArr1["h_amount_".$j];
						$h_expense_report_detail_id1 = $formArr1["h_expense_report_detail_id_".$j];
						if($task_id1>0 && isset($formArr1["check_submitted_".$h_expense_report_detail_id1]) && $formArr1["check_submitted_".$h_expense_report_detail_id1]=="1"){
							if($expenditure_type_id==$expenditure_type_id1){
								if($task_id==$task_id1){
									$total_exp_amount += $amount1;
								}
							}
						}
					}
				}
				/**************************/
				
				
				/*$total_exp = 0;
				$qry = "SELECT SUM(amount) as total_exp FROM `cxs_expense_entry_detail` WHERE (is_submitted='Y' OR is_approved='Y') AND expenditure_type_id='".$expenditure_type_id."' GROUP BY expenditure_type_id";
				//echo $qry;die;	
				$result = mysqli_query($conn,$qry);
				if(mysqli_num_rows($result)>0){
					while($row = mysqli_fetch_assoc($result)){
						$total_exp 	= $row["total_exp"];
					}
				}
				$total_exp_amount9 = $total_exp_amount;
				$total_exp_amount = $total_exp_amount + $total_exp;*/
				
				if($total_exp_amount>$task_budgted_amount){
					$is_save 	= false;
					$exceeded_exp_name = getvalue("cxs_expenditure_types","exp_type_name"," WHERE expenditure_id='".$expenditure_type_id."'");
					$expense_exceed_msg = "You can not submit '".$exceeded_exp_name."' expense amount more than budgted amout ('".$task_budgted_amount."').";
				}
			}
		}
		
		/******************************/
		//$is_save=false;
		if($is_save==true){
			$qry = "SELECT * FROM `cxs_expense_entry_detail` WHERE header_id='".$expense_report_id."' AND user_id='".$_SESSION['login_user_array']["user_id"]."'";
			$result = mysqli_query($conn,$qry);
			if(mysqli_num_rows($result)>0){
				while($row = mysqli_fetch_assoc($result)){
					
					$selected_id = $row['expense_report_detail_id'];
					if(isset($formArr1['check_submitted_'.$selected_id]) && $formArr1['check_submitted_'.$selected_id]==1){
						$insArr = array();
						$insArr['submitted_date'] 		= $curTime;
						$insArr['is_submitted']			= isset($formArr1['check_submitted_'.$selected_id]) && $formArr1['check_submitted_'.$selected_id]==1?"Y":"N";
						$insArr['approved_by_user_id']	= $approve_by_user_id;
						/*For User Type = Self Employed*/
						if($_SESSION['login_user_array']["user_plan"]=="SELFEMPLOYED"){
							$insArr['is_approved'] 			= "Y";
							$insArr['approval_datetime'] 	= $curTime;
							$insArr['approved_by_user_id'] 	= $_SESSION['login_user_array']['user_id'];
						}
						/*For User Type = Self Employed*/
						$insArr['is_rejected']	= 'N';
						$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;              
						
						$insArr['last_update_date']	= $curTime;
						$insArr['updated_timezone']	= $currTz;
						$insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
						
						updatedata("cxs_expense_entry_detail",$insArr," WHERE expense_report_detail_id = '$selected_id' LIMIT 1");
						
						/*****************Save Log - Expense Report Entry Submitted*****************/
						$module_name 		= "expense_report";
						$module_field_id	= $selected_id;
						$notes				= "Expense Report Entry for ".$expense_report_name." SUBMITTED";
						saveLogs($module_name,$module_field_id,$notes);
						/*****************Save Log - Expense Report Entry Submitted*****************/
						
						/*****************Approval Activity*****************/
						$action_counter = getTotalRecord("cxs_approval_activity","activity_id"," WHERE expense_report_detail_id='".$selected_id."'");
						$insArr = array();
						$insArr['approver_id'] 		= $_SESSION['login_user_array']['user_id'];
						$insArr['expense_report_detail_id']= $selected_id;
						$insArr['action_type'] 		= "SUBMITTED";
						$insArr['action_datetime'] 	= $curTime;
						$insArr['action_tz'] 		= $currTz;
						$insArr['action_counter'] 	= $action_counter+1;
						$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
						
						insertdata("cxs_approval_activity",$insArr);
						/*****************Approval Activity*****************/
						
						/*For User Type = Self Employed*/
						/*****************Approval Activity*****************/
						if($_SESSION['login_user_array']["user_plan"]=="SELFEMPLOYED"){
							$action_counter = getTotalRecord("cxs_approval_activity","activity_id"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
							$insArr = array();
							$insArr['approver_id'] 		= $_SESSION['login_user_array']['user_id'];
							$insArr['expense_report_detail_id']= $selected_id;
							$insArr['action_type'] 		= "APPROVED";
							$insArr['action_datetime'] 	= $curTime;
							$insArr['action_tz'] 		= $currTz;
							$insArr['action_counter'] 	= $action_counter+1;
							$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
							
							insertdata("cxs_approval_activity",$insArr);
						}
						/*****************Approval Activity*****************/
						
						/*****************Save Log - Expense Report Entry Approve*****************/
						if($_SESSION['login_user_array']["user_plan"]=="SELFEMPLOYED"){
							$module_name 		= "expense_report";
							$module_field_id	= $selected_id;
							$notes				= "Expense Report Entry for ".$expense_report_name." APPROVED";
							saveLogs($module_name,$module_field_id,$notes);
						}
						/*****************Save Log - Expense Report Entry Approve*****************/
						
						/*For User Type = Self Employed*/
						
					}
				}
				
				/*For User Type = Enterprise*/
				if($_SESSION['login_user_array']["user_plan"]=="ENTERPRISE"){
					/***************Send Mail to Supervisor***************/
					$user_email 	= $_SESSION['login_user_array']["user_email"];
					$user_name		= $_SESSION['login_user_array']["full_name"];
					
					//$supervisor_id 		= getvalue("cxs_employee","supervisor_id"," WHERE user_id='".$_SESSION['login_user_array']["user_id"]."'");
					//$supervisor_user_id = getvalue("cxs_employee","user_id"," WHERE employee_id='".$supervisor_id."'");
					
					$qry1 	= "SELECT user_email,full_name FROM `cxs_user` WHERE user_id='".$approve_by_user_id."'";
					$result1= mysqli_query($conn,$qry1);
					$row1 	= mysqli_fetch_assoc($result1);
					
					$approve_by_user_email 	= $row1["user_email"];
					$approve_by_user_name	= $row1["full_name"];
					
					$qry2 	= "SELECT expense_report_name,pay_period FROM `cxs_expense_entry_header` WHERE expense_report_id='".$expense_report_id."'";
					$result2= mysqli_query($conn,$qry2);
					$row2 	= mysqli_fetch_assoc($result2);
					
					$expense_report_name 	= $row2["expense_report_name"];
					$pay_period				= $row2["pay_period"];
					
					$action_datetime		= setDate($curTime,'m/d/Y h:i:s A');
					
					$subject= $expense_report_name." : Submitted By ".$user_name." on ".$action_datetime;
					$notes	= $expense_report_name." : Submitted";
					
					$mail_body = file_get_contents(getSiteUrl().'/mailbody/expense_report_submitted.php?expense_report_id='.$expense_report_id.'&user_name='.urlencode($user_name).'&approve_by_user_name='.urlencode($approve_by_user_name), false, CONTEXT);
					
					sendEmail($approve_by_user_email, $approve_by_user_name, $subject, $mail_body,$user_email);
					/***************Send Mail to Supervisor***************/
					
					/***************Save Notification for Supervisor***************/
					$insArr = array();
					$insArr['from_user_id'] 		= $_SESSION['login_user_array']["user_id"];
					$insArr['to_user_id']			= $approve_by_user_id;
					$insArr['module_name'] 			= "expense_report";
					$insArr['module_field_id'] 		= $expense_report_id;
					$insArr['notes'] 				= $notes;
					$insArr['action_to_be_taken'] 	= SITEURL."expense-tracking/approvals/";
					
					$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
					$insArr['creation_date']	= $curTime;
					$insArr['created_timezone']	= $currTz;
					$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
					
					insertdata("cxs_notifications",$insArr);
					/***************Save Notification for Supervisor***************/
				}
				/*For User Type = Enterprise*/
				
				/*For User Type = Self Employed*/
				if($_SESSION['login_user_array']["user_plan"]=="SELFEMPLOYED"){
					/******Check Whether All Entry Approved or Not******/
					$total_entry = getTotalRecord("cxs_expense_entry_detail","expense_report_detail_id"," WHERE header_id='".$expense_report_id."' AND is_submitted='Y'");
					$total_approved_entry = getTotalRecord("cxs_expense_entry_detail","expense_report_detail_id"," WHERE header_id='".$expense_report_id."' AND is_submitted='Y' AND is_approved='Y'");
					if($total_entry==$total_approved_entry){
						$insArr = array();
						$insArr['is_approved'] 		= 'Y';
						$insArr['last_update_date']	= $curTime;
						$insArr['updated_timezone']	= $currTz;
						$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
						updatedata("cxs_expense_entry_header",$insArr," WHERE expense_report_id = '$expense_report_id' LIMIT 1");
					}
					/******Check Whether All Entry Approved or Not******/
				}
				/*For User Type = Self Employed*/
				$succ=1;
			}else{
				$succ=0;
			}
		}else{
			$succ=0;
		}
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"is_budgted_task"=>$is_budgted_task,"expense_exceed"=>$is_save,"expense_exceed_msg"=>$expense_exceed_msg));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_expense_entry_data'){
	
	$expense_report_id 	= "";
	$is_all_approved	= "N";
	$is_read_only		= false;
	
	if(isset($_POST['user_id1']) && $_POST['user_id1']!="" && $_POST['user_id1']!=$_SESSION['login_user_array']["user_id"]){
		$user_id = intval($_POST['user_id1']);
		$is_read_only		= true;
	}else{
		$user_id = $_SESSION['login_user_array']["user_id"];
	}
	
	$where1 = "";
	if(isset($_POST['expense_report_id1']) && $_POST['expense_report_id1']!="" && $_POST['expense_report_id1']>0){
		$expense_report_id = $_POST['expense_report_id1'];
		$where1 = " AND expense_report_id='".$expense_report_id."'";
	}
	/*******************************************/
	
	$selectQuery1 	= "SELECT MAX(expense_report_id) AS expense_report_id,COUNT(expense_report_id) AS total_entry,MAX(expense_report_name) AS expense_report_name FROM `cxs_expense_entry_header` WHERE user_id='".$user_id."' $where1 ORDER BY expense_report_id DESC";
	$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
	if(mysqli_num_rows($RunUserQuery1)>0){
		$rows			= mysqli_fetch_assoc($RunUserQuery1);
		$total_entry 		= $rows["total_entry"];
		$expense_report_id 	= $rows["expense_report_id"];
		$is_all_approved	= getvalue("cxs_expense_entry_header","is_approved"," WHERE expense_report_id='".$expense_report_id."'");
	}
	/*******************************************/
	?>
	<div class="table-responsive expense-table">
		<table id="table_expense_details" class="table table-border">
			<thead>
				<tr class="table-info">
					<th width="200px">Expenditure Type</th>
					<th>Description</th>
					<th width="140px">Date Expense<br />Occurred</th>
					<th width="100px">Amount</th>
					<th>Task</th>
					<th width="140px">Action</th>
					<?php
					if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ 
					?>
					<th>&nbsp;</th>
					<?php
					}
					?>
				</tr>
			</thead>
			<tbody>
				<?php
				$status = "";
				$where = "";
				if(isset($_POST['status1']) && $_POST['status1']!=""){
					$status = $_POST['status1'];
					if($status=="working"){
						$where .= " AND e.is_submitted='N'";
					}else if($status=="submitted"){
						$where .= " AND e.is_submitted='Y' AND e.is_rejected='N' AND e.is_approved='N'";
					}else if($status=="rejected"){
						$where .= " AND e.is_rejected='Y'";
					}else if($status=="approved"){
						$where .= " AND e.is_approved='Y'";
					}
				}
				if($expense_report_id!="" && $expense_report_id>0){
					$where .= " AND eh.expense_report_id='".$expense_report_id."' ";
				}
				$selectQuery 	= "
						SELECT 
							eh.*,e.*,t.exp_type_name, et.task_id
						FROM 
							`cxs_expense_entry_header` eh
						INNER JOIN
							`cxs_expense_entry_detail` e
						ON
							eh.expense_report_id=e.header_id
						INNER JOIN
							`cxs_expenditure_types` t
						ON
							e.expenditure_type_id = t.expenditure_id
						LEFT JOIN
							`cxs_expense_entry_tasks` et
						ON
							et.expense_report_detail_id=e.expense_report_detail_id
						WHERE
							e.user_id='".$user_id."' AND e.company_id='".$_SESSION['login_user_array']['company_id']."'
							$where
						ORDER BY 
							e.expense_report_detail_id DESC
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$cnt=0;
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$cnt++;
						$header_id 					= $rows['header_id'];
						$expense_report_detail_id 	= $rows['expense_report_detail_id'];
						$task_id					= $rows['task_id'];
						$task_name = "-";
						if($task_id>0){
							$task_name = getvalue("cxs_projects_tasks","task_name"," WHERE task_id='".$task_id."'");
						}
						$expenditure_type_id		= $rows['expenditure_type_id'];
						$exp_type_name 	= $rows['exp_type_name'];
						$description 	= htmlspecialchars_decode(nl2br($rows['description']));
						$expense_date 	= setDate($rows['expense_date'],"m/d/Y");
						$amount 		= $rows['amount'];
						$is_submitted 	= $rows['is_submitted'];
						$is_approved 	= $rows['is_approved'];
						$is_rejected 	= $rows['is_rejected'];
						$data_content_eye_icon = show_eye_icon_data("cxs_expense_entry_detail","expense_report_detail_id",$expense_report_detail_id);
					?>
					<tr data-node-id="<?php echo $expense_report_detail_id; ?>">
						<td>
							<div class="exp-col-block">
							<?php echo $exp_type_name;?>
							<input type="hidden" id="h_task_id_<?php echo $cnt; ?>" name="h_task_id_<?php echo $cnt; ?>" value="<?php echo $task_id; ?>" />
							<input type="hidden" id="h_expenditure_type_id_<?php echo $cnt; ?>" name="h_expenditure_type_id_<?php echo $cnt; ?>" value="<?php echo $expenditure_type_id; ?>" />
							<input type="hidden" id="h_amount_<?php echo $cnt; ?>" name="h_amount_<?php echo $cnt; ?>" value="<?php echo $amount; ?>" />
							<input type="hidden" id="h_expense_report_detail_id_<?php echo $cnt; ?>" name="h_expense_report_detail_id_<?php echo $cnt; ?>" value="<?php echo $expense_report_detail_id; ?>" />
							</div>
						</td>
						<td><?php echo $description;?></td>
						<td><?php echo $expense_date;?></td>
						<td align="right">$<?php echo setNumberFormat($amount);?></td>
						<td><?php echo $task_name; ?></td>
						<td class="table-action">
							<a href="javascript:void(0);" title="View Selected Tasks" class="btn ml-0 mr-1 pl-0 pr-0" onclick="getSelectedProjectTasks('<?php echo $expense_report_detail_id; ?>','expense');"><i class='fa fa-list-alt'></i></a>
							<?php 
							if(($is_submitted=='N' || ($is_submitted=='Y' && $is_rejected=='Y')) && $is_read_only==false){ 
							?>
								<button type="button" class='btn edit ml-0 mr-1 pl-0 pr-0' title='Edit Record'><i class='fa fa-pencil' aria-hidden='true'></i></button>
								<input name="h_selected_id" type='hidden' value="<?php echo $expense_report_detail_id; ?>">
								<button type="button" class='btn delete_record ml-0 mr-1 pl-0 pr-0' title='Delete Record' onClick="deleteExpenseEntry('<?php echo $expense_report_detail_id; ?>');"><i class='fa fa-trash-o' aria-hidden='true'></i></button>
								<div class="form-check" style="display:inline-block;">
									<label class="form-check-label">
									<input type="checkbox" class="form-check-input" name="check_submitted_<?php echo $expense_report_detail_id; ?>" id="check_submitted_<?php echo $expense_report_detail_id; ?>" value="1" <?php if(($is_submitted=="Y" && $is_rejected=="N")){ ?> checked <?php } ?>>
									<i class="input-helper"></i></label>
								</div>
							<?php 
							}
							?>
							<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
						</td>
						<?php
						if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ 
						?>
						<td class="table-action status-icon">
							<?php
							if($is_submitted=="N" && $is_approved=="N" && $is_rejected=="N"){ //Working
							?>
							<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Working"><i class='fa fa-circle exp-entry-working'></i></button>
							<div class="status-line"></div>
							<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Submitted"><i class='fa fa-circle exp-entry-gray'></i></button>
							<div class="status-line"></div>
							<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Rejected"><i class='fa fa-circle exp-entry-gray'></i></button>
							<div class="status-line"></div>
							<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Approved"><i class='fa fa-circle exp-entry-gray'></i></button>
							<button type='button' class='btn btn-default ml-2 mr-0 pl-0 pr-0 disable-comment' title="Comment"><i class='fa fa-file-text-o'></i></button>
							<?php
							}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="N"){ //Submitted
							?>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Working"><i class='fa fa-circle exp-entry-working'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Submitted"><i class='fa fa-circle exp-entry-submitted'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Rejected"><i class='fa fa-circle exp-entry-gray'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Approved"><i class='fa fa-circle exp-entry-gray'></i></button>
								<button type='button' class='btn btn-default ml-2 mr-0 pl-0 pr-0 disable-comment' title="Comment"><i class='fa fa-file-text-o'></i></button>
							<?php
							}else if($is_submitted=="Y" && $is_approved=="Y" && $is_rejected=="N"){ //Approved
							?>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Working"><i class='fa fa-circle exp-entry-working'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Submitted"><i class='fa fa-circle exp-entry-submitted'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Rejected"><i class='fa fa-circle exp-entry-gray'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Approved"><i class='fa fa-circle exp-entry-approved'></i></button>
								<?php
								$comment = getvalue("cxs_approval_activity","comment"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
								if($comment!=""){
								?>
								<button type='button' class='btn btn-default ml-2 mr-0 pl-0 pr-0' title="Comment" data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $comment; ?>' ><i class='fa fa-file-text-o'></i></button>
								<?php }else{ ?>
								<button type='button' class='btn btn-default ml-2 mr-0 pl-0 pr-0 disable-comment' title="Comment"><i class='fa fa-file-text-o'></i></button>
								<?php } ?>
							<?php
							}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="Y"){ //Rejected
							?>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Working"><i class='fa fa-circle exp-entry-working'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Submitted"><i class='fa fa-circle exp-entry-submitted'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Rejected"><i class='fa fa-circle exp-entry-rejected'></i></button>
								<div class="status-line"></div>
								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' title="Approved"><i class='fa fa-circle exp-entry-gray'></i></button>
								<?php
								$comment = getvalue("cxs_approval_activity","comment"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
								if($comment!=""){
								?>
								<button type='button' class='btn btn-default ml-2 mr-0 pl-0 pr-0' title="Comment" data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $comment; ?>' ><i class='fa fa-file-text-o'></i></button>
								<?php }else{ ?>
								<button type='button' class='btn btn-default ml-2 mr-0 pl-0 pr-0 disable-comment' title="Comment"><i class='fa fa-file-text-o'></i></button>
								<?php } ?>
							<?php
							}
							?>
						</td>
						<?php
						}
						?>
					</tr>
					<?php 
					$qry = "SELECT * FROM `cxs_expense_entry_image` WHERE expense_report_detail_id='".$expense_report_detail_id."'";
					$res = mysqli_query($conn, $qry);
					if(mysqli_num_rows($res)>0){
						?>
						<tr data-node-id="<?php echo $expense_report_detail_id; ?>.1" data-node-pid="<?php echo $expense_report_detail_id; ?>">
							
							<td colspan="6" >
								<div class="d-flex mb-3">
								<?php 
								while($rows=mysqli_fetch_assoc($res)){
									if($rows['image_name']!="" && file_exists("img/uploads/expense_images/".$rows['image_name'])){
									?>
										<img class="entry-list-image cr-point" src="<?php echo SITEURL."img/uploads/expense_images/".$rows['image_name']; ?>" title = "Click to enlarge" alt="" onClick=" myPopup ('<?php echo SITEURL."img/uploads/expense_images/".$rows['image_name']; ?>', 'web', 550, 550);" />
										<?php /*?><i class="fa fa-file-image-o mr-5 mb-3 extra-large-size cr-point" title = "Receipt 1" onClick=" myPopup ('<?php echo "img/uploads/expense_images/".$rows['image_name']; ?>', 'web', 550, 550);"></i><?php */?>
									<?php
									}
								}
								?>
								</div>
							</td>
							
						</tr>
						<?php
						}
					}
				}	
				?>
			</tbody>
		</table>
		<input type="hidden" id="h_cnt" name="h_cnt" value="<?php echo $cnt; ?>" />
	</div>
	<?php if($StdNumRows>0 && $is_all_approved!='Y' && $_SESSION['login_user_array']["user_plan"]!="SELFEMPLOYED"){ ?>
	<div class="row">
		<div class="col-md-7 text-right mt-2">
			<label>Approval By</label>
		</div>
		<div class="col-md-3 mt-2">
			<select id="combo_approve_by_user_id" name="combo_approve_by_user_id" class="form-control js-example-basic-single requirefieldcls" style="width:100%;">
				<option value="">--Please Select--</option>
				<?php
				$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id IN (SELECT User_Id FROM `cxs_expense_approval_emp` WHERE cxs_expense_approval_emp.User_Id=cxs_user.user_id AND cxs_expense_approval_emp.Expense_Approval_Flag='Y') AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY full_name ASC";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
					?>
					<option value="<?php echo $rows['user_id']; ?>"><?php echo stripslashes($rows['full_name']); ?></option>
					<?php
					}
				}
				?>
			</select>
		</div>
		<div class="col-md-2 text-right mt-2">
			<button type="button" id="cmd_expense_detail_save_all" class="btn btn-primary">Submit Selected</button>
		</div>
	</div>
	<?php
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_user_approval_workbench_expense_entry_data'){
	if(isset($_POST['report_name_data1']) && $_POST['report_name_data1']!=""){
		$report_name_data = isset($_POST['report_name_data1'])?trim($_POST['report_name_data1']):''; 
		$report_name_data_arr = explode("~",$report_name_data);
		$report_name 	= $report_name_data_arr[0];
		$pay_period		= $report_name_data_arr[1];
		$user_id		= $report_name_data_arr[2];
		
		$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$user_id."'";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$rows			= mysqli_fetch_assoc($RunUserQuery);
		$full_name 		= $rows["full_name"];
		$user_image_name= $rows["image_name"];
		?>
		<div class="row mb-3">
			<div class="col-md-4">
				<button type="button" class="btn btn-primary btn-sm " id = "btnCollapseAll" title ="Collapse All"><i class="fa fa-compress"></i></button>
				<button type="button" class="btn btn-primary btn-sm " id = "btnShowAll" title ="Show All"><i class="fa fa-expand"></i></button>
			</div>
		</div>
									
		<div class="accordion" id="accordion" role="tablist">
			<div class="card">
				<div class="card-header" role="tab" id="heading-1">
				<div class="row">
					<div class="col-md-11">
						<div class="row">
					<?php
					if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
						$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
					}else{
						$user_img_url = SITEURL."images/faces/default_face.png";
					}
					?>
					<div class="col-md-4">
						<div class="d-flex">
							<img class="img-sm rounded-circle mb-md-0" src="<?php echo $user_img_url; ?>" alt="">
							<h4 class="card-title  mb-3 mt-2 ml-3"><?php echo $full_name; ?></h4>
						</div>
					</div>
					<div class="col-md-4 text-center">
						<h4>Expense Report <?php echo $report_name; ?></h4>
					</div>
					<div class="col-md-4 text-right">
						<h4>Pay Period  <?php echo $pay_period; ?></h4>
					</div>
					<div class="col-md-4 mt-2">
						<button type="button" class="btn btn-primary btn-sm approve-all" data-report_name="<?php echo $report_name; ?>">Approve All</button>
						<button type="button" class="btn btn-primary btn-sm reject-all" data-report_name="<?php echo $report_name; ?>">Reject All</button>
					</div>
					<div class="col-md-2">&nbsp;</div>
					<!-- <div class="col-md-6 text-right">
						<div class="row">
							<div class="col-md-10">
								<label style="font-size: 0.875rem;color:black;" >Total Budgeted Expenses for This Pay Period :</label>
							</div>
							<div class="col-md-2">
								<label style="font-size: 0.875rem;" class="badge badge-warning">$1000.00</label>
							</div>
						</div>
						<div class="row">
							<div class="col-md-10">
								<label style="font-size: 0.875rem;color:black;">Budget Available for This Pay Period:</label>
							</div>
							<div class="col-md-2">
								<label style="font-size: 0.875rem;" class="badge badge-warning">$800.00</label>
							</div>
						</div>
					</div> -->
				</div>
					</div>
					<div class="col-md-1">
						<a class="collapsed" data-toggle="collapse" href="#collapse-1" aria-expanded="true" aria-controls="collapse-1">&nbsp;</a>
					</div>
				</div>
				
				
				<!--
				<div class="pt-3">
					<button type="button" class="btn btn-primary btn-sm">Approve All</button> 
					<button type="button" class="btn btn-primary btn-sm">Reject All</button> 
				</div>
				-->
				</div>
				<div id="collapse-1" class="collapse show" role="tabpanel" aria-labelledby="heading-1" data-parent="#accordion">
					<div class="card-body">
						<?php
						$expense_report_detail_ids = array();
						$selectQuery = "
								SELECT 
									e.*,t.exp_type_name,t.uom 
								FROM 
									`cxs_expense_entry_header` eh
								INNER JOIN
									`cxs_expense_entry_detail` e
								ON
									eh.expense_report_id=e.header_id
								INNER JOIN
									`cxs_expenditure_types` t
								ON
									e.expenditure_type_id = t.expenditure_id
								WHERE
									eh.expense_report_name='".$report_name."' AND e.user_id='".$user_id."' AND e.company_id='".$_SESSION['login_user_array']['company_id']."'
									AND e.is_submitted='Y' AND  e.is_approved='N' AND e.is_rejected='N'
								ORDER BY 
									eh.expense_report_id DESC
							";		
						$RunUserQuery	= mysqli_query($conn, $selectQuery);
						$StdNumRows 	= mysqli_num_rows($RunUserQuery);
						if($StdNumRows>0){
							while($rows=mysqli_fetch_assoc($RunUserQuery)){
								$expense_report_detail_id 	= $rows['expense_report_detail_id'];
								$exp_type_name 	= $rows['exp_type_name'];
								$uom 			= $rows['uom'];
								$description 	= htmlspecialchars_decode(nl2br($rows['description']));
								$expense_date 	= setDate($rows['expense_date'],"m/d/Y");
								$amount 	= $rows['amount'];
								$is_submitted 	= $rows['is_submitted'];
								$is_approved 	= $rows['is_approved'];
								$is_rejected 	= $rows['is_rejected'];
								$data_content_eye_icon = show_eye_icon_data("cxs_expense_entry_detail","expense_report_detail_id",$expense_report_detail_id);
								$expense_report_detail_ids[] = $expense_report_detail_id;
							?>
							<form id="approval_activity_form_<?php echo $expense_report_detail_id; ?>" method="post">
								<div style="border-bottom: 1px solid rgba(0, 0, 0, 0.1);" class="pt-2 pb-2">
									<div class="row">
										<div class="col-md-2">
											<div class="form-group mb-0">
												<h5 class="mb-2 text-primary">Expenditure Type</h5>
												<label><?php echo $exp_type_name; ?></label>
											</div>
										</div>
										<div class="col-md-4">
											<div class="form-group mb-0">
												<h5 class="mb-2 text-primary">Description</h5>
												<label><?php echo $description; ?></label>
											</div>
										</div>
										<div class="col-md-2">
											<div class="form-group mb-0">
												<h5 class="mb-2 text-primary">Date Expense Occurred</h5>
												<label><?php echo $expense_date; ?></label>
											</div>
										</div>
										<div class="col-md-2">
											<div class="form-group mb-0">
												<h5 class="mb-2 text-primary">Amount</h5>
												<label>$<?php echo setNumberFormat($amount); ?></label>
											</div>
										</div>
										<div class="col-md-2">
											<div class="form-group mb-0">
												<!-- <h5 class="mb-2 text-primary">UOM</h5>
												<label><?php echo $uom; ?></label> -->
												<button type="button" class="btn btn-default pt-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="<?php echo $data_content_eye_icon; ?>" data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
											</div>
										</div>
									</div>
									<?php 
									$qry = "SELECT * FROM `cxs_expense_entry_image` WHERE expense_report_detail_id='".$expense_report_detail_id."'";
									$res = mysqli_query($conn, $qry);
									if(mysqli_num_rows($res)>0){
										?>
										<div class="d-md-flex mt-2 mb-2">
											<?php 
											while($rows=mysqli_fetch_assoc($res)){
												if($rows['image_name']!="" && file_exists("img/uploads/expense_images/".$rows['image_name'])){
												?>
												<div class="mr-4 mb-2">
													<img class="entry-list-image cr-point" src="<?php echo SITEURL."img/uploads/expense_images/".$rows['image_name']; ?>" title = "Click to enlarge" alt="" onClick=" myPopup('<?php echo SITEURL."img/uploads/expense_images/".$rows['image_name']; ?>', 'web', 550, 550);" />
												</div>
											<?php
												}
											}
											?>
										</div>
										<?php
										}
									?>
									<div class="form-group mt-3">
										<label>Comment</label>
										<textarea class="form-control" id="approval_activity_comment_<?php echo $expense_report_detail_id; ?>" name="approval_activity_comment_<?php echo $expense_report_detail_id; ?>" rows="3"></textarea>
									</div>
									<div class="text-right">
										<button type="button" id="btn_approve_<?php echo $expense_report_detail_id; ?>" class="btn btn-sm btn-primary approve" onclick="saveApprovalActivity('approve','<?php echo $expense_report_detail_id; ?>')" data-is_single_mail="Y">Approve</button>
										<button type="button" id="btn_reject_<?php echo $expense_report_detail_id; ?>" class="btn btn-sm btn-primary reject" onclick="saveApprovalActivity('reject','<?php echo $expense_report_detail_id; ?>')" data-expense_report_detail_id="<?php echo $expense_report_detail_id; ?>" data-is_single_mail="Y">Reject</button>
									</div>
									
								</div>
							</form>
							<?php
							}
						}
						?>
						<input type="hidden" id="expense_report_detail_ids" name="expense_report_detail_ids" value="<?php echo implode(",",$expense_report_detail_ids); ?>" />
						<input type="hidden" id="entry_count" value="<?php echo $StdNumRows; ?>" />
					</div>
				</div>
			</div>
		</div>
		<?php
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_approval_activity_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 1;
	$msg 	= "";
	$comment 			= "";
	$status				= "";
	$expense_report_detail_id	= "";
	$action_type		= "";
	$is_single_mail1	= "";
	
	$status				= $_POST['status1'];
	$expense_report_detail_id	= $_POST['expense_report_detail_id1'];
	$is_single_mail		= $_POST['is_single_mail1'];
	$comment 			= isset($formArr1['approval_activity_comment_'.$expense_report_detail_id])?$formArr1['approval_activity_comment_'.$expense_report_detail_id]:'';
	
	/*****************Update Expense Entry Table*********************/
	$insArr = array();
	if($status=='approve'){
		$is_approved		= "Y";
		$approval_datetime	= $curTime;
		$approved_by_user_id= $_SESSION['login_user_array']['user_id'];
		$action_type		= "APPROVED";
		
		$insArr['is_approved'] 			= $is_approved;
		$insArr['approval_datetime'] 	= $approval_datetime;
		$insArr['approved_by_user_id'] 	= $approved_by_user_id;
	}else{
		$is_rejected		= "Y";
		$rejected_datetime	= $curTime;
		$rejected_by_user_id= $_SESSION['login_user_array']['user_id'];
		$action_type		= "REJECTED";
		
		$insArr['is_rejected'] 			= $is_rejected;
		$insArr['rejected_datetime'] 	= $rejected_datetime;
		$insArr['rejected_by_user_id'] 	= $rejected_by_user_id;
	}
	
	updatedata("cxs_expense_entry_detail",$insArr," WHERE expense_report_detail_id = '$expense_report_detail_id' LIMIT 1");
	/*****************Update Expense Entry Table*********************/
	
	/*************************************/
	if($status=='approve'){
		$selectQuery 	= "SELECT task_id, user_id, (SELECT project_id FROM `cxs_projects_tasks` WHERE cxs_projects_tasks.task_id=cxs_expense_entry_tasks.task_id) AS project_id FROM `cxs_expense_entry_tasks` WHERE expense_report_detail_id = '".$expense_report_detail_id."'";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$user_id = $rows["user_id"];
				$user_full_name 	= getvalue("cxs_user","full_name"," WHERE user_id='".$user_id."'");
				$approved_amount 	= getvalue("cxs_expense_entry_detail","amount"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
				$history_string = $user_full_name."'s  Expense Amount ($".$approved_amount.") Approved.";
				setKPIs($rows["project_id"],$rows["task_id"], $history_string);
			}
		}
	}
	/*************************************/
	
	/*****************Save Log - Expense Report Entry Approve/Reject*****************/
	$expense_report_id	= getvalue("cxs_expense_entry_detail","header_id"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
	$expense_report_name= getvalue("cxs_expense_entry_header","expense_report_name"," WHERE expense_report_id='".$expense_report_id."'");
	
	$module_name 		= "expense_report";
	$module_field_id	= $expense_report_id;
	$notes				= "Expense Report Entry for ".$expense_report_name." ".$action_type;
	saveLogs($module_name,$module_field_id,$notes);
	/*****************Save Log - Expense Report Entry Approve/Reject*****************/
	
	/*****************Approval Activity*********************/
	$action_counter = getTotalRecord("cxs_approval_activity","activity_id"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
	$insArr = array();
	$insArr['approver_id'] 		= $_SESSION['login_user_array']['user_id'];
	$insArr['expense_report_detail_id']= $expense_report_detail_id;
	$insArr['action_type'] 		= $action_type;
	$insArr['action_datetime'] 	= $curTime;
	$insArr['action_tz'] 		= $currTz;
	$insArr['action_counter'] 	= $action_counter+1;
	$insArr['comment'] 			= htmlentities($comment);
	$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	
	insertdata("cxs_approval_activity",$insArr);
	/*****************Approval Activity*********************/
	
	/***************Send Mail***************/
	if($is_single_mail=='Y'){
		$supervisor_email 	= $_SESSION['login_user_array']["user_email"];
		$supervisor_name	= $_SESSION['login_user_array']["full_name"];
		
		$qry 	= "SELECT user_id,header_id FROM `cxs_expense_entry_detail` WHERE expense_report_detail_id='".$expense_report_detail_id."'";
		$result = mysqli_query($conn,$qry);
		$row 	= mysqli_fetch_assoc($result);
		$user_id 			= $row["user_id"];
		$expense_report_id	= $row["header_id"];
		
		$qry1 	= "SELECT user_email,full_name FROM `cxs_user` WHERE user_id='".$user_id."'";
		$result1= mysqli_query($conn,$qry1);
		$row1 	= mysqli_fetch_assoc($result1);
		$user_email 	= $row1["user_email"];
		$user_name		= $row1["full_name"];
		
		$qry2 	= "SELECT expense_report_name,pay_period FROM `cxs_expense_entry_header` WHERE expense_report_id='".$expense_report_id."'";
		$result2= mysqli_query($conn,$qry2);
		$row2 	= mysqli_fetch_assoc($result2);
		
		$expense_report_name 	= $row2["expense_report_name"];
		$pay_period				= $row2["pay_period"];
		
		$action_datetime		= setDate($curTime,'m/d/Y h:i:s A');
		
		$approved_counter 	= intval(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE header_id='".$expense_report_id."' AND is_approved='Y' "));
		$rejected_counter 	= intval(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE header_id='".$expense_report_id."' AND is_rejected='Y' "));
		
		$subject= $expense_report_name." : Approved: #".$approved_counter.", Rejected: #".$rejected_counter." - By ".$supervisor_name." on ".$action_datetime;
		$notes	= $expense_report_name." : Approved: #".$approved_counter.", Rejected: #".$rejected_counter;
		
		$mail_body = file_get_contents(getSiteUrl().'/mailbody/expense_report_approval_activity_single.php?expense_report_id='.$expense_report_id.'&expense_report_detail_id='.$expense_report_detail_id.'&status='.$status.'&user_name='.urlencode($user_name).'&supervisor_name='.urlencode($supervisor_name), false, CONTEXT);
		
		sendEmail($user_email, $user_name, $subject, $mail_body,$supervisor_email);
		
		/***************Save Notification for User***************/
		$insArr = array();
		$insArr['from_user_id'] 		= $_SESSION['login_user_array']["user_id"];
		$insArr['to_user_id']			= $user_id;
		$insArr['module_name'] 			= "approval_activity";
		$insArr['module_field_id'] 		= $expense_report_id;
		$insArr['notes'] 				= $notes;
		$insArr['action_to_be_taken'] 	= SITEURL."expense-tracking/expenses/".$expense_report_name."/".$pay_period."/".$user_id."/";
		
		$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
		
		insertdata("cxs_notifications",$insArr);
		/***************Save Notification for User***************/
	}
	/***************Send Mail***************/
	
	
	
	/******Check Whether All Entry Approved or Not******/
	$expense_report_id = getvalue("cxs_expense_entry_detail","header_id"," WHERE expense_report_detail_id='".$expense_report_detail_id."'");
	$total_entry = getTotalRecord("cxs_expense_entry_detail","expense_report_detail_id"," WHERE header_id='".$expense_report_id."' AND is_submitted='Y'");
	$total_approved_entry = getTotalRecord("cxs_expense_entry_detail","expense_report_detail_id"," WHERE header_id='".$expense_report_id."' AND is_submitted='Y' AND is_approved='Y'");
	if($total_entry==$total_approved_entry){
		$insArr = array();
		$insArr['is_approved'] 		= 'Y';
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		updatedata("cxs_expense_entry_header",$insArr," WHERE expense_report_id = '$expense_report_id' LIMIT 1");
	}
	/******Check Whether All Entry Approved or Not******/
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"t"=>$total_entry,"ta"=>$total_approved_entry,"expense_report_id"=>$expense_report_id,"qry_where"=>"user_id='".$_SESSION['login_user_array']['user_id']."' AND header_id='".$expense_report_id."' AND is_approved='Y'"));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_pending_approval_expense_entry_data'){
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_manage_exp_pending_approval">
			<thead>
				<tr class="table-info">
					<th>Name</th>
					<th>Expense Report</th>
					<th>Submitted On</th>
					<th>Submitted By</th>
					<th>Action</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th class="searc">Name</th>
					<th class="searc">Expense Report</th>
					<th class="searc">Submitted On</th>
					<th class="searc">Submitted By</th>
					<th></th>
				</tr>
			</tfoot>
			<tbody>
				<?php 
				//$supervisor_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
				$selectQuery 	= "
					SELECT 
						MAX(ex.submitted_date) AS submitted_date, eh.expense_report_id, ex.expense_report_detail_id, eh.expense_report_name, eh.pay_period, ex.user_id,
						u.full_name,u.image_name
					FROM 
						cxs_expense_entry_header eh
					INNER JOIN
						cxs_expense_entry_detail ex
					ON
						eh.expense_report_id=ex.header_id 
					INNER JOIN 
						cxs_user u 
					ON 
						ex.user_id=u.user_id 
					LEFT JOIN 
						cxs_employee em 
					ON 
						ex.user_id=em.user_id 
					WHERE 
						ex.is_submitted='Y' AND ex.is_approved='N' AND ex.is_rejected='N' AND ex.company_id='".$_SESSION['login_user_array']['company_id']."' AND ex.approved_by_user_id='".$_SESSION['login_user_array']['user_id']."' 
					GROUP BY
						ex.header_id
					ORDER BY 
						ex.header_id DESC
				";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						if($rows["user_id"]!=""){
							$user_id		= $rows["user_id"];
							$full_name 		= $rows["full_name"];
							$user_image_name= $rows["image_name"];
							if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
								$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
							}else{
								$user_img_url = SITEURL."images/faces/default_face.png";
							}
							$expense_report_name= $rows["expense_report_name"];
							$pay_period 	= $rows["pay_period"];
							$submitted_date	= setDate($rows["submitted_date"],"m/d/Y h:i:s A");
						?>
						<tr>
							<td>
								<div class="d-flex">
									<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
									<label><?php echo $full_name; ?></label>
								</div>
							</td>
							<td><?php echo $expense_report_name; ?></td>
							<td><?php echo $submitted_date; ?></td>
							<td><?php echo $full_name; ?></td>
							<td class="text-center"><a href="<?php echo SITEURL."expense-tracking/expenses/".$expense_report_name."/".$pay_period."/".md5($user_id)."/"; ?>" target="_blank"><i class="fa fa-external-link " style="font-size: 20px;"></i></a></td>
						</tr>
						<?php
						}
					}
				}
				?>
			</tbody>
		</table>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_approval_history_expense_entry_data'){
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_manage_exp_approval_history">
			<thead>
				<tr class="table-info">
					<th>Name</th>
					<th>Expense Report</th>
					<th>Expenditure Type</th>
					<th>Description</th>
					<th>Date Expense<br />Occurred</th>
					<th>Amount</th>
					<th>Status</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody>
				<?php
				//$supervisor_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
				
				$selectQuery 	= "
					SELECT 
						eh.*,e.*,t.exp_type_name,u.full_name,u.image_name
					FROM 
						`cxs_expense_entry_header` eh
					INNER JOIN
						`cxs_expense_entry_detail` e
					ON
						eh.expense_report_id=e.header_id
					INNER JOIN
						`cxs_expenditure_types` t
					ON
						e.expenditure_type_id = t.expenditure_id
					INNER JOIN 
						cxs_user u 
					ON 
						e.user_id=u.user_id
					LEFT JOIN 
						cxs_employee em 
					ON 
						e.user_id=em.user_id 
					WHERE
						e.company_id='".$_SESSION['login_user_array']['company_id']."' AND e.approved_by_user_id='".$_SESSION['login_user_array']['user_id']."' 
					ORDER BY 
						e.expense_report_detail_id DESC
				";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$user_id		= $rows["user_id"];
						$full_name 		= $rows["full_name"];
						$user_image_name= $rows["image_name"];
						if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
							$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
						}else{
							$user_img_url = SITEURL."images/faces/default_face.png";
						}
						/************/
						$expense_report_name		= $rows["expense_report_name"];
						$pay_period 				= $rows["pay_period"];
						$expense_report_detail_id 	= $rows['expense_report_detail_id'];
						$exp_type_name 	= $rows['exp_type_name'];
						$description 	= htmlspecialchars_decode(nl2br($rows['description']));
						$expense_date 	= setDate($rows['expense_date'],"m/d/Y");
						$amount 		= $rows['amount'];
						$is_submitted 	= $rows['is_submitted'];
						$is_approved 	= $rows['is_approved'];
						$is_rejected 	= $rows['is_rejected'];
					?>
					<tr data-node-id="<?php echo $expense_report_detail_id; ?>">
						<td class="table-user-info">
							<div class="d-flex">
								<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
								<label class="expense-lable"><?php echo $full_name; ?></label>
							</div>
						</td>
						<td><?php echo $expense_report_name; ?></td>
						<td><?php echo $exp_type_name;?></td>
						<td><?php echo $description;?></td>
						<td><?php echo $expense_date;?></td>
						<td>$<?php echo setNumberFormat($amount);?></td>
						<td class="table-action status-icon">
							<?php
							if($is_submitted=="N" && $is_approved=="N" && $is_rejected=="N"){ //Working
							?>
								Working
							<?php
							}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="N"){ //Submitted
							?>
								Submitted
							<?php
							}else if($is_submitted=="Y" && $is_approved=="Y" && $is_rejected=="N"){ //Approved
							?>
								Approved
							<?php
							}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="Y"){ //Rejected
							?>
								Rejected
							<?php
							}
							?>
						</td>
						<td class="text-center table-action"><a href="<?php echo SITEURL."expense-tracking/expenses/".$expense_report_name."/".$pay_period."/".md5($user_id)."/"; ?>" target="_blank"><i class="fa fa-external-link " style="font-size: 20px;"></i></a></td>
					</tr>
					<?php 
					$selectQuery2 	= "
						SELECT 
							ap.*, ex.submitted_date
						FROM 
							cxs_approval_activity ap 
						INNER JOIN
							cxs_expense_entry_detail ex
						ON
							ap.expense_report_detail_id = ex.expense_report_detail_id
						WHERE 
							ex.expense_report_detail_id='".$expense_report_detail_id."' 
						ORDER BY 
							ap.action_datetime DESC
					";		
					$RunUserQuery2	= mysqli_query($conn, $selectQuery2);
					$StdNumRows2 	= mysqli_num_rows($RunUserQuery2);
					if($StdNumRows2>0){
						while($rows2=mysqli_fetch_assoc($RunUserQuery2)){
							$action_datetime= setDate($rows2["action_datetime"],"F jS Y h:i A");
							$action_type= $rows2["action_type"];
							$comment 	= stripslashes($rows2["comment"]);
							if($action_type=="APPROVED"){
								$row_class = "exp-entry-approved-back";
							}else if($action_type=="REJECTED"){
								$row_class = "exp-entry-rejected-back";
							}else if($action_type=="SUBMITTED"){
								$row_class = "exp-entry-submitted-back";
							}else{
								$row_class = "exp-entry-working-back";
							}
							?>
							<tr data-node-id="<?php echo $expense_report_detail_id; ?>.1" data-node-pid="<?php echo $expense_report_detail_id; ?>">
								
								<td>&nbsp;</td>
								<td colspan="2">
									<?php echo $action_datetime." PST"; ?>
								</td>
								<td class="<?php echo $row_class; ?>">
									<?php echo ucwords(strtolower($action_type)); ?>
								</td>
								<td colspan="4">
									<?php echo $comment; ?>
								</td>
							</tr>
							<?php
							}
						}
					}
				}	
				?>
			</tbody>
		</table>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_new_expense_entry_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 1;
	$msg 	= "";
	
	/*******************************************************/
	$user_id 				= $_SESSION['login_user_array']["user_id"];
	$combo_new_entry_year 	= $formArr1['combo_new_entry_year'];
	$combo_new_entry_month 	= $formArr1['combo_new_entry_month'];
	
	$pay_period 		= date('M', mktime(0, 0, 0, $combo_new_entry_month, 10))."-".$combo_new_entry_year;
	
	$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$user_id."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$rows			= mysqli_fetch_assoc($RunUserQuery);
	
	$full_name = $rows["full_name"];
	$full_name_arr = explode(" ",$full_name);
	$first_name = $full_name_arr[0];
	$last_name 	= $full_name_arr[1];
	
	$expense_report_name1 = strtoupper($first_name)."-".$combo_new_entry_year.$combo_new_entry_month;
	
	$selectQuery1 	= "SELECT MAX(expense_report_id),COUNT(expense_report_id) as total_entry,is_approved,expense_report_name FROM `cxs_expense_entry_header` WHERE expense_report_name LIKE '".$expense_report_name1."%' AND user_id='".$user_id."'";
	$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
	if(mysqli_num_rows($RunUserQuery1)>0){
		$rows			= mysqli_fetch_assoc($RunUserQuery1);
		$total_entry 		= $rows["total_entry"];
		$is_all_approved	= $rows["is_approved"];
		$report_number 		= str_pad($total_entry+1, 2, 0, STR_PAD_LEFT);
		$expense_report_name= $expense_report_name1."-".$report_number;
	}else{
		$report_number = "01";
		$expense_report_name = $expense_report_name1."-".$report_number;
	}
	/*******************************************************/
	
	$insArr = array();
	$insArr['user_id'] 				= $_SESSION['login_user_array']['user_id'];
	$insArr['pay_period'] 			= $pay_period; 
	$insArr['expense_report_name'] 	= $expense_report_name; 
	$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	$insArr['creation_date']	= $curTime;
	$insArr['created_timezone']	= $currTz;
	$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
	$insArr['last_update_date']	= $curTime;
	$insArr['updated_timezone']	= $currTz;
	$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	$LastInsertedId = insertdata("cxs_expense_entry_header",$insArr);
	$header_id	 	= $LastInsertedId;
	/*******************************************************/
	
	/*****************Save Log - Expense Report Created*****************/
	$module_name 		= "expense_report";
	$module_field_id	= $header_id;
	$notes				= "Expense Report : ".$expense_report_name." CREATED";
	saveLogs($module_name,$module_field_id,$notes);
	/*****************Save Log - Expense Report Created*****************/
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"expense_report_id"=>$header_id));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'send_single_approval_activity_mail'){
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 1;
	$msg 	= "";
	
	$expense_report_name		= $_POST['report_name1'];
	$status						= $_POST['status1'];
	$expense_report_detail_ids	= $_POST['expense_report_detail_ids1'];
	
	/***************Send Mail***************/
	$supervisor_email 	= $_SESSION['login_user_array']["user_email"];
	$supervisor_name	= $_SESSION['login_user_array']["full_name"];
	
	$qry 	= "SELECT user_id,expense_report_id,pay_period FROM `cxs_expense_entry_header` WHERE expense_report_name='".$expense_report_name."'";
	$result = mysqli_query($conn,$qry);
	$row 	= mysqli_fetch_assoc($result);
	$user_id 			= $row["user_id"];
	$expense_report_id	= $row["expense_report_id"];
	$pay_period			= $row["pay_period"];
	
	$qry1 	= "SELECT user_email,full_name FROM `cxs_user` WHERE user_id='".$user_id."'";
	$result1= mysqli_query($conn,$qry1);
	$row1 	= mysqli_fetch_assoc($result1);
	$user_email 	= $row1["user_email"];
	$user_name		= $row1["full_name"];
	
	$action_datetime		= setDate($curTime,'m/d/Y h:i:s A');
	
	$approved_counter 	= intval(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE header_id='".$expense_report_id."' AND is_approved='Y' "));
	$rejected_counter 	= intval(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE header_id='".$expense_report_id."' AND is_rejected='Y' "));
	
	$subject= $expense_report_name." : Approved: #".$approved_counter.", Rejected: #".$rejected_counter." - By ".$supervisor_name." on ".$action_datetime;
	$notes	= $expense_report_name." : Approved: #".$approved_counter.", Rejected: #".$rejected_counter;
	
	$mail_body = file_get_contents(getSiteUrl().'/mailbody/expense_report_approval_activity_all.php?expense_report_id='.$expense_report_id.'&expense_report_detail_ids='.urlencode($expense_report_detail_ids).'&status='.$status.'&user_name='.urlencode($user_name).'&status='.$status.'&supervisor_name='.urlencode($supervisor_name), false, CONTEXT);
	
	sendEmail($user_email, $user_name, $subject, $mail_body,$supervisor_email);
	/***************Send Mail***************/
	
	/***************Save Notification for User***************/
	$insArr = array();
	$insArr['from_user_id'] 		= $_SESSION['login_user_array']["user_id"];
	$insArr['to_user_id']			= $user_id;
	$insArr['module_name'] 			= "approval_activity";
	$insArr['module_field_id'] 		= $expense_report_id;
	$insArr['notes'] 				= $notes;
	$insArr['action_to_be_taken'] 	= SITEURL."expense-tracking/expenses/".$expense_report_name."/".$pay_period."/".$user_id."/";
	
	$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	$insArr['creation_date']	= $curTime;
	$insArr['created_timezone']	= $currTz;
	$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
	$insArr['last_update_date']	= $curTime;
	$insArr['updated_timezone']	= $currTz;
	$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	insertdata("cxs_notifications",$insArr);
	/***************Save Notification for User***************/
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_all_notification_data'){
	$selectQuery 	= "
		SELECT 
			n.*,u.full_name,u.image_name
		FROM 
			`cxs_notifications` n
		INNER JOIN
			`cxs_user` u
		ON
			n.created_by=u.user_email
		WHERE 
			n.to_user_id='".$_SESSION['login_user_array']['user_id']."'
		ORDER BY 
			n.notification_id DESC
		";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$module_txt = "";
			$notification_id= $rows["notification_id"];
			$module_name 	= $rows["module_name"];
			$module_field_id= $rows["module_field_id"];
			$notes 			= $rows["notes"];
			$action_to_be_taken = $rows["action_to_be_taken"];
			$creation_date		= setDate($rows["creation_date"],"F jS Y h:i A");
			$created_timezone 	= $rows["created_timezone"];
			
			$full_name 		= $rows["full_name"];
			$user_image_name= $rows["image_name"];
			
			if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
				$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
			}else{
				$user_img_url = SITEURL."images/faces/default_face.png";
			}
			
			$module_txt = "";
			if($module_name=="expense_report"){
				$module_txt .= "Expense Report: ";
				
			}else if($module_name=="approval_activity"){
				$module_txt .= "Approval Activity: ";
			}
			if (strpos($action_to_be_taken, '?') !== false) {
				$action_to_be_taken = $action_to_be_taken."&nid=".$notification_id;
			}else{
				$action_to_be_taken = $action_to_be_taken."?nid=".$notification_id;
			}
			
			$module_txt .= $notes." by ".$full_name." at ".$creation_date." ".$created_timezone;
		?>
			<a href="<?php echo $action_to_be_taken; ?>" class="notification-link">
				<div class="message-body">
					<div class="sender-details">
						<img class="img-sm rounded-circle mr-3" src="<?php echo $user_img_url; ?>" alt="">
						<div class="details">
							<p class="msg-subject"><?php echo $module_txt; ?></p>
						</div>
					</div>
				</div>
			</a>
		<?php 
		}
	}else{
		?>
		<a href="javascript:void(0);" class="notification-link">
			<div class="message-body">
				<div class="sender-details">
					<div class="details">
						<p class="msg-subject">No notifications</p>
					</div>
				</div>
			</div>
		</a>
		<?php 
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_chart_data'){
	$succ 	= 0;
	$msg 	= "";
	$chart_type = "";
	$data_arr 	= array();
	$check_expenditure_id = "";
	$where 		= "";
	$group_by	= "";
	
	$combo_chart_type 	= $_POST['combo_chart_type1'];
	$combo_group_by 	= $_POST['combo_group_by1'];
	$where = " WHERE 1=1 AND";
	
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="user_id"){
		$group_by = " GROUP BY eh.user_id";
	}
	if(isset($_POST['check_employee_user_id1']) && count($_POST['check_employee_user_id1'])>0){
		$check_employee_user_id = implode(",",$_POST['check_employee_user_id1']);
		$where .= " eh.user_id IN ($check_employee_user_id) AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="expenditure_id"){
		$group_by = " GROUP BY et.expenditure_id";
	}
	if(isset($_POST['check_expenditure_id1']) && count($_POST['check_expenditure_id1'])>0){
		$check_expenditure_id = implode(",",$_POST['check_expenditure_id1']);
		$where .= " et.expenditure_id IN ($check_expenditure_id)  AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="pay_period"){
		$group_by = " GROUP BY eh.pay_period";
	}
	if(isset($_POST['check_pay_period1']) && count($_POST['check_pay_period1'])>0){
		$check_pay_period = $_POST['check_pay_period1'];
		$where2 = " ( ";
		foreach($check_pay_period as $pay_period){
			$where2 .= " eh.pay_period = '".$pay_period."' OR";
		}
		$where2 = trim($where2," OR");
		$where .= $where2." ) AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="project"){
		$group_by = " GROUP BY etk.task_id";
	}
	if(isset($_POST['check_project1']) && count($_POST['check_project1'])>0){
		$check_project = implode(",",$_POST['check_project1']);
		$where2 = " ( ";
		/*foreach($check_pay_period as $pay_period){
			$where2 .= " eh.pay_period = '".$pay_period."' OR";
		}*/
		$task_ids = array();
		$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id IN ($check_project) AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY task_name";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$task_ids[] = $rows['task_id'];
			}
		}
		$task_ids = implode(",",$task_ids);
		$where2 .= " etk.task_id IN ($task_ids) OR";
		$where2 = trim($where2," OR");
		$where .= $where2." ) AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="status"){
		$group_by = " GROUP BY a.action_type";
	}
	if(isset($_POST['check_status1']) && count($_POST['check_status1'])>0){
		$check_status = $_POST['check_status1'];
		$where1 = " ( ";
		foreach($check_status as $status){
			$status = strtoupper($status);
			if($status=="WORKING"){
				$where1 .= " ( e.is_submitted='N' AND e.is_approved='N' AND e.is_rejected='N') OR";
			}else if($status=="SUBMITTED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='N' AND e.is_rejected='N') OR";
			}else if($status=="APPROVED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='Y' AND e.is_rejected='N') OR";
			}else if($status=="REJECTED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='N' AND e.is_rejected='Y') OR";
			}
		}
		$where1 = trim($where1," OR");
		$where .= $where1." ) AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="approved_by_user_id"){
		$group_by = " GROUP BY e.approved_by_user_id";
	}
	if(isset($_POST['check_approver_user_id1']) && count($_POST['check_approver_user_id1'])>0){
		$check_approver_user_id = implode(",",$_POST['check_approver_user_id1']);
		$where .= " e.approved_by_user_id IN ($check_approver_user_id)  AND";
	}
	/*************************************/
	$where = trim($where," AND");
	if(isset($_POST['data_type']) && $_POST['data_type']=="exp_type"){
		$selectQuery 	= "
			SELECT 
				et.expenditure_id,et.exp_type_name,SUM(e.amount) as total_exp_amount,
				u.full_name,
				eh.pay_period,
				pt.task_number,
				a.action_type
			FROM 
				`cxs_expenditure_types` et
			INNER JOIN
				`cxs_expense_entry_detail` e
			ON
				et.expenditure_id=e.expenditure_type_id
			INNER JOIN
				`cxs_expense_entry_header` eh
			ON
				e.header_id=eh.expense_report_id
			INNER JOIN
				`cxs_approval_activity` a
			ON
				a.expense_report_detail_id=e.expense_report_detail_id
			LEFT JOIN
				`cxs_expense_entry_tasks` etk
			ON
				etk.expense_report_detail_id=e.expense_report_detail_id
			LEFT JOIN
				`cxs_projects_tasks` pt
			ON
				etk.task_id=pt.task_id
			INNER JOIN
				`cxs_user` u
			ON
				u.user_id=eh.user_id
			$where
			$group_by
			ORDER BY 
				et.exp_type_name ASC
			";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$exp_type_name 		= $rows["exp_type_name"];
				$pay_period 		= $rows["pay_period"];
				$task_number		= $rows["task_number"];
				//$project_id			= getvalue("cxs_projects_tasks","project_id"," WHERE task_id='".$task_id."'");
				//$project_number		= getvalue("cxs_projects","project_number"," WHERE project_id='".$project_id."'");
				$user_name 			= $rows["full_name"];
				$action_type		= $rows["action_type"];
				$total_exp_amount 	= (!is_null($rows["total_exp_amount"]))?setNumberFormat($rows["total_exp_amount"]):0.00;
				if($combo_chart_type=="bar_chart"){
					if($combo_group_by=="user_id" || $combo_group_by=="approved_by_user_id"){
						$data_arr[] = array('exp_type'=>$user_name,'amount'=>$total_exp_amount);
					}else if($combo_group_by=="expenditure_id"){
						$data_arr[] = array('exp_type'=>$exp_type_name,'amount'=>$total_exp_amount);
					}else if($combo_group_by=="pay_period"){
						$data_arr[] = array('exp_type'=>$pay_period,'amount'=>$total_exp_amount);
					}else if($combo_group_by=="project"){
						$data_arr[] = array('exp_type'=>$task_number,'amount'=>$total_exp_amount);
					}else if($combo_group_by=="status"){
						$data_arr[] = array('exp_type'=>$action_type,'amount'=>$total_exp_amount);
					}
				}else if($combo_chart_type=="pie_chart"){
					if($combo_group_by=="user_id" || $combo_group_by=="approved_by_user_id"){
						$data_arr[] = array('data'=>$total_exp_amount,'label'=>$user_name);
					}else if($combo_group_by=="expenditure_id"){
						$data_arr[] = array('data'=>$total_exp_amount,'label'=>$exp_type_name);
					}else if($combo_group_by=="pay_period"){
						$data_arr[] = array('data'=>$total_exp_amount,'label'=>$pay_period);
					}else if($combo_group_by=="project"){
						$data_arr[] = array('data'=>$total_exp_amount,'label'=>$task_number);
					}else if($combo_group_by=="status"){
						$data_arr[] = array('data'=>$total_exp_amount,'label'=>$action_type);
					}
				}
				
			}
			$succ = 1;
		}
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$selectQuery,"data_arr"=>$data_arr));
	//echo $selectQuery;
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_chart_table_data'){
	$succ = 0;
	$msg = "";
	$chart_type = "";
	$data_arr = array();
	$check_expenditure_id = "";
	$where 		= "";
	$group_by	= "";
	
	$combo_chart_type 	= $_POST['combo_chart_type1'];
	$combo_group_by 	= $_POST['combo_group_by1'];
	$where = " WHERE 1=1 AND";
	
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="user_id"){
		$group_by = " GROUP BY eh.user_id";
	}
	if(isset($_POST['check_employee_user_id1']) && count($_POST['check_employee_user_id1'])>0){
		$check_employee_user_id = implode(",",$_POST['check_employee_user_id1']);
		$where .= " eh.user_id IN ($check_employee_user_id) AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="expenditure_id"){
		$group_by = " GROUP BY et.expenditure_id";
	}
	if(isset($_POST['check_expenditure_id1']) && count($_POST['check_expenditure_id1'])>0){
		$check_expenditure_id = implode(",",$_POST['check_expenditure_id1']);
		$where .= " et.expenditure_id IN ($check_expenditure_id)  AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="pay_period"){
		$group_by = " GROUP BY eh.pay_period";
	}
	if(isset($_POST['check_pay_period1']) && count($_POST['check_pay_period1'])>0){
		$check_pay_period = $_POST['check_pay_period1'];
		$where2 = " ( ";
		foreach($check_pay_period as $pay_period){
			$where2 .= " eh.pay_period = '".$pay_period."' OR";
		}
		$where2 = trim($where2," OR");
		$where .= $where2." ) AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="project"){
		$group_by = " GROUP BY etk.task_id";
	}
	if(isset($_POST['check_project1']) && count($_POST['check_project1'])>0){
		$check_project = implode(",",$_POST['check_project1']);
		$where2 = " ( ";
		/*foreach($check_pay_period as $pay_period){
			$where2 .= " eh.pay_period = '".$pay_period."' OR";
		}*/
		$task_ids = array();
		$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id IN ($check_project) AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY task_name";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$task_ids[] = $rows['task_id'];
			}
		}
		$task_ids = implode(",",$task_ids);
		$where2 .= " etk.task_id IN ($task_ids) OR";
		$where2 = trim($where2," OR");
		$where .= $where2." ) AND";
	}
	/*************************************/
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="status"){
		$group_by = " GROUP BY a.action_type";
	}
	if(isset($_POST['check_status1']) && count($_POST['check_status1'])>0){
		$check_status = $_POST['check_status1'];
		$where1 = " ( ";
		foreach($check_status as $status){
			$status = strtoupper($status);
			if($status=="WORKING"){
				$where1 .= " ( e.is_submitted='N' AND e.is_approved='N' AND e.is_rejected='N') OR";
			}else if($status=="SUBMITTED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='N' AND e.is_rejected='N') OR";
			}else if($status=="APPROVED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='Y' AND e.is_rejected='N') OR";
			}else if($status=="REJECTED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='N' AND e.is_rejected='Y') OR";
			}
		}
		$where1 = trim($where1," OR");
		$where .= $where1." ) AND";
	}
	/*************************************/	
	if(isset($_POST['combo_group_by1']) && $combo_group_by=="approved_by_user_id"){
		$group_by = " GROUP BY et.approved_by_user_id";
	}
	if(isset($_POST['check_approver_user_id1']) && count($_POST['check_approver_user_id1'])>0){
		$check_approver_user_id = implode(",",$_POST['check_approver_user_id1']);
		$where .= " et.approved_by_user_id IN ($check_approver_user_id)  AND";
	}
	/*************************************/
	$where = trim($where," AND");
	
	if(isset($_POST['data_type']) && $_POST['data_type']=="exp_type"){
		$selectQuery 	= "
			SELECT 
				et.expenditure_id,et.exp_type_name,SUM(e.amount) as total_exp_amount,
				u.full_name,
				eh.pay_period,
				pt.task_number,
				a.action_type
			FROM 
				`cxs_expenditure_types` et
			INNER JOIN
				`cxs_expense_entry_detail` e
			ON
				et.expenditure_id=e.expenditure_type_id
			INNER JOIN
				`cxs_expense_entry_header` eh
			ON
				e.header_id=eh.expense_report_id
			INNER JOIN
				`cxs_approval_activity` a
			ON
				a.expense_report_detail_id=e.expense_report_detail_id
			LEFT JOIN
				`cxs_expense_entry_tasks` etk
			ON
				etk.expense_report_detail_id=e.expense_report_detail_id
			LEFT JOIN
				`cxs_projects_tasks` pt
			ON
				etk.task_id=pt.task_id
			INNER JOIN
				`cxs_user` u
			ON
				u.user_id=eh.user_id
			$where
			$group_by
			ORDER BY 
				et.exp_type_name ASC
			";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			?>
			<div class="row">
				<?php /*?><div class="col-md-12 text-right">
					<button type="button" class="btn btn-primary btn-sm">Excel</button>
					<button onclick="get_chart_data_table_pdf();" type="button" class="btn btn-primary btn-sm">PDF</button>
					<button type="button" class="btn btn-primary btn-sm">Email</button>
				</div><?php */?>
				<div class="col-md-12">
					<div class="table-responsive">
						<table id="chart_table_data" class="table table-bordered chart-table-data">
							<?php
							if($combo_group_by=="user_id" || $combo_group_by=="approved_by_user_id"){
							?>
							<thead>
								<tr class="table-info">
									<th>Sr. No.</th>
									<th class="searc">Employee Name</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</thead>
							<tfoot>
								<tr>
									<th></th>
									<th class="searc">Employee Name</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</tfoot>
							<tbody>
							<?php
							}else if($combo_group_by=="expenditure_id"){
							?>
							<thead>
								<tr class="table-info">
									<th>Sr. No.</th>
									<th class="searc">Expenditure Type</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</thead>
							<tfoot>
								<tr>
									<th></th>
									<th class="searc">Expenditure Type</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</tfoot>
							<tbody>
							<?php
							}else if($combo_group_by=="pay_period"){
							?>
							<thead>
								<tr class="table-info">
									<th>Sr. No.</th>
									<th class="searc">Pay Period</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</thead>
							<tfoot>
								<tr>
									<th></th>
									<th class="searc">Pay Period</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</tfoot>
							<tbody>
							<?php
							}else if($combo_group_by=="project"){
							?>
							<thead>
								<tr class="table-info">
									<th>Sr. No.</th>
									<th class="searc">Project/Task</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</thead>
							<tfoot>
								<tr>
									<th></th>
									<th class="searc">Project/Task</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</tfoot>
							<tbody>
							<?php
							}else if($combo_group_by=="status"){
							?>
							<thead>
								<tr class="table-info">
									<th>Sr. No.</th>
									<th class="searc">Status</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</thead>
							<tfoot>
								<tr>
									<th></th>
									<th class="searc">Status</th>
									<th class="searc">Expense Amount</th>
								</tr>
							</tfoot>
							<tbody>
							<?php
							}
							$c=0;
							while($rows=mysqli_fetch_assoc($RunUserQuery)){
								$c++;
								$exp_type_name 		= $rows["exp_type_name"];
								$pay_period 		= $rows["pay_period"];
								$task_number		= $rows["task_number"];
								$user_name 			= $rows["full_name"];
								$action_type		= $rows["action_type"];
								$total_exp_amount 	= (!is_null($rows["total_exp_amount"]))?$rows["total_exp_amount"]:0.00;
								
								if($combo_group_by=="user_id" || $combo_group_by=="approved_by_user_id"){
									$val = $user_name;
								}else if($combo_group_by=="expenditure_id"){
									$val = $exp_type_name;
								}else if($combo_group_by=="pay_period"){
									$val = $pay_period;
								}else if($combo_group_by=="project"){
									$val = $task_number;
								}else if($combo_group_by=="status"){
									$val = $action_type;
								}
								
								?>
								<tr>
									<td><?php echo $c; ?></td>
									<td><?php echo $val; ?></td>
									<td><span class="td-cell-space">$<?php echo setNumberFormat($total_exp_amount); ?></span></td>
								</tr>
								<?php
							}
							?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
			<?php
		}
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_chart_pdf'){
	$succ = 0;
	$msg = "";
	
	if(!empty($_POST['data1'])){
		$data = base64_decode($_POST['data1']);
		// print_r($data);
		$file_name = $_POST['group_by']."_".time()."_".uniqid().".pdf";
		$file = 'img/uploads/chart_pdfs/'.$file_name;
		file_put_contents($file, $data );
		$succ = 1;
	}
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"file"=>$file));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_recent_expense_entry_data'){
	
	$is_page_load 		= $_POST['is_page_load1'];
	$data_pay_period 	= array();
	$label_pay_period 	= array();
	
	$user_count			= 0;
	$user_id_arr		= array();
	$user_ids				= "";
	$username_user_string 	= "";
	$userimage_user_string	= "";
	$label_user_string		= "";
	$data_user_string		= "";
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_recent_expense_entry">
			<thead>
				<tr class="table-info">
					<th>Name</th>
					<th>Expense Report</th>
					<th>Amount</th>
					<th>Status</th>
					<th>Action</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th class="searc">Name</th>
					<th class="searc">Expense Report</th>
					<th class="searc">Amount</th>
					<th class="searc">Status</th>
					<th></th>
				</tr>
			</tfoot>
			<tbody>
			<?php
			if($is_page_load=="true"){
				$having_clause = "";
				$where = " WHERE 1=1 AND ";
				
				if(isset($_POST['check_employee_user_id1']) && count($_POST['check_employee_user_id1'])>0){
					$check_employee_user_id = implode(",",$_POST['check_employee_user_id1']);
					$where .= " eh.user_id IN ($check_employee_user_id) AND ";
				}/*else if($_SESSION['login_user_array']['user_role']=="Manager"){
					$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
					$where .= " (eh.user_id IN (SELECT user_id FROM `cxs_employee` WHERE supervisor_id='".$employee_id."') OR eh.user_id='".$_SESSION['login_user_array']['user_id']."') AND ";
				}*/else if($_SESSION['login_user_array']['user_role']=="User"){
					$where .= " eh.user_id='".$_SESSION['login_user_array']['user_id']."' AND ";
				}
				/*************************************/
				if(isset($_POST['check_pay_period1']) && count($_POST['check_pay_period1'])>0){
					$check_pay_period = $_POST['check_pay_period1'];
					$where2 = " ( ";
					foreach($check_pay_period as $pay_period){
						$where2 .= " eh.pay_period = '".$pay_period."' OR";
					}
					$where2 = trim($where2," OR");
					$where .= $where2." ) AND ";
				}else{
					$where .= "eh.pay_period LIKE '%".date('M-Y')."%' AND ";
				}
				/*************************************/
				if(isset($_POST['check_status1']) && count($_POST['check_status1'])>0){
					$check_status = $_POST['check_status1'];
					$having_clause .= " HAVING ( ";
					$having_clause1 = "";
					foreach($check_status as $status){
						if($status=="Working"){
							$having_clause1 .= " working='Working' OR ";
						}else if($status=="Submitted"){
							$having_clause1 .= " submitted='Submitted' OR ";
						}else if($status=="Approved"){
							$having_clause1 .= " approved='Approved' OR ";
						}else if($status=="Rejected"){
							$having_clause1 .= " rejected='Rejected' OR ";
						}
					}
					$having_clause1 = trim($having_clause1," OR");
					$having_clause	.= $having_clause1." )";
				}
				/*************************************/
				if(isset($_POST['check_approver_user_id1']) && count($_POST['check_approver_user_id1'])>0){
					$check_approver_user_id = implode(",",$_POST['check_approver_user_id1']);
					$where .= " e.approved_by_user_id IN ($check_approver_user_id)  AND ";
				}
				/*************************************/
				$where = trim($where," AND");
				
				$selectQuery 	= "
						SELECT 
							eh.*,e.approved_by_user_id,
							(SELECT SUM(cxs_expense_entry_detail.amount) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.header_id=eh.expense_report_id) AS total_amount,
							
							IF((SELECT COUNT(cxs_expense_entry_detail.expense_report_detail_id) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.is_submitted='N' AND cxs_expense_entry_detail.is_rejected='N' AND cxs_expense_entry_detail.is_approved='N' AND cxs_expense_entry_detail.header_id=eh.expense_report_id)>0, 'Working', '') AS working,
							
							IF((SELECT COUNT(cxs_expense_entry_detail.expense_report_detail_id) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.is_submitted='Y' AND cxs_expense_entry_detail.is_rejected='N' AND cxs_expense_entry_detail.is_approved='N' AND cxs_expense_entry_detail.header_id=eh.expense_report_id)>0, 'Submitted', '') AS submitted,
							
							IF((SELECT COUNT(cxs_expense_entry_header.expense_report_id) FROM `cxs_expense_entry_header` WHERE cxs_expense_entry_header.is_approved='Y' AND cxs_expense_entry_header.expense_report_id=eh.expense_report_id)>0, 'Approved', '') AS approved,
							
							IF((SELECT COUNT(cxs_expense_entry_detail.expense_report_detail_id) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.is_rejected='Y' AND cxs_expense_entry_detail.header_id=eh.expense_report_id)>0, 'Rejected', '') AS rejected,
							
							u.full_name,u.image_name
						FROM 
							`cxs_expense_entry_header` eh
						INNER JOIN
							`cxs_expense_entry_detail` e
						ON
							e.header_id=eh.expense_report_id
						INNER JOIN 
							cxs_user u 
						ON 
							eh.user_id=u.user_id
						LEFT JOIN 
							cxs_employee em 
						ON 
							eh.user_id=em.user_id 
						$where AND eh.company_id='".$_SESSION['login_user_array']['company_id']."'
						GROUP BY
							eh.expense_report_id
						$having_clause
						ORDER BY 
							eh.expense_report_id DESC
				";
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$user_id		= $rows["user_id"];
						$full_name 		= $rows["full_name"];
						$user_image_name= $rows["image_name"];
						if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
							$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
						}else{
							$user_img_url = SITEURL."images/faces/default_face.png";
						}
						/************/
						$expense_report_name= $rows["expense_report_name"];
						$pay_period 		= $rows["pay_period"];
						$total_amount 		= $rows['total_amount'];
						$is_approved 		= $rows['is_approved'];
						$working 			= $rows['working'];
						$submitted 			= $rows['submitted'];
						$rejected 			= $rows['rejected'];
						if($is_approved=="Y"){
							$status = "Approved";
						}else if($working=="Working"){
							$status = "Working";
						}else if($submitted=="Submitted"){
							$status = "Submitted";
						}else if($rejected=="Rejected"){
							$status = "Rejected";
						}
						
						/*************/
						$user_id_arr[] = $user_id;
						/*************/
						?>
						<tr>
							<td class="table-user-info">
								<div class="d-flex">
									<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
									<label class="my-2"><?php echo $full_name; ?></label>
								</div>
							</td>
							<td><?php echo $expense_report_name; ?></td>
							<td>$<?php echo setNumberFormat($total_amount);?></td>
							<td><?php echo $status;?></td>
							<td class="text-center table-action"><a href="<?php echo SITEURL."expense-tracking/expenses/".$expense_report_name."/".$pay_period."/".md5($user_id)."/"; ?>" target="_blank"><i class="fa fa-external-link " style="font-size: 20px;"></i></a></td>
						</tr>
						<?php
					}
				}
				/*******************Chart - Expenses by Pay Periods*********************/
				$selectQuery2 	= "
					SELECT 
						et.exp_type_name,SUM(e.amount) AS total_exp_amount
					FROM 
						`cxs_expense_entry_header` eh
					INNER JOIN
						`cxs_expense_entry_detail` e
					ON
						e.header_id=eh.expense_report_id
					INNER JOIN
						`cxs_expenditure_types` et
					ON
						et.expenditure_id=e.expenditure_type_id
					INNER JOIN 
						cxs_user u 
					ON 
						eh.user_id=u.user_id
					LEFT JOIN 
						cxs_employee em 
					ON 
						eh.user_id=em.user_id 
					$where AND eh.company_id='".$_SESSION['login_user_array']['company_id']."'
					GROUP BY
						e.expenditure_type_id
					ORDER BY 
						eh.expense_report_id DESC
				";
				$RunUserQuery2	= mysqli_query($conn, $selectQuery2);
				$StdNumRows2 	= mysqli_num_rows($RunUserQuery2);
				
				if($StdNumRows2>0){
					while($rows2=mysqli_fetch_assoc($RunUserQuery2)){
						$label_pay_period[] 	= $rows2["exp_type_name"];
						$data_pay_period[]		= $rows2["total_exp_amount"];
					}
				}
				
				/*******************Chart - Expenses by Pay Periods*********************/
				
				/*******************Chart - Expenses by Pay Periods*********************/
				$user_ids = array_unique($user_id_arr);
				$username_user_string	= "";
				$userimage_user_string	= "";
				$label_user_string 	= "";
				$data_user_string 	= "";
				foreach($user_ids as $user_id){
					$username_user_arr	= array();
					$userimage_user_arr	= array();
					
					$data_user 			= array();
					$label_user 		= array();
					
					$selectQuery3 	= "
						SELECT 
							et.exp_type_name,SUM(e.amount) AS total_exp_amount,
							u.full_name,u.image_name
						FROM 
							`cxs_expense_entry_header` eh
						INNER JOIN
							`cxs_expense_entry_detail` e
						ON
							e.header_id=eh.expense_report_id
						INNER JOIN
							`cxs_expenditure_types` et
						ON
							et.expenditure_id=e.expenditure_type_id
						INNER JOIN 
							cxs_user u 
						ON 
							eh.user_id=u.user_id
						LEFT JOIN 
							cxs_employee em 
						ON 
							eh.user_id=em.user_id 
						$where AND eh.company_id='".$_SESSION['login_user_array']['company_id']."' AND eh.user_id='".$user_id."'
						GROUP BY
							e.expenditure_type_id
						ORDER BY 
							eh.expense_report_id DESC
					";
					$RunUserQuery3	= mysqli_query($conn, $selectQuery3);
					$StdNumRows3 	= mysqli_num_rows($RunUserQuery3);
					
					if($StdNumRows3>0){
						while($rows3=mysqli_fetch_assoc($RunUserQuery3)){
							$full_name 		= $rows3["full_name"];
							$user_image_name= $rows3["image_name"];
							if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
								$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
							}else{
								$user_img_url = SITEURL."images/faces/default_face.png";
							}
							
							$username_user_arr[]	= $full_name;
							$userimage_user_arr[]	= $user_img_url;
							
							$label_user[] 		= $rows3["exp_type_name"];
							$data_user[]		= $rows3["total_exp_amount"];
						}
					}
					$label_user 	= implode(",",$label_user);
					$data_user 		= implode(",",$data_user);
					
					$username_user_arr 	= implode(",",array_unique($username_user_arr));
					$userimage_user_arr = implode(",",array_unique($userimage_user_arr));
					
					$username_user_string	.= $username_user_arr."#";
					$userimage_user_string	.= $userimage_user_arr."#";
					
					$label_user_string 	.= $label_user."#";
					$data_user_string 	.= $data_user."#";
				}
				
				$username_user_string 	= trim($username_user_string,"#");
				$userimage_user_string 	= trim($userimage_user_string,"#");
				
				$label_user_string 	= trim($label_user_string,"#");
				$data_user_string 	= trim($data_user_string,"#");
				/*******************Chart - Expenses by Pay Periods*********************/
			}
			
			$data_pay_period 	= implode(",",$data_pay_period);
			$label_pay_period 	= implode(",",$label_pay_period);
			
			
			?>
			</tbody>
		</table>
		<input type="hidden" id="data_pay_period" value='<?php echo $data_pay_period; ?>' />
		<input type="hidden" id="label_pay_period" value='<?php echo $label_pay_period; ?>' />
		
		<input type="hidden" id="user_count" value='<?php echo count($user_ids); ?>' />
		<input type="hidden" id="username_user_string" value='<?php echo $username_user_string; ?>' />
		<input type="hidden" id="userimage_user_string" value='<?php echo $userimage_user_string; ?>' />
		<input type="hidden" id="label_user_string" value='<?php echo $label_user_string; ?>' />
		<input type="hidden" id="data_user_string" value='<?php echo $data_user_string; ?>' />
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'update_feed_chart_by_pay_period'){
	$succ = 0;
	$where = " WHERE 1=1 AND ";
	
	if(isset($_POST['check_employee_user_id1']) && count($_POST['check_employee_user_id1'])>0){
		$check_employee_user_id = implode(",",$_POST['check_employee_user_id1']);
		$where .= " eh.user_id IN ($check_employee_user_id) AND";
	}
	/*************************************/
	if(isset($_POST['combo_chart_pay_period']) && $_POST['combo_chart_pay_period']!=""){
		$pay_period = $_POST['combo_chart_pay_period'];
		$where .= " eh.pay_period = '".$pay_period."' AND";
	}
	/*************************************/
	if(isset($_POST['check_status1']) && count($_POST['check_status1'])>0){
		$check_status = $_POST['check_status1'];
		$where1 = " ( ";
		foreach($check_status as $status){
			$status = strtoupper($status);
			if($status=="WORKING"){
				$where1 .= " ( e.is_submitted='N' AND e.is_approved='N' AND e.is_rejected='N') OR";
			}else if($status=="SUBMITTED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='N' AND e.is_rejected='N') OR";
			}else if($status=="APPROVED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='Y' AND e.is_rejected='N') OR";
			}else if($status=="REJECTED"){
				$where1 .= " ( e.is_submitted='Y' AND e.is_approved='N' AND e.is_rejected='Y') OR";
			}
		}
		$where1 = trim($where1," OR");
		$where .= $where1." ) AND";
	}
	/*************************************/
	if(isset($_POST['check_approver_user_id1']) && count($_POST['check_approver_user_id1'])>0){
		$check_approver_user_id = implode(",",$_POST['check_approver_user_id1']);
		$where .= " e.approved_by_user_id IN ($check_supervisor_user_id)  AND";
	}
	/*************************************/
	$where = trim($where," AND");
	
	$selectQuery2 	= "
		SELECT 
			et.exp_type_name,SUM(e.amount) AS total_exp_amount
		FROM 
			`cxs_expense_entry_header` eh
		INNER JOIN
			`cxs_expense_entry_detail` e
		ON
			e.header_id=eh.expense_report_id
		INNER JOIN
			`cxs_expenditure_types` et
		ON
			et.expenditure_id=e.expenditure_type_id
		INNER JOIN 
			cxs_user u 
		ON 
			eh.user_id=u.user_id
		LEFT JOIN 
			cxs_employee em 
		ON 
			eh.user_id=em.user_id 
		$where AND eh.company_id='".$_SESSION['login_user_array']['company_id']."'
		GROUP BY
			e.expenditure_type_id
		ORDER BY 
			eh.expense_report_id DESC
	";
	$RunUserQuery2	= mysqli_query($conn, $selectQuery2);
	$StdNumRows2 	= mysqli_num_rows($RunUserQuery2);
	
	$data_pay_period 	= array();
	$label_pay_period 	= array();
	
	if($StdNumRows2>0){
		while($rows2=mysqli_fetch_assoc($RunUserQuery2)){
			$label_pay_period[] 	= $rows2["exp_type_name"];
			$data_pay_period[]		= $rows2["total_exp_amount"];
		}
		$succ = 1;
	}
	echo json_encode(array("succ" => $succ,"data_pay_period"=>implode(",",$data_pay_period),"label_pay_period"=>implode(",",$label_pay_period)));
	die;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'update_feed_chart_by_project'){
	$succ = 0;
	$where = " WHERE 1=1 AND ";
	$project_id	= "";
	$user_id	= "";
	$task_id	= "";
	
	if(isset($_POST['project_id']) && $_POST['project_id']>0){
		$project_id = $_POST['project_id'];
		//$where .= " etk.task_id = '".$task_id."' AND";
	}
	if(isset($_POST['task_id']) && $_POST['task_id']>0){
		$project_id = $_POST['project_id'];
		$task_id 	= $_POST['task_id'];
		$where .= " etk.task_id = '".$task_id."' AND";
	}else{
		if(isset($_POST['project_id']) && $_POST['project_id']>0){
			$where .= " etk.task_id IN (SELECT task_id FROM cxs_projects_tasks WHERE project_id='".$_POST['project_id']."') AND";
		}
	}
	/*************************************/
	if(isset($_POST['user_id']) && $_POST['user_id']>0){
		$user_id = $_POST['user_id'];
		$where .= " etk.user_id = '".$user_id."' AND";
	}
	/*************************************/
	$where = trim($where," AND");
	
	$selectQuery2 	= "
		SELECT 
			et.exp_type_name,SUM(e.amount) AS total_exp_amount
		FROM 
			`cxs_expense_entry_header` eh
		INNER JOIN
			`cxs_expense_entry_detail` e
		ON
			e.header_id=eh.expense_report_id
		INNER JOIN
			`cxs_expenditure_types` et
		ON
			et.expenditure_id=e.expenditure_type_id
		INNER JOIN 
			cxs_user u 
		ON 
			eh.user_id=u.user_id
		INNER JOIN 
			cxs_expense_entry_tasks etk 
		ON 
			etk.expense_report_detail_id=e.expense_report_detail_id 
		$where AND eh.company_id='".$_SESSION['login_user_array']['company_id']."'
		GROUP BY
			e.expenditure_type_id
		ORDER BY 
			eh.expense_report_id DESC
	";
	//echo $selectQuery2;die;
	$RunUserQuery2	= mysqli_query($conn, $selectQuery2);
	$StdNumRows2 	= mysqli_num_rows($RunUserQuery2);
	
	$data_pay_period 	= array();
	$label_pay_period 	= array();
	
	if($StdNumRows2>0){
		while($rows2=mysqli_fetch_assoc($RunUserQuery2)){
			$label_pay_period[] 	= $rows2["exp_type_name"];
			$data_pay_period[]		= $rows2["total_exp_amount"];
		}
		$succ = 1;
	}
	echo json_encode(array("succ" => $succ,"data_pay_period"=>implode(",",$data_pay_period),"label_pay_period"=>implode(",",$label_pay_period)));
	die;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_expense_entry_data'){
	$all_total_amount=0;
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_print_expense_report">
			<thead>
				<tr class="table-info">
					<th>Name</th>
					<th>Expense Report</th>
					<th>Amount</th>
					<th>Status</th>
					<th>Action</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th class="searc">Name</th>
					<th class="searc">Expense Report</th>
					<th class="searc">Amount</th>
					<th class="searc">Status</th>
					<th></th>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$having_clause = "";
			$where = " WHERE 1=1 AND ";
			
			if(isset($_POST['search_exp_report_id']) && $_POST['search_exp_report_id']>0){
				$exp_report_id = $_POST['search_exp_report_id'];
				$where .= " eh.expense_report_id='".$exp_report_id."' AND ";
			}
			/*************************************/
			if(isset($_POST['search_employee_user_id']) && $_POST['search_employee_user_id']>0){
				$check_employee_user_id = $_POST['search_employee_user_id'];
				$where .= " eh.user_id IN ($check_employee_user_id) AND ";
			}else{
				if($_SESSION['login_user_array']['user_role']=="Manager"){
					$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
					$where .= " (eh.user_id IN (SELECT user_id FROM `cxs_employee` WHERE supervisor_id='".$employee_id."') OR eh.user_id='".$_SESSION['login_user_array']['user_id']."') AND ";
				}else if($_SESSION['login_user_array']['user_role']=="User"){
					$where .= " eh.user_id='".$_SESSION['login_user_array']['user_id']."' AND ";
				}
			}
			/*************************************/
			if(isset($_REQUEST['search_from']) && $_REQUEST['search_from']!=""){
				$search_from = setDate($_REQUEST['search_from'],"Y-m-d");
				$where .= " DATE(eh.creation_date) >= '".$search_from."' AND ";
			}
			if(isset($_REQUEST['search_to']) && $_REQUEST['search_to']!=""){
				$search_to = setDate($_REQUEST['search_to'],"Y-m-d");
				$where .= " DATE(eh.creation_date) <= '".$search_to."' AND ";
			}
			/*************************************/
			if(isset($_POST['search_exp_status']) && $_REQUEST['search_exp_status']!=""){
				$search_exp_status = $_POST['search_exp_status'];
				if($search_exp_status=="Working"){
					$having_clause = " HAVING working='Working' ";
				}else if($search_exp_status=="Submitted"){
					$having_clause = " HAVING submitted='Submitted' ";
				}else if($search_exp_status=="Approved"){
					$having_clause = " HAVING approved='Approved' ";
				}else if($search_exp_status=="Rejected"){
					$having_clause = " HAVING rejected='Rejected' ";
				}
			}
			/*************************************/
			
			$where = trim($where," AND");
			$selectQuery 	= "
					SELECT 
						eh.*,e.approved_by_user_id,
						(SELECT SUM(cxs_expense_entry_detail.amount) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.header_id=eh.expense_report_id) AS total_amount,
						
						IF((SELECT COUNT(cxs_expense_entry_detail.expense_report_detail_id) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.is_submitted='N' AND cxs_expense_entry_detail.is_rejected='N' AND cxs_expense_entry_detail.is_approved='N' AND cxs_expense_entry_detail.header_id=eh.expense_report_id)>0, 'Working', '') AS working,
							
						IF((SELECT COUNT(cxs_expense_entry_detail.expense_report_detail_id) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.is_submitted='Y' AND cxs_expense_entry_detail.is_rejected='N' AND cxs_expense_entry_detail.is_approved='N' AND cxs_expense_entry_detail.header_id=eh.expense_report_id)>0, 'Submitted', '') AS submitted,
						
						IF((SELECT COUNT(cxs_expense_entry_header.expense_report_id) FROM `cxs_expense_entry_header` WHERE cxs_expense_entry_header.is_approved='Y' AND cxs_expense_entry_header.expense_report_id=eh.expense_report_id)>0, 'Approved', '') AS approved,
						
						IF((SELECT COUNT(cxs_expense_entry_detail.expense_report_detail_id) FROM `cxs_expense_entry_detail` WHERE cxs_expense_entry_detail.is_rejected='Y' AND cxs_expense_entry_detail.header_id=eh.expense_report_id)>0, 'Rejected', '') AS rejected,
						
						u.full_name,u.image_name
					FROM 
						`cxs_expense_entry_header` eh
					INNER JOIN
						`cxs_expense_entry_detail` e
					ON
						e.header_id=eh.expense_report_id
					INNER JOIN 
						cxs_user u 
					ON 
						eh.user_id=u.user_id
					LEFT JOIN 
						cxs_employee em 
					ON 
						eh.user_id=em.user_id 
					$where AND eh.company_id='".$_SESSION['login_user_array']['company_id']."'
					GROUP BY
						eh.expense_report_id
					$having_clause
					ORDER BY 
						eh.expense_report_id DESC
			";
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$user_id		= $rows["user_id"];
					$full_name 		= $rows["full_name"];
					$user_image_name= $rows["image_name"];
					if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
						$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
					}else{
						$user_img_url = SITEURL."images/faces/default_face.png";
					}
					/************/
					$expense_report_name= $rows["expense_report_name"];
					$pay_period 		= $rows["pay_period"];
					$total_amount 		= $rows['total_amount'];
					$all_total_amount	+=$total_amount;
					$is_approved 		= $rows['is_approved'];
					$working 			= $rows['working'];
					$submitted 			= $rows['submitted'];
					$rejected 			= $rows['rejected'];
					if($is_approved=="Y"){
						$status = "Approved";
					}else if($working=="Working"){
						$status = "Working";
					}else if($submitted=="Submitted"){
						$status = "Submitted";
					}else if($rejected=="Rejected"){
						$status = "Rejected";
					}
					
					?>
					<tr>
						<td class="table-user-info">
							<div class="d-flex">
								<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
								<label class="my-2"><?php echo $full_name; ?></label>
							</div>
						</td>
						<td><?php echo $expense_report_name; ?></td>
						<td>$<?php echo setNumberFormat($total_amount);?></td>
						<td><?php echo $status;?></td>
						<td class="text-center table-action">
							<a href="<?php echo SITEURL."expense-tracking/reports/print/expense-entry/".$expense_report_name."/".$pay_period."/".md5($user_id)."/"; ?>" title="Print Report" target="_blank" class="mr-2"><i class="fa fa-print" style="font-size: 20px;"></i></a>
							
							<a href="<?php echo SITEURL."expense-tracking/expenses/".$expense_report_name."/".$pay_period."/".md5($user_id)."/"; ?>" title="View Report" target="_blank"><i class="fa fa-external-link " style="font-size: 20px;"></i></a>
						</td>
					</tr>
					
					<?php
				}
			}
			?>
				<tr>
					<td class="table-user-info">
						
					</td>
					<td>Total:</td>
					<td>$<?php echo setNumberFormat($all_total_amount);?></td>
					<td><span class="btn">&nbsp;</span></td>
					<td class="text-center table-action">
						
					</td>
				</tr>
			</tbody>
		</table>
		
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_expenditure_detail_data'){
	$all_total_amount=0;
	$search_report_type = $_POST['search_report_type'];
	
	if($search_report_type=="summary"){
		$search_group_by = "";
		if(isset($_POST['search_group_by']) && $_POST['search_group_by']!=""){
			$search_group_by = $_POST['search_group_by'];
			if($search_group_by=="exp_type"){
				$group_by 	= " GROUP BY ed.expenditure_type_id,eh.pay_period";
			}else if($search_group_by=="emp_name"){
				$group_by 	= " GROUP BY eh.user_id,eh.pay_period";
			}else if($search_group_by=="emp_name_and_exp_type"){
				$group_by 	= " GROUP BY eh.user_id,ed.expenditure_type_id,eh.pay_period";
			}						
		}else{
			$group_by 	= " GROUP BY ed.expenditure_type_id,eh.pay_period";
		}
		
		?>
		<div class="table-responsive ">
			<table class="table table-bordered" id="table_report_expenditure_detail">
				<?php if($search_group_by=="" || $search_group_by=="exp_type"){ ?>
				<thead>
					<tr class="table-info">
						<th>Expenditure Type</th>
						<th>Expenditure Description</th>
						<th>Pay Period</th>
						<th>Amount</th>
					</tr>
				</thead>
				<tfoot class="tfoot">
					<tr>
						<th class="searc">Expenditure Type</th>
						<th class="searc">Expenditure Description</th>
						<th class="searc">Pay Period</th>
						<th class="searc">Amount</th>
					</tr>
				</tfoot>
				<?php }else if($search_group_by=="emp_name"){ ?>
				<thead>
					<tr class="table-info">
						<th>Employee Name</th>
						<th>Pay Period</th>
						<th>Amount</th>
					</tr>
				</thead>
				<tfoot class="tfoot">
					<tr>
						<th class="searc">Employee Name</th>
						<th class="searc">Pay Period</th>
						<th class="searc">Amount</th>
					</tr>
				</tfoot>
				<?php }else if($search_group_by=="emp_name_and_exp_type"){ ?>
				<thead>
					<tr class="table-info">
						<th>Employee Name</th>
						<th>Expenditure Type</th>
						<th>Expenditure Description</th>
						<th>Pay Period</th>
						<th>Amount</th>
					</tr>
				</thead>
				<tfoot class="tfoot">
					<tr>
						<th class="searc">Employee Name</th>
						<th class="searc">Expenditure Type</th>
						<th class="searc">Expenditure Description</th>
						<th class="searc">Pay Period</th>
						<th class="searc">Amount</th>
					</tr>
				</tfoot>
				<?php } ?>
				<tbody>
					
				<?php
				
				$where = " WHERE 1=1 AND ";
				
				if(isset($_POST['search_exp_report_id']) && count($_POST['search_exp_report_id'])>0){
					$exp_report_ids = implode(",",$_POST['search_exp_report_id']);
					$where .= " eh.expense_report_id IN ($exp_report_ids) AND ";
				}
				/*************************************/
				if(isset($_POST['search_employee_user_id']) && count($_POST['search_employee_user_id'])>0){
					$check_employee_user_ids = implode(",",$_POST['search_employee_user_id']);
					$where .= " eh.user_id IN ($check_employee_user_ids) AND ";
				}else{
					if($_SESSION['login_user_array']['user_role']=="Manager"){
						$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
						$where .= " (eh.user_id IN (SELECT user_id FROM `cxs_employee` WHERE supervisor_id='".$employee_id."') OR eh.user_id='".$_SESSION['login_user_array']['user_id']."') AND ";
					}else if($_SESSION['login_user_array']['user_role']=="User"){
						$where .= " eh.user_id='".$_SESSION['login_user_array']['user_id']."' AND ";
					}
				}
				/*************************************/
				if(isset($_REQUEST['search_from']) && $_REQUEST['search_from']!=""){
					$search_from = setDate($_REQUEST['search_from'],"Y-m-d");
					$where .= " DATE(eh.creation_date) >= '".$search_from."' AND ";
				}
				if(isset($_REQUEST['search_to']) && $_REQUEST['search_to']!=""){
					$search_to = setDate($_REQUEST['search_to'],"Y-m-d");
					$where .= " DATE(eh.creation_date) <= '".$search_to."' AND ";
				}
				/*************************************/
				if(isset($_POST['search_expenditure_id']) && count($_POST['search_expenditure_id'])>0){
					$expenditure_ids = implode(",",$_POST['search_expenditure_id']);
					$where .= " et.expenditure_id IN ($expenditure_ids) AND ";
				}
				/*************************************/
				
				$where = trim($where," AND");
				$selectQuery 	= "
					SELECT
						et.*,eh.*,SUM(ed.amount) AS total_amount,u.full_name,u.image_name
					FROM
						`cxs_expenditure_types`	 et
					INNER JOIN
						`cxs_expense_entry_detail` ed
					ON
						et.expenditure_id=ed.expenditure_type_id
					INNER JOIN
						`cxs_expense_entry_header` eh
					ON
						eh.expense_report_id=ed.header_id
					INNER JOIN 
						cxs_user u 
					ON 
						eh.user_id=u.user_id
					$where AND ed.company_id='".$_SESSION['login_user_array']['company_id']."' 
					$group_by
					ORDER BY
						et.exp_type_name
				";
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$exp_type_name		= $rows["exp_type_name"];
						$description 		= $rows["description"];
						$total_amount 		= $rows['total_amount'];
						$pay_period 		= $rows["pay_period"];
						$all_total_amount	+=$total_amount;
						/************/
						$user_id		= $rows["user_id"];
						$full_name 		= $rows["full_name"];
						$user_image_name= $rows["image_name"];
						if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
							$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
						}else{
							$user_img_url = SITEURL."images/faces/default_face.png";
						}
						/************/
						if($search_group_by=="" || $search_group_by=="exp_type"){
							?>
							<tr>
								<td><?php echo $exp_type_name; ?></td>
								<td><?php echo $description; ?></td>
								<td><?php echo $pay_period; ?></td>
								<td align="right"><span class="btn">$<?php echo setNumberFormat($total_amount);?></span></td>
							</tr>
							
							<?php
						}else if($search_group_by=="emp_name"){
							?>
							<tr>
								<td class="table-user-info">
									<div class="d-flex">
										<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
										<label class=""><?php echo $full_name; ?></label>
									</div>
								</td>
								<td><?php echo $pay_period; ?></td>
								<td align="right">$<?php echo setNumberFormat($total_amount);?></td>
							</tr>
							
							<?php
						}else if($search_group_by=="emp_name_and_exp_type"){
							?>
							<tr>
								<td class="table-user-info">
									<div class="d-flex">
										<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
										<label class=""><?php echo $full_name; ?></label>
									</div>
								</td>
								<td><?php echo $exp_type_name; ?></td>
								<td><?php echo $description; ?></td>
								<td><?php echo $pay_period; ?></td>
								<td align="right">$<?php echo setNumberFormat($total_amount);?></td>
							</tr>
							
							<?php
						}
						
					}
				}
				?>
				<tfoot>
					<?php if($search_group_by=="" || $search_group_by=="exp_type"){ ?>
					<tr>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">Total:</td>
						<td align="right"><span class="btn">$<?php echo setNumberFormat($all_total_amount);?></span></td>
					</tr>
					<?php }else if($search_group_by=="emp_name"){ ?>
					<tr>
						<td align="right">&nbsp;</td>
						<td align="right">Total:</td>
						<td align="right"><span class="btn">$<?php echo setNumberFormat($all_total_amount);?></span></td>
					</tr>
					<?php }else if($search_group_by=="emp_name_and_exp_type"){ ?>
					<tr>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">Total:</td>
						<td align="right"><span class="td-cell-space">$<?php echo setNumberFormat($all_total_amount);?></span></td>
					</tr>
					<?php } ?>
				</tfoot>
				</tbody>
			</table>
			
		</div>
		<?php
	}else if($search_report_type=="detail"){
		$all_total_amount=0;
		$all_approved_total_amount=0;
		$all_rejected_total_amount=0;
		?>
		<div class="table-responsive">
			<table class="table table-bordered" id="table_report_expenditure_detail">
				<thead>
					<tr class="table-info">
						<th>Name</th>
						<th>Expense Report</th>
						<th>Expenditure Type</th>
						<th>Period</th>
						<th>Amount</th>
						<th>Approved By</th>
						<th>Last Submitted</th>
						<th>Total Approved Amount</th>
						<th>Total Rejected Amount</th>
					</tr>
				</thead>
				<tfoot class="tfoot">
					<tr>
						<th class="searc">Name</th>
						<th class="searc">Expense Report</th>
						<th class="searc">Expenditure Type</th>
						<th class="searc">Period</th>
						<th class="searc">Amount</th>
						<th class="searc">Approved By</th>
						<th class="searc">Last Submitted</th>
						<th class="searc">Total Approved Amount</th>
						<th class="searc">Total Rejected Amount</th>
					</tr>
				</tfoot>
				<tbody>
					<?php
					
					$where = " WHERE 1=1 AND ";
					
					if(isset($_POST['search_exp_report_id']) && count($_POST['search_exp_report_id'])>0){
						$exp_report_ids = implode(",",$_POST['search_exp_report_id']);
						$where .= " eh.expense_report_id IN ($exp_report_ids) AND ";
					}
					/*************************************/
					if(isset($_POST['search_employee_user_id']) && count($_POST['search_employee_user_id'])>0){
						$check_employee_user_ids = implode(",",$_POST['search_employee_user_id']);
						$where .= " eh.user_id IN ($check_employee_user_ids) AND ";
					}else{
						if($_SESSION['login_user_array']['user_role']=="Manager"){
							$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
							$where .= " (eh.user_id IN (SELECT user_id FROM `cxs_employee` WHERE supervisor_id='".$employee_id."') OR eh.user_id='".$_SESSION['login_user_array']['user_id']."') AND ";
						}else if($_SESSION['login_user_array']['user_role']=="User"){
							$where .= " eh.user_id='".$_SESSION['login_user_array']['user_id']."' AND ";
						}
					}
					/*************************************/
					if(isset($_REQUEST['search_from']) && $_REQUEST['search_from']!=""){
						$search_from = setDate($_REQUEST['search_from'],"Y-m-d");
						$where .= " DATE(eh.creation_date) >= '".$search_from."' AND ";
					}
					if(isset($_REQUEST['search_to']) && $_REQUEST['search_to']!=""){
						$search_to = setDate($_REQUEST['search_to'],"Y-m-d");
						$where .= " DATE(eh.creation_date) <= '".$search_to."' AND ";
					}
					/*************************************/
					if(isset($_POST['search_expenditure_id']) && count($_POST['search_expenditure_id'])>0){
						$expenditure_ids = implode(",",$_POST['search_expenditure_id']);
						$where .= " et.expenditure_id IN ($expenditure_ids) AND ";
					}
					/*************************************/
					
					$where = trim($where," AND");
					
					$selectQuery 	= "
						SELECT 
							eh.*,ed.*,et.exp_type_name,u.full_name,u.image_name,
							(SELECT action_datetime FROM cxs_approval_activity ap WHERE ap.expense_report_detail_id=ed.expense_report_detail_id ORDER BY ap.action_datetime DESC LIMIT 1) AS last_submitted_date,
							(SELECT SUM(cxs_expense_entry_detail.amount) FROM cxs_expense_entry_detail WHERE cxs_expense_entry_detail.is_approved='Y' AND cxs_expense_entry_detail.expense_report_detail_id=ed.expense_report_detail_id) AS total_approved_amount,
							
							(SELECT SUM(cxs_expense_entry_detail.amount) FROM cxs_expense_entry_detail WHERE cxs_expense_entry_detail.is_rejected='Y' AND cxs_expense_entry_detail.expense_report_detail_id=ed.expense_report_detail_id) AS total_rejected_amount
						FROM 
							`cxs_expense_entry_header` eh
						INNER JOIN
							`cxs_expense_entry_detail` ed
						ON
							eh.expense_report_id=ed.header_id
						INNER JOIN
							`cxs_expenditure_types` et
						ON
							ed.expenditure_type_id = et.expenditure_id
						INNER JOIN 
							cxs_user u 
						ON 
							ed.user_id=u.user_id
						LEFT JOIN 
							cxs_employee em 
						ON 
							ed.user_id=em.user_id 
						$where AND ed.company_id='".$_SESSION['login_user_array']['company_id']."' 
						ORDER BY 
							ed.expense_report_detail_id DESC
					";		
					$RunUserQuery	= mysqli_query($conn, $selectQuery);
					$StdNumRows 	= mysqli_num_rows($RunUserQuery);
					if($StdNumRows>0){
						while($rows=mysqli_fetch_assoc($RunUserQuery)){
							/************/
							$user_id		= $rows["user_id"];
							$full_name 		= $rows["full_name"];
							$user_image_name= $rows["image_name"];
							if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
								$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
							}else{
								$user_img_url = SITEURL."images/faces/default_face.png";
							}
							/************/
							$expense_report_name		= $rows["expense_report_name"];
							$pay_period 				= $rows["pay_period"];
							$expense_report_detail_id 	= $rows['expense_report_detail_id'];
							$exp_type_name 	= $rows['exp_type_name'];
							$description 	= htmlspecialchars_decode(nl2br($rows['description']));
							$amount 					= $rows['amount'];
							/************/
							$approved_by_user_id 		= $rows['approved_by_user_id'];
							if($approved_by_user_id>0){
								$qry 	= "SELECT full_name,image_name FROM cxs_user WHERE user_id='".$approved_by_user_id."'";
								$res 	= mysqli_query($conn,$qry);
								$rows2	= mysqli_fetch_assoc($res);
								$approved_by_full_name 		= $rows2["full_name"];;
								
							}
							/************/
							$last_submitted_date		= setDate($rows['last_submitted_date'],"m/d/Y H:i A");
							$total_approved_amount			= $rows['total_approved_amount'];
							$total_rejected_amount			= $rows['total_rejected_amount'];
							
							$all_total_amount			+= $amount;
							$all_approved_total_amount	+= $total_approved_amount;
							$all_rejected_total_amount	+= $total_rejected_amount;
						?>
						<tr>
							<td class="table-user-info">
								<div class="d-flex">
									<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
									<label class="expense-lable"><?php echo $full_name; ?></label>
								</div>
							</td>
							<td><?php echo $expense_report_name; ?></td>
							<td><?php echo $exp_type_name;?></td>
							<td><?php echo $pay_period;?></td>
							<td align="right">$<?php echo setNumberFormat($amount);?></td>
							<td>
								<?php 
								if($approved_by_user_id>0){
									echo $approved_by_full_name;
								}
								?>
							</td>
							<td>
								<?php echo $last_submitted_date; ?>
							</td>
							<td align="right">$<?php echo setNumberFormat($total_approved_amount);?></td>
							<td align="right">$<?php echo setNumberFormat($total_rejected_amount);?></td>
						</tr>
						<?php 
						}
					}	
					?>
				</tbody>
				<tfoot>
					<tr>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
						<td align="right">$<?php echo setNumberFormat($all_total_amount);?></td>
						<td></td>
						<td></td>
						<td align="right">$<?php echo setNumberFormat($all_approved_total_amount);?></td>
						<td align="right"><span class="td-cell-space">$<?php echo setNumberFormat($all_rejected_total_amount);?></span></td>
					</tr>
				</tfoot>
			</table>
		</div>
		<?php
	}
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_enter_expense_entry_chart_data'){
	$chart_type = $_POST['chart_type1'];
	
	if($chart_type=="current_period"){
		$succ = 0;
		$pay_period = $_POST['pay_period1'];
		$user_id	= $_POST['user_id1'];
		$data_label = array();
		$selectQuery 	= "
			SELECT
				et.*,eh.*,SUM(ed.amount) AS total_amount
			FROM
				`cxs_expenditure_types`	 et
			INNER JOIN
				`cxs_expense_entry_detail` ed
			ON
				et.expenditure_id=ed.expenditure_type_id
			INNER JOIN
				`cxs_expense_entry_header` eh
			ON
				eh.expense_report_id=ed.header_id
			WHERE
				eh.user_id='".$user_id."' AND eh.pay_period='".$pay_period."' AND ed.company_id='".$_SESSION['login_user_array']['company_id']."'
			GROUP BY
				ed.expenditure_type_id
			ORDER BY
				et.exp_type_name
		";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$exp_type_name		= $rows["exp_type_name"];
				$total_amount		= $rows["total_amount"];
				$data_label[] = array("data"=>$total_amount,"label"=>$exp_type_name);
			}
			$succ = 1;
		}
		echo json_encode(array("succ" => $succ,"data_label"=>$data_label));
		exit;
	}else if($chart_type=="periods_to_date"){
		$succ = 0;
		$user_id		= $_POST['user_id1'];
		
		$pay_period_arr = array();
		
		$current_month = intval(date('m'));
		for($i=1;$i<=$current_month;$i++){
			if($i<=9){
				$month="0".$i;
			}else{
				$month=$i;
			}
			$pay_period_arr[] = date('M',strtotime(date('Y').'-'.$month.'-01'))."-".date('Y');
		}
		$main_data_arr = array();
		foreach($pay_period_arr as $pay_period){
			$data_label 	= array();
			$selectQuery 	= "
				SELECT
					et.*,eh.*,SUM(ed.amount) AS total_amount
				FROM
					`cxs_expenditure_types`	 et
				INNER JOIN
					`cxs_expense_entry_detail` ed
				ON
					et.expenditure_id=ed.expenditure_type_id
				INNER JOIN
					`cxs_expense_entry_header` eh
				ON
					eh.expense_report_id=ed.header_id
				WHERE
					eh.pay_period='".$pay_period."' AND eh.user_id='".$user_id."' AND ed.company_id='".$_SESSION['login_user_array']['company_id']."'
				GROUP BY
					ed.expenditure_type_id
				ORDER BY
					et.exp_type_name
			";
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$exp_type_name		= $rows["exp_type_name"];
					$total_amount		= $rows["total_amount"];
					$data_label[] = array("data"=>$total_amount,"label"=>$exp_type_name);
				}
				$succ = 1;
				$main_data_arr[] = array("pay_period"=>$pay_period,"data_label"=>$data_label);
			}
		}
		echo json_encode(array("succ" => $succ,"main_data"=>$main_data_arr));
		exit;
		
	}else if($chart_type=="year_to_date"){
		$succ = 0;
		$current_year = date("Y");
		$user_id	= $_POST['user_id1'];
		$data_label = array();
		$selectQuery 	= "
			SELECT
				et.*,eh.*,SUM(ed.amount) AS total_amount
			FROM
				`cxs_expenditure_types`	 et
			INNER JOIN
				`cxs_expense_entry_detail` ed
			ON
				et.expenditure_id=ed.expenditure_type_id
			INNER JOIN
				`cxs_expense_entry_header` eh
			ON
				eh.expense_report_id=ed.header_id
			WHERE
				eh.user_id='".$user_id."' AND eh.pay_period LIKE '%".$current_year."%' AND ed.company_id='".$_SESSION['login_user_array']['company_id']."'
			GROUP BY
				ed.expenditure_type_id
			ORDER BY
				et.exp_type_name
		";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$exp_type_name		= $rows["exp_type_name"];
				$total_amount		= $rows["total_amount"];
				$data_label[] = array("data"=>$total_amount,"label"=>$exp_type_name);
			}
			$succ = 1;
		}
		echo json_encode(array("succ" => $succ,"data_label"=>$data_label));
		exit;
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_enter_expense_entry_attendance_data'){
	/* cxs_atnd_clockinout_ar_status.time_card_id IS Not NULL AND */
	$selected_user_id 	= isset($_POST['selected_user_id'])?trim($_POST['selected_user_id']):''; 
	$pay_period			= isset($_POST['pay_period'])?trim($_POST['pay_period']):'';
	
	$pay_period_arr = explode("-",$pay_period);
	$date_month		= date('m', strtotime($pay_period_arr[0]));
	$date_year 		= $pay_period_arr[1];
	
	$firstday 		= date('01-'.$date_month.'-'.$date_year);
	$lastday 		= date(date('t', strtotime($firstday)).'-' . $date_month . '-'.$date_year);
	
	$text_fromdate 	= $firstday; 
	$text_todate 	= $lastday; 
	
	$data = array();
	$table_list = array();
	$query_1 = "";
	$succ=0;
	if($text_fromdate!='')
	{
		$text_fromdate = date('Y-m-d',strtotime($text_fromdate));
	}   
	
	if($text_todate !='')
	{
		$text_todate = date('Y-m-d',strtotime($text_todate));         
	}   
	
	if($text_fromdate!='' && $text_todate !='')
	{
	   $query_1 = "and (cxs_atnd_clockinout.calendar_date >= '".$text_fromdate."'  and cxs_atnd_clockinout.calendar_date <= '".$text_todate."')";
	}   
	else if($text_fromdate!='' && $text_todate =='')
	{
	   $query_1 = "and (cxs_atnd_clockinout.calendar_date >= '".$text_fromdate."')";
	}   
	else if($text_fromdate=='' && $text_todate !='')
	{
	   $query_1 = "and (cxs_atnd_clockinout.calendar_date <= '".$text_todate."')";
	}   
	$qry = "select cxs_atnd_clockinout.session_id, (select cxs_time_off.reason from cxs_time_off where cxs_time_off.id = cxs_atnd_clockinout.time_off_id) as card_reason,calendar_date,concat(time_type,' Time') as time_card, time_in_stamp,time_out_stamp,
			TIME_FORMAT(TIMEDIFF(cxs_atnd_clockinout.time_out_stamp,cxs_atnd_clockinout.time_in_stamp), '%H:%i') AS TimeDuration,
			cxs_atnd_clockinout.creation_date as submitted_on,
			(select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_atnd_clockinout.created_by) as submitted_by,
			(select cxs_atnd_clockinout_ar_status.current_status from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status,

			(select cxs_atnd_clockinout_ar_status.created_by from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_created_by,

			(select cxs_atnd_clockinout_ar_status.last_udpated_by from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_last_udpated_by,

			(select cxs_atnd_clockinout_ar_status.creation_date from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_creation_date,

			(select cxs_atnd_clockinout_ar_status.last_update_date from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_last_update_date,

			(select cxs_atnd_clockinout_ar_status.created_timezone from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_created_timezone,

			(select cxs_atnd_clockinout_ar_status.updated_timezone from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_updated_timezone,
			
			(select cxs_atnd_clockinout_ar_status.status_comment from cxs_atnd_clockinout_ar_status 
			where cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id  order by status_id desc limit 1) as card_status_note,
			cxs_atnd_clockinout.missed_in_reason,cxs_atnd_clockinout.missed_out_reason,
			cxs_atnd_clockinout.created_by,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.creation_date,cxs_atnd_clockinout.last_update_date,
			cxs_atnd_clockinout.created_timezone,cxs_atnd_clockinout.updated_timezone from cxs_atnd_clockinout where cxs_atnd_clockinout.company_id ='".$_SESSION['login_user_array']['company_id']."' 
			and cxs_atnd_clockinout.user_id = '".$selected_user_id."' ".$query_1." group by cxs_atnd_clockinout.session_id  ORDER BY calendar_date desc,time_in_stamp";
	
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result) > 0)
	{
		
		$Total_ClockTimeHours = 0;
		$Total_MealTimeHours = 0;
		$Total_BreakTimeHours = 0;
		$Total_TimeOffDays = 0;
		
		$ClockTimeArr = array();
		$BreakTimeArr = array();
		$MealTimeArr = array();
		$TimeoffDayArr = array();
		
		$prev_calendar_date = "";
		while($row = mysqli_fetch_assoc($result))
		{
			
			if(!is_null($row['calendar_date']))
			{
				//date('m/d/Y h:i a',strtotime($row['creation_date']))
				$row['calendar_date'] = date('m/d/Y',strtotime($row['calendar_date']));
			}    
			/*if(!is_null($row['time_in_stamp'])  && !is_null($row['time_out_stamp']))
			{
				if($row['time_card']=='time_off Time')
				{
					$row['TimeRange'] = date('m/d/Y',strtotime($row['time_in_stamp']))." to ".date('m/d/Y',strtotime($row['time_out_stamp']));
				}
				else
				{
					$row['TimeRange'] = date('m/d/Y h:i a',strtotime($row['time_in_stamp']))." to ".date('m/d/Y h:i a',strtotime($row['time_out_stamp']));
				}    
			}
			else if(!is_null($row['time_in_stamp'])  && is_null($row['time_out_stamp']))
			{
				$row['TimeRange'] = date('m/d/Y h:i a',strtotime($row['time_in_stamp']));
			}*/
			if($row['time_card']=='time_off Time')
			{
				if(!is_null($row['time_in_stamp']))
				{
					$row['time_in_stamp'] = date('m/d/Y',strtotime($row['time_in_stamp']));
				}
				
				if(!is_null($row['time_out_stamp']))
				{
					$row['time_out_stamp'] = date('m/d/Y',strtotime($row['time_out_stamp']));
				}
			}
			else 
			{
				if(!is_null($row['time_in_stamp']))
				{
					$row['time_in_stamp'] = date('m/d/Y h:i a',strtotime($row['time_in_stamp']));
				}
				
				if(!is_null($row['time_out_stamp']))
				{
					$row['time_out_stamp'] = date('m/d/Y h:i a',strtotime($row['time_out_stamp']));
				}
				else
				{
					$row['time_out_stamp'] = "";
				}
			}
			
			if(is_null($row['TimeDuration']))
			{
				$row['TimeDuration']='';
			}
			else
			{
				if($row['time_card']=='time_off Time')
				{
					$FromDate= date('Y-m-d',strtotime($row['time_in_stamp']));
					$ToDate = date('Y-m-d',strtotime($row['time_out_stamp']));
					$TotalDays = differenceInDays($FromDate,$ToDate);
					$row['TimeDuration'] = $TotalDays." day(s)";
					$Total_TimeOffDays = $Total_TimeOffDays+$TotalDays;
				}
				else
				{
					if($row['time_card']=='clock Time')
					{
						//$Total_ClockTimeHours = $Total_ClockTimeHours+$row['TimeDuration'];
						$ClockTimeArr[]=$row['TimeDuration'];
					}
					else if($row['time_card']=='break Time')
					{
						//$Total_BreakTimeHours = $Total_BreakTimeHours+$row['TimeDuration'];
						$BreakTimeArr[]=$row['TimeDuration'];
					}
					else if($row['time_card']=='meal Time')
					{
						//$Total_MealTimeHours = $Total_MealTimeHours+$row['TimeDuration'];
						$MealTimeArr[]=$row['TimeDuration'];
					}
					$row['TimeDuration'] = $row['TimeDuration']." hrs";
				}    
			}
			
			if($row['time_card']=='time_off Time')
			{
				$row['time_card'] = "PTO (Out of Office)";
			}
			else
			{
				$row['time_card'] = ucwords($row['time_card']);
			}
			
			if(is_null($row['card_status_note']))
			{
				$row['card_status_note']='';
			}                
			
			
			$row['submitted_on'] = date('m/d/Y h:i a',strtotime($row['submitted_on']));
			if (is_null($row['card_status']))
			{
				$row['card_status'] = "";
				$value = array();
				$value['created_by'] = $row['created_by'];
				$value['last_udpated_by'] = $row['last_udpated_by'];
				$value['creation_date'] = $row['creation_date'];
				$value['last_update_date'] = $row['last_update_date'];
				$value['created_timezone'] = $row['created_timezone'];
				$value['updated_timezone'] = $row['updated_timezone'];                    
			}
			else 
			{
				/*$row['card_status'] = $row['card_status']=="A"?"Approved":"Rejected";*/
				if($row['card_status']=="A")
				{
					$row['card_status'] = "Approved";
				}
				else if($row['card_status']=="R")
				{
					$row['card_status'] = "Rejected";
				}
				else if($row['card_status']=="S")
				{
					$row['card_status'] = "Resubmit";
				}
				$value = array();
				$value['created_by'] = $row['card_status_created_by'];
				$value['last_udpated_by'] = $row['card_status_last_udpated_by'];
				$value['creation_date'] = $row['card_status_creation_date'];
				$value['last_update_date'] = $row['card_status_last_update_date'];
				$value['created_timezone'] = $row['card_status_created_timezone'];
				$value['updated_timezone'] = $row['card_status_updated_timezone'];                    
			}
			if (is_null($row['card_reason']))
			{
				$row['card_reason'] = "";
			}
			$data_content_eye_icon = show_eye_icon_data_format($value);
			$row['data_content_eye_icon'] = $data_content_eye_icon;
			$table_list[] = $row;
			
			
		}
		$succ=1;
		
		$Total_ClockTimeHours = CalculateTime($ClockTimeArr);
		$Total_BreakTimeHours = CalculateTime($BreakTimeArr);
		$Total_MealTimeHours = CalculateTime($MealTimeArr);
		
		echo json_encode(array("succ" => $succ,"qry"=>$qry,"data"=>$table_list,"ClockTimeHours"=>$Total_ClockTimeHours,"BreakTimeHours"=>$Total_BreakTimeHours,"MealTimeHours"=>$Total_MealTimeHours,"TimeOffDays"=>$Total_TimeOffDays ));
		exit;
	}else{
		echo json_encode(array("succ" => $succ,"qry"=>$qry));
		exit;
	}
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_enter_expense_entry_projects_tasks_data'){
	
	$selected_task_ids 		= array();
	//$expense_report_task_ids 		= array();
	//$invoice_task_ids 			= array();
	$user_id = $_SESSION["login_user_array"]["user_id"];
	$type 						= isset($_REQUEST['type1'])?trim($_REQUEST['type1']):''; 
	$search_keyword 			= $_POST['search_keyword1'];
	$expenditure_type_id 		= $_POST['expenditure_type_id'];

	$where_task 		= "";
	$where_main_task 	= "";
	
	$main_task_id_arr 	= array();
	$task_id_arr 		= array();
	$main_task_ids 		= "";

	if($expenditure_type_id>0){
		$where_task = " AND task_id IN (SELECT task_id FROM `cxs_projects_expense_budget` WHERE task_id>0 AND expenditure_type_id='".$expenditure_type_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."')";
		
		$qry = "SELECT task_id FROM `cxs_projects_expense_budget` WHERE expenditure_type_id='".$expenditure_type_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
		$result = mysqli_query($conn,$qry);
		if(mysqli_num_rows($result)>0){
			while($row=mysqli_fetch_array($result)){
				$main_task_id_arr[] = $row["task_id"];
				$task_id_arr[] = $row["task_id"];
			}
		}
		
		if(count($task_id_arr)>0){
			foreach($task_id_arr as $task_id){
				$qry = "
					SELECT 
						T2.task_id, T2.task_name
					FROM 
						( 
							SELECT 
								@r AS _id, 
								(SELECT @r := parent_task_id FROM cxs_projects_tasks WHERE task_id = _id) AS parent_task_id, 
								@l := @l + 1 AS lvl FROM (SELECT @r := '".$task_id."', @l := 0) vars, 
								cxs_projects_tasks m WHERE @r <> 1
						) T1 
					JOIN 
						cxs_projects_tasks 
					T2 
						ON T1._id = T2.task_id 
					ORDER BY 
						T1.lvl DESC
					LIMIT 1
				";
				$result = mysqli_query($conn,$qry);
				if(mysqli_num_rows($result)>0){
					while($row=mysqli_fetch_array($result)){
						$main_task_id_arr[] = $row["task_id"];
					}
				}
			}

			if(count($main_task_id_arr)>0){
				$main_task_ids = implode(",",$main_task_id_arr);
				$where_main_task = " AND task_id IN ($main_task_ids)";
			}
		}
		
	}
	
	if($type=="invoice"){
		$invoice_line_id 	= isset($_REQUEST['id1'])?trim($_REQUEST['id1']):''; 
		
		if($invoice_line_id>0){
			$qry = "SELECT task_id FROM `cxs_invoice_line_tasks` WHERE invoice_line_id='".$invoice_line_id."'";
			$result = mysqli_query($conn,$qry);
			if(mysqli_num_rows($result)>0){
				while($row=mysqli_fetch_array($result)){
					$selected_task_ids[] = $row["task_id"];
				}
			}
		}
	}else{
		$expense_report_detail_id 	= isset($_REQUEST['id1'])?trim($_REQUEST['id1']):''; 
		if($expense_report_detail_id>0){
			$qry = "SELECT task_id FROM `cxs_expense_entry_tasks` WHERE expense_report_detail_id='".$expense_report_detail_id."'";
			$result = mysqli_query($conn,$qry);
			if(mysqli_num_rows($result)>0){
				while($row=mysqli_fetch_array($result)){
					$selected_task_ids[] = $row["task_id"];
				}
			}
		}
	}
	
	?>
	<div class="row">
		<div class="col-md-12">
			<div class="expense-project-main">
				<?php
				$where = "";
				if($search_keyword!=""){
					//$where = " project_number LIKE '%".$search_keyword."%' OR  project_name LIKE '%".$search_keyword."%' OR  description LIKE '%".$search_keyword."%' OR project_id IN (SELECT project_id FROM `cxs_projects_tasks` WHERE task_number LIKE '%".$search_keyword."%' OR  task_name LIKE '%".$search_keyword."%' OR  task_description LIKE '%".$search_keyword."%') AND ";
					$where = " project_id IN (SELECT project_id FROM `cxs_projects_tasks` WHERE task_number LIKE '%".$search_keyword."%' OR  task_name LIKE '%".$search_keyword."%' OR  task_description LIKE '%".$search_keyword."%' AND company_id='".$_SESSION['login_user_array']['company_id']."' $where_task ) AND ";
				}else{
					if($expenditure_type_id>0){
						$where = " project_id IN (SELECT project_id FROM `cxs_projects_expense_budget` WHERE task_id>0 AND expenditure_type_id='".$expenditure_type_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."') AND ";
					}
				}
				$selectQuery1 	= "
					SELECT 
						*
					FROM 
						`cxs_projects` 
					WHERE 
						$where
						project_status NOT IN ('Draft','Closed') AND 
						track_progress_by != 'by_effort' AND 
						company_id='".$_SESSION['login_user_array']['company_id']."' 
						AND
						(
							project_id 
								IN 
								(
									SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$user_id."')
								)
							OR
							project_id 
								IN 
								(
									SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$user_id."'
								)
						)
					ORDER BY 
						project_number
					";		
				$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
				$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
				if($StdNumRows1>0){
					while($rows1=mysqli_fetch_assoc($RunUserQuery1)){
						$project_id 	= htmlentities($rows1["project_id"]);
						$project_number = htmlentities($rows1["project_number"]);
						$project_name 	= htmlentities($rows1["project_name"]);
						$description	= htmlentities($rows1["description"]);
						?>
						<ul class="checktree">
							<li class="xli_<?php echo $project_id; ?>">
								<span class="caret"></span>
								<div class='form-check mr-2' title='<?php echo $description; ?>' style='display:inline-block;'>
									<label class='form-check-label'>
									<strong><?php echo $project_number." : ".$project_name; ?></strong>
									</label>
								</div>
								<?php
								$tasks = array(
									'task' => array(),
									'parents' => array()
								);
								$selectQuery 	= "
									SELECT 
										*
									FROM 
										`cxs_projects_tasks` 
									WHERE 
										project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' $where_main_task
									ORDER BY 
										task_id
									";		
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$StdNumRows 	= mysqli_num_rows($RunUserQuery);
								if($StdNumRows>0){
									while($rows=mysqli_fetch_assoc($RunUserQuery)){
										$tasks['task'][$rows['task_id']] = $rows;
										$tasks['parents'][$rows['parent_task_id']][] = $rows['task_id'];
									}
									
									echo createExpenseTaskTreeView_1(0, $tasks,$project_id,$selected_task_ids);
								}
								?>
							</li>
						</ul>
						
						<?php
					}
				}
				?>
				<?php /*?><ul>
					<li class="container"><p>Testing </p>
						<ul>
							<li><p>Testing 1</p></li>
							<li><p>Testing 2</p></li>
							<li class="container"><p>Testing </p>
								<ul>
									<li><p>Testing 1</p></li>
									<li><p>Testing 2</p></li>
									<li><p>Testing 3</p></li>
								</ul>
							</li>
						</ul>
					</li>
					<li class="container"><p>Testing </p>
						<ul>
							<li><p>Testing 1</p></li>
							<li><p>Testing 2</p></li>
							<li><p>Testing 3</p></li>
						</ul>
					</li>
					<li class="container"><p>Testing </p>
						<ul>
							<li class="empty"><p>empty</p></li>
						</ul>
					</li>
				</ul><?php */?>
			</div>
		</div>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_selected_projects_tasks_data'){
	$type 	= isset($_POST['type1'])?trim($_POST['type1']):''; 
	$expense_report_detail_id 	= "";
	$invoice_line_id			= "";
	$invoice_task_ids			= "";
	
	if($type=="invoice"){
		$invoice_line_id 			= $_POST['id1'];
		$invoice_task_ids			= $_POST['task_ids1'];
	}else{
		$expense_report_detail_id 	= $_POST['id1'];
	}
	
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_selected_projects_tasks">
			<thead>
				<tr class="table-info">
					<th style="width:10%;">Seq.</th>
					<th style="width:90%;">Task</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th></th>
					<th class="searc">Task</th>
				</tr>
			</tfoot>
			<tbody>
				<?php
				if($type=="invoice"){
					$where = "company_id='".$_SESSION['login_user_array']['company_id']."' AND ";
					if($invoice_task_ids!=""){
						$where .= " task_id IN ($invoice_task_ids)";
					}else{
						$where .= " task_id IN (SELECT task_id FROM `cxs_invoice_line_tasks` WHERE invoice_line_id='".$invoice_line_id."')";
					}
					$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE $where ";
				}else{
					$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE  task_id IN (SELECT task_id FROM `cxs_expense_entry_tasks` WHERE expense_report_detail_id='".$expense_report_detail_id."') AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
				}
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$total_paid_amount = 0;
				if($StdNumRows>0){
					$count=0;
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$count++;
						$text_task_number 		= htmlentities($rows["task_number"]);
						$text_task_name 		= htmlentities($rows["task_name"]);	
						$text_task_description 	= htmlentities($rows["task_description"]);
					?>
					<tr>
						<td><?php echo $count; ?></td>
						<td><span class="td-cell-space" title="<?php echo $text_task_description; ?>"><?php echo $text_task_number.": ".$text_task_name; ?></span></td>
					</tr>
					<?php
					}
				}
				?>
			</tbody>
			
		</table>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_expense_project_task_dropdown_data'){
	$project_id = $_POST['project_id'];
	?>
	<option value="">All</option>
	<?php
	$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY task_name";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
		?>
		<option value="<?php echo $rows['task_id']; ?>"><?php echo stripslashes($rows['task_number']." : ".$rows['task_name']); ?></option>
		<?php
		}
	}
}
/****************************************EXPENSE BLOCK END***************************************/
?>