<?php
require_once "conn.php";
require_once "functions.php";
if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
	login_from_cookie();
}
if(!isset($_POST['is_html'])){
	header('Content-Type: application/json'); 
}

/****************************************INVOICE BLOCK START***************************************/
if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_state_data'){
	$country_name = $_POST['country_name1'];
	if($country_name!=""){
		$selectQuery 	= "SELECT s.name FROM `cxs_state` s INNER JOIN `cxs_country` c ON s.country_id=c.id WHERE c.name='".$country_name."' ORDER BY name";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			?>
			<option value="">--Please Select--</option>
			<?php
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
			?>
			<option value="<?php echo $rows['name']; ?>"><?php echo stripslashes($rows['name']); ?></option>
			<?php
			}
		}
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_invoice_client_data'){
	$succ=0;
	$payment_term_id=0;
	$data_arr 	= array();
	$client_id 	= isset($_POST['client_id1'])?trim($_POST['client_id1']):''; 
	$qry = "SELECT * FROM `cxs_clients` WHERE id = '".$client_id."' AND created_by='".$_SESSION['login_user_array']["user_email"]."'";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0){
		$row = mysqli_fetch_assoc($result);
		$data_arr = $row;
		$payment_term_id = $row["payment_term_id"];
	}
	$no_of_days = intval(getvalue("cxs_payment_terms","no_of_days"," WHERE payment_term_id='".$payment_term_id."'"));
	
	$succ=1;
	echo json_encode(array("succ" => $succ,"data_arr"=>$data_arr,"no_of_days"=>$no_of_days));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_custom_line_type_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$succ = 1;
	$msg = "";
	
	$text_line_type_custom_name = $formArr1['text_line_type_custom_name'];
	
	$qry = "SELECT * FROM `cxs_line_type` WHERE name = '$text_line_type_custom_name'";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0){
		$succ=0;
		$msg = "You can not enter duplicate Line Type.  The Line Type name must be unique.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"qry"=>$qry));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_custom_attachment_type_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$succ = 1;
	$msg = "";
	
	$text_attachment_type_custom_name = $formArr1['text_attachment_type_custom_name'];
	
	$qry = "SELECT * FROM `cxs_attachment_type` WHERE name = '$text_attachment_type_custom_name'";
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0){
		$succ=0;
		$msg = "You can not enter duplicate Attachment Type.  The Attachment Type name must be unique.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"qry"=>$qry));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_invoice_payments_data'){
	$invoice_header_id = $_POST['invoice_header_id1'];
	$total_invoice_payment = 0;
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_invoice_payments">
			<thead>
				<tr class="table-info">
					<th style="width:10%;">Seq.</th>
					<th style="width:15%;">Payment Date</th>
					<th style="width:15%;">Mode of Payment</th>
					<th style="width:15%;">Check #</th>
					<th style="width:15%;text-align:right;">Payment Amount</th>
					<th style="width:15%;">Date Payment Posted</th>
					<th style="width:15%;">Action</th>
				</tr>
			</thead>
			<tbody>
				<?php
				$selectQuery 	= "SELECT * FROM `cxs_invoice_payments` WHERE  invoice_header_id='".$invoice_header_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' AND created_by='".$_SESSION['login_user_array']["user_email"]."' ORDER BY payment_id";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$total_paid_amount = 0;
				if($StdNumRows>0){
					$count=0;
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$count++;
						$payment_id		= $rows["payment_id"];
						$text_payment_date 		= setDate($rows["payment_date"],"m/d/Y");
						$combo_mode_of_payment 	= htmlentities($rows["mode_of_payment"]);	
						$text_check_no 			= htmlentities($rows["check_no"]);
						$text_payment_amount 	= htmlentities($rows["payment_amount"]);	
						$total_invoice_payment	+= $text_payment_amount;
						$text_date_payment_posted= setDate($rows["date_payment_posted"],"m/d/Y");
						$data_content_eye_icon = show_eye_icon_data("cxs_invoice_payments","payment_id",$payment_id);	
					?>
					<tr id="payment_row_<?php echo $payment_id; ?>">
						<td><?php echo $count; ?></td>
						<td id="text_payment_date_<?php echo $payment_id; ?>"><?php echo $text_payment_date; ?></td>
						<td id="combo_mode_of_payment_<?php echo $payment_id; ?>"><?php echo $combo_mode_of_payment; ?></td>
						<td id="text_check_no_<?php echo $payment_id; ?>"><?php echo $text_check_no; ?></td>
						<td align="right" id="text_payment_amount_<?php echo $payment_id; ?>">$<?php echo setNumberFormat($text_payment_amount,"2",".",""); ?></td>
						<td id="text_date_payment_posted_<?php echo $payment_id; ?>"><?php echo $text_date_payment_posted; ?></td>
						<td>
							<div class="text-center">
								<a href="javascript:void(0);" class="btn edit ml-0 mr-2 pl-0 pr-0 edit-btn edit-record" onClick="editInvoicePayments('<?php echo $payment_id; ?>')" title="Edit"><i class="fa fa-pencil"></i></a>
								<a href="javascript:void(0);" class="btn  ml-0 mr-2 pl-0 pr-0 delete-row" onClick="deleteInvoicePayments('<?php echo $payment_id; ?>')" title="Delete"><i class="fa fa-trash"></i></a>
								<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="<?php echo $data_content_eye_icon; ?>" data-original-title="" title=""> <i class=" fa fa-eye"></i> </button>
							</div>
						</td>
					</tr>
					<?php
					}
				}
				?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="4" align="right"><strong class="td-cell-space">Total Paid Amount:</strong></td>
					<td align="right">$<?php echo setNumberFormat($total_invoice_payment,"2",".",""); ?></td>
					<td colspan="2">&nbsp;</td>
				</tr>
			</tfoot>
		</table>
		<input type="hidden" id="total_invoice_payment" value="<?php echo $total_invoice_payment; ?>" />
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_invoice_payments_data'){
	
	parse_str($_POST['form1'],$formArr1);        
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 0;
	$msg 	= "";
	
	$payment_header_id	= intval($formArr1['h_payment_header_id']);
	$invoice_header_id 	= $formArr1['h_invoice_header_id'];
	$payment_date 		= setDate($formArr1['text_payment_date'],"Y-m-d");
	$mode_of_payment 	= $formArr1['combo_mode_of_payment'];
	$check_no 			= $formArr1['text_check_no'];
	$payment_amount 	= str_replace("$","",$formArr1['text_payment_amount']);
	$date_payment_posted= setDate($formArr1['text_date_payment_posted'],"Y-m-d");
	
	$h_invoice_payment_attachments_cnt 	= $formArr1['h_invoice_payment_attachments_cnt'];
	$h_new_attachment_type				= $formArr1['h_new_attachment_type'];
	
	$total_invoice_amount= getSumVal("cxs_invoice_line","amount"," WHERE invoice_header_id='".$invoice_header_id ."'");
	$total_invoice_paid_amount= getSumVal("cxs_invoice_payments","payment_amount"," WHERE invoice_header_id='".$invoice_header_id ."'");
	$total_due_amount = $total_invoice_amount - $total_invoice_paid_amount;
	if($payment_amount>$total_due_amount){
		$succ 	= 0;
		$msg 	= "You can not enter payment amount more than invoice due amount.";
	}else{
		$insArr = array();
		
		$insArr['invoice_header_id'] 	= $invoice_header_id;
		$insArr['payment_date'] 		= $payment_date;
		$insArr['mode_of_payment'] 		= $mode_of_payment;
		$insArr['check_no'] 			= $check_no;
		$insArr['payment_amount'] 		= $payment_amount;
		$insArr['date_payment_posted'] 	= $date_payment_posted;
		
		$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
		if($payment_header_id<=0){
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		}
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
		
		if($payment_header_id>0){
			updatedata("cxs_invoice_payments",$insArr,"where payment_id = '".$payment_header_id."'");
		}else{
			$payment_header_id = insertdata("cxs_invoice_payments",$insArr);
		}
		
		/*******************************************************/
		
		/*******************************************************/
		/*Delete Invoice Payment Attachment Before Update/Add*/
		/*if(getTotalRecord("cxs_invoice_payment_attachments","attachment_id"," WHERE payment_id='".$payment_header_id."'")>0){
			deletedata("cxs_invoice_payment_attachments"," WHERE payment_id='".$payment_header_id."'");
		}*/
		/*Delete Invoice Payment Attachment Before Update/Add*/
		if($h_invoice_payment_attachments_cnt>1){ 
			if($payment_header_id>0){
				/*Update Invoice Payment Attachment*/
				for($j=1;$j<$h_invoice_payment_attachments_cnt;$j++){
					if(isset($formArr1['combo_attachment_type_'.$j]) && $formArr1['combo_attachment_type_'.$j]!="" 
						&& isset($formArr1['h_attachment_file_name_'.$j]) && $formArr1['h_attachment_file_name_'.$j]!=""
						&& ( file_exists("img/uploads/invoice_payment_attachment/temp/".$formArr1['h_attachment_file_name_'.$j]) || file_exists("img/uploads/invoice_payment_attachment/".$formArr1['h_attachment_file_name_'.$j]))
						&& isset($formArr1['h_attachment_file_format_'.$j]) && $formArr1['h_attachment_file_format_'.$j]!=""
					){
						if($h_new_attachment_type==1){
							if(getTotalRecord("cxs_attachment_type","id"," WHERE name='".$formArr1['combo_attachment_type_'.$j]."'")<=0){
								$insArr = array();
								$insArr['name']				= $formArr1['combo_attachment_type_'.$j]; 
								$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
								
								$insArr['creation_date']	= $curTime;
								$insArr['created_timezone']	= $currTz;
								$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
								$insArr['last_update_date']	= $curTime;
								$insArr['updated_timezone']	= $currTz;
								$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
						
								insertdata("cxs_attachment_type",$insArr);
							}
						}
						
						$attachment_id = 0;
						if(isset($formArr1['h_attachment_id_'.$j]) && $formArr1['h_attachment_id_'.$j]>0){
							$attachment_id				= setVar($formArr1['h_attachment_id_'.$j]);
						}
						$combo_attachment_type 		= setVar($formArr1['combo_attachment_type_'.$j]);
						$h_attachment_file_name 	= setVar($formArr1['h_attachment_file_name_'.$j]);
						$h_attachment_file_format 	= setVar($formArr1['h_attachment_file_format_'.$j]);
						
						if(file_exists("img/uploads/invoice_payment_attachment/temp/".$formArr1['h_attachment_file_name_'.$j])){
							copy("img/uploads/invoice_payment_attachment/temp/".$h_attachment_file_name,"img/uploads/invoice_payment_attachment/".$h_attachment_file_name);
							unlink("img/uploads/invoice_payment_attachment/temp/".$h_attachment_file_name);
						}
						
						$insArr = array();
						
						$insArr['invoice_header_id'] = $invoice_header_id;
						$insArr['payment_id'] 		= $payment_header_id;
						$insArr['attachment_type'] 	= $combo_attachment_type;
						$insArr['file_name'] 		= $h_attachment_file_name;
						$insArr['file_format'] 		= $h_attachment_file_format;
						
						$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
						if($attachment_id==0){
							$insArr['creation_date']	= $curTime;
							$insArr['created_timezone']	= $currTz;
							$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
						}
						$insArr['last_update_date']	= $curTime;
						$insArr['updated_timezone']	= $currTz;
						$insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
						
						if($attachment_id>0){
							updatedata("cxs_invoice_payment_attachments",$insArr,"where attachment_id = '".$attachment_id."'");
						}else{
							insertdata("cxs_invoice_payment_attachments",$insArr);
						}
					}
				}
				/*Update Invoice Payment Attachment*/
			}else{
				/*Insert Invoice Payment Attachment*/
				for($j=1;$j<$h_invoice_payment_attachments_cnt;$j++){
					if(isset($formArr1['combo_attachment_type_'.$j]) && $formArr1['combo_attachment_type_'.$j]!="" 
						&& isset($formArr1['h_attachment_file_name_'.$j]) && $formArr1['h_attachment_file_name_'.$j]!=""
						&& file_exists("img/uploads/invoice_payment_attachment/temp/".$formArr1['h_attachment_file_name_'.$j])
						&& isset($formArr1['h_attachment_file_format_'.$j]) && $formArr1['h_attachment_file_format_'.$j]!=""
					){
						if($h_new_attachment_type==1){
							if(getTotalRecord("cxs_attachment_type","id"," WHERE name='".$formArr1['combo_attachment_type_'.$j]."'")<=0){
								$insArr = array();
								$insArr['name']				= $formArr1['combo_attachment_type_'.$j]; 
								$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
								
								$insArr['creation_date']	= $curTime;
								$insArr['created_timezone']	= $currTz;
								$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
								$insArr['last_update_date']	= $curTime;
								$insArr['updated_timezone']	= $currTz;
								$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
						
								insertdata("cxs_attachment_type",$insArr);
							}
						}
						$combo_attachment_type 		= setVar($formArr1['combo_attachment_type_'.$j]);
						$h_attachment_file_name 	= setVar($formArr1['h_attachment_file_name_'.$j]);
						$h_attachment_file_format 	= setVar($formArr1['h_attachment_file_format_'.$j]);
						
						copy("img/uploads/invoice_payment_attachment/temp/".$h_attachment_file_name,"img/uploads/invoice_payment_attachment/".$h_attachment_file_name);
						unlink("img/uploads/invoice_payment_attachment/temp/".$h_attachment_file_name);
						
						$insArr = array();
						
						$insArr['invoice_header_id'] = $invoice_header_id;
						$insArr['payment_id'] 		= $payment_header_id;
						$insArr['attachment_type'] 	= $combo_attachment_type;
						$insArr['file_name'] 		= $h_attachment_file_name;
						$insArr['file_format'] 		= $h_attachment_file_format;
						
						$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
						$insArr['creation_date']	= $curTime;
						$insArr['created_timezone']	= $currTz;
						$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
						$insArr['last_update_date']	= $curTime;
						$insArr['updated_timezone']	= $currTz;
						$insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
						
						insertdata("cxs_invoice_payment_attachments",$insArr);
					}
				}
				/*Insert Invoice Payment Attachment*/
			}
		}
		/*******************************************************/
		$succ 	= 1;
		$msg 	= "";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_invoice_payments_data'){
	
	$succ=0;
	$payment_header_id = isset($_POST['payment_header_id1'])?trim($_POST['payment_header_id1']):'';
	if(getTotalRecord("cxs_invoice_payment_attachments","payment_id"," WHERE payment_id='".$payment_header_id."' AND created_by='".$_SESSION['login_user_array']["user_email"]."'")>0){ 
		/*Delete Invoice Payment Attachments*/
		$qry_atch = "SELECT file_name FROM `cxs_invoice_payment_attachments` WHERE payment_id='".$payment_header_id."'";
		$result_atch = mysqli_query($conn,$qry_atch);
		if(mysqli_num_rows($result_atch)>0){
			while($row_atch = mysqli_fetch_assoc($result_atch)){
				if($row_atch["file_name"]!="" && file_exists("img/uploads/invoice_payment_attachment/".$row_atch["file_name"])){
					unlink("img/uploads/invoice_payment_attachment/".$row_atch["file_name"]);
				}
			}
		}
		$qry = "DELETE FROM `cxs_invoice_payment_attachments` WHERE payment_id='".$payment_header_id."'";
		mysqli_query($conn,$qry);
		/*Delete Invoice Payment Attachments*/
	}
	if(getTotalRecord("cxs_invoice_payments","payment_id"," WHERE payment_id='".$payment_header_id."' AND created_by='".$_SESSION['login_user_array']["user_email"]."'")>0){
		$qry = "DELETE FROM `cxs_invoice_payments` where payment_id = '".$payment_header_id."'";
		mysqli_query($conn,$qry);
		$succ=1;
	}
	echo json_encode(array("succ" => $succ));
	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_invoice_payment_attachments_data'){
	$payment_header_id = $_POST['payment_header_id1'];
	if($payment_header_id>0){
		$selectQuery 	= "SELECT * FROM `cxs_invoice_payment_attachments` WHERE payment_id='".$payment_header_id."' AND created_by='".$_SESSION['login_user_array']["user_email"]."' ORDER BY attachment_id";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		$h_invoice_payment_attachments_cnt=1;
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$attachment_id 				= $rows["attachment_id"];
				$combo_attachment_type 		= $rows["attachment_type"];
				$h_attachment_file_name		= $rows["file_name"];
				$h_attachment_file_format	= $rows["file_format"];
				$h_attachment_upload_date	= setDate($rows["creation_date"],"m/d/Y");
				?>
				<tr class="inv-pay-attch" id="attachment_row_id_<?php echo $h_invoice_payment_attachments_cnt; ?>">
					<td>
						<?php echo $h_invoice_payment_attachments_cnt; ?>
						<input type="hidden" id="h_attachment_id_<?php echo $h_invoice_payment_attachments_cnt; ?>" name="h_attachment_id_<?php echo $h_invoice_payment_attachments_cnt; ?>" value="<?php echo $attachment_id; ?>" />
					</td>
					<td><?php echo $combo_attachment_type; ?>
						<input type="hidden" class="form-control" id="combo_attachment_type_<?php echo $h_invoice_payment_attachments_cnt; ?>" name="combo_attachment_type_<?php echo $h_invoice_payment_attachments_cnt; ?>" value="<?php echo $combo_attachment_type; ?>" /></td>
					<td><?php echo $h_attachment_file_name; ?>
						<input type="hidden" class="form-control" id="h_attachment_file_name_<?php echo $h_invoice_payment_attachments_cnt; ?>" name="h_attachment_file_name_<?php echo $h_invoice_payment_attachments_cnt; ?>" value="<?php echo $h_attachment_file_name; ?>" /></td>
					<td><?php echo $h_attachment_file_format; ?>
						<input type="hidden" class="form-control" id="h_attachment_file_format_<?php echo $h_invoice_payment_attachments_cnt; ?>" name="h_attachment_file_format_<?php echo $h_invoice_payment_attachments_cnt; ?>" value="<?php echo $h_attachment_file_format; ?>" /></td>
					<td><?php echo $h_attachment_upload_date; ?>
						<input type="hidden" class="form-control" id="h_attachment_upload_date_<?php echo $h_invoice_payment_attachments_cnt; ?>" name="h_attachment_upload_date_<?php echo $h_invoice_payment_attachments_cnt; ?>" value="<?php echo $h_attachment_upload_date; ?>" /></td>
					<td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="<?php echo $h_invoice_payment_attachments_cnt; ?>" onClick="deleteAttachmentRow('attachment_row_id_<?php echo $h_invoice_payment_attachments_cnt; ?>')" title="Delete"><i class="fa fa-trash"></i></a></td>
				</tr>
				<?php
				$h_invoice_payment_attachments_cnt++;
			}
		}
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_invoice_data'){
	parse_str($_POST['search_form_data'],$formArr1);
	$project_invoice = false;
	$having= "";
	$is_having = false;
	$where = "";
	if(isset($formArr1['search_client_id']) && $formArr1['search_client_id']!=""){
		$search_client_id 	= $formArr1['search_client_id'];
		$where .= " client_id = '".$search_client_id."' AND ";
	}
	if(isset($formArr1['search_from']) && $formArr1['search_from']!=""){
		$search_from 			= setDate($formArr1['search_from'],"Y-m-d");
		$where .= " DATE(invoice_date) >= '".$search_from."' AND ";
	}
	if(isset($formArr1['search_to']) && $formArr1['search_to']!=""){
		$search_to 				= setDate($formArr1['search_to'],"Y-m-d");
		$where .= " DATE(invoice_date) <= '".$search_to."' AND ";
	}
	if(isset($formArr1['search_payment_status']) && $formArr1['search_payment_status']!=""){
		$search_payment_status 	= $formArr1['search_payment_status'];
		if($search_payment_status=="Paid"){
			$is_having = true;
			$having .= " pending_amount=0 AND ";
		}else if($search_payment_status=="Unpaid"){
			$is_having = true;
			$having .= " (pending_amount>0 OR pending_amount IS NULL) AND ";
		}
	}
	if(isset($formArr1['search_project_id']) && $formArr1['search_project_id']>0){
		$project_invoice = true;
		if($formArr1['search_project_id']!=""){
			$project_id = $formArr1['search_project_id'];
			$where .= " invoice_id IN (SELECT invoice_header_id FROM `cxs_invoice_line_tasks` WHERE task_id IN (SELECT task_id FROM `cxs_projects_tasks` WHERE project_id='".$project_id."')) AND ";
		}else{
			$where .= " invoice_id IN (SELECT invoice_header_id FROM `cxs_invoice_line_tasks`) AND ";
		}
	}
	if($is_having==true){
		$having = " HAVING ".trim($having," AND");
	}
	$where .=" 1=1";
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_invoice">
			<thead>
				<tr class="table-info">
					<th>Invoice Date</th>
					<th>Invoice No.</th>
					<th>Client Name</th>
					<th align="right">Invoice Amount</th>
					<th>Payment Term</th>
					<th>Payment Due Date</th>
					<th>Status</th>
					<th align="right">Pending Amount</th>
					<th>Action</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th class="searc">Invoice Date</th>
					<th class="searc">Invoice No.</th>
					<th class="searc">Client Name</th>
					<th class="searc">Invoice Amount</th>
					<th class="searc">Payment Term</th>
					<th class="searc">Payment Due Date</th>
					<th class="searc">Status</th>
					<th class="searc">Pending Amount</th>
					<th></th>
				</tr>
			</tfoot>
			<tbody>
				<?php
				$selectQuery 	= "
					SELECT 
						*,
						(SELECT client_name FROM `cxs_clients` WHERE cxs_clients.id=cxs_invoice_header.client_id) AS client_name,
						(SELECT SUM(amount) FROM `cxs_invoice_line` WHERE cxs_invoice_line.invoice_header_id=cxs_invoice_header.invoice_id) AS invoice_amount,
						(SELECT SUM(payment_amount) FROM `cxs_invoice_payments` WHERE cxs_invoice_payments.invoice_header_id=cxs_invoice_header.invoice_id) AS paid_amount,
						(SELECT payment_term_name FROM `cxs_payment_terms` WHERE cxs_payment_terms.payment_term_id=cxs_invoice_header.payment_term_id) AS payment_term,
						
						((SELECT SUM(amount) FROM `cxs_invoice_line` WHERE cxs_invoice_line.invoice_header_id=cxs_invoice_header.invoice_id)-(SELECT SUM(payment_amount) FROM `cxs_invoice_payments` WHERE cxs_invoice_payments.invoice_header_id=cxs_invoice_header.invoice_id)) AS pending_amount
					FROM 
						`cxs_invoice_header` 
					WHERE 
						company_id='".$_SESSION['login_user_array']['company_id']."' AND created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where 
					$having
					ORDER BY 
						invoice_id
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$invoice_id		= $rows["invoice_id"];
						$invoice_number = $rows["invoice_number"];
						$invoice_date	= setDate($rows["invoice_date"],"m/d/Y");
						$client_name	= htmlentities($rows["client_name"]);
						$invoice_amount	= $rows["invoice_amount"];
						$payment_term	= htmlentities($rows["payment_term"]);
						$payment_due_date	= setDate($rows["payment_due_date"],"m/d/Y");
						$paid_amount	= $rows["paid_amount"];
						$pending_amount	= $invoice_amount - $paid_amount;
						
						if($pending_amount==0){
							$status = "Paid";
						}else{
							$status = "Unpaid";
						}
					?>
					<tr>
						<td>
							<?php echo $invoice_date; ?>
						</td>
						<td><?php echo $invoice_number; ?></td>
						<td><?php echo $client_name; ?></td>
						<td align="right">$<?php echo setNumberFormat($invoice_amount,"2",".",""); ?></td>
						<td><?php echo $payment_term; ?></td>
						<td><?php echo $payment_due_date; ?></td>
						<td><?php echo $status; ?></td>
						<td align="right">$<?php echo setNumberFormat($pending_amount,"2",".",""); ?></td>
						<td class="text-center">
							<a href="javascript:void(0);" id="invoice_<?php echo $invoice_id; ?>" class="btn edit ml-0 mr-2 pl-0 pr-0" title="Invoice Payment" data-invoice_number="<?php echo $invoice_number; ?>" data-client_name="<?php echo $client_name; ?>" data-invoice_amount="<?php echo $invoice_amount; ?>" data-invoice_date="<?php echo $invoice_date; ?>" data-payment_due_date="<?php echo $payment_due_date; ?>" onClick="invoicePaymentProcess('<?php echo $invoice_id; ?>');"><i class="fa fa-usd" aria-hidden="true"></i></a>
							<?php
							$edit_url = SITEURL."invoicing/invoice/edit/".md5($invoice_id)."/";
							if($project_invoice==true){
								$edit_url .= "?project_invoice=true";
							}
							?>
							<a href="<?php echo $edit_url; ?>" class="btn edit ml-0 mr-2 pl-0 pr-0" title="Edit Record"><i class="fa fa-pencil " aria-hidden="true"></i></a>
							<a class="btn delete ml-0 mr-2 pl-0 pr-0" href="javascript:void(0);" onClick="del_conf('<?php echo $invoice_id; ?>');"><i class="fa fa-trash" aria-hidden="true"></i></a>
							<a href="<?php echo SITEURL."invoicing/print/invoice/".md5($invoice_id)."/"; ?>" target="_blank" class="btn  ml-0 mr-2 pl-0 pr-0" title="Print Invoice"><i class="fa fa-print " aria-hidden="true"></i></a>
						</td>
					</tr>
					<?php
					}
				}
				?>
				
				
			</tbody>
		</table>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_invoice_process_payments_data'){
	
	$formArr1 = array();
	$where = "";
	$is_view = false;
	
	if(isset($_POST['search_form_data'])){
		parse_str($_POST['search_form_data'],$formArr1);
	}
	if((isset($formArr1['search_client_id']) && $formArr1['search_client_id']!="") || (isset($_POST['search_client_id']) && $_POST['search_client_id']!="")){
		if(isset($formArr1['search_client_id']) && $formArr1['search_client_id']!=""){
			$search_client_id 	= $formArr1['search_client_id'];
			$where .= " ih.client_id = '".$search_client_id."' AND ";
		}else if(isset($_POST['search_client_id']) && $_POST['search_client_id']!=""){
			$search_client_id 	= $_POST['search_client_id'];
			$where .= " ih.client_id = '".$search_client_id."' AND ";
			$is_view = true;
		}
		
	}
	if(isset($formArr1['search_from']) && $formArr1['search_from']!=""){
		$search_from 			= setDate($formArr1['search_from'],"Y-m-d");
		$where .= " DATE(ih.invoice_date) >= '".$search_from."' AND ";
	}
	if(isset($formArr1['search_to']) && $formArr1['search_to']!=""){
		$search_to 				= setDate($formArr1['search_to'],"Y-m-d");
		$where .= " DATE(ih.invoice_date) <= '".$search_to."' AND ";
	}
	if(isset($formArr1['search_project_id']) && $formArr1['search_project_id']>0){
		$project_invoice = true;
		if($formArr1['search_project_id']!=""){
			$project_id = $formArr1['search_project_id'];
			$where .= " ih.invoice_id IN (SELECT invoice_header_id FROM `cxs_invoice_line_tasks` WHERE task_id IN (SELECT task_id FROM `cxs_projects_tasks` WHERE project_id='".$project_id."')) AND ";
		}else{
			$where .= " ih.invoice_id IN (SELECT invoice_header_id FROM `cxs_invoice_line_tasks`) AND ";
		}
	}
	$where .=" 1=1";
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_invoice_process_payments">
			<thead>
				<tr class="table-info">
					<th style="width:10%;">Invoice Date</th>
					<th style="width:10%;">Invoice No.</th>
					<th style="width:22%;">Client Name</th>
					<th style="width:11%;">Invoice Amount</th>
					<th style="width:11%;">Payment Date</th>
					<th style="width:11%;">Mode of Payment</th>
					<th style="width:10%;text-align:right;">Payment Amount</th>
					<th style="width:15%;">Action</th>
				</tr>
			</thead>
			<tbody>
				<?php
				$selectQuery 	= "
					SELECT 
						ip.*, ih.invoice_id, ih.invoice_number, ih.invoice_date, ih.invoice_date,
						(SELECT client_name FROM `cxs_clients` WHERE cxs_clients.id=ih.client_id) AS client_name,
						(SELECT SUM(amount) FROM `cxs_invoice_line` WHERE cxs_invoice_line.invoice_header_id=ih.invoice_id) AS invoice_amount
					FROM 
						`cxs_invoice_payments` ip
					INNER JOIN
						`cxs_invoice_header` ih
					ON
						ip.invoice_header_id=ih.invoice_id
					WHERE 
						ip.company_id='".$_SESSION['login_user_array']['company_id']."' AND ip.created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where
					ORDER BY 
						ih.invoice_date, ih.invoice_number, ip.payment_date
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$total_paid_amount = 0;
				if($StdNumRows>0){
					$count=0;
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$count++;
						$invoice_header_id		= $rows["invoice_id"];
						$payment_id				= $rows["payment_id"];
						$text_invoice_date 		= setDate($rows["invoice_date"],"m/d/Y");
						$text_invoice_number 	= htmlentities($rows["invoice_number"]);
						$text_client_name 		= htmlentities($rows["client_name"]);
						$text_invoice_amount	= $rows["invoice_amount"];
						$text_payment_date 		= setDate($rows["payment_date"],"m/d/Y");
						$combo_mode_of_payment 	= htmlentities($rows["mode_of_payment"]);	
						$text_check_no 			= htmlentities($rows["check_no"]);
						$text_payment_amount 	= htmlentities($rows["payment_amount"]);	
						$text_date_payment_posted= setDate($rows["date_payment_posted"],"m/d/Y");
						$data_content_eye_icon = show_eye_icon_data("cxs_invoice_payments","payment_id",$payment_id);	
					?>
					<tr>
						<td><?php echo $text_invoice_date; ?></td>
						<td><?php echo $text_invoice_number; ?></td>
						<td><?php echo $text_client_name; ?></td>
						<td align="right">$<?php echo setNumberFormat($text_invoice_amount,"2",".",""); ?></td>
						<td><?php echo $text_payment_date; ?></td>
						<td>
							<?php 
							echo $combo_mode_of_payment; 
							if($combo_mode_of_payment=="Check"){
								echo "<br>[ ".$text_check_no." ]";
							}
							?>
						</td>
						<td align="right">$<?php echo setNumberFormat($text_payment_amount,"2",".",""); ?></td>
						<td>
							<div class="text-center">
								<?php 
								if($is_view==false){
								?>
									<a href="javascript:void(0);" class="btn edit ml-0 mr-2 pl-0 pr-0 edit-btn edit-record" onClick="editInvoiceProcessPayments('<?php echo $payment_id; ?>','<?php echo $invoice_header_id; ?>')" title="Edit"><i class="fa fa-pencil"></i></a>
								
									<a href="javascript:void(0);" class="btn  ml-0 mr-2 pl-0 pr-0 delete-row" onClick="deleteInvoicePayments('<?php echo $payment_id; ?>')" title="Delete"><i class="fa fa-trash"></i></a>
								<?php
								}
								?>
								<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="<?php echo $data_content_eye_icon; ?>" data-original-title="" title=""> <i class=" fa fa-eye"></i> </button>
								
							</div>
						</td>
					</tr>
					<?php
					}
				}
				?>
			</tbody>
		</table>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_invoice_data'){
	$search_report_type = $_POST['search_report_type'];
	if($search_report_type=="summary"){
		$having= "";
		$is_having = false;
		$where = "";
		if(isset($_POST['search_client_id']) && $_POST['search_client_id']!=""){
			$search_client_id 	= $_POST['search_client_id'];
			$where .= " client_id = '".$search_client_id."' AND ";
		}
		if(isset($_POST['search_from']) && $_POST['search_from']!=""){
			$search_from 			= setDate($_POST['search_from'],"Y-m-d");
			$where .= " DATE(invoice_date) >= '".$search_from."' AND ";
		}
		if(isset($_POST['search_to']) && $_POST['search_to']!=""){
			$search_to 				= setDate($_POST['search_to'],"Y-m-d");
			$where .= " DATE(invoice_date) <= '".$search_to."' AND ";
		}
		if(isset($_POST['search_payment_status']) && $_POST['search_payment_status']!=""){
			$search_payment_status 	= $_POST['search_payment_status'];
			if($search_payment_status=="Paid"){
				$is_having = true;
				$having .= " pending_amount=0 AND ";
			}else if($search_payment_status=="Unpaid"){
				$is_having = true;
				$having .= " (pending_amount>0 OR pending_amount IS NULL) AND ";
			}
		}
		if($is_having==true){
			$having = " HAVING ".trim($having," AND");
		}
		$where .=" 1=1";
		?>
		<div class="table-responsive">
			<table class="table table-bordered" id="table_invoice_report">
				<thead>
					<tr class="table-info">
						<th>Invoice Date</th>
						<th>Invoice No.</th>
						<th>Client Name</th>
						<th align="right">Invoice Amount</th>
						<th>Payment Term</th>
						<th>Payment Due Date</th>
						<th>Status</th>
						<th align="right">Pending Amount</th>
						<th>Action</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<th class="searc">Invoice Date</th>
						<th class="searc">Invoice No.</th>
						<th class="searc">Client Name</th>
						<th class="searc">Invoice Amount</th>
						<th class="searc">Payment Term</th>
						<th class="searc">Payment Due Date</th>
						<th class="searc">Status</th>
						<th class="searc">Pending Amount</th>
						<th></th>
					</tr>
				</tfoot>
				<tbody>
					<?php
					$selectQuery 	= "
						SELECT 
							*,
							(SELECT client_name FROM `cxs_clients` WHERE cxs_clients.id=cxs_invoice_header.client_id) AS client_name,
							(SELECT SUM(amount) FROM `cxs_invoice_line` WHERE cxs_invoice_line.invoice_header_id=cxs_invoice_header.invoice_id) AS invoice_amount,
							(SELECT SUM(payment_amount) FROM `cxs_invoice_payments` WHERE cxs_invoice_payments.invoice_header_id=cxs_invoice_header.invoice_id) AS paid_amount,
							(SELECT payment_term_name FROM `cxs_payment_terms` WHERE cxs_payment_terms.payment_term_id=cxs_invoice_header.payment_term_id) AS payment_term,
							
							((SELECT SUM(amount) FROM `cxs_invoice_line` WHERE cxs_invoice_line.invoice_header_id=cxs_invoice_header.invoice_id)-(SELECT SUM(payment_amount) FROM `cxs_invoice_payments` WHERE cxs_invoice_payments.invoice_header_id=cxs_invoice_header.invoice_id)) AS pending_amount
						FROM 
							`cxs_invoice_header` 
						WHERE 
							company_id='".$_SESSION['login_user_array']['company_id']."' AND created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where 
						$having
						ORDER BY 
							invoice_id
						";		
					$RunUserQuery	= mysqli_query($conn, $selectQuery);
					$StdNumRows 	= mysqli_num_rows($RunUserQuery);
					if($StdNumRows>0){
						while($rows=mysqli_fetch_assoc($RunUserQuery)){
							$invoice_id		= $rows["invoice_id"];
							$invoice_number = $rows["invoice_number"];
							$invoice_date	= setDate($rows["invoice_date"],"m/d/Y");
							$client_name	= htmlentities($rows["client_name"]);
							$invoice_amount	= $rows["invoice_amount"];
							$payment_term	= htmlentities($rows["payment_term"]);
							$payment_due_date	= setDate($rows["payment_due_date"],"m/d/Y");
							$paid_amount	= $rows["paid_amount"];
							$pending_amount	= $invoice_amount - $paid_amount;
							
							if($pending_amount==0){
								$status = "Paid";
							}else{
								$status = "Unpaid";
							}
						?>
						<tr>
							<td>
								<?php echo $invoice_date; ?>
							</td>
							<td><?php echo $invoice_number; ?></td>
							<td><?php echo $client_name; ?></td>
							<td align="right">$<?php echo setNumberFormat($invoice_amount,"2",".",""); ?></td>
							<td><?php echo $payment_term; ?></td>
							<td><?php echo $payment_due_date; ?></td>
							<td><?php echo $status; ?></td>
							<td align="right">$<?php echo setNumberFormat($pending_amount,"2",".",""); ?></td>
							<td class="text-center table-action">
								<a href="<?php echo SITEURL."invoicing/print/invoice/".md5($invoice_id)."/"; ?>" target="_blank" class="ml-0 mr-2 py-2 pl-0 pr-0" title="Print Invoice" style="display: inline-block;"><i class="fa fa-print " style="font-size: 20px;" aria-hidden="true"></i></a>
								<a href="<?php echo SITEURL."invoicing/invoice/edit/".md5($invoice_id)."/"; ?>" title="View Report" target="_blank"><i class="fa fa-external-link " style="font-size: 20px;"></i></a>
							</td>
						</tr>
						<?php
						}
					}
					?>
					
					
				</tbody>
			</table>
		</div>
		<?php
	}else if($search_report_type=="detail"){
		$having= "";
		$is_having = false;
		$where = "";
		if(isset($_POST['search_client_id']) && $_POST['search_client_id']!=""){
			$search_client_id 	= $_POST['search_client_id'];
			$where .= " ih.client_id = '".$search_client_id."' AND ";
		}
		if(isset($_POST['search_from']) && $_POST['search_from']!=""){
			$search_from 			= setDate($_POST['search_from'],"Y-m-d");
			$where .= " DATE(ih.invoice_date) >= '".$search_from."' AND ";
		}
		if(isset($_POST['search_to']) && $_POST['search_to']!=""){
			$search_to 				= setDate($_POST['search_to'],"Y-m-d");
			$where .= " DATE(ih.invoice_date) <= '".$search_to."' AND ";
		}
		if(isset($_POST['search_line_type_id']) && $_POST['search_line_type_id']!=""){
			$search_line_type_id= $_POST['search_line_type_id'];
			$where .= " il.line_type_id = '".$search_line_type_id."' AND ";
		}
		if(isset($_POST['search_payment_status']) && $_POST['search_payment_status']!=""){
			$search_payment_status 	= $_POST['search_payment_status'];
			if($search_payment_status=="Paid"){
				$is_having = true;
				$having .= " pending_amount=0 AND ";
			}else if($search_payment_status=="Unpaid"){
				$is_having = true;
				$having .= " (pending_amount>0 OR pending_amount IS NULL) AND ";
			}
		}
		if($is_having==true){
			$having = " HAVING ".trim($having," AND");
		}
		$where .=" 1=1";
		?>
		<div class="table-responsive">
			<table class="table table-bordered" id="table_invoice_report">
				<thead>
					<tr class="table-info">
						<th>Invoice Date</th>
						<th>Invoice No.</th>
						<th>Client Name</th>
						<th>Payment Term</th>
						<th>Description</th>
						<th>Line Type</th>
						<th align="right">Amount</th>
						<th>Action</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<th class="searc">Invoice Date</th>
						<th class="searc">Invoice No.</th>
						<th class="searc">Client Name</th>
						<th class="searc">Payment Term</th>
						<th class="searc">Description</th>
						<th class="searc">Line Type</th>
						<th class="searc">Amount</th>
						<th></th>
					</tr>
				</tfoot>
				<tbody>
					<?php
					$selectQuery 	= "
						SELECT 
							ih.*,il.amount,il.line_description,il.line_type_id,
							(SELECT client_name FROM `cxs_clients` WHERE cxs_clients.id=ih.client_id) AS client_name,
							(SELECT payment_term_name FROM `cxs_payment_terms` WHERE cxs_payment_terms.payment_term_id=ih.payment_term_id) AS payment_term,
							(SELECT name FROM `cxs_line_type` WHERE cxs_line_type.id=il.line_type_id) AS line_type,
							((SELECT SUM(amount) FROM `cxs_invoice_line` WHERE il.invoice_header_id=ih.invoice_id)-(SELECT SUM(payment_amount) FROM `cxs_invoice_payments` WHERE cxs_invoice_payments.invoice_header_id=ih.invoice_id)) AS pending_amount
						FROM 
							`cxs_invoice_header`  ih
						INNER JOIN
							`cxs_invoice_line` il
						ON
							il.invoice_header_id=ih.invoice_id
						WHERE 
							ih.company_id='".$_SESSION['login_user_array']['company_id']."' AND ih.created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where 
						$having
						ORDER BY 
							ih.invoice_id
						";		
					$RunUserQuery	= mysqli_query($conn, $selectQuery);
					$StdNumRows 	= mysqli_num_rows($RunUserQuery);
					if($StdNumRows>0){
						while($rows=mysqli_fetch_assoc($RunUserQuery)){
							$invoice_id		= $rows["invoice_id"];
							$invoice_number = $rows["invoice_number"];
							$invoice_date	= setDate($rows["invoice_date"],"m/d/Y");
							$client_name	= htmlentities($rows["client_name"]);
							//$invoice_amount	= setNumberFormat($rows["invoice_amount"]);
							$payment_term	= htmlentities($rows["payment_term"]);
							//$payment_due_date	= setDate($rows["payment_due_date"],"m/d/Y");
							//$paid_amount	= $rows["paid_amount"];
							//$pending_amount	= setNumberFormat($invoice_amount - $paid_amount);
							
							/*if($pending_amount==0){
								$status = "Paid";
							}else{
								$status = "Unpaid";
							}*/
							$text_amount 			= setNumberFormat($rows["amount"]);
							$text_line_description 	= htmlentities($rows["line_description"]);	
							$text_line_type			= htmlentities($rows["line_type"]);
						?>
						<tr>
							<td><?php echo $invoice_date; ?></td>
							<td><?php echo $invoice_number; ?></td>
							<td><?php echo $client_name; ?></td>
							<td><?php echo $payment_term; ?></td>
							<td><?php echo $text_line_description; ?></td>
							<td><?php echo $text_line_type; ?></td>
							<td align="right">$<?php echo $text_amount; ?></td>
							<td class="text-center table-action">
								<a href="<?php echo SITEURL."invoicing/print/invoice/".$invoice_id."/"; ?>" target="_blank" class="ml-0 mr-2 py-2 pl-0 pr-0" title="Print Invoice" style="display: inline-block;"><i class="fa fa-print " style="font-size: 20px;" aria-hidden="true"></i></a>
								<a href="<?php echo SITEURL."invoicing/invoice/edit/".$invoice_id."/"; ?>" title="View Report" target="_blank"><i class="fa fa-external-link " style="font-size: 20px;"></i></a>
							</td>
						</tr>
						<?php
						}
					}
					?>
					
					
				</tbody>
			</table>
		</div>
		<?php
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_invoice_payments_data'){
	$where = "";
	if(isset($_POST['search_client_id']) && $_POST['search_client_id']!=""){
		$search_client_id 	= $_POST['search_client_id'];
		$where .= " ih.client_id = '".$search_client_id."' AND ";
	}
	if(isset($_POST['search_from']) && $_POST['search_from']!=""){
		$search_from 			= setDate($_POST['search_from'],"Y-m-d");
		$where .= " DATE(ih.invoice_date) >= '".$search_from."' AND ";
	}
	if(isset($_POST['search_to']) && $_POST['search_to']!=""){
		$search_to 				= setDate($_POST['search_to'],"Y-m-d");
		$where .= " DATE(ih.invoice_date) <= '".$search_to."' AND ";
	}
	if(isset($_POST['search_mode_of_payment']) && $_POST['search_mode_of_payment']!=""){
		$search_mode_of_payment = $_POST['search_mode_of_payment'];
		$where .= " ip.mode_of_payment = '".$search_mode_of_payment."' AND ";
	}
	$where .=" 1=1";
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_invoice_payments_report">
			<thead>
				<tr class="table-info">
					<th style="width:10%;">Invoice Date</th>
					<th style="width:12%;">Invoice No.</th>
					<th style="width:28%;">Client Name</th>
					<th style="width:12%;">Invoice Amount</th>
					<th style="width:10%;">Payment Date</th>
					<th style="width:14%;">Mode of Payment</th>
					<th style="width:12%;text-align:right;">Payment Amount</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th class="searc">Invoice Date</th>
					<th class="searc">Invoice No.</th>
					<th class="searc">Client Name</th>
					<th class="searc">Invoice Amount</th>
					<th class="searc">Payment Date</th>
					<th class="searc">Mode of Payment</th>
					<th class="searc">Payment Amount</th>
				</tr>
			</tfoot>
			<tbody>
				<?php
				$selectQuery 	= "
					SELECT 
						ip.*, ih.invoice_id, ih.invoice_number, ih.invoice_date, ih.invoice_date,
						(SELECT client_name FROM `cxs_clients` WHERE cxs_clients.id=ih.client_id) AS client_name,
						(SELECT SUM(amount) FROM `cxs_invoice_line` WHERE cxs_invoice_line.invoice_header_id=ih.invoice_id) AS invoice_amount
					FROM 
						`cxs_invoice_payments` ip
					INNER JOIN
						`cxs_invoice_header` ih
					ON
						ip.invoice_header_id=ih.invoice_id
					WHERE 
						ip.company_id='".$_SESSION['login_user_array']['company_id']."' AND ip.created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where
					ORDER BY 
						ih.invoice_date, ih.invoice_number, ip.payment_date
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$total_paid_amount = 0;
				if($StdNumRows>0){
					$count=0;
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$count++;
						$invoice_header_id		= $rows["invoice_id"];
						$payment_id				= $rows["payment_id"];
						$text_invoice_date 		= setDate($rows["invoice_date"],"m/d/Y");
						$text_invoice_number 	= htmlentities($rows["invoice_number"]);
						$text_client_name 		= htmlentities($rows["client_name"]);
						$text_invoice_amount	= setNumberFormat($rows["invoice_amount"]);
						$text_payment_date 		= setDate($rows["payment_date"],"m/d/Y");
						$combo_mode_of_payment 	= htmlentities($rows["mode_of_payment"]);	
						$text_check_no 			= htmlentities($rows["check_no"]);
						$text_payment_amount 	= htmlentities($rows["payment_amount"]);	
						$text_date_payment_posted= setDate($rows["date_payment_posted"],"m/d/Y");
						$data_content_eye_icon = show_eye_icon_data("cxs_invoice_payments","payment_id",$payment_id);	
					?>
					<tr>
						<td><?php echo $text_invoice_date; ?></td>
						<td><?php echo $text_invoice_number; ?></td>
						<td><?php echo $text_client_name; ?></td>
						<td align="right">$<?php echo setNumberFormat($text_invoice_amount); ?></td>
						<td><?php echo $text_payment_date; ?></td>
						<td>
							<?php 
							echo $combo_mode_of_payment; 
							if($combo_mode_of_payment=="Check"){
								echo "<br>[ ".$text_check_no." ]";
							}
							?>
						</td>
						<td align="right"><span class="td-cell-space">$<?php echo setNumberFormat($text_payment_amount); ?></span></td>
					</tr>
					<?php
					}
				}
				?>
			</tbody>
		</table>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_invoice_timesheet_data'){

	?>
	<div class="row mt-3">
		<div class="col-md-6">
			<select class="form-control js-example-basic-single" name="combo_invoice_timesheet_id" id="combo_invoice_timesheet_id" style="width:100%" onChange="getInvoiceTimesheetEntryData(this.value);">
			<option value="">--Please Select--</option>
			<?php
			$selectQuery 	= "
				SELECT 
					th.timesheet_id, 
					th.timesheet_name,
					th.pay_period
				FROM 
					cxs_time_entry_header th
				INNER JOIN
					cxs_time_entry_lines te
				ON
					te.timesheet_id=th.timesheet_id
				WHERE 
					te.project_id>0 AND th.user_id='".$_SESSION['login_user_array']['user_id']."' AND th.company_id = '".$_SESSION['login_user_array']['company_id']."'
				GROUP BY 
					th.timesheet_id
				ORDER BY
					th.timesheet_name DESC
				";		
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			
			if($StdNumRows>0){
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$timesheet_id 	= stripslashes($rows["timesheet_id"]);
					$timesheet_name	= stripslashes($rows["timesheet_name"]);
				?>
				<option value="<?php echo $timesheet_id; ?>"><?php echo $timesheet_name; ?></option>
				<?php
				}
			}
			?>
			</select>
		</div>
	</div>
	<div class="row mt-3">
		<div class="col-md-12" id="result_invoice_timesheet_entry_data">

		</div>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_invoice_timesheet_entry_data'){
	$timesheet_id = intval($_POST["timesheet_id"]);
	?>
	<div class="table-responsive">
		<table id="table_all_time_entry_data" class="table table-bordered">
			<thead class="table-info">
				<tr>
					<th width="5%">Date</th>
					<th>Project</th>
					<th>Task/Leave</th>
					<th width="12%">Straight Time Hours</th>
					<th width="12%">Overtime Hours</th>
					<th width="12%">Leave Hours</th>
					<th width="5%">Status</th>

					<?php if($_SESSION['login_user_array']["user_plan"]!="SELFEMPLOYED"){ ?>
					<th>Comment</th>
					<?php } ?>
				</tr>
			</thead>
			<tbody>
				<?php
				$total_line_amount = 0;
				$line_description_arr = array();
				$total_working_hours 	= 0;
				$total_working_minutes	= 0;
				$total_submitted_hours 	= 0;
				$total_submitted_minutes= 0;
				
				$total_straight_hour 	= 0;
				$total_straight_minutes = 0;
				$total_overtime_hour 	= 0;
				$total_overtime_minutes = 0;
				
				$where = "th.timesheet_id='".$timesheet_id."' AND ";
				
				if($_SESSION['login_user_array']["user_plan"]!="SELFEMPLOYED"){
					$where .= "  te.time_entry_status='Approved' AND ";
				}

				$selectQuery 	= "
					SELECT 
						te.*,
						p.project_name, p.project_number, 
						t.task_name as task_name1, t.task_number,
						l.leave_name,
						tt.task_name as task_name2,
						ap.comment AS supervisor_comment
					FROM 
						`cxs_time_entry_lines` te
					LEFT JOIN
						`cxs_projects` p
					ON
						te.project_id=p.project_id
					LEFT JOIN
						`cxs_projects_tasks` t
					ON
						te.task_id=t.task_id
					LEFT JOIN
						`cxs_leave` l
					ON
						te.leave_id=l.id
					LEFT JOIN
						`cxs_time_tracking_tasks` tt
					ON
						te.task_id=tt.task_id
					INNER JOIN
						`cxs_time_entry_header` th
					ON
						te.timesheet_id=th.timesheet_id
					LEFT JOIN
						`cxs_time_entry_approval_activity` ap
					ON
						ap.timesheet_line_id=te.timesheet_line_id
					WHERE 
						$where te.project_id>0 AND te.company_id='".$_SESSION['login_user_array']['company_id']."'
					ORDER BY 
						te.time_entry_date DESC
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$timesheet_line_id	= $rows["timesheet_line_id"];
						$timesheet_id		= $rows["timesheet_id"];
						$project_id			= $rows["project_id"];
						$task_id			= $rows["task_id"];
						$leave_id			= $rows["leave_id"];
						
						$straight_time_hours	= $rows["straight_time_hours"];
						$straight_time_minutes	= $rows["straight_time_minutes"];
						$overtime_time_hours	= $rows["overtime_time_hours"];
						$overtime_time_minutes	= $rows["overtime_time_minutes"];
						$comment				= htmlspecialchars_decode(nl2br($rows['comment']));	
						$time_entry_status		= $rows["time_entry_status"];
						$time_entry_date 		= setDate($rows["time_entry_date"],"m/d/Y");
						
						$project_name		= htmlentities($rows["project_name"]);
						$project_number		= htmlentities($rows["project_number"]);
						if($project_id>0){
							$task_name			= htmlentities($rows["task_name1"]);
							$task_number		= htmlentities($rows["task_number"]);
						}else{
							$task_name			= htmlentities($rows["task_name2"]);
						}
						$leave_name			= htmlentities($rows["leave_name"]);
						
						$data_content_eye_icon = show_eye_icon_data("cxs_time_entry_lines","timesheet_line_id",$timesheet_line_id);

						$line_description_arr[] = $project_name;
						$member_user_id = $rows["user_id"];

						$total_task_minutes = ($straight_time_hours*60) + ($straight_time_minutes) + ($overtime_time_hours*60) + ($overtime_time_minutes);
						$total_task_hours = setNumberFormat(($total_task_minutes/60),"2",".","");
						/** Get Team's Member rate  */
						$selectQuery1 = "
							SELECT
								tm.billing_rate
							FROM
								cxs_projects_team_members tm
							INNER JOIN
								cxs_projects_task_assignment ta
							ON
								tm.assignement_id=ta.member_id
							WHERE
								tm.member_userid='".$member_user_id."' AND ta.task_id='".$task_id."' AND tm.project_id='".$project_id."'
						";
						$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
						$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
						if($StdNumRows1>0){
							while($rows1=mysqli_fetch_assoc($RunUserQuery1)){
								$total_line_amount += $total_task_hours*$rows1["billing_rate"];
							}
						}
						/** Get All Teams Member rate  */
						
						$total_straight_hour 	+= $straight_time_hours;
						$total_straight_minutes += $straight_time_minutes;
						$total_overtime_hour 	+= $overtime_time_hours;
						$total_overtime_minutes += $overtime_time_minutes;
						
						$supervisor_comment = htmlentities($rows["supervisor_comment"]);
					?>
					<tr>
						<td><?php echo $time_entry_date; ?></td>
						<td>
							<?php
							if($task_id>0){
								echo $project_name;
							}else{
								echo "-";
							}
							?>
						</td>
						<td>
							<?php
							if($task_id>0){
								echo $task_name;
							}else{
								echo $leave_name;
							}
							?>
						</td>
						<td>
							<?php 
							echo $straight_time_hours." Hour(s) ".$straight_time_minutes." Minute(s)"; 
							?>
						</td>
						<td>
							<?php 
							echo $overtime_time_hours." Hour(s) ".$overtime_time_minutes." Minute(s)"; 
							?>
						</td>
						<?php if(!isset($_POST['frm'])){ ?>
						<td>-</td>
						<?php } ?>
						<td align="center">
							<?php
							if($_SESSION['login_user_array']["user_plan"]=="SELFEMPLOYED"){
								$time_entry_status="Saved";
							}

							if($time_entry_status=="Approved"){
								$status_class = "badge-info";
							}else if($time_entry_status=="Rejected"){
								$status_class = "badge-danger";
							}else if($time_entry_status=="Submitted" || $time_entry_status=="Saved"){
								$status_class = "badge-success";
							}else{
								$status_class = "badge-light";
							}
							?>
							<label class="badge <?php echo $status_class; ?>" style="width:100%;margin-top:0;"><?php echo $time_entry_status; ?></label>
						</td>

						<?php if($_SESSION['login_user_array']["user_plan"]!="SELFEMPLOYED"){ ?>
						<td>
							<span class="td-cell-space"><?php echo $comment; ?></span>
						</td>
						<?php } ?>

					</tr>
					<?php
					}
				}else{
					?>
					<tr>
						<td colspan="7"; ?>">No record found.</td>
					</tr>
					<?php
				}
				?>
				<tr>
					<td colspan="3" align="right">Total:</td>
					<td>
						<span class="td-cell-space">
						<?php 
						echo $total_straight_hour." Hour(s) ".$total_straight_minutes." Minute(s)"; 
						?>
						</span>
					</td>
					<td>
						<span class="td-cell-space">
						<?php 
						echo $total_overtime_hour." Hour(s) ".$total_overtime_minutes." Minute(s)"; 
						?>
						</span>
					</td>
					<td colspan="2"></td>
				</tr>
			</tbody>
		</table>
	</div>
	<?php
	$total_minutes = ($total_straight_hour*60) + ($total_overtime_hour*60) + $total_straight_minutes + $total_overtime_minutes;
	$total_hours = setNumberFormat($total_minutes/60,"2",".","");
	$line_description_arr = array_unique($line_description_arr);
	$line_description = implode(", ",$line_description_arr);
	?>
	<input type="hidden" id="h_invoice_timesheet_hours" name="h_invoice_timesheet_hours" value="<?php echo $total_hours; ?>">
	<input type="hidden" id="h_invoice_total_line_amount" name="h_invoice_total_line_amount" value="<?php echo setNumberFormat($total_line_amount,"2",".",""); ?>">
	<input type="hidden" id="h_invoice_line_description" name="h_invoice_line_description" value="This invoice line amount is for <?php echo $line_description; ?>">
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_company_logo'){
	
	//parse_str($_POST['form1'],$formArr1);
	
	$succ = 0;
	$msg = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	if(isset($_FILES["company_logo"]["name"]) && !is_array($_FILES["company_logo"]["name"])) //single file
	{
		$output_dir = "img/uploads/company_logo/";
		$fileName = $_FILES["company_logo"]["name"];
		$a = explode('.',basename($_FILES["company_logo"]["name"]));
		$extension	= strtolower(end($a));
		$fileName	= rand(0,99999)."_".time()."cmp.".$extension;
		if (!file_exists($output_dir)) {
			mkdir($output_dir, 0777, true);
		}
		move_uploaded_file($_FILES["company_logo"]["tmp_name"],$output_dir.$fileName);
		$company_logo = $fileName;
		
		$insArr = array();
		$insArr['company_logo'] 	= $company_logo;

		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		
		updatedata("cxs_company",$insArr," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
		
		$succ = 1;

	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}

/****************************************INVOICE BLOCK END***************************************/

?>