<?php
    include("conn.php");
    require_once("functions.php");
    if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
		login_from_cookie();
	}
    header('Content-Type: application/json'); 
    
    function GetIPAddress1()
    {
        $ipaddress = '';
      if (getenv('HTTP_CLIENT_IP'))
          $ipaddress = getenv('HTTP_CLIENT_IP');
      else if(getenv('HTTP_X_FORWARDED_FOR'))
          $ipaddress = getenv('HTTP_X_FORWARDED_FOR');
      else if(getenv('HTTP_X_FORWARDED'))
          $ipaddress = getenv('HTTP_X_FORWARDED');
      else if(getenv('HTTP_FORWARDED_FOR'))
          $ipaddress = getenv('HTTP_FORWARDED_FOR');
      else if(getenv('HTTP_FORWARDED'))
          $ipaddress = getenv('HTTP_FORWARDED');
      else if(getenv('REMOTE_ADDR'))
          $ipaddress = getenv('REMOTE_ADDR');
      else
          $ipaddress = 'UNKNOWN';

        //echo "ipaddress".$ipaddress;
        return $ipaddress;
    }
    
    function get_issue_all_data($project_id,$selected_id)
    {
        $conn = $GLOBALS["conn"]; 
        $row_list = array();
        $query_1 = "";
        $join_query = "";
        
        if($project_id!='')
        {
            if($project_id==-1)
            {
                $query_1 .= " and cxs_issue_header.project_id  > 0";
            } 
            else if($project_id==0)
            {
                $query_1 .= " and cxs_issue_header.project_id  = 0";
            } 
            else if($project_id!="All")
            {
                $query_1 .= " and cxs_issue_header.project_id = '".$project_id."'";
            }            
        }
        $current_user_id = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
        if($selected_id!='')
        {
            $query_1 .= " and cxs_issue_header.issue_id = '".$selected_id."'";
            
           $qry = "select cxs_issue_header.*,cxs_issue_detail.long_descr,cxs_issue_internal.internal_notes,cxs_issue_attachments.attachment_title,cxs_issue_attachments.file_name,cxs_issue_attachments.file_format,cxs_issue_attachments.creation_date as uploade_date,cxs_issue_attachments.id as attachment_id, "
                 . "(select cxs_user.full_name from cxs_user where cxs_user.user_id = cxs_issue_header.resolved_by_id) as resolved_by,cxs_projects.project_number,cxs_projects.schedule_start_date as project_schedule_start_date,cxs_projects.schedule_end_date as project_schedule_end_date,"
                    . "cxs_projects.project_name,(select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.created_by) as created_by_name,
                        (select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.last_udpated_by) as updated_by_name,
                        (SELECT cxs_projects.project_number FROM cxs_projects WHERE cxs_issue_header.project_id = cxs_projects.project_id) AS project_number,
                    (SELECT cxs_projects.project_name FROM cxs_projects WHERE cxs_issue_header.project_id = cxs_projects.project_id) AS project_name,
                    (SELECT task_number FROM cxs_projects_tasks WHERE cxs_issue_header.task_id = cxs_projects_tasks.task_id) AS task_number,
                    (SELECT task_name FROM cxs_projects_tasks WHERE cxs_issue_header.task_id = cxs_projects_tasks.task_id) AS task_name  from cxs_issue_header "
                 . "left join cxs_issue_detail on cxs_issue_detail.issue_id = cxs_issue_header.issue_id left join cxs_issue_internal on cxs_issue_internal.issue_id = cxs_issue_header.issue_id  "
                 . "left join cxs_issue_attachments on cxs_issue_attachments.issue_id = cxs_issue_header.issue_id  LEFT JOIN cxs_projects ON cxs_projects.project_id = cxs_issue_header.project_id where cxs_issue_header.company_id = '".$_SESSION['login_user_array']['company_id']."'".$query_1;
        }
        else
        {
             $qry = "select cxs_issue_header.*, (select cxs_user.full_name from cxs_user where cxs_user.user_id = cxs_issue_header.resolved_by_id) as resolved_by,(select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.created_by) as created_by_name,
                    (select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.last_udpated_by) as updated_by_name, (SELECT cxs_user.full_name FROM cxs_user WHERE cxs_user.user_id = cxs_issue_header.assigned_user_id) AS assigned_name,
                    (SELECT cxs_projects.project_number FROM cxs_projects WHERE cxs_issue_header.project_id = cxs_projects.project_id) AS project_number,
                    (SELECT cxs_projects.project_name FROM cxs_projects WHERE cxs_issue_header.project_id = cxs_projects.project_id) AS project_name,
                    (SELECT task_number FROM cxs_projects_tasks WHERE cxs_issue_header.task_id = cxs_projects_tasks.task_id) AS task_number,
                    (SELECT task_name FROM cxs_projects_tasks WHERE cxs_issue_header.task_id = cxs_projects_tasks.task_id) AS task_name "
                    . " from cxs_issue_header where cxs_issue_header.company_id = '".$_SESSION['login_user_array']['company_id']."'".$query_1;
        }      
        //echo $qry;
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            while($row = mysqli_fetch_assoc($result))
            {
                if(!is_null($row['schedule_start_date']))
                {
                    $row['schedule_start_date'] = date('m/d/Y', strtotime($row['schedule_start_date']));
                } 
                else
                {
                    $row['schedule_start_date'] = "";
                }
                if(!is_null($row['schedule_end_date']))
                {
                    $row['schedule_end_date'] = date('m/d/Y', strtotime($row['schedule_end_date']));
                }
                else
                {
                    $row['schedule_end_date'] = "";
                }
                
                if(!is_null($row['actual_start_date']))
                {
                    $row['actual_start_date'] = date('m/d/Y', strtotime($row['actual_start_date']));
                }
                else
                {
                    $row['actual_start_date'] = "";
                }
                
                if(!is_null($row['actual_end_date']))
                {
                    $row['actual_end_date'] = date('m/d/Y', strtotime($row['actual_end_date']));
                }
                else
                {
                    $row['actual_end_date'] = "";
                }
                
                if(!is_null($row['resolved_date']))
                {
                    $row['resolved_date'] = date('m/d/Y', strtotime($row['resolved_date']));
                } 
                else
                {
                    $row['resolved_date'] = "";
                }
                
                
                $row['creation_date'] = date('m/d/Y', strtotime($row['creation_date']));
                $row['last_update_date'] = date('m/d/Y', strtotime($row['last_update_date']));
                $data_content_eye_icon = show_eye_icon_data_format($row);
                $row['data_content_eye_icon'] = $data_content_eye_icon;
                $row['resolved_by_id'] = ($row['resolved_by_id']==0)?'':$row['resolved_by_id'];
                $row['resolved_by'] = is_null($row['resolved_by'])?'':$row['resolved_by'];
                
                if(isset($row['long_descr']))
                {    
                    $row['long_descr'] = is_null($row['long_descr'])?'':$row['long_descr'];
                }
                
                
                if(isset($row['uploade_date']))
                {
                    if(!is_null($row['uploade_date']))
                    {
                        $row['uploade_date'] = date('m/d/Y', strtotime($row['uploade_date']));
                    } 
                    else
                    {
                        $row['uploade_date'] = "";
                    }
                }
                
                if(isset($row['file_name']))
                {
                    if(is_null($row['file_name']))
                    {
                        $row['file_name'] = "";
                    }
                }
                else
                {
                    $row['file_name'] = "";
                }
                
                if(isset($row['long_descr']))
                {
                    if(is_null($row['long_descr']))
                    {    
                        $row['long_descr'] = '';
                    }
                }
                else
                {
                        $row['long_descr'] = '';
                }
                if(is_null($row['project_number']))
                {
                    $row['project_number'] = "";
                }
                if(is_null($row['project_name']))
                {
                    $row['project_name'] = "";
                }
                if(is_null($row['task_number']))
                {
                    $row['task_number'] = "";
                }
                if(is_null($row['task_name']))
                {
                    $row['task_name'] = "";
                }
                $row['current_user_id'] = $current_user_id;
                $row_list[]=$row;
            }
        }
        return $row_list ;
    }
    
    function issue_tracking_update_history_data($issue_id)
    {
        $conn = $GLOBALS["conn"]; 
        $history_data = array();
        $qry = "select cxs_issue_update.*,cxs_user.image_name from cxs_issue_update 
        inner join cxs_user on cxs_user.user_email = cxs_issue_update.created_by where issue_id = '".$issue_id."' and cxs_issue_update.company_id='".$_SESSION['login_user_array']['company_id']."' order by cxs_issue_update.update_id desc";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $counter=0;
            while($row = mysqli_fetch_assoc($result))
            {
                $history_data[] = $row;   
                $history_data[$counter]['update_text'] = nl2br($row['update_text']);     
                $history_data[$counter]['creation_date'] = date('m/d/Y h:i a', strtotime($row['creation_date']));
                $history_data[$counter]['last_update_date'] = date('m/d/Y h:i a', strtotime($row['last_update_date']));
                //$ip_addr_list[$counter]['ip_addr'] = $ip_addr;
                $counter++;
            }
           return $history_data;
        }
    }
    
    if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_issue_header_data')
    {
        /*$issue_priority = isset($_POST['issue_priority'])?trim($_POST['issue_priority']):''; 
        $issue_status = isset($_POST['issue_status'])?trim($_POST['issue_status']):'';
        $issue_urgency = isset($_POST['issue_urgency'])?trim($_POST['issue_urgency']):'';
        
        $issue_task_type = isset($_POST['issue_task_type'])?trim($_POST['issue_task_type']):''; 
        $assigned_to = isset($_POST['assigned_to'])?trim($_POST['assigned_to']):'';
        $issue_originator = isset($_POST['issue_originator'])?trim($_POST['issue_originator']):'';
        */
        $schedule_start_date = isset($_POST['schedule_start_date'])?trim($_POST['schedule_start_date']):''; 
        $schedule_end_date = isset($_POST['schedule_end_date'])?trim($_POST['schedule_end_date']):'';
        $actual_start_date = isset($_POST['actual_start_date'])?trim($_POST['actual_start_date']):'';
        $actual_end_date = isset($_POST['actual_end_date'])?trim($_POST['actual_end_date']):'';
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        if($selected_id=="")
        {
           $issue_number = getUniqueId("INC","issue_number","cxs_issue_header"," WHERE company_id='".$_SESSION['login_user_array']["company_id"]."'");
        }
        else
        {
            $issue_number = getValue("cxs_issue_header","issue_number","where issue_id = '".$selected_id."'");
        }
        $email_issue_originator_id = 0;
        $insArr = array();
        if($schedule_start_date!='')
        {
            $schedule_start_date = date('m/d/Y', strtotime($schedule_start_date));
            $schedule_start_date = date('Y-m-d', strtotime($schedule_start_date));
            $insArr['schedule_start_date'] = $schedule_start_date;    
        }
        else 
        {
            $insArr['schedule_start_date'] = 'Null';
        }
        if($schedule_end_date!='')
        {
            $schedule_end_date = date('m/d/Y', strtotime($schedule_end_date));
            $schedule_end_date = date('Y-m-d', strtotime($schedule_end_date));
            $insArr['schedule_end_date'] = $schedule_end_date;   
        }
        else 
        {
            $insArr['schedule_end_date'] = 'Null';
        }
        
        if($actual_start_date!='')
        {
            $actual_start_date = date('m/d/Y', strtotime($actual_start_date));
            $actual_start_date = date('Y-m-d', strtotime($actual_start_date));
            $insArr['actual_start_date'] = $actual_start_date;             
        }
        else 
        {
            $insArr['actual_start_date'] = 'Null';
        }
        
        if($actual_end_date!='')
        {
            $actual_end_date = date('m/d/Y', strtotime($actual_end_date));
            $actual_end_date = date('Y-m-d', strtotime($actual_end_date));
            $insArr['actual_end_date'] = $actual_end_date;   
        }
        else 
        {
            $insArr['actual_end_date'] = 'Null';
        }
        
        
        $insArr['project_id'] = isset($_POST['project_id'])?trim($_POST['project_id']):'';            
        $insArr['issue_priority'] = isset($_POST['issue_priority'])?trim($_POST['issue_priority']):'';    
        $insArr['issue_status'] = isset($_POST['issue_status'])?trim($_POST['issue_status']):'';
        $insArr['issue_urgency'] = isset($_POST['issue_urgency'])?trim($_POST['issue_urgency']):'';    
        $insArr['task_type'] = isset($_POST['issue_task_type'])?trim($_POST['issue_task_type']):'';                
        $insArr['assigned_user_id'] = isset($_POST['assigned_to'])?trim($_POST['assigned_to']):0;
        $insArr['originator_id'] = isset($_POST['issue_originator'])?trim($_POST['issue_originator']):0;   
        $email_issue_originator_id = $insArr['originator_id'];
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        $resolved_date = isset($_POST['resolved_date'])?trim($_POST['resolved_date']):'';        
        if($resolved_date!='')
        {
            $resolved_date = date('m/d/Y', strtotime($resolved_date));
            $resolved_date = date('Y-m-d', strtotime($resolved_date));
        }
        else 
        {
            $resolved_date = 'Null';
        }
        
        if($_POST['issue_status']!='Closed')
        {
            $insArr['resolved_by_id'] = isset($_POST['resolved_by'])?trim($_POST['resolved_by']):0;
            $insArr['resolved_date'] = 'Null';
            $insArr['resolved_issue_how'] = '';
            $insArr['resolved_reason'] = '';
            $insArr['resolved_update_datetime']='Null';
        }
        else
        {
             $insArr['resolved_by_id'] = isset($_POST['resolved_by'])?trim($_POST['resolved_by']):0;    
            $insArr['resolved_date'] = $resolved_date;    
            $insArr['resolved_issue_how'] = isset($_POST['resolved_issue_how'])?trim($_POST['resolved_issue_how']):'';    
            $insArr['resolved_reason'] = isset($_POST['resolution_notes'])?trim($_POST['resolution_notes']):''; 
            $insArr['resolved_update_datetime']=$curTime;

        }
        /*$short_description = isset($_POST['short_description'])?trim($_POST['short_description']):'';         */
        $insArr['task_id'] = isset($_POST['task_id'])?trim($_POST['task_id']):'';    
        $insArr['short_description'] = isset($_POST['short_description'])?trim($_POST['short_description']):'';    
        
        
        if($selected_id=="")
        {
            $insArr['issue_number'] = $issue_number;
            $insArr['creation_date']=$curTime;
            $insArr['created_timezone']=$currTz;
            $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';             
            $last_inserted_id = insertdata("cxs_issue_header",$insArr);
            $selected_id = $last_inserted_id;
            
            /*
            $module_name = "issue_tracking";
            $module_field_id = $_SESSION['login_user_array']['user_id'];
            $notes = "Issue Tracking : ".$issue_number." created by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
            saveLogs($module_name,$module_field_id,$notes);
            */
            
           
          //  sendEmail($to_email, $to_email_name, $subject, $mail_body);
            
        }
        else
        {
            updatedata("cxs_issue_header",$insArr,"where issue_id = '".$selected_id."'");
            
          /*  $module_name = "issue_tracking";
            $module_field_id	= $selected_id;
            $notes = "Issue Tracking : ".$issue_number." created by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
            saveLogs($module_name,$module_field_id,$notes);*/
        }
       
        $insArr = array();
        $insArr['long_descr'] = isset($_POST['issue_detail'])?trim($_POST['issue_detail']):'';   
        $insArr['issue_id'] = $selected_id;         
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        if($selected_id!="")
        {
            $qry = "select * from cxs_issue_detail where issue_id = '".$selected_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                updatedata("cxs_issue_detail",$insArr,"where issue_id = '".$selected_id."'");
            }
            else
            {
                $insArr['creation_date']=$curTime;
                $insArr['created_timezone']=$currTz;
                $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';             
                insertdata("cxs_issue_detail",$insArr);
            }  
            $succ=1;
        }
		
		mysqli_close($conn);
		$conn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);

        $insArr = array();
        $insArr['internal_notes'] = isset($_POST['internal_notes'])?trim($_POST['internal_notes']):'';    
        $insArr['issue_id'] = $selected_id; 
        $insArr['internal_notes'] = isset($_POST['internal_notes'])?trim($_POST['internal_notes']):'';    
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        
        if($selected_id!="")
        {
            $qry = "select * from cxs_issue_internal where issue_id = '".$selected_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                updatedata("cxs_issue_internal",$insArr,"where issue_id = '".$selected_id."'");
            }
            else
            {
                $insArr['creation_date']=$curTime;
                $insArr['created_timezone']=$currTz;
                $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';             
                insertdata("cxs_issue_internal",$insArr);
            }  
        }    
        
        
        /*$filename_listArr = isset($_POST["filename_list"])?$_POST["filename_list"]:'';
        $filetype_listArr = isset($_POST["filentype_list"])?$_POST["filentype_list"]:'';
        if(sizeof($_POST["filename_list"])==0)
        {
            $filename_listArr = array();
        }
            foreach($filename_listArr as $key => $value)
            {
                copy("img/uploads/issue_attachment/temp/".$value,"img/uploads/issue_attachment/".$value);
                unlink("img/uploads/issue_attachment/temp/".$value);

                $insArr = array();

                $insArr['issue_id'] = $selected_id; 
                $insArr['file_name'] = $value;
                $insArr['file_format'] = $filetype_listArr[$key];
                $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                $insArr['last_update_date']=$curTime;
                $insArr['updated_timezone']=$currTz;
                $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 

                $insArr['creation_date']=$curTime;
                $insArr['created_timezone']=$currTz;
                $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
                insertdata("cxs_issue_attachments",$insArr);
                $succ=1;
            }
            
*/
        $attachment_count = isset($_POST['attachment_count'])?trim($_POST['attachment_count']):0;
        $filename_list = isset($_POST['filename_list'])?$_POST['filename_list']:array();
        $filentype_list = isset($_POST['filentype_list'])?$_POST['filentype_list']:array();
        $attachment_title_list = isset($_POST['attachment_title_list'])?$_POST['attachment_title_list']:array();
        
        if($attachment_count!='')
        {
            $attachment_count = (int)$attachment_count;            
        }        
        if($attachment_count==0)
        {
            if(getTotalRecord("cxs_issue_attachments","id"," WHERE issue_id='".$selected_id."'")>0)
            {			
                $selectQuery 	= "SELECT file_name FROM `cxs_issue_attachments` WHERE issue_id='".$selected_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
                $RunUserQuery	= mysqli_query($conn, $selectQuery);
                $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                if($StdNumRows>0)
                {
                    while($rows=mysqli_fetch_assoc($RunUserQuery))
                    {
                        if(file_exists("img/uploads/issue_attachment/".$rows['file_name'])){
                                            unlink("img/uploads/issue_attachment/".$rows['file_name']);
                                    }
                                    deletedata("cxs_issue_attachments"," WHERE issue_id='".$selected_id."' AND file_name='".$rows['file_name']."'");
                    }
                }
            }
        }
        if($attachment_count>0)
        {
            
            /*Get Old Attachment*/
            $old_attachments = array();
            $new_attachments = array();

            if(getTotalRecord("cxs_issue_attachments","id"," WHERE issue_id='".$selected_id."'")>0)
            {			
                $selectQuery 	= "SELECT file_name FROM `cxs_issue_attachments` WHERE issue_id='".$selected_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
                $RunUserQuery	= mysqli_query($conn, $selectQuery);
                $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                if($StdNumRows>0)
                {
                    while($rows=mysqli_fetch_assoc($RunUserQuery))
                    {
                        $old_attachments[]	= $rows["file_name"];
                    }
                }
            }
            /*Get Old Attachment*/
            /*Save Attachment*/
            $passed_attachments = array();
            for($j=1;$j<=$attachment_count;$j++)
            {
                /*
                echo " titel".$attachment_title_list[$j-1];
                echo " name".$filename_list[$j-1];
                echo " type list".$filentype_list[$j-1];
                if(( file_exists("img/uploads/issue_attachment/temp/".$filename_list[$j-1]) || file_exists("img/uploads/issue_attachment/".$filename_list[$j-1])))
                {
                    echo "true";
                }
                else
                {
                    echo "false";
                }
                */
                
                
                if(isset($attachment_title_list[$j-1]) && $attachment_title_list[$j-1]!="" 
                && isset($filename_list[$j-1]) && $filename_list[$j-1]!=""
                && ( file_exists("img/uploads/issue_attachment/temp/".$filename_list[$j-1]) || file_exists("img/uploads/issue_attachment/".$filename_list[$j-1]))
                && isset($filentype_list[$j-1]) && $filentype_list[$j-1]!="")
                {
                    $attachment_title 		= setVar($attachment_title_list[$j-1]);
                    $h_attachment_file_name 	= setVar($filename_list[$j-1]);
                    $h_attachment_file_format 	= setVar($filentype_list[$j-1]);
                    
                    $passed_attachments[] = $h_attachment_file_name;                    
                    if(getTotalRecord("cxs_issue_attachments","id"," WHERE issue_id='".$selected_id."' AND attachment_title='".$attachment_title."' AND file_name='".$h_attachment_file_name."'")>0)
                    {
                        
                    }
                    else
                    {
                        
                        if(file_exists("img/uploads/issue_attachment/temp/".$filename_list[$j-1]))
                        {
                            copy("img/uploads/issue_attachment/temp/".$h_attachment_file_name,"img/uploads/issue_attachment/".$h_attachment_file_name);
                            unlink("img/uploads/issue_attachment/temp/".$h_attachment_file_name);
                        }
                        
                        
                        $insArr = array();
							
                        $insArr['issue_id'] 		= $selected_id;
                        $insArr['attachment_title'] 	= $attachment_title;
                        $insArr['file_name'] 		= $h_attachment_file_name;
                        $insArr['file_format'] 		= $h_attachment_file_format;

                        $insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
                        $insArr['creation_date']	= $curTime;
                        $insArr['created_timezone']	= $currTz;
                        $insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
                        $insArr['last_update_date']	= $curTime;
                        $insArr['updated_timezone']	= $currTz;
                        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 

                        insertdata("cxs_issue_attachments",$insArr);                       
                        //echo " here : insert ".$attachment_count;
                    }
                    $new_attachments[] = $h_attachment_file_name;
                }
            }
            
            /*Save Attachment*/
            
             /*Delete Old Attachment Data*/
            $combine_attachments 	= array_unique(array_merge($old_attachments,$passed_attachments));
            $remove_attachments 	= array_diff($combine_attachments,$passed_attachments);

            if(count($remove_attachments)>0){
                    foreach($remove_attachments as $remove_attachment){
                            if(getTotalRecord("cxs_issue_attachments","id"," WHERE issue_id='".$selected_id."' AND file_name='".$remove_attachment."'")>0){
                                    if(file_exists("img/uploads/issue_attachment/".$remove_attachment)){
                                            unlink("img/uploads/issue_attachment/".$remove_attachment);
                                    }
                                    deletedata("cxs_issue_attachments"," WHERE issue_id='".$selected_id."' AND file_name='".$remove_attachment."'");
                            }
                    }
            }
            /*Delete Old Attachment Data*/
            
        }
        
       /*** send email *****/
         $qry1 = "SELECT user_email as AssignedTo_Email,full_name as AssignedTo_UserName,
                    (select user_email  FROM `cxs_user` WHERE user_id='".$email_issue_originator_id."') as issue_originator_email,
                    (select full_name  FROM `cxs_user` WHERE user_id='".$email_issue_originator_id."') as issue_originator_name,

                    (select user_email  FROM `cxs_user` WHERE user_id='".$_SESSION['login_user_array']['user_id']."') as created_user_email,
                    (select full_name  FROM `cxs_user` WHERE user_id='".$_SESSION['login_user_array']['user_id']."') as created_user_name

                    FROM `cxs_user` WHERE user_id='".$email_issue_originator_id."'";
            $result1= mysqli_query($conn,$qry1);
            
            if(mysqli_num_rows($result1) > 0)
            {
                $row1 	= mysqli_fetch_assoc($result1);
                
                /*$row1['issue_originator_email'] = "applisoft4u+test1@gmail.com";
                $row1['AssignedTo_Email'] = "applisoft4u+test2@gmail.com";
                */
                $subject= $issue_number." : Created by ".$row1['created_user_name']." on ".date('m/d/Y', strtotime($curTime));
                $mail_body = file_get_contents(getSiteUrl().'/mailbody/issue_tracking.php?issue_id='.$selected_id, false, CONTEXT);
                sendEmail($row1['issue_originator_email'], $row1['issue_originator_name'], $subject, $mail_body);
                
                sendEmail($row1['AssignedTo_Email'], $row1['AssignedTo_UserName'], $subject, $mail_body);
            }
            
            
          /*  echo " ".$unique_arr['AssignedTo_Email'];
            echo " ".$unique_arr['issue_originator_email'];
            
            echo " ".$to_email;
            echo " ".$to_email_name;
            echo " ".$cc;
            echo " ".$bcc;
            /*** email *****/
        
        $succ=1;
        
        $issue_header_data = array();
       // $issue_header_data = get_issue_all_data($_POST['project_id'],$selected_id);
        
        //print_r($issue_header_data);
        echo json_encode(array("succ" => $succ,"issue_header_data"=>$issue_header_data));
        exit;
    }  
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_issue_all_data')
    {
        $issue_id = isset($_POST['issue_id'])?trim($_POST['issue_id']):'';
        $project_id = isset($_POST['project_id'])?trim($_POST['project_id']):'';
        $issue_header_data = array();        
        $issue_header_data = get_issue_all_data($project_id,$issue_id);
        $succ = 1;
       
        echo json_encode(array("succ" => $succ,"issue_all_data"=>$issue_header_data));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_issue_short_description')
    {
        $short_description = isset($_POST['short_description'])?trim($_POST['short_description']):'';         
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $insArr = array();
        
        $insArr['issue_id'] = $selected_id; 
        $insArr['task_id'] = isset($_POST['task_id'])?trim($_POST['task_id']):'';    
        $insArr['short_description'] = isset($_POST['short_description'])?trim($_POST['short_description']):'';    
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        
        if($selected_id!="")
        {
            updatedata("cxs_issue_header",$insArr,"where issue_id = '".$selected_id."'");           
            $succ=1;
        }
        echo json_encode(array("succ" => $succ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_close_and_resolve')
    {
               
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
        $resolved_date = isset($_POST['resolved_date'])?trim($_POST['resolved_date']):'';
        
        if($resolved_date!='')
        {
            $resolved_date = date('m/d/Y', strtotime($resolved_date));
            $resolved_date = date('Y-m-d', strtotime($resolved_date));
        }
        else 
        {
            $resolved_date = 'Null';
        }
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $insArr = array();
        
        $insArr['issue_id'] = $selected_id; 
        $insArr['resolved_by_id'] = isset($_POST['resolved_by'])?trim($_POST['resolved_by']):0;    
        $insArr['resolved_date'] = $resolved_date;    
        $insArr['resolved_issue_how'] = isset($_POST['resolved_issue_how'])?trim($_POST['resolved_issue_how']):'';    
        $insArr['resolved_reason'] = isset($_POST['resolution_notes'])?trim($_POST['resolution_notes']):'';    
        
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        
        if($selected_id!="")
        {
            updatedata("cxs_issue_header",$insArr,"where issue_id = '".$selected_id."'");           
            $succ=1;
        }
        echo json_encode(array("succ" => $succ));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_issue_detail_data')
    {
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $insArr = array();
        
        $insArr['issue_id'] = $selected_id; 
        $insArr['long_descr'] = isset($_POST['issue_detail'])?trim($_POST['issue_detail']):'';    
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        
        if($selected_id!="")
        {
            $qry = "select * from cxs_issue_detail where issue_id = '".$selected_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                updatedata("cxs_issue_detail",$insArr,"where issue_id = '".$selected_id."'");
            }
            else
            {
                $insArr['creation_date']=$curTime;
                $insArr['created_timezone']=$currTz;
                $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';             
                insertdata("cxs_issue_detail",$insArr);
            }  
            $succ=1;
        }
        echo json_encode(array("succ" => $succ));
        exit;
    }  
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_issue_internal_notes')
    {
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $insArr = array();
        
        $insArr['issue_id'] = $selected_id; 
        $insArr['internal_notes'] = isset($_POST['internal_notes'])?trim($_POST['internal_notes']):'';    
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        
        if($selected_id!="")
        {
            $qry = "select * from cxs_issue_internal where issue_id = '".$selected_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                updatedata("cxs_issue_internal",$insArr,"where issue_id = '".$selected_id."'");
            }
            else
            {
                $insArr['creation_date']=$curTime;
                $insArr['created_timezone']=$currTz;
                $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';             
                insertdata("cxs_issue_internal",$insArr);
            }  
            $succ=1;
        }
        echo json_encode(array("succ" => $succ));
        exit;
    }
    
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_issue_attachment')
    {
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        $filename_listArr = isset($_POST["filename_list"])?$_POST["filename_list"]:'';
        $filetype_listArr = isset($_POST["filentype_list"])?$_POST["filentype_list"]:'';
        
        foreach($filename_listArr as $key => $value)
        {
            copy("img/uploads/issue_attachment/temp/".$value,"img/uploads/issue_attachment/".$value);
            unlink("img/uploads/issue_attachment/temp/".$value);
            
            $insArr = array();
        
            $insArr['issue_id'] = $selected_id; 
            $insArr['file_name'] = $value;
            $insArr['file_format'] = $filetype_listArr[$key];
            $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
            $insArr['last_update_date']=$curTime;
            $insArr['updated_timezone']=$currTz;
            $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 

            $insArr['creation_date']=$curTime;
            $insArr['created_timezone']=$currTz;
            $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
            insertdata("cxs_issue_attachments",$insArr);
            $succ=1;
        }
        
        echo json_encode(array("succ" => $succ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_upload_data')
    {
        $issue_id = isset($_POST['issue_id'])?trim($_POST['issue_id']):'';
        $attachment_id = isset($_POST['attachment_id'])?trim($_POST['attachment_id']):'';
        
        $qry = "delete from cxs_issue_attachments where issue_id = '".$issue_id."' and id = '".$attachment_id."'";
        $result = mysqli_query($conn,$qry);
        $succ=1;
        echo json_encode(array("succ" => $succ));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_issue_tracking_update_data')
    {
        $update_text= isset($_POST['update_text'])?trim($_POST['update_text']):'';
        $issue_id = isset($_POST['issue_id'])?trim($_POST['issue_id']):'';
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        
        $insArr = array();
        $history_data = array();
        $insArr['issue_id'] = $issue_id;
        $insArr['update_text'] = $update_text;       
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        $insArr['creation_date']=$curTime;
        $insArr['created_timezone']=$currTz;
        $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        insertdata("cxs_issue_update",$insArr);
        
        /*** send email *****/            
                        
            $qry1 = "SELECT issue_number,assigned_user_id,
                    (select user_email  FROM `cxs_user` WHERE user_id= cxs_issue_header.assigned_user_id ) as AssignedTo_Email,
                    (select full_name  FROM `cxs_user` WHERE user_id= cxs_issue_header.assigned_user_id ) as AssignedTo_UserName,
                    (select user_email  FROM `cxs_user` WHERE user_id= cxs_issue_header.originator_id ) as issue_originator_email,
                    (select full_name  FROM `cxs_user` WHERE user_id= cxs_issue_header.originator_id ) as issue_originator_name
                    FROM cxs_issue_update
                    INNER JOIN cxs_issue_header ON cxs_issue_header.issue_id = cxs_issue_update.issue_id
                    WHERE cxs_issue_update.company_id = '".$_SESSION['login_user_array']['company_id']."' AND cxs_issue_update.issue_id = '".$issue_id."' AND cxs_issue_update.update_id = '".$last_inserted_id."'";
            $result1= mysqli_query($conn,$qry1);
            
            if(mysqli_num_rows($result1) > 0)
            {
                $row1 	= mysqli_fetch_assoc($result1);
                
                /*$row1['issue_originator_email'] = "applisoft4u+test1@gmail.com";
                $row1['AssignedTo_Email'] = "applisoft4u+test2@gmail.com";
                */
                $subject= $row1['issue_number']." : Updated by ".$_SESSION['login_user_array']['user_email']." on ".date('m/d/Y', strtotime($curTime));
                $mail_body = file_get_contents(getSiteUrl().'/mailbody/issue_tracking.php?issue_id='.$issue_id, false, CONTEXT);
                sendEmail($row1['issue_originator_email'], $row1['issue_originator_name'], $subject, $mail_body);
                
                sendEmail($row1['AssignedTo_Email'], $row1['AssignedTo_UserName'], $subject, $mail_body);
            }          
          
            /*** email *****/
            
        $history_data = issue_tracking_update_history_data($issue_id);
        $succ=1;
        echo json_encode(array("succ" => $succ,"history_data"=>$history_data));
        exit;
         
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_issue_tracking_update_data')
    {
        $history_data = array();
        $succ=1;        
        $issue_id = isset($_POST['issue_id'])?trim($_POST['issue_id']):''; 
        $history_data = issue_tracking_update_history_data($issue_id);
        
        echo json_encode(array("succ" => $succ,"history_data"=>$history_data));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_project_details')
    {
        $result_data = array();
        $succ=0;        
        $project_id = isset($_POST['project_id'])?trim($_POST['project_id']):''; 
        
        $qry = "select cxs_projects_tasks.task_id,cxs_projects_tasks.task_name, cxs_projects.* from cxs_projects 
                LEFT JOIN cxs_projects_tasks ON cxs_projects_tasks.project_id = cxs_projects.project_id where cxs_projects.project_id = '".$project_id."' AND cxs_projects_tasks.task_id NOT IN (SELECT parent_task_id FROM cxs_projects_tasks)";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            
            while($row = mysqli_fetch_assoc($result))
            {
                if(!is_null($row['schedule_start_date']) && $row['schedule_start_date']!='0000-00-00')
                {
                    $row['schedule_start_date'] = date('m/d/Y', strtotime($row['schedule_start_date']));
                }
                else
                {
                    $row['schedule_start_date'] = "";
                }


                if(!is_null($row['schedule_end_date']) && $row['schedule_end_date']!='0000-00-00')
                {
                    $row['schedule_end_date'] = date('m/d/Y', strtotime($row['schedule_end_date']));
                }
                else
                {
                    $row['schedule_end_date'] = "";
                }
                $result_data[] = $row;
            }
            
            $succ=1;  
            
        }
        
        echo json_encode(array("succ" => $succ,"result_data"=>$result_data));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_issue_log')
    {
	$where = "";
	$where .=" 1=1";
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_invoice_payments_report">
			<thead>
				<tr class="table-info">
                    <th style="width:10%;"> Project</th>
                    <th style="width:10%;"> Task</th>
                    <th style="width:10%;"> Issue Owner</th>
                    <th style="width:10%;"> Requestor</th>
                    <th style="width:10%;"> Issue</th>
                    <th style="width:10%;"> Date Opened</th>
                    <th style="width:10%;"> Issue Description</th>
                    <th style="width:10%;"> Issue Status</th>
                    <th style="width:10%;"> Issue Saver</th>
                    <th style="width:10%;"> Days Overdue</th>                                         
				</tr>
			</thead>
			<tfoot>
				<tr>
                    <th class="searc">Project</th>
                    <th class="searc">Task</th>
                    <th class="searc">Issue Owner</th>
                    <th class="searc">Requestor</th>
                    <th class="searc">Issue</th>
                    <th class="searc">Date Opened</th>
                    <th class="searc">Issue Description</th>
                    <th class="searc">Issue Status</th>
                    <th class="searc">Issue Saver</th>
                    <th class="searc">Days Overdue</th>
				</tr>
			</tfoot>
			<tbody>
				<?php
				 $selectQuery 	= "
					SELECT cxs_projects.project_name FROM cxs_issue_header INNER JOIN cxs_projects ON cxs_projects.project_id = cxs_issue_header.project_id
					WHERE cxs_issue_header.company_id='".$_SESSION['login_user_array']['company_id']."' AND ip.created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where
					ORDER BY cxs_issue_header
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$total_paid_amount = 0;
				if($StdNumRows>0){
					$count=0;
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$count++;
						$project_name	= $rows["project_name"];
						
					?>
					<tr>
						<td><?php echo $project_name; ?></td>
						<td><?php //echo $text_invoice_number; ?></td>
						<td><?php //echo $text_client_name; ?></td>
						<td align="right">$<?php //echo setNumberFormat($text_invoice_amount); ?></td>
						<td><?php //echo $text_payment_date; ?></td>
						<td>
							
						</td>
						<td align="right"></td>
					</tr>
					<?php
					}
				}
				?>
			</tbody>
		</table>
	</div>
	<?php
}
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_project_list')
{
        $succ=1;
    $list1 = array();
    $qry = "select * from cxs_projects where company_id = '".$_SESSION['login_user_array']['company_id']."' order by project_name ";
    $result = mysqli_query($conn,$qry);
    if(mysqli_num_rows($result)>0)
    {
        while($row = mysqli_fetch_assoc($result))
        {
            $list1[]= $row;
        }
    }
    echo json_encode(array("project_list" => $list1,"succ" => $succ));
    exit;
}
else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_working_hours')
{
    $ipaddress = GetIPAddress1();
    $convert_ip = ip2long($ipaddress);
    
    $field_value = isset($_POST['combo_attendance_type'])?$_POST['combo_attendance_type']:''; 
    $text_fromtime = isset($_POST['text_fromtime'])?$_POST['text_fromtime']:''; 
    $text_totime = isset($_POST['text_totime'])?$_POST['text_totime']:''; 
    $calendar_date = isset($_POST['calendar_date'])?$_POST['calendar_date']:''; 
    $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";
    $user_id = isset($_POST['user_id'])?$_POST['user_id']:'';
    
    $device_nickname = "";  
    $calendar_date1 = date('m/d/Y', strtotime($calendar_date));
    $calendar_date2 = date('Y-m-d', strtotime($calendar_date1));
    
    
    $msg = "";
    if($user_id=="")
    {
        $selected_user_id = isset($_SESSION['login_user_array']['user_id'])?$_SESSION['login_user_array']['user_id']:0; 
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        $Timezone_curTime = $curTime;
    }
    else
    {
        $selected_user_id = $user_id;            
        $curTime = date('Y-m-d H:i:s', strtotime($selected_datetime));

        $date = new DateTime("now", new DateTimeZone($currTz) );
        $Timezone_curTime = $date->format('Y-m-d H:i:s');
    }

    $succ = 1;
    
    if($succ==1)
    {

        $insArr = array();
        $ipaddress = GetIPAddress();
        $convert_ip = ip2long($ipaddress);


        $insArr['user_id'] = $selected_user_id;     
        $insArr['time_type']=$field_value;
        $insArr['ip_addr_in']=$convert_ip;        
        $insArr['time_in_stamp']=$calendar_date2.$text_fromtime;
        $insArr['time_out_stamp']=$calendar_date2.$text_totime;
        $insArr['ip_addr_out']=$convert_ip;
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 

        $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 

        $insArr['last_update_date']= $Timezone_curTime;
        $insArr['updated_timezone']=$currTz;           
        $insArr['created_timezone']=$currTz;
       
        $insArr['calendar_date'] = $calendar_date2;
        
        $insArr['device_nickname_in']=$device_nickname;
        $insArr['time_in_stamp'] = $curTime;   
        

        $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        $insArr['creation_date'] = $Timezone_curTime;

        insertdata("cxs_atnd_clockinout",$insArr);
        
       
    }
    echo json_encode(array("succ" => $succ,"msg"=>$msg));
    exit;
}
?>
