<?php
    include("conn.php");
    require_once("functions.php");
    if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
		login_from_cookie();
	}
    if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_issue_log')
    {
        
        $array_project_ids = array();        
	    $where = "";
       
        if(isset($_POST['project_ids']) && $_POST['project_ids']!="")
        {
            $array_project_ids = explode(",",$_POST['project_ids']);
            $project_ids_query = "";
            foreach ($array_project_ids as $key => $value) 
            {
                $project_ids_query.= " cxs_issue_header.project_id = '".$value."' or ";
            }
            if ($project_ids_query!= '')
            {
                $project_ids_query = "(".substr($project_ids_query, 0, -3).")";                
                $where .= $project_ids_query." AND ";
            }
        }        
        if(isset($_POST['search_from']) && $_POST['search_from']!="")
        {
            $search_from  = date('Y-m-d', strtotime($_POST['search_from']));            
            $where .= " DATE(cxs_issue_header.creation_date) >= '".$search_from."' AND ";         
	    }
	    if(isset($_POST['search_to']) && $_POST['search_to']!="")
        {
            $search_to  = date('Y-m-d', strtotime($_POST['search_to']));
            $where .= " DATE(cxs_issue_header.creation_date) <= '".$search_to."' AND ";                    
	    }
        
        if(isset($_POST['issue_owner_ids']) && $_POST['issue_owner_ids']!="")
        {
             $array_ids = explode(",",$_POST['issue_owner_ids']);
            $ids_query = "";
            foreach ($array_ids as $key => $value) 
            {
                $ids_query.= " cxs_issue_header.assigned_user_id = '".$value."' or ";
            }
            if ($ids_query!= '')
            {
                $ids_query = "(".substr($ids_query, 0, -3).")";                
                $where .= $ids_query." AND ";
            }
        }
        
        if(isset($_POST['search_issue_requestor_id']) && $_POST['search_issue_requestor_id']!=""){
            $search_requestor_id	= $_POST['search_issue_requestor_id'];
            $where .= " cxs_issue_header.originator_id = '".$search_requestor_id."' AND ";
	    }
        if(isset($_POST['text_search_issue_description']) && $_POST['text_search_issue_description']!="")
        {
            $where .= " cxs_issue_header.short_description LIKE '%".$_POST['text_search_issue_description']."%' AND ";
	    }
        
	$where .=" cxs_issue_header.project_id>0";
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_project_issue_log_report">
			<thead>
				<tr class="table-info">
                    <th style="width:10%;"> Project</th>
                    <th style="width:10%;"> Task</th>
                    <th style="width:10%;"> Issue Owner</th>
                    <th style="width:10%;"> Requestor</th>
                    <th style="width:10%;"> Issue#</th>
                    <th style="width:10%;"> Date Opened</th>
                    <th style="width:10%;"> Issue Description</th>
                    <th style="width:10%;"> Issue Status</th>
                    <th style="width:10%;"> Issue Severity</th>
                    <th style="width:10%;"> Days Overdue</th>                                         
				</tr>
			</thead>
			<tfoot>
				<tr>
                    <th class="searc">Project</th>
                    <th class="searc">Task</th>
                    <th class="searc">Issue Owner</th>
                    <th class="searc">Requestor</th>
                    <th class="searc">Issue</th>
                    <th class="searc">Date Opened</th>
                    <th class="searc">Issue Description</th>
                    <th class="searc">Issue Status</th>
                    <th class="searc">Issue Severity</th>
                    <th class="searc">Days Overdue</th>
				</tr>
			</tfoot>
			<tbody>
				<?php
				$selectQuery 	= "
					SELECT cxs_projects.project_name,cxs_projects_tasks.task_name,(SELECT cxs_user.full_name FROM cxs_user WHERE cxs_user.user_id = cxs_issue_header.assigned_user_id) AS IssueOwner,
                                        (SELECT cxs_user.full_name FROM cxs_user WHERE cxs_user.user_id = cxs_issue_header.originator_id) AS Requestor,cxs_issue_header.issue_number,cxs_issue_header.actual_start_date,
                                        cxs_issue_header.short_description,cxs_issue_header.issue_status,cxs_issue_header.creation_date,cxs_issue_header.schedule_end_date,cxs_issue_header.originator_id, 
                                        cxs_issue_header.issue_urgency FROM cxs_issue_header 
                                        left JOIN cxs_projects ON cxs_projects.project_id = cxs_issue_header.project_id left JOIN cxs_projects_tasks ON cxs_projects_tasks.task_id = cxs_issue_header.task_id
					WHERE cxs_issue_header.company_id='".$_SESSION['login_user_array']['company_id']."' AND cxs_issue_header.created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where
                                        ORDER BY cxs_projects.project_name
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$total_paid_amount = 0;
				if($StdNumRows>0){
					$count=0;
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$count++;
						$project_name	= $rows["project_name"];
                        $task_name	= $rows["task_name"];
                        $issue_owner	= $rows["IssueOwner"];
                        $issue_requestor	= $rows["Requestor"];
                        $issue_number	= $rows["issue_number"];                                                
                        $creation_date	= setDate($rows['creation_date'],"m/d/Y");
                        if(!is_null($rows['schedule_end_date']))
                        {
                            $schedule_end_date = setDate($rows['schedule_end_date'],"m/d/Y");
                        }
                        else
                        {
                            $schedule_end_date	= "";
                        }
                        $TotalDays = 0;
                        if($schedule_end_date!='')
                        {
                            $date1 = date('Y-m-d', strtotime($creation_date));
                            $date2 = date('Y-m-d', strtotime($schedule_end_date));
                            
                            if ($date1 > $date2)
                            {
                                $TotalDays = dateDiffInDays($date1,$date2);
                            }
                        }
                        
                        $short_description = $rows['short_description'];
                        $issue_status = $rows['issue_status'];
                        $issue_urgency = $rows['issue_urgency'];
                                                
					?>
					<tr>
						<td><?php echo $project_name; ?></td>
						<td><?php echo $task_name; ?></td>
						<td><?php echo $issue_owner; ?></td>
						<td><?php echo $issue_requestor; ?></td>
						<td><?php echo $issue_number; ?></td>
						<td><?php echo $creation_date; ?></td>
						<td><?php echo $short_description;?></td>
						<td><?php echo $issue_status;?></td>                                                
						<td><span class="td-cell-space"><?php echo $issue_urgency; ?></span></td>
						<td align="right"><?php echo ($TotalDays>0)?$TotalDays:''; ?></td>
					</tr>
					<?php
					}
				}
				?>
			</tbody>
		</table>
	</div>
	<?php
}
else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_issue_log_register')
    {
        
        $array_project_ids = array();        
	$where = "";
        /*
        if(isset($_POST['search_issue_owner_id']) && $_POST['search_issue_owner_id']!=""){
		$originator_id	= $_POST['search_issue_owner_id'];
		$where .= " cxs_issue_header.originator_id = '".$originator_id."' AND ";
	}
        if(isset($_POST['search_issue_requestor_id']) && $_POST['search_issue_requestor_id']!=""){
		$search_requestor_id	= $_POST['search_issue_requestor_id'];
		$where .= " cxs_issue_header.originator_id = '".$originator_id."' AND ";
	}
       */
        if(isset($_POST['search_from']) && $_POST['search_from']!="")
        {
            $search_from  = date('Y-m-d', strtotime($_POST['search_from']));            
            $where .= " DATE(cxs_issue_header.creation_date) >= '".$search_from."' AND ";         
	}
	if(isset($_POST['search_to']) && $_POST['search_to']!="")
        {
            $search_to  = date('Y-m-d', strtotime($_POST['search_to']));
            $where .= " DATE(cxs_issue_header.creation_date) <= '".$search_to."' AND ";                    
	}
        
      /*  
       * if(isset($_POST['search_issue_owner_id']) && $_POST['search_issue_owner_id']!=""){
		$originator_id	= $_POST['search_issue_owner_id'];
		$where .= " cxs_issue_header.originator_id = '".$originator_id."' AND ";
	}
        */
        if(isset($_POST['issue_owner_ids']) && $_POST['issue_owner_ids']!="")
        {
             $array_ids = explode(",",$_POST['issue_owner_ids']);
            $ids_query = "";
            foreach ($array_ids as $key => $value) 
            {
                $ids_query.= " cxs_issue_header.assigned_user_id = '".$value."' or ";
            }
            if ($ids_query!= '')
            {
                $ids_query = "(".substr($ids_query, 0, -3).")";                
                $where .= $ids_query." AND ";
            }
        }
        
        if(isset($_POST['search_issue_requestor_id']) && $_POST['search_issue_requestor_id']!=""){
		$search_requestor_id	= $_POST['search_issue_requestor_id'];
		$where .= " cxs_issue_header.originator_id = '".$search_requestor_id."' AND ";
	}
        if(isset($_POST['text_search_issue_description']) && $_POST['text_search_issue_description']!="")
        {
            $where .= " cxs_issue_header.short_description LIKE '%".$_POST['text_search_issue_description']."%' AND ";
	}
        
	$where .=" 1=1";
	?>
	<div class="table-responsive">
		<table class="table table-bordered" id="table_issue_log_register">
			<thead>
				<tr class="table-info">                                    
					<th style="width:10%;"> Issue Owner</th>
					<th style="width:10%;"> Requestor</th>
					<th style="width:10%;"> Issue#</th>
					<th style="width:10%;"> Date Opened</th>
					<th style="width:30%;"> Issue Description</th>                                                                                                        
					<th style="width:10%;"> Issue Status</th>
					<th style="width:10%;"> Issue Severity</th>
					<th style="width:10%;"> Days Overdue</th>                                         
				</tr>
			</thead>
			<tfoot>
				<tr>                                    
					<th class="searc">Issue Owner</th>
					<th class="searc">Requestor</th>
					<th class="searc">Issue</th>
					<th class="searc">Date Opened</th>
					<th class="searc">Issue Description</th>
					<th class="searc">Issue Status</th>
					<th class="searc">Issue Severity</th>
					<th class="searc">Days Overdue</th>
				</tr>
			</tfoot>
			<tbody>
				<?php
				  $selectQuery 	= "
					SELECT cxs_issue_header.created_by AS IssueOwner,cxs_issue_header.issue_number,cxs_issue_header.actual_start_date,
                                        cxs_issue_header.short_description,cxs_issue_header.issue_status,cxs_issue_header.creation_date,cxs_issue_header.schedule_end_date,cxs_issue_header.originator_id, 
                                        cxs_issue_header.issue_urgency,(SELECT cxs_user.full_name FROM cxs_user WHERE cxs_user.user_id = cxs_issue_header.assigned_user_id) AS IssueOwner,
                                        (SELECT cxs_user.full_name FROM cxs_user WHERE cxs_user.user_id = cxs_issue_header.originator_id) AS Requestor FROM cxs_issue_header                                         
					WHERE cxs_issue_header.company_id='".$_SESSION['login_user_array']['company_id']."' AND cxs_issue_header.created_by='".$_SESSION['login_user_array']["user_email"]."' AND $where
                                        ORDER BY cxs_issue_header.created_by ";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$total_paid_amount = 0;
				if($StdNumRows>0){
					$count=0;
					while($rows=mysqli_fetch_assoc($RunUserQuery))
                    {
                        $issue_owner	= $rows["IssueOwner"];
                        $issue_requestor	= $rows["Requestor"];
                        $issue_number	= $rows["issue_number"];                                                
                        $creation_date	= setDate($rows['creation_date'],"m/d/Y");
                        if(!is_null($rows['schedule_end_date']))
                        {
                            $schedule_end_date = setDate($rows['schedule_end_date'],"m/d/Y");
                        }
                        else
                        {
                            $schedule_end_date	= "";
                        }
                        $TotalDays = 0;
                        if($schedule_end_date!='')
                        {
                            $date1 = date('Y-m-d', strtotime($creation_date));
                            $date2 = date('Y-m-d', strtotime($schedule_end_date));
                            
                            if ($date1 > $date2)
                            {
                                $TotalDays = dateDiffInDays($date1,$date2);
                            }
                        }
                        
                        $short_description = $rows['short_description'];
                        $issue_status = $rows['issue_status'];
                        $issue_urgency = $rows['issue_urgency'];                  
                                                
					?>
					<tr>
						<td><?php echo $issue_owner; ?></td>
						<td><?php echo $issue_requestor; ?></td>
						<td><?php echo $issue_number; ?></td>
						<td><?php echo $creation_date; ?></td>
						<td><?php echo $short_description;?></td>
						<td><?php echo $issue_status;?></td>                                                
						<td><span class="td-cell-space"><?php echo $issue_urgency; ?></span></td>
						<td><?php echo ($TotalDays!=0)?$TotalDays:''; ?></td>
					</tr>
					<?php
					}
				}
				?>
			</tbody>
		</table>
	</div>
	<?php
}    
else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_issue_log_feeds')
{
    //$is_page_load = $_POST['is_page_load1'];
    $array_project_ids = array();        
    $where = "";
    $table_name = "";
    $page_name = "";
    if(isset($_POST['table_name']) && $_POST['table_name']!="")
    {
        $table_name = $_POST['table_name'];
    }  
    if(isset($_POST['page_name']) && $_POST['page_name']!="")
    {
        $page_name = $_POST['page_name'];
    }  
    ?>
    <div class="table-responsive" style="overflow:hidden;width:1700px;">
            <table class="table table-bordered" id="<?php echo $table_name;?>">
                    <thead>
                        <tr class="table-info">                                
                            <th width="4%"> Issue Number</th>
                            <th width="4%"> Created Date</th>
                            <th width="4%"> Priority</th>
                            <th width="4%"> Status</th>
                            <th width="5%"> Urgency</th>
                            <th width="5%"> Task Type</th>
                            <th width="4%">Project Number</th>
                            <th width="10%">Project Name</th>
                            <th width="5%">Task Number</th>
                            <th width="8%">Task Name</th>
                            <th width="5%"> Assigned To</th>
                            <th width="8%"> Short Description</th>                
                            <th width="5%"> Schedule Start Date</th>
                            <th width="5%"> Schedule End Date</th>
                            <th width="5%"> Actual Start Date</th>
                            <th width="5%"> Actual End Date</th>
                            <th width="5%"> Closed By</th>
                            <th width="5%">Action</th>
                        </tr>
                    </thead>
                    <tfoot>
                            <tr>
                                <th class="searc"> Iss. No.</th>
                                <th class="searc"> Created Date</th>
                                <th class="searc"> Priority</th>
                                <th class="searc"> Status</th>
                                <th class="searc"> Urgency</th>
                                <th class="searc"> Task Type</th>
                                <th  class="searc">Pro. No.</th>
                                <th class="searc">Project Name</th>
                                <th class="searc">Task No.</th>
                                <th class="searc">Task Name</th>
                                <th class="searc"> Assigned To</th>
                                <th class="searc"> Short Description</th>
                                <th class="searc"> Schedule Start Date</th>
                                <th class="searc"> Schedule End Date</th>
                                <th class="searc"> Actual Start Date</th>
                                <th class="searc"> Actual End Date</th>
                                <th class="searc"> Closed By</th>
                                <th></th>
                            </tr>
                    </tfoot>
                    <tbody>
                    <?php
                    //if($is_page_load=="true")
                    {   
                        if($page_name=="issue_log")
                        {
                            $where = " WHERE 1=1 AND cxs_issue_header.created_by = '".$_SESSION['login_user_array']['user_email']."' AND ";
                        }
                        else 
                        {
                            if($_SESSION['login_user_array']['user_role']=="User"){
                                $where = " WHERE 1=1 AND (cxs_issue_header.assigned_user_id = ".$_SESSION['login_user_array']['user_id']." ) AND ";
                            }else{
                                $where = " WHERE 1=1 AND (cxs_issue_header.assigned_user_id = ".$_SESSION['login_user_array']['user_id']." OR cxs_issue_header.created_by = '".$_SESSION['login_user_array']['user_email']."') AND ";
                            }
                        }
                        
                       
                        if(isset($_POST['search_from']) && $_POST['search_from']!="")
                        {
                            $search_from  = date('Y-m-d', strtotime($_POST['search_from']));            
                            $where .= "  DATE(cxs_issue_header.creation_date) >= '".$search_from."' AND ";         
                        }                        
                        if(isset($_POST['search_to']) && $_POST['search_to']!="")
                        {
                            $search_to  = date('Y-m-d', strtotime($_POST['search_to']));
                            $where .= " DATE(cxs_issue_header.creation_date) <= '".$search_to."' AND ";                    
                        }                       
                        if(isset($_POST['check_issue_owner_id1']) && count($_POST['check_issue_owner_id1'])>0)
                        {
                            $check_issue_owner_id = implode(",",$_POST['check_issue_owner_id1']);
                            $where .= " cxs_issue_header.assigned_user_id IN ($check_issue_owner_id) AND ";
                        }

                        if(isset($_POST['check_issue_requestor_id1']) && count($_POST['check_issue_requestor_id1'])>0)
                        {
                            $check_issue_owner_id = implode(",",$_POST['check_issue_requestor_id1']);
                            $where .= " cxs_issue_header.originator_id IN ($check_issue_owner_id) AND ";
                        }
                        
                        if(isset($_POST['check_status1']) && count($_POST['check_status1'])>0)
                        {
                            $check_status = implode("','",$_POST['check_status1']);
                            $check_status = "'".$check_status."'";
                            $where .= " cxs_issue_header.issue_status IN ($check_status) AND ";
                        }else{
                            $where .= " cxs_issue_header.issue_status != 'Closed' AND ";
                        }
                        
                        if(isset($_POST['check_priority1']) && count($_POST['check_priority1'])>0)
                        {
                            $check_priority = implode("','",$_POST['check_priority1']);
                            $check_priority = "'".$check_priority."'";
                            $where .= " cxs_issue_header.issue_priority IN ($check_priority) AND ";
                        }
                       
                        if(isset($_POST['project_id']) && $_POST['project_id']!="")
                        {
                            $project_id = $_POST['project_id'];                            
                            if($project_id==-1)
                            {
                                $where .= "  cxs_issue_header.project_id  > 0 AND ";
                            } 
                            else if($project_id==0)
                            {
                                $where .= "  cxs_issue_header.project_id  = 0 AND ";
                            } 
                            else if($project_id>0) 
                            {
                                $where .= " cxs_issue_header.project_id = '".$project_id."' AND ";
                            }
                        }
                        
                       $where = trim($where," AND");
                        $selectQuery = "select cxs_issue_header.*, (select cxs_user.full_name from cxs_user where cxs_user.user_id = cxs_issue_header.resolved_by_id) as resolved_by,(select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.created_by) as created_by_name,
                                    (select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.last_udpated_by) as updated_by_name,
                                    (SELECT cxs_user.full_name FROM cxs_user WHERE cxs_user.user_id = cxs_issue_header.assigned_user_id) AS assigned_name,                                    
                                    (SELECT cxs_projects.project_number FROM cxs_projects WHERE cxs_issue_header.project_id = cxs_projects.project_id) AS project_number,
                                    (SELECT cxs_projects.project_name FROM cxs_projects WHERE cxs_issue_header.project_id = cxs_projects.project_id) AS project_name,
                                    (SELECT task_number FROM cxs_projects_tasks WHERE cxs_issue_header.task_id = cxs_projects_tasks.task_id) AS task_number,
                                    (SELECT task_name FROM cxs_projects_tasks WHERE cxs_issue_header.task_id = cxs_projects_tasks.task_id) AS task_name "
                                    . " from cxs_issue_header $where and cxs_issue_header.company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY cxs_issue_header.issue_number desc";
                            $RunUserQuery	= mysqli_query($conn, $selectQuery);
                            $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                            $total_paid_amount = 0;
                            if($StdNumRows>0){
                                    $count=0;
                                    while($rows=mysqli_fetch_assoc($RunUserQuery))
                                    {
                                        $creation_date	= setDate($rows['creation_date'],"m/d/Y");
                                        $schedule_start_date = "";
                                        $schedule_end_date	= "";                                            
                                        $actual_start_date = "";
                                        $actual_end_date	= "";

                                        if(!is_null($rows['schedule_start_date']))
                                        {
                                            $schedule_start_date = setDate($rows['schedule_start_date'],"m/d/Y");
                                        }
                                        if(!is_null($rows['schedule_end_date']))
                                        {
                                            $schedule_end_date = setDate($rows['schedule_end_date'],"m/d/Y");
                                        }

                                        if(!is_null($rows['actual_start_date']))
                                        {
                                            $actual_start_date = setDate($rows['actual_start_date'],"m/d/Y");
                                        }
                                        if(!is_null($rows['actual_end_date']))
                                        {
                                            $actual_end_date = setDate($rows['actual_end_date'],"m/d/Y");
                                        }
                                        $data_content_eye_icon = show_eye_icon_data_format($rows); 
                                        
                                    ?>
                                    <tr>
                                        <td class="edit-record cr-point" style="color: #007bff"><?php echo $rows['issue_number']; ?></td>
                                        <td><?php echo $creation_date; ?></td>
                                        <td><?php echo $rows['issue_priority']; ?></td>
                                        <td><?php echo $rows['issue_status']; ?></td>
                                        <td><?php echo $rows['issue_urgency']; ?></td>
                                        <td><?php echo $rows['task_type']; ?></td>
                                        <td><?php echo $rows['project_number']; ?></td>
                                        <td><?php echo $rows['project_name']; ?></td>
                                        <td><?php echo $rows['task_number']; ?></td>
                                        <td><?php echo $rows['task_name']; ?></td>
                                        <td><?php echo $rows['assigned_name']; ?></td>
                                        <td><?php echo $rows['short_description']; ?></td>
                                        <td><?php echo $schedule_start_date; ?></td>
                                        <td><?php echo $schedule_end_date; ?></td>
                                        <td><?php echo $actual_start_date; ?></td>
                                        <td><?php echo $actual_end_date; ?></td>                                            
                                        <td><?php echo $rows['resolved_by']; ?></td>
<!--                                            <td class="text-center">
                                                <a href="javascript:void(0);" onclick="viewTimesheet('<?php echo $rows['issue_id']; ?>','<?php echo $user_id; ?>');"><i class="fa fa-external-link " style="font-size: 20px;"></i></a>
                                        </td>
                                        -->
                                            <td class="text-center">
                                            <input type="hidden" value="<?php echo $rows['issue_id']; ?>">
                                            <button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button>
                                            <button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button>
                                            <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="<?php echo $data_content_eye_icon; ?>" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>
                                        </td>
                                        
<!--                                            <td class="text-center">
                                            <input type="hidden" value="<?php echo $rows['issue_id']; ?>">
                                            <button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button>
                                            <button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button>
                                            <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="<?php echo $data_content_eye_icon; ?>" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>
                                        </td>-->
                                    </tr>
                                    <?php
                                    }
                            }
                    }        
                            ?>
                    </tbody>
            </table>
    </div>
    <?php
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'issue_project_feeds')
{
    $is_page_load = $_POST['is_page_load1'];
    $array_project_ids = array();        
    $where = "";
   
    $where .=" 1=1";
    ?>
    <div class="table-responsive">
            <table class="table table-bordered" id="table_issue_project_feeds">
                    <thead>
                        <tr class="table-info">                                
                            <th style="width:7%;"> Issue Number</th>
                            <th style="width:7%;"> Priority</th>
                            <th style="width:7%;"> Status</th>
                            <th style="width:7%;"> Urgency</th>
                            <th style="width:7%;"> Task Type</th>
                            <th style="width:10%;"> Assigned To</th>
                            <th style="width:10%;"> Short Description</th>                                                                                                        
                            <th style="width:7%;"> Schedule Start Date</th>
                            <th style="width:7%;"> Schedule End Date</th>
                            <th style="width:7%;"> Actual Start Date</th>
                            <th style="width:7%;"> Actual End Date</th>
                            <th style="width:7%;"> Closed By</th>
                            <th  style="width:7%;">Action</th>
                        </tr>
                    </thead>
                    <tfoot>
                            <tr>
                                <th class="searc"> Issue Number</th>
                                <th class="searc"> Priority</th>
                                <th class="searc"> Status</th>
                                <th class="searc"> Urgency</th>
                                <th class="searc"> Task Type</th>
                                <th class="searc"> Assigned To</th>
                                <th class="searc"> Short Description</th>                                                                                                        
                                <th class="searc"> Schedule Start Date</th>
                                <th class="searc"> Schedule End Date</th>
                                <th class="searc"> Actual Start Date</th>
                                <th class="searc"> Actual End Date</th>
                                <th class="searc"> Closed By</th>
                                <th></th>
                            </tr>
                    </tfoot>
                    <tbody>
                    <?php
                    if($is_page_load=="true")
                    {
                        $where = " WHERE 1=1 AND ";
                        if(isset($_POST['search_from']) && $_POST['search_from']!="")
                        {
                            $search_from  = date('Y-m-d', strtotime($_POST['search_from']));            
                            $where .= " DATE(cxs_issue_header.creation_date) >= '".$search_from."' AND ";         
                        }
                        if(isset($_POST['search_to']) && $_POST['search_to']!="")
                        {
                            $search_to  = date('Y-m-d', strtotime($_POST['search_to']));
                            $where .= " DATE(cxs_issue_header.creation_date) <= '".$search_to."' AND ";                    
                        }
                        if(isset($_POST['project_value']) && $_POST['project_value']!="")
                        {
                            $project_value = $_POST['project_value'];
                            
                            //"and cxs_issue_header.project_id  > 0""
                            //$where .= " DATE(cxs_issue_header.creation_date) <= '".$search_to."' AND ";                    
                        }
                        if(isset($_POST['check_issue_owner_id1']) && count($_POST['check_issue_owner_id1'])>0)
                        {
                            $check_issue_owner_id = implode(",",$_POST['check_issue_owner_id1']);
                            $where .= " cxs_issue_header.assigned_user_id IN ($check_issue_owner_id) AND ";
                        }
                        else if($_SESSION['login_user_array']['user_role']=="User")
                        {
                            $where .= " cxs_issue_header.assigned_user_id='".$_SESSION['login_user_array']['user_id']."' AND ";
                        }
                        
                        if(isset($_POST['check_issue_requestor_id1']) && count($_POST['check_issue_requestor_id1'])>0)
                        {
                            $check_issue_owner_id = implode(",",$_POST['check_issue_requestor_id1']);
                            $where .= " cxs_issue_header.originator_id IN ($check_issue_owner_id) AND ";
                        }
                        else if($_SESSION['login_user_array']['user_role']=="User")
                        {
                            $where .= " cxs_issue_header.originator_id='".$_SESSION['login_user_array']['user_id']."' AND ";
                        }
                                
                        $where = trim($where," AND");
                            $selectQuery = "select cxs_issue_header.*, (select cxs_user.full_name from cxs_user where cxs_user.user_id = cxs_issue_header.resolved_by_id) as resolved_by,(select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.created_by) as created_by_name,
                                    (select cxs_user.full_name from cxs_user where cxs_user.user_email = cxs_issue_header.last_udpated_by) as updated_by_name,
                                    (SELECT cxs_user.full_name FROM cxs_user WHERE cxs_user.user_id = cxs_issue_header.assigned_user_id) AS assigned_name  "
                                    . " from cxs_issue_header $where and cxs_issue_header.company_id = '".$_SESSION['login_user_array']['company_id']."'";
                            $RunUserQuery	= mysqli_query($conn, $selectQuery);
                            $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                            $total_paid_amount = 0;
                            if($StdNumRows>0){
                                    $count=0;
                                    while($rows=mysqli_fetch_assoc($RunUserQuery))
                                    {
                                        $creation_date	= setDate($rows['creation_date'],"m/d/Y");
                                        $schedule_start_date = "";
                                        $schedule_end_date	= "";                                            
                                        $actual_start_date = "";
                                        $actual_end_date	= "";

                                        if(!is_null($rows['schedule_start_date']))
                                        {
                                            $schedule_start_date = setDate($rows['schedule_start_date'],"m/d/Y");
                                        }
                                        if(!is_null($rows['schedule_end_date']))
                                        {
                                            $schedule_end_date = setDate($rows['schedule_end_date'],"m/d/Y");
                                        }

                                        if(!is_null($rows['actual_start_date']))
                                        {
                                            $actual_start_date = setDate($rows['actual_start_date'],"m/d/Y");
                                        }
                                        if(!is_null($rows['actual_end_date']))
                                        {
                                            $actual_end_date = setDate($rows['actual_end_date'],"m/d/Y");
                                        }
                                        $data_content_eye_icon = show_eye_icon_data_format($rows);                                            
                                    ?>
                                    <tr>
                                            <td><?php echo $rows['issue_number']; ?></td>
                                            <td><?php echo $rows['issue_priority']; ?></td>
                                            <td><?php echo $rows['issue_status']; ?></td>
                                            <td><?php echo $rows['issue_urgency']; ?></td>
                                            <td><?php echo $rows['task_type']; ?></td>
                                            <td><?php echo $rows['assigned_name']; ?></td>
                                            <td><?php echo $rows['short_description']; ?></td>
                                            <td><?php echo $schedule_start_date; ?></td>
                                            <td><?php echo $schedule_end_date; ?></td>
                                            <td><?php echo $actual_start_date; ?></td>
                                            <td><?php echo $actual_end_date; ?></td>                                            
                                            <td><?php echo $rows['resolved_by']; ?></td>
                                             <td class="text-center">
                                                <input type="hidden" value="<?php echo $rows['issue_id']; ?>">
                                                <button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-external-link" aria-hidden="true"></i></button>
                                            </td>
                                    </tr>
                                    <?php
                                    }
                            }
                    }        
                            ?>
                    </tbody>
            </table>
    </div>
    <?php
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_issue_activity_trail')
{   
    $issue_id = isset($_POST['issue_id'])?$_POST['issue_id']:'';
    ?>
    <div class="table-responsive">
        <table class="table table-striped">
            <tbody>
                <?php
                    $notes1 = "";
                    $resolved_by_name= "";
                    $resolved_user_image_name="";
                    $resolved_user_email= "";
                    $select_query = " select cxs_issue_header.*,cxs_user.full_name,cxs_user.image_name,cxs_user.user_email from cxs_issue_header inner join cxs_user on cxs_user.user_id = cxs_issue_header.resolved_by_id  where cxs_issue_header.issue_id = '".$issue_id."' and cxs_issue_header.company_id = '".$_SESSION['login_user_array']['company_id']."' and resolved_by_id <> 0";
                    $result = mysqli_query($conn,$select_query);
                    if(mysqli_num_rows($result) > 0)
                    {
                        $row = mysqli_fetch_assoc($result);                        
                        $resolved_by_name=$row['full_name'];
                        $resolved_user_image_name=$row['image_name'];
                        $resolved_user_email=$row['user_email'];
                        $created_timezone = $row["created_timezone"];
                        $notes1 = "Issue Tracking : ".$row['issue_number']." resolved by ".$resolved_by_name." on ".setDate($row["last_update_date"],"m/d/Y h:i A"). " ".$created_timezone;
                        if($resolved_user_image_name!="" && file_exists("img/uploads/user_images/".$resolved_user_image_name))
                        {
                            $user_img_url = SITEURL."img/uploads/user_images/".$resolved_user_image_name;
                        }else{
                             $user_img_url = SITEURL."images/faces/default_face.png";
                        }
                        ?>
                        <tr>
                            <td>
                                <div class="message-body">
                                    <div class="sender-details">
                                        <img class="img-sm rounded-circle mr-3" src="<?php echo $user_img_url; ?>" alt="">
                                        <div class="details">
                                            <p class="sender-email">                                            
                                            <?php echo $resolved_by_name; ?> <a href="mailto:<?php echo $resolved_user_email; ?>"><?php echo " (".$resolved_user_email.")"?></a> has resolved </p>
                                            <p class="msg-subject"><?php echo $notes1; ?></p>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php
                    }
                    $selectQuery = "  SELECT * FROM (
                    SELECT cxs_issue_header.issue_number,cxs_issue_header.creation_date,cxs_issue_header.created_timezone, cxs_issue_header.created_by,cxs_user.full_name,cxs_user.image_name,cxs_user.user_email,'cxs_issue_header' AS table_name_from,'' as update_text,resolved_by_id,cxs_issue_header.last_update_date FROM cxs_issue_header
                    INNER JOIN cxs_user ON cxs_user.user_email = cxs_issue_header.created_by 
                    AND (cxs_issue_header.assigned_user_id = ".$_SESSION['login_user_array']['user_id']." OR cxs_issue_header.created_by = '".$_SESSION['login_user_array']['user_email']."') and cxs_issue_header.company_id = '".$_SESSION['login_user_array']['company_id']."' and cxs_issue_header.issue_id = '".$issue_id."' 
                        
                        UNION ALL 
                    SELECT cxs_issue_header.issue_number,cxs_issue_update.creation_date,cxs_issue_update.created_timezone, cxs_issue_update.created_by,cxs_user.full_name,cxs_user.image_name,cxs_user.user_email,'cxs_issue_update'AS table_name_from,update_text,'' as resolved_by_id,cxs_issue_update.last_update_date FROM cxs_issue_update
                    INNER JOIN cxs_issue_header ON cxs_issue_header.issue_id = cxs_issue_update.issue_id INNER JOIN cxs_user ON cxs_user.user_email = cxs_issue_update.created_by     
                    AND (cxs_issue_update.created_by = '".$_SESSION['login_user_array']['user_email']."') and cxs_issue_update.company_id = '".$_SESSION['login_user_array']['company_id']."' and cxs_issue_update.issue_id = '".$issue_id."' 
                    ) as a    ORDER BY creation_date desc";
                    
                    
                    
                    $RunUserQuery	= mysqli_query($conn, $selectQuery);
                    $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                    if($StdNumRows>0)
                    {
                            while($rows=mysqli_fetch_assoc($RunUserQuery)){
                                    $full_name 		= $rows["full_name"];
                                    $user_image_name= $rows["image_name"];
                                    $user_email 	= $rows["user_email"];

                                    if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
                                            $user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
                                    }else{
                                            $user_img_url = SITEURL."images/faces/default_face.png";
                                    }
                                    
                                    $sentence_title = " has updated";
                                    if($rows['table_name_from']=="cxs_issue_header")
                                    {
                                        $sentence_title = " has created";
                                        //$notes = "Issue Tracking : ".$rows['issue_number']." created by ".$rows['created_by']." on ".setDate($rows["creation_date"],"m/d/Y h:i A"); 
                                        $notes = "Issue Tracking : ".$rows['issue_number']; 
                                                                              
                                    }    
                                    else if($rows['table_name_from']=="cxs_issue_update")
                                    {
                                        //$notes = "Issue Tracking : ".$rows['issue_number']." updated ".$rows['update_text']." by ".$rows['created_by']." on ".setDate($rows["creation_date"],"m/d/Y h:i A"); 
                                        $notes = nl2br($rows['update_text']); 
                                    }
                                    $creation_date= setDate($rows["creation_date"],"F jS Y h:i A");
                                    $created_timezone = $rows["created_timezone"];
                                    /*$activity_txt = $notes." at ".$creation_date." ".$created_timezone;*/
                                    $activity_txt = "<b>".$notes."</b> at ".$creation_date." ".$created_timezone;
                    ?>
                            <tr>
                                <td>
                                    <div class="message-body">
                                        <div class="sender-details">
                                            <img class="img-sm rounded-circle mr-3" src="<?php echo $user_img_url; ?>" alt="">
                                            <div class="details">
                                                <p class="sender-email">                                                
                                                <?php echo $full_name; ?> <a href="mailto:<?php echo $user_email; ?>"><?php echo " (".$user_email.")"?></a> <?php echo $sentence_title; ?></p>
                                                <p class="msg-subject"><?php echo $activity_txt; ?></p>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <?php
                            }
                            if($notes1!='')
                            {
                                 
                                ?>
                                
                    <?php
                            }
                    }
                    ?>
            </tbody>
        </table>
</div>
    
<?php

}
?>




