<?php
require_once "conn.php";
require_once "functions.php";

if(!isset($_POST['is_html'])){
header('Content-Type: application/json'); 
}

if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_user_exist')
{
    $succ=1;
    $user_email = isset($_POST['user_email'])?strtolower(trim($_POST['user_email'])):''; 
    $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
    $succ = user_exists($user_email,$selected_id); 
    if($succ==1){
        if(isset($_POST['from']) && $_POST['from']=="signup"){
            require_once "connect_zoho_api.php";
            $results = getSubscriptionData("customers");
            foreach($results->customers as $result){
                if($result->email==$user_email){
                    $succ=0;
                    break;
                }
            }
        }
    }
    echo json_encode(array("succ" => $succ));
    exit;
}        

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_user_login')
{
    $username = isset($_POST['username'])?trim($_POST['username']):''; 
    $upassword = isset($_POST['upassword'])?trim($_POST['upassword']):''; 
    $keep_sign_in = isset($_POST['keep_sign_in'])?trim($_POST['keep_sign_in']):''; 
    /* $currTz = isset($_POST['currTz'])?trim($_POST['currTz']):''; 
    $curTime = isset($_POST['curTime'])?trim($_POST['curTime']):''; 
    **/
    $curTime = '';
    $msg = "";
    $redirect_page = login_credentials($username,$upassword,$curTime,"Coexsys");
    $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";
    if($currTz=="")
    {
        $msg = "First set your timezone. Contact your Admin";
    }
    if($msg == "")
    {
        if($keep_sign_in=="Y") 
        {
            setcookie ("cookie_username",$_POST["username"],time()+ (10 * 365 * 24 * 60 * 60));
            setcookie ("cookie_password",$_POST["upassword"],time()+ (10 * 365 * 24 * 60 * 60));
        }
        else
        {
            if(isset($_COOKIE["cookie_username"])){setcookie ("cookie_username","");}
            if(isset($_COOKIE["cookie_password"])){setcookie ("cookie_password","");}
        }

        if($redirect_page!='reset_password' && $redirect_page!='inactive' && $redirect_page!='expire' && $redirect_page !="-1" && $redirect_page !="-2" && $redirect_page !="-4")
        {
            /*Check Caution Conditions*/
            check_caution_conditions();
            /*Check Caution Conditions*/
            
            /*Check Company Data*/
            if($_SESSION['login_user_array']['company_name']==""){
                $_SESSION['is_company_update_required'] = "Yes";
            }
            /*Check Company Data*/
            
            $otp_verification = 0;
            if(isset($_COOKIE["coexsys_verification"]))
            {
                $otp_verification = 1;
            }
            else
            {
                $randomNum = substr(str_shuffle("0123456789"), 0, 6);
                $updOTPArr = array();
                $updOTPArr['OTP']=$randomNum;
                updatedata("cxs_user",$updOTPArr,"where user_id = '".$_SESSION['user_id']."'");
                
                $OTP_Userid =  $_SESSION['OTP_user_id'];
                $OTP_User_Full_Name =  $_SESSION['OTP_full_name'];
                $OTP_User_email =  $_SESSION['OTP_email'];
                $OTP_Company_id =  $_SESSION['OTP_company_id'];
                
                
                session_unset();   
                
                $_SESSION['OTP_user_id'] = $OTP_Userid;
                $_SESSION['OTP_full_name'] = $OTP_User_Full_Name;
                $_SESSION['OTP_email'] = $OTP_User_email;
                $_SESSION['OTP_company_id'] = $OTP_Company_id;
                
                
                
                $OTP_Userid =  $_SESSION['OTP_user_id'];
                $OTP_User_Full_Name =  $_SESSION['OTP_full_name'];
                $OTP_User_email =  $_SESSION['OTP_email'];
                
                
                $subject = "One Time Password (OTP) for Sign in";
                
                $mail_body = file_get_contents(getSiteUrl().'/mailbody/login_otp.php?user_id='.$OTP_Userid.'&company_id='.$OTP_Company_id, false, CONTEXT);
                
                
                sendEmail($OTP_User_email,$OTP_User_Full_Name, $subject, $mail_body);
                
                $redirect_page = "OTP";                    
            }
            
            if($otp_verification==1)
            {
                $insArr = array();              

                if (!empty($_SERVER['HTTP_CLIENT_IP']))   
                {
                    $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
                }
                //whether ip is from proxy
                elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
                {
                    $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
                }
                //whether ip is from remote address
                else
                {
                    $ipaddress = $_SERVER['REMOTE_ADDR'];
                }
                $ipaddress = GetIPAddress();
                $ip_convert = ip2long($ipaddress);//reverse long2ip(value)

                $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";            
                if($currTz!='')
                {
                    $date = new DateTime("now", new DateTimeZone($currTz) );
                    $curTime = $date->format('Y-m-d H:i:s');

                    $insArr['user_id'] = isset( $_SESSION['user_id'])? $_SESSION['user_id']:'';
                    $insArr['login_timestamp']  = $curTime;
                    $insArr['timezone']         = $currTz;
                    $insArr['ip_addr']          = $ip_convert;  
                    $insArr['ip_addr_string']   = $ipaddress;  
                    $insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;

                    insertdata("cxs_logins",$insArr);
                }
            }    
        } 
    }
    
    echo json_encode(array("redirect_page" => $redirect_page));
    exit;
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'update_logout')
{   
    $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";
    $succ=0;
    $google_user = 0;
    if($currTz!='')
    {
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');

        $qry = "update cxs_logins set logout_timestamp = '".$curTime."' where USER_ID = '".$_SESSION['user_id']."'order by id desc limit 1";
        mysqli_query($conn,"update cxs_logins set logout_timestamp = '".$curTime."' where USER_ID = '".$_SESSION['user_id']."'order by id desc limit 1");

        if (isset($_COOKIE['user_id'])) {
            unset($_COOKIE['user_id']); 
            setcookie('user_id', null, -1); 
        }

        unset($_SESSION["user_id"]);
        unset($_SESSION["full_name"]);

        $_SESSION["user_id"]="";
        $_SESSION["full_name"]="";
        
        if (!empty($_SESSION["loggin_user_msg"]))
        {
            unset($_SESSION["loggin_user_msg"]);
            $google_user = 1;
        }
        session_destroy();
        $succ=1;
    }
    echo json_encode(array("succ" => $succ,"google_user"=>$google_user));
    exit;
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'forget_password_step1')
{
    $succ= 0;
    $msg = "";
    $username = isset($_POST['username'])?trim($_POST['username']):''; 
    
    $qry = "select * from cxs_user where user_email = '".$username."'";
    $result = mysqli_query($conn,$qry);    
    if(mysqli_num_rows($result)>0 )
    {   
        $succ=1;
        $row = mysqli_fetch_assoc($result);
        $user_id    = $row['user_id'];
        $full_name  = $row['full_name'];
        //send_mail($username,"Forget Password Recovery Link","Click Here : ".SITEURL."forget-password/");

        $subject= "COEXSYS - Password Recovery";
			
        $mail_body = file_get_contents(getSiteUrl().'/mailbody/forgot_password.php?id='.$user_id.'&user_name='.urlencode($full_name), false, CONTEXT);
        //$username= 'rjpatel2290@gmail.com';
        sendEmail($username,$full_name, $subject, $mail_body);
    }
    

    echo json_encode(array("succ" => $succ,"msg"=>$msg));
    exit;
}
else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'forget_password_step2')
{
    $succ= 0;
    $msg = "";
    parse_str($_POST['form1'],$formArr1);

    
    $user_id 			= $formArr1['str'];
    
    $qry = "select * from cxs_user where md5(user_id) = '".$user_id."'";
    $result = mysqli_query($conn,$qry);    
    if(mysqli_num_rows($result)>0 )
    {   
        $succ=1;
        $row = mysqli_fetch_assoc($result);
        $user_id    =    $row['user_id'];
        $user_email    = $row['user_email'];
        $company_id    = $row['company_id'];

        $currTz = isset($row['user_timezone'])?$row['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');


        $new_pass 			= trim($formArr1['text_password']);
        if($new_pass!=""){
            $insArr['upassword'] 		= base64_encode($new_pass);
	
            $insArr['company_id'] 		= (isset($company_id) && $company_id!="")?$company_id:0;
            
            $insArr['last_update_date']	= $curTime;
            $insArr['updated_timezone']	= $currTz;
            $insArr['last_udpated_by']	= $user_email; 
            updatedata("cxs_user",$insArr," where user_id = '".$user_id."'");
            $msg = "Success. Your Password has been successfully updated. ";
        }else{
            $msg = "Please enter your password";
        }
        
        
    }else{
        $msg = "Your record is not on our record. Please try again or contact administrator.";
    }
    

    echo json_encode(array("succ" => $succ,"msg"=>$msg));
    exit;
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'verify_otp')
{
    $succ=0;
    $otp_value 		= isset($_POST['otp_value'])?trim($_POST['otp_value']):'';
    $otp_no_remind	= isset($_POST['otp_no_remind'])?trim($_POST['otp_no_remind']):'';
    $qry = "select *  FROM cxs_user WHERE user_id='".$_SESSION['OTP_user_id'] ."' and OTP = '".$otp_value."'";
    $result = mysqli_query($conn,$qry);
    if(mysqli_num_rows($result)>0)
    {
        $row = mysqli_fetch_assoc($result);
        $qry_update = "update  cxs_user set OTP = '' WHERE user_id='".$_SESSION['OTP_user_id']."'";            
        mysqli_query($conn,$qry_update);
        
        
        $_SESSION['user_id'] = $row['user_id'];
        $_SESSION['full_name'] = $row['full_name'];
        $_SESSION['login_user_array'] = $row;
        $succ=1;
        
        $cookie_days = 14; // Default Cookie will be store for 14 Days
        if($otp_no_remind=="1"){
            $cookie_days = 45;
        }
        setcookie ("coexsys_verification",1,time()+ ($cookie_days * 24 * 60 * 60));
    }
            
    echo json_encode(array("succ" => $succ));
    exit;
}

?>
