<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Billing Reports</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="vendors/dropify/dropify.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item active" aria-current="page">Billing Reports</li>
									</ol>
								</nav>
								<div class=" border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Billing Reports</h4>
										
									</div>
									<div class="row">
										<div class="col-md-5">
											<div class="form-group">
												<div class="mr-5 mb-4">
													<ul class="expense-report-list">
														<li>
															<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Active Subscribers Report</a>
															<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														<li>
															<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Billing Detail Report</a>
															<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														<li>
															<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Payment History Report</a>
															<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														<li>
															<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Payment Status Report</a>
															<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														<li>
															<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Payment Status Report</a>
															<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														<li>
															<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Open Billing Report</a>
															<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														
													</ul>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div>
<!-- base:js -->
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="vendors/dropify/dropify.min.js"></script>
<script src="js/dropify.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
</body>
</html>
