<?php
session_start();
require_once "config.php";

/************************************************************************

DO NOT FORGOT TO ADD "FILE NAME" IN 'checkPageValidation()' FUNCTION 
			
			FOR PAGE USER ACCESS VALIDATION CHECK

*************************************************************************/

/* Attempt to connect to MySQL database */
$conn = mysqli_connect(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_NAME);
 
// Check connection
if($conn === false){
    die("ERROR: Could not connect. " . mysqli_connect_error());
}

/*
$context = stream_context_create
(
        array(
                "http" => array(
                        "header" => "User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.102 Safari/537.36"
                )
        )
);
define("CONTEXT",$context);
define("HOST_SHORT_NAME","synchron");
if($_SERVER['HTTP_HOST'] == 'localhost'){
	define("IS_MAIL",false);
}else{
	define("IS_MAIL",true);
}*/
/****************************************************/
// Import PHPMailer classes into the global namespace
// These must be at the top of your script, not inside a function
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

if(isset($_SESSION['login_user_array']['user_id'])){
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$user_session_id = session_id();
	
	$con_insArr = array();
	$con_insArr['logout_timestamp'] = $curTime;
	$con_insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	
	updatedata("cxs_logins",$con_insArr," WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND user_session_id = '$user_session_id'");
}

function add_security($val)		// RETURN VALUE WITH SECURITY
{
    $conn = $GLOBALS["conn"]; 
    return mysqli_real_escape_string($conn,$val);
    ////mysqli_close($conn);
}

function insertdata($table,$data,$die=0)	// FUNCTION TO INSERT NEW RECORD IN SPECIFIED TABLE
{
    $conn = $GLOBALS["conn"]; 
    $qry="";
    $qry="INSERT INTO ".$table." set ";
    foreach($data as $fld=>$val)
    {
        if($val=='now()')
        {
            $qry.= $fld."=".add_security($val).",";
        }
        else if($val=='Null')
        {
            $qry.= $fld."=".($val).",";
        }
        else
        {
            $qry.= $fld."='".add_security($val)."',";
        }
    }
    $qry=substr($qry,0,-1);
	if($die=='1'){
		echo $qry; die;
	}
    //echo "  ".$qry;
    $result_insert = mysqli_query($conn,$qry);
    if($result_insert==1)
    {
        return mysqli_insert_id($conn);;
    }else{
            return false;
    }
    //mysqli_close($conn); 
}

function updatedata($table,$data, $wherecondition,$die=0)	// FUNCTION TO UPDATE RECORD IN SPECIFIED TABLE
{
    $conn = $GLOBALS["conn"]; 
    $qry="Update ".$table." set ";;
    foreach($data as $fld=>$val)
    {
        if($val=='Null')
        {
            $qry.= $fld."=".($val).",";
        }
        else
        {
            $qry.= $fld."='".add_security($val)."',";
        }
        
    }
    $qry=substr($qry,0,-1);
    $qry = $qry . $wherecondition;	
    //echo "  ".$qry;
	if($die==1){
		echo "  ".$qry;die;
	}
    $result_insert = mysqli_query($conn,$qry);
    //mysqli_close($conn);
}
function getvalue($table,$fieldname, $wherecondition)	// FUNCTION TO GET RECORD IN SPECIFIED TABLE
{	
    $conn = $GLOBALS["conn"]; 
    $valueResult = "";
    $qry="Select $fieldname from ".$table." ".$wherecondition;
    $result = mysqli_query($conn,$qry);     //$result = mysqli_query($conn,$qry) or die(mysqli_error($conn));
    while($linedetail=mysqli_fetch_array($result))
    {
        $valueResult = $linedetail[$fieldname];
    }		
    return $valueResult;
    //mysqli_close($conn);
}

function user_exists($user_email,$selected_id)
{
    $conn = $GLOBALS["conn"]; 
    
    $sub_query = "";
    if($selected_id!='')
    {
        $sub_query = " and user_id <> '$selected_id'";
    }
    //$qry = "select * from cxs_user where user_email = '".$user_email."' and login_source='Coexsys' $sub_query ";
    $qry = "select * from cxs_user where user_email = '".$user_email."' $sub_query ";
    $result = mysqli_query($conn,$qry);    
    if(mysqli_num_rows($result)>0 )
    {   $flag=0; }
    else 
    { $flag=1;}    
    return $flag;
}

function getDays($date1,$date2){
	$date1=date_create(setDate($date1));
	$date2=date_create(setDate($date2));
	$diff=date_diff($date1,$date2);
	return ($diff->format("%a"))+1;
}

function login_from_cookie(){

	$conn = $GLOBALS["conn"]; 
	$qry = "select *, (SELECT company_logo FROM cxs_company WHERE cxs_company.id=cxs_user.company_id) AS company_logo from cxs_user where user_id = '".$_COOKIE['user_id']."' and user_status = 'Active'";
	$result = mysqli_query($conn,$qry);
    if(mysqli_num_rows($result)>0 ){
		$row = mysqli_fetch_assoc($result); 

		$account_user_id 	= $row["user_id"];
		$company_id 		= $row["company_id"];
		$creation_date 		= $row["creation_date"];
		$force_reset_flag 	= $row["force_reset_flag"];

		/*Check Account Status*/
		$days_remaining = "";
		$trial_ends_at = "";
		$zoho_subscription_status = "";
		$card_id = "";
		$active_status = "inactive";
		$status_qry = "SELECT account_status, trial_ends_at, zoho_subscription_status, card_id FROM cxs_licensed_products WHERE user_id = '".$row['user_id']."'";
		$status_result = mysqli_query($conn,$status_qry);
		if(mysqli_num_rows($status_result)>0){
			$status_row 	= mysqli_fetch_assoc($status_result);
			$active_status 	= strtolower($status_row['account_status']);
			$trial_ends_at 	= $status_row['trial_ends_at'];
			$zoho_subscription_status = $status_row['zoho_subscription_status'];
			$card_id		= $status_row['card_id'];
			$system_date 	= date("Y-m-d");
			if($trial_ends_at!="0000-00-00"){
				$days_remaining = getDays($trial_ends_at,$system_date)-1;
			}else{
				$days_remaining = 0;
			}
		}
		/*Check Account Status*/ 

		$_SESSION['user_id'] = $row['user_id'];
		$_SESSION['full_name'] = $row['full_name'];        
		$_SESSION['login_user_array'] = $row;
		
		$company_logo = $row["company_logo"];
		$company_logo_main_url = SITEURL."images/main_logo.png";
		$company_logo_mini_url = SITEURL."images/main_logo_mini.png";
		if($company_logo!="" && file_exists("img/uploads/company_logo/".$company_logo)){
			$company_logo_main_url = SITEURL."img/uploads/company_logo/".$company_logo;
			$company_logo_mini_url = SITEURL."img/uploads/company_logo/".$company_logo;
		}
		
		$_SESSION['login_user_array']["company_logo_main_url"] = $company_logo_main_url;
		$_SESSION['login_user_array']["company_logo_mini_url"] = $company_logo_mini_url;
		
		$_SESSION['login_user_array']["card_id"] = $card_id;
		$_SESSION['login_user_array']["days_remaining"] = $days_remaining;
		$_SESSION['login_user_array']["subscription_status"] = $zoho_subscription_status;
		
		$_SESSION['OTP_user_id'] = $row['user_id'];
		$_SESSION['OTP_full_name'] = $row['full_name']; 
		$_SESSION['OTP_email'] = $row['user_email'];  
		$_SESSION['OTP_company_id'] = $row['company_id'];

		/*Help Page Links Array*/
		$page_link_arr = array();
		$selectQuery 	= "
		SELECT 
			* 
		FROM 
			cxs_admin_page_help_links
		";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$page_link_arr[$rows["our_page_name"]] = array(
												"help_page_link"=>$rows["help_page_link"],
												"help_video_link"=>$rows["help_video_link"],
												);
			}
		}
		$_SESSION["page_link_arr"] = $page_link_arr;
		/*Help Page Links Array*/

		/*Default Currency*/
		$default_currency = getvalue("cxs_admin_default_setting","default_currency"," WHERE id=1");
		$_SESSION["default_currency"] = $default_currency;
		/*Default Currency*/
	}
}

function login_credentials($username,$upassword,$curTime,$login_source)
{
    $conn = $GLOBALS["conn"]; 
    $flag = 0;
    $redirect_page = "";    
    //$qry = "select * from cxs_user where user_email = '".$username."' and upassword = md5('".$upassword."')";
    
    if($login_source=='Coexsys')
    {
        $qry = "select *, (SELECT company_logo FROM cxs_company WHERE cxs_company.id=cxs_user.company_id) AS company_logo from cxs_user where user_email = '".$username."' and upassword = '".base64_encode($upassword)."' and user_status = 'Active'";
    }
    else
    {
        $qry = "select *, (SELECT company_logo FROM cxs_company WHERE cxs_company.id=cxs_user.company_id) AS company_logo from cxs_user where user_email = '".$username."' and login_source = '".$login_source."' and user_status = 'Active'";
    }  
	//echo $qry;die;
    $result = mysqli_query($conn,$qry);
    if(mysqli_num_rows($result)>0 )
    {   
        $flag=1; 
        $row = mysqli_fetch_assoc($result); 
		$account_user_id 	= $row["user_id"];
		$company_id 		= $row["company_id"];
		$creation_date 		= $row["creation_date"];
		$force_reset_flag 	= $row["force_reset_flag"];
		
		/*Check Company Account Status*/
		$company_account_status = getvalue("cxs_company","account_status"," WHERE id='".$company_id."'");
		/*Check Company Account Status*/
		
		/*Check Account Status*/
		$days_remaining = "";
		$trial_ends_at = "";
		$zoho_subscription_status = "";
		$card_id = "";
		$active_status = "inactive";
		$status_qry = "SELECT account_status, trial_ends_at, zoho_subscription_status, card_id FROM cxs_licensed_products WHERE user_id = '".$row['user_id']."'";
		$status_result = mysqli_query($conn,$status_qry);
		if(mysqli_num_rows($status_result)>0){
			$status_row = mysqli_fetch_assoc($status_result);
			$active_status 	= strtolower($status_row['account_status']);
			$trial_ends_at 	= $status_row['trial_ends_at'];
			$zoho_subscription_status = $status_row['zoho_subscription_status'];
			$card_id		= $status_row['card_id'];
			$system_date 	= date("Y-m-d");
			$days_remaining = getDays($trial_ends_at,$system_date)-1;
		}
		/*Check Account Status*/ 
		
		if($company_account_status=="Active"){
			if($active_status=="active"){
				if($force_reset_flag=="Y"){
					$_SESSION['temp_user_id'] = $row['user_id'];
					$flag=0; 
					$redirect_page ="reset_password";
				}else{
					if(isset($_SESSION['user_id']) || isset($_SESSION['login_user_array']['user_id'])){
						if($_SESSION['user_id']!=$row['user_id'] || $_SESSION['login_user_array']['user_id']!=$row['user_id']){
							$flag=0; 
							$redirect_page ="-1";
						}
					}

					if($flag!=0){
						setcookie('user_id', $row['user_id'], time()+60*60*2);
						$_SESSION['user_id'] = $row['user_id'];
						$_SESSION['full_name'] = $row['full_name'];        
						$_SESSION['login_user_array'] = $row;
						
						$company_logo = $row["company_logo"];
						$company_logo_main_url = "images/main_logo.png";
						$company_logo_mini_url = "images/main_logo_mini.png";
						if($company_logo!="" && file_exists("img/uploads/company_logo/".$company_logo)){
							$company_logo_main_url = "img/uploads/company_logo/".$company_logo;
							$company_logo_mini_url = "img/uploads/company_logo/".$company_logo;
						}
						
						$_SESSION['login_user_array']["company_logo_main_url"] = $company_logo_main_url;
						$_SESSION['login_user_array']["company_logo_mini_url"] = $company_logo_mini_url;
						
						$_SESSION['login_user_array']["card_id"] = $card_id;
						$_SESSION['login_user_array']["days_remaining"] = $days_remaining;
						$_SESSION['login_user_array']["subscription_status"] = $zoho_subscription_status;
						
						$_SESSION['OTP_user_id'] = $row['user_id'];
						$_SESSION['OTP_full_name'] = $row['full_name']; 
						$_SESSION['OTP_email'] = $row['user_email'];  
						$_SESSION['OTP_company_id'] = $row['company_id'];

						/*Help Page Links Array*/
						$page_link_arr = array();
						$selectQuery 	= "
						SELECT 
							* 
						FROM 
							cxs_admin_page_help_links
						";		
						$RunUserQuery	= mysqli_query($conn, $selectQuery);
						$StdNumRows 	= mysqli_num_rows($RunUserQuery);
						if($StdNumRows>0){
							while($rows=mysqli_fetch_assoc($RunUserQuery)){
								$page_link_arr[$rows["our_page_name"]] = array(
																"help_page_link"=>$rows["help_page_link"],
																"help_video_link"=>$rows["help_video_link"],
																);
							}
						}
						$_SESSION["page_link_arr"] = $page_link_arr;
						/*Help Page Links Array*/

						/*Default Currency*/
						$default_currency = getvalue("cxs_admin_default_setting","default_currency"," WHERE id=1");
						$_SESSION["default_currency"] = $default_currency;
						/*Default Currency*/
					}
					
					$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";      
					if($currTz!='')
					{
						$date = new DateTime("now", new DateTimeZone($currTz) );
						$curTime = $date->format('Y-m-d H:i:s');
					}
					else
					{
						$flag=0;
						$redirect_page=-3;
					}
				}
			}else{
				$flag=0;
				$redirect_page = "inactive";
			}
		}else{
			$flag=0;
			
			/*Check whether payment details is already updated or not*/
			$Date1 = $creation_date;            
			$Date1 = date("Y-m-d",strtotime($Date1));
			$Date2 = date("Y-m-d",strtotime($curTime));           
			$TotalDays = dateDiffInDays($Date1,$Date2);
			/* HERE WE COUNT STARTING AND ENDING DATES IN DATE DIFF. SO ADD 1 */
			$TotalDays = $TotalDays+1;
			
			$card_id = getvalue("cxs_licensed_products","card_id"," WHERE user_id='".$account_user_id."'");
			/*Check whether payment details is already updated or not*/
			
			if($TotalDays > 14){
				
				/********************************************************/
				$_SESSION['user_id'] 			= $row['user_id'];
				$_SESSION['full_name'] 			= $row['full_name'];        
				$_SESSION['login_user_array'] 	= $row;
				
				$company_logo = $row["company_logo"];
				$company_logo_main_url = "images/main_logo.png";
				$company_logo_mini_url = "images/main_logo_mini.png";
				if($company_logo!="" && file_exists("img/uploads/company_logo/".$company_logo)){
					$company_logo_main_url = "img/uploads/company_logo/".$company_logo;
					$company_logo_mini_url = "img/uploads/company_logo/".$company_logo;
				}
				
				$_SESSION['login_user_array']["company_logo_main_url"] 	= $company_logo_main_url;
				$_SESSION['login_user_array']["company_logo_mini_url"] 	= $company_logo_mini_url;
				
				$_SESSION['login_user_array']["card_id"] 				= $card_id;
				$_SESSION['login_user_array']["days_remaining"] 		= $days_remaining;
				$_SESSION['login_user_array']["subscription_status"] 	= $zoho_subscription_status;
				
				$_SESSION['OTP_user_id'] 	= $row['user_id'];
				$_SESSION['OTP_full_name'] 	= $row['full_name']; 
				$_SESSION['OTP_email'] 		= $row['user_email'];  
				$_SESSION['OTP_company_id'] = $row['company_id'];
				/*******************************************************/
				
				$_SESSION['company_account_status'] = "expire_and_inactive";
				$redirect_page = "expire";
			}else{
				$redirect_page = "-4";
			}			
		}
    }
    else 
    {
        if (trim($upassword)!='')
        {
            $qry = "select * from cxs_user where user_email = '".$username."' and upassword = '' and user_status = 'Active' and login_source = 'Google'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0 )
            {      
				$flag=0;
				   
				$row = mysqli_fetch_assoc($result); 
				/*Check Account Status*/
				$active_status = "inactive";
				$status_qry = "SELECT account_status FROM cxs_licensed_products WHERE user_id = '".$row['user_id']."'";
				$status_result = mysqli_query($conn,$status_qry);
				if(mysqli_num_rows($status_result)>0){
					$status_row = mysqli_fetch_assoc($status_result);
					$active_status = strtolower($status_row['account_status']);
				}
				/*Check Account Status*/ 
				if($active_status=="active"){
					$redirect_page ="-2";
				}else{
					$redirect_page ="inactive";
				}
            }
        }
    }
    if($flag==1)
    {
        if($_SESSION['login_user_array']['user_type']=='Try')
        {
			$Date1 = $_SESSION['login_user_array']['creation_date'];            
			$Date1 = date("Y-m-d",strtotime($Date1));
			$Date2 = date("Y-m-d",strtotime($curTime));           
			$TotalDays = dateDiffInDays($Date1,$Date2);
           	/* HERE WE COUNT STARTING AND ENDING DATES IN DATE DIFF. SO ADD 1 */
           	$TotalDays = $TotalDays+1;
           
           if($TotalDays > 14 && $_SESSION['login_user_array']["card_id"]=="")
           {
               	$redirect_page ="expire";
				$_SESSION['company_account_status'] = "expire_and_inactive";
			   	/*Update Company Account Status to Inactive*/
			   	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
				$date = new DateTime("now", new DateTimeZone($currTz) );
				$curTime = $date->format('Y-m-d H:i:s');
				
				$insArr = array();
				
				$insArr['account_status'] = "Inactive";
				
				$insArr['last_update_date']	= $curTime;
				$insArr['updated_timezone']	= $currTz;
				$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
				
				updatedata("cxs_company",$insArr," WHERE id='".$company_id."'");
			   	/*Update Company Account Status to Inactive*/
           }else if($TotalDays > 14 && $_SESSION['login_user_array']["card_id"]!=""){
		   		$redirect_page ="expire";
				$_SESSION['company_account_status'] = "expire_and_inactive";
		   }else{
               	$remain_days = 14-$TotalDays;
               	$_SESSION['login_user_array']['remain_days']=$remain_days;
           }
        }
        if($redirect_page=='')
        {
            if(isset($_SESSION['redirect_page']))
            {
                $redirect_page = $_SESSION['redirect_page'];                
            }
            else
            {
                $redirect_page = "dashboard/";                
            }
        }    
    }    
    return $redirect_page;
}
function dateDiffInDays($date1, $date2)  
{ 
    // Calculating the difference in timestamps 
    $diff = strtotime($date2) - strtotime($date1);
      
    // 1 day = 24 hours 
    // 24 * 60 * 60 = 86400 seconds 
    return abs(round($diff / 86400)); 
} 
function check_login()
{
	if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
		login_from_cookie();
	}
    //if(!isset($_SESSION['user_data']) || !isset($_SESSION['user_id']))
    if(!isset($_SESSION['user_id']))    
    {	
    	//$_SESSION['redirect_page']=$_SERVER['REQUEST_URI'];
		$actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
		$red_url = str_replace(SITEURL,"",$actual_link);		
    	$_SESSION['redirect_page']=$red_url;		
        header('location:'.SITEURL);
        exit();
    }  
	if(isset($_SESSION['company_account_status']) && $_SESSION['company_account_status']=="expire_and_inactive"){
		header("location:".SITEURL);
	}
	//$actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
	$strArray = explode('/',$_SERVER["REQUEST_URI"]);
	$page_name = end($strArray);
	
	if(isset($_SESSION['is_company_update_required']) && $page_name!="admin.php"){
		header('location:'.SITEURL.'dashboard/');
        exit();
	} 
}
function show_date($date1)
{
    $date2 = strtotime($date1);
    $date2 = date("m/d/Y",$date2);
    return $date2;
}

function show_eye_icon_data($table_name,$field_name,$field_value)
{
    $conn = $GLOBALS["conn"]; 
    $data_content = "";
    if($table_name!='' && $field_name!= '' && $field_value!='')
    {
        $qry = "select * from $table_name where $field_name='$field_value'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $row = mysqli_fetch_assoc($result);                        
//            Day, Month, Date, Year HH:MM:SS AM PST 
            $creation_date = date('l, F, d, Y h:i a', strtotime($row['creation_date']))." ".$row['created_timezone'];
            $update_date = date('l, F, d, Y h:i a', strtotime($row['last_update_date']))." ".$row['updated_timezone'];
            $data_content = "<b>Created By: </b>".$row['created_by']."<br><b>Updated By:</b> ".$row['last_udpated_by']."<br> <b>Creation Date :</b> ".$creation_date."<br> <b>Last Update Date :</b> ".$update_date;            
        }
    }
    return $data_content;
}
function show_eye_icon_data_format($row)
{
    $creation_date = date('l, F, d, Y h:i a', strtotime($row['creation_date']))." ".$row['created_timezone'];
    $update_date = date('l, F, d, Y h:i a', strtotime($row['last_update_date']))." ".$row['updated_timezone'];
    $data_content = "<b>Created By: </b>".$row['created_by']."<br><b>Updated By:</b> ".$row['last_udpated_by']."<br> <b>Creation Date :</b> ".$creation_date."<br> <b>Last Update Date :</b> ".$update_date;            
    return $data_content;
}

function send_mail($to, $subject, $message)
{ 	
    require_once("smtpemail/class.phpmailer2.php"); 	
    try {
		$mail = new PHPMailer2(); 
		$mail->isSMTP(); // tell to use smtp
		$mail->CharSet = "utf-8"; // set charset to utf8
		$mail->Host = "box2254.bluehost.com";  //"smtp.gmail.com";
		$mail->SMTPAuth = true;
		$mail->SMTPDebug = true;
		$mail->Port = 465;
		$mail->Username = "noreply@orawolf.com";/*"applisoft4u@gmail.com";*/
		$mail->Password = "National1$";/*"appli2008";*/
		$mail->From = "noreply@orawolf.com";/*"applisoft4u@gmail.com";*/
		//$mail->From = $from;
		$mail->FromName = 'coexsys';
		$mail->AddAddress('applisoft4u@gmail.com');
		$mail->IsHTML(true);
		$mail->Subject = 'test';
		$mail->Body = 'Message';
		$mail->SMTPOptions= array(
		'ssl' => array(
		'verify_peer' => false,
		'verify_peer_name' => false,
		'allow_self_signed' => true
		)
		);

		if($mail->send()){
			echo "ok";
		}else{
			echo "Mo";
		}
		
		} catch (phpmailerException $e) {
		dd($e);
		} catch (Exception $e) {
		dd($e);
		}
    /*try { 
		$mail = new PHPMailer2(); 
		$mail->isSMTP(); 
                //$mail->Mailer = "mail";
                $mail->SetLanguage("en");
		$mail->CharSet = "utf-8"; 
		$mail->Host = "smtp.gmail.com";
		$mail->SMTPAuth = true;
		$mail->Port = 587;
		$mail->Username = "applisoft4u@gmail.com";
		$mail->Password = "appli2008";
		$mail->From = "applisoft4u@gmail.com";
		$mail->FromName = 'Applisoft';
		$mail->AddAddress($to);
		$mail->IsHTML(true);
		$mail->Subject = $subject;
		$mail->SMTPSecure = 'tls';
		$mail->Body = $message;
		$mail->SMTPOptions= array(
			'ssl' => array(
				'verify_peer' => false,
				'verify_peer_name' => true,
				'allow_self_signed' => true
			)
		);		
		$mail->send();

	} catch (phpmailerException $e) {
		dd($e);
	} catch (Exception $e) {
		dd($e);
	}
    */
    /*
     * $mail->Username = "noreply@orawolf.com";		
            $mail->Password = "National1$"; Host = "box2254.bluehost.com";
     */
   /* require_once("smtpemail/class.phpmailer2.php"); 	
    //$msessage .= "Thanks<br>";   	
    $msessage = "Thanks<br>".$message;
    try { 		
            $mail = new PHPMailer2(); 		
            $mail->isSMTP(); 		
            $mail->CharSet = "utf-8"; 		
            $mail->Host = "smtp.gmail.com";		
            $mail->SMTPAuth = true;		
            $mail->Port = 465;		
            $mail->Username = "applisoft4u@gmail.com";		
            $mail->Password = "appli2008";		
            $mail->From = "applisoft4u@gmail.com";		
            $mail->FromName = 'Orawolf';		
            $mail->AddAddress($to);		
            $mail->IsHTML(true);		
            $mail->Subject = $subject;		
            $mail->SMTPSecure = 'ssl';		
            $mail->Body = $msessage;		
            $mail->SMTPOptions= array(			
                'ssl' => array(				
                    'verify_peer' => false,				
                    'verify_peer_name' => false,				
                    'allow_self_signed' => true			
                    )		);
            

            $mail->send();	
            
        } 
        catch (phpmailerException $e) 
        {		
            dd($e);	
            
        } catch (Exception $e) 
        {		dd($e);	
        
        }*/				
       /* $from_name = "Fuelthestore";	
        $from_email = "online@fuelthestore.com"; 	
        $cc = "";	
        $headers  = "MIME-Version: 1.0\r\n";	
        $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";	
        $headers .= "From: $from_name < $from_email >\r\n";			
        $result = mail($to, $subject, $message, $headers);
        */
    }
    function CheckCommonSetupEntries()
    {
        $conn = $GLOBALS["conn"];
        $TotalRecords = 0;
        $qry = "select count(user_id) as Expr1 from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            $rows = mysqli_fetch_assoc($result);
            $TotalRecords = $rows['Expr1'];
        }
        
		$strArray = explode('/',$_SERVER["REQUEST_URI"]);
		$page_name = end($strArray);
		
		/*Enterprise Restriction*/
		$restricted_page_arr = array("feeds.php","clock-inout.php","working-hours.php","ip-address.php","manage-employees.php","employee-scheduling.php","attendance-approval.php","request-timeoff.php","time-card.php","supervisor-workbench.php","leave-absence.php","reports.php","report_employee_schedules.php","report_attendance.php","report-emp-schedule-utilization.php");
		
		if ($TotalRecords>0 && in_array($page_name,$restricted_page_arr) && $_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED")
		{   
			$qry = "select count(employee_id) as Expr1 from cxs_employee where company_id = '".$_SESSION['login_user_array']['company_id']."'";
			$result = mysqli_query($conn,$qry);
			if(mysqli_num_rows($result) > 0)
			{
				$rows = mysqli_fetch_assoc($result);
				$TotalRecords = $rows['Expr1'];
			}
		}
		
		$restricted_common_setup_page_arr = array("manage-holidays.php","manage-users.php","add-manage-users.php","subscriptions.php","tech-support.php","access-controls.php");		
		if ($TotalRecords>0 && in_array($page_name,$restricted_common_setup_page_arr) && $_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED")
		{   
			$user_role = $_SESSION['login_user_array']['user_role'];
			if($user_role!='Admin')
			{
				$TotalRecords = 0;
			}
		}
                
		$restricted_attendance_tracking_page_arr = array("manage-employees.php","add-employee.php","scheduling.php","attendance-approval.php");

		if ($TotalRecords>0 && in_array($page_name,$restricted_attendance_tracking_page_arr) && $_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED")
		{   
			$user_role = $_SESSION['login_user_array']['user_role'];
			if($user_role=='User')
			{
				$TotalRecords = 0;
			}
		}
		/*Enterprise Restriction*/
        
		/*Self Employee Restriction*/
		$restricted_self_emp_attendance_tracking_page_arr = array("access-controls.php","attendance-approval.php","request-timeoff.php","supervisor-workbench.php","leave-absence.php");

		if ($TotalRecords>0 && in_array($page_name,$restricted_self_emp_attendance_tracking_page_arr) && $_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")
		{   
			$TotalRecords = 0;
		}
		/*Self Employee Restriction*/        
        
        return $TotalRecords;
    }
    
    
    function GetIPAddress()
    {
       /* if (!empty($_SERVER['HTTP_CLIENT_IP']))   
        {
          $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
        }
        //whether ip is from proxy
        elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
        {
          $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
        }
        //whether ip is from remote address
        else
        {
          $ipaddress = $_SERVER['REMOTE_ADDR'];
        }*/
       /* $ip = $_SERVER['REMOTE_ADDR'];
        $ipaddress  = gethostbyaddr($ip);*/
        
        $ipaddress = '';
      if (getenv('HTTP_CLIENT_IP'))
          $ipaddress = getenv('HTTP_CLIENT_IP');
      else if(getenv('HTTP_X_FORWARDED_FOR'))
          $ipaddress = getenv('HTTP_X_FORWARDED_FOR');
      else if(getenv('HTTP_X_FORWARDED'))
          $ipaddress = getenv('HTTP_X_FORWARDED');
      else if(getenv('HTTP_FORWARDED_FOR'))
          $ipaddress = getenv('HTTP_FORWARDED_FOR');
      else if(getenv('HTTP_FORWARDED'))
          $ipaddress = getenv('HTTP_FORWARDED');
      else if(getenv('REMOTE_ADDR'))
          $ipaddress = getenv('REMOTE_ADDR');
      else
          $ipaddress = 'UNKNOWN';

        //echo "ipaddress".$ipaddress;
        return $ipaddress;
    }
    
    
function convertStringToOffset($timezone)
    {
        $time = new \DateTime('now', new DateTimeZone($timezone));
        if ($time) 
        {
            $return_value = $time->format('T')." ".$time->format('P');            
            return $return_value;
        }
    }
function GetUserTimeZone($user_id)
{
    $conn = $GLOBALS["conn"];
    $qry = "select * from cxs_user where user_id ='".$user_id."'";
    $result = mysqli_query($conn,$qry);        
    if(mysqli_num_rows($result)>0)    
    {
        $row = mysqli_fetch_assoc($result);
        return $row['user_timezone'];
    }
}    

    function differenceInHours($startdate,$enddate)
    {
        $starttimestamp = strtotime($startdate);
        $endtimestamp = strtotime($enddate);
        $difference = ($endtimestamp - $starttimestamp)/3600;
        
        
        
        
        /*if($difference<0)
        {
            $datetime_diff_Obj = date_diff( date_create($startdate), date_create($enddate));
           echo $hours = $datetime_diff_Obj->h;
            $minutes =  $datetime_diff_Obj->i ;                
            $Total_minutes = $hours*60;
            $Total_minutes += $minutes;
            
            $difference = $hours;
        } */   
        return $difference;        
        //return round($difference,2);
        //return number_format((float)$difference, 2);
    }
     function differenceInMinutes($startdate,$enddate)
    {
        $starttimestamp = strtotime($startdate);
        $endtimestamp = strtotime($enddate);
        $difference = ($endtimestamp - $starttimestamp)/60;
        
      /*  if($difference<0)
        {
            $datetime_diff_Obj = date_diff( date_create($startdate), date_create($enddate));
            $hours = $datetime_diff_Obj->h;
            $minutes =  $datetime_diff_Obj->i ;                
            $Total_minutes = $hours*60;
            $Total_minutes += $minutes;
            
            $difference = $Total_minutes;
        }    
        */
        return $difference;        
    }
    function differenceInDays($startdate,$enddate)
    {
        $startdate = strtotime($startdate);
        $enddate = strtotime($enddate);

        //$days_between = ceil(abs($enddate - $startdate) / 86400);
        
        $datediff = $enddate - $startdate;
        $days_between = round($datediff / (60 * 60 * 24));
        /*
        $datediff = strtotime($enddate) - strtotime($startdate);
        $days_between = round($datediff / (60 * 60 * 24));*/
        $days_between++;
        return $days_between; 
    }
    function check_DateTimebetween_twodt($base_start_time,$base_end_time,$compare_time)
    {
        if (($compare_time >= $base_start_time) && ($compare_time <= $base_end_time))
        {
            $flag = 1;
        }
        else
        {
            $flag = 0;
        }
        return $flag;
    }
    
    function check_DateTimeafter_twodt($base_start_time,$base_end_time,$compare_time)
    {
        if (($compare_time > $base_start_time) && ($compare_time >= $base_end_time))
        {
            $flag = 1;
        }
        else
        {
            $flag = 0;
        }
        return $flag;
    }
    function CalculateTime($times) 
    {
        $i = 0;
        foreach ($times as $time) {
            sscanf($time, '%d:%d', $hour, $min);
            $i += $hour * 60 + $min;
        }

        if($h = floor($i / 60)) {
            $i %= 60;
        }
        return sprintf('%02d:%02d', $h, $i);
    }
    function CheckAllArrayValues($array1,$array2,$array3)
    {
        
        $common_value1 = "";
        $common_value2 = "";
        $common_value3 = "";
        $common_value = "";
        
        if (sizeof($array1) > 0 && array_unique($array1) === array('Approved'))
        {
            $common_value1 = "Approved";
        }
        else if (sizeof($array1) > 0 && array_unique($array1) === array('Rejected'))
        {
            $common_value1 = "Rejected";
        }
        if (sizeof($array2) > 0 && array_unique($array2) === array('Approved'))
        {
            $common_value2 = "Approved";
        }    
        else if (sizeof($array2) > 0 && array_unique($array2) === array('Rejected'))
        {
            $common_value2 = "Rejected";
        }
        if (sizeof($array3) > 0 && array_unique($array3) === array('Approved'))
        {
            $common_value3 = "Approved";
        }
        else if (sizeof($array3) > 0 && array_unique($array3) === array('Rejected'))
        {
            $common_value3 = "Rejected";
        }
        
        if($common_value1!='' && $common_value2!='' && $common_value3!='')
        {
           if(($common_value1==$common_value2) && ($common_value1==$common_value3)) 
           {
               $common_value = $common_value1;
           }
        }
        
        else if($common_value1!='' && $common_value2!='' && $common_value3=='')
        {
           if(($common_value1==$common_value2)) 
           {
               $common_value = $common_value1;
           }
        }
        else if($common_value1!='' && $common_value2=='' && $common_value3!='')
        {
            if(($common_value1==$common_value3)) 
            {
               $common_value = $common_value1;
            }
        }
        
        else if($common_value1!='' && $common_value2=='' && $common_value3=='')
        {
            $common_value = $common_value1;            
        }
        
        else if($common_value1=='' && $common_value2!='' && $common_value3=='')
        {
            $common_value = $common_value2;            
        }
        
        else if($common_value1=='' && $common_value2=='' && $common_value3!='')
        {
            $common_value = $common_value3;
        }
        
        else if($common_value1=='' && $common_value2!='' && $common_value3!='')
        {
           if(($common_value2==$common_value3)) 
           {
               $common_value = $common_value2;
           }
        }
        
        else if($common_value1=='' && $common_value2=='' && $common_value3=='')
        {
            $common_value = "-";
        }
        
        return $common_value;
        
    }
    function AutoApproveAttendanceForSelfEmployed($time_card_id,$currTz)
    {
        $insArr1 = array();
        $insArr1['time_card_id'] = $time_card_id;
        $insArr1['current_status'] = "A";
        $insArr1['status_comment'] = "";
        $insArr1['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:''; 
        $insArr1['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        $insArr1['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        $insArr1['creation_date'] = $curTime; 
        $insArr1['last_update_date'] = $curTime;
        $insArr1['created_timezone'] = $currTz;
        $insArr1['updated_timezone'] = $currTz;

        insertdata("cxs_atnd_clockinout_ar_status",$insArr1);
    }
    
    
    function sendEmail1($to_email, $to_email_name, $subject, $mail_body, $cc="", $bcc="")
    {
	// Load Composer's autoloader
	require 'smtp_email/vendor/autoload.php';	
	// Instantiation and passing `true` enables exceptions
	$mail = new PHPMailer(true);
	
	try {
		//Server settings
		$mail->SMTPDebug = SMTP::DEBUG_OFF;                      // Enable verbose debug output , DEBUG_SERVER
		$mail->isSMTP();                                            // Send using SMTP
		$mail->Host       = 'smtp.gmail.com';                    // Set the SMTP server to send through
		$mail->SMTPAuth   = true;                                   // Enable SMTP authentication
		if($_SERVER['HTTP_HOST'] == 'localhost')
                {
			$mail->Username   = 'applisoft4u@gmail.com';                     // SMTP username
			$mail->Password   = 'appli2008';                               // SMTP password
		}else{
			$mail->Username   = 'applisoft4u@gmail.com';                     // SMTP username
			$mail->Password   = 'appli2008';                               // SMTP password
		}
		
		$mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;         // Enable TLS encryption; `PHPMailer::ENCRYPTION_SMTPS` encouraged
		$mail->Port       = 587;                                    // TCP port to connect to, use 465 for `PHPMailer::ENCRYPTION_SMTPS` above
		
		if($_SERVER['HTTP_HOST'] == 'localhost'){
			//Recipients
			$mail->setFrom('applisoft4u@gmail.com', 'System Admin');
			$mail->addAddress($to_email, $to_email_name);     // Add a recipient
			//$mail->addAddress('jinesh26@gmail.com','Jinesh Shah');               // Name is optional
			$mail->addReplyTo('applisoft4u@gmail.com', 'System Admin');
		}else{
			$to_email = "khyati.cpp@gmail.com";
			//Recipients
			$mail->setFrom('applisoft4u@gmail.com', 'Applisoft Technologies');
			$mail->addAddress($to_email, $to_email_name);     // Add a recipient
			//$mail->addAddress('jinesh26@gmail.com','Jinesh Shah');               // Name is optional
			$mail->addReplyTo('applisoft4u@gmail.com', 'Applisoft Technologies');
			//$cc = "ruchir.vaishnav@gmail.com";
		}
		
		if($cc!=""){
			$mail->addCC($cc);
		}
		if($bcc!=""){
			$mail->addBCC($bcc);
		}
		// Attachments
		//$mail->addAttachment('/var/tmp/file.tar.gz');         // Add attachments
		//$mail->addAttachment('View_From_A_Blue_Moon_Trailer-HD.jpg', 'new_name.jpg');    // Optional name
	
		// Content
		$mail->isHTML(true);                                  // Set email format to HTML
		$mail->Subject = $subject;
		$mail->Body    = $mail_body;
		//$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';
		if(IS_MAIL){
			$mail->send();
		}
		return true;
		//echo 'Message has been sent';
	} catch (Exception $e) {
		//echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
		return false;
	}
}
$current_page = basename($_SERVER['PHP_SELF']);
//echo $current_page;die;
if($current_page!="index.php" && $current_page!="ajax_login_otp.php"){
	checkPageValidation($current_page);
}


function checkPageValidation($page){
	if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
		login_from_cookie();
	}
	/******************Attendance Tracking******************/
	if(
		$page=="feeds.php" || 
		$page=="clock-inout.php" || 
		$page=="ip-address.php" || 
		$page=="manage-employees.php" || 
		$page=="employee-scheduling.php" || 
		$page=="attendance-approval.php" || 
		$page=="request-timeoff.php" || 
		$page=="time-card.php" || 
		$page=="supervisor-workbench.php" || 
		$page=="leave-absence.php" || 
		$page=="reports.php"
	){
		$left_attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		if($left_attendance_flag=="Y"){
			/****For User Role = User Page Restriction****/
			if(
				(
					$_SESSION['login_user_array']['user_role']=="User"
				)
				&&
				(
					$page=="ip-address.php" ||
					$page=="supervisor-workbench.php" ||
					$page=="leave-absence.php"
				)
			){
				header('location:'.SITEURL.'access-denied/');
			}
			/****For User Role = User Page Restriction****/
		}else{
			header('location:'.SITEURL.'access-denied/');
		}
	}
	/******************Attendance Tracking******************/
	/******************Issue Tracking******************/
	else if(
		$page=="it-feeds.php" || 
		$page=="it-issue-log.php" || 
		$page=="it-reports.php"
	){
		$left_issue_tracking_flag = getvalue("cxs_licensed_products","issue_tracking_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		if($left_issue_tracking_flag=="Y"){
		}else{
			header('location:'.SITEURL.'access-denied/');
		}
	}
	/******************Issue Tracking******************/
	/******************Expense******************/
	if(
		$page=="exp-feeds.php" || 
		$page=="exp-types.php" || 
		$page=="exp-setup.php" || 
		$page=="exp-manage-approvals.php" || 
		$page=="exp-enter-exp-report.php" ||
		$page=="exp-spend-analysis.php" ||  
		$page=="expense-reports.php"
	){
		$left_expense_flag = getvalue("cxs_licensed_products","expense_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		if($left_expense_flag=="Y"){
			/****For User Role = User Page Restriction****/
			if(
				(
					$_SESSION['login_user_array']['user_role']=="User"
				)
				&&
				(
					$page=="exp-types.php" ||
					$page=="exp-setup" ||
					$page=="exp-manage-approvals.php"
				)
			){
				header('location:'.SITEURL.'access-denied/');
			}
			/****For User Role = User Page Restriction****/
		}else{
			header('location:'.SITEURL.'access-denied/');
		}
	}
	/******************Expense******************/
	/******************Menu = Projects******************/
	else if(
		$page=="pw-feeds.php" || 
		$page=="manage-teams.php" || 
		$page=="manage-projects.php" || 
		$page=="project-workbench.php" || 
		$page=="project-reports.php"
	){
		$left_projects_flag = getvalue("cxs_licensed_products","projects_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		//if($left_projects_flag=="Y" && ($_SESSION['login_user_array']['user_role']!="User" || $_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")){
		if($left_projects_flag=="Y" || $_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED"){
			if(
				(
					$_SESSION['login_user_array']['user_role']=="User"
				)
				&&
				(
					$page=="manage-teams.php" ||
					$page=="manage-projects.php"
				)
			){
				header('location:'.SITEURL.'access-denied/');
			}
		}else{
			header('location:'.SITEURL.'access-denied/');
		}
	}
	/******************Menu = Projects******************/
	/******************Menu = Time Tracking******************/
	else if(
		$page=="tt-feeds.php" || 
		$page=="tt-create-view-task.php" || 
		$page=="tt-time-entry.php" || 
		$page=="tt-time-keeping.php" || 
		$page=="tt-manage-approvals.php"
	){
		$left_timekeeping_flag = getvalue("cxs_licensed_products","timekeeping_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		if($left_timekeeping_flag=="Y"){
		}else{
			header('location:'.SITEURL.'access-denied/');
		}
	}
	/******************Menu = Time Tracking******************/
	/******************Menu = Invoicing******************/
	else if(
		$page=="inv-manage-invoice.php" || 
		$page=="inv-setup" || 
		$page=="inv-reports.php"
	){
		$left_invoicing_flag = getvalue("cxs_licensed_products","invoicing_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		if($left_invoicing_flag=="Y"){
		}else{
			header('location:'.SITEURL.'access-denied/');
		}
	}
	/******************Menu = Invoicing******************/
}

?>