<?php
    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Current Subscriber</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item"><a href="admin.php">Admin</a></li>
                                          <li class="breadcrumb-item active" aria-current="page">Current Subscriber</li>
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3">Attendance Tracking</h4>
                                        <div>
                                            <button type="button" class="btn btn-sm btn-light mr-2">Add Licenses</button>
                                            <button type="button" class="btn btn-sm btn-light">Add Users</button>
                                        </div>

                                    </div>

                                    <div class="row">
                                        
                                        <div class="col-12">
                                            <div class="d-md-flex mt-2 mb-2 ">
                                                <div class="mr-md-5 mb-4 align-items-center">
                                                    <h2 class="text-primary mb-1 font-weight-bold mb-3">23,342</h2>
                                                    <h4 class="mb-1"><i class="typcn typcn-globe-outline mr-1"></i>Total Subscribers</h4>                                                  
                                                </div>
                                                <div class="mr-md-5 mb-4 align-items-center">
                                                    <h2 class="text-secondary mb-1 font-weight-bold mb-3">13,221</h2>
                                                    <h4 class="mb-1"><i class="typcn typcn-archive mr-1"></i>Licenses Available</h4>
                                                </div>                                            
                                            </div>
                                            
                                            <div class="table-responsive">
                                                <table id="table1" class="table">
                                                    <thead>
                                                      <tr class="table-info">
                                                          <th>Full Name</th>
                                                          <th>User Email</th>
                                                          <th>Next Renewal Date</th>                                                              
                                                          <th>Renew</th>                                                              
                                                      </tr>
                                                    </thead>
                                                    <tfoot>
                                                      <tr>
                                                          <th class="searc">Full Name</th>
                                                          <th class="searc">User Email</th>
                                                          <th class="searc">Next Renewal Date</th>                                                              
                                                          <th></th>                                                              
                                                      </tr>
                                                    </tfoot>
                                                    <tbody>
                                                        <tr>
                                                            <td>Full Name</td>
                                                            <td>email@email.com</td>                                                                
                                                            <td>2012/08/03</td>
                                                            <td>
                                                              <button class="btn btn-outline-primary">Renew</button>
                                                            </td>
                                                        </tr>
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div>    
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
  <!-- endinject -->  
    <script>
        $.fn.textWidth = function(){
  var html_org = $(this).html();
  var html_calc = '<span>' + html_org + '</span>';
  $(this).html(html_calc);
  var width = $(this).find('span:first').width();
  $(this).html(html_org);
  return width;
};

       /* $(document).ready(function()
        {
            $('#table1').on( 'draw.dt', function (e) {
            $('#table1 thead tr th').each(function(idx, ele) {
              var xPos = parseInt((($(ele).width() + $(ele).textWidth()) / 2) + 20);
              $(ele).css('background-position-x',  xPos + 'px')
            })
          });
        
            var table = $('#table1').DataTable({
                    "searching": false,
                    columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
                    "aLengthMenu": [[25, 50, 100, 500, -1], [25, 50, 100, 500, "All"]],
                    "pageLength": 25,		
                    "dom": 'lBfrtip',
                    "buttons": [['excel' ,'pdf']]
                }); 
            table.
		order([sortBy, 'desc'])
		.draw();  
        
        
        });
         */
         
         var table = $('#table1').DataTable({
                "searching": false,
              columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
              "dom": 'lBfrtip',
              "buttons": [['excel' ,'pdf'],{text: 'Email'}]
	}); 
         
        $('#table1 tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () {
		var that = this;

		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
					.search( this.value )
					.draw();
			}
		});
	}); 
        var sortBy = 2;
	table.
		order([sortBy, 'desc'])
		.draw();


    </script>
</body>

</html>
