<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Expense Analysis</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  <script src="vendors/js/vendor.bundle.base.js"></script>
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Expense</li>
                                            <li class="breadcrumb-item active" aria-current="page">Expense Analysis</li>
                                        </ol>
                                    </nav>
                                </div>    
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-4 mb-2">
                                            <label>Team Member</label>
                                            <select class="js-example-basic-single requirefieldcls" name="combo_project_manager" id="combo_project_manager" style="width:100%">
                                                <option class="Red" value="Draft"> John Smith</option>
                                                <option class="Blue" value="Planning"> John Smith1</option>
                                                <option class="Green" value="Execute"> John Smith2</option>
                                                <option class="Yellow" value="Closed"> John Smith3</option>
                                            </select>   
                                        </div>
                                        
                                        <div class="col-md-4 mb-2 mt-4">
                                            <div class="d-flex align-items-center">
                                                <img class="img-sm rounded-circle mb-md-0 " src="images/faces/face3.jpg">
                                                <div class="ml-3">
                                                    <p class="mb-0">John Smith</p>                                                                                    
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 mb-2 text-right mt-4">
                                            <button type="button" class="btn btn-primary btn-sm">Excel</button>
                                            <button type="button" class="btn btn-primary btn-sm">PDF</button>
                                            <button type="button" class="btn btn-primary btn-sm">Email</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>    
                        
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">
                                    <div class="email-wrapper wrapper">
                                        <div class="row align-items-stretch">
                                          
                                            <div class="mail-list-container col-md-3 pt-3 pb-3 border-right bg-white">
                                                <div class="border-bottom pb-0 mb-2 pl-2 pr-2">
                                                  <div class="form-group">
                                                    <input class="form-control w-100" type="search" placeholder="Search mail" id="Mail-rearch">
                                                  </div>
                                                </div>
                                                <div class="mail-list pt-2 pb-2">                                                
                                                    <div class="d-flex">
                                                        <div class="form-check"> <label class="form-check-label"> <input type="checkbox" class="form-check-input"> </label></div>
                                                        <label class="ml-3 mt-2">All Expenditure Types</label>
                                                    </div>                                                
                                                </div>
                                                <?php for ($i=1;$i<=100;$i++) { ?>
                                                    <div class="mail-list pt-2 pb-2">
                                                        <div class="d-flex">
                                                            <div class="form-check"> <label class="form-check-label"> <input type="checkbox" class="form-check-input"> </label></div>
                                                            <label class="ml-3 mt-2">Expenditure Type</label>
                                                        </div>                                                
                                                    </div>
                                                <?php } ?>

                                            </div>
                                            
                                            
                                            <div class="mail-view d-none d-md-block col-md-9 col-lg-7 bg-white">
                                                
                                                <div class="row">
                                                    <div class="d-flex flex-wrap justify-content-between">
                                                        <h4 class="card-title mb-3 mt-2 ml-3">By Pay Period</h4>
                                                    </div>
                                                    <div class="col-md-12 mb-4 mt-4">
                                                        <div class="">By Pay Period</div>
                                                    </div>
                                                    
                                                </div>
                                            </div>    
                                            
                                      </div>
                                </div>
                            </div>
                       </div>     
                        
                    </div>    
                </div>
            </div>
        </div>    
    </div>
     
     <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
    
    <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
  <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>     
    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script> 
    
    <script src="js/custom.js"></script>