<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Expense Reports</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/dropify/dropify.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Expense</li>
										<li class="breadcrumb-item active" aria-current="page">Reports</li>
									</ol>
								</nav>
								<div class=" border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Reports</h4>
										
									</div>
									<div class="row">
										<div class="col-md-5">
											<div class="form-group">
												<div class="mr-5 mb-4">
													<ul class="expense-report-list">
														<li>
															<a href="<?php echo SITEURL."expense-tracking/reports/expense-entry/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Print Expense Report</a>
															<a href="<?php echo SITEURL."expense-tracking/reports/expense-entry/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														<li>
															<a href="<?php echo SITEURL."expense-tracking/reports/expenditure-details/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Expenditure Detail Report</a>
															<a href="<?php echo SITEURL."expense-tracking/reports/expenditure-details/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
														<li>
															<a href="<?php echo SITEURL."expense-tracking/reports/project-expenditure/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Expenditure Report</a>
															<a href="<?php echo SITEURL."expense-tracking/reports/project-expenditure/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
														</li>
													</ul>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/dropify/dropify.min.js"></script>
<script src="<?php echo SITEURL; ?>js/dropify.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>    
$(document).ready(function()
{
	/*$('#table1').dataTable({
	  "searching": false,
	  "paging": true,
	  "ordering": false
	});*/ 
});   


$("#cmdAddIpAddr").click(function()
{
	form_element_correct($("#Ipaddr1"));
	form_element_correct($("#Ipaddr2"));
	form_element_correct($("#Ipaddr3"));
	form_element_correct($("#Ipaddr4"));
	
	if($("#Ipaddr1").val()== "" )
	{
		//form_element_empty_err($("#Ipaddr1"));
		$("#Ipaddr1").addClass('error_ele');
		$("#Ipaddr1").after('<span role="alert" class="not-valid-tip">require</span>');
		$("#Ipaddr1").focus();
		return false;
	}
	
	if($("#Ipaddr2").val()== "" )
	{
		//form_element_empty_err($("#Ipaddr2"));
		$("#Ipaddr2").addClass('error_ele');
		$("#Ipaddr2").after('<span role="alert" class="not-valid-tip">require</span>');
		$("#Ipaddr2").focus();
		return false;
	}
	
	if($("#Ipaddr3").val()== "" )
	{
		//form_element_empty_err($("#Ipaddr3"));
		$("#Ipaddr3").addClass('error_ele');
		$("#Ipaddr3").after('<span role="alert" class="not-valid-tip">require</span>');
		$("#Ipaddr3").focus();
		return false;
	}
	
	if($("#Ipaddr4").val()== "" )
	{
		//form_element_empty_err($("#Ipaddr4"));
		$("#Ipaddr4").addClass('error_ele');
		$("#Ipaddr4").after('<span role="alert" class="not-valid-tip">require</span>');
		$("#Ipaddr4").focus();
		return false;
	}
	
	
   /* && $("#Ipaddr2").val()== "" && $("#Ipaddr3").val()== "" && $("#Ipaddr4").val()== ""*/

	var ipaddr = $("#Ipaddr1").val()+"."+$("#Ipaddr2").val()+"."+$("#Ipaddr3").val()+"."+$("#Ipaddr4").val();
	var rowCount = $('#table1 tr').length;
	var row = "<tr><td>"+rowCount+"</td><td>"+ipaddr+"</td></tr>";
	$("#table1 tbody").append(row);
	clear_ipaddr_fields();
	$("#Ipaddr1").focus();
});


function clear_ipaddr_fields()
{
	$("#Ipaddr1").val('');
	$("#Ipaddr2").val('');
	$("#Ipaddr3").val('');
	$("#Ipaddr4").val('');
}

(function($) {
	'use strict';
	$(function() {
	  $('.file-upload-browse').on('click', function() {
		var file = $(this).parent().parent().parent().find('.file-upload-default');
		file.trigger('click');
	  });
	  $('.file-upload-default').on('change', function() {
		$(this).parent().find('.form-control').val($(this).val().replace(/C:\\fakepath\\/i, ''));
	  });
	});
})(jQuery);


    </script>

</body>
</html>
