<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
//print_r($_SESSION['login_user_array']['user_role'] );die;
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Setup Expense Report Approvals</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
</head>
<body class="sidebar-light sidebar-icon-only exp-setup-pg">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Expense</li>
										<li class="breadcrumb-item">Setup</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
					<form id="exp_setup_form" class="col-xl-12" method="post">
						<!-- table 2-->
						<div class="d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="d-flex flex-wrap justify-content-between">
										<h4 class="card-title">Following Users can Approve Expense Reports</h4>
									</div>
									<div class="table-responsive">
										<table class="table table-bordered" id="table_approve_expense">
											<thead>
												<tr class="table-info">
													<th>Photo</th>
													<th>Full Name</th>
													<th>Email</th>
													<th>Action</th>
												</tr>
											</thead>
											<tfoot>
												<tr>
													<th></th>
													<th class="searc">Full Name</th>
													<th class="searc">Email</th>
													<th></th>
												</tr>
											</tfoot>                                                    
											<tbody>
												<?php
												$qry = "SELECT 
															*, 
															( SELECT cxs_expense_approval_emp.Expense_Approval_Flag FROM cxs_expense_approval_emp WHERE cxs_expense_approval_emp.User_Id = cxs_user.user_id and cxs_expense_approval_emp.company_id = '".$_SESSION['login_user_array']['company_id']."' ) as expr_flag, 
															( SELECT cxs_licensed_products.expense_flag FROM cxs_licensed_products WHERE cxs_licensed_products.user_id = cxs_user.user_id AND cxs_licensed_products.company_id = '".$_SESSION['login_user_array']['company_id']."' ) as expense_flag
														FROM 
															cxs_user
														WHERE 
															company_id = '".$_SESSION['login_user_array']['company_id']."' AND (user_role = 'Manager' OR user_role = 'Admin') 
														ORDER BY 
															full_name
													";
												$result = mysqli_query($conn,$qry);
												if(mysqli_num_rows($result)>0){
													while($row = mysqli_fetch_assoc($result)){
														$user_id 	= $row['user_id'];
														$image_name = $row['image_name'];
														$full_name 	= $row['full_name'];
														$user_email = $row['user_email'];
														$Expense_Approval_Flag = $row['expr_flag'];
														$expense_flag = $row['expense_flag'];
														if($expense_flag!="Y"){
															continue;
														}
														if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
															$user_img_url = SITEURL."img/uploads/user_images/".$image_name;
														}else{
															$user_img_url = SITEURL."images/faces/default_face.png";
														}
													?>
													<tr>
														<td>
															<div class="d-flex">
																<img class="img-sm rounded-circle mr-2" src="<?php echo $user_img_url; ?>" width="100" alt="">
															</div>
														</td>
														<td><?php echo $full_name; ?></td>
														<td><?php echo $user_email; ?></td>
														<td class="text-center">
															<div class="form-check">
																<label class="form-check-label">
																<input type="checkbox" class="form-check-input" name="check_approve_expense_<?php echo $user_id; ?>" id="check_approve_expense_<?php echo $user_id; ?>" value="1" <?php if($Expense_Approval_Flag!="" && $Expense_Approval_Flag=="Y"){ ?> checked <?php } ?> <?php echo ($_SESSION['login_user_array']['user_role']!="Admin")?"disabled":""; ?>>
																<i class="input-helper"></i></label>
															</div>
														</td>
													</tr>
													<?php 
													}
												} 
												?>
											</tbody>
										</table>
									</div>
									<div class="row" id="msg_save" style="display:none;">
										<div class="col-md-12 text-center mt-4">
											<label class="badge badge-info">Record has been updated.</label>
										</div>
									</div>
								</div>
							</div>
						</div>
					</form>
				</div>
				<?php
				if($_SESSION['login_user_array']['user_role']=='Admin'){
				?>
				<div class="text-right">
					<button class="btn btn-primary btn-sm" id="btnSave">Save</button>
				</div>
				<?php
				}
				?>
			</div>
		</div>
	</div>
</div>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<!-- endinject -->
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<script>
var table = $('#table_approve_expense').DataTable({
	"paging":   false,
	"ordering": false,
	"info":     false
});
$('#table_approve_expense_filter').hide();
$('.table tfoot th.searc').each( function () {
	var title = $(this).text();
	$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
});  
table.columns().every( function () 
	 {
	var that = this;
	$( 'input', this.footer() ).on( 'keyup change', function () {
		if ( that.search() !== this.value ) {
			that
			.search( this.value )
			.draw();
		}
	});
});  
<?php
if($_SESSION['login_user_array']['user_role']=='Admin'){
?>
$("#btnSave").click(function(){
	var formdata = $('#exp_setup_form').serialize(); 
	
	$.ajax({
		url: SITEURL+"aj/expenses/",
		method: "POST",
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		data: {REQUEST: 'save_exp_setup_data',form1: formdata},
		success: function (response){ 
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#msg_save").show().delay(5000).fadeOut();  
			},1000);
		}
	});
});
<?php
}
?>
</script>
</body>
</html>
