<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
$employee_id 	= 0;

$user_role 		= $_SESSION['login_user_array']['user_role'];

if($user_role=='Manager'){
	$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Expense Spend Analysis</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<link href="<?php echo SITEURL; ?>vendors/morris.js/morris.css" rel="stylesheet"/>
<style>
.flot-chart {
    top: 0 !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper exp-spend-analysis">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Expense</li>
										<li class="breadcrumb-item active" aria-current="page">Expense Spend Analysis</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="email-wrapper wrapper">
									<div class="row align-items-stretch">
										<div class="mail-list-container col-md-2 border-right border-bottom bg-white">
											<div class="accordion" id="accordion" role="tablist">
												<div class="">
													<div class="" role="tab" id="heading-1">
														<div class="exp-spend-analysis-left">
															<div class="left-title">
																<div class="form-check">
																	<label class="form-check-label">
																	<input type="checkbox" class="form-check-input check_all" data-cls="check_all_emp" name="check_all_emp" id="check_all_emp">
																	By Employee<i class="input-helper"></i>
																	</label>
																</div>
																<a data-toggle="collapse" href="#collapse-1" aria-expanded="true" aria-controls="collapse-1" onClick="updateFilterDiv();"> &nbsp;</a>
															</div>
														</div>
													</div>
													<div id="collapse-1" class="collapse show" role="tabpanel" aria-labelledby="heading-1" data-parent="#accordion">
														<div class="mail-list mb-4 border-top">
																<div class="row">
																	<div class="col-md-12">
																		<div class="exp-spend-analysis-left">
																			<div class="add-items d-flex">
																				<input type="text" id="text_search_by_emp" name="text_search_by_emp" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_emp">
																			</div>
																			<div class="new-list-wrapper">
																				<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_emp">
																					<?php
																					$where = " WHERE company_id='".$_SESSION['login_user_array']['company_id']."'";
																					if($user_role=="Manager"){
																						$where .= " AND (supervisor_id='".$employee_id."' OR user_id='".$_SESSION['login_user_array']['user_id']."')";
																					}else if($user_role=="User"){
																						$where .= " AND user_id='".$_SESSION['login_user_array']['user_id']."'";
																					}
																					$selectQuery 	= "SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";		
																					$RunUserQuery	= mysqli_query($conn, $selectQuery);
																					$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																					if($StdNumRows>0){
																						while($rows=mysqli_fetch_assoc($RunUserQuery)){
																							$user_id 	= $rows["user_id"];
																							$employee_id= $rows["employee_id"];
																							$full_name 	= $rows["first_name"]." ".$rows["last_name"];
																							
																						?>
																						<li class="<?php echo strtolower(str_replace(" ","-",$full_name)); ?>">
																							<div class="form-check">
																								<label class="form-check-label">
																									<input class="checkbox check_all_emp check_single" data-single_cls="check_all_emp" type="checkbox" name="check_employee_user_id" value="<?php echo $user_id; ?>">
																									<?php echo $full_name; ?>
																								</label>
																							</div>
																						</li>
																						<?php 
																						}
																					}
																					?>
																				</ul>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
													</div>
												</div>
												<div class="">
													<div class="" role="tab" id="heading-2">
														<div class="exp-spend-analysis-left">
															<div class="left-title">
																<div class="form-check">
																	<label class="form-check-label">
																	<input type="checkbox" class="form-check-input check_all" data-cls="check_all_exp_type" name="check_all_exp_type" id="check_all_exp_type">
																	By Expenditure Type<i class="input-helper"></i>
																	</label>
																</div>
																<a class="collapsed" data-toggle="collapse" href="#collapse-2" aria-expanded="false" aria-controls="collapse-2" onClick="updateFilterDiv();">&nbsp;</a> 
															</div>
														</div>
													</div>
													<div id="collapse-2" class="collapse" role="tabpanel" aria-labelledby="heading-2" data-parent="#accordion">
														<div class="mail-list mb-4">
															<div class="row">
																<div class="col-md-12">
																	<div class="exp-spend-analysis-left border-top">
																		<div class="add-items d-flex">
																			<input type="text" id="text_search_by_exp_type" name="text_search_by_exp_type" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_exp_type">
																		</div>
																		<div class="new-list-wrapper">
																			<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_exp_type">
																				<?php
																				$selectQuery 	= "SELECT * FROM `cxs_expenditure_types` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY exp_type_name ASC";
																				$RunUserQuery	= mysqli_query($conn, $selectQuery);
																				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																				if($StdNumRows>0){
																					while($rows=mysqli_fetch_assoc($RunUserQuery)){
																						$expenditure_id = $rows['expenditure_id'];
																						$exp_type_name	= stripslashes($rows['exp_type_name']);
																					?>
																					<li class="<?php echo strtolower(str_replace(" ","-",$exp_type_name)); ?>">
																						<div class="form-check">
																							<label class="form-check-label">
																								<input class="checkbox check_single check_all_exp_type" data-single_cls="check_all_exp_type" type="checkbox" name="check_expenditure_id" value="<?php echo $expenditure_id; ?>">
																								<?php echo $exp_type_name; ?>
																							</label>
																						</div>
																					</li>
																					<?php 
																					}
																				}
																				?>
																			</ul>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="">
													<div class="" role="tab" id="heading-3">
														<div class="exp-spend-analysis-left">
															<div class="left-title">
																<div class="form-check">
																	<label class="form-check-label">
																	<input type="checkbox" class="form-check-input check_all" data-cls="check_all_pay_period" name="check_all_pay_period" id="check_all_pay_period">
																	By Pay Period<i class="input-helper"></i>
																	</label>
																</div>
																<a class="collapsed" data-toggle="collapse" href="#collapse-3" aria-expanded="false" aria-controls="collapse-3" onClick="updateFilterDiv();">&nbsp;</a>
															</div>
														</div>
													</div>
													<div id="collapse-3" class="collapse" role="tabpanel" aria-labelledby="heading-3" data-parent="#accordion">
														<div class="mail-list mb-4">
															<div class="row">
																<div class="col-md-12">
																	<div class="exp-spend-analysis-left border-top">
																		
																		<div class="add-items d-flex">
																			<input type="text" id="text_search_by_exp_type" name="text_search_by_exp_type" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_pay_period">
																		</div>
																		<div class="new-list-wrapper">
																			<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_pay_period">
																				<?php
																				$selectQuery 	= "SELECT DISTINCT pay_period FROM `cxs_expense_entry_header` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY pay_period ASC";
																				$RunUserQuery	= mysqli_query($conn, $selectQuery);
																				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																				if($StdNumRows>0){
																					while($rows=mysqli_fetch_assoc($RunUserQuery)){
																						$pay_period	= stripslashes($rows['pay_period']);
																					?>
																					<li class="<?php echo strtolower(str_replace(" ","-",$pay_period)); ?>">
																						<div class="form-check">
																							<label class="form-check-label">
																								<input class="checkbox check_all_pay_period check_single" data-single_cls="check_all_pay_period" type="checkbox" name="check_pay_period" value="<?php echo $pay_period; ?>">
																								<?php echo $pay_period; ?>
																							</label>
																						</div>
																					</li>
																					<?php 
																					}
																				}
																				?>
																			</ul>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="">
													<div class="" role="tab" id="heading-4">
														<div class="exp-spend-analysis-left">
															<div class="left-title">
																<div class="form-check">
																	<label class="form-check-label">
																	<input type="checkbox" class="form-check-input check_all" data-cls="check_all_projects" name="check_all_projects" id="check_all_projects">
																	By Projects<i class="input-helper"></i>
																	</label>
																</div>
																<a class="collapsed" data-toggle="collapse" href="#collapse-4" aria-expanded="false" aria-controls="collapse-4" onClick="updateFilterDiv();">&nbsp;</a>
															</div>
														</div>
													</div>
													<div id="collapse-4" class="collapse" role="tabpanel" aria-labelledby="heading-4" data-parent="#accordion">
														<div class="mail-list mb-4">
																<div class="row">
																	<div class="col-md-12">
																		<div class="exp-spend-analysis-left border-top">
																			<div class="add-items d-flex">
																				<input type="text" id="text_search_by_projects" name="text_search_by_projects" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_projects">
																			</div>
																			<div class="new-list-wrapper">
																				<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_project">
																					<?php
																					$where_project = "";
																					if($user_role=="User"){
																						$where_project = "
																							AND
																							(
																								project_id 
																									IN 
																									(
																										SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN  (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
																									)
																								OR
																								project_id 
																									IN 
																									(
																										SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
																									)
																							)
																						";
																					}
																					$selectQuery 	= "
																						SELECT 
																							*
																						FROM 
																							`cxs_projects` 
																						WHERE 
																							company_id='".$_SESSION['login_user_array']['company_id']."' 
																							$where_project
																						ORDER BY 
																							project_number
																					";
																					$RunUserQuery	= mysqli_query($conn, $selectQuery);
																					$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																					if($StdNumRows>0){
																						while($rows=mysqli_fetch_assoc($RunUserQuery)){
																							$project_id		= $rows['project_id'];
																							$project_number	= $rows['project_number'];
																							$project_name	= $rows['project_name'];
																							$project = $project_number.":".$project_name;
																						?>
																						<li class="<?php echo strtolower(str_replace(" ","-",$project)); ?>">
																							<div class="form-check">
																								<label class="form-check-label">
																									<input class="checkbox check_all_project check_single" data-single_cls="check_all_project" type="checkbox" name="check_project" value="<?php echo $project_id; ?>">
																									<?php echo $project; ?>
																								</label>
																							</div>
																						</li>
																						<?php 
																						}
																					}
																					?>
																				</ul>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
													</div>
												</div>
												<div class="">
													<div class="" role="tab" id="heading-5">
														<div class="exp-spend-analysis-left">
															<div class="left-title">
																<div class="form-check">
																	<label class="form-check-label">
																	<input type="checkbox" class="form-check-input check_all" data-cls="check_all_status" name="check_all_status" id="check_all_status">
																	By Status<i class="input-helper"></i>
																	</label>
																</div>
																<a class="collapsed" data-toggle="collapse" href="#collapse-5" aria-expanded="false" aria-controls="collapse-5" onClick="updateFilterDiv();">&nbsp;</a>
															</div>
														</div>
													</div>
													<div id="collapse-5" class="collapse" role="tabpanel" aria-labelledby="heading-5" data-parent="#accordion">
														<div class="mail-list mb-4">
															<div class="row">
																<div class="col-md-12">
																	<div class="exp-spend-analysis-left border-top">
																		<div class="add-items d-flex">
																			<input type="text" id="text_search_by_exp_type" name="text_search_by_status" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_status">
																		</div>
																		<div class="new-list-wrapper">
																			<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_status">
																				<?php
																				$selectQuery 	= "SELECT DISTINCT action_type FROM `cxs_approval_activity` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY action_type DESC";
																				$RunUserQuery	= mysqli_query($conn, $selectQuery);
																				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																				if($StdNumRows>0){
																					while($rows=mysqli_fetch_assoc($RunUserQuery)){
																						$action_type	= ucwords(strtolower($rows['action_type']));
																					?>
																					<li class="<?php echo strtolower(str_replace(" ","-",$action_type)); ?>">
																						<div class="form-check">
																							<label class="form-check-label">
																								<input class="checkbox check_all_status check_single" data-single_cls="check_all_status" type="checkbox" name="check_status" value="<?php echo $action_type; ?>">
																								<?php echo $action_type; ?>
																							</label>
																						</div>
																					</li>
																					<?php 
																					}
																				}
																				?>
																			</ul>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<?php if($user_role=="Admin"){ ?>
												<div class="">
													<div class="" role="tab" id="heading-6">
														<div class="exp-spend-analysis-left">
															<div class="left-title">
																<div class="form-check">
																	<label class="form-check-label">
																	<input type="checkbox" class="form-check-input check_all" data-cls="check_all_approver" name="check_all_approver" id="check_all_approver">
																	By Approver<i class="input-helper"></i>
																	</label>
																</div>
																<a class="collapsed" data-toggle="collapse" href="#collapse-6" aria-expanded="false" aria-controls="collapse-6" onClick="updateFilterDiv();">&nbsp;</a>
															</div>	
														</div>		
													</div>
													<div id="collapse-6" class="collapse" role="tabpanel" aria-labelledby="heading-6" data-parent="#accordion">
														<div class="mail-list mb-4 border-top">
															<div class="row">
																<div class="col-md-12">
																	<div class="exp-spend-analysis-left">
																		
																		<div class="add-items d-flex">
																			<input type="text" id="text_search_by_approver" name="text_search_by_approver" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_approver">
																		</div>
																		<div class="new-list-wrapper">
																			<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_approver">
																				<?php
																				//$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_role='Manager'";
																				$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id IN (SELECT User_Id FROM `cxs_expense_approval_emp` WHERE cxs_expense_approval_emp.User_Id=cxs_user.user_id AND cxs_expense_approval_emp.Expense_Approval_Flag='Y') AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY full_name ASC";
																				$RunUserQuery	= mysqli_query($conn, $selectQuery);
																				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																				if($StdNumRows>0){
																					while($rows=mysqli_fetch_assoc($RunUserQuery)){
																						$user_id 	= $rows["user_id"];
																						$full_name 	= $rows["full_name"];
																						
																					?>
																					<li class="<?php echo strtolower(str_replace(" ","-",$full_name)); ?>">
																						<div class="form-check">
																							<label class="form-check-label">
																								<input class="checkbox check_all_approver check_single" data-single_cls="check_all_approver" type="checkbox" name="check_approver_user_id" value="<?php echo $user_id; ?>">
																								<?php echo $full_name; ?>
																							</label>
																						</div>
																					</li>
																					<?php 
																					}
																				}
																				?>
																			</ul>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<?php } ?>
											</div>
											
										</div>
										<div class="mail-view d-none d-md-block col-md-10 col-lg-10 bg-white">
											<?php /*?><div class="d-flex flex-wrap justify-content-between">
												<h4 class="card-title mb-3 mt-2 ml-3">By Pay Period</h4>
											</div><?php */?>
											<div class="row">
												<div class="col-md-4">
													<label>Chart Type</label>
													<select id="combo_chart_type" name="combo_chart_type" class="form-control js-example-basic-single" onChange="getChartData('chart_data');" style="width:100%;">
														<option value="">--Please Select--</option>
														<!--<option value="line_chart">Line Chart</option>-->
														<option value="bar_chart">Bar Chart</option>
														<option value="pie_chart">Pie Chart</option>
													</select>
												</div>
												<div class="col-md-4">
													<label>Group By</label>
													<select id="combo_group_by" name="combo_group_by" class="form-control js-example-basic-single" onChange="getChartData('chart_data');" style="width:100%;">
														<option value="">--Please Select--</option>
														<option value="user_id">Employee</option>
														<option value="expenditure_id">Expenditure Type</option>
														<option value="pay_period">Pay Period</option>
														<option value="project">Projects</option>
														<option value="status">Status</option>
														<?php if($user_role=="Admin"){ ?>
														<option value="approved_by_user_id ">Supervisor</option>
														<?php } ?>
													</select>
												</div>
												<div class="col-md-1">
													<button type="button" id="cmdRefresh" class="btn btn-primary btn-icon btn-rounded mt-4"><i class="fa fa-refresh"></i></button>
												</div>
											</div>
											<div class="row">
												<div class="col-md-12 mb-4 mt-4">
													<div class="row">
														<div class="col-md-12">
															<div id="chart_exp_types"></div>
															<div id="previewImage" style="display:none;"></div>
														</div>
													</div>
													<div class="row">
														<div class="col-md-12 text-center">
															<button type="button" id="btn_data_table" class="btn btn-info btn-rounded btn-fw d-none mt-5">View Data Grid</button>
														</div>
													</div>
													
													<div id="chart_exp_types_data_table" class="mt-5"></div>
													
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- main-panel ends -->
</div>

<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/raphael/raphael.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/morris.js/morris.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.resize.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.categories.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.fillbetween.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.stack.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.pie.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>

<script>
$(function() {
  'use strict';
  	if ($('#chart_payperiod_1').length) {
    Morris.Line({
      element: 'chart_payperiod_1',
      lineColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: '2010',
          a: 100,
          b: 150
        },
        {
          y: '2011',
          a: 75,
          b: 65
        },
        {
          y: '2012',
          a: 50,
          b: 40
        },
        {
          y: '2013',
          a: 75,
          b: 65
        },
        {
          y: '2014',
          a: 50,
          b: 40
        },
        {
          y: '2015',
          a: 75,
          b: 65
        }
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b'],
      labels: ['Expenditure Type 1', 'Expenditure Type 2'],
      xLabelFormat: function(x) { return ''; }
    });
  }
  
  	if ($("#chart_project_1").length) {
    Morris.Bar({
      element: 'chart_project_1',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: '2006',
          a: 100,
          b: 90
        },
        {
          y: '2007',
          a: 75,
          b: 65
        },
        {
          y: '2008',
          a: 50,
          b: 40
        },
        {
          y: '2009',
          a: 75,
          b: 65
        },
        {
          y: '2010',
          a: 50,
          b: 40
        },
        {
          y: '2011',
          a: 75,
          b: 65
        },
        {
          y: '2012',
          a: 100,
          b: 90
        }
      ],
      xkey: 'y',
      ykeys: ['a', 'b'],
      labels: ['Series A', 'Series B']
    });
  }
  
  	if ($("#chart_project_2").length) {
    Morris.Bar({
      element: 'chart_project_2',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: '2006',
          a: 100,
          b: 90
        },
        {
          y: '2007',
          a: 75,
          b: 65
        },
        {
          y: '2008',
          a: 50,
          b: 40
        },
        {
          y: '2009',
          a: 75,
          b: 65
        },
        {
          y: '2010',
          a: 50,
          b: 40
        },
        {
          y: '2011',
          a: 75,
          b: 65
        },
        {
          y: '2012',
          a: 100,
          b: 90
        }
      ],
      xkey: 'y',
      ykeys: ['a', 'b'],
      labels: ['Series A', 'Series B']
    });
  }
  
  	if ($("#chart_project_3").length) {
    Morris.Bar({
      element: 'chart_project_3',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: '2006',
          a: 100,
          b: 90
        },
        {
          y: '2007',
          a: 75,
          b: 65
        },
        {
          y: '2008',
          a: 50,
          b: 40
        },
        {
          y: '2009',
          a: 75,
          b: 65
        },
        {
          y: '2010',
          a: 50,
          b: 40
        },
        {
          y: '2011',
          a: 75,
          b: 65
        },
        {
          y: '2012',
          a: 100,
          b: 90
        }
      ],
      xkey: 'y',
      ykeys: ['a', 'b'],
      labels: ['Series A', 'Series B']
    });
  }
  
  	var data = [
		{
			data: 18000,
			color: '#FABA66',
			label: 'Linda'
		},
		{
			data: 20000,
			color: '#F36368',
			label: 'John'
		}
	];
  
  	if ($("#chart_status_payperiod1").length) {
    $.plot("#chart_status_payperiod1", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 4,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
	
	if ($("#chart_status_payperiod2").length) {
    $.plot("#chart_status_payperiod2", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 4,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  	
	if ($("#chart_status_payperiod3").length) {
    $.plot("#chart_status_payperiod3", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 4,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  	
	if ($("#chart_exp_type1").length) {
    $.plot("#chart_exp_type1", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 4,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  	if ($("#chart_exp_type2").length) {
    $.plot("#chart_exp_type2", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 4,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  	if ($("#chart_exp_type3").length) {
    $.plot("#chart_exp_type3", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 4,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
});
function labelFormatter(label, series) {
	return "<div style='font-size:8pt; text-align:center; padding:2px; color:white;'>" + label + "<br/>" + Math.round(series.percent) + "%</div>";
}
</script>
<script type="text/javascript">
$('.search_txt').on('keyup', function () {
	var search_ul_id = $(this).data("search_ul_id");
	$('#'+search_ul_id+' li').removeClass("li-show").addClass("li-hide");
	var str = $(this).val();
	str = str.replace(" ","-");
	$('#'+search_ul_id+' li[class*="'+str+'"]').removeClass("li-hide").addClass("li-show");
	//alert(str);
	if(str.length == 0) {
		$('#'+search_ul_id+' li').removeClass("li-hide").addClass("li-show");
	}
});
$(".new-list-wrapper").mCustomScrollbar({  // custom scroll bar plugin
	theme:"light-2",  // custom scroll theme set
	axis: "y",     // custom scroll ver,hor scroll
});
/*********************************************/
function updateFilterDiv(){
	$(".new-list-wrapper .mCustomScrollBox").css("max-height","320px");
}
/*********************************************/
$("#cmdRefresh").click(function(){
	if($("#combo_chart_type").val()!="" && $("#combo_group_by").val()!=""){
		$(".fa-refresh").addClass("fa-spin");
		getChartData('chart_data');
	}
});
function getChartData(t){
	var combo_chart_type 	= $("#combo_chart_type").val();
	var combo_group_by 		= $("#combo_group_by").val();
	
	var check_employee_user_id = new Array();
	$("input:checkbox[name=check_employee_user_id]:checked").each(function() { 
	   check_employee_user_id.push($(this).val());
	});
	
	var check_expenditure_id = new Array();
	$("input:checkbox[name=check_expenditure_id]:checked").each(function() { 
	   check_expenditure_id.push($(this).val());
	});
	
	var check_pay_period = new Array();
	$("input:checkbox[name=check_pay_period]:checked").each(function() { 
	   check_pay_period.push($(this).val());
	});
	
	var check_project = new Array();
	$("input:checkbox[name=check_project]:checked").each(function() { 
	   check_project.push($(this).val());
	});
	
	var check_status = new Array();
	$("input:checkbox[name=check_status]:checked").each(function() { 
	   check_status.push($(this).val());
	});
	
	var check_approver_user_id = new Array();
	if($("input:checkbox[name=check_approver_user_id]").length){
		$("input:checkbox[name=check_approver_user_id]:checked").each(function() { 
		   check_approver_user_id.push($(this).val());
		});
	}
	
	if(combo_chart_type!="" && combo_group_by!=""){
		if(t=="chart_data"){
			$.ajax({
				type: 'post',
				url: SITEURL+"aj/expenses/",
				data: {REQUEST: 'get_chart_data',data_type:'exp_type',combo_chart_type1:combo_chart_type,combo_group_by1:combo_group_by,check_employee_user_id1:check_employee_user_id,check_expenditure_id1:check_expenditure_id,check_pay_period1:check_pay_period,check_project1:check_project,check_status1:check_status,check_approver_user_id1:check_approver_user_id},
				beforeSend: function() {
					$("#btn_data_table").addClass("d-none");
					$("#chart_exp_types").html("");
					$("#chart_exp_types_data_table").html("");
					$(".rploader").fadeIn(800);
				},
				success: function(response){
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						$(".fa-refresh").removeClass("fa-spin");
						if(response.succ=='1'){
							$("#btn_data_table").removeClass("d-none");
							setChartData(combo_chart_type,response);
						}else{
							alert("Data not found.");
						}
					},1000);
				}
			});
		}else if(t=="table_data"){
			$.ajax({
				type: 'post',
				url: SITEURL+"aj/expenses/",
				data: {REQUEST: 'get_chart_table_data',is_html:true,data_type:'exp_type',combo_chart_type1:combo_chart_type,combo_group_by1:combo_group_by,check_employee_user_id1:check_employee_user_id,check_expenditure_id1:check_expenditure_id,check_pay_period1:check_pay_period,check_project1:check_project,check_status1:check_status,check_approver_user_id1:check_approver_user_id},
				beforeSend: function() {
					$(".rploader").fadeIn(800);
					$("#chart_exp_types_data_table").html("");
				},
				success: function(response){
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						$("#btn_data_table").addClass("d-none");
						$("#chart_exp_types_data_table").html(response);
						setDataTable('#chart_table_data');
					},1000);
				}
			});
		}
	}
}

function setChartData(combo_chart_type,response){
	$("#chart_exp_types").removeClass("flot-chart");
	$("#chart_exp_types").removeClass("flot-chart-height");
	
	if(combo_chart_type=='bar_chart'){
		if($("#chart_exp_types").length) {
			Morris.Bar({
				element: 'chart_exp_types',
				data:response.data_arr,
				xkey: 'exp_type',
				ykeys: ['amount'],
				labels: ['Expenditure Types Expense']
			});
			setTimeout(function(){
				$(".pieLabelBackground").remove();
				$(".pieLabel").remove();
			},100);
		}
	}else if(combo_chart_type=='line_chart'){
		if($("#chart_exp_types").length) {
			/*Morris.Line({
				element: 'chart_exp_types',
				data: [{
				  y: '2010',
				  a: 100,
				  b: 150
				},
				{
				  y: '2011',
				  a: 75,
				  b: 65
				},
				{
				  y: '2012',
				  a: 50,
				  b: 40
				},
				{
				  y: '2013',
				  a: 75,
				  b: 65
				},
				{
				  y: '2014',
				  a: 50,
				  b: 40
				},
				{
				  y: '2015',
				  a: 75,
				  b: 65
				}
				
			  ],
			  xkey: 'y',
			  ykeys: ['a', 'b'],
			  labels: ['Expenditure Type 1', 'Expenditure Type 2'],
			  xLabelFormat: function(x) { return ''; }
			});*/
		}
	}else if(combo_chart_type=='pie_chart'){
		$("#chart_exp_types").addClass("flot-chart");
		$("#chart_exp_types").addClass("flot-chart-height");
		if($("#chart_exp_types").length) {
			$.plot("#chart_exp_types", response.data_arr, {
				series: {
					pie: {
						show: true,
						radius: 1,
						label: {
							show: true,
							radius: 3 / 4,
							formatter: labelFormatter,
							background: {
			  					opacity: 0.5
							}
						}
					}
				},
				legend: {
				show: false
				}
			});
			setTimeout(function(){
				//var abc = $()
			},2000);
		}
	}
}
/*********************************************/
$("#btn_data_table").click(function(){
	getChartData("table_data");
});
/*************************************/
function setDataTable(id){
	setTimeout(function(){
		var table = $(id).DataTable( {
		/*"searching": false,*/
		columnDefs: [ 
			{ targets: [0,-1], orderable: false},                    
			],
		"dom": 'lBfrtip',              
		buttons: [                  
		   [
				'excel',
				'pdf',
				{
					text: 'Email',
					action: function ( e, dt, node, config ) {
					//$("#modal_email").show(); 
					show_emaimodal();
					}
				}
		   ]]
		}); 
		
		 
		$(id+' tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
		});     
		
		// Apply the search
		table.columns().every(function (){
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
									.search( this.value )
									.draw();
			}
		});
		}); 
		var sortBy = 0;
		table.order([sortBy, 'asc'])
		.draw();
		$(id+"_filter").hide();
	},1000);
}
/********************************************/
$(".check_all").change(function() {
	var cls = $(this).data("cls");
    if($(this).is(':checked')){
		$("."+cls).prop('checked',true);
	}else{
		$("."+cls).prop('checked',false);
	}
});
$(".check_single").change(function(){
	var single_cls = $(this).data("single_cls");
	if(!$(this).is(':checked')) {
		$("#"+single_cls).prop('checked',false);
	}
	if($('.'+single_cls+':checked').length == $('.'+single_cls).length) {
       $("#"+single_cls).prop('checked',true);
    }
});
/*$("#check_all_emp").change(function() {
    if($(this).is(':checked')){
		$(".check_all_emp").prop('checked',true);
	}else{
		$(".check_all_emp").prop('checked',false);
	}
});
$(".check_all_emp").change(function(){
	if(!$(this).is(':checked')) {
		$("#check_all_emp").prop('checked',false);
	}
	if($('.check_all_emp:checked').length == $('.check_all_emp').length) {
       $("#check_all_emp").prop('checked',true);
    }
});*/
</script>
</body>
</html>