<?php
session_start();
if(isset($_REQUEST['redirect_uri']) && $_REQUEST['redirect_uri']!=""){
	$redirect_uri = urldecode($_REQUEST['redirect_uri']);
	$_SESSION['redirect_uri'] = $redirect_uri;
	
}
require __DIR__ . '/google/vendor/autoload.php';
$client_id = "305783106834-akopnq996u5l84opq2q7b6i1hf4ja1it.apps.googleusercontent.com";
$client_secret = "4glIMqZZtKD6nHIFDyg7N9zQ";


$client = new Google_Client();
$client->setApplicationName("PSA-Google-Drive");
$client->setAccessType("offline");
$client->setApprovalPrompt('force');
$client->setAuthConfig("credentials.json");
$client->addScope([Google_Service_Drive::DRIVE_METADATA_READONLY,Google_Service_Drive::DRIVE_FILE]);
$client->setRedirectUri("http://localhost/applisoft/orawolf/psa/gd_upload.php"); 
$authUrl = $client->createAuthUrl();

if(isset($_COOKIE['psa_rftkn']) && $_COOKIE['psa_rftkn']!=""){
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL,"https://accounts.google.com/o/oauth2/token");
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS,
				"client_id=".$client_id."&client_secret=".$client_secret."&refresh_token=".$_COOKIE['psa_rftkn']."&grant_type=refresh_token");
	
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	
	$server_output = curl_exec($ch);
	
	curl_close ($ch);
	
	$response = json_decode($server_output);
	$access_token = $response->access_token;
	
	if(isset($access_token) && $access_token!=""){
		$_SESSION['access_token'] = $access_token;
	}
}



if (isset($_GET['code']) || (isset($_SESSION['access_token']) && $_SESSION['access_token'])) {
    if (isset($_GET['code'])) {
        $accessToken = $client->authenticate($_GET['code']);
        $_SESSION['access_token'] = $client->getAccessToken();
		
		$refresh_token = $accessToken['refresh_token'];
		setcookie("psa_rftkn", $refresh_token, time() + (7 * 86400 * 30), "/"); // 86400 = 1 day
		
    }else{
        $client->setAccessToken($_SESSION['access_token']);
	}
    $service = new Google_Service_Drive($client);

    //Insert a file
    $file = new Google_Service_Drive_DriveFile();
	
	$file_name = str_replace("."," - ".date("m/d/Y").".",$_SESSION['drive_temp_file_name']);
	
    $file->setName($file_name);
	$descr = explode(".",$file_name);
    $file->setDescription($descr[0]." - ".$_SESSION['login_user_array']['full_name']);
    $file->setMimeType('application/vnd.ms-excel');

    $data = file_get_contents($_SESSION['drive_temp_file']);

    $createdFile = $service->files->create($file, array(
          'data' => $data,
          'mimeType' => 'application/vnd.ms-excel',
          'uploadType' => 'multipart'
        ));
	
	if(isset($_SESSION['redirect_uri']) && $_SESSION['redirect_uri']!=""){
		$redirect_uri = $_SESSION['redirect_uri'];
	}else{
		$redirect_uri = "admin.php";
	}
	unlink($_SESSION['drive_temp_file']);
	unset($_SESSION['drive_temp_file_name']);
	unset($_SESSION['drive_temp_file']);
	unset($_SESSION['redirect_uri']);
	
	if($createdFile["id"]!=""){
		header("Location:".$redirect_uri);
		die;
	}else{
	
		?>
		<script>alert("Something went wrong. Please try again.");window.location.href='<?php echo $redirect_uri; ?>';</script>
		<?php
		die;
	}
	/*echo "<pre>";
    print_r($createdFile);*/

}else {
    $authUrl = $client->createAuthUrl();
    header('Location: ' . $authUrl);
    exit();
}
?>