<?php
require_once "conn.php";
require_once "functions.php";
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Login</title>
  <!-- base:css -->
  <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
  <link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
  <link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="<?php echo SITEURL; ?>images/shortcut icon.png" />
  <style>
  #forgot-or {
    font-weight: bold;
    width: 100%;
    text-align: center;
    border-bottom: 1px solid 
    #ccc;
    line-height: 2px;
    margin: 20px 0;
}
  </style>
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-stretch auth auth-img-bg bg-white">
        <div class="row flex-grow">
          <div class="col-lg-6 d-flex align-items-center justify-content-center col-center">
            <div class="auth-form-transparent text-left p-3">
                <div class="brand-logo">
                    <a href="index.php"><img src="<?php echo SITEURL; ?>images/main_logo.png" alt=""></a>
                </div>
                
                <div id="div1">
                    <h4 class="font-weight-light text-center"><b> Password Help</b></h4>
                    <form class="pt-3">
<!--                        <div class="form-group">
                          <label>Enter Your Phone Number on File, We will send a text with your email/username if phone# exist in our records</label>
                          <div class="input-group">
                            <div class="input-group-prepend bg-transparent">
                              <span class="input-group-text bg-transparent border-right-0">
                                <i class="typcn typcn-phone text-primary"></i>
                              </span>
                            </div>
                            <input type="text" class="form-control form-control-lg border-left-0" id="Text_Phoneno" placeholder="Phone Number">
                          </div>
                        </div>
                        
                        <div id="forgot-or">
                            <span>OR</span>
                        </div>-->
                        
                        <div class="form-group">
                          <label>Enter your Registered Email Address if you just need password help. We will send an email with Password instructions if username exists in our records.</label>
                          <div class="input-group">
                            <div class="input-group-prepend bg-transparent">
                              <span class="input-group-text bg-transparent border-right-0">
                                <i class="typcn typcn-mail text-primary"></i>
                              </span>
                            </div>
                            <input type="text" class="form-control form-control-lg border-left-0" id="Text_Username" placeholder="Password Help">                        
                          </div>
                        </div>
                        <div class="my-2 d-flex justify-content-between align-items-center">
                          <div class="form-check">
                            <!--<label class="form-check-label text-muted">
                              <input type="checkbox" class="form-check-input">
                              Keep me signed in
                              <i class="input-helper"></i>
                            </label>-->
                          </div>
                          <a href="#" class="auth-link text-black">Contact us</a>
                        </div>

                        <div class="my-3">
                            <button type="button" class="btn btn-primary btn-block btn-lg font-weight-bold auth-form-btn" id="cmdSend">
                              Send Login Instructions
                            </button>
                        </div>  

                        <div class="text-right mt-4 font-weight-light">

                        </div>
                    </form>
                </div>
                
                
            </div>
          </div>
          
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <div class="rploader"><img src="<?php echo SITEURL; ?>images/89.gif" alt=""></div>
  <!-- container-scroller -->
  <!-- base:js -->
  <script>
    var SITEURL = '<?php echo SITEURL; ?>';
    var page_link_arr = "";
  </script>
  <script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
  <script src="<?php echo SITEURL; ?>js/custom.js"></script>
  <!-- endinject -->
  
  <!-- endinject -->
  <script>
    jQuery(document).ready(function($) 
    {
        
        $("#Text_Username").keydown(function()
        {
            $("#cmdSend").removeClass('error_ele');
            $("#cmdSend").next('span.not-valid-tip').remove();  
        });
    });
    
    $("#cmdSend").click(function()
    {
        $("#cmdSend").removeClass('error_ele');
        $("#cmdSend").next('span.not-valid-tip').remove();  

        if( $.trim($("#Text_Username").val())=="")
        {
            $("#cmdSend").addClass('error_ele');
            $("#cmdSend").after('<span role="alert" class="not-valid-tip">Enter Username.</span>'); 
            $("#Text_Username").focus();
            return false;
        }
        else
        {
            $.ajax({
                    url: SITEURL+"aj/login-otp/",
                    method: "POST",
                    beforeSend: function() {
                      $(".rploader").fadeIn(800);
                    },
                    data: {REQUEST: 'forget_password_step1', username: $.trim($("#Text_Username").val())},
                    success: function (response)
                    {  
                      setTimeout(function(){
                        $(".rploader").fadeOut(800);
                        if(response.succ==1)
                        {
                            $("#cmdSend").addClass('error_ele');
                            $("#cmdSend").after('<span role="alert" class="not-valid-tip">Please check your email for further proccess.</span>');
                        }
                        else
                        {
                            $("#cmdSend").addClass('error_ele');
                            $("#cmdSend").after('<span role="alert" class="not-valid-tip">You are not Coexsys user.</span>');
                        }
                      },1500);
                    }
                });
        }

    });
    
    
   
  </script>    
</body>

</html>
