<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Login</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/shortcut icon.png" />
  <style>
      #forgot-or {
    font-weight: bold;
    width: 100%;
    text-align: center;
    border-bottom: 1px solid 
    #ccc;
    line-height: 2px;
    margin: 20px 0;
}
  </style>
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-stretch auth auth-img-bg bg-white ">
        <div class="row flex-grow">
          <div class="col-lg-6 d-flex align-items-center justify-content-center">
            <div class="auth-form-transparent text-left p-3">
                <div class="brand-logo">
                  <img src="images/main_logo.png" alt="logo" style="height: 70px;width: 70px;">
                </div>
                
                <div id="div1">
                    <h4 class="font-weight-light text-center"><b>Username and/or Password Help</b></h4>
                    <form class="pt-3">
<!--                        <div class="form-group">
                          <label>Enter Your Phone Number on File, We will send a text with your email/username if phone# exist in our records</label>
                          <div class="input-group">
                            <div class="input-group-prepend bg-transparent">
                              <span class="input-group-text bg-transparent border-right-0">
                                <i class="typcn typcn-phone text-primary"></i>
                              </span>
                            </div>
                            <input type="text" class="form-control form-control-lg border-left-0" id="Text_Phoneno" placeholder="Phone Number">
                          </div>
                        </div>
                        
                        <div id="forgot-or">
                            <span>OR</span>
                        </div>-->
                        
                        <div class="form-group">
                          <label>Enter your Registered Email Address if you just need password help. We will send and email with Password instructions if username exists in our records.</label>
                          <div class="input-group">
                            <div class="input-group-prepend bg-transparent">
                              <span class="input-group-text bg-transparent border-right-0">
                                <i class="typcn typcn-mail text-primary"></i>
                              </span>
                            </div>
                            <input type="text" class="form-control form-control-lg border-left-0" id="Text_Username" placeholder="Leave Blank for Username Help">                        
                          </div>
                        </div>
                        <div class="my-2 d-flex justify-content-between align-items-center">
                          <div class="form-check">
                            <!--<label class="form-check-label text-muted">
                              <input type="checkbox" class="form-check-input">
                              Keep me signed in
                              <i class="input-helper"></i>
                            </label>-->
                          </div>
                          <a href="#" class="auth-link text-black">Contact us</a>
                        </div>

                        <div class="my-3">
                            <button type="button" class="btn btn-primary btn-block btn-lg font-weight-medium auth-form-btn" id="cmdSend">
                              Send Login Instruction
                            </button>
                        </div>  

                        <div class="text-right mt-4 font-weight-light">

                        </div>
                    </form>
                </div>
                
                <div id="div2">
                    <div class="row">
                        <div class="col-md-12 grid-margin">
                            <div class="card bg-twitter d-flex align-items-center">
                                <div class="card-body">
                                    <div class="d-flex flex-row align-items-center">
                                        <i class="typcn typcn-info text-white icon-md"></i>
                                        <div class="ml-3">
                                                <h4 class="text-white">Help is on the way!</h4>
                                                <p class="mt-2 text-white card-text">Your username is abc@xyz.com</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>    
                </div>
                
                <div id="div3">
                    <div class="row">
                        <div class="col-md-12 grid-margin">
                            <div class="card bg-twitter d-flex align-items-center">
                                <div class="card-body">
                                    <div class="d-flex flex-row align-items-center">
                                        <i class="typcn typcn-info text-white icon-md"></i>
                                        <div class="ml-3">
                                            <h4 class="text-white">Help is on the way!</h4>
                                            <p class="mt-2 text-white card-text">The password reset link has been emailed to you at abc@xyz.com.  Please check your email.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>    
                </div>
            </div>
          </div>
          <div class="col-lg-6 help-half-bg d-flex flex-row">
            <p class="text-white font-weight-medium text-center flex-grow align-self-end"></p>
          </div>
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- base:js -->
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <script src="js/custom.js"></script>
  <!-- endinject -->
  
  <!-- endinject -->
  <script>
  
    
    jQuery(document).ready(function($) 
    {
        $("#div2").hide();
        $("#div3").hide();
        $("#Text_Phoneno,#Text_Username").keydown(function()
        {
            $("#cmdSend").removeClass('error_ele');
            $("#cmdSend").next('span.not-valid-tip').remove();  
        });
    });
    
    $("#cmdSend").click(function()
    {
        $("#cmdSend").removeClass('error_ele');
        $("#cmdSend").next('span.not-valid-tip').remove();  

        if($.trim($("#Text_Phoneno").val())=="" && $.trim($("#Text_Username").val())=="")
        {
            $("#cmdSend").addClass('error_ele');
            $("#cmdSend").after('<span role="alert" class="not-valid-tip">Enter Phone Number / Username.</span>'); 
            $("#Text_Phoneno").focus();
        }

        if($.trim($("#Text_Phoneno").val())!="" && $.trim($("#Text_Username").val())!="")
        {
            $("#cmdSend").addClass('error_ele');
            $("#cmdSend").after('<span role="alert" class="not-valid-tip">Enter either Phone Number or Username.</span>'); 
            $("#Text_Phoneno").focus();
        }

        if($.trim($("#Text_Phoneno").val())!="")
        {
            $("#div1").hide();
            $("#div3").hide();
            $("#div2").show();
        }
      
        if($.trim($("#Text_Username").val())!="")
        {
            $("#div1").hide();
            $("#div2").hide();
            $("#div3").show();
        }
      
    });
    
  </script>    
</body>

</html>
