<?php
$context = stream_context_create(
				array(
					"http" => array(
						"header" => "User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.102 Safari/537.36"
					)
				)
			);
/****************************************************************/
define("CONTEXT",$context);
define("HOST_SHORT_NAME","orawolf");
if($_SERVER['HTTP_HOST'] == 'localhost'){
	define("IS_MAIL",false);
}else{
	define("IS_MAIL",true);
}
/****************************************************************/
$step_arr	= array();
if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){
	$mode_txt = "Edit";
}else{
	$mode_txt = "Add";
}
$step_arr = array(
					1=>array(
							"name"=>"project",
							"title"=>"Project",
							"url"=>SITEURL."projects/"
						),
					2=>array(
						"name"=>"stakeholders",
						"title"=>"Stakeholders",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/stakeholders/":""
					),
					3=>array(
						"name"=>"requirements",
						"title"=>"Requirements",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/requirements/":""
					),
					4=>array(
						"name"=>"tasks",
						"title"=>"Tasks",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/tasks/":""
					),
					5=>array(
						"name"=>"assign_tasks",
						"title"=>"Resources",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/resources/":""
					),
					6=>array(
						"name"=>"assumptions",
						"title"=>"Assumptions",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/assumptions/":""
					),
					7=>array(
						"name"=>"risks",
						"title"=>"Risks",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/risks/":""
					),
					8=>array(
						"name"=>"change_mgmt",
						"title"=>"Change Control Board",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/change-management/":""
					),
					9=>array(
						"name"=>"expenditure_budgeting",
						"title"=>"Expenditure Budgeting",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/expenditure-budgeting/":""
					),
					10=>array(
						"name"=>"documents",
						"title"=>"Documents",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/documents/":""
					),
					11=>array(
						"name"=>"closing",
						"title"=>"Closing",
						"url"=>(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?SITEURL."projects/".setVar($_REQUEST['project_id'])."/closing/":""
					),
				);
/****************************************************************/
$process_group_arr = array(
						1=>array("name"=>"Initiation","sort_code"=>"INI"),
						2=>array("name"=>"Planning","sort_code"=>"PLN"),
						3=>array("name"=>"Execution","sort_code"=>"EXE"),
						4=>array("name"=>"Monitoring And Control","sort_code"=>"MC"),
						5=>array("name"=>"Closing","sort_code"=>"CLS"),
					);

/****************************************************************/
$risk_type_arr = array(
					1=>array("name"=>"Contained","class"=>"badge-success","tooltip_title"=>"Project Capacity to hold on to Risk with absolute control. If Contained Risks Materializes then usually, they are effectively mitigated just in time without investment of substantial overheads and resources."),

					2=>array("name"=>"Commercial","class"=>"badge-info","tooltip_title"=>"Risks associated and most commonly found within your industry."),

					3=>array("name"=>"External","class"=>"badge-info","tooltip_title"=>"Risks that are beyond your organization's control. Such as inflation risks, exchange rate fluctuations."),

					4=>array("name"=>"High Impact","class"=>"badge-info","tooltip_title"=>"Risks that can stop this Project in middle of execution. For e.g., Funding stops."),

					5=>array("name"=>"Individual Project","class"=>"badge-info","tooltip_title"=>"Risks that are unique to this Project only and does not have any impact beyond this project."),

					6=>array("name"=>"Management","class"=>"badge-info","tooltip_title"=>"Risks that are triggered by change in top management policies, leadership change etc."),

					7=>array("name"=>"Open","class"=>"badge-danger","tooltip_title"=>"Risks that do not have any response recorded yet."),

					8=>array("name"=>"Overall Project","class"=>"badge-info","tooltip_title"=>"Same as Individual Project Risks, but such Risks may impact multiple projects. For e.g., implementation of cloud-based email server."),

					9=>array("name"=>"Technical","class"=>"badge-info","tooltip_title"=>"These Risks arises out of technology used for the implementation of this project. For example, Failure to get power charging station permit after Project to procure electrical vehicles for the department starts."),
				);

$risk_causes_arr = array(
					1=>array("name"=>"Compliance"),
					2=>array("name"=>"Cost Overrun"),
					3=>array("name"=>"Financial Risks"),
					4=>array("name"=>"International Trends"),
					5=>array("name"=>"Known Unknowns"),
					6=>array("name"=>"Legal/Contractual"),
					7=>array("name"=>"Natural Disasters"),
					8=>array("name"=>"Procurement Issues"),
					9=>array("name"=>"Quality Issues"),
					10=>array("name"=>"Regulatory Change"),
					11=>array("name"=>"Respirces"),
					12=>array("name"=>"Supply Chain/Logistics"),
					13=>array("name"=>"Technical"),
					14=>array("name"=>"Time Overrun"),
					15=>array("name"=>"Unknown Unknowns"),
				);
$risk_severity_arr = array(
					1=>array("name"=>"Mission Critical"),
					2=>array("name"=>"High"),
					3=>array("name"=>"Medium"),
					4=>array("name"=>"Low"),
					5=>array("name"=>"None"),
				);
$risk_occurrence_probability_arr = array(
					1=>array("name"=>"Highly Probable"),
					2=>array("name"=>"Moderately Probable"),
					3=>array("name"=>"Low Probability"),
				);
$risk_occurrence_impact_arr = array(
					1=>array("name"=>"Project Schedule is negatively impacted"),
					2=>array("name"=>"Project Quality is negatively impacted"),
					3=>array("name"=>"Project Costs will increase"),
					4=>array("name"=>"Will result in new change requests"),
					5=>array("name"=>"Will result in Scope Creep"),
					6=>array("name"=>"Project Team is negatively impacted"),
				);
$this_risk_is_materialized_when_arr = array(
									1=>array("name"=>"Overall Schedule Variance is Negative"),
									2=>array("name"=>"Critical Path Tasks Schedule Variance is Negative"),
									3=>array("name"=>"Earned Value is Substantially Lower than Planned Value"),
									4=>array("name"=>"Team Assignment changes"),
									5=>array("name"=>"Scope Change occurs"),
									6=>array("name"=>"Basedline Assumptions are modified"),
									7=>array("name"=>"Stakeholder Change occurs"),
									8=>array("name"=>"Project Sponsor Changes"),
									9=>array("name"=>"Project Manager Changes"),
									10=>array("name"=>"Number of Critical Issues exceed 50% of Total Issues Reported"),
								);
$perform_this_action_when_materialized_arr = array(
									1=>array("name"=>"Note: Project Manager always gets notified"),
									2=>array("name"=>"Notify Project Sponsor only"),
									3=>array("name"=>"Notify All stakeholders"),
									4=>array("name"=>"Notify Project Team Only"),
								);
$set_reminder_arr = array(
					1=>array("name"=>"Daily"),
					2=>array("name"=>"Weekly"),
					3=>array("name"=>"Monthly"),
					4=>array("name"=>"Manual"),
					5=>array("name"=>"None (Stop reminder emails)"),
				);
$risk_response_strategy_arr = array(
					1=>array("name"=>"Accept"),
					2=>array("name"=>"Avoid"),
					3=>array("name"=>"Exploit"),
					4=>array("name"=>"Mitigate/Enhance"),
					5=>array("name"=>"Open"),
					6=>array("name"=>"Transfer/Share"),
					
					
				);

$risk_response_strategy_descr_arr = array(
	"Accept"	=> "This strategy is to recognize the risk, but do not take any action unless the risk occurs. An example of this is documenting the risk and putting aside funds in case the risk occurs.",
	"Avoid"		=> "This is to eliminate the threat to protect the project from the impact of the risk. An example of this is canceling the project or task(s).",
	"Exploit"	=> "This strategy is to eliminate the uncertainty associated with the risk to ensure it occurs. An example of this is assigning the best workers to a project to reduce the time to complete it.",
	"Mitigate/Enhance"	=> "This strategy is to reduce the probability of occurrence or the impact of the risk. An example of this is choosing a different supplier. Or, for positive risks, this strategy increases the probability or the positive impacts of an opportunity. An example of this adding more resources to finish early.",
	"Open"		=> "This risk is open/unaddressed, awaiting response.",
	"Transfer/Share"	=> "This strategy shifts the impact of the threat to a third party, together with ownership of the response. An example of this is insurance."
);
/****************************************************************/

global $application_plan_arr;
$application_plan_arr = array(
						"attendance"	=> array(
												"Complete Project Management Suite ## SUIT-MONTHLY",
												"Complete Project Management Suite ## SUIT-YEARLY",
												"Project & Time Bundle ## BUND-MONTHLY",
												"Project & Time Bundle ## BUND-YEARLY",
												"Attendance Tracking ## ATT-MONTHLY",
												"Attendance Tracking ## ATT-YEARLY",
											),
						"timekeeping"	=> array(
												"Complete Project Management Suite ## SUIT-MONTHLY",
												"Complete Project Management Suite ## SUIT-YEARLY",
												"Project & Time Bundle ## BUND-MONTHLY",
												"Project & Time Bundle ## BUND-YEARLY",
												"Time Tracking ## TE-MONTHLY",
												"Time Tracking ## TE-YEARLY",
											),
						"projects"		=> array(
												"Complete Project Management Suite ## SUIT-MONTHLY",
												"Complete Project Management Suite ## SUIT-YEARLY",
												"Project & Time Bundle ## BUND-MONTHLY",
												"Project & Time Bundle ## BUND-YEARLY",
												"Project Management ## PM-MONTHLY",
												"Project Management ## PM-YEARLY",
											),
						"issue_tracking"=> array(
												"Complete Project Management Suite ## SUIT-MONTHLY",
												"Complete Project Management Suite ## SUIT-YEARLY",
												"Issue Tracking ## ISS-MONTHLY",
												"Issue Tracking ## ISS-YEARLY",
											),
						"expense"		=> array(
												"Complete Project Management Suite ## SUIT-MONTHLY",
												"Complete Project Management Suite ## SUIT-YEARLY",
												"Expense Tracking ## EXP-MONTHLY",
												"Expense Tracking ## EXP-YEARLY",
											),
						"invoicing"		=> array(
												"Self Employed Plan ## SE-MONTHLY",
												"Self Employed Plan ## SE-YEARLY"
											),
					);
					
/****************************************************************/

global $application_full_name;
$application_full_name = array(
							"attendance" 	=> "Attendance Tracking",
							"timekeeping" 	=> "Time Tracking",
							"projects" 		=> "Project Management",
							"issue_tracking"=> "Issue Tracking",
							"expense" 		=> "Expense Tracking",
							"invoicing" 	=> "Invoice"
						);
global $plan_application_arr;
$plan_application_arr = array(
						"Complete Project Management Suite"	=> array(
												"attendance",
												"timekeeping",
												"projects",
												"issue_tracking",
												"expense",
											),
						"Project & Time Bundle"	=> array(
												"attendance",
												"projects",
												"timekeeping",
											),
						"Project Management"		=> array(
												"projects",
											),
						"Time Tracking"=> array(
												"timekeeping",
											),
						"Attendance Tracking"=> array(
												"attendance",
											),
						"Issue Tracking"=> array(
												"issue_tracking",
											),
						"Expense Tracking"		=> array(
												"expense",
											),
						"Self Employed Plan"	=> array(
												"attendance",
												"timekeeping",
												"projects",
												"issue_tracking",
												"expense",
												"invoicing",
											),
					);
					
/****************************************************************/
global $default_cxs_role_arr;
$default_cxs_role_arr = array(
						"Process Owner",
						"Requirement Author",
						"Functional Administrator",
						"End User",
						"LOB Manager",
						"Support & Assistance",
						"Project Sponsor",
						"Solution Architect",
						"Programmer",
						"Analyst",
						"Tester",
						"Project Manager",
					);

global $default_cxs_requirement_type_arr;
$default_cxs_requirement_type_arr = array(
						"New Requirement - Does not exist today",
						"Change in existing Process",
						"Replacing the existing application",
						"Extension of the current functionality",
					);

global $default_cxs_functional_area_arr;
$default_cxs_functional_area_arr = array(
						"Human Resource",
						"Information Technology",
						"Payroll & Administration",
						"Manufacturing",
						"Processing Plants",
						"Shipping & Logistics",
						"Project Sponsor",
					);

global $default_cxs_expenditure_type_category_arr;
$default_cxs_expenditure_type_category_arr = array(
						"Administrative",
						"Clerical",
						"Other Labor",
						"Overtime",
						"Professional",
						"Air Travel",
						"Automobile Rental",
						"Entertainment",
						"Meals",
						"Other Expenses",
						"Personal Auto Use",
						"Computer Services",
						"Field Equipment",
						"Other Asset",
						"Vehicle",
						"Construction",
						"Consulting",
						"Other Invoice",
						"Supplies",
						"Misc Travel Expenses",
						"Lodging",
						"Material",
						"Rent",
					);

global $default_cxs_document_type_arr;
$default_cxs_document_type_arr = array(
						"Project Charter",
						"Requirement Document",
						"Agreements",
						"Testing/QA Document",
						"Technical Reference",
						"Source Codes",
						"Implementation",
						"End User Training",
						"Architecture / Process",
						"Lessons Learned",
						"Change Requests",
						"Stake Holder Regis",
						"Meeting Minutes",
						"Miscellaneous",
					);

global $default_cxs_business_value_arr;
$default_cxs_business_value_arr = array(
						"Revenue Recognition",
						"Process Improvement - Productivity",
						"Cost Cutting",
						"Automation",
						"Integration",
						"Regulatory Change",
						"Security",
						"Accurate Reporting",
						"Data Correctness",
						"Upgrade from Old Technology & Tools",
					);
global $change_req_action_type_arr;
$change_req_action_type_arr = array(
	1=>array("name"=>"Results in Scope Creep"),
	2=>array("name"=>"Results in Increase in the work scope/LOE"),
	3=>array("name"=>"Results in Decrease in the work scope/LOE"),
	4=>array("name"=>"Removes the task from the Project WBS"),
	5=>array("name"=>"Rework"),
	6=>array("name"=>"Future/Planning purposes only"),
	7=>array("name"=>"None"),
	8=>array("name"=>"Results in Costs Increase"),
	9=>array("name"=>"Results in Costs Savings"),
);
/****************************************************************/
global $currency_code_arr;
$currency_code_arr = array(
				"AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XCD","XDR","XOF","XPF","XSU","XUA","YER","ZAR","ZMW","ZWL"
			);
?>