<?php
$query_string = "";
if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){
	$query_string = setVar($_REQUEST['project_id'])."/";
}
$kpi_project_id = "";
/****************/
$kpi_flag_arr = array();
if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){
	$kpi_project_id = getvalue("cxs_projects","project_id"," WHERE md5(project_id)='".setVar($_REQUEST['project_id'])."'");
	$kpi_flag_arr = getKPIFlag($kpi_project_id,0);
}
/****************/

$is_stakeholders_added 			= "";
$is_stakeholder_members_added 	= "";
$is_requirements_added			= "";
$is_tasks_added					= "";
$is_resources_added				= "";
$is_assumptions_added			= "";
$is_risks_added					= "";
$is_ccb_setups_added			= "";
$is_expense_budgets_added		= "";
$is_documents_added				= "";

if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){
	$selectQuery 	= "
		SELECT 
			project_id,
			(SELECT project_id FROM `cxs_projects_stakeholder_groups` WHERE cxs_projects_stakeholder_groups.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_stakeholders,
			(SELECT project_id FROM `cxs_projects_stakeholders` WHERE cxs_projects_stakeholders.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_stakeholder_members,
			(SELECT project_id FROM `cxs_projects_requirements_header` WHERE cxs_projects_requirements_header.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_requirements,
			(SELECT project_id FROM `cxs_projects_tasks` WHERE cxs_projects_tasks.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_tasks,
			(SELECT project_id FROM `cxs_projects_task_assignment` WHERE cxs_projects_task_assignment.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_resources,
			(SELECT project_id FROM `cxs_projects_assumptions` WHERE cxs_projects_assumptions.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_assumptions,
			(SELECT project_id FROM `cxs_projects_risks_header` WHERE cxs_projects_risks_header.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_risks,
			(SELECT project_id FROM `cxs_projects_ccb_setup` WHERE cxs_projects_ccb_setup.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_ccb_setups,
			(SELECT project_id FROM `cxs_projects_expense_budget` WHERE cxs_projects_expense_budget.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_expense_budgets,
			(SELECT project_id FROM `cxs_projects_documents` WHERE cxs_projects_documents.project_id=cxs_projects.project_id LIMIT 0,1) AS expr_documents
		FROM 
			`cxs_projects` 
		WHERE 
			md5(project_id)='".setVar($_REQUEST['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'
		";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		
		$is_stakeholders_added 			= $rows["expr_stakeholders"];
		$is_stakeholder_members_added 	= $rows["expr_stakeholder_members"];
		$is_requirements_added			= $rows["expr_requirements"];
		$is_tasks_added					= $rows["expr_tasks"];
		$is_resources_added				= $rows["expr_resources"];
		$is_assumptions_added			= $rows["expr_assumptions"];
		$is_risks_added					= $rows["expr_risks"];
		$is_ccb_setups_added			= $rows["expr_ccb_setups"];
		$is_expense_budgets_added		= $rows["expr_expense_budgets"];
		$is_documents_added				= $rows["expr_documents"];
	}
}
?>
<div class="col-md-12">
	<div class="d-flex flex-wrap justify-content-between mb-3">
		<h3 class="modal-title">
			PROJECT : <span id="header_project_name" style="text-transform: uppercase;"><?php echo $text_project_name; ?></span> 
			<?php 
			if(count($kpi_flag_arr)>0){
				echo setFlag($kpi_flag_arr); 
			}
			?>
		</h3>
		<div>
		<a href="javascript:void(0);" class="btn btn-xsm btn-primary mr-2" title="Absences/Time Off" onclick="viewAbsenceTimeOffData('<?php echo $kpi_project_id; ?>','<?php echo date('Y-m-d'); ?>');"><i class="fa fa-calendar"></i></a>
		<a href="<?php echo SITEURL."projects/tasks-treeview/".md5($kpi_project_id)."/"; ?>" class="btn btn-xsm btn-primary mr-2" title="Task Tree View" target="_blank"><i class="fa fa-cubes"></i></a>
		<?php 
		if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){ 
		?>
			<a href="javascript:void(0);" class="btn btn-xsm btn-primary" title="Create a Sharable Link" onclick="createShareLink('<?php echo $kpi_project_id; ?>','<?php echo $text_project_name."(".$text_project_number.")"; ?>');"><i class="fa fa-share-alt-square"></i></a>
		<?php 
		} 
		?>
		</div>
	</div>
</div>
<div class="col-md-12 project-header">
	<div class="d-flex flex-wrap  pb-2 center-box">
		<div id="step1" class="badge step_button_color mb-3 <?php if($step==1){ echo "step_selected";} ?>" <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[1]["url"]."edit/".setVar($_REQUEST['project_id']); ?>'" <?php } ?>> 1.Project</div>
		<div id="step1_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step2" class="badge step_button_color <?php if($step==2){ echo "step_selected";}else if($is_stakeholders_added==NULL || $is_stakeholder_members_added==NULL){ echo "step_pending";} ?> mb-3" <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[2]["url"]; ?>'" <?php } ?>>2.Stakeholders</div>
		<div id="step2_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step3" class="badge step_button_color <?php if($step==3){ echo "step_selected";}else if($is_requirements_added==NULL){ echo "step_pending";} ?> mb-3" <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[3]["url"]; ?>'" <?php } ?>>3.Requirements</div>
		<div id="step3_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step4" class="badge step_button_color <?php if($step==4){ echo "step_selected";}else if($is_tasks_added==NULL){ echo "step_pending";} ?> mb-3"  <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[4]["url"]; ?>'" <?php } ?>>4.Tasks</div>
		<div id="step4_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step5" class="badge step_button_color <?php if($step==5){ echo "step_selected";}else if($is_resources_added==NULL){ echo "step_pending";} ?> mb-3"  <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[5]["url"]; ?>'" <?php } ?>>5.Resources</div>
		<div id="step5_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step6" class="badge step_button_color <?php if($step==6){ echo "step_selected";}else if($is_assumptions_added==NULL){ echo "step_pending";} ?> mb-3"  <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[6]["url"]; ?>'" <?php } ?>>6.Assumptions</div>
		<div id="step6_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step7" class="badge step_button_color <?php if($step==7){ echo "step_selected";}else if($is_risks_added==NULL){ echo "step_pending";} ?> mb-3"  <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[7]["url"]; ?>'" <?php } ?>>7.Risks</div>
		<div id="step7_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step8" class="badge step_button_color <?php if($step==8){ echo "step_selected";}else if($is_ccb_setups_added==NULL){ echo "step_pending";} ?> mb-3"  <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[8]["url"]; ?>'" <?php } ?> title="Setup Change Control Board">8.Setup CCB</div>
		<div id="step8_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<div id="step9" class="badge step_button_color <?php if($step==9){ echo "step_selected";}else if($is_expense_budgets_added==NULL || $radio_track_progress_by=="by_effort"){ echo "step_pending";} ?> mb-3 <?php echo ($radio_track_progress_by=="by_effort")?"by-effort-cls":""; ?>"  <?php if($mode!="add" && $radio_track_progress_by!="by_effort"){ ?> onclick="window.location.href='<?php echo $step_arr[9]["url"]; ?>'" <?php } ?> title="<?php echo ($radio_track_progress_by=="by_effort")?"You have selected to track this Project based on Labor hours only, to enable expenditure, please check this project to track by Effort and Cost":""; ?>">9.Expenditure Budgeting</div>
		<div id="step9_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>
		
		<?php /*?><div id="step9" class="badge step_button_color <?php if($mode=="add"){ ?> disabled-color <?php } ?> mb-3" <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[9]["url"]; ?>'" <?php } ?>>9.Approvals</div>
		<div id="step9_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div><?php */?>
		<div id="step10" class="badge step_button_color <?php if($step==10){ echo "step_selected";}else if($is_documents_added==NULL){ echo "step_pending";} ?> mb-3" <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[10]["url"]; ?>'" <?php } ?>>10.Documents</div>
		
		<?php if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ ?>
			
			<div id="step10_line" class="border-class-proj mr-custom-proj <?php if($mode=="add"){ ?> disabled-color <?php } ?>"> </div>

			<div id="step11" class="badge step_button_color <?php if($step==11){ echo "step_selected";}else{ echo "step_pending";} ?> mb-3"  <?php if($mode!="add"){ ?> onclick="window.location.href='<?php echo $step_arr[11]["url"]; ?>'" <?php } ?>>11.Closing</div>
		
		<?php } ?>
	</div>
</div>
<div class="col-md-12">
	<h3 class="card-title mb-3" id="step_title"><?php echo $step_arr[$step]["title"]; ?> </h3>
</div>
<div class="col-md-12" id="step_project_id">
	<div class="d-sm-flex justify-content-center justify-content-sm-between border p-3" style="border-color: #000000 !important;" >
		<label class="pl-2">Project Id : <?php echo $text_project_number; ?></label>
		<label class="pl-2">Project Scheduled Start Date : <span id="header_schedule_start_date"><?php echo $text_schedule_start_date; ?></span></label>
		<label class="pl-2">Project Scheduled End Date : <span id="header_schedule_end_date"><?php echo $text_schedule_end_date; ?></span></label>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="view_org_project_task_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 modal-lg swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Tasks</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="text-center">
					<div class="loading-div-view_org_project_task">
						<img src="images/891.gif" alt="Loading...">
					</div>
				</div>
				<div id="results_view_org_project_task" class=""></div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn btn-light" data-dismiss="modal" title="Close">Close</button>
			</div>
		</div>
	</div>
</div>

<?php include("include_share_project_link_modal.php"); ?>
<?php /**********Modal Area***********/ ?>