<div id="report_performance_benchmark_div" class="border pt-3 pb-3 pl-3 pr-3">
	<div class="d-flex flex-wrap justify-content-between pb-3">
		<h4 class="card-title mb-3">Performance Benchmark Report <i class="fa fa-info-circle ml-3" style="cursor:pointer;" title="Run this report to generate intelligence on key performance metrics for the project, get the current performance metrics and its comparison with past metrics based on various change factors such as a change in schedule dates,  variation in actual progress made v/s expected progress, team changes, budget changes, etc."></i></h4>
	</div>
	<div class="row">
		<div class="col-md-12">
			<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
				<div class="row">
					<div class="col-md-6 <?php echo (isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?"d-none":""; ?>">
						<div class="form-group">
							<label>Project</label>
							<select class="js-example-basic-single form-control" name="combo_project_id" id="combo_project_id" style="width:100%;">
								<option value="">---Please Select---</option>
								<?php
								$first_project_id = "";
								$where_project = "";
								if($user_role=="User"){
									$where_project = "
										AND
										(
											project_id 
												IN 
												(
													SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
												)
										)
									";
								}else if($user_role=="Manager"){
									$where_project = "
										AND
										(
											project_id 
												IN 
												(
													SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
												)
										)
									";
								}
								$selectQuery 	= "
									SELECT 
										*
									FROM 
										`cxs_projects` 
									WHERE 
										company_id='".$_SESSION['login_user_array']['company_id']."' 
										$where_project
									ORDER BY 
										project_number
								";
								$selectQuery_filter = $selectQuery;
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$StdNumRows 	= mysqli_num_rows($RunUserQuery);
								$counter = 0;
								if($StdNumRows>0){
									while($rows=mysqli_fetch_assoc($RunUserQuery)){
										$counter++;
										if($counter==1){
											$first_project_id = $rows['project_id'];
										}
										$project_id		= $rows['project_id'];
										$project_number	= $rows['project_number'];
										$project_name	= $rows['project_name'];
									?>
									<option value="<?php echo $project_id; ?>" data-currency_symbol="<?php echo $rows['currency_symbol'] ?>"><?php echo $project_number." : ".$project_name; ?></option>
									<?php
									}
								}
								?>
							</select>
						</div>
					</div>
					<div class="col-md-2">
						<div class="form-group">
							<label>&nbsp;</label>
							<div class="form-check">
								<label class="form-check-label">
								<input type="checkbox" class="form-check-input check_all" name="check_task_level" id="check_task_level" value="1">
								Include Task Level<i class="input-helper"></i>
								</label>
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div class="form-group">
							<label>&nbsp;</label>
							<div class="form-check">
								<label class="form-check-label">
								<input type="checkbox" class="form-check-input check_all" name="check_include_costs" id="check_include_costs" value="1" checked="checked">
								Include Costs<i class="input-helper"></i>
								</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-3">
						<div class="form-group">
							<label>X-Axis</label>
							<select class="js-example-basic-single form-control" name="combo_x_axis" id="combo_x_axis" style="width:100%;">
								<option value="">---Please Select---</option>
								<option value="bac_hr">BAC Hours</option>
								<option value="planned_value_hr">PV Hours</option>
								<option value="earned_value_hr">EV Hours</option>
								<option value="actual_cost_hr">AC Hours</option>
								<option value="eac_hr">EAC Hours</option>
								<option value="etc_hr">ETC Hours</option>
							</select>
						</div>
					</div>
					<div class="col-md-3">
						<div class="form-group">
							<label>Y-Axis</label>
							<select name="combo_y_axis[]" id="combo_y_axis" class="form-control custom-multiselect" multiple="multiple" style="width:100%; background: #ffffff !important;border: solid 1px !important; border-color: #dad9d8 !important;">
								<option value="bac_amt">BAC Amount</option>
								<option value="planned_value_amt">PV Amount</option>
								<option value="earned_value_amt">EV Amount</option>
								<option value="actual_cost_amt">AC Amount</option>
								<option value="eac_amt">EAC Amount</option>
								<option value="etc_amt">ETC Amount</option>
							</select>
						</div>
					</div>
					<div class="col-md-3">
						<div class="form-group">
							<label>Cost Type</label>
							<select class="js-example-basic-single form-control" name="combo_cost_type" id="combo_cost_type" style="width:100%;">
								<option value="All">All</option>
								<option value="labor">Labor</option>
								<option value="non_labor">Non Labor</option>
							</select>
						</div>
					</div>
					<div class="col-md-2">
						<div class="form-group">
							<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large" style="margin-top:30px;">Go</button>
						</div>
					</div>
				</div>
			</form>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<h4 id="project_lbl" class="card-title mb-2"></h4>
		</div>
	</div>
	<div class="loading-div" style="display:none;">
		<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
	</div>
	<div id="excel_btn_performance_benchmark" class="text-right mb-2"></div>
	<div id="results_report_performance_benchmark" class=""></div>
</div>