<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
$h_invoice_payment_attachments_cnt = 1;
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Invoice</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.style1 {
	font-weight: bold;
	font-size: 13px;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Invoicing</li>
										<li class="breadcrumb-item">Manage Invoice</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="d-flex flex-wrap justify-content-between">
									<h4 class="card-title mb-3 mt-2">Manage Invoice</h4>
									<div>
										<button onClick="window.location.href='<?php echo SITEURL."invoicing/invoice/add/"; ?>'" class="btn btn-primary btn-icon" title="Add Invoice"><i class="fa fa-plus"></i></button>
									</div>
								</div>
								<ul class="nav nav-tabs" role="tablist">
									<li class="nav-item"> <a class="nav-link active" id="manage-approval-tab-head1" data-toggle="tab" href="#manage-invoice-tab1" role="tab" aria-controls="manage-invoice-tab1" aria-selected="true">Invoices</a> </li>
									<li class="nav-item"> <a class="nav-link" id="manage-approval-tab-head2" data-toggle="tab" href="#manage-invoice-tab2" role="tab" aria-controls="manage-invoice-tab2" aria-selected="false">Payment History</a> </li>
								</ul>
								<div class="tab-content">
									<div class="tab-pane fade show active" id="manage-invoice-tab1" role="tabpanel" aria-labelledby="manage-approval-tab-head1">
										<!--<div class="d-flex flex-wrap justify-content-between pb-3">Timesheets Pending Approval</div>-->
										<div class="row">
											<div class="col-md-12">
												<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
													<div class="row">
														<div class="col-md-4">
															<div class="form-group">
																<label>Client Name</label>
																<select class="js-example-basic-single " name="search_client_id" id="search_client_id" style="width:100%">
																	<option value="">--Please Select--</option>
																	<?php
																	$selectQuery 	= "SELECT * FROM `cxs_clients` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' AND created_by='".$_SESSION['login_user_array']["user_email"]."' ORDER BY client_name";		
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if($StdNumRows>0){
																		while($rows=mysqli_fetch_assoc($RunUserQuery)){
																		?>
																		<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['client_name']); ?></option>
																		<?php
																		}
																	}
																	?>
																</select>
															</div>
														</div>
														<div class="col-md-2">
															<div class="form-group">
																<label>Date - From</label>
																<div id="datepicker-popup" class="input-group date datepicker">
																	<input type="text" class="form-control search_from" name="search_from" id="search_from" value="">
																	<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
																</div>
															</div>
														</div>
														<div class="col-md-2">
															<div class="form-group">
																<label>Date - To</label>
																<div id="datepicker-popup2" class="input-group date datepicker">
																	<input type="text" class="form-control search_to" name="search_to" id="search_to" value="">
																	<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
																</div>
															</div>
														</div>
													</div>
													<div class="row">
														
														<div class="col-md-4">
															<div class="form-group">
																<label>Projects</label>
																<select class="js-example-basic-single form-control" name="search_project_id" id="search_project_id" style="width:100%;">
																	<option value="">All</option>
																	<?php
																	$selectQuery 	= "
																		SELECT 
																			*
																		FROM 
																			`cxs_projects` 
																		WHERE 
																		project_status NOT IN ('Draft','Closed') AND company_id='".$_SESSION['login_user_array']['company_id']."'
																		ORDER BY 
																			project_number
																		";		
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if($StdNumRows>0){
																		while($rows=mysqli_fetch_assoc($RunUserQuery)){
																			$project_id		= $rows["project_id"];
																			$project_number = $rows["project_number"];
																			$project_name	= htmlentities($rows["project_name"]);
																		?>
																		<option value="<?php echo $project_id; ?>"><?php echo $project_number." - ".$project_name; ?></option>
																		<?php
																		}
																	}
																	?>					
																</select>
															</div>
														</div>
														
														<div class="col-md-2">
															<div class="form-group">
																<label>Payment Status</label>
																<select class="js-example-basic-single form-control" name="search_payment_status" id="search_payment_status">
																	<option value="">All</option>
																	<option value="Paid">Paid</option>
																	<option value="Unpaid">Unpaid</option>								
																</select>
															</div>
														</div>
														<div class="col-md-2">
															<div class="form-group pt-3">
																<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
															</div>
														</div>
													</div>
													
												</form>
											</div>
										</div>
										<div class="row">
											<div class="col-md-12">
												<div class="text-center">
													<div class="loading-div-invoice">
														<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
													</div>
												</div>
												<div id="results_invoice" class=""></div>
											</div>
										</div>
									</div>
									<div class="tab-pane fade " id="manage-invoice-tab2" role="tabpanel" aria-labelledby="manage-approval-tab-head2">
										<!--<div class="d-flex flex-wrap justify-content-between pb-3">Approval History</div>-->
										<form action="" id="search_form_2" class="custom-form" style="padding:0px !important;" method="post">
											<div class="row">
												<div class="col-md-3">
													<div class="form-group">
														<label>Client Name</label>
														<select class="js-example-basic-single " name="search_client_id" id="search_client_id" style="width:100%">
															<option value="">--Please Select--</option>
															<?php
															$selectQuery 	= "SELECT * FROM `cxs_clients` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' AND created_by='".$_SESSION['login_user_array']["user_email"]."' ORDER BY client_name";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																?>
																<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['client_name']); ?></option>
																<?php
																}
															}
															?>
														</select>
													</div>
												</div>
												
												<div class="col-md-3">
													<div class="form-group">
														<label>Projects</label>
														<select class="js-example-basic-single form-control" name="search_project_id" id="search_project_id" style="width:100%;">
															<option value="">All</option>
															<?php
															$selectQuery 	= "
																SELECT 
																	*
																FROM 
																	`cxs_projects` 
																WHERE 
																	project_status NOT IN ('Draft','Closed') AND company_id='".$_SESSION['login_user_array']['company_id']."'
																ORDER BY 
																	project_number
																";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																	$project_id		= $rows["project_id"];
																	$project_number = $rows["project_number"];
																	$project_name	= htmlentities($rows["project_name"]);
																?>
																<option value="<?php echo $project_id; ?>"><?php echo $project_number." - ".$project_name; ?></option>
																<?php
																}
															}
															?>					
														</select>
													</div>
												</div>
												
												<div class="col-md-2">
													<div class="form-group">
														<label>Date - From</label>
														<div id="datepicker-popup" class="input-group date datepicker">
															<input type="text" class="form-control search_from" name="search_from" id="search_from" value="">
															<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
														</div>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<label>Date - To</label>
														<div id="datepicker-popup2" class="input-group date datepicker">
															<input type="text" class="form-control search_to" name="search_to" id="search_to" value="">
															<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
														</div>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group pt-3">
														<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
													</div>
												</div>
											</div>
											
										</form>
										<div class="row">
											<div class="col-md-12">
												<div class="text-center">
													<div class="loading-div-process_payments">
														<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
													</div>
												</div>
												<div id="results_invoice_process_payments" class=""></div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal fade pr-0" id="modal_approve_workbench">
					<div class="modal-dialog modal-xl mt-0 " role="document">
						<div class="modal-content">
							<div class="modal-header pb-1">
								<h3 class="modal-title" id="modal2_label">Approve Time Sheets</h3>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
							</div>
							<div class="modal-body pt-2 ">
								<div class="row">
									<div class="col-md-4">
										<button type="button" class="btn btn-primary btn-sm " id = "btnCollapseAll" title ="Collapse All"><i class="fa fa-compress"></i></button>
										<button type="button" class="btn btn-primary btn-sm " id = "btnShowAll" title ="Show All"><i class="fa fa-expand"></i></button>
									</div>
									<div class="col-md-4">
										<div class="text-center">
											<div class="form-inline" style="display: inline-block;"> <i class="fa fa-arrow-circle-o-left pr-2" style="font-size: 2rem;"></i>
												<input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">
												<i class="fa fa-arrow-circle-o-right pl-2" style="font-size: 2rem;"></i> </div>
											<div class="mt-3">
												<h4 class="pr-3"> Monday, February 18,2020 PDT</h4>
											</div>
										</div>
									</div>
									<div class="col-md-4 text-right">
										<button type="button" class="btn btn-primary btn-sm mr-3">Approve All</button>
										<button type="button" class="btn btn-primary btn-sm mr-3">Reject All</button>
									</div>
								</div>
								<!-- START ACCORDIAN -->
								<div class="accordion" id="accordion" role="tablist">
									<div class="card">
										<div class="card-header" role="tab" id="heading-1"> <a class="collapsed" data-toggle="collapse" href="#collapse-1" aria-expanded="true" aria-controls="collapse-1">
											<div class="row ">
												<div class="col-md-4">
													<div class="d-flex"> <img class="img-sm rounded-circle mb-md-0 " src="images/faces/face3.jpg" alt="profile image">
														<h4 class="card-title  mb-3 mt-2 ml-3">John Smith's Time Sheet</h4>
													</div>
												</div>
												<div class="col-md-4 text-center">
													<h4 >Time Sheet Name JSMITH-552020</h4>
												</div>
												<div class="col-md-4 text-right">
													<h4>Pay Period  MAY-2020</h4>
												</div>
											</div>
											</a>
											<div class="pt-3">
												<button type="button" class="btn btn-primary btn-sm">Approve All</button>
												<button type="button" class="btn btn-primary btn-sm">Reject All</button>
											</div>
										</div>
										<div id="collapse-1" class="collapse show" role="tabpanel" aria-labelledby="heading-1" data-parent="#accordion">
											<div class="card-body">
												<div class="table-responsive">
													<table class="table ">
														<?php for($i=1;$i<=3;$i++) { ?>
														<tr>
															<td width="20%">
																<div class="form-inline">
																	<h5 class="m-2">Project:</h5>
																	<h5 class="badge badge-light style1" >DI-GFC IMAGING <?php echo $i; ?></h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																	<h5 class="m-2">Straight Time:</h5>
																	<h5 class="badge badge-light style1">8 Hours</h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																<h5 class="m-2">Task:</h5>
																<h5 class="badge badge-light style1">Task is task</h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																<h5 class="m-2">Overtime:</h5>
																<h5 class="badge badge-light style1">8 Hours</h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																<h5 class="m-2">Task Type:</h5>
																<h5 class="badge badge-light style1">Manual/Timer</h5>
																</div>
															</td>
														</tr>
														<tr>
															<td colspan="4">
																<div class="form-contro">
																	<label>User Comment</label>
																	<textarea class="form-control" rows="3"></textarea>
																</div>
															</td>
															<td class="text-right" >
																<button type="button" class="btn btn-primary btn-sm">Approve</button>
																<button type="button" class="btn btn-primary btn-sm">Reject</button>
															</td>
														</tr>
														<tr>
															<td colspan="5">
																<div class="form-contro">
																	<label>Approver Comments</label>
																	<textarea class="form-control requirefieldcls" rows="3"></textarea>
																</div>
															</td>
														</tr>
														<?php } ?>
													</table>
												</div>
											</div>
										</div>
									</div>
									<div class="card">
										<div class="card-header" role="tab" id="heading-2"> 
											<a class="collapsed" data-toggle="collapse" href="#collapse-2" aria-expanded="true" aria-controls="collapse-2">
											<div class="row ">
												<div class="col-md-4">
													<div class="d-flex"> <img class="img-sm rounded-circle mb-md-0 " src="images/faces/face3.jpg" alt="profile image">
														<h4 class="card-title  mb-3 mt-2 ml-3">Bob Smith's Time Sheet</h4>
													</div>
												</div>
												<div class="col-md-4 text-center">
													<h4 >Time Sheet Name BSMITH-552020</h4>
												</div>
												<div class="col-md-4 text-right">
													<h4>Pay Period  MAY-2020</h4>
												</div>
											</div>
											</a>
											<div class="pt-3">
												<button type="button" class="btn btn-primary btn-sm">Approve All</button>
												<button type="button" class="btn btn-primary btn-sm">Reject All</button>
											</div>
										</div>
										<div id="collapse-2" class="collapse " role="tabpanel" aria-labelledby="heading-2" data-parent="#accordion">
											<div class="card-body">
												<div class="table-responsive">
													<table class="table ">
														<?php for($i=1;$i<=2;$i++) { ?>
														<tr>
															<td width="20%">
																<div class="form-inline">
																	<h5 class="m-2">Project:</h5>
																	<h5 class="badge badge-light style1" >DI-GFC IMAGING <?php echo $i; ?></h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																	<h5 class="m-2">Straight Time:</h5>
																	<h5 class="badge badge-light style1">8 Hours</h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																<h5 class="m-2">Task:</h5>
																<h5 class="badge badge-light style1">Task is task</h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																<h5 class="m-2">Overtime:</h5>
																<h5 class="badge badge-light style1">8 Hours</h5>
																</div>
															</td>
															<td width="20%">
																<div class="form-inline">
																<h5 class="m-2">Task Type:</h5>
																<h5 class="badge badge-light style1">Manual/Timer</h5>
																</div>
															</td>
														</tr>
														<tr>
															<td class="pt-3 pb-3" colspan="4"><div class="form-contro">
																	<label>User Comment</label>
																	<textarea class="form-control" rows="3"></textarea>
																</div></td>
															<td class="pt-3 pb-3 text-right" ><button type="button" class="btn btn-primary btn-sm">Approve</button>
																<button type="button" class="btn btn-primary btn-sm">Reject</button></td>
														</tr>
														<tr>
															<td class="pt-3 pb-3" colspan="5"><div class="form-contro">
																	<label>Approver Comments</label>
																	<textarea class="form-control requirefieldcls" rows="3"></textarea>
																</div></td>
														</tr>
														<?php } ?>
													</table>
												</div>
											</div>
										</div>
									</div>
								</div>
								<!-- END ACCORDIAN -->
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="invoice_payment_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg swal-modal mt-2" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Invoice Payment</h5>
				<button type="button" class="close main-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="invoice_payments_form" method="post">
					<input type="hidden" class="hbrow" id="h_new_attachment_type" name="h_new_attachment_type" value="" />
					<input type="hidden" class="hbrow" id="h_invoice_header_id" name="h_invoice_header_id" value="" />
					<input type="hidden" class="hbrow" id="h_payment_header_id" name="h_payment_header_id" value="" />
					<div class="pt-3">
						<div class="row">
							<div class="col-md-4">
								<div class="form-group">
									<label>Client Name </label>
									<input type="text" class="form-control brow" readonly id="text_client_name" name="text_client_name" value="" />
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label>Invoice Number </label>
									<input type="text" class="form-control brow" readonly id="text_invoice_number" name="text_invoice_number" value="" />
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label>Invoice Amount </label>
									<input type="text" class="form-control brow" readonly id="text_invoice_amount" name="text_invoice_amount" value="" />
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label>Invoice Date </label>
									<input type="text" class="form-control brow" readonly id="text_invoice_date" name="text_invoice_date" value="" />
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label>Due Date </label>
									<input type="text" class="form-control brow" readonly id="text_payment_due_date" name="text_payment_due_date" value="" />
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label>Amount Due </label>
									<input type="text" class="form-control brow" readonly id="text_invoice_due_amount" name="text_invoice_due_amount" value="" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<hr>
							</div>
						</div>
						<div class="row">
							<div class="col-md-2">
								<div class="form-group">
									<label>Payment Date </label>
									<div class="input-group date datepicker">
										<input type="text" class="form-control form_datetime brow requirefieldcls" readonly id="text_payment_date" name="text_payment_date" value="" />
										<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
									</div>
								</div>
							</div>
							<div class="col-md-2">
								<div class="form-group">
									<label>Mode of Payment </label><br>
									<select id="combo_mode_of_payment" name="combo_mode_of_payment" class="js-example-basic-single brow requirefieldcls" style="width:100%" >
									   <option value="">--Please Select--</option>
									   <option value="Check">Check</option>
									   <option value="ACH">ACH</option>
									   <option value="Wire">Wire</option>
									   <option value="Gateway">Gateway</option>
								   </select>
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label>Check # </label><br>
									<input type="text" class="form-control brow" id="text_check_no" name="text_check_no" value="" />
								</div>
							</div>
							<div class="col-md-2">
								<div class="form-group">
									<label>Payment Amount </label><br>
									<input type="text" class="form-control num brow requirefieldcls" id="text_payment_amount" name="text_payment_amount" value="" />
								</div>
							</div>
							<div class="col-md-2">
								<div class="form-group">
									<label>Date Payment Posted </label><br>
									<div class="input-group date datepicker">
										<input type="text" class="form-control form_datetime brow requirefieldcls" readonly id="text_date_payment_posted" name="text_date_payment_posted" value="" />
										<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
									</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<hr>
							</div>
						</div>
						<div class="row" id="invoice_payment_attachments_div">
							<div class="col-md-12">
								<label>Upload Files</label>
							</div>
							<div class="col-md-3">
								<div class="row">
									<div class="col-md-12">
										<select id="combo_attachment_type" name="combo_attachment_type" class="js-example-basic-single brow" style="width:100%" onChange="check_custom_attachment_type(this.value);">
										   <option value="">--Please Select--</option>
										   <?php
											$selectQuery 	= "SELECT * FROM `cxs_attachment_type` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
											$RunUserQuery	= mysqli_query($conn, $selectQuery);
											$StdNumRows 	= mysqli_num_rows($RunUserQuery);
											if($StdNumRows>0){
												while($rows=mysqli_fetch_assoc($RunUserQuery)){
												?>
												<option value="<?php echo stripslashes($rows['name']); ?>"><?php echo stripslashes($rows['name']); ?></option>
												<?php
												}
											}
											?>
										   <option value="Add Custom">--Add Custom--</option>
									   </select>
									</div>
									<div class="col-md-12">
										<button type="button" id="cmdAddInvoicePaymentsAttachment" class="btn btn-primary custom-form-inline-btn">Add</button>
									</div>
								</div>
							</div>
							<div class="col-md-3">
								<div class="file-upload-wrapper">
									<div id="fileuploader">Upload</div>
								</div>
								<input type="hidden" id="h_attachment_file_name" class="brow" value="">
								<input type="hidden" id="h_attachment_file_format" class="brow" value="">
								<input type="hidden" id="h_attachment_upload_date" class="brow" value="">
							</div>
							<div class="col-md-6">
								<div class="table-responsive">
									<table id="table_invoice_payment_attachments" class="table table-bordered">
										<thead>
											<tr class="table-info">
												<th>Seq.</th>
												<th>Attachment Type</th>
												<th>File Name</th>
												<th>File Format</th>
												<th>Upload Date</th>
												<th>Action</th>
											</tr>    
										</thead>    
										<tbody id="invoice_payment_attachments-data">
											
										</tbody>
									</table>    
								</div> 
								<div class="text-right mt-3">
									<input type="hidden" id="h_invoice_payment_attachments_cnt" class="hbrow" name="h_invoice_payment_attachments_cnt" value="<?php echo $h_invoice_payment_attachments_cnt; ?>" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6 text-right" style="color:#FF0000" id="modal_msg_invoice_payments"></div>
							<div class="col-md-6 text-right">
								
								<button type="button" class="btn btn-primary btn-icon"  id="cmd_invoice_payments_save" title="Save Record"><i class="fa fa-save"></i></button>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<div style="width:100%;">
					<div class="text-center">
						<div class="loading-div">
							<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
						</div>
						<div id="results_invoice_payments" class=""></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="custom_attachment_type_modal_save" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="attachment_type_modal_save_label">Add Custom Attachment Type</h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="custom_attachment_type_form" method="post">
					<div class="row col-12">
						<div class="col-4 pt-4 pl-0 pr-0">Attachment Type Custom Value:</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<input type="text" class="form-control" id="text_attachment_type_custom_name" name="text_attachment_type_custom_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Enter a unique Custom Attachment Type.">
						</div>
						<div class="col-12 pt-4 pl-0 pr-0 col-center not-valid-tip" id="div_msg_custom_attachment_type"></div>
						
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary btn-icon"  id="cmd_custom_attachment_type_modal_save" onClick="saveCustomAttachmentType();" title="Save Record"><i class="fa fa-save"></i></button>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/******************/
	$('#text_payment_amount').on('blur', function() {
		var value = this.value.replace("$","");
		value = value.replace(/,/g, '');
		if(value!=""){
			value = "$"+parseFloat(value).toLocaleString('en-US', {
				style: 'decimal',
				maximumFractionDigits: 2,
				minimumFractionDigits: 2
			});
		}
		this.value = value.replace(/,/g, '');
	});
	/******************/
	$('.datepicker .form_datetime').datepicker({
		format: "mm/dd/yyyy",
		enableOnReadonly: true,
		todayHighlight: true,
		autoclose: true,
		orientation: "bottom"
	});
	/******************/
	setDatePicker('.search_from','.search_to');
	
	/******************/
	$("#text_payment_amount").on("keyup",function(){
		if($("#h_payment_header_id").val()>0){
			var text_invoice_due_amount = parseFloat($("#text_invoice_due_amount").val().replace("$",""));
			var text_payment_amount	= parseFloat($("#text_payment_amount_"+$("#h_payment_header_id").val()).text().replace("$",""));
			text_invoice_due_amount = parseFloat(text_invoice_due_amount + text_payment_amount);
			if(parseFloat($(this).val().replace("$","")) > text_invoice_due_amount){
				alert("You can not enter payment amount more than invoice due amount.");
				$(this).val("$"+text_payment_amount);
			}
		}else{
			var text_invoice_due_amount = parseFloat($("#text_invoice_due_amount").val().replace("$",""));
			if(parseFloat($(this).val().replace("$","")) > text_invoice_due_amount){
				alert("You can not enter payment amount more than invoice due amount.");
				$(this).val("");
			}
		}
		
	});
	/*****************/
	$('#search_form').on('submit', function (e) {
		e.preventDefault();
		getInvoiceData();
	});
	/*****************/
	$('#search_form_2').on('submit', function (e) {
		e.preventDefault();
		getInvoiceProcessPaymentsData();
	});
	/*****************/
	<?php
	if(isset($_REQUEST['invoice_id']) && $_REQUEST['invoice_id']>0){
		?>
		setTimeout(function(){
			invoicePaymentProcess(<?php echo intval($_REQUEST['invoice_id']); ?>);
		},2500);
		<?php
	}
	?>
});
/******************/
getInvoiceData();
function getInvoiceData(){
	$.ajax({
		url: SITEURL+ "aj/invoices/",
		method: "POST",
		data: {REQUEST: 'get_invoice_data',is_html:true,search_form_data:$('#search_form').serialize()},
		beforeSend: function() {
			$("#results_invoice").fadeOut(500);
			$(".loading-div-invoice").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-invoice").hide();
				$("#results_invoice").html(response);
				$("#results_invoice").fadeIn(500);
				dataTableCreateCommonOrderOn("table_invoice",1);
				$("#table_invoice_filter").hide();
				$('[data-toggle="popover"]').popover();
				check_due_amount();
			},1000);
		}
	});
}
/******************/
function check_due_amount(){
	if(parseFloat($("#text_invoice_due_amount").val().replace("$",""))<=0){
		$("#cmd_invoice_payments_save,#cmdAddInvoicePaymentsAttachment").removeClass("btn-primary");
		$("#cmd_invoice_payments_save,#cmdAddInvoicePaymentsAttachment").addClass("btn-light");
		$("#cmd_invoice_payments_save,#cmdAddInvoicePaymentsAttachment").attr("disabled","disabled");
	}else{
		if($("#cmd_invoice_payments_save").hasClass("btn-light")){
			$("#cmd_invoice_payments_save,#cmdAddInvoicePaymentsAttachment").addClass("btn-primary");
			$("#cmd_invoice_payments_save,#cmdAddInvoicePaymentsAttachment").removeClass("btn-light");
			$("#cmd_invoice_payments_save,#cmdAddInvoicePaymentsAttachment").removeAttr("disabled","disabled");
		}
	}
}
/******************/
invoicePaymentDataTable();
function invoicePaymentDataTable(){
var table = $('#table_invoice_payments').DataTable( {
      "searching": false,
	  "paging":false,
      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				/*'excel',*/
				/*'pdf',*/
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
       
	var sortBy = 0;
	table.order([sortBy, 'asc'])
		.draw();
	
	$(".dataTables_empty").hide();
	$("#table_invoice_payments_info").hide();
}
/******************/
/******************/
function invoicePaymentProcess(id){
	/*var invoice_number 	= $("#invoice_"+id).data("invoice_number");
	var invoice_date 	= $("#invoice_"+id).data("invoice_date");
	var client_name 	= $("#invoice_"+id).data("client_name");
	var invoice_amount 	= $("#invoice_"+id).data("invoice_amount");
	var payment_due_date= $("#invoice_"+id).data("payment_due_date");*/
	$("#text_invoice_number").val($("#invoice_"+id).data("invoice_number"));
	$("#text_invoice_date").val($("#invoice_"+id).data("invoice_date"));
	$("#text_client_name").val($("#invoice_"+id).data("client_name"));
	$("#text_invoice_amount").val("$"+$("#invoice_"+id).data("invoice_amount").toFixed(2));
	$("#text_payment_due_date").val($("#invoice_"+id).data("payment_due_date"));
	$("#h_invoice_header_id").val(id);
	getInvoicePaymentsData(id);
	$("#invoice_payment_modal") .modal('show');
}
/******************/
(function($) {
	'use strict';
	if ($("#fileuploader").length) {
		
		var uploadObj = $("#fileuploader").uploadFile({
			url:"upload_attachment.php?type=invoice_payments",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"image/*, application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
				var attachment_data_arr = data.split("~");
				$("#h_attachment_file_name").val(attachment_data_arr[0]);
				$("#h_attachment_file_format").val(attachment_data_arr[1]);
				$("#h_attachment_upload_date").val(attachment_data_arr[2]);
				$("#fileuploader input[type=file]").attr("disabled","disabled");
        	}
		});
	}
})(jQuery);
/*************************************/
function check_custom_attachment_type(val){
	if(val=="Add Custom"){
		$("#custom_attachment_type_form")[0].reset();
		form_element_correct($("#custom_attachment_type_form input"));
		$("#div_msg_custom_attachment_type").text("");
		$('#custom_attachment_type_modal_save').modal('show');
		$("#custom_attachment_type_modal_save").attr("style","z-index:1052");
		$(".modal-backdrop").attr("style","z-index:1051");
		
		$('#custom_attachment_type_modal_save').click(function() {
			$(".modal-backdrop").removeAttr("style");
			setTimeout(function(){
				$("body").addClass("modal-open");
				$("#combo_attachment_type").select2("destroy");
				$("#combo_attachment_type").val("");
				$("#combo_attachment_type").select2();
			},500);
		});
		$('#custom_attachment_type_modal_save > .modal-dialog').click(function(event){
			event.stopPropagation();
		});
	}
}
$(".custom-close").click(function(){
	$("#custom_attachment_type_modal_save").modal("toggle");
	$(".modal-backdrop").removeAttr("style");
	setTimeout(function(){
		$("body").addClass("modal-open");
		$("#combo_attachment_type").select2("destroy");
		$("#combo_attachment_type").val("");
		$("#combo_attachment_type").select2();
	},500);
});
$('#invoice_payment_modal').on('hidden.bs.modal', function (e) {
    $(".hbrow,.brow").val("");
	$("#combo_mode_of_payment").select2("destroy");
	$("#combo_mode_of_payment").val("");
	$("#combo_mode_of_payment").select2();
	$(".not-valid-tip").remove();
});
function saveCustomAttachmentType(){
	var flag = true;
	form_element_correct($("#text_attachment_type_custom_name"));
	
	$("#div_msg_custom_attachment_type").text("");
	
	if($("#text_attachment_type_custom_name").val()==""){
		form_element_empty_err($("#text_attachment_type_custom_name"));       
		flag = false;
	}
	
	var formdata = $('#custom_attachment_type_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+ "aj/invoices/",
			method: "POST",
			cache: false,
			data: {REQUEST: 'check_custom_attachment_type_data',form1: formdata},
			success: function (response){ 
				if(response.succ==0){
					$("#div_msg_custom_attachment_type").text(response.msg);
				}else{
					//$("#combo_line_type_id").select2("destroy");
					var text_attachment_type_custom_name = $("#text_attachment_type_custom_name").val();
					$('<option value="'+text_attachment_type_custom_name+'">'+text_attachment_type_custom_name+'</option>').insertBefore('#combo_attachment_type > option:last');
					$("#h_new_attachment_type").val("1");
					$("#combo_attachment_type").val(text_attachment_type_custom_name);
					$('#custom_attachment_type_modal_save').modal('hide');
					$(".modal-backdrop").removeAttr("style");
					setTimeout(function(){
						$("body").addClass("modal-open");
						$("#combo_attachment_type").select2("destroy");
						$("#combo_attachment_type").val("");
						$("#combo_attachment_type").select2();
					},500);
				}    
			}
		});
	}
}
/*************************************/
$("#cmdAddInvoicePaymentsAttachment").click(function(){
	form_element_correct($("#combo_attachment_type").siblings(".select2"));
	form_element_correct($("#fileuploader"));
	
	var h_invoice_payment_attachments_cnt = $("#h_invoice_payment_attachments_cnt").val();
	var combo_attachment_type 	= $("#combo_attachment_type").val();
	var h_attachment_file_name	= $("#h_attachment_file_name").val();
	var h_attachment_file_format= $("#h_attachment_file_format").val();
	var h_attachment_upload_date= $("#h_attachment_upload_date").val();
	if(combo_attachment_type==""){
		//alert("Please select attachment type.");
		form_element_empty_err($("#combo_attachment_type").siblings(".select2"));
		return false;
	}else if(h_attachment_file_name=="" || h_attachment_file_format=="" || h_attachment_upload_date==""){
		//alert("Something went wrong. Please uplaod attachment file again.");
		form_element_empty_err($("#fileuploader"));
		return false;
	}else{
		var markup = '<tr id="attachment_row_id_'+h_invoice_payment_attachments_cnt+'"><td>'+h_invoice_payment_attachments_cnt+'</td><td>'+combo_attachment_type+'<input type="hidden" class="form-control" id="combo_attachment_type_'+h_invoice_payment_attachments_cnt+'" name="combo_attachment_type_'+h_invoice_payment_attachments_cnt+'" value="'+combo_attachment_type+'" /></td><td>'+h_attachment_file_name+'<input type="hidden" class="form-control" id="h_attachment_file_name_'+h_invoice_payment_attachments_cnt+'" name="h_attachment_file_name_'+h_invoice_payment_attachments_cnt+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+h_invoice_payment_attachments_cnt+'" name="h_attachment_file_format_'+h_invoice_payment_attachments_cnt+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+h_invoice_payment_attachments_cnt+'" name="h_attachment_upload_date_'+h_invoice_payment_attachments_cnt+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+h_invoice_payment_attachments_cnt+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+h_invoice_payment_attachments_cnt+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
		
		$("#invoice_payment_attachments-data").append(markup);
		$("#combo_attachment_type").select2("destroy");
		$("#invoice_payment_attachments_div").find(".brow").val("");
		$("#combo_attachment_type").select2();
		$(".ajax-file-upload-container").html("");
		$("#fileuploader input[type=file]").removeAttr("disabled");
		h_invoice_payment_attachments_cnt++;
		$("#h_invoice_payment_attachments_cnt").val(h_invoice_payment_attachments_cnt);
		$("#modal_msg_invoice_payments").text("");
	}
});
$(".delete-att-row").click(function(){
	$(this).closest('tr').empty();
});
function deleteAttachmentRow(row_id){
	$("#"+row_id).remove();
	var h_invoice_payment_attachments_cnt = $("#h_invoice_payment_attachments_cnt").val();
	h_invoice_payment_attachments_cnt--;
	$("#h_invoice_payment_attachments_cnt").val(h_invoice_payment_attachments_cnt);
}
/*************************************/
function getInvoicePaymentsData(invoice_header_id){
	$.ajax({
		url: SITEURL+ "aj/invoices/",
		method: "POST",
		data: {REQUEST: 'get_invoice_payments_data',is_html:true,invoice_header_id1:invoice_header_id},
		beforeSend: function() {
			$("#results_invoice_payments").fadeOut(500);
			$(".loading-div").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div").hide();
				$("#results_invoice_payments").html(response);
				$("#results_invoice_payments").fadeIn(500);
				
				var amount_due = parseFloat($("#text_invoice_amount").val().replace("$","")) - parseFloat($("#total_invoice_payment").val());
				
				$("#text_invoice_due_amount").val("$"+parseFloat(amount_due).toFixed(2));
				check_due_amount();
				/**/
				var table = $('#table_invoice_payments').DataTable( {
				  "searching": false,
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				   
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				/**/
				$("#table_invoice_payments_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/*************************************/
$("#cmd_invoice_payments_save").click(function (){
	var flag = true;
	$("#modal_msg_invoice_payments").text("");
	form_element_correct($("#text_payment_date").parent());
	form_element_correct($("#combo_mode_of_payment").siblings(".select2"));
	form_element_correct($("#text_check_no"));
	form_element_correct($("#text_payment_amount"));
	form_element_correct($("#text_date_payment_posted").parent());
	
	if($("#text_payment_date").val()==""){
		form_element_empty_err($("#text_payment_date").parent());               
		flag = false;
	}
	if($("#combo_mode_of_payment").val()==""){
		form_element_empty_err($("#combo_mode_of_payment").siblings(".select2"));               
		flag = false;
	}
	if($("#combo_mode_of_payment").val()=="Check" && $("#text_check_no").val()==""){
		form_element_empty_err($("#text_check_no"));               
		flag = false;
	}
	if($("#text_payment_amount").val()==""){
		form_element_empty_err($("#text_payment_amount"));               
		flag = false;
	}
	if($("#text_date_payment_posted").val()==""){
		form_element_empty_err($("#text_date_payment_posted").parent());               
		flag = false;
	}
	var text_invoice_due_amount = parseFloat($("#text_invoice_due_amount").val().replace("$",""));
	if(parseFloat($("#text_payment_amount").val().replace("$","")) > text_invoice_due_amount){
		alert("You can not enter payment amount more than invoice due amount.");
		$("#text_payment_amount").val("");
		flag = false;
	}
	
	if($("#combo_attachment_type").val()!="" && $("#h_attachment_file_name").val()!=""){
		$("#modal_msg_invoice_payments").text("Please add your uploaded attachment file.");
		flag = false;
	}
	
	var formdata 			= $('#invoice_payments_form').serialize(); 
	var payment_header_id 	= $("#h_payment_header_id").val();
	if(flag == true){
		$.ajax({
			url: SITEURL+ "aj/invoices/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_invoice_payments_data',form1: formdata,payment_header_id1:payment_header_id},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						$("#modal_msg_invoice_payments").text(response.msg);
					}else{
						if(payment_header_id>0){
							$("#h_payment_header_id").val("");
							$("#payment_row_"+payment_header_id).removeClass("edit-active-tr");
						}
						$("#invoice_payments_form").find(".brow").val("");
						$("#combo_mode_of_payment").select2("destroy");
						$("#combo_mode_of_payment").val("");
						$("#combo_mode_of_payment").select2();
						$("#invoice_payment_attachments-data").html("");
						invoicePaymentProcess($("#h_invoice_header_id").val());
						getInvoiceData();
						getInvoiceProcessPaymentsData();
						getInvoicePaymentsData($("#h_invoice_header_id").val());
					}   
				},1000); 
			}
		});
	}
});
/*********************************/
function editInvoicePayments(payment_header_id){
	$("#table_invoice_payments").find(".edit-active-tr").removeClass("edit-active-tr");
	$("#payment_row_"+payment_header_id).addClass("edit-active-tr");
	$("#h_payment_header_id").val(payment_header_id);
	$("#text_payment_date").val($("#text_payment_date_"+payment_header_id).text());
	$("#combo_mode_of_payment").select2("destroy");
	$("#combo_mode_of_payment").val($("#combo_mode_of_payment_"+payment_header_id).text());
	$("#combo_mode_of_payment").select2();
	$("#text_check_no").val($("#text_check_no_"+payment_header_id).text());
	$("#text_payment_amount").val($("#text_payment_amount_"+payment_header_id).text());
	$("#text_date_payment_posted").val($("#text_date_payment_posted_"+payment_header_id).text());
	getInvoicePaymentAttachments(payment_header_id);
}
function editInvoiceProcessPayments(payment_header_id,invoice_header_id){
	invoicePaymentProcess(invoice_header_id);
	setTimeout(function(){
		editInvoicePayments(payment_header_id);
	},2000);
}
function deleteInvoicePayments(payment_header_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var invoice_header_id = $("#h_invoice_header_id").val();
		$.ajax({
			url: SITEURL+ "aj/invoices/",
			method: "POST",
			data: {REQUEST: 'delete_invoice_payments_data',payment_header_id1:payment_header_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					$("#invoice_payments_form").find(".brow").val("");
					$("#combo_mode_of_payment").select2("destroy");
					$("#combo_mode_of_payment").val("");
					$("#combo_mode_of_payment").select2();
					$("#invoice_payment_attachments-data").html("");
					$("#h_payment_header_id").val("");
					getInvoicePaymentsData(invoice_header_id);
					getInvoiceData();
					getInvoiceProcessPaymentsData();
					var total_attachment = parseInt($(".inv-pay-attch").length)+1;
					$("#h_invoice_payment_attachments_cnt").val(total_attachment);
				},1000);
			}
		});
	}
}
function getInvoicePaymentAttachments(payment_header_id){
	$("#invoice_payment_attachments-data").html("");
	$.ajax({
		url: SITEURL+ "aj/invoices/",
		method: "POST",
		data: {REQUEST: 'get_invoice_payment_attachments_data',is_html:true,payment_header_id1:payment_header_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#invoice_payment_attachments-data").html(response);
				var total_attachment = parseInt($(".inv-pay-attch").length)+1;
				$("#h_invoice_payment_attachments_cnt").val(total_attachment);
			},1000);
		}
	});
}
/*************************************/
getInvoiceProcessPaymentsData();
function getInvoiceProcessPaymentsData(){
	$.ajax({
		url: SITEURL+ "aj/invoices/",
		method: "POST",
		data: {REQUEST: 'get_invoice_process_payments_data',is_html:true,search_form_data:$('#search_form_2').serialize()},
		beforeSend: function() {
			$("#results_invoice_process_payments").fadeOut(500);
			$(".loading-div-process_payments").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-process_payments").hide();
				$("#results_invoice_process_payments").html(response);
				$("#results_invoice_process_payments").fadeIn(500);
				
				/**/
				var table = $('#table_invoice_process_payments').DataTable( {
				  "searching": false,
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				   
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				/**/
				$("#table_invoice_process_payments_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/*************************************/
</script>
<script type="text/javascript">
function del_conf(id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		window.location.href= SITEURL+'invoicing/invoice/delete/'+id+'/';
	}
}
</script>
</body>
</html>
