<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
$user_role 	= $_SESSION['login_user_array']['user_role'];

$projects_licence_flag = getvalue("cxs_licensed_products", "projects_flag", " WHERE user_id='" . $_SESSION['login_user_array']['user_id'] . "'");

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");
?>
<!DOCTYPE html>
<html lang="en">

<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Coexsys | Issue Log</title>
	<!-- base:css -->
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?><?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
	<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
	<!-- endinject -->
	<!-- plugin css for this page -->
	<!-- End plugin css for this page -->
	<!-- inject:css -->
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css" />
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
	<!-- endinject -->
	<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
	<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
</head>

<body class="sidebar-light sidebar-icon-only">
	<div class="container-scroller">
		<!-- partial:partials/_navbar.html -->
		<?php include_once("top.php"); ?>
		<!-- partial -->
		<div class="container-fluid page-body-wrapper">
			<!-- partial:partials/_settings-panel.html -->
			<?php include_once("left.php");  ?>
			<!-- partial -->
			<div class="main-panel">
				<div class="rploader"><img src="images/89.gif" alt=""></div>
				<div class="content-wrapper">
					<div class="row">
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<nav aria-label="breadcrumb">
										<ol class="breadcrumb breadcrumb-help">
											<li class="breadcrumb-item">Issue Tracking</li>
											<li class="breadcrumb-item active" aria-current="page">Issue Log</li>
										</ol>
									</nav>
								</div>
							</div>
						</div>
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="d-flex flex-wrap justify-content-between">
										<h4 class="card-title mb-3">Issue Log</h4>
									</div>
									<div class="text-right1 pb-2">
										<div class="row">
											<div class="col-md-7">
												<?php
												if ($projects_licence_flag == "Y") {   ?>
													<div class="form-inline">
														<div class="form-check pb-2 pr-3">
															<label class="form-check-label"><b>
																	<input type="radio" class="form-check-input select_issue_type" name="select_issue_type" id="radio_all" value="all" checked="">
																	All Issues <i class="input-helper"></i></b></label>
														</div>
														<div class="form-check pb-2 pr-3">
															<label class="form-check-label"><b>
																	<input type="radio" class="form-check-input select_issue_type" name="select_issue_type" id="radio_project" value="project">
																	Projects Only <i class="input-helper"></i></b></label>
														</div>
														<div class="form-check pb-2 pr-3">
															<label class="form-check-label"><b>
																	<input type="radio" class="form-check-input select_issue_type" name="select_issue_type" id="radio_non_project" value="nonproject">
																	Non Projects Only <i class="input-helper"></i></b></label>
														</div>
													</div>
												<?php
												}
												?>
											</div>
											<div class="col-md-5">
												<div class="row">
													<div class="col-md-9">
														<?php
														if ($user_role == "Manager") {
															$qry = "SELECT DISTINCT cxs_projects.project_id,cxs_projects.project_name FROM cxs_projects left JOIN cxs_projects_manager ON cxs_projects_manager.project_id = cxs_projects.project_id
															WHERE cxs_projects_manager.user_id = '" . $_SESSION['login_user_array']['user_id'] . "' AND cxs_projects.company_id = '" . $_SESSION['login_user_array']['company_id'] . "'";
														} else if ($user_role == "Admin") {
															$qry = "SELECT DISTINCT cxs_projects.project_id,cxs_projects.project_name FROM cxs_projects 
															WHERE cxs_projects.company_id = '" . $_SESSION['login_user_array']['company_id'] . "'";
														}

														if ($projects_licence_flag == "Y") {
															if ($user_role == "Manager") {
																$qry = "SELECT DISTINCT cxs_projects.project_id,cxs_projects.project_name FROM cxs_projects left JOIN cxs_projects_manager ON cxs_projects_manager.project_id = cxs_projects.project_id
																WHERE cxs_projects_manager.user_id = '" . $_SESSION['login_user_array']['user_id'] . "' AND cxs_projects.company_id = '" . $_SESSION['login_user_array']['company_id'] . "'";
															} else if ($user_role == "Admin") {
																$qry = "SELECT DISTINCT cxs_projects.project_id,cxs_projects.project_name FROM cxs_projects 
																WHERE cxs_projects.company_id = '" . $_SESSION['login_user_array']['company_id'] . "'";
															}
														?>
															<select class="js-example-basic-single" id="combo_project1" style="width:100%;">
																<?php
																echo "<option value=''> -Select Project- </option>";
																$qry = "select * from cxs_projects where project_status NOT IN ('Draft','Closed') AND company_id = '" . $_SESSION['login_user_array']['company_id'] . "' order by project_name ";
																$result = mysqli_query($conn, $qry);
																if (mysqli_num_rows($result) > 0) {
																	while ($row = mysqli_fetch_assoc($result)) {
																		echo "<option value='" . $row['project_id'] . "'> " . $row['project_name'] . "</option>";
																	}
																}
																?>
															</select>
														<?php
														}   ?>
													</div>
													<div class="col-md-3 text-right">
														<button class="btn btn-primary btn-icon" title="Add Issue" id="cmdAddIssue"><i class="fa fa-plus"></i></button>
														<button class="btn btn-primary btn-icon" title="Filter Issue Log Reports" id="cmdBtnFeedFilter"><i class="fa fa-filter"></i> </button>
														<input type="hidden" id="h_issue_data" value="">
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="loading-div"> <img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;"> </div>
									<div class="row">
										<div class="col-md-12" id="results_recent_issue_log" style="max-width:100%;"> </div>
									</div>
									<div id="results_recent_issue_log1" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- main-panel ends -->
	<?php /*****************Modal Area*****************/ ?>
	<div class="modal fade" id="feed_filter_modal" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog modal-lg mt-5" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">Filter</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
				</div>
				<div class="modal-body pt-0">
					<div class="align-items-stretch exp-spend-analysis" id="feed_filter_modal_area">
						<div class="mail-list-container">
							<div class="mail-list">
								<div class="row">
									<div class="col-md-3 mt-4 col-centered1">
										<div class="form-group">
											<label>Issue Date - From</label>
											<div id="datepicker-popup" class="input-group date datepicker">
												<input type="text" class="form-control srch_txt" name="search_from" id="search_from" value="<?php echo $text_search_from_default; ?>">
												<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span>
											</div>
										</div>
									</div>
									<div class="col-md-3 mt-4 col-centered1">
										<div class="form-group">
											<label>Issue Date - To</label>
											<div id="datepicker-popup2" class="input-group date datepicker">
												<input type="text" class="form-control srch_txt" name="search_to" id="search_to" value="<?php echo $text_search_to_default; ?>">
												<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span>
											</div>
										</div>
									</div>
								</div>
								<div class="row">
									<?php if ($user_role != "User") { ?>
										<div class="col-md-3 col-centered">
											<div class="exp-spend-analysis-left border-left border-right border-bottom">
												<div class="left-title">
													<div class="form-check">
														<label class="form-check-label">
															<input type="checkbox" class="form-check-input check_all" data-cls="check_all_issue_owner" name="check_all_issue_owner" id="check_all_issue_owner" <?php if ($user_role == "Manager") { ?> checked <?php } ?>>
															Issue owner<i class="input-helper"></i> </label>
													</div>
												</div>
												<div class="add-items d-flex">
													<input type="text" id="text_search_by_issue_owner" name="text_search_by_issue_owner" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_issue_owner">
												</div>
												<div class="new-list-wrapper">
													<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_issue_owner">
														<?php
														$where = " WHERE company_id='" . $_SESSION['login_user_array']['company_id'] . "'";
														if ($user_role == "Manager") {
															$where .= " AND user_role='User'";
														} else if ($user_role == "User") {
															$where .= " AND user_id='" . $_SESSION['login_user_array']['user_id'] . "'";
														}
														$selectQuery 	= "SELECT * FROM `cxs_user` $where ORDER BY full_name ASC";
														$RunUserQuery	= mysqli_query($conn, $selectQuery);
														$StdNumRows 	= mysqli_num_rows($RunUserQuery);
														if ($StdNumRows > 0) {
															while ($rows = mysqli_fetch_assoc($RunUserQuery)) {
																$user_id 	= $rows["user_id"];
																$full_name 	= $rows["full_name"];
														?>
																<li class="<?php echo strtolower(str_replace(" ", "-", $full_name)); ?>">
																	<div class="form-check">
																		<label class="form-check-label">
																			<input class="checkbox check_all_issue_owner check_single" data-single_cls="check_all_issue_owner" type="checkbox" name="check_issue_owner_id" value="<?php echo $user_id; ?>">
																			<?php echo $full_name; ?> </label>
																	</div>
																</li>
														<?php
															}
														}
														?>
													</ul>
												</div>
											</div>
										</div>
									<?php } ?>
									<?php if ($user_role != "User") { ?>
										<div class="col-md-3 col-centered">
											<div class="exp-spend-analysis-left border-left border-right border-bottom">
												<div class="left-title">
													<div class="form-check">
														<label class="form-check-label">
															<input type="checkbox" class="form-check-input check_all" data-cls="check_all_issue_requestor" name="check_all_issue_requestor" id="check_all_issue_requestor" <?php if ($user_role == "Manager") { ?> checked <?php } ?>>
															Issue Requestor<i class="input-helper"></i> </label>
													</div>
												</div>
												<div class="add-items d-flex">
													<input type="text" id="text_search_by_issue_requestor" name="text_search_by_issue_requestor" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_issue_requestor">
												</div>
												<div class="new-list-wrapper">
													<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_issue_requestor">
														<?php
														$where = " WHERE company_id='" . $_SESSION['login_user_array']['company_id'] . "'";
														if ($user_role == "Manager") {
															$where .= " AND user_role='User'";
														} else if ($user_role == "User") {
															$where .= " AND user_id='" . $_SESSION['login_user_array']['user_id'] . "'";
														}
														$selectQuery 	= "SELECT * FROM `cxs_user` $where ORDER BY full_name ASC";
														$RunUserQuery	= mysqli_query($conn, $selectQuery);
														$StdNumRows 	= mysqli_num_rows($RunUserQuery);
														if ($StdNumRows > 0) {
															while ($rows = mysqli_fetch_assoc($RunUserQuery)) {
																$user_id 	= $rows["user_id"];
																$full_name 	= trim($rows["full_name"]);
														?>
																<li class="<?php echo strtolower(str_replace(" ", "-", $full_name)); ?>">
																	<div class="form-check">
																		<label class="form-check-label">
																			<input class="checkbox check_all_issue_requestor check_single" data-single_cls="check_all_issue_requestor" type="checkbox" name="check_issue_requestor_id" value="<?php echo $user_id; ?>">
																			<?php echo $full_name; ?> </label>
																	</div>
																</li>
														<?php
															}
														}
														?>
													</ul>
												</div>
											</div>
										</div>
									<?php } ?>
									<div class="col-md-3">
										<div class="exp-spend-analysis-left border-left border-right border-bottom">
											<div class="left-title">
												<div class="form-check">
													<label class="form-check-label">
														<input type="checkbox" class="form-check-input check_all" data-cls="check_all_status" name="check_all_status" id="check_all_status" <?php if ($user_role == "Manager") { ?> checked <?php } ?>>
														By Status<i class="input-helper"></i> </label>
												</div>
											</div>
											<div class="add-items d-flex">
												<input type="text" id="text_search_by_exp_type" name="text_search_by_status" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_status">
											</div>
											<div class="new-list-wrapper">
												<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_status">
													<li class="open">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_status check_single" data-single_cls="check_all_status" type="checkbox" name="check_status" value="Open" checked>
																Open </label>
														</div>
													</li>
													<li class="work">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_status check_single" data-single_cls="check_all_status" type="checkbox" name="check_status" value="Work in Progress" checked>
																Work in Progress </label>
														</div>
													</li>
													<li class="testing">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_status check_single" data-single_cls="check_all_status" type="checkbox" name="check_status" value="Testing" checked>
																Testing </label>
														</div>
													</li>
													<li class="acceptance_testing">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_status check_single" data-single_cls="check_all_status" type="checkbox" name="check_status" value="Acceptance Testing" checked>
																Acceptance Testing </label>
														</div>
													</li>
													<li class="acceptance_testing">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_status check_single" data-single_cls="check_all_status" type="checkbox" name="check_status" value="Closed">
																Closed </label>
														</div>
													</li>
												</ul>
											</div>
										</div>
									</div>
									<div class="col-md-3">
										<div class="exp-spend-analysis-left border-left border-right border-bottom">
											<div class="left-title">
												<div class="form-check">
													<label class="form-check-label">
														<input type="checkbox" class="form-check-input check_all" data-cls="check_all_priority" name="check_all_priority" id="check_all_priority" <?php if ($user_role == "Manager") { ?> checked <?php } ?>>
														By Priority<i class="input-helper"></i> </label>
												</div>
											</div>
											<div class="add-items d-flex">
												<input type="text" id="text_search_by_exp_type" name="text_search_by_priority" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_priority">
											</div>
											<div class="new-list-wrapper">
												<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_priority">
													<li class="critical">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_priority check_single" data-single_cls="check_all_priority" type="checkbox" name="check_priority" value="Critical">
																Critical </label>
														</div>
													</li>
													<li class="high">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_priority check_single" data-single_cls="check_all_priority" type="checkbox" name="check_priority" value="High">
																High </label>
														</div>
													</li>
													<li class="medium">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_priority check_single" data-single_cls="check_all_priority" type="checkbox" name="check_priority" value="Testing">
																Medium </label>
														</div>
													</li>
													<li class="low">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_priority check_single" data-single_cls="check_all_priority" type="checkbox" name="check_priority" value="Low">
																Low </label>
														</div>
													</li>
												</ul>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary" id="cmd_feed_filter_modal_apply" title="Apply" onClick="getissuedata(true);">Apply</button>
					<button type="button" class="btn btn-primary" title="Clear" onClick="window.location.href=''">Clear</button>
				</div>
			</div>
		</div>
	</div>
	<div class="modal fade pr-0" id="modal_new_issue">
		<div class="modal-dialog modal-xl mt-0 " role="document">
			<div class="modal-content">
				<div class="modal-header pb-1">
					<h2 class="pl-3 modal-title">Create Issue</h2>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
				</div>
				<div class="modal-body pt-2 ">

					<?php require_once 'issue-tracking.php'; ?>
				</div>
			</div>
		</div>
	</div>
	<?php /*****************Modal Area*****************/ ?>
	<input id="my-file" type="file" name="my-file" style="display: none;" accept="image/*" onChange="" />
	<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
	<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
	<script src="<?php echo SITEURL; ?>js/template.js"></script>
	<script src="<?php echo SITEURL; ?>js/settings.js"></script>
	<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
	<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
	<script src="<?php echo SITEURL; ?>js/popover.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/select2.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
	<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
	<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/custom.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/issue-tracking-js.js"></script>
	<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
	<!-- endinject -->
	<script>
		var doughnutPieData = {
			datasets: [{
				data: [30, 40, 38],
				backgroundColor: [
					'rgba(54, 162, 235, 0.5)',
					'rgba(255, 206, 86, 0.5)',
					'rgba(75, 192, 192, 0.5)',
					'rgba(153, 102, 255, 0.5)',
					'rgba(255, 159, 64, 0.5)',
					'rgba(255, 99, 132, 0.5)',

				],
				borderColor: [
					'rgba(54, 162, 235, 1)',
					'rgba(255, 206, 86, 1)',
					'rgba(75, 192, 192, 1)',
					'rgba(153, 102, 255, 1)',
					'rgba(255, 159, 64, 1)',
					'rgba(255,99,132,1)'
				],
			}],

			// These labels appear in the legend and in the tooltips when hovering different arcs
			labels: [
				'Blue',
				'Yellow', 'Pink'
			]
		};

		var doughnutPieOptions = {
			responsive: true,
			animation: {
				animateScale: true,
				animateRotate: true
			}
		};

		$('#resolved_date').datepicker({
			format: "mm/dd/yyyy",
			enableOnReadonly: true,
			todayHighlight: true,
			autoclose: true,
			orientation: "bottom"
		}); 
		function setFilterDatePicker() {
			$('#search_from').datepicker({
				format: "mm/dd/yyyy",
				enableOnReadonly: true,
				todayHighlight: true,
				autoclose: true,
				orientation: "bottom"
			}).on('changeDate', function(ev) {
				$('#search_to').val("");
				$("#search_to").datepicker("remove");
				$('#search_to').removeAttr("disabled");
				var newDate = new Date(ev.date);

				newDate.setDate(newDate.getDate());
				var dd = ('0' + (newDate.getDate())).slice(-2);
				var mm = ('0' + (newDate.getMonth() + 1)).slice(-2);
				var yy = newDate.getFullYear();
				var MyDateString = mm + "/" + dd + "/" + yy;

				$('#search_to').datepicker({
					format: "mm/dd/yyyy",
					enableOnReadonly: true,
					todayHighlight: true,
					autoclose: true,
					orientation: "bottom",
					startDate: MyDateString
				});
			});
			/*******************/
			$("#search_to").datepicker({
				startDate: $("#search_from").val()
			});
		}

		function GetProjectData() {
			$.ajax({
				url: "<?php echo SITEURL; ?>aj/issue-tracking/",
				method: "POST",
				data: {
					REQUEST: 'get_project_list'
				},
				success: function(response) {
					if (response.succ == 1) {
						$.each(response.project_list, function(key, value) {
							list_val = '<option value="' + value.project_id + '" selected>' + value.project_name + '</option>';

							$('#combo_project1').append(`${list_val}`);
						});
						$("#combo_project1").val("");
						$('#combo_project1').select2();
					}
				}
			});
		}
		$(document).ready(function() {
			getissuedata(false);
		});
		$(".select_issue_type").change(function() {
			$("#combo_project1").empty();
			var list_val = "<option value=''> - Select Project -</option>";
			$('#combo_project1').append(`${list_val}`);

			if ($("#radio_all").is(":checked")) {
				GetProjectData();
			} else if ($("#radio_project").is(":checked")) {
				GetProjectData();
			}
			$('#combo_project1').change();
		});

		$('#combo_project1').on('click change', function() {
			getissuedata(false);
		});

		function getissuedata(is_filter = true) {
			var check_issue_owner_id = new Array();
			var check_issue_requestor_id = new Array();
			var check_status = new Array();
			var check_priority = new Array();
			var search_from = "";
			var search_to = "";
			var project_id = -2;
			var table_name = "table_issue_log";
			var result_div = "results_recent_issue_log";
			if (is_filter == true) {
				$(".close").click();

				if ($("input:checkbox[name=check_issue_owner_id]").length) {
					$("input:checkbox[name=check_issue_owner_id]:checked").each(function() {
						check_issue_owner_id.push($(this).val());
					});
				}

				$("input:checkbox[name=check_issue_requestor_id]:checked").each(function() {
					check_issue_requestor_id.push($(this).val());
				});

				$("input:checkbox[name=check_status]:checked").each(function() {
					check_status.push($(this).val());
				});

				if ($("input:checkbox[name=check_priority]").length) {
					$("input:checkbox[name=check_priority]:checked").each(function() {
						check_priority.push($(this).val());
					});
				}
				if ($("#search_from").val() == "") {
					search_from = "<?php echo $text_search_from_default; ?>";
				} else {
					search_from = $("#search_from").val();
				}

				if ($("#search_from").val() == "") {
					search_to = "<?php echo $text_search_to_default; ?>";
				} else {
					search_to = $("#search_to").val();
				}

			}

			if ($("#combo_project1").length) {
				project_id = $('#combo_project1').val();
			}
			if (project_id == 0 && $("#radio_project").is(":checked")) {
				project_id = -1;
			} else if (project_id == 0 && $("#radio_non_project").is(":checked")) {
				project_id = 0;
			}

			$.ajax({
				url: "<?php echo SITEURL; ?>aj/issue-tracking/reports/",
				method: "POST",
				data: {
					REQUEST: 'get_issue_log_feeds',
					check_issue_owner_id1: check_issue_owner_id,
					check_issue_requestor_id1: check_issue_requestor_id,
					check_status1: check_status,
					check_priority1: check_priority,
					search_from: search_from,
					search_to: search_to,
					project_id: project_id,
					table_name: table_name,
					page_name: 'issue_log'
				},
				beforeSend: function() {
					$("#results_tab_2").fadeOut(500);
					$(".loading-div").fadeIn(800);
					$("#results_recent_issue_log").mCustomScrollbar("destroy");
				},
				success: function(response) {
					setTimeout(function() {
						$(".loading-div").hide();
						$("#" + result_div).html(response);
						$("#" + result_div).fadeIn(500),
							$('[data-toggle="popover"]').popover();
						/******************************/
						$("#results_recent_issue_log").mCustomScrollbar({ // custom scroll bar plugin
							theme: "light-2", // custom scroll theme set
							axis: "x", // custom scroll ver,hor scroll
						});
						/*******************/
					}, 500);
					setTimeout(function() {
						var table = $('#' + table_name).DataTable({
							/*"searching": false,*/
							"aaSorting": [],
							"dom": 'lBfrtip',
							buttons: [{
									extend: 'colvis',
									columns: ':lt(17)'
								},
								['excel', 'pdf', {
									text: 'Email',
									action: function(e, dt, node, config) {
										//$("#modal_email").show(); 
										show_emaimodal();
									}
								}]
							]

						});

						$('#' + table_name + ' tfoot th.searc').each(function() {
							var title = $(this).text();
							$(this).html('<input type="text" class="form-control custom-class" placeholder="' + title + '" />');
						});

						// Apply the search
						table.columns().every(function() {
							var that = this;
							$('input', this.footer()).on('keyup change', function() {
								if (that.search() !== this.value) {
									that
										.search(this.value)
										.draw();
								}
							});
						});
						/******************************************/
						$("#" + table_name + "_filter").hide();
					}, 1000);
				}
			});
		}

		function getissuedata123(is_filter = true) {
			if ($.fn.DataTable.isDataTable('#table_it_by_project')) {
				$('#table_it_by_project').DataTable().destroy();
			}
			$('#table_it_by_project tbody').empty();

			var check_issue_owner_id = new Array();
			var check_issue_requestor_id = new Array();
			var check_status = new Array();
			var check_priority = new Array();
			var search_from = "";
			var search_to = "";
			var project_id = -2;
			var table_name = "table_issue_log";
			var result_div = "results_recent_issue_log";
			if (is_filter == true) {
				$(".close").click();

				if ($("input:checkbox[name=check_issue_owner_id]").length) {
					$("input:checkbox[name=check_issue_owner_id]:checked").each(function() {
						check_issue_owner_id.push($(this).val());
					});
				}

				$("input:checkbox[name=check_issue_requestor_id]:checked").each(function() {
					check_issue_requestor_id.push($(this).val());
				});

				$("input:checkbox[name=check_status]:checked").each(function() {
					check_status.push($(this).val());
				});

				if ($("input:checkbox[name=check_priority]").length) {
					$("input:checkbox[name=check_priority]:checked").each(function() {
						check_priority.push($(this).val());
					});
				}
				if ($("#search_from").val() == "") {
					search_from = "<?php echo $text_search_from_default; ?>";
				} else {
					search_from = $("#search_from").val();
				}

				if ($("#search_from").val() == "") {
					search_to = "<?php echo $text_search_to_default; ?>";
				} else {
					search_to = $("#search_to").val();
				}

			}

			var project_id = 0;

			if ($("#combo_project1").length) {
				project_id = $('#combo_project1').val();
			}
			if (project_id == 0 && $("#radio_project").is(":checked")) {
				project_id = -1;
			} else if (project_id == 0 && $("#radio_non_project").is(":checked")) {
				project_id = 0;
			}
			/* url: "ajax_issue_tracking.php", data: {REQUEST: 'get_issue_all_data',project_id:project_id},*/
			$.ajax({
				url: "<?php echo SITEURL; ?>aj/issue-tracking/reports/",
				method: "POST",
				data: {
					REQUEST: 'get_issue_log_feeds',
					check_issue_owner_id1: check_issue_owner_id,
					check_issue_requestor_id1: check_issue_requestor_id,
					check_status1: check_status,
					check_priority1: check_priority,
					search_from: search_from,
					search_to: search_to,
					project_id: project_id
				},
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				success: function(response) {
					setTimeout(function() {
						$(".rploader").fadeOut(800);
						if (response.succ == 1) {
							//console.log(response);
							if (!jQuery.isEmptyObject(response.issue_all_data)) {
								$.each(response.issue_all_data, function(key, value) {
									Addrow(value);
								});
								setTitle();
								$("#h_issue_data").val('Y');

							} else {
								$("#h_issue_data").val('N');
							}
							sort_table();
						}

					}, 500);
				}
			});
		}

		function Addrow(value) {
			console.log(value);
			td1 = '<td>' + value.issue_number + '</td>';
			td2 = '<td>' + value.issue_priority + '</td>';
			td3 = '<td>' + value.issue_status + '</td>';
			td4 = '<td>' + value.issue_urgency + '</td>';
			td5 = '<td>' + value.task_type + '</td>';

			td6 = '<td>' + value.project_number + '</td>';
			td7 = '<td>' + value.project_name + '</td>';
			td8 = '<td>' + value.task_number + '</td>';
			td9 = '<td>' + value.task_name + '</td>';

			td10 = '<td>' + value.assigned_name + '</td>';
			td11 = '<td>' + value.issue_number + '</td>';
			td12 = '<td>' + value.schedule_start_date + '</td>';

			td13 = '<td>' + value.schedule_end_date + '</td>';
			td14 = '<td>' + value.actual_start_date + '</td>';
			td15 = '<td>' + value.actual_end_date + '</td>';
			td16 = '<td>' + value.resolved_by + '</td>';
			button1 = '<button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button>';
			button2 = '<button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button>';


			var data_content = value.data_content_eye_icon;
			td17 = '<td class="text-center"> <input type="hidden" value="' + value.issue_id + '">' +
				button1 + button2 + '<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="' + data_content + '" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>' +
				'</td>';

			rowCount = 1;
			tr = '<tr id="row' + rowCount + '">' + td1 + td2 + td3 + td4 + td5 + td6 + td7 + td8 + td9 + td10 + td11 + td12 + td13 + td14 + td15 + td16 + td17 + '</tr>';
			$("#table_it_by_project").append(tr);
		}

		function setTitle() {
			$(".celldatacontent").each(function(index) {
				$(this).popover('show');
				$(this).popover('hide');
			});
		}

		function sort_table() {
			var table = $('#table_it_by_project').DataTable({
				"searching": false,
				columnDefs: [{
					targets: [-1],
					orderable: false
				}, ],
				"dom": 'lBfrtip',
				buttons: [{
						extend: 'colvis',
						columns: ':lt(17)'
					},
					['excel', 'pdf', {
						text: 'Email'
					}]
				]
			});

			$('#table_it_by_project tfoot th.searc').each(function() {
				var title = $(this).text();
				$(this).html('<input type="text" class="form-control custom-class" placeholder="' + title + '" />');
			});

			// Apply the search
			table.columns().every(function() {
				var that = this;
				$('input', this.footer()).on('keyup change', function() {
					if (that.search() !== this.value) {
						that
							.search(this.value)
							.draw();
					}
				});
			});
			var sortBy = 2;
			table.
			order([sortBy, 'desc'])
				.draw();
		}
		/*$("#cmdAddIssue").click(function()
		{
		    OpenModalIssueDataBlank();
		    $("#modal_new_issue") .modal('show');
		});*/
		$("#cmdAddIssue").click(function() {
			OpenModalIssueDataBlank();
			$("#modal_new_issue").modal('show');
			$("#modal_form_data :input").prop("disabled", false);
			$("#cmdPost").prop("disabled", true);
			setDatePicker('#schedule_start_date', '#schedule_end_date');
			setDatePicker('#actual_start_date', '#actual_end_date');
		});

		$(document).on("click", ".edit-record", function() {
			var selected_id = $(this).parents('tr').find('input[type="hidden"]').val();
			$("#h_issue_id").val(selected_id);
			OpenModalIssueData(selected_id);
			$("#modal_new_issue").modal("show");
			$("#modal_form_data :input").prop("disabled", false);
			getActivityData();
		});
		$(document).on("click", ".view-record", function() {
			var selected_id = $(this).parents('tr').find('input[type="hidden"]').val();
			$("#h_issue_id").val(selected_id);
			OpenModalIssueData(selected_id);
			$("#modal_new_issue").modal("show");
			$("#modal_form_data :input").prop("disabled", true);
			getActivityData();
		});
		/*
		$("#modal_new_issue").on("hidden.bs.modal", function () {
		    getissuedata(''); 
		});
		*/
		function getActivityData() {
			$.ajax({
				url: "<?php echo SITEURL; ?>aj/issue-tracking/reports/",
				method: "POST",
				data: {
					REQUEST: 'get_issue_activity_trail',
					issue_id: $("#h_issue_id").val()
				},
				beforeSend: function() {
					$("#results_tab_2").fadeOut(500);
					$(".loading-div").fadeIn(800);
				},
				success: function(response) {
					setTimeout(function() {
						$(".loading-div").hide();
						$("#div_activity_trail").html(response);
						$("#div_activity_trail").fadeIn(500);

					}, 500);

				}
			});
		}
		$('#combo_project').on('click change', function() {
			var selected_project = $("#combo_project option:selected").text();
			var project_id = $('#combo_project').val();
			if (project_id == "") {
				selected_project = "";
			}
			$("#lbl_project_name").text("Project : " + selected_project);
		});


		$('#cmdBtnFeedFilter').click(function() {
			$('#feed_filter_modal').modal('show');
			setFilterDatePicker();
			setTimeout(function() {
				$('.search_txt').on('keyup', function() {
					var search_ul_id = $(this).data("search_ul_id");
					$('#' + search_ul_id + ' li').removeClass("li-show").addClass("li-hide");
					var str = $(this).val();
					str = str.replace(" ", "-");
					$('#' + search_ul_id + ' li[class*="' + str + '"]').removeClass("li-hide").addClass("li-show");
					//alert(str);
					if (str.length == 0) {
						$('#' + search_ul_id + ' li').removeClass("li-hide").addClass("li-show");
					}
				});
				$(".new-list-wrapper").mCustomScrollbar("destroy");
				$(".new-list-wrapper").mCustomScrollbar({ // custom scroll bar plugin
					theme: "light-2", // custom scroll theme set
					axis: "y", // custom scroll ver,hor scroll
				});
				/*******************/
				$(".check_all").change(function() {
					var cls = $(this).data("cls");
					if ($(this).is(':checked')) {
						$("." + cls).prop('checked', true);
					} else {
						$("." + cls).prop('checked', false);
					}
				});
				$(".check_single").change(function() {
					var single_cls = $(this).data("single_cls");
					if (!$(this).is(':checked')) {
						$("#" + single_cls).prop('checked', false);
					}
					if ($('.' + single_cls + ':checked').length == $('.' + single_cls).length) {
						$("#" + single_cls).prop('checked', true);
					}
				});
			}, 400);

		});
	</script>
</body>

</html>