<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0){
    header("location:".SITEURL."dashboard/");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Holidays</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
@media screen and (min-width: 750px)
{
    .large_screen_width
    {
        max-width: 100%;
    }
}
 @media screen and (min-width: 950px)
    {
        .large_screen_width
        {
           max-width: 40%;
        }
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item active" aria-current="page">Manage Holidays</li>
									</ol>
								</nav>
								<div class="d-flex flex-wrap justify-content-between pb-2">
									<h4 class="card-title mb-3">Holidays</h4>
									<div id="msg_year"></div>
									<?php
                                    if($_SESSION['login_user_array']['user_role']=='Admin')
                                    {?>
									<div>
										<select class="js-example-basic-single w-25 select2-hidden-accessible " name="combo_year" id="combo_year" tabindex="-1" aria-hidden="true" title="Select or Add Year">
											<option value="">- Select Year-</option>
											<?php
                                            $CurrentYear = date("Y");
                                            $qry = "select distinct holiday_year from cxs_holiday  where company_id ='".$_SESSION['login_user_array']['company_id']."' order by holiday_year";
                                            $result = mysqli_query($conn,$qry);
                                            if(mysqli_num_rows($result)>0)
                                            {
                                                while($row = mysqli_fetch_assoc($result))
                                                {
                                                    $selected_value = ($CurrentYear == $row['holiday_year'])?"selected":"";
                                                    echo "<option value='".$row['holiday_year']."' $selected_value >".$row['holiday_year']."</option>";
                                                }
                                            }
                                        ?>
											<option value="Add">Add a Holiday Calendar Year</option>
										</select>
										<button class="btn btn-primary btn-icon" title="Add Holiday Entry" id = "cmdAddHoliday"><i class="fa fa-plus"></i> </button>
									</div>
									<?php   } ?>
								</div>
								<div class="row">
									<div class="col-12" id="results">
										
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel-3">Add a Holiday Calendar Year</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
            </div>
            <div class="modal-body pt-1">
                <div class="row col-12 ">
                    <div class="col-4 pt-4 pl-0 pr-0">Enter Year</div>
                    <div class="col-8 pt-2 pl-0 pr-0">
                        <input type="text" class="form-control only-numeric" id="text_custom_year" name="text_custom_year" autofocus>
                        <!--<span class="error" style="color: red; display: none">* Input digits (0 - 9)</span>-->
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary"  id="cmd_modal_save">Save</button>
                <!-- data-dismiss="modal" -->
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modal2" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
    <div class="modal-dialog swal-modal modal-xl large_screen_width" role="document"  > <!--style="max-width: 40%;" -->
	<div class="modal-content" >
		<div class="modal-header">
			<h5 class="modal-title" id="modal2_label">Enter A Holiday <i class="fa fa-info-circle ml-3" style="cursor:pointer;" title="By default no attendance or time keeping entries will be allowed on a Holiday. However, user will be allowed to override if needed."></i> </h5>                        
			<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
		</div>
		<div class="modal-body pt-2 pb-2">
            <form id="form1" method="post">
                <div class="row">
                    <input type="hidden" id = "h_selectedid" name="h_selectedid" value="">
                    <label class="col-sm-3 col-form-label ">Holiday Date :</label>
                    <div class="col-sm-3">
                        <input type="text" class="form-control form_datetime pl-3 pr-3 requirefieldcls" id="text_holiday_date" name="text_holiday_date" autocomplete="off">                                
                    </div>      
                </div>
                <div class="row mt-1 mb-1">
                    <div class="col-sm-3">
                        <span class="not-valid-tip">&nbsp;&nbsp;&nbsp;</span>
                    </div>
                    <div class="col-sm-9 ">
                        <span class="not-valid-tip" id = "div_msg"></span>
                    </div>    
                </div>
                <div class="row">
                    <label class="col-sm-3 col-form-label">Holiday Name :</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control pl-3 pr-3 requirefieldcls" id="text_holiday_name" name="text_holiday_name" autocomplete="off">
                    </div>                                                                    
                </div>
            </form>
<!--			<form id="form1" method="post">
				<input type="hidden" id = "h_selectedid" name="h_selectedid" value="">
				<div class="row col-12">
					<div class="col-3 pt-4 pl-0 text-right">Holiday Date :</div>
					<div class="col-4 pt-2 pl-0 pr-0">
						<input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">
					</div>
                                </div>
                                <div class="row col-12">
					<div class="col-3 pt-4 pl-0  text-right">Holiday Name :</div>
					<div class="col-9 pt-2 pl-0 pr-0">
						<input type="text" class="form-control " id="text_holiday_name" name="text_holiday_name">
					</div>
					<div class="col-3 pt-4 pl-0 pr-0">&nbsp;</div>
					<div class="col-4 pt-2 pl-0 pr-0">
						<div class="form-check">
							<label class="form-check-label" >
							<input type="checkbox" class="form-check-input" id="check_observed" name="check_observed" value="1">
							Observed <i class="input-helper"></i> <i class="input-helper"></i></label>
						</div>
					</div>
					
					
				</div>
                                <div class="row">
                                    <div class="col-md-12 col-center pt-4 text-center not-valid-tip" id="div_msg"></div>
                                </div>
			</form>-->
		</div>
		<div class="modal-footer">
			<button type="button" class="btn btn-primary btn-icon"  id="cmd_modal2_save" title="Save Record"><i class="fa fa-save"></i></button>
			<!-- data-dismiss="modal" -->
		</div>
	</div>
</div>
</div>
<div class="modal fade" id="modal3" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
<div class="modal-dialog swal-modal modal-xl" role="document"  style="max-width: 40%;">
	<div class="modal-content">
		<div class="modal-body pt-0">
			<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
			<div class="swal-title">Are you sure?</div>
			<div class="swal-text">You won't be delete this record?</div>
			<input type="hidden" id="h_deleteid" value="">
		</div>
		<div class="swal-footer">
			<div class="swal-button-container">
				<button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalCancel">Cancel</button>
			</div>
			<div class="swal-button-container">
				<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalDelete">OK</button>
			</div>
		</div>
	</div>
</div>
</div>
<?php /**********Modal Area***********/ ?>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script>
$('.form_datetime').datepicker(
{
	format:'mm/dd/yyyy',
	defaultDate: '',
	autoclose : true
});	
        
$(document).ready(function()
{
    
	$(".form_datetime").attr("autocomplete", "off");
	$("#text_holiday_name").attr("autocomplete", "off");
	GetHolidayList();
	

});
        
    function GetHolidayList()
    {
        var holiday_year = $("#combo_year option:selected").val();
        if(holiday_year=="Add")
        {
            holiday_year = "";
        }
        $.ajax({
            url: SITEURL+"aj/setup/",
            method: "POST",
            data: {REQUEST: 'get_holiday_list', holiday_year: holiday_year,is_html:true},
            beforeSend: function() 
            {
                    $(".rploader").fadeIn(800);
            },
            success: function (response)
            {  
                $(".rploader").fadeOut(800);
                
                    setTimeout(function()
                    {
                        $("#results").html(response);
                        $('[data-toggle="popover"]').popover();
                        dataTableCreateOrderOff_thispage("table1");
                        $("#table1_filter").hide();
                    },1000); 
                    
            }
        });
    }
    
    function dataTableCreateOrderOff_thispage(tablename) {
	if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/
      columnDefs: [ 
            { targets: [-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				'excel',				
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
    
         
	$('#'+tablename+' tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	
}
        //$('#combo_year').change(function()
        $('#combo_year').on('change click', function(e) 
        {       
            form_element_correct($("#msg_year"));
            var selected_value = $("#combo_year option:selected").val();
            if(selected_value=="Add")
            {
                $("#text_custom_year").val('');                
                $('#modal1').modal('show'); 
                setTimeout(function()
		{
                    $("#text_custom_year").focus();
		}, 1000);
                
            }
            else
            {
                GetHolidayList();
            }
        });
        
        $("#cmd_modal_save").click(function()
        {
            form_element_correct($("#text_custom_year"));
            if($("#text_custom_year").val()=='')
            {
                form_element_correct($("#text_custom_year"));
                form_element_empty_err($("#text_custom_year"));
                return false;
            }
            var flag_valid = "Y";
            var  entered_value = $("#text_custom_year").val();
            
            if( (entered_value).length != 4)
            {
                $("#text_custom_year").addClass('error_ele');
                $("#text_custom_year").after('<span role="alert" class="not-valid-tip">Year length must be 4 digit.</span>');                             
                $("#text_custom_year").focus();
                flag_valid="N";
                return false;
            }
            
            $("#combo_year option").each(function()
             {
                 if($(this).val()==entered_value)
                 {
                     form_element_correct($("#text_custom_year"));                     
                     $("#text_custom_year").addClass('error_ele');
                     $("#text_custom_year").after('<span role="alert" class="not-valid-tip">Year already exist.</span>');                             
                     $("#text_custom_year").focus();
                     flag_valid="N";
                     return false;
                 }
             }); 
             
             if(flag_valid=="Y")
             {
               /* $("#combo_year").append('<option value="'+entered_value+'" selected="selected">'+entered_value+'</option>');*/               
                $("#combo_year option").eq(-1).before('<option value="'+entered_value+'" selected="selected">'+entered_value+'</option>');
                
                $("#modal1").modal("hide");     
                $("#cmdAddHoliday").click();
             }
        });
        function clear_form()
        {
            $("#h_selectedid").val('');
            $("#text_holiday_date").val('');
            $("#text_holiday_name").val('');
            $("#check_observed").attr("checked",false);
            $("#div_msg").text('');
            $("#modal2_label").text("Enter A Holiday");
        }
        $('#cmdAddHoliday').click(function()
        {
            form_element_correct($("#msg_year"));
            var selected_value = $("#combo_year option:selected").val();
            
            if(selected_value=="" || selected_value=="Add")
            {
                $("#msg_year").addClass('error_ele mb-1');
                $("#msg_year").after('<span role="alert" class="not-valid-tip">Select Year.</span>');
                $("#combo_year").focus();
                return false;
            }
            clear_form();
            $('#modal2').modal('show');
            
            setTimeout(function()
		{
                    $("#text_holiday_date").focus();
		}, 1000);
        });
        
        $("#cmd_modal2_save").click(function ()
        {
            var flag = true;
            form_element_correct($("#text_holiday_date"));
            form_element_correct($("#text_holiday_name"));
            $("#div_msg").text("");
            if($("#text_holiday_date").val()=="")
            {
                form_element_empty_err($("#text_holiday_date"));//               
                flag = false;
            }
            
            if($("#text_holiday_name").val()=="")
            {
                form_element_empty_err($("#text_holiday_name"));//               
                flag = false;
            }
            
            var formdata = $('#form1').serialize(); 
            var holiday_year = $("#combo_year option:selected").val();            
            if(flag == true)
            {
                $.ajax({
                    url: SITEURL+"aj/setup/",
                    method: "POST",
                    data: {REQUEST: 'save_holiday_data', holiday_year: holiday_year,form1: formdata},
                    beforeSend: function() 
                    {
                         $(".rploader").fadeIn(800);
                    },
                    success: function (response)
                    {  
                        $(".rploader").fadeOut(800);
                        if(response.succ==0)
                        {
                            $("#div_msg").text(response.msg);
                        }
                        else
                        {
                            location.reload(); 
                            $('#modal2').modal('hide');
                        }    
                    }
                });
            }
        });        
       /* $('.edit').click(function()*/
         $(document).on("click", ".edit" , function() 
        {
            var selected_id = $(this).next().val();    
            $("#h_selectedid").val(selected_id);
            $("#modal2_label").text("Update Holiday");
            $("#div_msg").text("");
            $.ajax({
                url: SITEURL+"aj/setup/",
                method: "POST",
                data: {REQUEST: 'get_holiday_data', holiday_id: $("#h_selectedid").val()},
                success: function (response)
                {  
                    
                    if(response.succ==1)
                    {
                        $("#text_holiday_name").val(response.holiday_data['holiday_name']);
                        $("#text_holiday_date").val(response.holiday_date);
                        $('#text_holiday_date').datepicker("update");
                        /*$("#check_observed").prop("checked",response.holiday_data['observed_flag']=="Y"?true:false);*/
                        $('#modal2').modal('show');                            
                    }
                }
            });            
        });
        
        
       /* $('.delete_record').click(function()*/
        $(document).on("click", ".delete_record" , function() 
        {
            var selected_id = $(this).prev().val();    
            $("#h_deleteid").val(selected_id);
            /* $('#modal3').modal('show');*/
            
            $.ajax({
                url: SITEURL+"aj/setup/",
                method: "POST",
                data: {REQUEST: 'delete_holiday_data', holiday_id: selected_id},
                success: function (response)
                {  
                    if(response.succ==1)
                    {
                        location.reload(); 
                    }
                }
            });
        });
        
        $('#cmdModalCancel').click(function()
        {
            $("#h_deleteid").val('');
            $("#modal3").modal("hide");
        });
        
        $('#cmdModalDelete').click(function()
        {
            $.ajax({
                url: SITEURL+"aj/setup/",
                method: "POST",
                data: {REQUEST: 'delete_holiday_data', holiday_id: $("#h_deleteid").val()},
                success: function (response)
                {  
                    if(response.succ==1)
                    {
                        location.reload(); 
                        //$("#modal3").modal("hide");
                    }
                }
            });
        });
        
        
        $('#cmdEmail').click(function()
        {
            var thehtml = sendemail(3);            
            if(thehtml!='')
            {
                $.ajax({
                    url: SITEURL+"aj/setup/",
                    method: "POST",
                    data: {REQUEST: 'data_table_email', recipients: $("#text_recepient").val(),subject_title:"Holiday List",html_data:thehtml},
                    success: function (response)
                    {  
                        if(response.succ==1)
                        {
                            $("#modal_email").modal("hide");
                        }
                    }
                });
            }
        });
    </script>
</body>
</html>
