<?php
    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Users</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item"><a href="manage-users.php">Manage Users</a></li>                                          
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between pb-2">
                                        &nbsp;&nbsp;
                                        <div>
                                            <a class="btn btn-success btn-sm" href="add-manage-users.php" target="_blank">
                                                    <i class="fa fa-plus" aria-hidden="true"></i> 
                                            </a>
                                        </div>

                                    </div>

                                    <div class="row">                                       
                                        <div class="col-12">                                            
                                            <div class="table-responsive">
                                                <table id="table1" class="table table-bordered">
                                                    <thead>
                                                      <tr class="table-info">
                                                          <th class="text-center">Sr. No.</th>
                                                          <th class="text-center">Full Name</th>
                                                          <th class="text-center">User Name</th>                                                              
                                                          <th class="text-center">Date Created</th> 
                                                          <th class="text-center">Role</th>
                                                          <th class="text-center">Module Access</th>
                                                          <th class="text-center">Who</th>                                                                                                                    
                                                      </tr>
                                                    </thead>                                                    
                                                    <tbody>
                                                        <tr>
                                                            <td>1</td>
                                                            <td >John Smith</td>
                                                            <td><a href="add-manage-users.php?id=1" target="_blank">jsmit@jsmitn.dom</a></td>
                                                            <td>Dec,12,2019</td>
                                                            <td>Administrator</td>
                                                            <td>$999.00</td>
                                                            <td class="text-center"><i class="typcn typcn-eye" style="font-size:24px"></i> </td>
                                                        </tr>
                                                        <tr>
                                                            <td>2</td>
                                                            <td >John Smith</td>
                                                            <td><a href="add-manage-users.php?id=1" target="_blank">jsmit@jsmitn.dom</a></td>
                                                            <td>Dec,12,2019</td>
                                                            <td>Manager</td>
                                                            <td>$999.00</td>
                                                            <td class="text-center"><i class="typcn typcn-eye" style="font-size:24px"></i> </td>
                                                        </tr>
                                                        <tr>
                                                            <td>3</td>
                                                            <td >John Smith</td>
                                                            <td><a href="add-manage-users.php?id=1" target="_blank">jsmit@jsmitn.dom</a></td>
                                                            <td>Dec,12,2019</td>
                                                            <td>User</td>
                                                            <td>$999.00</td>
                                                            <td class="text-center"><i class="typcn typcn-eye" style="font-size:24px"></i> </td>
                                                        </tr>
                                                        <tr>
                                                            <td>4</td>
                                                            <td >John Smith</td>
                                                            <td><a href="add-manage-users.php?id=1" target="_blank">jsmit@jsmitn.dom</a></td>
                                                            <td>Dec,12,2019</td>
                                                            <td>Administrator</td>
                                                            <td>$999.00</td>
                                                            <td class="text-center"><i class="typcn typcn-eye" style="font-size:24px"></i> </td>
                                                        </tr>
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    
  <!-- endinject -->  
    <script>
       
        $(document).ready(function()
        {
            $('#table1').dataTable({
              "searching": false,
              columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
              "dom": 'lBfrtip',
              "buttons": [['excel' ,'pdf'],{text: 'Email'}]
            });
        });    
    </script>
</body>

</html>
