<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!="" && !isset($_SESSION['hostedpage_id'])){
//if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!=""){
	
	require_once "connect_zoho_api.php";
	
	$card_update = false;
	$hostedpage_id = $_REQUEST['hostedpage_id'];
	$_SESSION['hostedpage_id'] = $hostedpage_id;
	$results = getSubscriptionData("hostedpages/".$hostedpage_id);
	
	/*echo "<pre>";
	print_r($results);
	die;*/
	if($results->code=="0"){
		$card_id = $results->data->subscription->card->card_id;
		
		$insArr = array();
		$insArr['hostedpage_id'] 	= $hostedpage_id;
		$insArr['card_id'] 			= $card_id;
		$insArr['zoho_subscription_status'] = "live";
		
		
		updatedata("cxs_licensed_products",$insArr," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		$card_update = true;
	}
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Licences</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<style>
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item active" aria-current="page">Manage Licences</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<?php
									if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!=""){
										if($card_update==true){
										?>
										<div class="col-md-12">
											<div class="alert alert-fill-success font-weight-bold" role="alert"> 
												<i class="typcn typcn-warning"></i> SUCCESS: Your payment details has been updated. 
											</div>
										</div>
										<?php
										}else{
										?>
										<div class="col-md-12">
											<div class="alert alert-fill-warning font-weight-bold" role="alert"> 
												<i class="typcn typcn-warning"></i> ERROR: Something went wrong. Please try again or contact <a href="mailto:service@coexsys.com" class="common-edit-link">service@coexsys.com</a> or Call at <a href="tel:1-800-COEXSYS" class="common-edit-link">1-800-COEXSYS</a>. . 
											</div>
										</div>
										<?php
										}
									}
									?>
									<div class="col-md-12">
										<div class="d-flex justify-content-between">
											<h4>Your next Payments</h4>
											<a href="javascript:void(0);" class="btn btn-sm btn-primary" id="btn_update_payment_details">Update Payment Details</a>
										</div>
										<table class="table table-bordered mt-2">
											<thead class="table-info">
												<tr>
													<th width="40%">Plan</th>
													<th width="15%">Payment Date</th>
													<th width="15%">Amount</th>
													<th width="15%">Payment Method</th>
													<th width="15%">Payment Details</th>
												</tr>
											</thead>
											<tbody>
												<tr>
													<td>Complete Project Management Suite</td>
													<td>08/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												<tr>
													<td>Project & Time Bundle</td>
													<td>09/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												<tr>
													<td>Project Management</td>
													<td>18/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												<tr>
													<td>Time Tracking</td>
													<td>28/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												
											</tbody>
											
										</table>
									</div>
								</div>
								<div class="row mt-4">
									<div class="col-md-12">
										<ul class="nav nav-tabs" role="tablist">
											<li class="nav-item">
												<a class="nav-link active" id="tab-1" data-toggle="tab" href="#tab1" role="tab" aria-controls="tab-1" aria-selected="true">Manage Licences</a>
											</li>
											<li class="nav-item">
												<a class="nav-link" id="tab-2" data-toggle="tab" href="#tab2" role="tab" aria-controls="tab-2" aria-selected="false">Licence Requests</a>
											</li>
										</ul>
										<div class="tab-content">
											
											<div class="tab-pane fade show active" id="tab1" role="tabpanel" aria-labelledby="tab-1">
												<div class="row">
													<div class="col-md-12">
														<div class="d-flex justify-content-between">
															<div>
																&nbsp;
															</div>
															<div>
																<a href="javascript:void(0);" class="btn btn-sm btn-licence my-1" id="btn_buy_new_licence">Buy New Licences</a>
																<a href="javascript:void(0);" class="btn btn-sm btn-licence my-1" id="btn_remove_licence">Remove Licences</a>
																<a href="javascript:void(0);" class="btn btn-sm btn-primary my-1">Contact Support</a>
																<a href="javascript:void(0);" class="btn btn-sm btn-primary my-1">Access Customer Portal</a>
															</div>
														</div>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-3 offset-9 text-right">
														<div class="table-responsive">
															<table class="table table-bordered">
																<tr>
																	<td>Total Licences Available:</td>
																	<td>10</td>
																</tr>
																<tr>
																	<td>Licences Used:</td>
																	<td>5</td>
																</tr>
																<tr>
																	<td>Licences Unused:</td>
																	<td>5</td>
																</tr>
															</table>
														</div>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-12">
														<?php
														$results = file_get_contents('zoho_plans.json');
														$results = json_decode($results, true);
														
														/*echo "<pre>";
														print_r($results);*/
														$monthly_suit_plans 	= '';
														$monthly_bundle_plans 	= '';
														$monthly_other_plans 	= '';
														
														$yearly_suit_plans 		= '';
														$yearly_bundle_plans 	= '';
														$yearly_other_plans 	= '';
														
														$suit_plans_arr 	= array("SUIT-YEARLY","SUIT-MONTHLY");
														$bundle_plans_arr 	= array("BUND-YEARLY","BUND-MONTHLY");
														if($_SESSION["login_user_array"]["user_plan"]=="ENTERPRISE"){
															$cnt = 0;
															foreach($results["plans"]["enterprise_plans"] as $result){
																$cnt++;
																$interval_str 	= "Monthly";
																$billed_str 	= "Billed Monthly";
																if($result["interval_unit"]=="years"){
																	$billed_str = "Billed Yearly";
																	$interval_str = "Yearly";
																}
																
																if($result["plan_name"]=="Project Management"){
																	$image_url = "images/shortcut-nav-icon/project.png";
																}else if($result["plan_name"]=="Time Tracking"){
																	$image_url = "images/shortcut-nav-icon/time-tracking.png";
																}else if($result["plan_name"]=="Attendance Tracking"){
																	$image_url = "images/shortcut-nav-icon/attendance.png";
																}else if($result["plan_name"]=="Issue Tracking"){
																	$image_url = "images/shortcut-nav-icon/issue.png";
																}else if($result["plan_name"]=="Expense Tracking"){
																	$image_url = "images/shortcut-nav-icon/expenses.png";
																}else if($result["plan_name"]=="Project & Time Bundle"){
																	$image_url = "images/shortcut-nav-icon/project-time-bundle.png";
																}else if($result["plan_name"]=="Complete Project Management Suite"){
																	$image_url = "images/shortcut-nav-icon/complete-suit-bundle.png";
																}
																
																$sel_class = "";
																if($cnt==1){
																	$sel_class = "selected";
																}
																
																$plan_str = '
																	<div class="mn-licence-block '.$sel_class.' mt-3 mr-3">
																		<a class="mn-plan-img btn-plan" href="javascript:void(0);">
																			<img src="'.$image_url.'" class="img-lg" title="'.$result["plan_name"].'">
																			
																		</a>
																		<a class="mn-plan-title btn-plan mb-2" href="javascript:void(0);">'.$result["plan_name"].'</a> 
																		<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Used: 10</a></h6>
																		<h6 class="font-weight-normal">Licenses Available: 20</h6>
																		<h6 class="font-weight-normal">Total Licenses: 30</h6>
																	</div>
																	';
																
																/*Monthly Plans*/
																if($result["interval_unit"]=="months"){
																	/*Suit Plans*/
																	if(in_array($result["plan_code"],$suit_plans_arr)){
																		$monthly_suit_plans .= $plan_str;
																	}
																	/*Suit Plans*/
																	
																	/*Bundle Plans*/
																	else if(in_array($result["plan_code"],$bundle_plans_arr)){
																		$monthly_bundle_plans .= $plan_str;
																	}
																	/*Bundle Plans*/
																	
																	/*Other Plans*/
																	else{
																		$monthly_other_plans .= $plan_str;
																	}
																	/*Other Plans*/
																}
																/*Monthly Plans*/
																
																/*Yearly Plans*/
																else if($result["interval_unit"]=="years"){
																	/*Suit Plans*/
																	if(in_array($result["plan_code"],$suit_plans_arr)){
																		$yearly_suit_plans .= $plan_str;
																	}
																	/*Suit Plans*/
																	
																	/*Bundle Plans*/
																	else if(in_array($result["plan_code"],$bundle_plans_arr)){
																		$yearly_bundle_plans .= $plan_str;
																	}
																	/*Bundle Plans*/
																	
																	/*Other Plans*/
																	else{
																		$yearly_other_plans.= $plan_str;
																	}
																	/*Other Plans*/
																}
																/*Yearly Plans*/
															}
														}else{
															
														}
														echo $monthly_suit_plans.$monthly_bundle_plans.$monthly_other_plans;
														?>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-12">
														<div class="mn-plan-details">
															<div class="row">
																<div class="col-md-12">
																	<h3 class="mt-2">Plan Selected : <span class="text-secondary"><strong id="plan_selected">Complete Project Management Suite</strong> (Enterprise Plan  - Monthly $1)</span></h3>
																	<h4 class="mt-5">Billing Details</h4>
																</div>
																<div class="col-md-6">
																	<div class="table-responsive">
																		<table class="table table-bordered">
																			<tr>
																				<td>Plan Name:</td>
																				<td>Complete Project Management Suit Bundle</td>
																			</tr>
																			<tr>
																				<td>Plan Type:</td>
																				<td>Monthly</td>
																			</tr>
																			<tr>
																				<td>Plan Status:</td>
																				<td>Active</td>
																			</tr>
																			<tr>
																				<td>Plan Features:</td>
																				<td>Expense, Project Management</td>
																			</tr>
																		</table>
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="table-responsive">
																		<table class="table table-bordered">
																			<tr>
																				<td>Billing</td>
																				<td></td>
																			</tr>
																			<tr>
																				<td>Next Billing Date:</td>
																				<td>25/09/2021</td>
																			</tr>
																			<tr>
																				<td>Renew Until Cancelled:</td>
																				<td>Yes</td>
																			</tr>
																			<tr>
																				<td>Amount:</td>
																				<td>$1</td>
																			</tr>
																		</table>
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="table-responsive">
																		<table class="table table-bordered">
																			<tr>
																				<td>Card on File</td>
																				<td></td>
																			</tr>
																			<tr>
																				<td>Type:</td>
																				<td>Visa</td>
																			</tr>
																			<tr>
																				<td>Card Number:</td>
																				<td>**********444</td>
																			</tr>
																			<tr>
																				<td>Card Expiry Date:</td>
																				<td>08/2025</td>
																			</tr>
																		</table>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="row mt-5">
													<div class="col-md-12">
														<h4>Licence Purchase History</h4>
													</div>
													<div class="col-md-6">
														<div class="table-responsive">
															<table class="table table-bordered">
																<thead class="table-info">
																	<tr>
																		<th width="45%">Name</th>
																		<th width="20%">Age</th>
																		<th width="20%">Nickname</th>
																		<th width="15%">Employee</th>
																	</tr>
																</thead>
																<tbody>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																</tbody>
																
															</table>
														</div>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab2" role="tabpanel" aria-labelledby="tab-2">
												<div class="row">
													<div class="col-md-12">
														<div class="table-responsive">
															<table class="table table-bordered">
																<thead class="table-info">
																	<tr>
																		<th width="40%">Name with Picture</th>
																		<th width="15%">Requested on</th>
																		<th width="20%">Request</th>
																		<th width="15%">Comment</th>
																		<th width="10%">Action</th>
																	</tr>
																</thead>
																<tbody>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																</tbody>
																
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					
				</div>
			</div>
		</div>
	</div>
</div>
<!-- main-panel ends -->
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="buy_new_licence_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Buy New Licences</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<?php
				$qty_option = '';
				for($i=0;$i<=1000;$i++){
					$qty_option .= '<option value="'.$i.'">'.$i.'</option>';
				}
				?>
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Please update your card on file if you wish to use a different card for this purchase and for recurring payments in future. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<ul class="nav nav-tabs" role="tablist">
							<li class="nav-item">
								<a class="nav-link active" id="tab-11" data-toggle="tab" href="#tab11" role="tab" aria-controls="tab-11" aria-selected="true">Monthly</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" id="tab-22" data-toggle="tab" href="#tab22" role="tab" aria-controls="tab-22" aria-selected="false">Yearly</a>
							</li>
						</ul>
						<div class="tab-content">	
							<div class="tab-pane fade show active" id="tab11" role="tabpanel" aria-labelledby="tab-11">
								<div class="table-responsive">
									<table class="table table-bordered">
										<thead class="table-info">
											<tr>
												<th>Subscription Plan</th>
												<th width="20%">Licence Qty.</th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td>Complete Project Management Suite</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Project & Time Bundle</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Project Management</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Time Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Attendance Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Issue Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Expense Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
								<div class="row mt-4">
									<div class="col-md-6">
										<div class="form-check">
											<label class="form-check-label text-black-50">
											<input type="checkbox" class="form-check-input " id="chkAgree">
											<i class="input-helper" id="chkAgree1"></i> 
											I agree with the term of use and SLA <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
											</label>
										</div>
									</div>
									<div class="col-md-6 text-right">
										<a href="javascript:void(0);" class="btn btn-primary">Process Order</a>
									</div>
								</div>
							</div>
							<div class="tab-pane fade" id="tab22" role="tabpanel" aria-labelledby="tab-22">
								<div class="table-responsive">
									<table class="table table-bordered">
										<thead class="table-info">
											<tr>
												<th>Subscription Plan</th>
												<th width="20%">Licence Qty.</th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td>Complete Project Management Suite</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Project & Time Bundle</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Project Management</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Time Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Attendance Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Issue Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
											<tr>
												<td>Expense Tracking</td>
												<td>
													<select id="licence_qty" name="licence_qty" class="form-control">
														<?php
														echo $qty_option;
														?>
													</select>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
								<div class="row mt-4">
									<div class="col-md-6">
										<div class="form-check">
											<label class="form-check-label text-black-50">
											<input type="checkbox" class="form-check-input " id="chkAgree">
											<i class="input-helper" id="chkAgree1"></i> 
											I agree with the term of use and SLA <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
											</label>
										</div>
									</div>
									<div class="col-md-6 text-right">
										<a href="javascript:void(0);" class="btn btn-primary" id="btn_buy_new_licence_process">Process Order</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="remove_licence_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Remove Licences</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Select number of licences you wish to remove in the below section. 
						</div>
					</div>
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Please update your card on file if you wish to use a different card for this purchase and for recurring payments in future. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered">
								<thead class="table-info">
									<tr>
										<th>Subscription Plan</th>
										<th width="20%">Licence Qty.</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>Complete Project Management Suite</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="0">0</option>
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Project & Time Bundle</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="0">0</option>
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Project Management</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="0">0</option>
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Time Tracking</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="0">0</option>
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Attendance Tracking</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="0">0</option>
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Issue Tracking</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="0">0</option>
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Expense Tracking</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="0">0</option>
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="row mt-4">
							<div class="col-md-6">
								<div class="form-check">
									<label class="form-check-label text-black-50">
									<input type="checkbox" class="form-check-input " id="chkAgree">
									<i class="input-helper" id="chkAgree1"></i> 
									I agree with the term of use and SLA <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
									</label>
								</div>
							</div>
							<div class="col-md-6 text-right">
								<a href="javascript:void(0);" class="btn btn-primary" id="btn_remove_licence_process">Process Order</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="confirm_remove_licence_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Attention!</h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-warning font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: You have elected to remove licences from following Plans. Please confirm. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered">
								<thead class="table-info">
									<tr>
										<th>Subscription Plan</th>
										<th width="20%">Licence Qty.</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>Project & Time Bundle</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="1">1</option>
												<option value="2" selected>2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Project Management</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3" selected>3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Time Tracking</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="1" selected>1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="row mt-4">
							<div class="col-md-6">
								<a href="javascript:void(0);" class="btn btn-light" id="btn_remove_licence_cancel">Cancel</a>
							</div>
							<div class="col-md-6 text-right">
								<a href="javascript:void(0);" class="btn btn-primary" id="btn_remove_licence_confirm">I Confirm</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>

<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<!--<script src="datepicker/bootstrap-datepicker.js"></script>-->
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom.js?t=<?php echo time(); ?>"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".btn-plan").click(function(){
		$(".mn-licence-block").removeClass("selected");
		$(this).parent().addClass("selected");
		$("#plan_selected").text($(this).parent().children(".mn-plan-title").text());
	});
	/***************************/
	$("#btn_buy_new_licence").click(function(){
		$("#buy_new_licence_modal").modal("show");
	});
	/***************************/
	$("#btn_remove_licence").click(function(){
		$("#remove_licence_modal").modal("show");
	});
	/***************************/
	$("#btn_remove_licence_process").click(function(){
		$("#confirm_remove_licence_modal").modal("show");
		$("#confirm_remove_licence_modal").attr("style","z-index:1052");
		
		$(".modal-backdrop").attr("style","z-index:1051");
		$('#confirm_remove_licence_modal').click(function() {
			$(".modal-backdrop").removeAttr("style");
			$("body").addClass("modal-open");
		});
		$(".custom-close, #btn_remove_licence_cancel").click(function(){
			$(".modal-backdrop").removeAttr("style");
			$("body").addClass("modal-open");
			$("#confirm_remove_licence_modal").modal("hide");
		});
		$('#confirm_remove_licence_modal > .modal-dialog').click(function(event){
			event.stopPropagation();
		});
	});
	/****************************/
	$("#btn_update_payment_details").click(function(){
	
		var r = confirm("Are you sure you want to update payment details?");
		if(r){
			$.ajax({
				url:"ajax_common.php",
				method:"POST",
				data:{REQUEST:'update_payment_details'},
				beforeSend: function(){
					$(".rploader").fadeIn(800);
				},
				success:function(response){
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						if(response.succ==1 && response.redirect_url!=""){
							window.location.href = response.redirect_url;
						}else{
							alert("Something went wrong. Please try again.");
						}
					},1000);
				}
			});
		}
	});
});
</script>
<!--End of Tawk.to Script-->
</body>
</html>
