<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (
		CheckCommonSetupEntries()==0 
		|| $_SESSION['login_user_array']['user_type']=="Try" 
		|| $_SESSION['login_user_array']['user_role']!='Admin'
		|| $_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED"
	){
		header("location:".SITEURL."dashboard/");
}
/*
List of Subscriptions -> /api/v1/subscriptions?customer_id={customer_id}
List of Invoices -> /api/v1/invoices?customer_id={customer_id}
List of Transactions -> /api/v1/transactions?customer_id={customer_id}
*/
$card_update = "";

/*echo "<pre>";
print_r($results);*/

/***************************************/

$total_licenses 	= 0;
$licenses_available	= 0;
$licenses_used 		= 0;

$plan_data_arr = array();

$selectQuery 	= "
	SELECT 
		*
	FROM 
		`cxs_manage_licenses` 
	WHERE 
		user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'
	ORDER BY
		next_billing_at DESC
";
		
$RunUserQuery	= mysqli_query($conn, $selectQuery);
$StdNumRows 	= mysqli_num_rows($RunUserQuery);

if($StdNumRows>0){
	while($rows=mysqli_fetch_assoc($RunUserQuery)){
		
		$plan_data_arr[$rows["plan_code"]] = array(
								"total_licenses" 		=> $rows["total_licenses"],
								"licenses_available" 	=> $rows["licenses_available"],
								"licenses_used" 		=> $rows["licenses_used"],
								"subscription_id"		=> $rows["subscription_id"],
							);
		
		$total_licenses		+= intval($rows["total_licenses"]);
		$licenses_available	+= intval($rows["licenses_available"]);
		$licenses_used		+= intval($rows["licenses_used"]);
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Licenses</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/zoho-pricing-table.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<style>
.popover {
	z-index:9999;
}
.tab-content{
	text-align:left;
}
.table td{
    padding:0.65rem 0.40rem;
}
#tab1 .tab-content{
	padding: 1rem 1rem;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item active" aria-current="page">Manage Licenses</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<?php
									if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!=""){
										if($card_update==true){
										?>
										<div class="col-md-12">
											<div class="alert alert-fill-success font-weight-bold" role="alert"> 
												<i class="typcn typcn-warning"></i> SUCCESS: Your payment details has been updated. 
											</div>
										</div>
										<?php
										}else{
										?>
										<div class="col-md-12">
											<div class="alert alert-fill-warning font-weight-bold" role="alert"> 
												<i class="typcn typcn-warning"></i> ERROR: Something went wrong. Please try again or contact <a href="mailto:service@coexsys.com" class="common-edit-link">service@coexsys.com</a> or Call at <a href="tel:1-800-COEXSYS" class="common-edit-link">1-800-COEXSYS</a>. . 
											</div>
										</div>
										<?php
										}
									}
									?>
									<div class="col-md-12">
										<div class="d-flex justify-content-between">
											<h4>Your Next Payments</h4>
											<a href="javascript:void(0);" class="btn btn-sm btn-primary btn_update_payment_details">Update Card On File</a>
										</div>
										<div id="next_payment_details_div"></div>
									</div>
								</div>
								<div class="row mt-4">
									<div class="col-md-12">
										<ul class="nav nav-tabs" role="tablist">
											<li class="nav-item">
												<a class="nav-link active" id="tab-1" data-toggle="tab" href="#tab1" role="tab" aria-controls="tab-1" aria-selected="true">Manage Licenses</a>
											</li>
											<li class="nav-item">
												<a class="nav-link" id="tab-2" data-toggle="tab" href="#tab2" role="tab" aria-controls="tab-2" aria-selected="false">License Requests</a>
											</li>
										</ul>
										<div class="tab-content">
											
											<div class="tab-pane fade show active" id="tab1" role="tabpanel" aria-labelledby="tab-1">
												<div class="row">
													<div class="col-md-12">
														<div class="d-flex justify-content-between">
															<div>
																&nbsp;
															</div>
															<div>
																<?php
																$dis_class = "";
																if($_SESSION['login_user_array']['user_plan']!="ENTERPRISE"){
																	$dis_class = "disabled";
																}
																?>
																<a href="javascript:void(0);" class="btn btn-sm btn-ylw font-weight-bold my-1 <?php echo $dis_class; ?>" id="btn_buy_new_license">BUY NEW LICENSES</a>
																<a href="javascript:void(0);" class="btn btn-sm btn-license my-1 <?php echo $dis_class; ?>" id="btn_remove_license">Remove Licenses</a>
																<a href="<?php echo SITEURL; ?>tech-support/" class="btn btn-sm btn-primary my-1">Contact Support</a>
																<!-- <a href="#" class="btn btn-sm btn-primary my-1" target="_blank">Access Customer Portal</a> -->
															</div>
														</div>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-3 offset-md-9 text-right">
														<div class="table-responsive">
															<table class="table table-bordered">
																<tr>
																	<td>Total Licenses Available:</td>
																	<td><?php echo $total_licenses; ?></td>
																</tr>
																<tr>
																	<td>Licenses Available:</td>
																	<td><?php echo $licenses_available; ?></td>
																</tr>
																<tr>
																	<td>Licenses Used:</td>
																	<td><?php echo $licenses_used; ?></td>
																</tr>
															</table>
														</div>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-12">
														<?php
														$monthly_suit_plans 	= '';
														$monthly_bundle_plans 	= '';
														$monthly_other_plans 	= '';
														
														$yearly_suit_plans 		= '';
														$yearly_bundle_plans 	= '';
														$yearly_other_plans 	= '';
														
														$self_monthly_plans 	= '';
														$self_yearly_plans 		= '';
														
														if($_SESSION["login_user_array"]["user_plan"]=="ENTERPRISE"){
															$cnt = 0;
															foreach($results["plans"]["enterprise_plans"] as $result){
																$cnt++;
																$interval_str 	= "Monthly";
																$billed_str 	= "Billed Monthly";
																if($result["interval_unit"]=="years"){
																	$billed_str = "Billed Yearly";
																	$interval_str = "Yearly";
																}
																
																$total_licenses 	= 0;
																$licenses_available	= 0;
																$licenses_used		= 0;
																$plan_status		= "Inactive";
																$subscription_id 	= "";
																$purchased_class 	= "";
																
																if(isset($plan_data_arr[$result["plan_code"]]) && count($plan_data_arr[$result["plan_code"]])>0){
																	$total_licenses 	= $plan_data_arr[$result["plan_code"]]["total_licenses"];
																	$licenses_available	= $plan_data_arr[$result["plan_code"]]["licenses_available"];
																	$licenses_used 		= $plan_data_arr[$result["plan_code"]]["licenses_used"];
																	$plan_status		= "Active";
																	$subscription_id 	= $plan_data_arr[$result["plan_code"]]["subscription_id"];
																	$purchased_class = "dd_plan_purchased";
																}
																
																
																if($result["plan_name"]=="Project Management"){
																	$image_url = SITEURL."images/shortcut-nav-icon/project.png";
																}else if($result["plan_name"]=="Time Tracking"){
																	$image_url = SITEURL."images/shortcut-nav-icon/time-tracking.png";
																}else if($result["plan_name"]=="Attendance Tracking"){
																	$image_url = SITEURL."images/shortcut-nav-icon/attendance.png";
																}else if($result["plan_name"]=="Issue Tracking"){
																	$image_url = SITEURL."images/shortcut-nav-icon/issue.png";
																}else if($result["plan_name"]=="Expense Tracking"){
																	$image_url = SITEURL."images/shortcut-nav-icon/expenses.png";
																}else if($result["plan_name"]=="Project & Time Bundle"){
																	$image_url = SITEURL."images/shortcut-nav-icon/project-time-bundle.png";
																}else if($result["plan_name"]=="Complete Project Management Suite"){
																	$image_url = SITEURL."images/shortcut-nav-icon/complete-suit-bundle.png";
																}
																
																$store_markup_descriptions = explode("|",$result["store_markup_description"]);
																$descr = '';
																if(count($store_markup_descriptions)>0){ 
																	foreach($store_markup_descriptions as $feature){ 
																		$descr .= '
																			<li>
																				<p>'.$feature.'</p>
																			</li>
																		';
																	}
																}
																$descr = '<ul>'.$descr.'</ul>';
																
																$plan_str = '
																	<div id="plan_block_'.$result["plan_code"].'" class="mn-license-block mr-2 '.$purchased_class.'" data-plan_code="'.$result["plan_code"].'">
																		<input type="hidden" class="is_data_retrieved" value="no" />
																		<input type="hidden" class="subscription_id" value="'.$subscription_id.'" />
																		<input type="hidden" class="plan_code" value="'.$result["plan_code"].'" />
																		<input type="hidden" class="plan_name" value="'.$result["plan_name"].'" />
																		<input type="hidden" class="plan_price" value="'.setNumberFormat($result["plan_price"]).'" />
																		<input type="hidden" class="plan_type" value="'.$interval_str.'" />
																		<input type="hidden" class="plan_status" value="'.$plan_status.'" />
																		<input type="hidden" class="plan_features" value="'.$descr.'" />
																		<input type="hidden" class="next_billing_date" value="" />
																		<input type="hidden" class="card_type"  value="" />
																		<input type="hidden" class="card_number" value="" />
																		<input type="hidden" class="card_expiry_date" value="" />
																		<input type="hidden" class="plan_renew_until_cancelled" value="" />
																		<input type="hidden" class="plan_purchase_history" value="" />
																		
																		<a class="mn-plan-img btn-plan" href="javascript:void(0);">
																			<img src="'.$image_url.'" class="img-lg" title="'.$result["plan_name"].'">
																			
																		</a>
																		<a class="mn-plan-title btn-plan mb-2" href="javascript:void(0);">'.$result["plan_name"].'</a> 
																		<h6 class="font-weight-normal"><a href="'.SITEURL.'account/subscriptions/" class="common-edit-link">Licenses Used: '.$licenses_used.'</a></h6>
																		<h6 class="font-weight-normal">Licenses Available: '.$licenses_available.'</h6>
																		<h6 class="font-weight-normal">Total Licenses: '.$total_licenses.'</h6>
																	</div>
																	';
																
																/*Monthly Plans*/
																if($result["interval_unit"]=="months"){
																	/*Suit Plans*/
																	if(in_array($result["plan_code"],$suit_plans_arr)){
																		$monthly_suit_plans .= $plan_str;
																	}
																	/*Suit Plans*/
																	
																	/*Bundle Plans*/
																	else if(in_array($result["plan_code"],$bundle_plans_arr)){
																		$monthly_bundle_plans .= $plan_str;
																	}
																	/*Bundle Plans*/
																	
																	/*Other Plans*/
																	else{
																		$monthly_other_plans .= $plan_str;
																	}
																	/*Other Plans*/
																}
																/*Monthly Plans*/
																
																/*Yearly Plans*/
																else if($result["interval_unit"]=="years"){
																	/*Suit Plans*/
																	if(in_array($result["plan_code"],$suit_plans_arr)){
																		$yearly_suit_plans .= $plan_str;
																	}
																	/*Suit Plans*/
																	
																	/*Bundle Plans*/
																	else if(in_array($result["plan_code"],$bundle_plans_arr)){
																		$yearly_bundle_plans .= $plan_str;
																	}
																	/*Bundle Plans*/
																	
																	/*Other Plans*/
																	else{
																		$yearly_other_plans.= $plan_str;
																	}
																	/*Other Plans*/
																}
																/*Yearly Plans*/
															}
														}else{
															$cnt = 0;
															foreach($results["plans"]["self_emp_plans"] as $result){
										
																$cnt++;
																$interval_str 	= "Monthly";
																$billed_str 	= "Billed Monthly";
																if($result["interval_unit"]=="years"){
																	$billed_str = "Billed Yearly";
																	$interval_str = "Yearly";
																}
																
																$total_licenses 	= 0;
																$licenses_available	= 0;
																$licenses_used		= 0;
																$plan_status		= "Inactive";
																$subscription_id 	= "";
																$purchased_class 	= "";
																
																if(isset($plan_data_arr[$result["plan_code"]]) && count($plan_data_arr[$result["plan_code"]])>0){
																	$total_licenses 	= $plan_data_arr[$result["plan_code"]]["total_licenses"];
																	$licenses_available	= $plan_data_arr[$result["plan_code"]]["licenses_available"];
																	$licenses_used 		= $plan_data_arr[$result["plan_code"]]["licenses_used"];
																	$plan_status		= "Active";
																	$subscription_id 	= $plan_data_arr[$result["plan_code"]]["subscription_id"];
																	$purchased_class = "dd_plan_purchased";
																}
																
																if($result["plan_name"]=="Self Employed Plan"){
																	$image_url = SITEURL."images/shortcut-nav-icon/self-employed.png";
																}
																
																$store_markup_descriptions = explode("|",$result["store_markup_description"]);
																$descr = '';
																if(count($store_markup_descriptions)>0){ 
																	foreach($store_markup_descriptions as $feature){ 
																		$descr .= '
																			<li>
																				<p>'.$feature.'</p>
																			</li>
																		';
																	}
																}
																$descr = '<ul>'.$descr.'</ul>';
																
																$plan_str = '
																	<div id="plan_block_'.$result["plan_code"].'" class="mn-license-block mr-2 '.$purchased_class.'" data-plan_code="'.$result["plan_code"].'">
																		<input type="hidden" class="is_data_retrieved" value="no" />
																		<input type="hidden" class="subscription_id" value="'.$subscription_id.'" />
																		<input type="hidden" class="plan_code" value="'.$result["plan_code"].'" />
																		<input type="hidden" class="plan_name" value="'.$result["plan_name"].'" />
																		<input type="hidden" class="plan_price" value="'.setNumberFormat($result["plan_price"]).'" />
																		<input type="hidden" class="plan_type" value="'.$interval_str.'" />
																		<input type="hidden" class="plan_status" value="'.$plan_status.'" />
																		<input type="hidden" class="plan_features" value="'.$descr.'" />
																		<input type="hidden" class="next_billing_date" value="" />
																		<input type="hidden" class="card_type"  value="" />
																		<input type="hidden" class="card_number" value="" />
																		<input type="hidden" class="card_expiry_date" value="" />
																		<input type="hidden" class="plan_renew_until_cancelled" value="" />
																		<input type="hidden" class="plan_purchase_history" value="" />
																		
																		<a class="mn-plan-img btn-plan" href="javascript:void(0);">
																			<img src="'.$image_url.'" class="img-lg" title="'.$result["plan_name"].'">
																			
																		</a>
																		<a class="mn-plan-title btn-plan mb-2" href="javascript:void(0);">'.$result["plan_name"].'</a> 
																		<h6 class="font-weight-normal"><a href="'.SITEURL.'account/subscriptions/" class="common-edit-link">Licenses Used: '.$licenses_used.'</a></h6>
																		<h6 class="font-weight-normal">Licenses Available: '.$licenses_available.'</h6>
																		<h6 class="font-weight-normal">Total Licenses: '.$total_licenses.'</h6>
																	</div>
																	';
																
																/*Monthly Plans*/
																if($result["interval_unit"]=="months"){
																	$self_monthly_plans .= $plan_str;
																}
																/*Monthly Plans*/
																
																/*Yearly Plans*/
																else if($result["interval_unit"]=="years"){
																	$self_yearly_plans.= $plan_str;
																}
																/*Yearly Plans*/
															}
														}
														?>
														
														
														<ul class="nav nav-tabs" role="tablist">
															<li class="nav-item">
																<a class="nav-link active" id="tab-111" data-toggle="tab" href="#tab111" role="tab" aria-controls="tab-111" aria-selected="true">Monthly Plans</a>
															</li>
															<li class="nav-item">
																<a class="nav-link" id="tab-222" data-toggle="tab" href="#tab222" role="tab" aria-controls="tab-222" aria-selected="false">Yearly Plans</a>
															</li>
														</ul>
														<div class="tab-content">
															
															<div class="tab-pane fade show active" id="tab111" role="tabpanel" aria-labelledby="tab-111">
																<?php
																if($_SESSION['login_user_array']['user_plan']=="ENTERPRISE"){
																	echo $monthly_suit_plans.$monthly_bundle_plans.$monthly_other_plans;
																}else{
																	echo $self_monthly_plans;
																}
																?>
															</div>
															<div class="tab-pane fade" id="tab222" role="tabpanel" aria-labelledby="tab-222">
																<?php if($_SESSION['login_user_array']['user_plan']=="ENTERPRISE"){
																	echo $yearly_suit_plans.$yearly_bundle_plans.$yearly_other_plans;
																}else{
																	echo $self_yearly_plans;
																} 
																?>
															</div>
															
														</div>
														
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-12">
														<div class="mn-plan-details">
															<div class="row">
																<div class="col-md-12">
																	<h3 class="mt-2" id="plan_selected">Plan Selected: </h3>
																	<h4 class="mt-5">Billing Details</h4>
																</div>
																<div class="col-md-4">
																	<div class="table-responsive mt-1">
																		<table class="table table-bordered">
																			<tr>
																				<td width="30%">Plan Name:</td>
																				<td id="sel_plan_name">-</td>
																			</tr>
																			<tr>
																				<td>Plan Type:</td>
																				<td id="sel_plan_type">-</td>
																			</tr>
																			<tr>
																				<td>Plan Status:</td>
																				<td id="sel_plan_status">-</td>
																			</tr>
																			<tr>
																				<td>Plan Features:</td>
																				<td id="sel_plan_features">-</td>
																			</tr>
																		</table>
																	</div>
																</div>
																<div class="col-md-4">
																	<div class="table-responsive mt-1">
																		<table class="table table-bordered">
																			<tr>
																				<td colspan="2"><strong>Billing</strong></td>
																			</tr>
																			<tr>
																				<td  width="40%">Next Billing Date:</td>
																				<td id="sel_plan_next_billing_date">-</td>
																			</tr>
																			<tr>
																				<td>Renew Until Cancelled:</td>
																				<td id="sel_plan_renew_until_cancelled">-</td>
																			</tr>
																			<tr>
																				<td>Amount:</td>
																				<td id="sel_plan_price">-</td>
																			</tr>
																		</table>
																	</div>
																</div>
																<div class="col-md-4">
																	<div class="table-responsive mt-1">
																		<table class="table table-bordered">
																			<tr>
																				<td colspan="3"><strong>Card on File</strong></td>
																			</tr>
																			<tr>
																				<td width="30%">Type:</td>
																				<td id="sel_card_type">-</td>
																			</tr>
																			<tr>
																				<td>Card Number:</td>
																				<td id="sel_card_number">-</td>
																			</tr>
																			<tr>
																				<td>Card Expiry Date:</td>
																				<td id="sel_card_expiry_date">-</td>
																			</tr>
																		</table>
																	</div>
																</div>
															</div>
															<div class="row mt-5">
																<div class="col-md-6">
																	<div class="d-flex justify-content-between">
																		<h4>License Purchase History</h4>
																		<a href="javascript:void(0);" class="btn btn-sm btn-primary" id="btn_view_all_purchase_history" style="display:none;">View All</a>
																	</div>
																	<div class="table-responsive mt-2">
																		<table class="table table-bordered">
																			<thead class="table-info">
																				<tr>
																					<th>Date</th>
																					<th>Type</th>
																					<th>Ref. ID</th>
																					<th>Amount</th>
																					<th>Status</th>
																				</tr>
																			</thead>
																			<tbody id="purchase_history_div"></tbody>
																		</table>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab2" role="tabpanel" aria-labelledby="tab-2">
												<div id="results_license_requests"></div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					
				</div>
			</div>
		</div>
	</div>
</div>
<!-- main-panel ends -->
<?php /**********Modal Area***********/ ?>

<div class="modal fade" id="remove_license_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Remove Licenses</h5>
				<button type="button" class="close lic-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<?php
				$selectQuery 	= "SELECT * FROM `cxs_manage_licenses` WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$license_arr = array();
				$plan_code_arr = array();
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$plan_code_arr[] = $rows["plan_code"];
						$license_arr[$rows["plan_code"]] = array(
							"subscription_id" => $rows["subscription_id"],
							"licenses_available" => $rows["licenses_available"]
						);
					}
				}
				
				/*********************************************************/
				$suit_plans 	= '';
				$bundle_plans 	= '';
				$other_plans 	= '';
				
				$remove_plan_str = "";
				
				if($_SESSION["login_user_array"]["user_plan"]=="ENTERPRISE"){
					$cnt = 0;
					foreach($results["plans"]["enterprise_plans"] as $result){
						if(in_array($result["plan_code"],$plan_code_arr)){
							$subscription_id = $license_arr[$result["plan_code"]]["subscription_id"];
							$licenses_available = $license_arr[$result["plan_code"]]["licenses_available"];
							
							$cnt++;
							$interval_str 	= "Monthly";
							$billed_str 	= "Billed Monthly";
							if($result["interval_unit"]=="years"){
								$billed_str = "Billed Yearly";
								$interval_str = "Yearly";
							}
							
							if($result["plan_name"]=="Project Management"){
								$image_url = SITEURL."images/shortcut-nav-icon/project.png";
							}else if($result["plan_name"]=="Time Tracking"){
								$image_url = SITEURL."images/shortcut-nav-icon/time-tracking.png";
							}else if($result["plan_name"]=="Attendance Tracking"){
								$image_url = SITEURL."images/shortcut-nav-icon/attendance.png";
							}else if($result["plan_name"]=="Issue Tracking"){
								$image_url = SITEURL."images/shortcut-nav-icon/issue.png";
							}else if($result["plan_name"]=="Expense Tracking"){
								$image_url = SITEURL."images/shortcut-nav-icon/expenses.png";
							}else if($result["plan_name"]=="Project & Time Bundle"){
								$image_url = SITEURL."images/shortcut-nav-icon/project-time-bundle.png";
							}else if($result["plan_name"]=="Complete Project Management Suite"){
								$image_url = SITEURL."images/shortcut-nav-icon/complete-suit-bundle.png";
							}
							
							$store_markup_descriptions = explode("|",$result["store_markup_description"]);
							$descr = '';
							if(count($store_markup_descriptions)>0){ 
								foreach($store_markup_descriptions as $feature){ 
									$descr .= '
										<li>
											<p>'.$feature.'</p>
										</li>
									';
								}
							}
							
							$data_content = '<h4>Features:</h4><ul>'.$descr.'</ul>';
							
							$plan_type = "mn";
							$plan_type_txt = "Monthly";
							if($result["interval_unit"]=="years"){
								$plan_type = "yr";
								$plan_type_txt = "Yearly";
							}
							
							$qty_option = '';
							for($i=0;$i<=$licenses_available;$i++){
								$qty_option .= '<option value="'.$i.'">'.$i.'</option>';
							}
							
							$plan_str = '
								<tr id="plan_'.$result["plan_code"].'">
									<td class="table-user-info ml-plan-info">
										<div class="d-flex">
											<img class="img-sm square-circle mr-2 " src="'.$image_url.'" alt="">
											<label class="my-2">'.$result["plan_name"].' ('.$plan_type_txt.')</label>
											<button type="button" class="btn btn-sm btn-eye-popover" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'.$data_content.'"><i class="fa fa-exclamation-circle"></i></button>
											<div id="plan_status_'.$result["plan_code"].'"></div>
										</div>
									</td>
									<td align="right">
										$'.setNumberFormat($result["plan_price"]).'
										<input type="hidden" class="plan_state" id="plan_state_'.$result["plan_code"].'" value="0" />
										<input type="hidden" id="subscription_id_'.$result["plan_code"].'" value="'.$subscription_id.'" />
									</td>
									<td align="right">
										<select id="plan_'.$result["plan_code"].'_qty" data-plan_code="'.$result["plan_code"].'" class="form-control dd_plan_code" onChange="setPlanTotal(\'remove\',this.value,\''.$plan_type.'\',\''.$result["plan_code"].'\',\''.$result["plan_price"].'\');">
											'.$qty_option.'
										</select>
									</td>
									<td id="plan_'.$result["plan_code"].'_total_amount" class="'.$plan_type.'_grand_total_amount" align="right">
										$0.00
									</td>
								</tr>
								';
							
							/*Suit Plans*/
							if(in_array($result["plan_code"],$suit_plans_arr)){
								$suit_plans .= $plan_str;
							}
							/*Suit Plans*/
							
							/*Bundle Plans*/
							else if(in_array($result["plan_code"],$bundle_plans_arr)){
								$bundle_plans .= $plan_str;
							}
							/*Bundle Plans*/
							
							/*Other Plans*/
							else{
								$other_plans .= $plan_str;
							}
							/*Other Plans*/
						}
					}
					$remove_plan_str = $suit_plans.$bundle_plans.$other_plans;
				}
				?>
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Select number of licenses you wish to remove in the below section. 
						</div>
					</div>
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Please update your card on file if you wish to use a different card for this purchase and for recurring payments in future. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered">
								<thead class="table-info">
									<tr>
										<th>Subscription Plans</th>
										<th width="10%">Price ($)</th>
										<th width="12%">License Qty.</th>
										<th width="16%">Total Amount ($)</th>
									</tr>
								</thead>
								<tbody>
									<?php
									echo $remove_plan_str;
									?>
								</tbody>
							</table>
						</div>
						<div class="row mt-4">
							<div class="col-md-6">
								<div class="form-check" id="div_agree">
									<label class="form-check-label text-black-50">
									<input type="checkbox" class="form-check-input " id="chkAgree">
									<i class="input-helper" id="chkAgree1"></i> 
									I agree to <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
									</label>
								</div>
							</div>
							<div class="col-md-6 text-right">
								<a href="javascript:void(0);" class="btn btn-primary" id="btn_remove_license_process">Process Subscription</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="confirm_remove_license_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Attention!</h5>
				<button type="button" class="close custom-close lic-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-warning font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: You have elected to remove licenses from following Plans. Please confirm. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered">
								<thead class="table-info">
									<tr>
										<th>Subscription Plans</th>
										<th width="10%">Price ($)</th>
										<th width="12%">License Qty.</th>
										<th width="16%">Total Amount ($)</th>
									</tr>
								</thead>
								<tbody id="confirm_remove_div"></tbody>
							</table>
						</div>
						<div class="row mt-4">
							<div class="col-md-6">
								<a href="javascript:void(0);" class="btn btn-light" id="btn_remove_license_cancel">Cancel</a>
							</div>
							<div class="col-md-6 text-right">
								<a href="javascript:void(0);" class="btn btn-primary" id="btn_remove_license_confirm">I Confirm</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="all_purchase_history_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">All Purchase History</h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4" id="modal_purchas_history">
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>

<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$('[data-toggle="popover"]').popover();
	/*********************************/
	$(".btn-plan").click(function(){
		$(".mn-license-block, .mn-plan-details").removeClass("selected");
		$(this).parent().addClass("selected");
		$(".mn-plan-details").addClass("selected");
		
		var next_billing_date 	= "";
		var card_type 		= "";
		var card_number 	= "";
		var card_expiry_date= "";
		
		var plan_code		= $(this).parent().data("plan_code");
		var subscription_id	= $("#plan_block_"+plan_code+" .subscription_id").val();
		
		if(subscription_id!=""){
			if($("#plan_block_"+plan_code+" .is_data_retrieved").val()=="no"){
				$.ajax({
					url: SITEURL+"aj/common/",
					method:"POST",
					data:{REQUEST:'get_subscription_plan_detials',subscription_id:subscription_id},
					beforeSend: function(){
						$(".rploader").fadeIn(800);
					},
					success:function(response){
						setTimeout(function(){
							$(".rploader").fadeOut(800);
							if(response.succ==1){
								
								$("#plan_block_"+plan_code+" .is_data_retrieved").val("yes");
								
								next_billing_date 	= response.next_billing_date;
								card_type 			= response.card_type;
								card_number 		= response.card_number;
								card_expiry_date	= response.card_expiry_date;
								
								$("#plan_block_"+plan_code+" .next_billing_date").val(next_billing_date);
								$("#plan_block_"+plan_code+" .card_type").val(card_type);
								$("#plan_block_"+plan_code+" .card_number").val(card_number);
								$("#plan_block_"+plan_code+" .card_expiry_date").val(card_expiry_date);
								$("#plan_block_"+plan_code+" .plan_renew_until_cancelled").val("Yes");
								$("#plan_block_"+plan_code+" .plan_purchase_history").val(response.table_str);
								
								$("#btn_view_all_purchase_history").fadeIn(500);
								
								setPlanData(plan_code);
							}else{
								alert("Something went wrong. Please try again.");
							}
						},1500);
					}
				});
			}else{
				$("#btn_view_all_purchase_history").fadeIn(500);
				setPlanData(plan_code)
			}
		}else{
			$("#btn_view_all_purchase_history").fadeOut(500);
			$("#plan_block_"+plan_code+" .next_billing_date").val("NA");
			$("#plan_block_"+plan_code+" .card_type").val("NA");
			$("#plan_block_"+plan_code+" .card_number").val("NA");
			$("#plan_block_"+plan_code+" .card_expiry_date").val("NA");
			$("#plan_block_"+plan_code+" .plan_renew_until_cancelled").val("NA");
			setPlanData(plan_code)
		}
	});
	/***************************/
	$("#btn_buy_new_license").click(function(){
		$("#buy_new_license_modal").modal("show");
	});
	/***************************/
	$("#btn_remove_license").click(function(){
		$("#remove_license_modal").modal("show");
	});
	/***************************/
	$("#btn_remove_license_process").click(function(){
		
		var flag = true;
		
		form_element_correct($("#remove_license_modal #div_agree"));
		if($("#remove_license_modal #chkAgree").prop("checked")==false)            
		{
			$("#remove_license_modal #div_agree").addClass('error_ele');
			$("#remove_license_modal #div_agree").after('<span role="alert" class="not-valid-tip">You have to agree to the Term and Conditions.</span>');  
			$("#remove_license_modal #chkAgree").focus();
			flag = false;
		}
		
		var is_qty = false;
		$("#remove_license_modal .dd_plan_code").each(function(){
			if($(this).val()>0){
				is_qty = true;
			}
		});
		
		if(is_qty==false){
			alert("Please select atleast one plan.");
			flag = false;
		}
		
		/*************************************************/
		if(flag==true){
			/**/
			var confirm_str = "";
			$("#remove_license_modal .dd_plan_code").each(function(){
				var plan_code = $(this).data("plan_code");
				if($(this).val()>0){
					confirm_str += "<tr id='remove_plan_'"+plan_code+" data-plan_code='"+plan_code+"'>"+$("#remove_license_modal #plan_"+plan_code).html()+"</tr>";
				}
			});
			$("#confirm_remove_div").html(confirm_str);
			$("#confirm_remove_div tr").each(function(){
				var plan_code = $(this).data("plan_code");
				var qty = $("#remove_license_modal #plan_"+plan_code+"_qty").val();
				$(this).find("td:eq(2)").html(qty);
			});
			/**/
			$("#confirm_remove_license_modal").modal("show");
			$("#confirm_remove_license_modal").attr("style","z-index:1052");
			
			$(".modal-backdrop").attr("style","z-index:1051");
			$('#confirm_remove_license_modal').click(function() {
				$(".modal-backdrop").removeAttr("style");
				$("body").addClass("modal-open");
			});
			$(".custom-close, #btn_remove_license_cancel").click(function(){
				$(".modal-backdrop").removeAttr("style");
				$("body").addClass("modal-open");
				$("#confirm_remove_license_modal").modal("hide");
			});
			$('#confirm_remove_license_modal > .modal-dialog').click(function(event){
				event.stopPropagation();
			});
		}
	});
	/****************************/
	$("#btn_view_all_purchase_history").click(function(){
		$.ajax({
			url: SITEURL+"aj/common/",
			method:"POST",
			data:{REQUEST:'get_all_purchase_history',is_html:true},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					$("#modal_purchas_history").html(response);
					/**/
					var table = $('#view_all_purchase_history_table').DataTable( {
					  "info": false,
					  "searching":false,
					  "paging":false,
					  "autoWidth":false,
					  "dom": 'lBfrtip',              
					   buttons: [                  
						   [
								/*'excel',*/
								'pdf',
								{
									text: 'Email',
									action: function ( e, dt, node, config ) {
									//$("#modal_email").show(); 
									show_emaimodal();
									}
								}
						   ]]
					});
					/**/
					$("#all_purchase_history_modal").modal("show");
				},1000);
			}
		});
	});
	/**********************/
	setTimeout(function(){
		$(".dd_plan_purchased .btn-plan").eq(0).click();
		/*************************************************/
		$.ajax({
			url: SITEURL+"aj/common/",
			method:"POST",
			data:{REQUEST:'get_next_payment_details',is_html:true},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					$("#next_payment_details_div").html(response);
					var table = $('#sub_table').DataTable( {
					  "info": false,
					  "searching":false,
					  "paging":false,
					  "autoWidth":false,
					  "dom": 'lBfrtip',              
					   buttons: [                  
						   [
								/*'excel',
								'pdf'*/
						   ]]
					}); 
				},200);
			}
		});
		/*************************************************/
		getLicenseRequests();
	},500);
});
/****************************************/
$("#btn_buy_new_license_process").click(function(){
	validate_buy_new_license_process();
});
/*******************************************************/

$("#btn_remove_license_confirm").click(function(){
	$(".custom-close").click();
	
	var flag = true;
	
	form_element_correct($("#remove_license_modal #div_agree"));
	if($("#remove_license_modal #chkAgree").prop("checked")==false)            
	{
		$("#remove_license_modal #div_agree").addClass('error_ele');
		$("#remove_license_modal #div_agree").after('<span role="alert" class="not-valid-tip">You have to agree to the Term and Conditions.</span>');  
		$("#remove_license_modal #chkAgree").focus();
		flag = false;
	}
	
	var is_qty = false;
	$("#remove_license_modal .dd_plan_code").each(function(){
		if($(this).val()>0){
			is_qty = true;
		}
	});
	
	if(is_qty==false){
		alert("Please select atleast one plan.");
		flag = false;
	}
	
	if(flag==true && $("#remove_license_modal .remove_plan").length){
		remove_license();
	}
});

function remove_license(){
	
	var remove_plan_code = $("#remove_license_modal .remove_plan").val();
	if(remove_plan_code!=""){
		$.ajax({
			url: SITEURL+"aj/common/",
			method:"POST",
			data:{REQUEST:'remove_licenses',plan_code:remove_plan_code,qty:$("#remove_license_modal #plan_"+remove_plan_code+"_qty").val(),subscription_id:$("#remove_license_modal #subscription_id_"+remove_plan_code).val()},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				setTimeout(function(){
					if(response.succ==1){
						$("#remove_license_modal #plan_state_"+remove_plan_code).val("");
						$("#remove_license_modal #plan_state_"+remove_plan_code).removeClass("remove_plan");
						$("#remove_license_modal #plan_status_"+remove_plan_code).html('<svg class="checkmark_mini" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52"><circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none"/><path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8"/></svg>');
						if($("#remove_license_modal .remove_plan").length){
							remove_license();
						}else{
							$(".rploader").fadeOut(800);
							setTimeout(function(){
								//window.location.href='manage-licenses.php';
								planConfirmation('remove');
							},800);
						}
					}else{
						alert("Something went wrong. Please try again.");
					}
				},1000);
			}
		});
	}
}
/****************************************/

function setPlanData(plan_code){
	var next_billing_date 	= $("#plan_block_"+plan_code+" .next_billing_date").val();
	var card_type 			= $("#plan_block_"+plan_code+" .card_type").val();
	var card_number 		= $("#plan_block_"+plan_code+" .card_number").val();
	var card_expiry_date	= $("#plan_block_"+plan_code+" .card_expiry_date").val();
	
	var plan_code		= $("#plan_block_"+plan_code+" .plan_code").val();
	var plan_name 		= $("#plan_block_"+plan_code+" .plan_name").val();
	var plan_price 		= $("#plan_block_"+plan_code+" .plan_price").val();
	var plan_type 		= $("#plan_block_"+plan_code+" .plan_type").val();
	var plan_status 	= $("#plan_block_"+plan_code+" .plan_status").val();
	var plan_features 	= $("#plan_block_"+plan_code+" .plan_features").val();
	var plan_renew_until_cancelled= $("#plan_block_"+plan_code+" .plan_renew_until_cancelled").val();
	
	var plan_purchase_history	= $("#plan_block_"+plan_code+" .plan_purchase_history").val();
	
	$("#plan_selected").html('Plan Selected: <span class="text-secondary"><strong>'+plan_name+'</strong> (Enterprise Plan - '+plan_type+' $'+plan_price+')</span>');
	$("#sel_plan_name").text(plan_name);
	$("#sel_plan_type").text(plan_type);
	$("#sel_plan_status").text(plan_status);
	$("#sel_plan_features").html(plan_features);
	$("#sel_plan_price").text("$"+plan_price);
	
	$("#sel_plan_next_billing_date").text(next_billing_date);
	$("#sel_plan_renew_until_cancelled").text(plan_renew_until_cancelled);
	$("#sel_card_type").text(card_type);
	$("#sel_card_number").text(card_number);
	$("#sel_card_expiry_date").text(card_expiry_date);
	
	$("#purchase_history_div").html(plan_purchase_history);
}

/****************************************/

function getLicenseRequests(){
	$.ajax({
		url: SITEURL+"aj/common/",
		method:"POST",
		data:{REQUEST:'get_license_requests',is_html:true},
		beforeSend: function(){
			$(".rploader").fadeIn(800);
		},
		success:function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_license_requests").html(response);
				var table = $('#table_license_requests').DataTable( {
				  "info": false,
				  "searching":false,
				  "paging":false,
				  "autoWidth":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							'pdf',
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				});
			},200);
		}
	});
}

function updateLicenseRequests(req_id, application, action, plan_data="", current_plan_apps=""){
	var action_txt = "Reject";
	if(action=="approve"){ action_txt = "Approved"; }
	
	var plan_data1 = plan_data.split(" ## ");
	var new_apps_arr = plan_application[plan_data1[0]];
	var apps_str = new_apps_arr.join(",");
	if(current_plan_apps!=""){
		apps_str += ","+current_plan_apps
	}
	
	var flag = true;
	if(hasDuplicates(apps_str.split(","))){
		flag = false;
		alert("You can not assign plans with same application.");
	}
	
	if(flag==true){
		var r = confirm("Are you sure you want to update status to  "+action_txt+"?");
		if(r){
			$.ajax({
				url: SITEURL+"aj/common/",
				method:"POST",
				data:{REQUEST:'update_license_request',req_id:req_id,application:application,action:action,plan_data:plan_data},
				beforeSend: function(){
					$(".rploader").fadeIn(800);
				},
				success:function(response){
					setTimeout(function(){
						if(response.succ==1){
							getLicenseRequests();
						}else{
							alert("Something went wrong. Please try again.");
						}
					},1000);
				}
			});
		}
	}
	
}
</script>
</body>
</html>