<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
$step						= 1;

$mode						= "add";
$kpi_flag					= "";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= getUniqueId("CXS","project_number","cxs_projects"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");	
$text_description 			= "";
$combo_team_ids				= array();
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	
$text_actual_start_date 	= "";	
$text_actual_end_date 		= "";
$text_total_budgeted_hours 	= "";
$combo_currency				= (isset($_SESSION["default_currency"]))?$_SESSION["default_currency"]:"";
$radio_track_progress_by 	= "by_effort";
//$check_is_enforce 			= "";
$check_is_attendance_track	= ""; 	
$check_is_time_track 		= "";
$check_is_expense_report 	= "";	
$check_is_task_budgeting 	= "";	
$combo_project_status		= "Draft";
$check_project_manager_user_ids = array();

$text_project_created_by	= "";
$text_date_created			= "";
$text_last_updated			= "";
$text_last_updated_by		= "";

$h_external_document_link_cnt 	= 1;
$h_projects_attachment_cnt		= 1;
$h_new_attachment_type			= "";
$h_new_currency					= "";
$h_stackholder_group_cnt		= 1;
$h_new_role						= "";
$h_new_functional_area			= "";

$default_currency		= (isset($_SESSION["default_currency"]))?$_SESSION["default_currency"]:"";


if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$mode = "edit";
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		//$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
		$text_schedule_end_date		= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
		$text_actual_start_date		= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
		$text_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
		$text_total_budgeted_hours 	= htmlentities($rows["total_budgeted_hours"]);
		$combo_currency				= $rows["currency"];
		$radio_track_progress_by	= $rows["track_progress_by"];
		/*$check_is_enforce 			= $rows["is_enforce"];
		$check_is_attendance_track	= $rows["is_attendance_track"]; 	
		$check_is_time_track 		= $rows["is_time_track"];
		$check_is_expense_report 	= $rows["is_expense_report"];
		$check_is_task_budgeting 	= $rows["is_task_budgeting"];*/
		$combo_project_status		= $rows["project_status"];
		
		$text_project_created_by	= getValue("cxs_user","full_name"," WHERE user_email='".$rows["created_by"]."'");
		$text_date_created			= setDate($rows["creation_date"],"m/d/Y h:i A");
		$text_last_updated			= setDate($rows["last_update_date"],"m/d/Y h:i A");
		$text_last_updated_by		= getValue("cxs_user","full_name"," WHERE user_email='".$rows["last_udpated_by"]."'");
		
		if(getTotalRecord("cxs_projects_teams","team_id"," WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'")>0){
			$selectQuery 	= "SELECT * FROM `cxs_projects_teams` WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$combo_team_ids[] = $rows["team_id"];
				}
			}
		}
		
		$selectQuery1 	= "SELECT * FROM `cxs_projects_manager` WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
		$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
		$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
		if($StdNumRows1>0){
			while($rows1=mysqli_fetch_assoc($RunUserQuery1)){
				$check_project_manager_user_ids[] = $rows1["user_id"];
			}
		}
		
		if(isset($_GET["nid"]) && $_GET["nid"]>0){
			$nid = intval($_GET["nid"]);
			readNotification($nid);
		}
		
	}else{
		header("location:".SITEURL."projects/");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
.form-check .form-check-label input[type="checkbox"]:checked + .input-helper::after{
	text-align:left;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL; ?>projects/">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php echo $step_arr[$step]["title"]; ?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						<!-- STEP 1 -->
						<form id="step1_form" action="" method="post">
							<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
							<input type="hidden" id="h_project_temp_id" name="h_project_temp_id" value="<?php echo time(); ?>">
							<input type="hidden" id="h_new_attachment_type" name="h_new_attachment_type" value="">
							<input type="hidden" id="h_new_currency" name="h_new_currency" value="">
							<div class="row" style="margin-top:30px;">
								<div class="col-xl-6 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body" >
											<div class="col-md-12">
												<div class="d-flex flex-wrap  pb-2 center-box">
													<div id="project_step1" class="badge step_button_color mb-3"> Draft</div>
													<div id="project_step1_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
													<div id="project_step2" class="badge step_button_color disabled-color mb-3">Planning</div>
													<div id="project_step2_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
													<div id="project_step3" class="badge step_button_color disabled-color mb-3">Execute</div>
													<div id="project_step3_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
													<div id="project_step4" class="badge step_button_color disabled-color mb-3">Closed</div>
												</div>
											</div>
											<div class="table-responsive">
												<table id="tableStep1_1" class="table table-bordered">
													<tbody>
														<tr>
															<td>Project Status</td>
															<td>
																<select 
																	class="js-example-basic-single requirefieldcls" 
																	name="combo_project_status" 
																	id="combo_project_status" 
																	style="width:100%" 
																	<?php 
																	if($mode=="add"){ ?> disabled <?php } 
																	?>
																	<?php 
																	if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ 
																	?> 
																	onchange="checkEntStatus(this.value,'<?php echo $h_project_id; ?>');" 
																	<?php 
																	} 
																	?>
																	>
																	<option class="Red" value="Draft" <?php if($combo_project_status=="Draft"){ ?> selected <?php } ?>  <?php if($combo_project_status!="" && $combo_project_status!="Draft"){ ?> disabled <?php } ?>> Draft</option>
																	<option class="Blue" value="Planning" <?php if($combo_project_status=="Planning"){ ?> selected <?php } ?>> Planning</option>
																	<option class="Green" value="Execute" <?php if($combo_project_status=="Execute"){ ?> selected <?php } ?>> Execute</option>
																	<option class="Yellow" value="Closed" <?php if($combo_project_status=="Closed"){ ?> selected <?php } ?>> Closed</option>
																</select>
															</td>
														</tr>
														<tr>
															<td>Project Created By</td>
															<td><?php echo $text_project_created_by; ?></td>
														</tr>
														<tr>
															<td>Date Created</td>
															<td><?php echo $text_date_created; ?></td>
														</tr>
														<tr>
															<td>Last Updated</td>
															<td><?php echo $text_last_updated; ?></td>
														</tr>
														<tr>
															<td>Last Updated By</td>
															<td><?php echo $text_last_updated_by; ?></td>
														</tr>
													</tbody>
												</table>
											</div>
											<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed"){ ?>
											<div class="text-right mt-3">
												<a href="javascript:void(0);" class="btn btn-sm btn-primary save_btn" title="Update" data-section="1">Update</a>
											</div>
											<?php } ?>
										</div>
									</div>
								</div>
								<div class="col-xl-6 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body" >
											<div class="d-flex flex-wrap justify-content-between">
												<h4 class="card-title mb-3">Project ID : <?php echo $text_project_number; ?></h4>
												<input type="hidden" readonly class="form-control" id="text_project_number" name="text_project_number" value="<?php echo $text_project_number; ?>">
											</div>
											<div class="row ">
												<div class="col-md-7">
													<label>Total Budgeted Hours</label>
													<input id="text_total_budgeted_hours" name="text_total_budgeted_hours" type="text" class="form-control num" value="<?php echo $text_total_budgeted_hours; ?>" readonly>
												</div>
												<div class="col-md-4">
													<label>Currency</label>
													<select class="js-example-basic-single requirefieldcls" id='combo_currency' name='combo_currency' style="width:100%" onChange="check_custom_value('currency',this.value);">
														<option value="">--Please Select--</option>
														<?php
														/**********Default Curreny**********/
														foreach($currency_code_arr as $currency_code){
															?>
															<option value="<?php echo $currency_code; ?>" <?php if($combo_currency==$currency_code){ ?> selected <?php } ?>><?php echo $currency_code; ?></option>
															<?php
														}
														/**********Default Curreny**********/
														/**********Custom Curreny**********/
														$qry = "SELECT * FROM cxs_currency WHERE company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY name";
														$result = mysqli_query($conn,$qry);
														if (mysqli_num_rows($result)>0){
															while($row = mysqli_fetch_assoc($result)){
															?>
															<option value="<?php echo $row['name']; ?>" <?php if($combo_currency==$row['name']){ ?> selected <?php } ?>><?php echo $row['name']; ?></option>
															<?php
															}
														}
														/**********Custom Curreny**********/
														?>
														<option value="Add Custom">--Add Custom--</option>
													</select>
												</div>
											</div>
											<div class="row mt-4" id="track_progress_div" class="<?php echo ($combo_project_status!="Draft")?"no-access-div":""; ?>">
												<div class="col-md-12">
													<label>Track Progress</label>
													<div><small><strong>Important</strong>: Please set this carefully, once project tracking option is set and project is no longer in "Draft" Status, you can not change this option</small></div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<div class="form-check mt-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="radio_track_progress_by" value="by_effort" <?php if($radio_track_progress_by=="by_effort" || $radio_track_progress_by==""){ ?> checked <?php } ?> <?php if($combo_project_status!="Draft"){ ?> disabled <?php } ?>>
															By Effort (Hours)
															<i class="input-helper"></i></label>
														</div>
													</div>
												</div>
												<div class="col-md-5">
													<div class="form-group">
														<div class="form-check mt-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="radio_track_progress_by" value="by_effort_and_cost" <?php if($radio_track_progress_by=="by_effort_and_cost"){ ?> checked <?php } ?>  <?php if($combo_project_status!="Draft"){ ?> disabled <?php } ?>>
															By Effort and Cost (Amount)
															<i class="input-helper"></i></label>
														</div>
													</div>
												</div>
											</div>
											
											<?php 
											if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed"){ 
											?>
											<div class="row">
												<div class="col-md-12 text-right">
													<a href="javascript:void(0);" class="btn btn-sm btn-primary save_btn" title="Update" data-section="2">Update</a>
												</div>
											</div>
											<?php 
											} 
											?>
										</div>
									</div>
								</div>
								<div class="col-xl-6 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="row">
												<div class="col-md-12">
													<div class="form-group">
														<label>Project Name</label>
														<input id="text_project_name" name="text_project_name" type="text" class="form-control requirefieldcls"  data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Project Name" value="<?php echo $text_project_name; ?>" style="text-transform: uppercase;">
													</div>
												</div>
												<div class="col-md-12">
													<div class="form-group">
														<label>Description</label>
														<textarea id="text_description" name="text_description"  class="form-control requirefieldcls" rows="4" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Description"><?php echo $text_description; ?></textarea>
													</div>
												</div>
												<?php /*?><div class="col-md-12">
													<div class="form-group" style="width:100%;">
														<label style="display: block;">Project Manager</label>
														<select name="combo_project_manager_user_ids[]" id="combo_project_manager_user_ids"  class="form-control custom-multiselect" multiple="multiple" style="width:100%; background: #ffffff !important;border: solid 1px !important; border-color: #dad9d8 !important;">
															<?php
															$qry = "select * from cxs_user where (user_role = 'Manager' OR user_role = 'Admin') AND company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY full_name";
															$result = mysqli_query($conn,$qry);
															if (mysqli_num_rows($result)>0){
																while($row = mysqli_fetch_assoc($result)){
																?>
																<option value="<?php echo $row['user_id']; ?>" <?php if(in_array($row['user_id'],$combo_project_manager_user_ids)){ ?> selected <?php } ?>><?php echo $row['full_name']; ?></option>
																<?php
																}
															}
															?>
														</select>
													</div>
												</div><?php */?>
												<div class="col-md-12">
													<div class="form-group" id="external_document_link_div" style="width:100%;">
														<h5 class="font-weight-bold">External Documents Link</h5>
														<div class="row">
															<div class="col-md-5">
																<div class="form-group">
																	<label>Title</label>
																	<input type="text" class="form-control  brow" id="text_external_document_link_title" name="text_external_document_link_title">
																</div>
															</div>
															<div class="col-md-5">
																<div class="form-group">
																	<label>Link</label>
																	<input type="text"class="form-control  brow" id="text_external_document_link" name="text_external_document_link" />
																</div>
															</div>
															<div class="col-md-2">
																<button type="button" class="btn btn-primary custom-form-inline-btn" id="cmdAddExternalDocumentLink">Add</button>
															</div>
														</div>
														<div class="table-responsive">
															<table id="table_external_document_link" class="table table-bordered">
																<thead>
																	<tr class="table-info">
																		<th width="20%">Title</th>
																		<th width="65%">Link</th>
																		<th width="15%">Action</th>
																	</tr>
																</thead>
																<tbody id="external_document_link-data">
																	<?php
																	$selectQuery 	= "SELECT * FROM `cxs_projects_external_document` WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY title";		
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if($StdNumRows>0){
																		while($rows=mysqli_fetch_assoc($RunUserQuery)){
																			$ext_id		= $rows["id"];
																			$text_external_document_link_title = htmlentities($rows["title"]);	
																			$text_external_document_link = htmlentities($rows["external_link"]);
																		?>
																		<tr id="external_document_link_row_id_<?php echo $h_external_document_link_cnt; ?>">
																			<td>
																				<?php echo $text_external_document_link_title; ?>
																				<input type="hidden" class="form-control" id="text_external_document_link_title_<?php echo $h_external_document_link_cnt; ?>" name="text_external_document_link_title_<?php echo $h_external_document_link_cnt; ?>" value="<?php echo $text_external_document_link_title; ?>" />
																			</td>
																			<td>
																				<a href="<?php echo $text_external_document_link; ?>" target="_blank" style="text-decoration:underline;"><?php echo $text_external_document_link; ?></a>
																				<input type="hidden" class="form-control" id="text_external_document_link_<?php echo $h_external_document_link_cnt; ?>" name="text_external_document_link_<?php echo $h_external_document_link_cnt; ?>" value="<?php echo $text_external_document_link; ?>" />
																			</td>
																			<td>
																				<div class="text-center">
																					<a href="javascript:void(0);" class="btn edit ml-0 mr-2 pl-0 pr-0 edit-btn edit-record" data-external_document_link_row_id="<?php echo $h_external_document_link_cnt; ?>" onClick="editExternalDocumentLinkRow('<?php echo $h_external_document_link_cnt; ?>')" title="Edit"><i class="fa fa-pencil"></i></a><a href="javascript:void(0);" class="btn  ml-0 mr-2 pl-0 pr-0 delete-row" data-external_document_link_row_id="<?php echo $h_external_document_link_cnt; ?>" onClick="deleteExternalDocumentLinkRow('external_document_link_row_id_<?php echo $h_external_document_link_cnt; ?>')" title="Delete"><i class="fa fa-trash"></i></a>
																				</div>
																			</td>
																		</tr>
																		<?php
																		$h_external_document_link_cnt++;
																		}
																	}
																	?>
																</tbody>
															</table>
															<input type="hidden" id="h_external_document_link_cnt" name="h_external_document_link_cnt" value="<?php echo $h_external_document_link_cnt; ?>" />
														</div>
													</div>
												</div>
											</div>
											<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed"){ ?>
											<div class="row mt-5">
												<div class="col-md-12 text-right">
													<a href="javascript:void(0);" class="btn btn-sm btn-primary save_btn" title="Update" data-section="3">Update</a>
												</div>
											</div>
											<?php } ?>
										</div>
									</div>
								</div>
								<div class="col-xl-6 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="d-flex flex-wrap justify-content-between">
												<h4 class="card-title mb-3">Assign Teams</h4>
											</div>
											<div class="row">
												<div class="col-md-10">
													<div class="form-group">
														<label style="display: block;">Teams</label>
														<select name="combo_team_ids[]" id="combo_team_ids"  class="form-control custom-multiselect requirefieldcls" multiple="multiple" style="width:100%; background: #ffffff !important;border: solid 1px !important; border-color: #dad9d8 !important;">
															<?php
															$qry = "SELECT * FROM cxs_projects_team_header WHERE project_id='".$h_project_id."' AND project_id>0 AND company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY team_name";
															$result = mysqli_query($conn,$qry);
															if (mysqli_num_rows($result)>0){
																while($row = mysqli_fetch_assoc($result)){
																?>
																<option value="<?php echo $row['team_id']; ?>" <?php if(in_array($row['team_id'],$combo_team_ids)){ ?> selected <?php } ?>  class="chk_team"><?php echo $row['team_name']; ?></option>
																<?php
																}
															}
															?>
														</select>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<a href="javascript:void(0);" class="btn btn-sm btn-primary manage-team" style="margin-top:35px;" title="Edit Team & Team Members" data-mode="edit"><i class="fa fa-pencil"></i></a>
														<a href="javascript:void(0);" class="btn btn-sm btn-primary manage-team" style="margin-top:35px;" title="Add Team & Team Members" data-mode="add"><i class="fa fa-plus"></i></a>
													</div>
												</div>
											</div>
											<div class="d-sm-flex justify-content-between" >
												<div class="form-group pr-3">
													<label>Schedule Start Date</label>
													<input id="text_schedule_start_date" name="text_schedule_start_date" type="text" class="form-control requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Schedule Start Date" value="<?php echo $text_schedule_start_date; ?>">
												</div>
												<div class="form-group">
													<label>Schedule End Date</label>
													<input id="text_schedule_end_date" name="text_schedule_end_date" type="text" class="form-control requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Schedule End Date" value="<?php echo $text_schedule_end_date; ?>">
												</div>
											</div>
											<div class="d-sm-flex justify-content-between" >
												<div class="form-group pr-3">
													<label>Actual Start Date <a href="javascript:void(0);" title="Actual dates are used to calculate Project performance metrics. If you do not know the actual dates, project performance ratio will be calculated by taking schedule dates as actual dates.  You can always update actual start/end date as per your project progress and business needs" class="text-black"><i class="fa fa-exclamation-circle ml-1"></i></a></label>
													<input id="text_actual_start_date" name="text_actual_start_date" type="text" class="form-control requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Actual Start Date" value="<?php echo $text_actual_start_date; ?>">
												</div>
												<div class="form-group">
													<label>Actual End Date <a href="javascript:void(0);" title="Actual dates are used to calculate Project performance metrics. If you do not know the actual dates, project performance ratio will be calculated by taking schedule dates as actual dates.  You can always update actual start/end date as per your project progress and business needs" class="text-black"><i class="fa fa-exclamation-circle ml-1"></i></a></label>
													<input id="text_actual_end_date" name="text_actual_end_date" type="text" class="form-control requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Actual End Date" value="<?php echo $text_actual_end_date; ?>">
												</div>
											</div>
											<?php /*?><div class="d-sm-flex justify-content-between" >
												<div class="form-group" >
													<div class="form-check">
														<label class="form-check-label">
														<input id="check_is_attendance_track" name="check_is_attendance_track" type="checkbox" class="form-check-input" value="1" <?php if($check_is_attendance_track=="Y"){ ?> checked <?php } ?>>
														Enable Attendance Tracking <i class="input-helper" ></i> </label>
													</div>
													<div class="form-check">
														<label class="form-check-label">
														<input id="check_is_time_track" name="check_is_time_track" type="checkbox" class="form-check-input" value="1" <?php if($check_is_time_track=="Y"){ ?> checked <?php } ?>>
														Enable Project Time Tracking <i class="input-helper" ></i> </label>
													</div>
													<div class="form-check">
														<label class="form-check-label">
														<input id="check_is_expense_report" name="check_is_expense_report" type="checkbox" class="form-check-input" value="1" <?php if($check_is_expense_report=="Y"){ ?> checked <?php } ?>>
														Allow Submission of Expense Reports <i class="input-helper" ></i> </label>
													</div>
													<div class="form-check">
														<label class="form-check-label">
														<input id="check_is_task_budgeting" name="check_is_task_budgeting" type="checkbox" class="form-check-input" value="1" <?php if($check_is_task_budgeting=="Y"){ ?> checked <?php } ?>>
														Allow Task Level Budgeting <i class="input-helper" ></i> </label>
													</div>
												</div>
											</div><?php */?>
											<div class="form-group" style="width:100%;">
												<label style="display: block;">Project Manager</label>
												<div class="table-responsive" id="project_manager_div">
													<table class="table table-bordered">
														<thead class="table-info">
															<tr>
																<th>Project Manager</th>
																<th>Team</th>
															</tr>
														</thead>
														<tbody>
															<?php
															$combo_team_ids1 = "0";
															if(count($combo_team_ids)>0){
																$combo_team_ids1 = implode(",",$combo_team_ids);
															}
															$qry = "
															SELECT 
																u.*,
																tm.team_id,
																(SELECT team_name FROM `cxs_projects_team_header` WHERE cxs_projects_team_header.team_id=tm.team_id) AS team_name
															FROM 
																cxs_user u
															INNER JOIN
																cxs_projects_team_members tm
															ON
																u.user_id=tm.member_userid
															WHERE 
																tm.team_id IN ($combo_team_ids1) AND tm.is_project_manager='Yes' AND u.company_id = '".$_SESSION['login_user_array']['company_id']."' 
															ORDER BY 
																full_name
															";
															$result = mysqli_query($conn,$qry);
															if (mysqli_num_rows($result)>0){
																while($row = mysqli_fetch_assoc($result)){
																?>
																<tr>
																	<td>
																		<div class="form-check">
																			<label class="form-check-label">
																			<input type="checkbox" class="form-check-input check_pm check_pm_user_id_<?php echo $row['user_id']; ?>" name="check_project_manager_user_ids[]" value="<?php echo $row['user_id']; ?>" <?php if(in_array($row['user_id'],$check_project_manager_user_ids)){ ?> checked <?php } ?>>
																				<?php echo $row['full_name']; ?><i class="input-helper"></i>
																			</label>
																		</div>
																	</td>
																	<td>
																		<span class="td-cell-space">
																			<?php echo $row["team_name"]; ?>
																			<a href="javascript:void(0);" onClick="getTeamForm('<?php echo $row['team_id']; ?>','true');" class="ml-2" title="Edit Team"><i class="fa fa-pencil"></i></a>
																		</span>
																	</td>
																</tr>
																<?php
																}
															}
															?>
															
														</tbody>
													</table>
												</div>
											</div>
											<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed"){ ?>
											<div class="text-right mt-3">
												<a href="javascript:void(0);" class="btn btn-sm btn-primary save_btn" title="Update" data-section="4">Update</a>
											</div>
											<?php } ?>
										</div>
									</div>
								</div>
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body" id="projects_attachment_div">
											<div class="d-flex flex-wrap justify-content-between">
												<h4 class="card-title mb-3">Upload Attachments</h4>
											</div>
											<div class="row">
												<div class="col-md-3">
													<div class="row">
														<div class="col-md-12">
															<select id="combo_attachment_type" name="combo_attachment_type" class="js-example-basic-single brow" style="width:100%" onChange="check_custom_value('attachment_type',this.value);">
															   <option value="">--Please Select--</option>
															   <?php
																$selectQuery 	= "SELECT * FROM `cxs_attachment_type` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																	?>
																	<option value="<?php echo stripslashes($rows['name']); ?>"><?php echo stripslashes($rows['name']); ?></option>
																	<?php
																	}
																}
																?>
															   <option value="Add Custom">--Add Custom--</option>
														   </select>
														</div>
														<div class="col-md-12">
															<button type="button" id="cmdAddProjectAttachment" class="btn btn-primary custom-form-inline-btn">Add</button>
														</div>
													</div>
												</div>
												<div class="col-md-3">
													<div class="file-upload-wrapper">
														<div id="fileuploader">Upload</div>
													</div>
													<input type="hidden" id="h_attachment_file_name" class="brow" value="">
													<input type="hidden" id="h_attachment_file_format" class="brow" value="">
													<input type="hidden" id="h_attachment_upload_date" class="brow" value="">
												</div>
												
												<div class="col-md-6">
													<div class="table-responsive">                                                            
														<table id="tableStep1_3" class="table table-bordered">
															<thead>
																<tr class="table-info">
																	<th>Seq.</th>
																	<th>Attachment Type</th>
																	<th>File Name</th>
																	<th>File Format</th>
																	<th>Upload Date</th>
																	<th>Action</th>
																</tr>    
															</thead>    
															<tbody id="projects_attachment-data">
																<?php
																if(isset($_GET['project_id']) && $_GET['project_id']!=""){
																	$selectQuery 	= "SELECT * FROM `cxs_projects_attachments` WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY attachment_id";		
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if($StdNumRows>0){
																		while($rows=mysqli_fetch_assoc($RunUserQuery)){
																			$attachment_id 				= $rows["attachment_id"];
																			$combo_attachment_type 		= $rows["attachment_type"];
																			$h_attachment_file_name		= $rows["file_name"];
																			$h_attachment_file_format	= $rows["file_format"];
																			$h_attachment_upload_date	= setDate($rows["creation_date"],"m/d/Y");
																			$attachment_url = "javascript:void(0);";
																			if($h_attachment_file_name!="" && file_exists('img/uploads/projects_attachment/'.$h_attachment_file_name)){
																				$attachment_url = SITEURL.'img/uploads/projects_attachment/'.$h_attachment_file_name;
																			}
																		?>
																		<tr id="attachment_row_id_<?php echo $h_projects_attachment_cnt; ?>">
																			<td>
																				<?php echo $h_projects_attachment_cnt; ?>
																				<input type="hidden" id="h_attachment_id_<?php echo $h_projects_attachment_cnt; ?>" name="h_attachment_id_<?php echo $h_projects_attachment_cnt; ?>" value="<?php echo $attachment_id; ?>" />
																			</td>
																			<td><?php echo $combo_attachment_type; ?>
																				<input type="hidden" class="form-control" id="combo_attachment_type_<?php echo $h_projects_attachment_cnt; ?>" name="combo_attachment_type_<?php echo $h_projects_attachment_cnt; ?>" value="<?php echo $combo_attachment_type; ?>" /></td>
																			<td><a href="<?php echo $attachment_url; ?>" target="_blank"><?php echo $h_attachment_file_name; ?></a>
																				<input type="hidden" class="form-control" id="h_attachment_file_name_<?php echo $h_projects_attachment_cnt; ?>" name="h_attachment_file_name_<?php echo $h_projects_attachment_cnt; ?>" value="<?php echo $h_attachment_file_name; ?>" /></td>
																			<td><?php echo $h_attachment_file_format; ?>
																				<input type="hidden" class="form-control" id="h_attachment_file_format_<?php echo $h_projects_attachment_cnt; ?>" name="h_attachment_file_format_<?php echo $h_projects_attachment_cnt; ?>" value="<?php echo $h_attachment_file_format; ?>" /></td>
																			<td><?php echo $h_attachment_upload_date; ?>
																				<input type="hidden" class="form-control" id="h_attachment_upload_date_<?php echo $h_projects_attachment_cnt; ?>" name="h_attachment_upload_date_<?php echo $h_projects_attachment_cnt; ?>" value="<?php echo $h_attachment_upload_date; ?>" /></td>
																			<td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="<?php echo $h_projects_attachment_cnt; ?>" onClick="deleteAttachmentRow('attachment_row_id_<?php echo $h_projects_attachment_cnt; ?>')" title="Delete"><i class="fa fa-trash"></i></a></td>
																		</tr>
																		<?php
																			$h_projects_attachment_cnt++;
																		}
																	}
																}
																?>
															</tbody>
														</table>    
													</div> 
													<div class="text-right mt-3">
														<input type="hidden" id="h_projects_attachment_cnt" name="h_projects_attachment_cnt" value="<?php echo $h_projects_attachment_cnt; ?>" />
													</div>
												</div>
											</div>
											<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed"){ ?>
											<div class="row mt-5">
												<div class="col-md-12 text-right">
													<a href="javascript:void(0);" class="btn btn-sm btn-primary save_btn" title="Update" data-section="5">Update</a>
												</div>
											</div>
											<?php } ?>
										</div>
									</div>
								</div>
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="d-flex flex-wrap justify-content-between">
												<h4 class="card-title mb-3">Change Request(s)</h4>
											</div>
											<div class="table-responsive">
												<table id="table_change_requests" class="table table-bordered">
													<thead>
														<tr class='table-info'>
															<th>Change Request</th>
															<th>Change Statement</th>
															<th>Priority</th>
															<th>Scope Impact</th>
															<th>Status</th>
															<th>Change Type</th>
															<th>Action</th>
														</tr>
													</thead>
													<tbody>
														
														<?php
														if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){
															$cnt=0;
															$selectQuery 	= "
																SELECT 
																	cr.*,
																	u.user_id, u.full_name, u.image_name
																FROM 
																	`cxs_projects_change_requests` cr
																INNER JOIN
																	`cxs_user` u
																ON
																	cr.created_by=u.user_email
																WHERE 
																	cr.project_id='".$h_project_id."' AND cr.company_id='".$_SESSION['login_user_array']['company_id']."'
																ORDER BY 
																	cr.change_req_number ASC
																";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																	/*******/
																	$user_id		= $rows["user_id"];
																	$full_name 		= $rows["full_name"];
																	$user_image_name= $rows["image_name"];
																	if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
																		$user_img_url 	= SITEURL."img/uploads/user_images/".$user_image_name;
																	}else{
																		$user_img_url 	= SITEURL."images/faces/default_face.png";
																	}
																	/*******/
																	$change_req_id 			= $rows["change_req_id"];
																	$change_req_number 		= $rows["change_req_number"];
																	$change_req_statement 	= $rows["change_req_statement"];
																	$change_req_priority 	= $rows["change_req_priority"];
																	$scope_impact 	= $rows["scope_impact"];
																	$change_req_status 	= $rows["change_req_status"];
																	$change_req_type 	= $rows["change_req_type"];
																	$data_content_eye_icon 		= show_eye_icon_data("cxs_projects_change_requests","change_req_id",$change_req_id);
																?>
																<tr>
																	<td><?php echo $change_req_number; ?></td>
																	<td><?php echo $change_req_statement; ?></td>
																	<td><?php echo $change_req_priority; ?></td>
																	<td><?php echo $scope_impact; ?></td>
																	<td><?php echo $change_req_status; ?></td>
																	<td><?php echo $change_req_type; ?></td>
																	<td>
																		<div class="text-center">
																			<a href="<?php echo SITEURL."projects/change-request/".md5($h_project_id)."/edit/".md5($change_req_id)."/"; ?>" class="btn ml-0 mr-2 pl-0 pr-0" title="Edit"><i class="fa fa-pencil"></i></a>
																			<a href="javascript:void(0);" class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></a>
																			<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
																		</div>
																	</td>
																</tr>
																<?php
																}
															}
														
														}
														?>
													</tbody>
												</table>
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php if($combo_project_status!="Closed"){ ?>
							<div class="d-sm-flex justify-content-center justify-content-sm-between pt-4">
								&nbsp;
								<a href="<?php echo SITEURL."projects/"; ?>" class="btn btn-primary btn-small">View All Projects</a>
								<a href="javascript:void(0);" class="btn btn-primary btn-small save_btn" data-section="0">Save and Go to 2. <?php  echo $step_arr[$step+1]["title"];?></a>
							</div>
							<?php } ?>
						</form>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<!-- Custom Value Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Value Modal -->
<div class="modal fade" id="add_edit_team_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg mt-1 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="team_modal_title"></h5>
				<button type="button" class="close team-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0 pb-2">
				<div class="row">
					<div class="col-md-12">
						<div id="main_team_form"></div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-light ft-close">Close</button>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="edit_team_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Edit Teams & Team Members Data</h5>
				<button type="button" class="close edit-team-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12" id="results_team_list">
						
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-light ft-close">Close</button>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="update_team_member_billing_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="update_team_member_billing_title"></h5>
				<button type="button" class="close billing-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="update_team_member_billing_data_div"></div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-light ft-close">Close</button>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="rate_history_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="rate_history_data_modal_title"></h5>
				<button type="button" class="close rate-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="rate_history_data_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<input type="hidden" id="edit_row_cnt" value="">
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar_time_off.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/add_custom_value_fn.js"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	if($("#combo_project_status").val()=="Draft"){
		$("#text_schedule_start_date, #text_schedule_end_date, #text_actual_start_date, #text_actual_end_date").removeClass("requirefieldcls");
	}
	$("#combo_project_status").change(function(){
		var mode = '<?php echo $mode; ?>';
		
		if($(this).val()!="Draft"){
			$("#text_schedule_start_date, #text_schedule_end_date, #text_actual_start_date, #text_actual_end_date").addClass("requirefieldcls");	
		}

		if($(this).val()!="Draft" && mode=='edit'){
			$("#track_progress_div").addClass("no-access-div");
			$("input[type=radio][name=radio_track_progress_by]").attr("readonly","readonly");
		}
	});
	/*************/
	$(".ft-close").click(function(){
		$(".modal").modal('hide');
	});
	/*************/
	$(".num").numeric();
	/************/
	$(".manage-team").click(function(){
		var mode = $(this).data("mode");
		
		if(mode=='add'){
			getTeamForm("");
		}else{
			getTeamList();
		}
	});
	/************/
	$(".custom-multiselect").multiselect({
		includeSelectAllOption: false,
		numberDisplayed: 1,
		enableFiltering:true,
		onChange: function(option, checked, select) {
			//var team_id = $(option).val();
			getTeamProjectManager();
		}
	});
	setDropdownRequiredBackground();
	/************/
	$('#table_change_requests').DataTable( {
	  "info": false,
	  "paging":false,
	  "autoWidth": false,
	  "dom": 'lBfrtip',              
	   buttons: [                  
		   [
				
		   ]]
	}); 
	/**/
	$("#table_change_requests_filter").hide();
	/**/
	$('[data-toggle="popover"]').popover();
});
$("#text_project_name").keyup(function(){
	$("#header_project_name").text($(this).val());
});

setScheduleStartDate();
setActualStartDate();

function setScheduleStartDate(){
	$('#text_schedule_start_date').datepicker({
		format: "mm/dd/yyyy",
		enableOnReadonly: true,
		todayHighlight: true,
		autoclose: true,
		orientation: "bottom"
	}).on('changeDate', function(ev) {

		$("#header_schedule_start_date").text($(this).val());

		$('#text_schedule_end_date').val("");
		$("#text_schedule_end_date").datepicker("remove");

		var newDate = new Date(ev.date);
		
		newDate.setDate(newDate.getDate());
		var dd = ('0'+ (newDate.getDate())).slice(-2);
		var mm = ('0'+(newDate.getMonth()+1)).slice(-2);
		var yy = newDate.getFullYear();
		var MyDateString = mm+"/"+dd+"/"+yy;

		if($("#text_actual_start_date").val()=="" && $("#h_project_id").val()==""){
			$("#text_actual_start_date").datepicker("remove");
			setActualStartDate();
		}
		
		$('#text_schedule_end_date').datepicker({
			format: "mm/dd/yyyy",
			enableOnReadonly: true,
			todayHighlight: true,
			autoclose: true,
			orientation: "bottom",
			startDate:MyDateString
		}).on('changeDate', function(ev) {
			$("#header_schedule_end_date").text($(this).val());
			
			if($("#text_actual_end_date").val()=="" && $("#h_project_id").val()==""){
				$("#text_actual_end_date").val($(this).val());
			}
		});
		
	});
}
function setActualStartDate(){
	if($("#text_actual_start_date").val()=="" && $("#h_project_id").val()==""){
		$("#text_actual_start_date").val($("#text_schedule_start_date").val());
	}
	$('#text_actual_start_date').datepicker({
		format: "mm/dd/yyyy",
		enableOnReadonly: true,
		todayHighlight: true,
		autoclose: true,
		orientation: "bottom"
	}).on('changeDate', function(ev) {

		$('#text_actual_end_date').val("");
		$( "#text_actual_end_date" ).datepicker("remove");

		var newDate = new Date(ev.date);
		
		newDate.setDate(newDate.getDate());
		var dd = ('0'+ (newDate.getDate())).slice(-2);
		var mm = ('0'+(newDate.getMonth()+1)).slice(-2);
		var yy = newDate.getFullYear();
		var MyDateString = mm+"/"+dd+"/"+yy;
		
		$('#text_actual_end_date').datepicker({
			format: "mm/dd/yyyy",
			enableOnReadonly: true,
			todayHighlight: true,
			autoclose: true,
			orientation: "bottom",
			startDate:MyDateString
		});
		
	});
}

/*******************/
if($('#text_schedule_start_date').val()!=""){
	$("#text_schedule_end_date").datepicker({
		startDate:$("#text_schedule_start_date").val()
	});
}
if($('#text_actual_start_date').val()!=""){
	$("#text_actual_end_date").datepicker({
		startDate:$("#text_actual_start_date").val()
	});
}

/******************/
(function($) {
	'use strict';
	if ($("#fileuploader").length) {
		
		var uploadObj = $("#fileuploader").uploadFile({
			url: SITEURL+"aj/upload-attachment/project/",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"image/*, application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
				var attachment_data_arr = data.split("~");
				$("#h_attachment_file_name").val(attachment_data_arr[0]);
				$("#h_attachment_file_format").val(attachment_data_arr[1]);
				$("#h_attachment_upload_date").val(attachment_data_arr[2]);
				$("#fileuploader input[type=file]").attr("disabled","disabled");
        	}
		});
	}
})(jQuery);
/*************************************/
$("#cmdAddExternalDocumentLink").click(function(){
	var h_external_document_link_cnt 		= $("#h_external_document_link_cnt").val();
	var text_external_document_link_title	= $("#text_external_document_link_title").val();
	var text_external_document_link			= $("#text_external_document_link").val();
	if(text_external_document_link.search("http")==-1){
		text_external_document_link = "http://"+text_external_document_link;
	}
	
	if($("#edit_row_cnt").val()>0 && $("#edit_row_cnt").val()!=""){
		deleteExternalDocumentLinkRow("external_document_link_row_id_"+$("#edit_row_cnt").val());
		$("#edit_row_cnt").val("0");
		$("#cmdAddExternalDocumentLink").text("Add");
	}
	
	form_element_correct($("#text_external_document_link_title"));
	form_element_correct($("#text_external_document_link"));
	
	if(text_external_document_link_title=="" || text_external_document_link==""){
		if(text_external_document_link_title==""){
			form_element_empty_err($("#text_external_document_link_title"));
			$("#text_external_document_link_title").focus();
		}else if(text_external_document_link==""){
			form_element_empty_err($("#text_external_document_link"));
			$("#text_external_document_link").focus();
		}
		return false;
	}else{
		var markup 	= '<tr id="external_document_link_row_id_'+h_external_document_link_cnt+'" class="even"><td>'+text_external_document_link_title+'<input type="hidden" class="form-control" id="text_external_document_link_title_'+h_external_document_link_cnt+'" name="text_external_document_link_title_'+h_external_document_link_cnt+'" value="'+text_external_document_link_title+'" /></td><td><a href="'+text_external_document_link+'" target="_blank" style="text-decoration:underline;">'+text_external_document_link+'</a><input type="hidden" class="form-control" id="text_external_document_link_'+h_external_document_link_cnt+'" name="text_external_document_link_'+h_external_document_link_cnt+'" value="'+text_external_document_link+'" /></td><td><div class="text-center"><a href="javascript:void(0);" class="btn edit ml-0 mr-2 pl-0 pr-0 edit-btn edit-record" data-external_document_link_row_id="'+h_external_document_link_cnt+'" onClick="editExternalDocumentLinkRow('+h_external_document_link_cnt+')" title="Edit"><i class="fa fa-pencil"></i></a><a href="javascript:void(0);" class="btn ml-0 mr-2 pl-0 pr-0 delete-row" data-external_document_link_row_id="'+h_external_document_link_cnt+'" onClick="deleteExternalDocumentLinkRow(\'external_document_link_row_id_'+h_external_document_link_cnt+'\')" title="Delete"><i class="fa fa-trash"></i></a></div></td></tr>';
		
		$("#external_document_link-data").append(markup);
		
		$("#external_document_link_div").find(".brow").val("");
		h_external_document_link_cnt++;
		$("#h_external_document_link_cnt").val(h_external_document_link_cnt);
	}
});
function editExternalDocumentLinkRow(row_id){
	$("#edit_row_cnt").val(row_id);
	$("#cmdAddExternalDocumentLink").text("Update");
	
	var text_external_document_link_title	= $("#text_external_document_link_title_"+row_id).val();
	var text_external_document_link			= $("#text_external_document_link_"+row_id).val();
	
	$("#text_external_document_link_title").val(text_external_document_link_title);
	$("#text_external_document_link").val(text_external_document_link);
}
$(".delete-row").click(function(){
	$(this).closest('tr').empty();
});
function deleteExternalDocumentLinkRow(row_id){
	$("#"+row_id).remove();
}
/***************************************/
$("#cmdAddProjectAttachment").click(function(){
	form_element_correct($("#combo_attachment_type").siblings(".select2"));
	form_element_correct($("#fileuploader"));
	
	var h_projects_attachment_cnt = $("#h_projects_attachment_cnt").val();
	var combo_attachment_type 	= $("#combo_attachment_type").val();
	var h_attachment_file_name	= $("#h_attachment_file_name").val();
	var h_attachment_file_format= $("#h_attachment_file_format").val();
	var h_attachment_upload_date= $("#h_attachment_upload_date").val();
	if(combo_attachment_type==""){
		//alert("Please select attachment type.");
		form_element_empty_err($("#combo_attachment_type").siblings(".select2"));
		return false;
	}else if(h_attachment_file_name=="" || h_attachment_file_format=="" || h_attachment_upload_date==""){
		//alert("Something went wrong. Please uplaod attachment file again.");
		form_element_empty_err($("#fileuploader"));
		return false;
	}else{
		var markup = '<tr id="attachment_row_id_'+h_projects_attachment_cnt+'"><td>'+h_projects_attachment_cnt+'</td><td>'+combo_attachment_type+'<input type="hidden" class="form-control" id="combo_attachment_type_'+h_projects_attachment_cnt+'" name="combo_attachment_type_'+h_projects_attachment_cnt+'" value="'+combo_attachment_type+'" /></td><td>'+h_attachment_file_name+'<input type="hidden" class="form-control" id="h_attachment_file_name_'+h_projects_attachment_cnt+'" name="h_attachment_file_name_'+h_projects_attachment_cnt+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+h_projects_attachment_cnt+'" name="h_attachment_file_format_'+h_projects_attachment_cnt+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+h_projects_attachment_cnt+'" name="h_attachment_upload_date_'+h_projects_attachment_cnt+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+h_projects_attachment_cnt+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+h_projects_attachment_cnt+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
		
		$("#projects_attachment-data").append(markup);
		$("#combo_attachment_type").select2("destroy");
		$("#projects_attachment_div").find(".brow").val("");
		$("#combo_attachment_type").select2();
		$(".ajax-file-upload-container").html("");
		$("#fileuploader input[type=file]").removeAttr("disabled");
		h_projects_attachment_cnt++;
		$("#h_projects_attachment_cnt").val(h_projects_attachment_cnt);
		$("#modal_msg_invoice_payments").text("");
	}
});
$(".delete-att-row").click(function(){
	$(this).closest('tr').empty();
});
function deleteAttachmentRow(row_id){
	$("#"+row_id).remove();
	var h_projects_attachment_cnt = $("#h_projects_attachment_cnt").val();
	h_projects_attachment_cnt--;
	$("#h_projects_attachments_cnt").val(h_projects_attachment_cnt);
}
/***************************************/
$(".save_btn").click(function (){
	
	var flag = true;
	var section = $(this).data("section");
	
	var radio_track_progress_by = $("input[type=radio][name=radio_track_progress_by]:checked").val();
	
	if(section==0 || section==2){
		form_element_correct($("#combo_currency").siblings(".select2"));
		if($("#combo_currency").val()==""){
			form_element_empty_err($("#combo_currency").siblings(".select2"));
			flag = false;
		}
	}
	if(section==0 || section==3){
		form_element_correct($("#text_project_name"));
		form_element_correct($("#text_description"));
		//form_element_correct($("#combo_project_manager_user_ids").siblings(".select2"));
		if($("#text_project_name").val()==""){
			form_element_empty_err($("#text_project_name"));               
			flag = false;
		}
		if($("#text_description").val()==""){
			form_element_empty_err($("#text_description"));               
			flag = false;
		}
		/*if($("#combo_project_manager_user_ids option:selected").length==0){
			form_element_empty_err($("#combo_project_manager_user_ids").parent(".multiselect-native-select"));
			flag = false;
		}*/
	}
	if(section==0 || section==4){
		form_element_correct($("#combo_team_ids").parent(".multiselect-native-select"));
		form_element_correct($("#text_schedule_start_date"));
		form_element_correct($("#text_schedule_end_date"));
		form_element_correct($("#text_actual_start_date"));
		form_element_correct($("#text_actual_end_date"));
		
		if($("#combo_team_ids option:selected").length==0){
			form_element_empty_err($("#combo_team_ids").parent(".multiselect-native-select"));
			flag = false;
		}

		if($("#combo_project_status").val()!="Draft"){
			if($("#text_schedule_start_date").val()==""){
				form_element_empty_err($("#text_schedule_start_date"));               
				flag = false;
			}
			if($("#text_schedule_end_date").val()==""){
				form_element_empty_err($("#text_schedule_end_date"));               
				flag = false;
			}
			if($("#text_actual_start_date").val()==""){
				form_element_empty_err($("#text_actual_start_date"));               
				flag = false;
			}
			if($("#text_actual_end_date").val()==""){
				form_element_empty_err($("#text_actual_end_date"));               
				flag = false;
			}
		}
		if($(".check_pm:checked").length==0){
			form_element_empty_err($(".check_pm").parent());
			flag = false;
		}
	}
	var formdata 		= $('#step1_form').serialize(); 
	var h_project_id 	= $("#h_project_id").val();
	if(flag == true){
		disableButton(".save_btn");
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_project_step1_data',form1: formdata,h_project_id1:h_project_id,section:section},
			success: function (response){ 
				setTimeout(function(){
					disableButton(".save_btn");
					$(".rploader").fadeOut(800);
					if(response.succ==2){
						alert(response.msg);
						if(response.error_field=="team"){
							scroll_to_div($("#combo_team_ids"));
						}else if(response.error_field=="date"){
							scroll_to_div($("#text_schedule_start_date"));
						}
						
					}else if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						//alert(response.project_id);
						$("#h_new_attachment_type").val("");
						$("#h_new_currency").val("");
						$("#h_project_id").val(response.project_id);
						if(section==0){
							window.location.href=SITEURL+'projects/'+response.enc_project_id+'/stakeholders/';
						}else if(section==1){
							window.location.href='';
						}
					}   
				},1000); 
			}
		});
	}
});
/**************************************/
function getTeamProjectManager(pm_user_ids=""){
	
	var team_ids=[];
	$(".multiselect-container").find('input[type=checkbox]:checked').each(function(){
		team_ids.push($(this).val());
	});
	$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'get_team_project_manager_data',is_html:true,project_id:'<?php echo $h_project_id; ?>',team_ids:team_ids},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					$("#project_manager_div").html(response);
					if(pm_user_ids!=""){
						var pm_user_id_arr = pm_user_ids.split(",");
						for(var i=0;i<pm_user_ids.length;i++){
							$(".check_pm_user_id_"+pm_user_id_arr[i]).prop("checked",true);
						}
					}
				},1000); 
			}
		});
}
/**************************************/
/*function updateTeamData(team_id){
	alert(); 
	$('#edit_team_data_modal').modal('hide');
	$("#update_team_data_div").html("");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_update_team_data',is_html:true,team_id:team_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$('#add_edit_team_data_modal').modal('show');
				getTeamForm(team_id,true);
			},1000);
		}
	});
}*/
function getTeamForm(id="",edit_team_disable=false){
	
	var project_id 		= $("#h_project_id").val();
	var project_temp_id = $("#h_project_temp_id").val();
	
	var modal_title = "Add Team and Team Members";
	if(id!=""){
		modal_title = "Edit Team and Team Members";
	}
	
	var radio_track_progress_by = $("input[type=radio][name=radio_track_progress_by]:checked").val();
	
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		beforeSend: function() {
			$(".rploader").fadeIn(800);
			$('#edit_team_data_modal').modal('hide');
		},
		data: {REQUEST: 'get_team_form_data',is_html:true,h_project_id:project_id,project_temp_id:project_temp_id,id: id,edit_team_disable:edit_team_disable,track_progress_by:radio_track_progress_by},
		success: function (response){ 
			setTimeout(function(){
				$("#team_modal_title").text(modal_title);
				$('#add_edit_team_data_modal').modal('show');
				$(".rploader").fadeOut(800);
				$("#main_team_form").html(response);
				
				// $('#main_team_form .datepicker .form_datetime').datepicker({
				// 	format: "mm/dd/yyyy",
				// 	enableOnReadonly: true,
				// 	todayHighlight: true,
				// 	autoclose: true,
				// 	orientation: "bottom"
				// });

				$('#text_assign_date_start').datepicker({
					format: "mm/dd/yyyy",
					enableOnReadonly: true,
					todayHighlight: true,
					autoclose: true,
					orientation: "bottom"
				}).on('changeDate', function(ev) {

					$('#text_assign_date_end').val("");
					$( "#text_assign_date_end" ).datepicker("remove");

					var newDate = new Date(ev.date);
					
					newDate.setDate(newDate.getDate());
					var dd = ('0'+ (newDate.getDate())).slice(-2);
					var mm = ('0'+(newDate.getMonth()+1)).slice(-2);
					var yy = newDate.getFullYear();
					var MyDateString = mm+"/"+dd+"/"+yy;
					
					$('#text_assign_date_end').datepicker({
						format: "mm/dd/yyyy",
						enableOnReadonly: true,
						todayHighlight: true,
						autoclose: true,
						orientation: "bottom",
						startDate:MyDateString
					});
					
				});
				
				/*******/
				$("#text_phone").inputmask("mask", {"mask": "(999) 999-9999"});
				$("#combo_assign_member,#combo_billing_currency").select2({
					dropdownParent: $('#add_edit_team_data_modal')
				});
				$("#text_billing_rate").numeric();
				/*******/
				$("#cmdAssign").click(function(){
					cmdAssign();
				});
				/*******/
				$("#cmd_team_save").click(function (){
					cmdTeamSave(edit_team_disable);
				});
				/*******/
				$("#cmdUpdateBillingRate").click(function(){
					updateTeamMembersData(id,$("#text_team_name").val());
				});  
				/*******/
				setDropdownRequiredBackground();
				
			},1000); 
		}
	});
}

function cmdAssign(){
	var flag = true;
	$("#lblmsg").hide();
	$("#lblmsg").text("");
	
	form_element_correct($("#combo_assign_member").siblings(".select2"));
	form_element_correct($("#text_phone"));
	form_element_correct($("#text_billing_rate"));
	form_element_correct($("#combo_billing_currency").siblings(".select2"));
	form_element_correct($("#text_assign_date_start").parent());
	
	var h_team_detail_cnt 		= $("#h_team_detail_cnt").val();
	var combo_assign_member 	= $("#combo_assign_member").val();
	var combo_assign_member_txt	= $("#combo_assign_member option:selected").text();
	var text_phone				= $("#text_phone").val();
	var text_billing_rate		= $("#text_billing_rate").val();
	var combo_billing_currency 	= $("#combo_billing_currency").val();
	var combo_billing_currency_txt	= "";
	if(combo_billing_currency!=""){
		combo_billing_currency_txt = $("#combo_billing_currency option:selected").text();
	}
	var text_assign_date_start	= $("#text_assign_date_start").val();
	var text_assign_date_end	= $("#text_assign_date_end").val();
	
	var radio_track_progress_by = $("input[type=radio][name=radio_track_progress_by]:checked").val();
	
	
	if(combo_assign_member==""){
		form_element_empty_err($("#combo_assign_member").siblings(".select2"));
		flag = false;
	}else if(!$("#text_phone").inputmask("isComplete") && $("#text_phone").val()!=""){
		form_element_empty_err($("#text_phone"));               
		flag = false;
	}else if(text_billing_rate=="" && radio_track_progress_by!='by_effort'){
		form_element_empty_err($("#text_billing_rate"));
		flag = false;
	}else if(combo_billing_currency=="" && radio_track_progress_by!='by_effort'){
		form_element_empty_err($("#combo_billing_currency").siblings(".select2"));
		flag = false;
	}else if(text_assign_date_start=="" && radio_track_progress_by!='by_effort'){
		form_element_empty_err($("#text_assign_date_start").parent());
		flag = false;
	}else{
		if($("#edit_row_cnt").val()>0 && $("#edit_row_cnt").val()!=""){
			deleteTeamDetailRow("team_detail_row_id_"+$("#edit_row_cnt").val());
			$("#edit_row_cnt").val("0");
		}
		$('.assign-member').each(function(n){  
			if(combo_assign_member==$(this).val()){
				$("#lblmsg").text(combo_assign_member+ " already assigned.");
				$("#lblmsg").show();
				flag = false;
			}
		});
		if(flag==true){
			var markup = '<tr id="team_detail_row_id_'+h_team_detail_cnt+'"><td>'+combo_assign_member_txt+'<input type="hidden" class="form-control assign-member" id="combo_assign_member_'+h_team_detail_cnt+'" name="combo_assign_member_'+h_team_detail_cnt+'" value="'+combo_assign_member+'" /></td><td align="center"><div class="form-check"><label class="form-check-label"><input type="checkbox" class="form-check-input" name="check_is_project_manager_'+h_team_detail_cnt+'" id="check_is_project_manager_'+h_team_detail_cnt+'" value="Yes"><i class="input-helper"></i></label></div></td><td>'+text_phone+'<input type="hidden" class="form-control" id="text_phone_'+h_team_detail_cnt+'" name="text_phone_'+h_team_detail_cnt+'" value="'+text_phone+'" /></td><td align="right">'+text_billing_rate+'<input type="hidden" class="form-control" id="text_billing_rate_'+h_team_detail_cnt+'" name="text_billing_rate_'+h_team_detail_cnt+'" value="'+text_billing_rate+'" /></td><td>'+combo_billing_currency_txt+'<input type="hidden" class="form-control" id="combo_billing_currency_'+h_team_detail_cnt+'" name="combo_billing_currency_'+h_team_detail_cnt+'" value="'+combo_billing_currency+'" /></td><td>'+text_assign_date_start+'<input type="hidden" class="form-control" id="text_assign_date_start_'+h_team_detail_cnt+'" name="text_assign_date_start_'+h_team_detail_cnt+'" value="'+text_assign_date_start+'" /></td><td>'+text_assign_date_end+'<input type="hidden" class="form-control" id="text_assign_date_end_'+h_team_detail_cnt+'" name="text_assign_date_end_'+h_team_detail_cnt+'" value="'+text_assign_date_end+'" /></td><td align="center"><a href="javascript:void(0);" class="btn edit ml-0 mr-2 pl-0 pr-0 edit-btn edit-record" onClick="editTeamMemberDetail(\''+h_team_detail_cnt+'\')" title="Edit"><i class="fa fa-pencil"></i></a></td></tr>';
			
			$("#team_detail-data").append(markup);
			$("#combo_assign_member, #combo_billing_currency").select2("destroy");
			$("#combo_assign_member, #combo_billing_currency").val("");
			$(".brow").val("");
			$("#combo_billing_currency").val('<?php echo $default_currency; ?>');
			$("#combo_assign_member,#combo_billing_currency").select2({
				dropdownParent: $('#add_edit_team_data_modal')
			});
			setDropdownRequiredBackground();
			h_team_detail_cnt++;
			$("#h_team_detail_cnt").val(h_team_detail_cnt);
		}
	}
}

$(".delete-att-row").click(function(){
	$(this).closest('tr').empty();
});
function deleteTeamDetailRow(row_id){
	$("#"+row_id).remove();
	var h_team_detail_cnt = $("#h_team_detail_cnt").val();
	h_team_detail_cnt--;
	$("#h_team_detail_cnt").val(h_team_detail_cnt);
}

function cmdTeamSave(edit_team_disable){
	var flag = true;
	form_element_correct($("#text_team_name"));
	
	if($("#text_team_name").val()==""){
		form_element_empty_err($("#text_team_name"));               
		flag = false;
	}
	
	var formdata 		= $('#team_form').serialize(); 
	if(flag == true){
		disableButton("#cmd_team_save");
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_team_data',form1: formdata},
			success: function (response){ 
				setTimeout(function(){
					disableButton("#cmd_team_save");
					$(".rploader").fadeOut(800);
					if(response.succ==1){
						$("#h_new_billing_currency").val("");
						$("#add_edit_team_data_modal").modal("toggle");
						if(edit_team_disable==false){
							getTeamDropdown(response.id,response.pm_user_ids);
						}else{
							getTeamProjectManager();
						}
					}else if(response.succ==0){
						if(response.msg!=""){
						alert(response.msg);
						}else{
							alert("Something went wrong. Please try again.");
						}
					}  
				},1000); 
			}
		});
	}
}

function editTeamMemberDetail(row_id){
	$("#edit_row_cnt").val(row_id);
	
	var combo_assign_member		= $("#combo_assign_member_"+row_id).val();
	var text_phone				= $("#text_phone_"+row_id).val();
	var text_billing_rate		= $("#text_billing_rate_"+row_id).val();
	var combo_billing_currency	= $("#combo_billing_currency_"+row_id).val();
	var text_assign_date_start	= $("#text_assign_date_start_"+row_id).val();
	var text_assign_date_end	= $("#text_assign_date_end_"+row_id).val();
	
	$("#combo_assign_member").val(combo_assign_member);
	$("#text_phone").val(text_phone);
	$("#combo_billing_currency").val(combo_billing_currency);
	$("#combo_assign_member, #combo_billing_currency").select2();
	setDropdownRequiredBackground();
	$("#text_billing_rate").val(text_billing_rate);
	$("#text_assign_date_start").val(text_assign_date_start);
	$("#text_assign_date_end").val(text_assign_date_end);
	//$("body .dropdown-menu").hide();
	if($('#text_assign_date_start').val()!=""){
		$("#text_assign_date_end").datepicker({
			startDate:$("#text_assign_date_start").val()
		});
	}
}

/***************************************************/
function updateTeamMembersData(team_id,team_name){
	$('#add_edit_team_data_modal').modal('hide');
	$("#update_team_member_billing_title").html("Update Team Members of <span class='text-secondary'>"+team_name+"</span>");
	$("#update_team_member_billing_data_div").html("");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_update_team_member_table_data',is_html:true,team_id1:team_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$('#update_team_member_billing_data_modal').modal('show');
				$("#update_team_member_billing_data_div").html(response);
				$(".new_rate").numeric();
				/***********************/
				$('.new_end_date .form_datetime').datepicker({
					format: "mm/dd/yyyy",
					enableOnReadonly: true,
					todayHighlight: true,
					autoclose: true,
					orientation: "bottom"
				}).on('changeDate', function(e) {
					var this_cnt= $(this).data("cnt");
					$("#text_assign_date_end_"+this_cnt).val($(this).val());
				});
				/***********************/
				//dataTableCreateCommon('table_team_members');
				var table = $('#table_update_team_member_data').DataTable( {
				  "info": false,
				  "paging":false,
				  "autoWidth":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							
					   ]]
				}); 
				  
				/**/
				$("#table_update_team_member_data_filter").hide();
				/***********************/
				$("#cmd_team_member_update").click(function (){
					var flag = true;
					var formdata 		= $('#team_member_update_form').serialize(); 

					$(".new_rate").each(function(){
						if($(this).val()>0){
							var this_cnt= $(this).data("cnt");
							if($("#text_assign_date_end_"+this_cnt).val()==""){
								flag = false;
								alert("Please enter end date.");
								$("#text_assign_date_end_"+this_cnt).focus();
								return false;
							}
						}
					})

					if(flag == true){
						$.ajax({
							url: SITEURL+"aj/projects/",
							method: "POST",
							beforeSend: function() {
								$(".rploader").fadeIn(800);
							},
							data: {REQUEST: 'update_team_member_data',form1: formdata},
							success: function (response){ 
								setTimeout(function(){
									$(".rploader").fadeOut(800);
									if(response.succ==1){
										$('#update_team_member_billing_data_modal').modal('hide');
										getTeamForm(team_id);
									}   
								},1000); 
							}
						});
					}
				});
				/*******************/
			},1000);
		}
	});
}
/***************************************************/
function getTeamDropdown(id,pm_user_ids){
	var project_id 		= $("#h_project_id").val();
	var project_temp_id = $("#h_project_temp_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		data: {REQUEST: 'get_project_team_dropdown_data',is_html:true,project_id:project_id,project_temp_id:project_temp_id},
		success: function (response){ 
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				var selected = $("#combo_team_ids :selected").map((_, e) => e.value).get();
				
				if(selected!=""){
					selected = selected+","+id;

					$("#combo_team_ids").html(response); 
					var selectedOptions = selected.split(",");
					for (var i in selectedOptions) {
						var optionVal = selectedOptions[i];
						$("#combo_team_ids").find("option[value=" + optionVal + "]").prop("selected", "selected");
					}
				}else{
					selected = id;
					$("#combo_team_ids").html(response); 
					$("#combo_team_ids").val(selected);
				}
				
				$("#combo_team_ids").multiselect('destroy');
				$("#combo_team_ids").multiselect({
					includeSelectAllOption: false,
					numberDisplayed: 1,
					enableFiltering:true,
					onChange: function(option, checked, select) {
						//var team_id = $(option).val();
						getTeamProjectManager();
					}
				}); 
				getTeamProjectManager(pm_user_ids);
				$(".multiselect-container").mCustomScrollbar({  // custom scroll bar plugin
					theme:"light-2",  // custom scroll theme set
					axis: "y",     // custom scroll ver,hor scroll
				}); 
			},1000); 
		}
	});
}
/******************************/
function deleteTeamMember(team_id, member_id){
	var r = confirm("Are you sure you want to delete member?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'delete_project_team_member',project_id:'<?php echo $h_project_id; ?>',team_id:team_id,member_id:member_id},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						getTeamForm(team_id,'true');
					}
				},1000); 
			}
		});
	}
}
/*******************************/
function getTeamList(){
	var project_id 		= $("#h_project_id").val();
	var project_temp_id = $("#h_project_temp_id").val();
	$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'get_team_details_data',is_html:true,project_id:project_id,project_temp_id:project_temp_id},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					$("#results_team_list").html(response);
					/**/
					var table = $('#table_team_list').DataTable( {
					  "info": false,
					  "paging":false,
					  "dom": 'lBfrtip',              
					   buttons: [                  
						   [
								/*'excel',*/
								/*'pdf',*/
								{
									text: 'Email',
									action: function ( e, dt, node, config ) {
									//$("#modal_email").show(); 
									show_emaimodal();
									}
								}
						   ]]
					}); 
					$('#table_team_list tfoot th.searc').each( function () {
							var title = $(this).text();
							$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
					}); 
					// Apply the search
					table.columns().every( function (){
						var that = this;
						$( 'input', this.footer() ).on( 'keyup change', function () {
							if ( that.search() !== this.value ) {
								that
													.search( this.value )
													.draw();
							}
						});
					});  
					/**/
					$("#table_team_list_filter").hide();
					/**/
					$('[data-toggle="popover"]').popover();
					/**/
					$('#edit_team_data_modal').modal('show');
				},1000); 
			}
		});
}
/*****************************************/
function viewRateHistory(team_id,member_id,name){
	$("#rate_history_data_div").html("");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_team_member_rate_history_data',is_html:true,team_id:team_id,member_id:member_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#rate_history_data_modal_title").html("Billing Rate history of <span class='text-secondary'>"+name+"</span>");
				$("#rate_history_data_div").html(response);
				$('#rate_history_data_modal').modal('show');
				$("#rate_history_data_modal").attr("style","z-index:1052");
				$(".modal-backdrop").attr("style","z-index:1051");
				/***********************/
				var table = $('#table_rate_history_data').DataTable( {
				  "info": false,
				  "paging":false,
				  "autoWidth":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							
					   ]]
				}); 
				  
				/**/
				$("#table_rate_history_data_filter").hide();
				/***********************/
				$('[data-toggle="popover"]').popover();
				/***********************/
				$(".rate-close").click(function(){
					$(".modal-backdrop").removeAttr("style");
					$("body").addClass("modal-open");
				});
			},1000);
		}
	});
}
/****************************************/
<?php if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ ?>
function checkEntStatus(val,pid){
	if(val=="Closed" && pid>0){
		window.location.href= SITEURL+"projects/"+pid+"/closing/";
	}
}
<?php } ?>
</script>
</body>
</html>