<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}

$step						= 8;
//$is_next_btn_disable		= false;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";
$combo_project_status		= "Draft";
$radio_track_progress_by 	= "";

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
		
	}else{
		header("location:".SITEURL."projects/");
	}
}

$is_disable_approval_rule = false;
$ccb_member_ids 		= array();
$ccb_member_resources 	= array();
$combo_approval_rule	= "";
if(getTotalRecord("cxs_projects_ccb_setup","assignment_id"," WHERE project_id='".$h_project_id."'")>0){
	$is_disable_approval_rule = true;
	
	$selectQuery 	= "SELECT * FROM `cxs_projects_ccb_setup` WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$combo_approval_rule	= $rows["approval_rule"];
			$ccb_member_ids[] 		= $rows["member_id"];
			$ccb_member_resources[$rows["member_id"]] = $rows["resource_type"];
		}
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<form id="step8_form" action="" method="post">
							<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
							<?php if($combo_project_status!="Closed"){ ?>
							<div class="row mt-3">
								
								<?php /* 
								<div class="col-xl-4 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="row">
												<div class="col-md-12">
													<label>Approval Rule</label>
													<select id="combo_approval_rule" name="combo_approval_rule" class="js-example-basic-single " style="width:100%" <?php if($is_disable_approval_rule){ ?> disabled <?php } ?>>
														<option value="All members must approve" <?php if($combo_approval_rule=="All members must approve"){ ?> selected <?php } ?>>All members must approve</option>
														<option value="Majority approval required" <?php if($combo_approval_rule=="Majority approval required"){ ?> selected <?php } ?>>Majority approval required</option>
													</select>
												</div>
											</div>
										</div>
									</div>
								</div>
								*/?>

								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="row">
												<div class="col-md-6">
													<label>Assign CCB Members</label>
													<select name="combo_ccb_member_ids[]" id="combo_ccb_member_ids" class="form-control mr-2 custom-multiselect" multiple="multiple" style="width:100%; background: #ffffff !important;border: solid 1px !important; border-color: #dad9d8 !important;">
														<?php
														$selectQuery 	= "
															SELECT member_id, name, resource_type, resource_name FROM
															(
																(
																	SELECT 
																		tm.assignement_id AS member_id, u.full_name AS name, 'Project Team' AS resource_type, th.team_name AS resource_name
																	FROM 
																		`cxs_projects_teams`  t
																	INNER JOIN
																		`cxs_projects_team_members` tm
																	ON
																		t.team_id=tm.team_id
																	INNER JOIN
																		`cxs_user` u
																	ON
																		tm.member_userid=u.user_id
																		
																	INNER JOIN
																		`cxs_projects_team_header` th
																	ON
																		th.team_id=t.team_id
																	WHERE 
																		t.project_id='".$h_project_id."' AND t.company_id='".$_SESSION['login_user_array']['company_id']."'
																)
																UNION ALL
																(
																	SELECT 
																		s.member_id AS member_id, CONCAT(s.first_name,' ',s.last_name) AS name, 'Stakeholder' AS resource_type, sg.group_name AS resource_name
																	FROM 
																		`cxs_projects_stakeholders`  s
																	INNER JOIN
																		`cxs_projects_stakeholder_groups` sg
																	ON
																		s.group_id=sg.group_id
																	WHERE 
																		s.project_id='".$h_project_id."' AND s.company_id='".$_SESSION['login_user_array']['company_id']."'
																)
															) AS a GROUP BY member_id, name ORDER BY name
															
														";		
														$RunUserQuery	= mysqli_query($conn, $selectQuery);
														$StdNumRows 	= mysqli_num_rows($RunUserQuery);
														if($StdNumRows>0){
															while($rows=mysqli_fetch_assoc($RunUserQuery)){
																$member_id = $rows["member_id"];
																if($rows["resource_type"]=="Project Team"){
																	$name = htmlentities($rows["name"])." - ".htmlentities($rows["resource_name"])." (Project Team)";
																}else{
																	$name = htmlentities($rows["name"])." - ".htmlentities($rows["resource_name"])." (Stakeholder)";
																}
															?>
															<option value="<?php echo $member_id."~".$rows['resource_type']; ?>" data-name="<?php echo htmlentities($rows["name"]); ?>" data-resource_name="<?php echo htmlentities($rows["resource_name"]); ?>" data-resource_type="<?php echo $rows['resource_type']; ?>"><?php echo $name; ?></option>
															<?php
															}
														}
														?>
													</select>
												</div>
												<div class="col-md-2 mt-4">
													<button type="button" class="btn btn-primary btn-small mr-5" id="cmd_projects_ccb_member_save">Assign</button>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php } ?>
							<div class="row  mt-3" >
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="text-center">
												<div class="loading-div-projects_ccb_member">
													<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
												</div>
											</div>
											<div id="results_projects_ccb_member" class=""></div>
										</div>
									</div>
								</div>
							</div>
							<?php 
							if($combo_project_status!="Closed"){
								getProjectNextPrevButtons($step,$query_string);
							}
							?>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<input type="hidden" id="edit_row_cnt" value="">
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/**********************************/
	$(".custom-multiselect").multiselect({
		includeSelectAllOption: true,
		numberDisplayed: 1,
		enableFiltering:true
	});
	/**********************************/
	getProjectsCCBMember('<?php echo $h_project_id; ?>');
	/*********************/
	$(".required-approver-close").click(function(){
		$("#approval_required_modal").modal("toggle");
		$(".modal-backdrop").removeAttr("style");
		$("#text_approval_required_date").val("");
		$("#approval_required_assignment_id").val("");
		$('#check_set_all_date').prop('checked', false);
		setTimeout(function(){
			$("body").addClass("modal-open");
		},500);
	});
});
/*********************/
$("#cmd_projects_ccb_member_save").click(function (){
	disableButton("#cmd_projects_ccb_member_save");
	var flag = true;
	
	form_element_correct($("#combo_ccb_member_ids").parent(".multiselect-native-select"));
	
	if($("#combo_ccb_member_ids option:selected").length==0){
		form_element_empty_err($("#combo_ccb_member_ids").parent(".multiselect-native-select"));
		flag = false;
	}
	
	$("#combo_ccb_member_ids option:selected").each(function () {
		var combo_member_id_selected 			= $(this).val();
		var combo_member_id_selected_arr 		= combo_member_id_selected.split("~");
		combo_member_id_selected				= combo_member_id_selected_arr[0];
		var text_name_selected					= $(this).data('name');
		var text_resource_type_selected 		= $(this).data('resource_type');
		var text_resource_name_selected 		= $(this).data('resource_name');
		
		for(var i=1;i<=$("#ccb_member_cnt").val();i++){
			var text_resource_type 	= $("#text_resource_type_"+i).val();
			var combo_member_id		= $("#combo_member_id_"+i).val();
			if(combo_member_id_selected==combo_member_id && text_resource_type_selected==text_resource_type){
				alert(text_name_selected+" - "+text_resource_name_selected+" ("+text_resource_type_selected+") is already selected.");
				flag=false;
				break;
			}
		}
	});
	$("#combo_approval_rule").prop("disabled",false);

	if(flag==false){
		disableButton("#cmd_projects_ccb_member_save");
	}
	var formdata 		= $('#step8_form').serialize(); 
	var project_id 		= $("#h_project_id").val();
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_projects_ccb_member_data',form1: formdata,project_id1:project_id},
			success: function (response){ 
				setTimeout(function(){
					disableButton("#cmd_projects_ccb_member_save");
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						window.location.href="";
					}   
				},1000); 
			}
		});
	}
});
function getProjectsCCBMember(project_id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_projects_ccb_member_data',is_html:true,project_id1:project_id},
		beforeSend: function() {
			$("#results_projects_ccb_member").fadeOut(500);
			$(".loading-div-projects_ccb_member").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-projects_ccb_member").hide();
				$("#results_projects_ccb_member").html(response);
				$("#results_projects_ccb_member").fadeIn(500);
				/**/
				var table = $('#table_projects_ccb_member').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_projects_ccb_member tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_projects_ccb_member_filter").hide();
				/**********************/
				$('[data-toggle="popover"]').popover();
				/**********************/
				$('.form_datetime,.approval_required_date').datepicker({
					format:'mm/dd/yyyy',
					defaultDate: '',
					autoclose : true
				});
			},1000);
		}
	});
}
/*****************/
function deleteProjectCCBMember(assignment_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_projects_ccb_member_data',assignment_id1:assignment_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						window.location.href="";
					}
				},1000);
			}
		});
	}
}
</script>
</body>
</html>
