<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0 || $_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED"){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}

$step						= 11;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	
$combo_project_status		= "Draft";	
$radio_track_progress_by 	= "";

$h_new_document_type		= "";

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
	}else{
		header("location:".SITEURL."projects/");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<form id="step10_form" action="" method="post">
							<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
							
							<div class="row" id="init_div">
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="row mb-3">
												<div class="col-md-4 mx-auto">
													<?php if($combo_project_status=="Closed"){ ?>
													<a href="javascript:void(0);" class="btn btn-primary btn-block disabled">Closed</a>
													<?php }else{ ?>
													<a href="javascript:void(0);" id="project_close_btn" class="btn btn-primary btn-block" onClick="closeProject();">Initiate Close Project</a>
													<?php } ?>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="row close-ok d-none">
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div id="results" class=""></div>
										</div>
									</div>
								</div>
							</div>
							<?php 
							if($combo_project_status!="Closed"){
								getProjectNextPrevButtons($step,$query_string);
							}
							?>
						</form>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- Custom Attachment Type Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Attachment Type Modal -->
<input type="hidden" id="edit_row_cnt" value="">
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	
});
function closeProject(){
	
	var r = confirm("Are you sure you want to proceed with closing this project? Please note once close is successful, you will not be able make any update to this project. Proceed?");
	if(r){
		var project_id = $("#h_project_id").val();
		$("#project_close_btn").html('Validating Project... <i class="fa fa-spin fa-gear"></i>');
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'check_project_close_validation',is_html:true,project_id:project_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					$(".row").removeClass("d-none");
					if(response=="1"){
						$("#project_close_btn").html("Resubmit Validations");
						$("#results").html('<div class="row"><div class="col-md-12 text-center"><h4 class="mb-2">All validations are successful, closing the project. </h4><a href="javascript:void(0);" class="btn btn-success mt-2" id="close_ok_btn"><i class="fa fa-check-circle"></i> OK</a></div></div>');
						/**/
						$("#close_ok_btn").click(function(){
							close_ok();
						});
					}else{
						$("#project_close_btn").html("Resubmit Validations");
						$("#results").html(response);
						$(".table").each(function(){
							setTable($(this).attr("id"));
						});
						/**/
						$('[data-toggle="popover"]').popover();
					}
				},1000);
			}
		});
	}
}

function setTable(table_id){
	var table = $('#'+table_id).DataTable( {
		  "info": false,
		  "paging":false,
		  "searching":false,
		  "paging":false,
		  "aaSorting": [],
		  "dom": 'lBfrtip',              
		   buttons: [                  
			   [
					/*'excel',*/
					/*'pdf',*/
					{
						text: 'Email',
						action: function ( e, dt, node, config ) {
						//$("#modal_email").show(); 
						show_emaimodal();
						}
					}
			   ]]
		}); 
		
		$('#'+table_id+'_filter').hide();
}
/********************************/
function close_ok(){
	var project_id = $("#h_project_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'set_project_close_ok',project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				if(response=="1"){
					$("#project_close_btn").html("CLOSED");
					$("#project_close_btn").addClass("disabled");
					$(".close-ok").fadeOut(500);
				}else{
					alert("Something went wrong. Please try again.");
				}
			},1000);
		}
	});
}
</script>
</body>
</html>
