<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}

$step						= 10;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";
$combo_project_status		= "Draft";	
$radio_track_progress_by 	= "";

$h_new_document_type		= "";

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
	}else{
		header("location:".SITEURL."projects/");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<form id="step9_form" action="" method="post">
							<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
							<input type="hidden" id="h_doc_id" name="h_doc_id" value="">
							<input type="hidden" id="h_new_document_type" name="h_new_document_type" value="">
							
							<div class="row">
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<?php if($combo_project_status!="Closed"){ ?>
											<div class="row mb-3">
												<div class="col-md-4">
													<label>Document Type</label>
													<select id="combo_document_type_id" name="combo_document_type_id" class="js-example-basic-single brow" style="width:100%" onChange="check_custom_value('document_type',this.value);">
													   <option value="">--Please Select--</option>
													   <?php
														$selectQuery 	= "SELECT * FROM `cxs_document_type` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
														$RunUserQuery	= mysqli_query($conn, $selectQuery);
														$StdNumRows 	= mysqli_num_rows($RunUserQuery);
														if($StdNumRows>0){
															while($rows=mysqli_fetch_assoc($RunUserQuery)){
															?>
															<option value="<?php echo stripslashes($rows['id']); ?>"><?php echo stripslashes($rows['name']); ?></option>
															<?php
															}
														}
														?>
													   <option value="Add Custom">--Add Custom--</option>
												   </select>
												</div>
												<div class="col-md-6">
													<div class="file-upload-wrapper">
														<div id="fileuploader">Upload</div>
													</div>
													<input type="hidden" id="h_attachment_file_name" name="h_attachment_file_name" class="brow" value="">
													<input type="hidden" id="h_attachment_file_format" name="h_attachment_file_format" class="brow" value="">
													<input type="hidden" id="h_attachment_upload_date" name="h_attachment_upload_date" class="brow" value="">
													<input type="hidden" id="h_attachment_original_file_name" name="h_attachment_original_file_name" class="brow" value="">
												</div>
												<div class="col-md-2 mt-4">
													<button type="button" class="btn btn-primary btn-small mr-5" id="cmd_projects_documents_save">Upload</button>
												</div>
											</div>
											<?php } ?>
											<div class="row">
												<div class="col-md-12">
													<div class="text-center">
														<div class="loading-div-projects_documents">
															<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
														</div>
													</div>
													<div id="results_projects_documents" class=""></div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="table-responsive">
												<div class="d-flex flex-wrap justify-content-between">
													<h4 class="card-title mb-3">All Project Documents </h4>
												</div>
												<table class="table table-bordered" id="table_all_projects_documents">
													<thead>
														<tr class="table-info">
															<th width="10%">Section</th>
															<th>Document Type</th>
															<th>File Name</th>
															<!-- <th width="10%">File Format</th> -->
															<th width="20%">Upload Date</th>
															<th width="15%">Action</th>
														</tr>
													</thead>
													<tfoot>
														<tr>
															<th class="searc">Section</th>
															<th class="searc">Document Type</th>
															<th class="searc">File Name</th>
															<!-- <th class="searc">File Format</th> -->
															<th class="searc">Upload Date</th>
															<th></th>
														</tr>
													</tfoot>
													<tbody>
													<?php
													$selectQuery 	= "
														SELECT 
															section, attachment_id, attachment_type, file_name, file_format, upload_date
														FROM
														(
															(
																SELECT 'project' AS section, attachment_id, attachment_type, file_name, file_format, last_update_date AS upload_date FROM `cxs_projects_attachments` WHERE  company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY attachment_id
															)
															UNION ALL
															(
																SELECT 'requirements' AS section, attachment_id, attachment_type, file_name, file_format, last_update_date AS upload_date FROM `cxs_projects_requirements_attachments` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY attachment_id
															)
															UNION ALL
															(
																SELECT 'tasks' AS section, attachment_id, attachment_type, file_name, file_format, last_update_date AS upload_date FROM `cxs_projects_tasks_attachments` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY attachment_id
															)
														) AS a
														
														";		
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
														$attachment_id	= $rows["attachment_id"];
														$section		= $rows["section"];
														$attachment_type= $rows["attachment_type"];
														$file_name		= $rows["file_name"];
														$file_format	= $rows["file_format"];
														$upload_date	= setDate($rows["upload_date"],'m/d/Y');
														
														if($section=="project"){
															$attachment_folder = "projects_attachment";
															$tbl = "cxs_projects_attachments";
														}else if($section=="requirements"){
															$attachment_folder = "requirements_attachment";
															$tbl = "cxs_projects_requirements_attachments";
														}else if($section=="tasks"){
															$attachment_folder = "tasks_attachment";
															$tbl = "cxs_projects_tasks_attachments";
														}
														
														$attachment_url = "javascript:void();";
														if($file_name!="" && file_exists('img/uploads/'.$attachment_folder.'/'.$file_name)){
															$attachment_url = 'img/uploads/'.$attachment_folder.'/'.$file_name;
														}
														$data_content_eye_icon 		= show_eye_icon_data($tbl,"attachment_id",$attachment_id);
														?>
														
														<tr>
															<td><?php echo ucwords($section); ?></td>
															<td><?php echo $attachment_type; ?></td>
															<td><?php echo $file_name; ?></td>
															<!-- <td><?php echo $file_format; ?></td> -->
															<td><?php echo $upload_date; ?></td>
															<td>
																<div class="text-center">
																	<a href="<?php echo $attachment_url; ?>" class="btn  ml-0 mr-2 pl-0 pr-0 delete-row" target="_blank" title="Download File"><i class="fa fa-file-text-o"></i></a>
																	<?php if($combo_project_status!="Closed"){ ?>
																	<a href="javascript:void(0);" class="btn  ml-0 mr-2 pl-0 pr-0 delete-row" onClick="deleteProjectAttachment('<?php echo $attachment_id; ?>','<?php echo $section; ?>')" title="Delete"><i class="fa fa-trash"></i></a>
																	<?php } ?>
																	<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="<?php echo $data_content_eye_icon; ?>" data-original-title="" title=""> <i class=" fa fa-eye"></i> </button>
																</div>
															</td>
														</tr>
														<?php
													}
													?>
													</tbody>
												</table>
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php 
							if($combo_project_status!="Closed"){
								getProjectNextPrevButtons($step,$query_string);
							}
							?>
						</form>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- Custom Attachment Type Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Attachment Type Modal -->
<input type="hidden" id="edit_row_cnt" value="">
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/*********/
	getProjectsDocumentsData('<?php echo $h_project_id; ?>');
	/*********/
	var table = $('#table_all_projects_documents').DataTable( {
		"info": false,
		"paging":false,
		columnDefs: [ 
			{ targets: [0,-1], orderable: false},                    
			],
		"dom": 'lBfrtip',              
		buttons: [                  
			[
				/*'excel',*/
				/*'pdf',*/
				{
					text: 'Email',
					action: function ( e, dt, node, config ) {
					//$("#modal_email").show(); 
					show_emaimodal();
					}
				}
			]]
	}); 
	
	$('#table_all_projects_documents tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
		
	// Apply the search
	table.columns().every( function () 
			{
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
									.search( this.value )
									.draw();
			}
		});
	});
	
	var sortBy = 0;
	table.order([sortBy, 'asc'])
		.draw();
	
	$(".dataTables_filter").hide();
	/**/
	$('[data-toggle="popover"]').popover();
});
/******************/
function getDocumentTypes(){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_document_types_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#combo_document_type_id").select2("destroy");
				$("#combo_document_type_id").val("");
				$("#combo_document_type_id").html(response);
				$("#combo_document_type_id").select2();
			},1000);
		}
	});
}
/*************************************/
function check_custom_value(type,cat){
	var selected_id = "";
	if(cat=="Add Custom"){
		$("#custom_value_form")[0].reset();
		form_element_correct($("#text_custom_value_name"));
		$("#div_msg_custom_value").text("");
		if(type=="attachment_type"){
			$("#custom_value_modal_save_label").text("Add Custom Attachment Type");
			$("#custom_value_modal_save_label2").text("Custom Attachment Type");
		}else if(type=="role" || type=="stakeholders_role"){
			$("#custom_value_modal_save_label").text("Add Custom Role");
			$("#custom_value_modal_save_label2").text("Custom Role");
		}else if(type=="functional_area" || type=="stakeholders_functional_area" || type=="req_functional_area"){
			$("#custom_value_modal_save_label").text("Add Custom Functional Area");
			$("#custom_value_modal_save_label2").text("Custom Functional Area");
		}else if(type=="req_type"){
			$("#custom_value_modal_save_label").text("Add Custom Requirement Type");
			$("#custom_value_modal_save_label2").text("Custom Requirement Type");
		}else if(type=="req_business_value"){
			$("#custom_value_modal_save_label").text("Add Custom Business Value");
			$("#custom_value_modal_save_label2").text("Custom Business Value");
		}else if(type=="document_type"){
			$("#custom_value_modal_save_label").text("Add Custom Document Type");
			$("#custom_value_modal_save_label2").text("Custom Document Type");
		}
		$('#custom_value_modal_save').modal('show');
		$("#custom_value_modal_save").attr("style","z-index:1052");
		$(".modal-backdrop").attr("style","z-index:1051");
		$("#h_custom_type").val(type);
		/*$('.modal-backdrop').click(function(){
			$(".modal-backdrop").removeAttr("style");
		});*/
		$('#custom_value_modal_save').click(function() {
			$(".modal-backdrop").removeAttr("style");
			setTimeout(function(){
				$("body").addClass("modal-open");
				if($("#h_custom_type").val()=="attachment_type"){
					selected_id = "combo_attachment_type";
				}else if($("#h_custom_type").val()=="role"){
					selected_id = "combo_stakeholder_groups_role_id";
				}else if($("#h_custom_type").val()=="functional_area"){
					selected_id = "combo_stakeholder_groups_functional_area_id";
				}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
					selected_id = "combo_stakeholders_functional_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="stakeholders_role"){
					selected_id = "combo_stakeholders_project_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_type"){
					selected_id = "combo_req_type_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_business_value"){
					selected_id = "combo_req_business_value_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_functional_area"){
					selected_id = "combo_req_functional_area_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="document_type"){
					selected_id = "combo_document_type_id";
				}
				$("#"+selected_id).select2("destroy");
				$("#"+selected_id).val("");
				$("#"+selected_id).select2();
			},500);
		});
		$('#custom_value_modal_save > .modal-dialog').click(function(event){
			event.stopPropagation();
		});
	}
}
$(".custom-close").click(function(){
	var selected_id = "";
	$("#custom_value_modal_save").modal("toggle");
	$(".modal-backdrop").removeAttr("style");
	
	setTimeout(function(){
		$("body").addClass("modal-open");
		if($("#h_custom_type").val()=="attachment_type"){
			selected_id = "combo_attachment_type";
		}else if($("#h_custom_type").val()=="role"){
			selected_id = "combo_stakeholder_group_role_id";
		}else if($("#h_custom_type").val()=="functional_area"){
			selected_id = "combo_stakeholder_group_functional_area_id";
		}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
			selected_id = "combo_stakeholders_functional_role_id";
			$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="stakeholders_role"){
			selected_id = "combo_stakeholders_project_role_id";
			$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="req_type"){
			selected_id = "combo_req_type_id";
			//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="req_business_value"){
			selected_id = "combo_req_business_value_id";
			//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="req_functional_area"){
			selected_id = "combo_req_functional_area_id";
			//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="document_type"){
			selected_id = "combo_document_type_id";
			//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}
		$("#"+selected_id).select2("destroy");
		$("#"+selected_id).val("");
		$("#"+selected_id).select2();
	},500);
});
$("#cmd_custom_value_modal_save").click(function (){
	disableButton("#cmd_custom_value_modal_save");
	var flag = true;
	var selected_id = "";
	form_element_correct($("#text_custom_value_name"));
	
	$("#div_msg_custom_value").text("");
	
	if($("#text_custom_value_name").val()==""){
		form_element_empty_err($("#text_custom_value_name"));               
		flag = false;
		
	}
	if(flag==false){
		disableButton("#cmd_custom_value_modal_save");
	}
	//alert($("#text_custom_value_name").val());
	var formdata = $('#custom_value_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			cache: false,
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'check_custom_value_data',form1: formdata},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					disableButton("#cmd_custom_value_modal_save");
					if(response.succ==0){
						$("#div_msg_custom_value").text(response.msg);
					}else{
						var custom_value_name = $("#text_custom_value_name").val();
						if($("#h_custom_type").val()=="attachment_type"){
							selected_id = "combo_attachment_type";
							$("#h_new_attachment_type").val("1");
						}else if($("#h_custom_type").val()=="role"){
							selected_id = "combo_stakeholder_groups_role_id";
							$("#h_new_role").val("1");
						}else if($("#h_custom_type").val()=="functional_area"){
							selected_id = "combo_stakeholder_groups_functional_area_id";
							$("#h_new_functional_area").val("1");
						}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
							selected_id = "combo_stakeholders_functional_role_id";
							$("#h_new_stakeholders_functional_area").val("1");
						}else if($("#h_custom_type").val()=="stakeholders_role"){
							selected_id = "combo_stakeholders_project_role_id";
							$("#h_new_stakeholders_role").val("1");
						}else if($("#h_custom_type").val()=="req_type"){
							selected_id = "combo_req_type_id";
							$("#h_new_req_type").val("1");
						}else if($("#h_custom_type").val()=="req_business_value"){
							selected_id = "combo_req_business_value_id";
							$("#h_new_business_value").val("1");
						}else if($("#h_custom_type").val()=="req_functional_area"){
							selected_id = "combo_req_functional_area_id";
							$("#h_new_functional_area").val("1");
						}else if($("#h_custom_type").val()=="document_type"){
							selected_id = "combo_document_type_id";
							$("#h_new_document_type").val("1");
						}
						
						$("#"+selected_id).select2("destroy");
						$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#'+selected_id+' > option:last');
						$("#"+selected_id).val(custom_value_name);
						$("#"+selected_id).select2();
						
						$("#custom_value_modal_save").modal("toggle");
						setTimeout(function(){
							$("body").addClass("modal-open");
							$(".modal-backdrop").removeAttr("style");
							$("body").addClass("modal-open");
							if(
								$("#h_custom_type").val()=="stakeholders_functional_area" || 
								$("#h_custom_type").val()=="stakeholders_role"
							){
								$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
							}
						},500);
						
					}  
				},1000);
				  
			}
		});
	}
});
/***************************************/
(function($) {
	'use strict';
	if ($("#fileuploader").length) {
		
		var uploadObj = $("#fileuploader").uploadFile({
			url: SITEURL+"aj/upload-attachment/documents_file/",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"image/*, application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
				var attachment_data_arr = data.split("~");
				$("#h_attachment_file_name").val(attachment_data_arr[0]);
				$("#h_attachment_file_format").val(attachment_data_arr[1]);
				$("#h_attachment_upload_date").val(attachment_data_arr[2]);
				$("#h_attachment_original_file_name").val(attachment_data_arr[3]);
				$("#fileuploader input[type=file]").attr("disabled","disabled");
        	}
		});
	}
})(jQuery);
/*********************/
$("#cmd_projects_documents_save").click(function (){
	disableButton("#cmd_projects_documents_save");
	var flag = true;
	
	form_element_correct($("#combo_document_type_id").siblings(".select2"));
	form_element_correct($("#fileuploader"));
	
	if($("#combo_document_type_id").val()==""){
		form_element_empty_err($("#combo_document_type_id").siblings(".select2"));               
		flag = false;
	}
	if($("#h_attachment_file_name").val()==""){
		form_element_empty_err($("#fileuploader"));               
		flag = false;
	}

	if(flag==false){
		disableButton("#cmd_projects_documents_save");
	}
	
	var formdata 		= $('#step9_form').serialize(); 
	var project_id 		= $("#h_project_id").val();
	var doc_id 			= $("#h_doc_id").val();
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_projects_documents_data',form1: formdata,project_id1:project_id,doc_id1:doc_id},
			success: function (response){ 
				setTimeout(function(){
					disableButton("#cmd_projects_documents_save");
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						$("#step9_form").find(".brow").val("");
						$("#h_doc_id").val("");
						$(".ajax-file-upload-container").html("");
						$("#fileuploader input[type=file]").removeAttr("disabled");
						getDocumentTypes();
						getProjectsDocumentsData($("#h_project_id").val());
					}   
				},1000); 
			}
		});
	}
});
function editProjectsDocuments(doc_id){
	$("#h_doc_id").val(doc_id);
	
	$("#combo_document_type_id").select2("destroy");
	$("#combo_document_type_id").val($("#projects_documents_"+doc_id).data("document_type_id"));
	$("#h_attachment_file_name").val($("#projects_documents_"+doc_id).data("val"));
	
	$("#combo_document_type_id").select2();
}
function deleteProjectsDocuments(doc_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var project_id = $("#h_project_id").val();
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_projects_documents_data',doc_id1:doc_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					window.location.href="";
					//getStakeholderGroupsData($("#h_project_id").val());
				},1000);
			}
		});
	}
}
function getProjectsDocumentsData(project_id){
	$('.table_projects_documents').DataTable().clear().destroy();
	$('.table_projects_documents').find("tbody").empty();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_projects_documents_data',is_html:true,project_id1:project_id},
		beforeSend: function() {
			$("#results_projects_documents").fadeOut(500);
			$(".loading-div-projects_documents").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-projects_documents").hide();
				$("#results_projects_documents").html(response);
				$("#results_projects_documents").fadeIn(500);
				/**/
				//dataTableCreateOrderOff("table_stakeholder_groups");
				//$("#table_stakeholder_groups_filter").hide();
				/**/
				
				var table = $('.table_projects_documents').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('.table_projects_documents tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$(".dataTables_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/******************/
function deleteProjectAttachment(attachment_id,section){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_project_attachment',attachment_id:attachment_id,section:section},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					window.location.href="";
					//getStakeholderGroupsData($("#h_project_id").val());
				},1000);
			}
		});
	}
}
</script>
</body>
</html>
