<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}
$step						= 9;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";
$combo_project_status		= "Draft";
$radio_track_progress_by 	= "";
$default_currency			= (isset($_SESSION["default_currency"]))?$_SESSION["default_currency"]:"";	

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
	}else{
		header("location:".SITEURL."projects/");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						<?php if($combo_project_status!="Closed"){ ?>
						<div class="row mt-3" >
							<div class="col-xl-12 d-flex grid-margin stretch-card">
								<div class="card">
									<div class="card-body">
										<form id="step9_form" action="" method="post">
											<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
											<input type="hidden" class="brow" id="h_exp_budget_id" name="h_exp_budget_id" value="">
											<input type="hidden" class="brow" id="h_amt_ceiling" name="h_amt_ceiling" value="">
											<input type="hidden" id="h_new_currency" name="h_new_currency" value="">
											<div class="row">
												<div class="col-md-4">
													<div class="form-group">
														<label>Expenditure Type <a href="javascript:void(0);" class="btn btn-sm py-0 px-0 ml-2" title="Add/Edit Expenditure Type" id="btn_add_edit_exp_types"><i class="fa fa-pencil"></i></a></label>
														
														<select id="combo_expenditure_type_id" name="combo_expenditure_type_id" class="form-control js-example-basic-single brow requirefieldcls" onChange="getExpTypeData(this.value);" style="width:100%;">
															<option value="">--Please Select--</option>
															<?php
															$selectQuery 	= "SELECT * FROM `cxs_expenditure_types` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY exp_type_name ASC";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																?>
																<option value="<?php echo $rows['expenditure_id']; ?>"><?php echo stripslashes($rows['exp_type_name']); ?></option>
																<?php
																}
															}
															?>
														</select>
													</div>
												</div>
												<div class="col-md-6">
													<div class="form-group">
														<label>Task</label>
														<select class="js-example-basic-single brow" name="combo_project_task_id" id="combo_project_task_id" style="width:100%">
															<option value="">--Please Select--</option>
															<?php
															$selectQuery 	= "
																SELECT 
																	* 
																FROM 
																	`cxs_projects_tasks` 
																WHERE 
																	task_id NOT IN (SELECT parent_task_id FROM `cxs_projects_tasks` ORDER BY task_id DESC) AND project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
																ORDER BY 
																	task_name
																";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																	$cnt++;
																	$task_id 			= $rows["task_id"];
																	$task_number 		= $rows["task_number"];
																	$task_name 			= $rows["task_name"];	
																?>
																<option value="<?php echo $task_id; ?>"><?php echo $task_number.":".$task_name; ?></option>
																<?php
																}
															}
															?>
														</select>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-2">
													<div class="form-group">
														<label>Control Amount</label>
														<input type="text" class="form-control brow requirefieldcls num" id="text_control_amount" name="text_control_amount" readonly>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<label>Currency</label>
														<select class="form-control brow js-example-basic-single requirefieldcls" id= "combo_currency" name="combo_currency" style="width:100%;display:block;" onChange="check_custom_value('currency',this.value);">
															<option value="">--Please Select--</option>
															<?php
															/**********Default Curreny**********/
															foreach($currency_code_arr as $currency_code){
																?>
																<option value="<?php echo $currency_code; ?>" <?php echo ($default_currency==$currency_code)?"selected":""; ?>><?php echo $currency_code; ?></option>
																<?php
															}
															/**********Default Curreny**********/
															/**********Custom Curreny**********/
															$qry = "SELECT * FROM cxs_currency WHERE company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY name";
															$result = mysqli_query($conn,$qry);
															if (mysqli_num_rows($result)>0){
																while($row = mysqli_fetch_assoc($result)){
																?>
																<option value="<?php echo $row['name']; ?>" <?php echo ($default_currency==$currency_code)?"selected":""; ?>><?php echo $row['name']; ?></option>
																<?php
																}
															}
															/**********Custom Curreny**********/
															?>
															<option value="Add Custom">--Add Custom--</option>
														</select>
													</div>
												</div>
												<div class="col-md-5">
													<div class="form-group">
														<label>Comment</label>
														<input type="text" class="form-control brow" id="text_comment" name="text_comment">
													</div>
												</div>
												<div class="col-md-1 pt-4 text-right">
													<button type="button" class="btn btn-primary mt-2" id="cmd_project_expenditure_budgeting_save">Save</button>
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						</div>
						<?php } ?>
						<div class="row mt-3" >
							<div class="col-xl-12 d-flex grid-margin stretch-card">
								<div class="card">
									<div class="card-body">
										<div class="text-center">
											<div class="loading-div-projects_expenditure_budgeting">
												<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
											</div>
										</div>
										<div id="results_projects_expenditure_budgeting" class=""></div>
									</div>
								</div>
							</div>
						</div>
						<?php 
						if($combo_project_status!="Closed"){
							getProjectNextPrevButtons($step,$query_string);
						}
						?>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>

<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="setup_exp_types_modal_save" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="setup_exp_types_modal_save_label">Add/Edit Expenditure Types</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="setup_exp_types_form" method="post">
					<input type="hidden" id = "h_selectedid" name="h_selectedid" value="">
					<input type="hidden" id = "h_new_cat" name="h_new_cat" value="">

					<div class="row">
						<div class="col-md-4">
							<div class="form-group">
								<label>Expenditure Type Name</label>
								<input type="text" class="form-control" id="text_exp_type_name" name="text_exp_type_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Enter a unique Expenditure Type here.">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Category</label>
								<select class="form-control" id="combo_exp_category" name="combo_exp_category" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Select an Expenditure Category from the drop-down box." onChange="check_custom_category(this.value);" style="width:100%;">
									<option value="">--Please Select--</option>
									<?php
									$selectQuery 	= "SELECT * FROM `cxs_expenditure_type_category` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY exp_type_category_name";		
									$RunUserQuery	= mysqli_query($conn, $selectQuery);
									$StdNumRows 	= mysqli_num_rows($RunUserQuery);
									if($StdNumRows>0){
										while($rows=mysqli_fetch_assoc($RunUserQuery)){
										?>
										<option value="<?php echo $rows['exp_type_category_name']; ?>"><?php echo stripslashes($rows['exp_type_category_name']); ?></option>
										<?php
										}
									}
									?>
									<option value="Add Custom">--Add Custom--</option>
								</select>
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Amount Ceiling</label>
								<input type="text" class="form-control currency-numeric" id="text_amt_ceiling" name="text_amt_ceiling" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Optionally enter a $ amount if the expenditure type is tied to direct spending.  This is the maximum $ amount allowed for this expenditure type." value="$">
							</div>
						</div>
						<div class="col-md-8">
							<div class="form-group">
								<label>Description</label>
								<input type="text" class="form-control" id="text_description" name="text_description" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Optionally enter more details here.">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Enable/Disable</label>
								<label class="toggle" style="display:block;">
									<input type="checkbox" id="check_enabled_flag" name="check_enabled_flag" value="1" checked data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="">
									<span class="sld round"></span>
								</label>
							</div>
						</div>
						<div class="col-md-6 not-valid-tip" id="div_msg"></div>
						<div class="col-md-6 text-right">
							<button type="button" class="btn btn-primary btn-sm"  id="cmd_setup_exp_types_modal_save" title="Save Record">Save</i></button>
						</div>
					</div>
				</form>
				<hr>
				<div id="exp_types_results"></div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="custom_category_modal_save" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="setup_exp_types_modal_save_label">Add Expenditure Type Custom Category</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="custom_category_form" method="post">
					<div class="row col-12">
						<div class="col-4 pt-4 pl-0 pr-0">Expenditure Type Custom Category Name :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<input type="text" class="form-control" id="text_exp_type_custom_category_name" name="text_exp_type_custom_category_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Enter a unique Custom Category Name.">
						</div>
						<div class="col-12 pt-4 pl-0 pr-0 col-center not-valid-tip" id="div_msg_custom_category"></div>
						
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary btn-icon"  id="cmd_custom_category_modal_save" title="Save Record"><i class="fa fa-save"></i></button>
			</div>
		</div>
	</div>
</div>

<!-- Custom Value Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Value Modal -->

<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/add_custom_value_fn.js"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/**********************/
	getProjectExpenditureBudgetingData('<?php echo $h_project_id; ?>');
	/***********************************************************/
	$("#cmd_setup_exp_types_modal_save").click(function (){
		save_exp_types_data();
	});
});
/*************************************/
function check_custom_category(cat){
	if(cat=="Add Custom"){
		$("#custom_category_form")[0].reset();
		form_element_correct($("input"));
		$("#div_msg_custom_category").text("");
		$('#custom_category_modal_save').modal('show');
	}
}
$("#cmd_custom_category_modal_save").click(function (){
	disableButton("#cmd_custom_category_modal_save");
	var flag = true;
	form_element_correct($("#text_exp_type_custom_category_name"));
	
	$("#div_msg_custom_category").text("");
	
	if($("#text_exp_type_custom_category_name").val()==""){
		form_element_empty_err($("#text_exp_type_custom_category_name"));               
		flag = false;
	}

	if(flag==false){
		disableButton("#cmd_custom_category_modal_save");
	}
	
	var formdata = $('#custom_category_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			cache: false,
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'check_custom_category_data',form1: formdata},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					disableButton("#cmd_custom_category_modal_save");
					if(response.succ==0){
						$("#div_msg_custom_category").text(response.msg);
					}else{
						var exp_type_custom_category_name = $("#text_exp_type_custom_category_name").val();
						$('<option value="'+exp_type_custom_category_name+'">'+exp_type_custom_category_name+'</option>').insertBefore('#combo_exp_category > option:last');
						$("#h_new_cat").val("1");
						$("#combo_exp_category").val(exp_type_custom_category_name);
						$('#custom_category_modal_save').modal('hide');
						
					}
				},1000);    
			}
		});
	}
});
/*************************************/
function save_exp_types_data(){
	disableButton("#cmd_setup_exp_types_modal_save");
	var flag = true;
	form_element_correct($("#text_exp_type_name"));
	form_element_correct($("#combo_exp_category"));
	form_element_correct($("#text_amt_ceiling"));
	form_element_correct($("#text_description"));
	form_element_correct($("#combo_uom"));
	//form_element_correct($("#text_minimum_unit"));
	
	$("#div_msg").text("");
	
	if($("#text_exp_type_name").val()==""){
		form_element_empty_err($("#text_exp_type_name"));               
		flag = false;
	}
	if($("#combo_exp_category").val()==""){
		form_element_empty_err($("#combo_exp_category"));               
		flag = false;
	}
	if($("#text_amt_ceiling").val()==""){
		form_element_empty_err($("#text_amt_ceiling"));               
		flag = false;
	}
	if($("#text_description").val()==""){
		form_element_empty_err($("#text_description"));               
		flag = false;
	}
	if($("#combo_uom").val()==""){
		form_element_empty_err($("#combo_uom"));               
		flag = false;
	}
	// if($("#text_minimum_unit").val()==""){
	// 	form_element_empty_err($("#text_minimum_unit"));               
	// 	flag = false;
	// }
	
	if(flag==false){
		disableButton("#cmd_setup_exp_types_modal_save");
	}

	var formdata = $('#setup_exp_types_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			cache: false,
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_setup_exp_types_data',form1: formdata},
			success: function (response){
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						$("#div_msg").text(response.msg);
					}else{
						window.location.href=""; 
						$('#setup_exp_types_modal_save').modal('hide');
					}
				},1000);
				    
			}
		});
	}
}
/*************************************/
function getProjectExpenditureBudgetingData(project_id){
	
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_projects_expenditure_budgeting_data',is_html:true,project_id:project_id},
		beforeSend: function() {
			$("#results_projects_expenditure_budgeting").fadeOut(500);
			$(".loading-div-projects_expenditure_budgeting").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-projects_expenditure_budgeting").hide();
				$("#results_projects_expenditure_budgeting").html(response);
				$("#results_projects_expenditure_budgeting").fadeIn(500);
				/*******************/
				var table = $('#table_projects_expenditure_budgeting').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_projects_expenditure_budgeting tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_projects_expenditure_budgeting_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
$("#cmd_project_expenditure_budgeting_save").click(function (){
	disableButton("#cmd_project_expenditure_budgeting_save");
	var flag = true;
	var h_amt_ceiling = "";
	form_element_correct($("#combo_expenditure_type_id").siblings(".select2"));
	//form_element_correct($("#combo_project_task_id").siblings(".select2"));
	form_element_correct($("#text_control_amount"));
	form_element_correct($("#combo_currency").siblings(".select2"));
	h_amt_ceiling = parseFloat($("#h_amt_ceiling").val());
	
	$("#div_msg").text("");
	
	if($("#combo_expenditure_type_id").val()==""){
		form_element_empty_err($("#combo_expenditure_type_id").siblings(".select2"));               
		flag = false;
	}
	// if($("#combo_project_task_id").val()==""){
	// 	form_element_empty_err($("#combo_project_task_id").siblings(".select2"));               
	// 	flag = false;
	// }
	if($("#text_control_amount").val()=="" || $("#text_control_amount").val()=="0"){
		form_element_empty_err($("#text_control_amount"));               
		flag = false;
	}
	if($("#text_control_amount").val()!=""){
		var text_control_amount = $("#text_control_amount").val();
		
		if(text_control_amount>h_amt_ceiling){
			alert("You can not submit this expense more than $"+h_amt_ceiling);
			$("#text_control_amount").val("");
			$("#text_control_amount").focus();             
			flag = false;
		}
	}
	if($("#combo_currency").val()==""){
		form_element_empty_err($("#combo_currency").siblings(".select2"));               
		flag = false;
	}

	if(flag==false){
		disableButton("#cmd_project_expenditure_budgeting_save");
	}
	
	var formdata 		= $('#step9_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data:{REQUEST:'save_project_expenditure_budgeting_data',form1:formdata},
			success: function (response){ 
				setTimeout(function(){
					disableButton("#cmd_project_expenditure_budgeting_save");
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						$(".brow").val("");
						$("#combo_currency, #combo_project_task_id, #combo_expenditure_type_id").val("");
						$("#combo_currency, #combo_project_task_id, #combo_expenditure_type_id").select2();
						getProjectExpenditureBudgetingData('<?php echo $h_project_id; ?>');
					}   
				},1000); 
			}
		});
	}
});
/***************************************/
function editProjectExpenditureBudgeting(exp_budget_id){
	$("#h_exp_budget_id").val(exp_budget_id);
	$("#combo_expenditure_type_id").val($("#exp_type_"+exp_budget_id).data("exp_type_id"));
	$("#combo_project_task_id").val($("#task_id_"+exp_budget_id).data("task_id"));
	$("#text_control_amount").val($("#control_amount_"+exp_budget_id).text());
	$("#combo_currency").val($("#currency_"+exp_budget_id).text());
	$("#combo_currency, #combo_expenditure_type_id, #combo_project_task_id").select2();
	$("#text_comment").val($("#comment_"+exp_budget_id).text());
}
/***************************************/
function deleteProjectExpenditureBudgeting(exp_budget_id){
	
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var project_id = $("#h_project_id").val();
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_projects_expenditure_budgeting_data',exp_budget_id:exp_budget_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					getProjectExpenditureBudgetingData('<?php echo $h_project_id; ?>');
				},1000);
			}
		});
	}
}
/****************************************/
$("#btn_add_edit_exp_types").click(function(){
	$("#setup_exp_types_form")[0].reset();
	form_element_correct($("input"));
	form_element_correct($("select"));
	$("#div_msg").text("");
	$('#combo_exp_category').select2();
	$('#setup_exp_types_modal_save').modal('show');

	$.ajax({
		type: 'post',
		url: SITEURL+"aj/expenses/",
		data: {REQUEST: 'get_setup_exp_types_table_data',is_html:true},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#exp_types_results").html(response);
				/*********************************/
				var table = $('#table_recent_exp').DataTable( {
				/*"searching": false,*/
				columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				"dom": 'lBfrtip',              
				buttons: [                  
					[
							'excel',
							'pdf',
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					]]
				}); 
				
					
				$('#table_recent_exp tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				}); 
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				/**/
				$("#table_recent_exp_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
				/***************************************/
				$('#text_amt_ceiling').on('blur focus', function() {
					var value = this.value.replace("$","");
					value = value.replace(/,/g, '');
					if(value!=""){
						this.value = "$"+parseFloat(value).toLocaleString('en-US', {
							style: 'decimal',
							maximumFractionDigits: 2,
							minimumFractionDigits: 2
						});
					}
				});
				/****************************************/
				$(".currency-numeric").bind("keypress", function (e) {
					var keyCode = e.which ? e.which : e.keyCode;
					if (!((keyCode >= 48 && keyCode <= 57) || (keyCode==36) || (keyCode==190))) {
						return false;
					}
				});
				/***************************************/
				$('.edit').click(function(){
					form_element_correct($("input"));
					form_element_correct($("select"));
					$("#div_msg").text("");
					var selected_id = $(this).next().val();    
					$("#h_selectedid").val(selected_id);
					$("#setup_exp_types_modal_save_label").text("Update Setup Expenditure Types");
					
					$.ajax({
						url: SITEURL+"aj/expenses/",
						method: "POST",
						cache: false,
						beforeSend: function() {
							$(".rploader").fadeIn(800);
						},
						data: {REQUEST: 'get_setup_exp_types_data', expenditure_id: $("#h_selectedid").val()},
						success: function (response){  
							setTimeout(function(){
								$(".rploader").fadeOut(800);
								if(response.succ==1){
									$("#text_exp_type_name").val(response.data_arr['exp_type_name']);
									$("#combo_exp_category").select2("destroy");
									$("#combo_exp_category").val(response.data_arr['exp_category']);
									$("#combo_exp_category").select2();
									$("#text_amt_ceiling").val("$"+parseFloat(response.data_arr['amt_ceiling']).toLocaleString('en-US', { style: 'decimal', maximumFractionDigits: 2, minimumFractionDigits: 2 }));
									$("#text_description").val(response.data_arr['description']);
									//$("#text_minimum_unit").val(response.data_arr['minimum_unit']);
									//$("#combo_uom").val(response.data_arr['uom']);
									$("#check_enabled_flag").prop("checked",response.data_arr['enabled_flag']=="Y"?true:false);
									$('#setup_exp_types_modal_save').modal('show');
								}
							},1000);
						}
					});     
				});
			},1000);
		}
	});
});
function getExpTypeData(id,isEdit=false){
	if(id=="Add Custom"){
		$("#setup_exp_types_form")[0].reset();
		form_element_correct($("input"));
		form_element_correct($("select"));
		$("#div_msg").text("");
		$('#setup_exp_types_modal_save').modal('show');
	}else{
		$.ajax({
			type: 'post',
			url: SITEURL+"aj/expenses/",
			data: {REQUEST: 'get_setup_exp_types_data', expenditure_id: id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function(response){
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==1){
						$("#h_amt_ceiling").val(response.data_arr['amt_ceiling']);
						$("#text_control_amount").val(response.data_arr['amt_ceiling']);
					}else{
						$("#text_control_amount").val("0");
					}
				},1000);
			}
		});
	}
}
</script>
</body>
</html>