<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}

$step=1;
if(isset($_REQUEST['step']) && $_REQUEST['step']==2 && isset($_SESSION['import_file_name']) && $_SESSION['import_file_name']!=""){
	$step=2;
}

$xl_sheet_arr	= array("Task_Table","Resource_Table","Assignment_Table");
$error_msg_arr 	= array(
					"0" => "Something went wrong. Please try again.",
					"1" => "There should be exact 3 Sheets in the file. Please upload valid XL file.",
					"2" => "Sheet name is not correct. Please upload valid XL file",
					"3" => "Column name is not matched with the reference XL file. Please upload valid XL file",
					"4" => "Project Schedule End Date can not less than Schedule Start Date.",
					"5" => "Task Name, Task Start and End Date field must not be empty.<br>Please check following row(s) in your XL sheet:<br>"
				);

$text_project_number 		= getUniqueId("CXS","project_number","cxs_projects"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");	

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Reader\Csv;
use PhpOffice\PhpSpreadsheet\Reader\Xlsx;

require 'lib/PhpSpreadsheet/vendor/autoload.php';

if(isset($_POST['cmdSaveRecord'])){
	if(isset($_POST['step'])){
		if($_POST['step']=="2"){
		
		}else{
			$file_mimes = array('text/x-comma-separated-values', 'text/comma-separated-values', 'application/octet-stream', 'application/vnd.ms-excel', 'application/x-csv', 'text/x-csv', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'text/plain', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			
			if(isset($_FILES['filename']['name']) && in_array($_FILES['filename']['type'], $file_mimes)) {
				$arr_file = explode('.', $_FILES['filename']['name']);
				$extension = end($arr_file);
				
				if('csv' == $extension) {
					$reader = new \PhpOffice\PhpSpreadsheet\Reader\Csv();
				} else {
					$reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
				}
		 
				$spreadsheet = $reader->load($_FILES['filename']['tmp_name']);
				
				$file_sheets = $spreadsheet->getSheetNames();
				
				/*if(count($file_sheets)!=3){
					header("Location:manage-projects-import-project.php?error=1&msg=1");
				}else{
					$sheet_name_err = false;
					if($file_sheets[0]!=$xl_sheet_arr[0]){
						$sheet_name_err = true;
					}
					if($file_sheets[0]!=$xl_sheet_arr[0]){
						$sheet_name_err = true;
					}
					if($file_sheets[0]!=$xl_sheet_arr[0]){
						$sheet_name_err = true;
					}
					
					if($sheet_name_err == true){
						header("Location:manage-projects-import-project.php?error=1&msg=2");
					}
					
				}*/
				
				$sheet_name_err = false;
				if($file_sheets[0]!=$xl_sheet_arr[0]){
					$sheet_name_err = true;
				}
				if($sheet_name_err == true){
					header("Location:".SITEURL."projects/import/?error=1&msg=2");
				}
				
				$storagename = "imp_project_".date("Y-m-d").".xlsx";
				move_uploaded_file($_FILES["filename"]["tmp_name"],$storagename);
				$_SESSION['import_file_name'] = $storagename;
				
				$sheetData = $spreadsheet->getActiveSheet()->toArray();
				
				
				if (!empty($sheetData)) {
					if(
						$sheetData[0][0]!="ID" ||
						$sheetData[0][1]!="Active" || 
						$sheetData[0][2]!="Task Mode" || 
						$sheetData[0][3]!="Name" || 
						$sheetData[0][4]!="Duration" ||	
						$sheetData[0][5]!="Start" || 
						$sheetData[0][6]!="Finish" || 
						$sheetData[0][7]!="Predecessors" ||	
						$sheetData[0][8]!="Outline Level" || 
						$sheetData[0][9]!="Notes"
					){
						header("Location:".SITEURL."projects/import/?error=1&msg=3");
					}else{
						$task_min_date = "";
						$task_max_date = "";
						$is_error = false;
						$error_data_row = array();
						//echo "<pre>";print_r($sheetData);die;
						for($i=1; $i<count($sheetData); $i++) {

							if(trim($sheetData[$i][3])=="" || trim($sheetData[$i][5])=="" || trim($sheetData[$i][6])==""){
								$error_data_row[] = $i+1;
								$is_error = true;
							}
							
							$task_start 		= setDate($sheetData[$i][5],"Y-m-d");
							$task_finish 		= setDate($sheetData[$i][6],"Y-m-d");
							
							if($task_min_date==""){
								$task_min_date = $task_start;
							}else{
								if(strtotime($task_start)<strtotime($task_min_date)){
									$task_min_date = $task_start;
								}
							}
							
							if($task_max_date==""){
								$task_max_date = $task_finish;
							}else{
								if(strtotime($task_finish)>strtotime($task_max_date)){
									$task_max_date = $task_finish;
								}
							}
						}

						if($is_error==true){
							$_SESSION["error_data_row"] = implode(", ",$error_data_row);
							header("Location:".SITEURL."projects/import/?error=1&msg=5");
							die;
						}
						$_SESSION['task_min_date'] = setDate($task_min_date,"m/d/Y");
						$_SESSION['task_max_date'] = setDate($task_max_date,"m/d/Y");
						header("Location:".SITEURL."projects/import/?step=2");
					}
				}
				
				
				
			}
		}
	}	
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Import Project</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
.form-check .form-check-label input[type="checkbox"]:checked + .input-helper::after{
	text-align:left;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active">Import Project</li>
									</ol>
								</nav>
							</div>
						</div>
						<!-- STEP 1 -->
						<form id="import_form" action="" method="post" enctype="multipart/form-data" onSubmit="return check_form();">
							<input type="hidden" name="step" id="step" value="<?php echo $step; ?>" />
							<div class="row" style="margin-top:30px;">
								<div class="col-xl-12">
									<div class="card">
										<div class="card-body" >
											<div class="row">
												<div class="col-md-6">
													<?php
													if(isset($_REQUEST['success']) && $_REQUEST['success']==1){
													?>
													<div class="alert alert-success" role="alert">
														Success. Project has been successfully imported.
													</div>
													<?php
													}else if(isset($_REQUEST['error']) && $_REQUEST['error']==1 && isset($_REQUEST['msg']) && $_REQUEST['msg']>0){
													?>
													<div class="alert alert-danger" role="alert">
														Error. <?php echo $error_msg_arr[$_REQUEST['msg']]; ?>
														<?php
														if($_REQUEST["msg"]=="5"){
															echo $_SESSION["error_data_row"];
															unset($_SESSION["error_data_row"]);
														}
														?>
													</div>
													<?php
													}
													?>
													
													<?php if($step==2){ ?>
														<div class="form-group">
															<h4>Step 2 : Enter Project Data</h4>
														</div>
														<div class="form-group">
															<h4 class="card-title mb-3">Project ID : <?php echo $text_project_number; ?></h4>
															<input type="hidden" readonly class="form-control" id="text_project_number" name="text_project_number" value="<?php echo $text_project_number; ?>">
														</div>
														<div class="form-group">
															<label>Project Name</label>
															<input id="text_project_name" name="text_project_name" type="text" class="form-control requirefieldcls"  data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Project Name" value="" style="text-transform: uppercase;">
														</div>
														<div class="form-group">
															<label>Description</label>
															<textarea id="text_description" name="text_description"  class="form-control requirefieldcls" rows="4" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Description"></textarea>
														</div>
														<div class="d-flex justify-content-between">
															<div class="form-group pr-3">
																<label>Schedule Start Date</label>
																<input id="text_schedule_start_date" name="text_schedule_start_date" type="text" class="form-control requirefieldcls form_datetime" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Schedule Start Date" value="<?php echo $_SESSION['task_min_date']; ?>">
															</div>
															<div class="form-group">
																<label>Schedule End Date</label>
																<input id="text_schedule_end_date" name="text_schedule_end_date" type="text" class="form-control requirefieldcls form_datetime" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Schedule End Date" value="<?php echo $_SESSION['task_max_date']; ?>">
															</div>
														</div>
														<div class="d-flex justify-content-between">
															<div class="form-group">
																<label>Currency</label>
																<select class="js-example-basic-single requirefieldcls" id='combo_currency' name='combo_currency' style="width:100%">
																	<option value="">--Please Select--</option>
																	<option value="USD">USD (&#36;)</option>
																	<option value="INR">INR (&#8377;)</option>
																</select>
															</div>
														</div>
														<div class="d-flex justify-content-between mt-2">
															<div class="form-group">
																<label>Track Progress</label>
															</div>
															<div class="col-md-3">
																<div class="form-group">
																	<div class="form-check mt-1">
																		<label class="form-check-label">
																		<input type="radio" class="form-check-input" name="radio_track_progress_by" value="by_effort" checked>
																		By Effort (Hours)
																		<i class="input-helper"></i></label>
																	</div>
																</div>
															</div>
															<div class="col-md-5">
																<div class="form-group">
																	<div class="form-check mt-1">
																		<label class="form-check-label">
																		<input type="radio" class="form-check-input" name="radio_track_progress_by" value="by_effort_and_cost">
																		By Effort and Cost (Amount)
																		<i class="input-helper"></i></label>
																	</div>
																</div>
															</div>
														</div>
													<?php }else{ ?>
													<div class="form-group">
														<h4>Step 1 : Import File</h4>
													</div>
													<div class="form-group">
														<label>Import File <code>Download sample file : <a href="<?php echo SITEURL; ?>lib/sample-file/Import_Project.xlsx" title="Download Sample File" download>Download</a></code></label>
														<input type="file" class="form-control" name="filename" id="filename" required accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel">
													</div>
													<?php } ?>
													
													<div class="row mt-2">
														<div class="col-md-12">
															<button type="submit" name="cmdSaveRecord" id="cmdSaveRecord" class="btn btn-primary">Save</button>
														</div>
													</div>
												</div>
											</div>											
										</div>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	<?php if($step==2){ ?>
	$('#text_schedule_start_date').datepicker({
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true,
		endDate:'<?php echo $_SESSION['task_min_date']; ?>'
	});
	$('#text_schedule_end_date').datepicker({
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true,
		startDate:'<?php echo $_SESSION['task_max_date']; ?>',
	});
	$('#import_form').on('submit', function (e) {
		e.preventDefault();
		var flag = true;
		
		form_element_correct($("#combo_currency").siblings(".select2"));
		form_element_correct($("#text_schedule_start_date"));
		form_element_correct($("#text_schedule_end_date"));
		form_element_correct($("#text_project_name"));
		form_element_correct($("#text_description"));
		
		if($("#text_project_name").val()==""){
			form_element_empty_err($("#text_project_name"));               
			flag = false;
		}
		if($("#text_description").val()==""){
			form_element_empty_err($("#text_description"));               
			flag = false;
		}
		if($("#text_schedule_start_date").val()==""){
			form_element_empty_err($("#text_schedule_start_date"));               
			flag = false;
		}
		if($("#text_schedule_end_date").val()==""){
			form_element_empty_err($("#text_schedule_end_date"));               
			flag = false;
		}
		if($("#combo_currency").val()==""){
			form_element_empty_err($("#combo_currency").siblings(".select2"));
			flag = false;
		}
		var formdata 		= $('#import_form').serialize(); 
		
		if(flag==true){
			$.ajax({
				type: 'post',
				url: SITEURL+"aj/projects/",
				data: {REQUEST: 'import_project_data',form1: formdata},
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				success: function(res){
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						if(res.succ==1){
							window.location.href=res.redirect_link;
						}else{
							alert("Something went wrong. Please try again.");
							window.location.href=res.redirect_link;
						}
					},1500);
				}
			});
		
		}
	});
	<?php } ?>
});
/******************/

function check_form(){
	if($("#step").val()==2){
		form_element_correct($("#combo_currency").siblings(".select2"));
		form_element_correct($("#text_schedule_start_date"));
		form_element_correct($("#text_schedule_end_date"));
		form_element_correct($("#text_project_name"));
		form_element_correct($("#text_description"));
		
		if($("#combo_currency").val()==""){
			form_element_empty_err($("#combo_currency").siblings(".select2"));
			return false;
		}
		if($("#text_project_name").val()==""){
			form_element_empty_err($("#text_project_name"));               
			return false;
		}
		if($("#text_description").val()==""){
			form_element_empty_err($("#text_description"));               
			return false;
		}
		if($("#text_schedule_start_date").val()==""){
			form_element_empty_err($("#text_schedule_start_date"));               
			return false;
		}
		if($("#text_schedule_end_date").val()==""){
			form_element_empty_err($("#text_schedule_end_date"));               
			return false;
		}
	}
}
</script>
</body>
</html>