<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}
$is_page_access				= false;

$step						= 3;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	
$combo_project_status		= "Draft";
$radio_track_progress_by 	= "";

$h_projects_req_attachment_cnt	= "1";
$h_new_functional_area			= "";
$h_new_business_value			= "";
$h_new_req_type					= "";

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "
			SELECT 
				*
			FROM 
				`cxs_projects` 
			WHERE 
				md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
	}else{
		header("location:".SITEURL."projects/");
	}
}

$h_req_id						= "";
$text_req_number 				= getUniqueId($text_project_number.".REQ.","req_number","cxs_projects_requirements_header"," WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'",3);
$text_req_summary 				= "";
$text_req_statement 			= "";
$combo_req_severity 			= "";
$combo_req_functional_area_id 	= "";
$combo_req_business_value_id 	= "";
$combo_req_type_id 				= "";
$text_req_justification 		= "";
$text_req_document_title 		= "";
$text_req_document_text			= "";
$text_created_by				= "";
$text_date_created				= "";
$text_last_updated				= "";
$text_last_updated_by			= "";

if(isset($_GET['req_id']) && $_GET['req_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects_requirements_header` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND  md5(req_id)='".setVar($_GET['req_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$h_req_id						= $rows["req_id"];
		$text_req_number 				= htmlentities($rows["req_number"]);
		$text_req_summary 				= htmlentities($rows["summary"]);
		$text_req_statement 			= htmlentities($rows["statement"]);
		$combo_req_severity 			= htmlentities($rows["severity"]);
		$combo_req_functional_area_id 	= $rows["functional_area_id"];
		$combo_req_business_value_id 	= $rows["business_value_id"];
		$combo_req_type_id 				= $rows["req_type_id"];
		$text_req_justification 		= htmlentities($rows["justification"]);
		$text_req_document_title 		= htmlentities($rows["document_title"]);
		$text_req_document_text			= html_entity_decode($rows["document_text"]);
		
		$text_created_by			= getValue("cxs_user","full_name"," WHERE user_email='".$rows["created_by"]."'");
		$text_date_created			= setDate($rows["creation_date"],"m/d/Y h:i A");
		$text_last_updated			= setDate($rows["last_update_date"],"m/d/Y h:i A");
		$text_last_updated_by		= getValue("cxs_user","full_name"," WHERE user_email='".$rows["last_udpated_by"]."'");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<div class="row  mt-3" >
							<div class="col-xl-12 d-flex grid-margin stretch-card">
								<div class="card">
									<div class="card-body">
										<?php if($combo_project_status!="Closed"){ ?>
										<div class="text-right pt-2 pb-2" id="step3_buttons_grp">
											<button class="btn btn-primary btn-icon" title="Define Requirements" onClick="window.location.href='<?php echo SITEURL."projects/".md5($h_project_id)."/requirements/?is_new=true"; ?>'"><i class="fa fa-plus"></i></button>
										</div>
										<?php } ?>
										<div class="text-center">
											<div class="loading-div-projects_requirements">
												<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
											</div>
										</div>
										<div id="results_projects_requirements" class=""></div>
									</div>
								</div>
							</div>
						</div>
						<?php 
						if($combo_project_status!="Closed"){
							getProjectNextPrevButtons($step,$query_string); 
						}
						?>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- Custom Attachment Type Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Attachment Type Modal -->
<!-- Requirements Add -->
<div class="modal fade pr-0" id="modal_add_requirements" tabindex="-1" role="dialog" >
	<div class="modal-dialog  modal-xl mt-0" role="document">
		<!--<form id='form1' >-->
		<div class="modal-content">
			<div class="modal-header">
				<h3 class="modal-title" id="modal2_label">
					PROJECT : <?php echo $text_project_name; ?>
					<?php 
					if(count($kpi_flag_arr)>0){
						echo setFlag($kpi_flag_arr);
					} 
					?>
				</h3>
				<button type="button" class="close project-req-close" data-dismiss="modal" aria-label="Close" id="modal3_close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body ">
				<div class="col-md-12">
					<h3 class="card-title mb-3">3. Enter Requirements</h3>
				</div>
				<form id="step3_form" action="" method="post">
					<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
					<input type="hidden" id="h_req_id" name="h_req_id" value="<?php echo $h_req_id; ?>">
					<input type="hidden" id="text_req_number" name="text_req_number" value="<?php echo $text_req_number; ?>">
					<input type="hidden" id="h_new_attachment_type" name="h_new_attachment_type" value="">
					<input type="hidden" id="h_new_req_type" name="h_new_req_type" value="">
					<input type="hidden" id="h_new_business_value" name="h_new_business_value" value="">
					<input type="hidden" id="h_new_functional_area" name="h_new_functional_area" value="">
					<div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;">
						<div class="form-group mb-0">
							<label class="pl-2">Project Id :</label>
							<label  class="pr-4"><?php echo $text_project_number; ?></label>
						</div>
						<div class="form-group mb-0">
							<label class="pl-2">Project Scheduled Start Date :</label>
							<label  class="pr-4"><?php echo $text_schedule_start_date; ?></label>
						</div>
						<div class="form-group mb-0">
							<label class="pl-2">Project Scheduled End Date :</label>
							<label  class="pr-4"><?php echo $text_schedule_end_date; ?></label>
						</div>
					</div>
					<div class="row  mt-3">
						<div class="col-xl-5 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="table-responsive">
										<table id="tableStep3_1" class="table table-bordered">
											<tbody>
												<tr>
													<td>Date Created</td>
													<td><?php echo $text_date_created; ?></td>
												</tr>
												<tr>
													<td>Last Updated</td>
													<td><?php echo $text_last_updated; ?></td>
												</tr>
												<tr>
													<td>Last Updated By</td>
													<td><?php echo $text_last_updated_by; ?></td>
												</tr>
												<tr>
													<td>Created By</td>
													<td><?php echo $text_created_by; ?></td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
						<div class="col-xl-3 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="table-responsive">
										<table id="tableStep3_2" class="table table-bordered">
											<tbody>
												<tr>
													<td>Requirement ID</td>
													<td><?php echo $text_req_number; ?></td>
												</tr>
												<tr>
													<td>Requirement</td>
													<td><?php echo $text_description; ?></td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
						<div class="col-xl-4 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col-md-12">
											<div class="form-group">
												<label>Requirement Statement</label>
												<input type="text" id="text_req_statement" name="text_req_statement" class="form-control brow requirefieldcls"  data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Requirement Statement" value="<?php echo $text_req_statement; ?>">
											</div>
											<div class="form-group">
												<label>Requirement Summary</label>
												<textarea id="text_req_summary" name="text_req_summary" class="form-control brow requirefieldcls" rows="4" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Requirement Summary" ><?php echo $text_req_summary; ?></textarea>
											</div>
										</div>
									</div>
									<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed" && isset($_REQUEST['req_id']) && $_REQUEST['req_id']!=""){ ?>
									<div class="row">
										<div class="col-md-12 text-right">
											<a href="javascript:void(0);" class="btn btn-sm btn-primary cmd_project_req_save" title="Update" data-section="3">Update</a>
										</div>
									</div>
									<?php } ?>
								</div>
							</div>
						</div>
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col-md-3">
											<div class="form-group pr-3">
												<label>Requirement Severity</label>
												<select id="combo_req_severity" name="combo_req_severity" class="js-example-basic-single brow" style="width:100%;">
													<option value="Must Have" <?php if($combo_req_severity=="Must Have"){ ?> selected <?php } ?>> Must Have </option>
													<option value="Nice To Have" <?php if($combo_req_severity=="Nice To Have"){ ?> selected <?php } ?>> Nice To Have</option>
												</select>
											</div>
										</div>
										<div class="col-md-3">
											<div class="form-group pr-3" >
												<label>Requirement Type</label>
												<select id="combo_req_type_id" name="combo_req_type_id" class="js-example-basic-single brow" style="width:100%;" onChange="check_custom_value('req_type',this.value);">
													<option value="">---Please Select---</option>
													<?php
													$selectQuery 	= "SELECT * FROM `cxs_requirement_type` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
														?>
														<option value="<?php echo $rows['id']; ?>" <?php if($combo_req_type_id==$rows['id']){ ?> selected <?php } ?>><?php echo stripslashes($rows['name']); ?></option>
														<?php
														}
													}
													?>
													<option value="Add Custom">--Add Custom--</option>
												</select>
											</div>
										</div>
										<div class="col-md-3">
											<div class="form-group pr-3" >
												<label>Business Value</label>
												<select id="combo_req_business_value_id" name="combo_req_business_value_id" class="js-example-basic-single brow" style="width:100%;" onChange="check_custom_value('req_business_value',this.value);">
													<option value="">---Please Select---</option>
													<?php
													$selectQuery 	= "SELECT * FROM `cxs_business_value` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
														?>
														<option value="<?php echo $rows['id']; ?>" <?php if($combo_req_business_value_id==$rows['id']){ ?> selected <?php } ?>><?php echo stripslashes($rows['name']); ?></option>
														<?php
														}
													}
													?>
													<option value="Add Custom">--Add Custom--</option>
												</select>
											</div>
										</div>
										<div class="col-md-3">
											<div class="form-group pr-3" >
												<label>Functional Area</label>
												<select id="combo_req_functional_area_id" name="combo_req_functional_area_id" class="js-example-basic-single brow" style="width:100%;" onChange="check_custom_value('req_functional_area',this.value);">
													<option value="">--Please Select--</option>
													<?php
													$selectQuery 	= "SELECT * FROM `cxs_functional_area` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
														?>
														<option value="<?php echo $rows['id']; ?>" <?php if($combo_req_functional_area_id==$rows['id']){ ?> selected <?php } ?>><?php echo stripslashes($rows['name']); ?></option>
														<?php
														}
													}
													?>
													<option value="Add Custom">--Add Custom--</option>
												</select>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<div class="form-group pr-3" style="width: 100%;">
												<label>Justification</label>
												<textarea id="text_req_justification" name="text_req_justification" class='form-control brow' placeholder='Enter your justification here for any of above selected options. For example : What is the justification for Must have sevirity level for this Requirement' rows='3'><?php echo $text_req_justification; ?></textarea>
											</div>
										</div>
									</div>
									<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed" && isset($_REQUEST['req_id']) && $_REQUEST['req_id']!=""){ ?>
									<div class="row">
										<div class="col-md-12 text-right">
											<a href="javascript:void(0);" class="btn btn-sm btn-primary cmd_project_req_save" title="Update" data-section="4">Update</a>
										</div>
									</div>
									<?php } ?>
								</div>
							</div>
						</div>
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="row grid-margin">
										<div class="col-lg-12">
											<div class="d-flex flex-wrap justify-content-between">
												<div class="col-lg-8">
													<div class="form-group">
														<label>Document Title</label>
														<input type="text" id="text_req_document_title" name="text_req_document_title" class="form-control" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Enter Document Title" value="<?php echo $text_req_document_title; ?>">
													</div>
												</div>
												<label><a href="#">Previous Version</a></label>
											</div>
											<textarea id="text_req_document_text" name="text_req_document_text" placeholder="Edit your content here..."><?php echo $text_req_document_text; ?></textarea>
										</div>
									</div>
									<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed" && isset($_REQUEST['req_id']) && $_REQUEST['req_id']!=""){ ?>
									<div class="row">
										<div class="col-md-12 text-right">
											<a href="javascript:void(0);" class="btn btn-sm btn-primary cmd_project_req_save" title="Update" data-section="5">Update</a>
										</div>
									</div>
									<?php } ?>
								</div>
							</div>
						</div>
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body" id="projects_attachment_div">
									<div class="d-flex flex-wrap justify-content-between">
										<h4 class="card-title mb-3">Upload Attachments</h4>
									</div>
									<div class="row">
										<?php if($combo_project_status!="Closed"){ ?>
										<div class="col-md-3">
											<div class="row">
												<div class="col-md-12">
													<select id="combo_attachment_type" name="combo_attachment_type" class="js-example-basic-single brow" style="width:100%" onChange="check_custom_value('attachment_type',this.value);">
													   <option value="">--Please Select--</option>
													   <?php
														$selectQuery 	= "SELECT * FROM `cxs_attachment_type` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
														$RunUserQuery	= mysqli_query($conn, $selectQuery);
														$StdNumRows 	= mysqli_num_rows($RunUserQuery);
														if($StdNumRows>0){
															while($rows=mysqli_fetch_assoc($RunUserQuery)){
															?>
															<option value="<?php echo stripslashes($rows['name']); ?>"><?php echo stripslashes($rows['name']); ?></option>
															<?php
															}
														}
														?>
													   <option value="Add Custom">--Add Custom--</option>
												   </select>
												</div>
												<div class="col-md-12">
													<button type="button" id="cmdAddProjectReqAttachment" class="btn btn-primary custom-form-inline-btn">Add</button>
												</div>
											</div>
										</div>
										<div class="col-md-3">
											<div class="file-upload-wrapper">
												<div id="fileuploader">Upload</div>
											</div>
											<input type="hidden" id="h_attachment_file_name" class="brow" value="">
											<input type="hidden" id="h_attachment_file_format" class="brow" value="">
											<input type="hidden" id="h_attachment_upload_date" class="brow" value="">
										</div>
										<?php } ?>
										<div <?php if($combo_project_status!="Closed"){ ?>class="col-md-6"<?php }else{ ?> class="col-md-12" <?php }?>>
											<div class="table-responsive">                                                            
												<table id="tableStep1_3" class="table table-bordered">
													<thead>
														<tr class="table-info">
															<th>Seq.</th>
															<th>Attachment Type</th>
															<th>File Name</th>
															<th>File Format</th>
															<th>Upload Date</th>
															<th>Action</th>
														</tr>    
													</thead>    
													<tbody id="projects_attachment-data">
														<?php
														if(isset($_GET['project_id']) && $_GET['project_id']!=""){
															$selectQuery 	= "SELECT * FROM `cxs_projects_requirements_attachments` WHERE project_id='".$h_project_id."' AND req_id='".$h_req_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY attachment_id";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																	$attachment_id 				= $rows["attachment_id"];
																	$combo_attachment_type 		= $rows["attachment_type"];
																	$h_attachment_file_name		= $rows["file_name"];
																	$h_attachment_file_format	= $rows["file_format"];
																	$h_attachment_upload_date	= setDate($rows["creation_date"],"m/d/Y");
																	$attachment_url = "javascript:void();";
																	if($h_attachment_file_name!="" && file_exists('img/uploads/requirements_attachment/'.$h_attachment_file_name)){
																		$attachment_url = SITEURL.'img/uploads/requirements_attachment/'.$h_attachment_file_name;
																	}
																?>
																<tr id="attachment_row_id_<?php echo $h_projects_req_attachment_cnt; ?>">
																	<td>
																		<?php echo $h_projects_req_attachment_cnt; ?>
																		<input type="hidden" id="h_attachment_id_<?php echo $h_projects_req_attachment_cnt; ?>" name="h_attachment_id_<?php echo $h_projects_req_attachment_cnt; ?>" value="<?php echo $attachment_id; ?>" />
																	</td>
																	<td><?php echo $combo_attachment_type; ?>
																		<input type="hidden" class="form-control" id="combo_attachment_type_<?php echo $h_projects_req_attachment_cnt; ?>" name="combo_attachment_type_<?php echo $h_projects_req_attachment_cnt; ?>" value="<?php echo $combo_attachment_type; ?>" /></td>
																	<td><a href="<?php echo $attachment_url; ?>" target="_blank"><?php echo $h_attachment_file_name; ?></a>
																		<input type="hidden" class="form-control" id="h_attachment_file_name_<?php echo $h_projects_req_attachment_cnt; ?>" name="h_attachment_file_name_<?php echo $h_projects_req_attachment_cnt; ?>" value="<?php echo $h_attachment_file_name; ?>" /></td>
																	<td><?php echo $h_attachment_file_format; ?>
																		<input type="hidden" class="form-control" id="h_attachment_file_format_<?php echo $h_projects_req_attachment_cnt; ?>" name="h_attachment_file_format_<?php echo $h_projects_req_attachment_cnt; ?>" value="<?php echo $h_attachment_file_format; ?>" /></td>
																	<td><?php echo $h_attachment_upload_date; ?>
																		<input type="hidden" class="form-control" id="h_attachment_upload_date_<?php echo $h_projects_req_attachment_cnt; ?>" name="h_attachment_upload_date_<?php echo $h_projects_req_attachment_cnt; ?>" value="<?php echo $h_attachment_upload_date; ?>" /></td>
																	<td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="<?php echo $h_projects_req_attachment_cnt; ?>" onClick="deleteProjectReqAttachmentRow('attachment_row_id_<?php echo $h_projects_req_attachment_cnt; ?>')" title="Delete"><i class="fa fa-trash"></i></a></td>
																</tr>
																<?php
																	$h_projects_req_attachment_cnt++;
																}
															}
														}
														?>
													</tbody>
												</table>    
											</div> 
											<div class="text-right mt-3">
												<input type="hidden" id="h_projects_req_attachment_cnt" name="h_projects_req_attachment_cnt" value="<?php echo $h_projects_req_attachment_cnt; ?>" />
											</div>
										</div>
									</div>
									<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed" && isset($_REQUEST['req_id']) && $_REQUEST['req_id']!=""){ ?>
									<div class="row">
										<div class="col-md-12 text-right">
											<a href="javascript:void(0);" class="btn btn-sm btn-primary cmd_project_req_save" title="Update" data-section="6">Update</a>
										</div>
									</div>
									<?php } ?>
								</div>
							</div>
						</div>
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="d-flex flex-wrap justify-content-between">
										<h4 class="card-title mb-3">Required approvers</h4>
									</div>
									<div class="row grid-margin">
										<div class="col-md-2">
											<label class="mt-3">Stakeholder Groups</label>
										</div>
										<div class="col-md-3">
											<select id="combo_stakeholder_groups" name="combo_stakeholder_groups" class="js-example-basic-single" style="width:100%" onChange="displayGroupMember(this.value);">
											   <option value="">--Please Select--</option>
											   <?php
												$selectQuery 	= "SELECT * FROM `cxs_projects_stakeholder_groups` WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY group_name";		
												$RunUserQuery	= mysqli_query($conn, $selectQuery);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
													?>
													<option value="<?php echo stripslashes($rows['group_id']); ?>"><?php echo stripslashes($rows['group_name']); ?></option>
													<?php
													}
												}
												?>
										   </select>
										</div>
									</div>
									<div class="row grid-margin">
										<div class="col-lg-12">
											<div class="table-responsive">
												<table class="table table-bordered">
													<thead>
														<tr class='table-info'>
															<th width="20%">Stakeholder Name</th>
															<th width="10%">Date Approved</th>
															<th width="28%">Comment From Approver</th>
															<th width="15%">Approval Required Date</th>
															<th width="15%">Status</th>
															<th width="12%">Action</th>
														</tr>
													</thead>
													<tbody>
														<?php
														$cnt = 0;
														$selectQuery 	= "
															SELECT 
																s.member_id AS main_member_id, s.group_id, s.first_name, s.last_name, s.salutation
															FROM 
																`cxs_projects_stakeholders` s
															WHERE 
																s.project_id='".$h_project_id."' AND s.company_id='".$_SESSION['login_user_array']['company_id']."' 
															GROUP BY 
																s.member_id
															ORDER BY 
																s.first_name,s.last_name
														";		
														$RunUserQuery	= mysqli_query($conn, $selectQuery);
														$StdNumRows 	= mysqli_num_rows($RunUserQuery);
														if($StdNumRows>0){
															while($rows=mysqli_fetch_assoc($RunUserQuery)){
																$cnt++;
																$member_id		= $rows["main_member_id"];
																$group_id		= $rows["group_id"];
																$combo_stakeholders_salutation	= htmlentities($rows["salutation"]);
																$text_stakeholders_first_name	= htmlentities($rows["first_name"]);
																$text_stakeholders_last_name	= htmlentities($rows["last_name"]);
																$full_name = $combo_stakeholders_salutation." ".$text_stakeholders_first_name." ".$text_stakeholders_last_name;
																
																$text_approval_id 		= "";
																$data_content_eye_icon 	= "";
																$text_required_date_approval= "";
																//$check_is_active 		= "Y";
																$combo_approval_status = "pending_approval";
																
																if(isset($_REQUEST['req_id']) && $_REQUEST['req_id']!=""){
																	$query = "SELECT * FROM `cxs_projects_requirements_approvers` WHERE project_id='".$h_project_id."' AND md5(req_id)='".setVar($_REQUEST['req_id'])."' AND member_id='".$member_id."'";
																	$result	= mysqli_query($conn, $query);
																	if(mysqli_num_rows($result)>0){
																		$rows1=mysqli_fetch_assoc($result);
																		$data_content_eye_icon = show_eye_icon_data("cxs_projects_requirements_approvers","approval_id",$rows1["approval_id"]);
																		if($rows1["required_date_approval"]!="0000-00-00"){
																			$text_required_date_approval = setDate($rows1["required_date_approval"],"m/d/Y");
																		}
																		$combo_approval_status = $rows1["status"];
																	}
																}
															?>
															<tr class="group_row group_<?php echo $group_id; ?>">
																<td>
																	<?php echo $full_name; ?>
																</td>
																<td></td>
																<td></td>
																<td>
																	<input type="text" class="form-control form-control-sm form_datetime approval_required_date date_<?php echo $cnt; ?>" id="approval_required_date_<?php echo $member_id; ?>" name="approval_required_date_<?php echo $member_id; ?>" value="<?php echo $text_required_date_approval; ?>" placeholder="MM/DD/YYYY" data-cnt="<?php echo $cnt; ?>" data-member_id="<?php echo $member_id; ?>" />
																</td>
																<td>
																	<select class="js-example-basic-single form-control" id="combo_approval_status_<?php echo $member_id; ?>" name="combo_approval_status_<?php echo $member_id; ?>" style="width:100%;">
																		<option value="pending_approval" <?php if($combo_approval_status=="pending_approval"){ ?> selected <?php } ?>>PENDING APPROVAL</option>
																		<option value="approved" <?php if($combo_approval_status=="approved"){ ?> selected <?php } ?>>APPROVED</option>
																		<option value="rejected" <?php if($combo_approval_status=="rejected"){ ?> selected <?php } ?>>REJECTED</option>
																	</select>
																</td>
																<td align="center">
																	<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="<?php echo $data_content_eye_icon; ?>" data-original-title="" title=""> <i class=" fa fa-eye"></i> </button>
																	<?php /*?><a href="javascript:void(0);" class="btn  ml-0 mr-2 pl-0 pr-0" title="Send Email"><i class="fa fa-envelope"></i></a>
																	<label class="toggle mr-2" style="display:inline-block;">
																		<input type="checkbox" id="check_is_active_<?php echo $member_id; ?>" name="check_is_active_<?php echo $member_id; ?>" value="1" <?php if($check_is_active=="Y"){ ?> checked <?php } ?> data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="">
																		<span class="sld round"></span>
																	</label>
																	<div class="form-check checkbx-margin" style="display:inline-block;">
																		<label class="form-check-label">
																		<input type="checkbox" class="form-check-input" >
																		<i class="input-helper" ></i> </label>
																	</div><?php */?>
																</td>
															</tr>
															<?php
															}
														}
														?>
													</tbody>
												</table>
												<input type="hidden" id="approval_required_max_cnt" name="approval_required_max_cnt" value="<?php echo $cnt; ?>" />
											</div>
										</div>
									</div>
									<?php if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="" && $combo_project_status!="Closed" && isset($_REQUEST['req_id']) && $_REQUEST['req_id']!=""){ ?>
									<div class="row">
										<div class="col-md-12 text-right">
											<a href="javascript:void(0);" class="btn btn-sm btn-primary cmd_project_req_save" title="Update" data-section="7">Update</a>
										</div>
									</div>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>
					<?php if($combo_project_status!="Closed"){ ?>
					<div class="d-sm-flex justify-content-between">
						<div>
							<button type="button" class="btn btn-primary btn-sm cmd_project_req_save" data-btn_type="save_and_add_new" data-section="0">Save & Add New Requirement</button>
						</div>
						<button type="button" class="btn btn-primary btn-sm cmd_project_req_save" data-btn_type="save_and_close" data-section="0"> Save & Close </button>
					</div>
					<?php } ?>
				</form>
			</div>
		</div>
	</div>
</div>
<!-- Requirements Add -->
<!-- Required approvers -->
<div class="modal fade" id="approval_required_modal" tabindex="-1" role="dialog" aria-hidden="true" data-focus-on="input:first">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Approval Required Date</h5>
				<button type="button" class="close required-approver-close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="approval_required_form" method="post">
					<input type="hidden" id="approval_required_member_id" name="approval_required_member_id" value="" />
					<input type="hidden" id="approval_required_cnt" name="approval_required_cnt" value="" />
					<div class="row col-12">
						<div class="col-4 pt-4 pl-0 pr-0">Approval Required Date:</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<input id="text_approval_required_date" name="text_approval_required_date" type="text" class="form-control requirefieldcls form_datetime" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Schedule Start Date" value="">
						</div>
						<div class="col-4 pt-4 pl-0 pr-0">Set All Date:</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<div class="form-check">
								<label class="form-check-label">
								<input id="check_set_all_date" name="check_set_all_date" type="checkbox" class="form-check-input" value="1">
								<i class="input-helper" ></i>
								</label>
							</div>
						</div>
						
						<div class="col-12 pt-4 pl-0 pr-0 col-center not-valid-tip" id="div_msg_approval_required"></div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary btn-icon" id="cmd_approval_required_modal_save" title="Save Record"><i class="fa fa-save"></i></button>
			</div>
		</div>
	</div>
</div>
<!-- Required approvers -->
<input type="hidden" id="edit_row_cnt" value="">
<input id="my-file" type="file" name="my-file" style="display: none;" accept="image/*" onChange="" />
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/*********/
	getProjectRequirementsData('<?php echo $h_project_id; ?>');
	/*********/
	<?php 
	if((isset($_REQUEST['req_id']) && $_REQUEST['req_id']!="") || isset($_REQUEST['is_new']) && $_REQUEST['is_new']==true){ 
	?>
		$('#modal_add_requirements').modal('show');
	<?php 
	} 
	?>
	/*********/
	if ($("#text_req_document_text").length) {
		tinymce.init({
			selector: '#text_req_document_text',
			setup: function (editor) {
				editor.on('change', function () {
					editor.save();
				});
			},
			file_picker_callback: function (callback, value, meta) {
				if (meta.filetype == 'image') {
					var input = document.getElementById('my-file');
					input.click();
					input.onchange = function () {
						var file = input.files[0];
						var reader = new FileReader();
						reader.onload = function (e) {
							callback(e.target.result, {
								alt: file.name
							});
						};
						reader.readAsDataURL(file);
					};
				}
			},
			height: 500,
			theme: 'modern',
			plugins: [
				'advlist autolink lists link charmap print preview hr anchor pagebreak',
				'searchreplace wordcount visualblocks visualchars code fullscreen',
				'insertdatetime nonbreaking save table contextmenu directionality',
				'emoticons template paste textcolor colorpicker textpattern codesample toc help'
			],
			toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link ',
			toolbar2: 'print preview | forecolor backcolor emoticons | codesample help',
			image_advtab: true,
			templates: [{
				title: 'Test template 1',
				content: 'Test 1'
			},
			{
				title: 'Test template 2',
				content: 'Test 2'
			}
			
		  ],
		  content_css: []
		});
	}
	/**********************/
	$(".required-approver-close").click(function(){
		$("#approval_required_modal").modal("toggle");
		$(".modal-backdrop").removeAttr("style");
		$("#text_approval_required_date").val("");
		$("#approval_required_member_id").val("");
		$('#check_set_all_date').prop('checked', false);
		setTimeout(function(){
			$("body").addClass("modal-open");
		},500);
	});
	/*********************/
	$('.form_datetime').datepicker({
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true
	});
});
/*************************************/
function getProjectRequirementsData(project_id){
	
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_projects_requirements_data',is_html:true,project_id1:project_id},
		beforeSend: function() {
			$("#results_projects_requirements").fadeOut(500);
			$(".loading-div-projects_requirements").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-projects_requirements").hide();
				$("#results_projects_requirements").html(response);
				$("#results_projects_requirements").fadeIn(500);
				/**/
				//dataTableCreateOrderOff("table_stakeholder_groups");
				//$("#table_stakeholder_groups_filter").hide();
				/**/
				var table = $('#table_projects_requirements').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_projects_requirements tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_projects_requirements_filter").hide();
				/**/
				//$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/*************************************/
function getRequirementType(id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_requirement_type_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#"+id).select2("destroy");
				$("#"+id).val("");
				if(id=="combo_req_req_type_id"){
					$("#combo_req_req_type_id").html(response);
				}
				$("#"+id).select2();
			},1000);
		}
	});
}
/*************************************/
function getBusinessValue(id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_business_value_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#"+id).select2("destroy");
				$("#"+id).val("");
				if(id=="combo_req_business_value_id"){
					$("#combo_req_business_value_id").html(response);
				}
				$("#"+id).select2();
			},1000);
		}
	});
}
/*************************************/
function getFunctionalArea(id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_functional_area_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#"+id).select2("destroy");
				$("#"+id).val("");
				if(id=="combo_req_functional_area_id"){
					$("#combo_req_functional_area_id").html(response);
				}
				$("#"+id).select2();
			},1000);
		}
	});
}
/*************************************/
function check_custom_value(type,cat){
	var selected_id = "";
	if(cat=="Add Custom"){
		$("#custom_value_form")[0].reset();
		form_element_correct($("#text_custom_value_name"));
		$("#div_msg_custom_value").text("");
		if(type=="attachment_type"){
			$("#custom_value_modal_save_label").text("Add Custom Attachment Type");
			$("#custom_value_modal_save_label2").text("Custom Attachment Type");
		}else if(type=="role" || type=="stakeholders_role"){
			$("#custom_value_modal_save_label").text("Add Custom Role");
			$("#custom_value_modal_save_label2").text("Custom Role");
		}else if(type=="functional_area" || type=="stakeholders_functional_area" || type=="req_functional_area"){
			$("#custom_value_modal_save_label").text("Add Custom Functional Area");
			$("#custom_value_modal_save_label2").text("Custom Functional Area");
		}else if(type=="req_type"){
			$("#custom_value_modal_save_label").text("Add Custom Requirement Type");
			$("#custom_value_modal_save_label2").text("Custom Requirement Type");
		}else if(type=="req_business_value"){
			$("#custom_value_modal_save_label").text("Add Custom Business Value");
			$("#custom_value_modal_save_label2").text("Custom Business Value");
		}
		$('#custom_value_modal_save').modal('show');
		$("#custom_value_modal_save").attr("style","z-index:1052");
		$(".modal-backdrop").attr("style","z-index:1051");
		$("#h_custom_type").val(type);
		/*$('.modal-backdrop').click(function(){
			$(".modal-backdrop").removeAttr("style");
		});*/
		$('#custom_value_modal_save').click(function() {
			$(".modal-backdrop").removeAttr("style");
			setTimeout(function(){
				$("body").addClass("modal-open");
				if($("#h_custom_type").val()=="attachment_type"){
					selected_id = "combo_attachment_type";
				}else if($("#h_custom_type").val()=="role"){
					selected_id = "combo_stakeholder_groups_role_id";
				}else if($("#h_custom_type").val()=="functional_area"){
					selected_id = "combo_stakeholder_groups_functional_area_id";
				}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
					selected_id = "combo_stakeholders_functional_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="stakeholders_role"){
					selected_id = "combo_stakeholders_project_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_type"){
					selected_id = "combo_req_type_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_business_value"){
					selected_id = "combo_req_business_value_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_functional_area"){
					selected_id = "combo_req_functional_area_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}
				$("#"+selected_id).select2("destroy");
				$("#"+selected_id).val("");
				$("#"+selected_id).select2();
			},500);
		});
		$('#custom_value_modal_save > .modal-dialog').click(function(event){
			event.stopPropagation();
		});
	}
}
$(".custom-close").click(function(){
	var selected_id = "";
	$("#custom_value_modal_save").modal("toggle");
	$(".modal-backdrop").removeAttr("style");
	
	setTimeout(function(){
		$("body").addClass("modal-open");
		if($("#h_custom_type").val()=="attachment_type"){
			selected_id = "combo_attachment_type";
		}else if($("#h_custom_type").val()=="role"){
			selected_id = "combo_stakeholder_group_role_id";
		}else if($("#h_custom_type").val()=="functional_area"){
			selected_id = "combo_stakeholder_group_functional_area_id";
		}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
			selected_id = "combo_stakeholders_functional_role_id";
			$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="stakeholders_role"){
			selected_id = "combo_stakeholders_project_role_id";
			$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="req_type"){
			selected_id = "combo_req_type_id";
			//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="req_business_value"){
			selected_id = "combo_req_business_value_id";
			//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="req_functional_area"){
			selected_id = "combo_req_functional_area_id";
			//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}
		$("#"+selected_id).select2("destroy");
		$("#"+selected_id).val("");
		$("#"+selected_id).select2();
	},500);
});
$("#cmd_custom_value_modal_save").click(function (){
	var flag = true;
	var selected_id = "";
	form_element_correct($("#text_custom_value_name"));
	
	$("#div_msg_custom_value").text("");
	
	if($("#text_custom_value_name").val()==""){
		form_element_empty_err($("#text_custom_value_name"));               
		flag = false;
		
	}
	//alert($("#text_custom_value_name").val());
	var formdata = $('#custom_value_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			cache: false,
			data: {REQUEST: 'check_custom_value_data',form1: formdata},
			success: function (response){ 
				if(response.succ==0){
					$("#div_msg_custom_value").text(response.msg);
				}else{
					var custom_value_name = $("#text_custom_value_name").val();
					if($("#h_custom_type").val()=="attachment_type"){
						selected_id = "combo_attachment_type";
						$("#h_new_attachment_type").val("1");
					}else if($("#h_custom_type").val()=="role"){
						selected_id = "combo_stakeholder_groups_role_id";
						$("#h_new_role").val("1");
					}else if($("#h_custom_type").val()=="functional_area"){
						selected_id = "combo_stakeholder_groups_functional_area_id";
						$("#h_new_functional_area").val("1");
					}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
						selected_id = "combo_stakeholders_functional_role_id";
						$("#h_new_stakeholders_functional_area").val("1");
					}else if($("#h_custom_type").val()=="stakeholders_role"){
						selected_id = "combo_stakeholders_project_role_id";
						$("#h_new_stakeholders_role").val("1");
					}else if($("#h_custom_type").val()=="req_type"){
						selected_id = "combo_req_type_id";
						$("#h_new_req_type").val("1");
					}else if($("#h_custom_type").val()=="req_business_value"){
						selected_id = "combo_req_business_value_id";
						$("#h_new_business_value").val("1");
					}else if($("#h_custom_type").val()=="req_functional_area"){
						selected_id = "combo_req_functional_area_id";
						$("#h_new_functional_area").val("1");
					}
					
					$("#"+selected_id).select2("destroy");
					$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#'+selected_id+' > option:last');
					$("#"+selected_id).val(custom_value_name);
					$("#"+selected_id).select2();
					
					$("#custom_value_modal_save").modal("toggle");
					setTimeout(function(){
						$("body").addClass("modal-open");
						$(".modal-backdrop").removeAttr("style");
						$("body").addClass("modal-open");
						if(
							$("#h_custom_type").val()=="stakeholders_functional_area" || 
							$("#h_custom_type").val()=="stakeholders_role"
						){
							$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}
					},500);
					
				}    
			}
		});
	}
});
/******************/
(function($) {
	'use strict';
	if ($("#fileuploader").length) {
		
		var uploadObj = $("#fileuploader").uploadFile({
			url: SITEURL+"aj/upload-attachment/requirements/",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"image/*, application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
				var attachment_data_arr = data.split("~");
				$("#h_attachment_file_name").val(attachment_data_arr[0]);
				$("#h_attachment_file_format").val(attachment_data_arr[1]);
				$("#h_attachment_upload_date").val(attachment_data_arr[2]);
				$("#fileuploader input[type=file]").attr("disabled","disabled");
        	}
		});
	}
})(jQuery);
/***************************************/
$("#cmdAddProjectReqAttachment").click(function(){
	form_element_correct($("#combo_attachment_type").siblings(".select2"));
	form_element_correct($("#fileuploader"));
	
	var h_projects_req_attachment_cnt = $("#h_projects_req_attachment_cnt").val();
	var combo_attachment_type 	= $("#combo_attachment_type").val();
	var h_attachment_file_name	= $("#h_attachment_file_name").val();
	var h_attachment_file_format= $("#h_attachment_file_format").val();
	var h_attachment_upload_date= $("#h_attachment_upload_date").val();
	if(combo_attachment_type==""){
		//alert("Please select attachment type.");
		form_element_empty_err($("#combo_attachment_type").siblings(".select2"));
		return false;
	}else if(h_attachment_file_name=="" || h_attachment_file_format==""){
		//alert("Something went wrong. Please uplaod attachment file again.");
		form_element_empty_err($("#fileuploader"));
		return false;
	}else{
		var markup = '<tr id="attachment_row_id_'+h_projects_req_attachment_cnt+'"><td>'+h_projects_req_attachment_cnt+'</td><td>'+combo_attachment_type+'<input type="hidden" class="form-control" id="combo_attachment_type_'+h_projects_req_attachment_cnt+'" name="combo_attachment_type_'+h_projects_req_attachment_cnt+'" value="'+combo_attachment_type+'" /></td><td>'+h_attachment_file_name+'<input type="hidden" class="form-control" id="h_attachment_file_name_'+h_projects_req_attachment_cnt+'" name="h_attachment_file_name_'+h_projects_req_attachment_cnt+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+h_projects_req_attachment_cnt+'" name="h_attachment_file_format_'+h_projects_req_attachment_cnt+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+h_projects_req_attachment_cnt+'" name="h_attachment_upload_date_'+h_projects_req_attachment_cnt+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+h_projects_req_attachment_cnt+'" onClick="deleteProjectReqAttachmentRow(\'attachment_row_id_'+h_projects_req_attachment_cnt+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
		
		$("#projects_attachment-data").append(markup);
		$("#combo_attachment_type").select2("destroy");
		$("#projects_attachment_div").find(".brow").val("");
		$("#combo_attachment_type").select2();
		$(".ajax-file-upload-container").html("");
		$("#fileuploader input[type=file]").removeAttr("disabled");
		h_projects_req_attachment_cnt++;
		$("#h_projects_req_attachment_cnt").val(h_projects_req_attachment_cnt);
	}
});
$(".delete-att-row").click(function(){
	$(this).closest('tr').empty();
});
function deleteProjectReqAttachmentRow(row_id){
	$("#"+row_id).remove();
	var h_projects_req_attachment_cnt = $("#h_projects_req_attachment_cnt").val();
	h_projects_req_attachment_cnt--;
	$("#h_projects_req_attachment_cnt").val(h_projects_req_attachment_cnt);
}
/***************************************/
$(".cmd_project_req_save").click(function (){
	disableButton(".cmd_project_req_save");
	var section 	= $(this).data("section");
	var btn_type 	= $(this).data("btn_type");
	var flag 		= true;
	
	if(section==0 || section==3){
		form_element_correct($("#text_req_statement"));
		form_element_correct($("#text_req_summary"));
		
		if($("#text_req_statement").val()==""){
			form_element_empty_err($("#text_req_statement"));               
			flag = false;
		}
		if($("#text_req_summary").val()==""){
			form_element_empty_err($("#text_req_summary"));               
			flag = false;
		}
	}
	
	if(section==0 || section==7){
		form_element_correct($(".approval_required_date"));
		$(".approval_required_date").each(function(){
			var member_id = $(this).data("member_id");
			if($("#approval_required_date_"+member_id).val()=="" && $("#combo_approval_status_"+member_id).val()!="pending_approval"){
				$("#combo_stakeholder_groups").val("");
				$("#combo_stakeholder_groups").change();
				form_element_empty_err($("#approval_required_date_"+member_id));               
				flag = false;
			}
		});
	}

	if(flag==false){
		disableButton(".cmd_project_req_save");
	}
	var formdata 		= $('#step3_form').serialize(); 
	var project_id 		= $("#h_project_id").val();
	var req_id 			= $("#h_req_id").val();
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data:{REQUEST:'save_project_requirements_data',form1:formdata,project_id1:project_id,req_id1:req_id,section:section},
			success: function (response){ 
				setTimeout(function(){
					disableButton(".cmd_project_req_save");
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						if(section==0){
							if(btn_type=="save_and_add_new"){
								window.location.href=SITEURL+'projects/<?php echo setVar($_REQUEST["project_id"]); ?>/requirements/?is_new=true';
							}else{
								window.location.href=SITEURL+'projects/<?php echo setVar($_REQUEST["project_id"]); ?>/requirements/';
							}
						}
					}   
				},1000); 
			}
		});
	}
});
/***************************************/
function deleteProjectRequirements(req_id){
	
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var project_id = $("#h_project_id").val();
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_projects_requiremets_data',req_id1:req_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					window.location.href="";
				},1000);
			}
		});
	}
}
/***************************************/
$(".project-req-close").click(function(){
	project_req_form_clean();
});
function project_req_form_clean(){
	/**/
	//$("#modal_msg_stakeholders").text("");
//	$("#h_stakeholders_member_id").val("");
//	getFunctionalArea("combo_stakeholders_functional_role_id");
//	getProjectRole("combo_stakeholders_project_role_id");
//	
//	$("#stakeholders_form").find(".brow").val("");
//	$("#combo_stakeholders_salutation").select2("destroy");
//	$("#combo_stakeholders_salutation").val("");
//	$("#combo_stakeholders_salutation").select2();
	/**/
}
/***********************************/
function displayGroupMember(group_id){
	if(group_id>0){
		$(".group_row").fadeOut(200);
		$(".group_"+group_id).fadeIn(500);
	}else{
		$(".group_row").fadeIn(500);
	}
}
/***********************************/
$("#cmd_approval_required_modal_save").click(function (){
	var flag = true;
	form_element_correct($("#text_approval_required_date"));
	
	$("#div_msg_approval_required").text("");
	
	if($("#text_approval_required_date").val()==""){
		form_element_empty_err($("#text_approval_required_date"));               
		flag = false;
		
	}
	var is_check_all = false;
	if($("#check_set_all_date").is(":checked")){
		is_check_all = true
	}
	var member_id 	= $("#approval_required_member_id").val();
	var cnt 		= $("#approval_required_cnt").val();
	var max_cnt 	= $("#approval_required_max_cnt").val(); 
	if(is_check_all==true){
		for(var i=cnt;i<=max_cnt;i++){
			$(".date_"+i).val($("#text_approval_required_date").val());
		}
	}else{
		$("#approval_required_date_"+member_id).val($("#text_approval_required_date").val());
	}
	$("#approval_required_modal").modal("toggle");
	setTimeout(function(){
		$("body").addClass("modal-open");
		$(".modal-backdrop").removeAttr("style");
		$("#text_approval_required_date").val("");
		$("#approval_required_member_id").val("");
		$('#check_set_all_date').prop('checked', false);
	},500);
});
</script>
</body>
</html>
