<?php
    //include_once '';
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Projects</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link href="datepicker/datepicker.css" rel="stylesheet">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Projects</li>                                            
                                            <li class="breadcrumb-item active">Manage Projects</li>  
                                        </ol>
                                    </nav>
                                    <div class="text-right pb-2">                                        
                                        <button class="btn btn-primary btn-icon" title="Add Project" id="cmdAddProject"><i class="fa fa-plus"></i></button>                                                                                
                                        <button class="btn btn-link" title="Import Data" id="cmdImportData"><img src="images/icons/import.png" style = "width:30px;height:30px;"> </button>
                                    </div>

                                    <div class="row">                                       
                                        <div class="col-md-12">      
                                            <div class="table-responsive">
                                                <table id="table1" class="table table-bordered">
                                                    <thead>
                                                      <tr class="table-info">
                                                          <!--<th class="text-center">Update</th>-->
                                                          <th>Project Id</th>
                                                          <th >Project Name</th>                                                              
                                                          <th>Description</th> 
                                                          <th>Project Sequence</th>
                                                          <th>Project Site Links</th>
                                                          <th>Project Manager</th>
                                                          <th>Project Sponsor</th>
                                                          
                                                          <th width=7%>Schedule Start Date</th>
                                                          <th width=7%>Schedule End Date</th>                                                              
                                                          <th width=7%>Actual Start Date</th> 
                                                          <th>Actual End Date</th>
                                                          <th title="Schedule Variance" width=4%>SV</th>
                                                          <th title ="Schedule Performance Index" width=4%>SPI</th>
                                                          <th title ="Estimate At Completion" width=4%>EAC</th>
                                                          <th width="8%">Action</th>
                                                      </tr>
                                                    </thead> 
                                                    <tfoot>
                                                      <tr>
                                                          <th class="searc">Id</th>
                                                          <th class="searc">Name</th>                                                              
                                                          <th class="searc">Desc.</th> 
                                                          <th class="searc">Sequence</th>
                                                          <th class="searc">Site Links</th>
                                                          <th class="searc">Manager</th>
                                                          <th class="searc">Sponsor</th>
                                                          
                                                          <th class="searc">S.S. Date</th>
                                                          <th class="searc">S.E.Date</th>                                                              
                                                          <th class="searc">A.S. Date</th> 
                                                          <th class="searc">A.E. Date</th>
                                                          <th class="searc">SV</th>
                                                          <th class="searc">SPI</th>
                                                          <th class="searc">EAC</th>
                                                          <th></th>
                                                      </tr>
                                                    </tfoot>
                                                    <tbody>
                                                        <tr>
                                                            <td >CXS001</td>
                                                            <td>DI-GFC Imaging</td>
                                                            <td>Global Imaging Fulfillment</td>                                                            
                                                            <td>02/21/2020</td>
                                                            <td>02/21/2020</td>
                                                            <td >John Smith1</td>                                                            
                                                            <td>John Smith</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>5</td>
                                                            <td>5</td>
                                                            <td>5</td>                                                            
                                                            <td> 
                                                                <div class='d-flex flex-wrap justify-content-between'>     
                                                                    <button class='btn edit pl-0 pr-1' title='Edit Record'><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-pencil' aria-hidden='true' style="font-size: 15px;"></i></a></button>
                                                                    <button class='btn  pl-0 pr-1' title='Launch Details'><a href="project-details.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-rocket' aria-hidden='true' style="font-size: 15px;"></i></a></button>
                                                                    <button type='button' class='btn btn-default  pl-0 pr-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye' style="font-size: 15px;"></i> </button>
                                                                </div>     
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td >CXS001</td>
                                                            <td>DI-GFC Imaging</td>
                                                            <td>Global Imaging Fulfillment</td>
                                                            <td>02/21/2020</td>
                                                            <td>02/21/2020</td>
                                                            <td >John Smith2</td>                                                            
                                                            <td>John Smith</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>5</td>
                                                            <td>5</td>
                                                            <td>5</td>                                                            
                                                            <td> 
                                                                <div class='d-flex flex-wrap justify-content-between '>     
                                                                    <button class='btn edit pl-0 pr-1' title='Edit Record'><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-pencil' aria-hidden='true'></i></a></button>
                                                                    <button class='btn pl-0 pr-1' title='Launch Details'><a href="project-details.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-rocket' aria-hidden='true'></i></a></button>
                                                                    <button type='button' class='btn btn-default pl-0 pr-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button>
                                                                </div>     
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td >CXS001</td>
                                                            <td>DI-GFC Imaging</td>
                                                            <td>Global Imaging Fulfillment</td>
                                                            <td>02/21/2020</td>
                                                            <td>02/21/2020</td>
                                                            <td >John Smith3</td>                                                            
                                                            <td>John Smith</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>5</td>
                                                            <td>5</td>
                                                            <td>5</td>                                                            
                                                            <td> 
                                                                <div class='d-flex flex-wrap justify-content-between '>     
                                                                    <button class='btn edit pl-0 pr-1' title='Edit Record'><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-pencil' aria-hidden='true'></i></a></button>
                                                                    <button class='btn pl-0 pr-1' title='Launch Details'><a href="project-details.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-rocket' aria-hidden='true'></i></a></button>
                                                                    <button type='button' class='btn btn-default pl-0 pr-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button>
                                                                </div>     
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td >CXS001</td>
                                                            <td>DI-GFC Imaging</td>
                                                            <td>Global Imaging Fulfillment</td>
                                                            <td>02/21/2020</td>
                                                            <td>02/21/2020</td>
                                                            <td >John Smith</td>                                                            
                                                            <td>John Smith</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>02/21/2020</td><td>02/21/2020</td>
                                                            <td>5</td>
                                                            <td>5</td>
                                                            <td>5</td>                                                            
                                                            <td> 
                                                                <div class='d-flex flex-wrap justify-content-between '>     
                                                                    <button class='btn edit pl-0 pr-1' title='Edit Record'><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-pencil' aria-hidden='true'></i></a></button>
                                                                    <button class='btn pl-0 pr-1' title='Launch Details'><a href="project-details.php?id=1" target="_blank" style="color: #000;"><i class='fa fa-rocket' aria-hidden='true'></i></a></button>
                                                                    <button type='button' class='btn btn-default pl-0 pr-1' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button>
                                                                </div>     
                                                            </td>
                                                        </tr>
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    
                    <!-- Modal Steps -->
                    <div class="modal fade" id="modal_steps" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
                        <div class="modal-dialog  modal-xl " role="document">
                            <!--<form id='form1' >-->
                                <div class="modal-content" style="background: #e8eff9;">
                                    <div class="modal-header">
                                      <h3 class="modal-title" id="modal2_label">PROJECT : DI-GFC-IMAGING</h3>
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>                    
                                      </button>

                                    </div>
                                    <div class="modal-body ">
                                        <div class="row">
                                            <div class="col-md-12">                                            
                                                <div class="d-flex flex-wrap  pb-2 center-box">                    
                                                    <div id="step1" class="badge step_button_color mb-3"> 1.Project</div>
                                                    <div id="step1_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                                    <div id="step2" class="badge step_button_color disabled-color mb-3">2.Stakeholders</div>
                                                    <div id="step2_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                                    <div id="step3" class="badge step_button_color disabled-color mb-3">3.Scope</div>
                                                    <div id="step3_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                                    <div id="step4" class="badge step_button_color disabled-color mb-3">4.Tasks</div>
                                                    <div id="step4_line" class="border-class-proj mr-custom-proj disabled-color"> </div>

                                                    <div id="step5" class="badge step_button_color disabled-color mb-3">5.Assumptions</div>
                                                    <div id="step5_line" class="border-class-proj mr-custom-proj disabled-color"> </div>

                                                    <div id="step6" class="badge step_button_color disabled-color mb-3">6.Risks</div>
                                                    <div id="step6_line" class="border-class-proj mr-custom-proj disabled-color"> </div>

                                                    <div id="step7" class="badge step_button_color disabled-color mb-3">7.Change Mgmt.</div>
                                                    <div id="step7_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                                    <div id="step8" class="badge step_button_color disabled-color mb-3">8.Approvals</div>
                                                    <div id="step8_line" class="border-class-proj mr-custom-proj disabled-color"> </div>

                                                    <div id="step9" class="badge step_button_color disabled-color mb-3">9.Documents</div>
                                                    <div id="step9_line" class="border-class-proj mr-custom-proj disabled-color"> </div>                                                
                                                    <div id="step10" class="badge step_button_color disabled-color mb-3">10.Closing</div>

                                                </div>
                                            </div>    
                                        </div>
                                        <!-- Finish Steps Row-->
                                        <div id="div_step1">
                                            <div class="row  mt-3">
                                                <div class="col-md-12"> 
                                                    <h3 class="card-title mb-3">Add New Project </h3>
                                                </div>

                                                <div class="col-xl-6 d-flex grid-margin stretch-card">
                                                    <div class="card">
                                                        <div class="card-body" >
                                                            <div class="table-responsive">
                                                                <table id="table1" class="table table-bordered">
                                                                    <tbody>
                                                                        <tr>
                                                                            <td>Project Status</td>
                                                                            <td>Draft</td>
                                                                        </tr>

                                                                        <tr>
                                                                            <td>Project Version</td>
                                                                            <td>1.0</td>
                                                                        </tr>

                                                                        <tr>
                                                                            <td>Project Created By</td>
                                                                            <td>John Smith</td>
                                                                        </tr>

                                                                        <tr>
                                                                            <td>Date Created</td>
                                                                            <td>04/06/2020</td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>Last Updated</td>
                                                                            <td>John Smith</td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>Last Updated By</td>
                                                                            <td>04/06/2020</td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>  
                                                        </div>
                                                    </div>    
                                                </div>

                                                <div class="col-xl-6 d-flex grid-margin stretch-card">
                                                    <div class="card">
                                                        <div class="card-body" >
                                                            <div class="d-flex flex-wrap justify-content-between">
                                                                <h4 class="card-title mb-3">Project ID : CXS0001</h4>
                                                            </div>
                                                            <p><a href="#">Project Version</a></p>
                                                        </div>
                                                    </div>    
                                                </div>

                                                <div class="col-xl-6 d-flex grid-margin stretch-card">
                                                    <div class="card">
                                                        <div class="card-body" >
                                                            <div class="form-group">
                                                                <label>Project Name</label>
                                                                <input type="text" class="form-control requirefieldcls" name="AssetId" id="AssetId" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Team Name." data-original-title="">
                                                            </div>
                                                            <div class="form-group">
                                                                <label>Description</label>
                                                                <textarea  class="form-control" rows="4">
                                                                </textarea>
                                                            </div>

                                                            <div class="d-sm-flex justify-content-between  pr-3" >
                                                                <div class="form-group" style="width:100%;">
                                                                    <label style="display: block;">Project Manager</label>
                                                                    <select class="js-example-basic-single" name="combo_project_manager" id="combo_project_manager" style="width:100%">
                                                                        <option value="Option 1"> Option 1</option>
                                                                        <option value="Option 2"> Option 2</option>
                                                                        <option value="Option 3"> Option 3</option>
                                                                    </select>
                                                                </div>

                                                                <div class="form-group" style="width:100%;">
                                                                    <label style="display: block;">Project Sponsor</label>
                                                                    <select class="js-example-basic-single " name="combo_project_manager" id="combo_project_manager" style="width:100%">
                                                                        <option value="Option 1"> Option 1</option>
                                                                        <option value="Option 2"> Option 2</option>
                                                                        <option value="Option 3"> Option 3</option>
                                                                        <option value="Option 3"> Option 3 Option 3</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="form-group" style="width:100%;">
                                                                <h5 class="font-weight-bold">External Documents Link</h5>
                                                                <div class="table-responsive">                                                            
                                                                    <table id="table1" class="table table-bordered">
                                                                        <tbody>
                                                                            <tr>
                                                                                <td>Description</td>
                                                                                <td>External Web Link</td>
                                                                                <td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
                                                                                <!--<td><button class="btn delete_record" title="Delete Record"><i class="fa fa-trash-o" aria-hidden="true"></i></button></td>-->
                                                                            </tr>
                                                                            <tr>
                                                                                <td>Description</td>
                                                                                <td>External Web Link</td>
                                                                                <td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td>Description</td>
                                                                                <td>External Web Link</td>
                                                                                <td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>    
                                                            </div>

                                                        </div>
                                                    </div>    
                                                </div>

                                                <div class="col-xl-6 d-flex grid-margin stretch-card">
                                                    <div class="card">
                                                        <div class="card-body" >
                                                            <div class="d-flex flex-wrap justify-content-between">
                                                                <h4 class="card-title mb-3">Assign a Team</h4>
                                                            </div>

                                                            <div class="d-sm-flex justify-content-between" >

                                                                <div class="form-group pr-3" >
                                                                    <label style="display: block;">Assign a Team</label>
                                                                    <select class="js-example-basic-single" name="combo_project_manager" id="combo_project_manager">
                                                                        <option value="Option 1"> Option 1 &nbsp;&nbsp;&nbsp;&nbsp;</option>
                                                                        <option value="Option 2"> Option 2</option>
                                                                        <option value="Option 3"> Option 3</option>
                                                                    </select>
                                                                </div>

                                                            </div>
                                                            <div class="d-sm-flex justify-content-between" >
                                                                <div class="form-group pr-3">
                                                                    <label>Schedule Start Date</label>
                                                                    <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">  
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Schedule End Date</label>
                                                                    <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">  
                                                                </div>
                                                            </div>

                                                            <div class="d-sm-flex justify-content-between" >                                                            
                                                                <div class="form-group pr-3">
                                                                    <label>Actual Start Date</label>
                                                                    <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">  
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Actual End Date</label>
                                                                    <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">  
                                                                </div>                                                            
                                                            </div>

                                                            <div class="d-sm-flex justify-content-between" >  

                                                                <div class="form-group" >
                                                                    <div class="form-check">
                                                                        <label class="form-check-label">
                                                                            <input type="checkbox" class="form-check-input" >
                                                                            Enable Attendance Tracking
                                                                          <i class="input-helper" ></i>
                                                                        </label>
                                                                    </div>

                                                                    <div class="form-check">
                                                                        <label class="form-check-label">
                                                                            <input type="checkbox" class="form-check-input" >
                                                                            Enable Project Time Tracking
                                                                          <i class="input-helper" ></i>
                                                                        </label>
                                                                    </div>

                                                                    <div class="form-check">
                                                                        <label class="form-check-label">
                                                                            <input type="checkbox" class="form-check-input" >
                                                                            Allow Submission of Expense Reports
                                                                          <i class="input-helper" ></i>
                                                                        </label>
                                                                    </div>

                                                                    <div class="form-check">
                                                                        <label class="form-check-label">
                                                                            <input type="checkbox" class="form-check-input" >                                                                
                                                                            Accept Invoices from Vendors and Co.
                                                                          <i class="input-helper" ></i>
                                                                        </label>
                                                                    </div>

                                                                    <div class="form-check">
                                                                        <label class="form-check-label">
                                                                            <input type="checkbox" class="form-check-input" >                                                                
                                                                            Allow Budgeting
                                                                          <i class="input-helper" ></i>
                                                                        </label>
                                                                    </div>
                                                                </div>

                                                                <div class="form-group">
                                                                    <h5 class="font-weight-bold">Actual Progress Analysis</h5>
                                                                    <div class="clear-both"></div>
                                                                    <ol class="ml-3">
                                                                        <li><a href="#">Porject Analysis Link</a></li>
                                                                        <li><a href="#">Porject Analysis Link</a></li>
                                                                        <li><a href="#">Porject Analysis Link</a></li>
                                                                        <li><a href="#">Porject Analysis Link</a></li>
                                                                        <li><a href="#">Porject Analysis Link</a></li>
                                                                    </ol>
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </div>      
                                                </div>


                                            </div> 
                                            <div class="d-sm-flex justify-content-center justify-content-sm-between pt-4">
                                                &nbsp;
                                                <button type="button" class="btn btn-primary btn-small"   id="div_step1_next" title="Save Record">2. Stakeholders</button> <!-- data-dismiss="modal" -->
                                            </div>
                                        </div>


                                        <!-- STEP 2 -->
                                        <div id="div_step2">
                                            <div class="row mt-3" >
                                                <div class="col-md-12"> 
                                                    <h3 class="card-title mb-3">Define Stakeholders</h3>
                                                </div>
                                                <div class="col-xl-12 d-flex grid-margin stretch-card">
                                                    <div class="card">
                                                        <div class="card-body">
                                                            <!--<div class="col-md-12 border pt-2 pb-1" style="border-color: #000000 !important;"> -->
                                                             <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;">   
                                                                <div class="form-group mb-0">
                                                                    <label class="pl-2">Project Id :</label>
                                                                    <label  class="pr-4">CXS001</label>
                                                                </div>

                                                                <div class="form-group mb-0">
                                                                    <label class="pl-2">Project Scheduled Start Date :</label>
                                                                    <label  class="pr-4">04/06/2020</label>
                                                                </div>

                                                                <div class="form-group mb-0"> 
                                                                    <label class="pl-2">Project Scheduled End Date :</label>
                                                                    <label  class="pr-4">04/06/2020</label>
                                                                </div>    
                                                            </div>

                                                            <div class="text-right pt-2 pb-2" id="step2_buttons_grp">
                                                                <button class="btn btn-primary btn-icon" title="Add Stakeholders" id="cmdAddStakeHolders"><i class="fa fa-plus"></i></button>
                                                                <button class="btn btn-link" title="Import Data" id="cmdImportProject"><img src="images/icons/import.png" style = "width:30px;height:30px;"> </button>
                                                            </div>

                                                            <div class="col-md-12" id="step2_1">
                                                                <div class="table-responsive">
                                                                    <table id="tableStep2" class="table table-bordered">
                                                                        <thead>
                                                                            <th>Stakeholder Group</th>
                                                                            <th>Date Created</th>
                                                                            <th>Date Last Updated</th>
                                                                            <th>Members</th>
                                                                            <th>Stakeholder Role</th>
                                                                            <th>Actions</th>
                                                                        </thead>   
                                                                        <tfoot>
                                                                        <th class="searc">Stakeholder Group</th>
                                                                            <th class="searc">Date Created</th>
                                                                            <th class="searc">Date Last Updated</th>
                                                                            <th class="searc">Members</th>
                                                                            <th class="searc">Stakeholder Role</th>
                                                                            <th></th>
                                                                        </tfoot>
                                                                        <tbody>                                                                
                                                                            <tr>
                                                                                <td>FMD</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>44</td>
                                                                                <td>Sponsor</td>                                                                    
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td>FMD</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>44</td>
                                                                                <td>Sponsor</td>                                                                    
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td>FMD</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>44</td>
                                                                                <td>Sponsor</td>                                                                    
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td>FMD</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>04/06/2020</td>
                                                                                <td>44</td>
                                                                                <td>Sponsor</td>                                                                    
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-md-12" id="step2_2" style="display:none;">
                                                                <div class="text-right pt-4">
                                                                    <button type="button" class="btn btn-primary btn-sm pr-3" title="Previous Record" id="cmdDailyPrev"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                                    <button type="button" class="btn btn-primary btn-sm " title="Previous Record" id="cmdDailyPrev"><i class="typcn typcn-chevron-right" aria-hidden="true"></i></button>
                                                                </div>    
                                                                <div class="d-sm-flex justify-content-center justify-content-sm-between pt-4">
                                                                    <div class="form-group pr-3" style="width:100%;">
                                                                        <label>Stakeholder Group Name</label>
                                                                        <input type="text" class="form-control requirefieldcls" name="AssetId" id="AssetId" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Team Name." data-original-title="">
                                                                    </div>
                                                                    
                                                                    <div class="form-group  pr-3" style="width:100%;">
                                                                        <label>Description</label>
                                                                        <textarea  class="form-control" rows="4">
                                                                        </textarea>
                                                                    </div>
                                                                    
                                                                    <div class="form-group pr-3" style="width:100%;">
                                                                        <label style="display: block;">Role</label>
                                                                        <select class="js-example-basic-single" name="combo_project_manager" id="combo_project_manager" style="width:100%;">
                                                                            <option value="Option 1"> Process Owner </option>
                                                                            <option value="Option 2"> Requirement Autho</option>
                                                                            <option value="Option 3">Functional Administrator</option>
                                                                            <option value="Option 2"> End User</option>
                                                                            <option value="Option 2"> LOB Manager</option>
                                                                            <option value="Option 2"> Support & Assistar</option>
                                                                        </select>
                                                                    </div>
                                                                    
                                                                    <div class="form-group" style="width:100%;">
                                                                        <label style="display: block;">Funcational Area</label>
                                                                        <select class="js-example-basic-single" name="combo_project_manager" id="combo_project_manager" style="width:100%;">
                                                                            <option value="Option 1"> Human Resource</option>
                                                                            <option value="Option 2"> Information Technology</option>
                                                                            <option value="Option 3">Payroll & Administration</option>
                                                                            <option value="Option 2">Manufacturing</option>
                                                                            <option value="Option 2">Processing Plants</option>
                                                                            <option value="Option 2">Shiipin & Logistics</option>
                                                                            <option value="Option 2">--add new-- </option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="table-responsive">
                                                                    <table id="tableStep2_2" class="table table-bordered">
                                                                        <thead>
                                                                            <th>First Name</th>
                                                                            <th>Last Name</th>
                                                                            <th>Salutation</th>
                                                                            <th>Email</th>
                                                                            <th>Phone</th>
                                                                            <th>Functional Role</th>
                                                                            <th>Project Role</th>
                                                                            <th>Documents Uploaded</th>
                                                                            <th>End Date Active</th>
                                                                            <th>Actions</th>
                                                                        </thead>   
                                                                        <tfoot>
                                                                            <th class="searc">First Name</th>
                                                                            <th class="searc">Last Name</th>
                                                                            <th class="searc">Salutation</th>
                                                                            <th class="searc">Email</th>
                                                                            <th class="searc">Phone</th>
                                                                            <th class="searc">Functional Role</th>
                                                                            <th class="searc">Project Role</th>
                                                                            <th class="searc">Documents Uploaded</th>
                                                                            <th class="searc">End Date Active</th>
                                                                            <th></th>
                                                                        </tfoot>
                                                                        <tbody>                                                                
                                                                            <tr>
                                                                                <td>John</td>
                                                                                <td>Smith</td>
                                                                                <td>Mr.</td>
                                                                                <td>jsmith@jsmith.com</td>
                                                                                <td>111-111-1111</td>
                                                                                <td>Manager</td>
                                                                                <td>Manager</td>
                                                                                <td>5</td>
                                                                                <td>06/04/2020</td>
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Add Projects Collaboration"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-plus" aria-hidden="true" style="font-size: 15px;"></i></a></button>
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td>John</td>
                                                                                <td>Smith</td>
                                                                                <td>Mr.</td>
                                                                                <td>jsmith@jsmith.com</td>
                                                                                <td>111-111-1111</td>
                                                                                <td>Manager</td>
                                                                                <td>Manager</td>
                                                                                <td>5</td>
                                                                                <td>06/04/2020</td>
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Add Projects Collaboration"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-plus" aria-hidden="true" style="font-size: 15px;"></i></a></button>
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td>John</td>
                                                                                <td>Smith</td>
                                                                                <td>Mr.</td>
                                                                                <td>jsmith@jsmith.com</td>
                                                                                <td>111-111-1111</td>
                                                                                <td>Manager</td>
                                                                                <td>Manager</td>
                                                                                <td>5</td>
                                                                                <td>06/04/2020</td>
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Add Projects Collaboration"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-plus" aria-hidden="true" style="font-size: 15px;"></i></a></button>
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>
                                                                            <tr>
                                                                                <td>John</td>
                                                                                <td>Smith</td>
                                                                                <td>Mr.</td>
                                                                                <td>jsmith@jsmith.com</td>
                                                                                <td>111-111-1111</td>
                                                                                <td>Manager</td>
                                                                                <td>Manager</td>
                                                                                <td>5</td>
                                                                                <td>06/04/2020</td>
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Add Projects Collaboration"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-plus" aria-hidden="true" style="font-size: 15px;"></i></a></button>
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="#" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                                
                                                            </div>
                                                        </div>
                                                    </div>                                                
                                                </div>
                                                <!-- Card END -->

                                            </div>

                                            <div class="d-sm-flex justify-content-center justify-content-sm-between pt-4">
                                                <button type="button" class="btn btn-primary btn-small"   id="div_step2_prev">1. Project</button> 
                                                <button type="button" class="btn btn-primary btn-small"   id="div_step2_next">3. Scope</button> <!-- data-dismiss="modal" -->
                                            </div>
                                        </div> 
                                        
                                        
                                        <!-- step2 Add Define -->
                                        
                                        
                                        
                                        <!-- STEP 3 -->
                                        <div id="div_step3">
                                            <div class="row  mt-3" >
                                                <div class="col-md-12"> 
                                                    <h3 class="card-title mb-3">Define Scope</h3>
                                                </div>
                                                <div class="col-xl-12 d-flex grid-margin stretch-card">
                                                    <div class="card">
                                                        <div class="card-body">
                                                            <!--<div class="col-md-12 border pt-2 pb-1" style="border-color: #000000 !important;"> -->
                                                             <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;">   
                                                                    <div class="col-md-12  pt-2 pb-1">                                            
                                                                        <label class="pl-2">Project Id :</label>
                                                                        <label  class="pr-4">CXS001</label>

                                                                        <label class="pl-2">Project Scheduled Start Date :</label>
                                                                        <label  class="pr-4">04/06/2020</label>

                                                                        <label class="pl-2">Project Scheduled End Date :</label>
                                                                        <label  class="pr-4">04/06/2020</label>
                                                                    </div>
                                                            </div>
                                                            <div class="text-right pt-2 pb-2" id="step3_buttons_grp">
                                                                <button class="btn btn-primary btn-icon" title="Add Project" id="cmdAdd_step3"><a href="#"  style="color: #fff;"><i class="fa fa-plus"></i></a> </button>
                                                                <button class="btn btn-link" title="Import Data" id="cmdImportData_step3"><img src="images/icons/import.png" style = "width:30px;height:30px;"> </button>
                                                            </div>

                                                            <div class="col-md-12" id="step3_1">
                                                                <div class="table-responsive">
                                                                    <table id="tableStep3" class="table table-bordered">
                                                                        <!--<thead>
                                                                            <th>Stakeholder Group</th>
                                                                            <th>Date Created</th>
                                                                            <th>Date Last Updated</th>
                                                                            <th>Members</th>
                                                                            <th>Stakeholder Role</th>
                                                                            <th>Actions</th>
                                                                        </thead>    -->
                                                                        <tbody>                                                                
                                                                            <tr>
                                                                                <td> REQ Project Number1</td>
                                                                                <td>Summary : This is a short version of the Requirement<br>Description : This is a Detail Version of the Rquirement</td>
                                                                                <td>Final Document<br> 10</td>
                                                                                <td>Previous Versions<br> 10</td>
                                                                                <td>Status</td>                                                              
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td> REQ Project Number1</td>
                                                                                <td>Summary : This is a short version of the Requirement<br>Description : This is a Detail Version of the Rquirement</td>
                                                                                <td>Final Document<br> 10</td>
                                                                                <td>Previous Versions<br> 10</td>
                                                                                <td>Status</td>                                                                
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td> REQ Project Number1</td>
                                                                                <td>Summary : This is a short version of the Requirement<br>Description : This is a Detail Version of the Rquirement</td>
                                                                                <td>Final Document<br> 10</td>
                                                                                <td>Previous Versions<br> 10</td>
                                                                                <td>Status</td>                                                                   
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                            <tr>
                                                                                <td> REQ Project Number1</td>
                                                                                <td>Summary : This is a short version of the Requirement<br>Description : This is a Detail Version of the Rquirement</td>
                                                                                <td>Final Document<br> 10</td>
                                                                                <td>Previous Versions<br> 10</td>
                                                                                <td>Status</td>                                                                   
                                                                                <td>
                                                                                    <div class="d-flex flex-wrap justify-content-between">     
                                                                                        <button class="btn edit pl-0 pr-1" title="Edit Record"><a href="add-manage-project.php?id=1" target="_blank" style="color: #000;"><i class="fa fa-pencil" aria-hidden="true" style="font-size: 15px;"></i></a></button>                                                                
                                                                                        <button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
                                                                                    </div>
                                                                                </td>    
                                                                            </tr>

                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            
                                                            
                                                            <div class="col-md-12" id="step3_2" style="display:none;">
                                                                <div class="text-right pt-4">
                                                                    <button type="button" class="btn btn-primary btn-sm pr-3" title="Previous Record" id="cmdstep3_2_Prev"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                                    <button type="button" class="btn btn-primary btn-sm " title="Next Record" id="cmdstep3_2_Next"><i class="typcn typcn-chevron-right" aria-hidden="true"></i></button>
                                                                </div>    
                                                                
                                                                <div class="col-xl-3 d-flex grid-margin stretch-card">
                                                                    <div class="card">
                                                                        <div class="card-body" >
                                                                            <div class="d-flex flex-wrap justify-content-between">
                                                                                <h4 class="card-title mb-3">Project ID : CXS0001</h4>
                                                                            </div>
                                                                            <p><a href="#">Project Version</a></p>
                                                                        </div>
                                                                    </div>    
                                                                </div>
                                                                
                                                                <div class="col-xl-6 d-flex grid-margin stretch-card">
                                                                    <div class="card">
                                                                        <div class="card-body" >
                                                                            <div class="table-responsive">
                                                                                <table id="table1" class="table table-bordered">
                                                                                    <tbody>
                                                                                        <tr>
                                                                                            <td>Project Status</td>
                                                                                            <td>Draft</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>Project Version</td>
                                                                                            <td>1.0</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>Project Created By</td>
                                                                                            <td>John Smith</td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                            <td>Date Created</td>
                                                                                            <td>04/06/2020</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                            <td>Last Updated</td>
                                                                                            <td>John Smith</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                            <td>Last Updated By</td>
                                                                                            <td>04/06/2020</td>
                                                                                        </tr>
                                                                                    </tbody>
                                                                                </table>
                                                                            </div>  
                                                                        </div>
                                                                    </div>    
                                                                </div>

                                                                <div class="col-xl-6 d-flex grid-margin stretch-card">
                                                                    <div class="card">
                                                                        <div class="card-body" >
                                                                            <div class="d-flex flex-wrap justify-content-between">
                                                                                <h4 class="card-title mb-3">Project ID : CXS0001</h4>
                                                                            </div>
                                                                            <p><a href="#">Project Version</a></p>
                                                                        </div>
                                                                    </div>    
                                                                </div>
                                                                
                                                                
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>    
                                            <div class="d-sm-flex justify-content-center justify-content-sm-between pt-4 ">
                                                <button type="button" class="btn btn-primary btn-small"   id="div_step3_prev" title="Save Record">3. Define Project</button> 
                                                <button type="button" class="btn btn-primary btn-small"   id="div_step3_next" title="Save Record">4. Define Tasks</button> <!-- data-dismiss="modal" -->
                                            </div>
                                        </div>


                                        
                                    </div>
                                </div>
                          <!--  </form>    -->
                        </div>
                    </div>    
                    
                    
                    
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
    
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
   <!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script>    
    <script src="vendors/select2/select2.min.js"></script>     
    <script src="js/select2.js"></script> 
    <script src="datepicker/bootstrap-datepicker.js"></script>
    <script src="js/manage-projects.js"></script> 
      <!-- endinject -->  
    <script>
    $(document).ready(function()
    {
      /*
        $('#tableStep3').dataTable({
            "searching": false,
            columnDefs: [ 
                  { targets: [-1], orderable: false},                    
                  ],
            "dom": 'lBfrtip',
            "buttons": [['excel' ,'pdf'],{text: 'Email'}]
        });
        */
     });

    </script>
</body>

</html>
