<?php
require_once "conn.php";
require_once("functions.php");
check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Teams</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active" aria-current="page">Manage Teams</li>
									</ol>
								</nav>
								<div class="text-right pt-2 pb-2">
									<button class="btn btn-primary btn-icon" title="Add Teams" onClick="window.location.href='add-manage-teams.php'"><i class="fa fa-plus"></i> </button>
								</div>
								<div class="row">
									<div class="col-12">
										<div class="table-responsive">
											<table id="table1" class="table table-bordered">
												<thead>
													<tr class="table-info">
														<th class="text-center" width='5%'>Sr. No.</th>
														<th class="text-center" width='30%'>Team Name</th>
														<th class="text-center" width='50%'>Description</th>
														<!--<th class="text-center">Administrator</th>-->
														<th class="text-center" width='10%'>Team Members</th>
														<th class="text-center" width="5%">Actions</th>
													</tr>
												</thead>
												<tfoot>
													<tr>
														<th></th>
														<th class="searc">Team Name</th>
														<th class="searc">Description</th>
														<!--<th class="searc">Administrator</th>-->
														<th class="searc">Team Members</th>
														<th></th>
													</tr>
												</tfoot>
												<tbody>
													<?php    
                                                    $qry = "select cxs_projects_team_header.*,(select count(assignement_id) from cxs_projects_team_members where cxs_projects_team_members.team_id = cxs_projects_team_header.team_id) as TotalMembers from cxs_projects_team_header  where company_id = '".$_SESSION['login_user_array']['company_id']."' order by team_name ";
                                                    $result = mysqli_query($conn,$qry);
                                                    if (mysqli_num_rows($result)>0){
                                                        $counter = 0;
                                                        while($row=mysqli_fetch_assoc($result)){
                                                            $data_content_eye_icon = show_eye_icon_data("cxs_projects_team_header","team_id",$row['team_id']);
                                                            $counter++;
                                                    ?>
													<tr>
														<td><?php echo $counter; ?></td>
														<td id="team_<?php echo $row['team_id']; ?>"><?php echo $row['team_name']; ?></td>
														<td><?php echo $row['description']; ?></td>
														<?php /*?><td><?php echo $row['administrator_id']; ?></td><?php */?>
														<td align="center"><a href="javascript:void(0);" style="text-decoration:underline;" onClick="showTeamMembers('<?php echo $row['team_id']; ?>');" title="View Team Members"><?php echo $row['TotalMembers']; ?></a></td>
														<td>
															<a href="add-manage-teams.php?id=<?php echo $row['team_id']; ?>" class="btn edit ml-0 mr-2 pl-0 pr-0" title="Edit Record"><i class="fa fa-pencil " aria-hidden="true"></i></a>
															<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
														</td>
													</tr>
													<?php       
														}
                                                    }
                                                   ?>
													<!--                                                        <tr>
                                                            <td>1</td>
                                                            <td><a href="add-manage-teams.php?id=1" target="_blank">Project Team</a></td>
                                                            <td>Project Team</td>
                                                            <td >John Smith</td>
                                                            <td><a href="#modal1" data-toggle="modal" data-target="#modal1">44</a></td>
                                                            <td class="text-center"> 
                                                                <button class="btn edit ml-0 mr-2 pl-0 pr-0" title='Edit Record'><i class='fa fa-pencil' aria-hidden='true'></i></button>                                                                
                                                                <button type='button' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button>
                                                            </td>
                                                        </tr>-->
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="team_member_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="team_member_modal_title"></h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="team_members_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	dataTableCreateCommonOrderOff("table1");
	$("#table1_filter").hide();
});         
function edit_record(selected_id){
	//window.location.href = "add-manage-teams.php?id="+selected_id;
	 window.open('add-manage-teams.php?id='+selected_id, '_blank');
}
function showTeamMembers(team_id){
	$("#team_members_div").html("");
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_team_members_data',is_html:true,team_id1:team_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#team_member_modal_title").html("Team members of <span class='text-secondary'>"+$("#team_"+team_id).text()+"</span>");
				$('#team_member_modal').modal('show');
				$("#team_members_div").html(response);
				//dataTableCreateCommon('table_team_members');
				var table = $('#table_team_members').DataTable( {
				  "info": false,
				  "paging":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				$('#table_team_members tfoot th.searc').each( function () {
						var title = $(this).text();
						$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				}); 
				// Apply the search
				table.columns().every( function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});  
				/**/
				$("#table_team_members_filter").hide();
			},1000);
		}
	});
}
</script>
</body>
</html>
