<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0){
    header("location:".SITEURL."dashboard/");
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Users</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />  
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">

<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">    
                    <?php require_once 'email_popup.php';?>
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb breadcrumb-help">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item active" aria-current="page">Manage Users</li>
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between pb-2">
                                        &nbsp;&nbsp;
                                        <div>
                                            <?php                                                
                                                $link_page = "";
                                                
                                                if($_SESSION['login_user_array']['user_plan']=='ENTERPRISE' && $_SESSION['login_user_array']['user_role']=='Admin')
                                                {
                                                    $link_page = SITEURL."account/users/add/";
                                                }    
                                                
                                                if($link_page!=''){
                                            ?>
                                            <a class="btn btn-primary btn-sm" href="<?php echo$link_page;?>" title="Add Users">
                                                <i class="fa fa-plus" aria-hidden="true"></i> 
                                            </a>
                                            <?php 
                                            } 
                                            ?>
                                        </div>
                                        
                                    </div>

                                    <div class="row">                                       
                                        <div class="col-12">                                            
                                            <div id="results">

                                            </div>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>  
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>  
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>

<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script> 

<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script> 
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<!-- endinject -->  
<script>
    $(document).ready(function()
    {
       setTimeout(function()
        {
            getUserData();
        },1000);
    });    
    
    function getUserData()
        {
            $.ajax({
                url: SITEURL+"aj/setup/",
                method: "POST",
                data: {REQUEST: 'get_user_entry_data',is_html:true},
                beforeSend: function() {
                        $("#results").fadeOut(500);
                        $(".rploader").fadeIn(800);
                },
                success: function (response){  
                        setTimeout(function(){
                                $(".rploader").hide();
                                $("#results").html(response);
                                $("#results").fadeIn(500);
                                
                                $('[data-toggle="popover"]').popover();
                                dataTableDefaultOrderOff("table1");
                                $("#table1_filter").hide();
                        },1000);
                }
            });
        }   
    
    
     $('#cmdEmail').click(function()
        {
            var thehtml = sendemail(6);            
            if(thehtml!='')
            {
                $.ajax({
                    url: SITEURL+"aj/setup/",
                    method: "POST",
                    data: {REQUEST: 'data_table_email', recipients: $("#text_recepient").val(),subject_title:"User List",html_data:thehtml},
                    success: function (response)
                    {  
                        if(response.succ==1)
                        {
                            $("#modal_email").modal("hide");
                        }
                    }
                });
            }
        });
    </script>
</body>

</html>
