<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Billing</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <style>
      .toggle {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px;
}

.toggle input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.sld {
 position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.sld:before {
  position: absolute;
  content: "";
  height: 14px;     
  width:  16px;     
  left: -2px;   
  bottom: 2px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

/*.sld:before {
  position: absolute;
  content: "";
  height: 15px;         //19px;
  width:  16px;        //20px;
  left: -2 px;   //4px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}
*/
input:checked + .sld {
  background-color: #2196F3;
}

input:focus + .sld {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .sld:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.sld.round {
  border-radius: 34px;
}

.sld.round:before {
  border-radius: 50%;
}


.border {
    border: 1px solid #22c0e8;
    margin: 6px;
    border-left: 0px;
    border-right: 0px;
    border-top: 0px;
  }
  
  </style>
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">  
                    
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item"><a href="admin.php">Admin Panel</a></li>
                                            <li class="breadcrumb-item active" aria-current="page">Manage Billing</li>                                            
                                        </ol>                                           
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3">Current Subscription(s)</h4>
                                        <div>
                                            <label class="toggle" ><input type="checkbox" id ="chk_tgl" checked><span class="sld round"></span></label>
                                            <label>Yearly / Monthly</label>
                                        </div>

                                    </div>

                                    <div class="row">
                                        
                                        <div class="col-12">                                            
                                            <div class="table-responsive">
                                                <table id="table1" class="table table-bordered">
                                                    <thead>
                                                      <tr class="table-info">
                                                          <th class="text-center">Solution</th>
                                                          <th class="text-center">Current User / Licenses in Use</th>
                                                          <th class="text-center">Licenses Available</th>                                                              
                                                          <th class="text-center">Total Licenses Billed for this period</th> 
                                                          <th class="text-center">Plan</th>
                                                          <th class="text-center">Total/Year</th>
                                                          <th class="text-center">Status</th>                                                          
                                                          <th class="text-center">Next Renew</th>
                                                          <th class="text-center">Download</th>
                                                          <th class="text-center">Renew Now</th>
                                                          <th class="text-center">Auto Renew</th>
                                                          <th class="text-center">Actions</th>
                                                      </tr>
                                                    </thead>
                                                    <tfoot align="right">
                                                        <tr><th class="text-center"></th><th class="text-center"></th><th class="text-center"></th><th class="text-center"></th><th class="text-center"></th><th class="text-center"></th> <th class="text-center"></th><th class="text-center"></th><th class="text-center"></th><th class="text-center"></th><th class="text-center"></th><th></th></tr>
                                                    </tfoot>
                                                    <tbody>
                                                        <tr>
                                                            <td>Attendances</td>
                                                            <td >19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td><td>Paid</td><td>05-15-2020</td>
                                                            <td class="text-center"><i class="fa fa-file-pdf-o"></i></td>
                                                            <td><button type="button" class="btn btn-outline-primary">Button</button></td>
                                                            <td>
                                                                <div class ='d-flex flex-row'><div class="form-check"><label class="form-check-label"><input type="checkbox" class="form-check-input checkbx" name="check_row" value="10002"><i class="input-helper"></i><i class="input-helper"></i></label></div></div>
                                                            </td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Projects</td>
                                                            <td >19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td><td>Paid</td><td>05-15-2020</td>
                                                            <td class="text-center"><i class="fa fa-file-pdf-o"></i></td>
                                                            <td><button type="button" class="btn btn-outline-primary">Button</button></td>
                                                            <td>
                                                                <div class ='d-flex flex-row'><div class="form-check"><label class="form-check-label"><input type="checkbox" class="form-check-input checkbx" name="check_row" value="10002"><i class="input-helper"></i><i class="input-helper"></i></label></div></div>
                                                            </td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div> 
                                    
                                    
                                    <div class="d-flex flex-wrap justify-content-between mt-4">
                                        <h4 class="card-title mb-3">Manage Licenses</h4>                                        
                                    </div>

                                    <div class="row">
                                        
                                        <div class="col-12">                                            
                                            <div class="table-responsive">
                                                <table id="table2" class="table table-bordered table-striped dataTable">
                                                    <thead>
                                                        <tr class="table-info">
                                                            <th class="text-center">Solution</th>
                                                          <th class="text-center">Current User/<br>Licenses in Use</th>
                                                          <th class="text-center">Licenses Currently Available</th>                                                              
                                                          <th class="text-center">Add/Remove Licenses (enter negative for removal)</th> 
                                                          <th class="text-center">Net Licenses Available</th>
                                                          <th class="text-center">Total/Year</th>
                                                          <th class="text-center">Status</th>                                                          
                                                          <th class="text-center">Next Renew</th>
                                                          <th class="text-center">Download</th>
                                                          <th class="text-center">Renew Now</th>
                                                          <th>Actions</th>
                                                      </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>Attendance</td>
                                                            <td>19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td><td>Paid</td><td>05-15-2020</td>
                                                            <td class="text-center"><i class="fa fa-file-pdf-o"></i></td>
                                                            <td><button type="button" class="btn btn-outline-primary">Button</button></td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>    
                                                        
                                                        <tr>
                                                            <td>Projects</td>
                                                            <td>19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td><td>Paid</td><td>05-15-2020</td>
                                                            <td class="text-center"><i class="fa fa-file-pdf-o"></i></td>
                                                            <td><button type="button" class="btn btn-outline-primary">Button</button></td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        
                                                        <tr>
                                                            <td>Expense</td>
                                                            <td>19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td><td>Paid</td><td>05-15-2020</td>
                                                            <td class="text-center"><i class="fa fa-file-pdf-o"></i></td>
                                                            <td><button type="button" class="btn btn-outline-primary">Button</button></td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        <tr>
                                                            <td>PSA</td>
                                                            <td>19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td><td>Paid</td><td>05-15-2020</td>
                                                            <td class="text-center"><i class="fa fa-file-pdf-o"></i></td>
                                                            <td><button type="button" class="btn btn-outline-primary">Button</button></td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <p class="card-description text-center">Note any change in the licenses will affect in next billing period starting so and so date.</p>
                                    
                                    <div class="d-flex flex-wrap justify-content-between mt-4">
                                        <h4 class="card-title mb-3">Payment Method on a file</h4>
                                    </div>

                                    <div class="row">
                                        
                                        <div class="col-12">                                            
                                            <div class="table-responsive">
                                                <table id="table3" class="table table-striped">
                                                    <thead>
                                                      <tr class="table-info">
                                                          <th class="text-center">Name</th>
                                                          <th class="text-center">Card Name</th>
                                                          <th class="text-center">Card Number</th>
                                                          <th class="text-center">Exp.Date</th>                                                              
                                                          <th class="text-center">Security Code</th> 
                                                          <th class="text-center">Primary Method</th>
                                                          <th class="text-center">Order</th>
                                                          <th class="text-center">Make Primary</th>                                                          
                                                          <th>Actions</th>
                                                      </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>Visa</td>
                                                            <td>A Name</td>
                                                            <td>********1234</td>
                                                            <td>05-15-2020</td>
                                                            <td>123</td>
                                                            <td>Yes</td>
                                                            <td>1</td>
                                                            <td class="text-center">
                                                                <div class ='d-flex flex-row'><div class="form-check"><label class="form-check-label"><input type="checkbox" class="form-check-input checkbx" name="check_row" value="10002"><i class="input-helper"></i><i class="input-helper"></i></label></div></div>
                                                            </td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Master</td>
                                                            <td>B Name</td>
                                                            <td>********1234</td>
                                                            <td>05-15-2020</td>
                                                            <td>123</td>
                                                            <td>Yes</td>
                                                            <td>1</td>
                                                            <td class="text-center">
                                                                <div class ='d-flex flex-row'><div class="form-check"><label class="form-check-label"><input type="checkbox" class="form-check-input checkbx" name="check_row" value="10002"><i class="input-helper"></i><i class="input-helper"></i></label></div></div>
                                                            </td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Discover</td>
                                                            <td>C Name</td>
                                                            <td>********1234</td>
                                                            <td>05-15-2020</td>
                                                            <td>123</td>
                                                            <td>Yes</td>
                                                            <td>1</td>
                                                            <td class="text-center">
                                                                <div class ='d-flex flex-row'><div class="form-check"><label class="form-check-label"><input type="checkbox" class="form-check-input checkbx" name="check_row" value="10002"><i class="input-helper"></i><i class="input-helper"></i></label></div></div>
                                                            </td>
                                                            <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <h4 class="card-title mb-3 mt-4">Add on services</h4>                                        
                                            </div>
                                            <div class="col-12">                                            
                                                <div class="table-responsive">
                                                    <table id="table4" class="table table-striped">                                                        
                                                        <tbody>
                                                            <tr>
                                                                <td>On Site Training</td>
                                                                <td>4</td>
                                                                <td>Contact Us</td>
                                                                <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                            </tr>
                                                            <tr>
                                                                <td>Online Training</td>
                                                                <td>4</td>
                                                                <td>Contact Us</td> 
                                                                <td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                            </tr>                                                            
                                                        </tbody>        
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <h4 class="card-title mb-3 mt-4">Coexsys ACH</h4>                                        
                                            </div>
                                            <div class="col-12">                                            
                                                <div class="table-responsive">
                                                    <table id="table5" class="table table-striped">
                                                        <thead>
                                                          <tr class="table-info">
                                                              <th class="text-center">Column1</th>
                                                              <th class="text-center">Column 2</th>                                                          
                                                          </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>Name</td>
                                                                <td>19</td>                                                            
                                                            </tr>
                                                            <tr>
                                                                <td>Bank</td>
                                                                <td>19</td>                                                            
                                                            </tr>
                                                            <tr>
                                                                <td>ACH Routing</td>
                                                                <td>19</td>                                                            
                                                            </tr>
                                                            <tr>
                                                                <td>Account Number</td>
                                                                <td>19</td>                                                            
                                                            </tr>
                                                        </tbody>        
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-6">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <h4 class="card-title mb-3 mt-4">Send Check to</h4>                                        
                                            </div>
                                            <div class="col-12">                                            
                                                <div class="table-responsive">
                                                    <table id="table6" class="table table-striped">                                                        
                                                        <tbody>
                                                            <tr>
                                                                <td>PB BOX</td>
                                                                <td>1234</td>                                                            
                                                            </tr>
                                                            <tr>
                                                                <td>Scremento,CA,234234</td>
                                                                <td></td>                                                            
                                                            </tr>                                                            
                                                        </tbody>        
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        
                                    </div>
                                    
                                    
                                    
                                    <div class="d-flex flex-wrap justify-content-between mt-4">
                                        <h4 class="card-title mb-3">For Question Concern Contact Us</h4>                                        
                                    </div>

                                    <div class="row">
                                        <div class="col-sm-6 col-md-4 col-lg-3"><i class="fa fa-envelope fa-4x"></i><br><label class="pt-2">service@coexsys.com</label></div>
                                        <div class="col-sm-6 col-md-4 col-lg-3"><i class="fa fa-phone fa-4x"></i><br><label class="pt-2">877-234-2342</label></div>
                                        <div class="col-sm-6 col-md-4 col-lg-3"><i class="fa fa-comment fa-4x"></i><br><label class="pt-2">Chat</label></div>                                        
                                    </div>
                                    
                                    
                                    
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
  <!-- endinject -->  
    <script>
        $.fn.textWidth = function(){
  var html_org = $(this).html();
  var html_calc = '<span>' + html_org + '</span>';
  $(this).html(html_calc);
  var width = $(this).find('span:first').width();
  $(this).html(html_org);
  return width;
};

        $(document).ready(function()
        {
            $('#table1').dataTable({
              "searching": false,
              "paging": false,
              "ordering": false,
            "footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;
            // converting to interger to find total
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
            // computing column Total of the complete result 
            var col1Total = api
                .column( 1 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
				
	    var col2Total = api
                .column( 2 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
				
            var col3Total = api
                .column( 3 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );				
            // Update footer by showing the total with the reference of the column index 
	    $( api.column(0).footer() ).html('Total');
            $( api.column(1).footer() ).html(col1Total);
            $( api.column(2).footer() ).html(col2Total);
            $( api.column(3).footer() ).html(col3Total);
            }
            });
            
            
            $('#table2').dataTable({
              "searching": false,
              "paging": false,
              "ordering": false,            
            "footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;
            // converting to interger to find total
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
            // computing column Total of the complete result 
            var col1Total = api
                .column( 1 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
				
	    var col2Total = api
                .column( 2 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
				
            var col3Total = api
                .column( 3 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );				
            // Update footer by showing the total with the reference of the column index 
	    $( api.column(0).footer() ).html('Total');
            $( api.column(1).footer() ).html(col1Total);
            $( api.column(2).footer() ).html(col2Total);
            $( api.column(3).footer() ).html(col3Total);
            }
            });
            
        });         
         
         
         $('#table3').dataTable({
              "searching": false,
              "paging": true,
              "ordering": false
        });   
        
        $('#table4').dataTable({
              "searching": false,
              "paging": true,
              "ordering": false            
        });   
        
        $('#table5').dataTable({
              "searching": false,
              "paging": false,
              "ordering": false            
        });   
        
        $('#table6').dataTable({
              "searching": false,
              "paging": false,
              "ordering": false            
        });   
    </script>
</body>

</html>
