<?php
    require_once "conn.php";
    check_login();
    if (CheckCommonSetupEntries()==0)
    {
        header("location:admin.php");
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Missed Attendance</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <style>
    .col-center 
    {
        float: none !important;
        margin: 0 auto !important;
        
    }
</style>
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item"><a href="admin.php">Attendance</a></li>
                                          <li class="breadcrumb-item active" aria-current="page">Missed Attendance</li>
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between pb-2">
                                        
                                    </div>

                                    <div class="row">                                                                               
                                        <div class="col-xs-12 col-md-8 col-center">    
                                            <div class="card">
                                                <div class="card-body text-center" style="border: 1px solid #212529;">
                                                    <h4 class="card-title mb-3 text-primary  " style="text-transform: none;"><?php echo date("h:i a");  ?></h4>
                                                    <h6 class="card-title mb-3 text-primary  "><?php echo date('l').date(', F d, Y')." PDT"; ?></h6>
                                                    <div class="row d-flex mb-2">  
                                                        
                                                        <div class="col-md-6 pb-2">
                                                            <input type='button' class ='btn btn-primary btn-block full-height pb-5 pt-5' value="Clock In">
                                                        </div>
                                                        
                                                        <div class="col-md-6 pb-2">
                                                            <input type='button' class ='btn btn-secondary btn-block full-height pb-5 pt-5' value="Clock Out">
                                                        </div>
                                                        
                                                        <div class="col-md-12 ">
                                                            <textarea rows="4" class="form-control"></textarea>
                                                        </div>
                                                    </div>
                                                    
                                                    <p class="mb-0 text-youtube font-weight-bold">Last Event : Punch out at 8:00 am</p>
                                                    
                                                </div>
                                            </div>    
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    
  <!-- endinject -->  
    <script>
       
        $(document).ready(function()
        {
            $('#table1').dataTable({
              "searching": false,
              "paging": true,
              "ordering": false
            });
        });    
    </script>
</body>

</html>
