<?php
    require_once "conn.php";
    check_login();
  
    if ($_SESSION['login_user_array']['user_role']=="User")
    {
        header("Location: admin.php");
        exit();
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Overtime Policy</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
    <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
    <link rel="stylesheet" href="vendors/dropify/dropify.min.css">    
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item active" aria-current="page">Overtime Policy</li>                                              
                                        </ol>
                                    </nav>
                                    <h2 class="card-title add_title">Overtime Policy </h2>
                                    <form class="add_frm"  method="post" id="form1"> 
                                        <div class="row">
                                            <div class="col-md-12"><hr></div>
                                        </div>    
                                            <div class="d-flex flex-wrap justify-content-between ">
                                                <h4 class="card-title mb-3">FLSA Overtime</h4>    
                                                <div > <h4><label id="div_msg" class="badge badge-info" ></label></h4> </div>
                                                <div class="d-flex">
                                                    <h4 class="card-title mb-3"><u>FLSA Law</u></h4>
                                                    <!--<button type='button' id='cmdEyeIcon' class='btn btn-default pt-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='' > <i class=' fa fa-eye'></i> </button>-->
                                                    <button type='button' id='cmdEyeIcon' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='' > <i class=' fa fa-eye'></i> </button>
                                                </div>    
                                            </div>                                          
                                            <div class="row">                                                
                                                <div class="col-md-12">
                                                    <div class="form-group">                                                       
                                                        <div class="d-flex flex-wrap mt-1 mb-1">
                                                            <div class="form-check mt-0 mb-0">
                                                                <label class="form-check-label">
                                                                  <!--<input type="radio" class="form-check-input flsa_action_type" name="opt_flsa_action_type" id="opt_flsa_action_type1" value="daily_overtime" checked>-->
                                                                  <input type="checkbox" class="form-check-input flsa_action_type" id="opt_flsa_action_type1" name="opt_flsa_action_type1" value="1" >
                                                                  Allow daily overtime after &nbsp;
                                                                <i class="input-helper"></i></label>

                                                            </div>
                                                            <div class="mt-0 mb-0">
                                                                <input type="text" class="form-control1 only-numeric" maxlength="2" size="2" id="text_action_val1" name="text_action_val1"> 
                                                            </div> 
                                                            <div class="mt-0 mb-0">
                                                                <lablel>&nbsp;hours in a 24 hours period on a work day</lablel>
                                                            </div> 
                                                        </div>                                                              
                                                        
                                                        <div class="d-flex flex-wrap mt-1 mb-1 ">
                                                            <div class="form-check mt-0 mb-0">
                                                                <label class="form-check-label">
                                                                  <!--<input type="radio" class="form-check-input flsa_action_type" name="opt_flsa_action_type" id="opt_flsa_action_type2" value="weekly_overtime">-->
                                                                    <input type="checkbox" class="form-check-input flsa_action_type" id="opt_flsa_action_type2" name="opt_flsa_action_type2" value="1" >
                                                                  Allow weekly overtime after &nbsp;
                                                                <i class="input-helper"></i></label>
                                                            </div>
                                                            <div class="mt-0 mb-0">
                                                                <input type="text" class="form-control1 only-numeric" maxlength="2" size="2" id="text_action_val2"  name="text_action_val2"  > 
                                                            </div> 
                                                            <div class="mt-0 mb-0">
                                                                <lablel> &nbsp; hours in a 40 hours in a work week</lablel>
                                                            </div> 
                                                        </div>
                                                        
                                                        
                                                        <div class="d-flex flex-wrap mt-1 mb-1 ">
                                                            <div class="form-check mt-0 mb-0">
                                                                <label class="form-check-label">
                                                                  <!--<input type="radio" class="form-check-input flsa_action_type" name="opt_flsa_action_type" id="opt_flsa_action_type3" value="weekly_doubletime24">-->
                                                                    <input type="checkbox" class="form-check-input flsa_action_type" id="opt_flsa_action_type3" name="opt_flsa_action_type3" value="1" >
                                                                  Allow daily doubletime after &nbsp;
                                                                <i class="input-helper"></i></label>
                                                            </div>
                                                            <div class="mt-0 mb-0">
                                                                <input type="text" class="form-control1 only-numeric" maxlength="2" size="2" id="text_action_val3" name="text_action_val3" >
                                                            </div> 
                                                            <div class="mt-0 mb-0">
                                                                <lablel>&nbsp;hours in a 24 hours period on a work day</lablel>
                                                            </div>
                                                        </div>
                                                        
                                                        <div class="d-flex flex-wrap mt-1 mb-1 ">
                                                            <div class="form-check mt-0 mb-0">
                                                                <label class="form-check-label">
                                                                  <!--<input type="radio" class="form-check-input flsa_action_type" name="opt_flsa_action_type" id="opt_flsa_action_type4" name="text_action_val4" value="weekly_doubletime40">-->
                                                                    <input type="checkbox" class="form-check-input flsa_action_type" id="opt_flsa_action_type4" name="opt_flsa_action_type4" value="1" >
                                                                  Allow weekly doubletime after &nbsp;
                                                                <i class="input-helper"></i></label>
                                                            </div>
                                                            <div class="mt-0 mb-0">
                                                                <input type="text" class="form-control1 only-numeric" maxlength="2" size="2" id="text_action_val4" name="text_action_val4" > 
                                                            </div> 
                                                            <div class="mt-0 mb-0">
                                                                <lablel> &nbsp; hours in a 40 hours in a work week</lablel>
                                                            </div>                                                              
                                                        </div>
                                                        
                                                    </div>
                                                </div>
                                                
                                                <div class="ml-3">
                                                    <h4 class="card-title mb-3">State Specific Rules - Covers all state specific rules in addition of FLSA</h4>
                                                </div>    
                                                
                                                
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label">
                                                              <!--<input type="radio" class="form-check-input" name="opt_state_action_type" id="opt_state_action_type1" value="5times_8" checked>-->
                                                                <input type="checkbox" class="form-check-input" id="opt_state_action_type1" name="opt_state_action_type1" value="1" >
                                                              1.5 X hourly rate for the first 8 hours on the seventh consecutive day and 40 hours in a work week
                                                            <i class="input-helper"></i></label>
                                                        </div>
                                                        <div class="form-check">
                                                            <label class="form-check-label">
                                                              <!--<input type="radio" class="form-check-input" name="opt_state_action_type" id="opt_state_action_type2" value="2times_12">-->
                                                                <input type="checkbox" class="form-check-input" id="opt_state_action_type2" name="opt_state_action_type2" value="1" >
                                                              2 X hourly rate for over 12 hours work day in a 24 hours period on a work day
                                                            <i class="input-helper"></i></label>
                                                        </div>
                                                        <div class="form-check">
                                                            <label class="form-check-label">
                                                              <!--<input type="radio" class="form-check-input" name="opt_state_action_type" id="opt_state_action_type3" value="2times_8">-->
                                                                <input type="checkbox" class="form-check-input" id="opt_state_action_type3" name="opt_state_action_type3" value="1" >
                                                              2 X hourly rate for over 8 hours work day on the seventh consecutive day of the work
                                                            <i class="input-helper"></i></label>
                                                        </div>
                                                        <div class="form-check">
                                                            <label class="form-check-label">
                                                              <!--<input type="radio" class="form-check-input" name="opt_state_action_type" id="opt_state_action_type4" value="1.5times_7th">-->
                                                                <input type="checkbox" class="form-check-input" id="opt_state_action_type4" name="opt_state_action_type4" value="1" >
                                                            1.5 X hourly rate for all time worked on the seventh consecutive day of the work
                                                            <i class="input-helper"></i></label>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" >
                                                                <input type="checkbox" class="form-check-input" id="chk_cto" name="chk_cto" value="1" >
                                                                Allow Compensatory Time off in lieu of Overtime
                                                              <i class="input-helper" ></i>
                                                            </label>
                                                        </div>
                                                        
                                                        <div class="d-flex flex-wrap mt-1 mb-1 ">
                                                            <div class="form-check mt-0 mb-0">
                                                                <label class="form-check-label" >
                                                                    <input type="checkbox" class="form-check-input" id="chk_ot_hours" name="chk_ot_hours" value="1">
                                                                    Do not allow more than &nbsp; 
                                                                  <i class="input-helper" ></i>
                                                                </label>
                                                            </div>
                                                            <div class="mt-0 mb-0">
                                                                <input type="text" class="form-control1 only-numeric" maxlength="2" size="2" id="text_ot_hours_limit" name="text_ot_hours_limit" value=""> 
                                                            </div> 
                                                            <div class="mt-0 mb-0">
                                                                <lablel> &nbsp; hours of overtime on Per Pay Period basis.</lablel>
                                                            </div>
                                                            
                                                        </div>                                                        
                                                    </div>    
                                                    
                                                </div>
                                            </div>        
                                            
					<!--</div>	-->
                                        
                                        <div class="row">
                                            <div class="col-md-11 text-center">
                                                <label id="msg_save" class="badge badge-info" ></label>
                                            </div>
                                            <div class="col-md-1 text-right">
                                                    <input class="btn btn-primary btn-sm" type="button" value="Save" id="cmdSave" name="cmdSave">
                                            </div>
                                        </div>
                                    </form>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>   
         <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
        <!-- container-scroller ends-->
    </div>
        <!-- container-scroller page-body-wrapper ends-->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    <script src="vendors/dropify/dropify.min.js"></script>   
    <script src="js/dropify.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
  <!-- endinject -->  
    <script>
       
         $(document).ready(function()
        {
            $("#opt_flsa_action_type3").attr("disabled",true);
            $("#opt_flsa_action_type4").attr("disabled",true);            
            
            $("#text_action_val1").attr("disabled",true);
            $("#text_action_val2").attr("disabled",true);
            $("#text_action_val3").attr("disabled",true);
            $("#text_action_val4").attr("disabled",true);    
            
            $("#text_ot_hours_limit").attr("disabled",true);  
              
            DisplayData();
            
        });  
        
        function DisplayData()
        {
            $.ajax({
            url: "ajax2.php",
            method: "POST",
            data: {REQUEST: 'get_overtime_policy_data'},
            success: function (response)
            {  
                console.log(response);
                if (!jQuery.isEmptyObject(response.overtime_data))
                { 
                    
                    $("#opt_flsa_action_type1").prop("checked",response.overtime_data['flsa_action_type1']=="Y"?true:false);
                    $("#opt_flsa_action_type2").prop("checked",response.overtime_data['flsa_action_type2']=="Y"?true:false);
                    $("#opt_flsa_action_type3").prop("checked",response.overtime_data['flsa_action_type3']=="Y"?true:false);
                    $("#opt_flsa_action_type4").prop("checked",response.overtime_data['flsa_action_type4']=="Y"?true:false);


                    $("#opt_state_action_type1").prop("checked",response.overtime_data['state_action_type1']=="Y"?true:false);
                    $("#opt_state_action_type2").prop("checked",response.overtime_data['state_action_type2']=="Y"?true:false);
                    $("#opt_state_action_type3").prop("checked",response.overtime_data['state_action_type3']=="Y"?true:false);
                    $("#opt_state_action_type4").prop("checked",response.overtime_data['state_action_type4']=="Y"?true:false);

                    $("#chk_cto").prop("checked",response.overtime_data['allow_cto']=="Y"?true:false);
                    $("#chk_ot_hours").prop("checked",response.overtime_data['ot_hours_flag']=="Y"?true:false);

                    $("#text_action_val1").val(response.overtime_data['flsa_action_value1']);
                    $("#text_action_val2").val(response.overtime_data['flsa_action_value2']);
                    $("#text_action_val3").val(response.overtime_data['flsa_action_value3']);
                    $("#text_action_val4").val(response.overtime_data['flsa_action_value4']);
                    $("#text_ot_hours_limit").val(response.overtime_data['ot_hours_limit']);
                    $("#opt_flsa_action_type1").change();
                    $("#opt_flsa_action_type2").change();
                    $("#opt_flsa_action_type3").change();
                    $("#opt_flsa_action_type4").change();
                    $("#chk_ot_hours").change();

                    $("#cmdEyeIcon").attr('data-content', response.data_content_eye_icon);
                    if(response.overtime_data['user_role']=="Manager")
                    {
                        $("#form1 :input").prop("disabled", true);
                    }
                }
            }

            });

        }

        $("#opt_flsa_action_type1").change(function()
        {
            if($(this).prop("checked") == true)
            {
                $("#text_action_val1").attr("disabled",false);
                $("#opt_flsa_action_type3").attr("disabled",false);
            }
            else
            {
                $("#text_action_val1").attr("disabled",true);
                $("#opt_flsa_action_type3").attr("disabled",true);
                $("#opt_flsa_action_type3").prop("checked",false);
                $("#text_action_val1").val("");
                $("#text_action_val3").val("");
            }
        });
        
        $("#opt_flsa_action_type2").change(function()
        {
            if($(this).prop("checked") == true)
            {
                $("#text_action_val2").attr("disabled",false);
                $("#opt_flsa_action_type4").attr("disabled",false);
            }
            else
            {
                $("#text_action_val2").attr("disabled",true);
                $("#opt_flsa_action_type4").attr("disabled",true);
                $("#opt_flsa_action_type4").prop("checked",false);
                $("#text_action_val2").val("");
                $("#text_action_val4").val("");
            }
        });
        
        $("#opt_flsa_action_type3").change(function()
        {
            if($(this).prop("checked") == true)
            {
                $("#text_action_val3").attr("disabled",false);                
            }
            else
            {
                $("#text_action_val3").attr("disabled",true);                
                $("#text_action_val3").val("");
            }
        });
        
        $("#opt_flsa_action_type4").change(function()
        {
            if($(this).prop("checked") == true)
            {
                $("#text_action_val4").attr("disabled",false);                
            }
            else
            {
                $("#text_action_val4").attr("disabled",true);                
                $("#text_action_val4").val("");
            }
        });
        $("#chk_ot_hours").change(function()
        {
            if($(this).prop("checked") == true)
            {
                $("#text_ot_hours_limit").attr("disabled",false);                
            }
            else
            {
                $("#text_ot_hours_limit").attr("disabled",true);                
                $("#text_ot_hours_limit").val("");
            }
        });
      
       
       $("#cmdSave").click(function()
       {
            $("#div_msg").text('');
            
            if($("#chk_ot_hours").prop("checked")==true && $("#text_ot_hours_limit").val()=="")
            {
                $("#div_msg").text('Please enter hours of overtime on per pay period basis');
                $("#text_ot_hours_limit").focus();
                return false;
            }
            
            var formdata = $('#form1').serialize();     
            if($("#div_msg").text()!='')
            {
                return false;
            }
            if($("#div_msg").text()=='')
            {
                $.ajax({
                 url: "ajax2.php",
                 method: "POST",
                 data: {REQUEST: 'save_overtime_policy_data',form1: formdata},
                 success: function (response)
                 {  
                     console.log(response);
                     $("#msg_save").text("Record has been saved.");
                     $("#msg_save").show().delay(5000).fadeOut();
                     DisplayData();
                 }
                });
            }    
       });
       
       $("#text_action_val1").change(function()
       {
           $("#div_msg").text('');
           var current_val = $("#text_action_val1").val();
           if(parseFloat(current_val) > 24 )
           {
               $("#div_msg").text('Value cannot be grater than 24');
               $("#text_action_val1").focus();
               return false;
           }
       });
       
       $("#text_action_val2").change(function()
       {
           $("#div_msg").text('');
           var current_val = $("#text_action_val2").val();
           if(parseFloat(current_val) > 40 )
           {
               $("#div_msg").text('Value cannot be grater than 24');
               $("#text_action_val2").focus();
               return false;
           }
       });
       $("#text_action_val3").change(function()
       {
           $("#div_msg").text('');
           var current_val = $("#text_action_val3").val();
           if(parseFloat(current_val) > 24 )
           {
               $("#div_msg").text('Value cannot be grater than 24');
               $("#text_action_val3").focus();
               return false;
           }
       });
       
       $("#text_action_val4").change(function()
       {
           $("#div_msg").text('');
           var current_val = $("#text_action_val4").val();
           if(parseFloat(current_val) > 40 )
           {
               $("#div_msg").text('Value cannot be grater than 24');
               $("#text_action_val4").focus();
               return false;
           }
       });
       
       
       
    </script>
      
</body>

</html>
