<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if(CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
if($_SESSION['login_user_array']['user_role']=="User"){
	header("location:admin.php");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
<link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
<!--<link href="https://davidstutz.de/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" rel="stylesheet"/>-->
<link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="vendors/js/vendor.bundle.base.js"></script>
<style>
.myclass1 {
	padding: 0.25rem 0 !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active">Project Analytics & Report</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 mx-auto">
						<div class="card">
							<div class="card-body">
								<ul class="nav nav-tabs" role="tablist">
									<li class="nav-item"> <a class="nav-link active" id="tab1" data-toggle="tab" href="#tab1_content" role="tab" aria-controls="tab1" aria-selected="true" >Project Navigator</a> </li>
									<li class="nav-item"> <a class="nav-link" id="tab2" data-toggle="tab" href="#tab2_content" role="tab" aria-controls="tab2" aria-selected="false">Reports</a> </li>
									<?php /*?><li class="nav-item"> <a class="nav-link" id="tab3" data-toggle="tab" href="#tab3_content" role="tab" aria-controls="tab3" aria-selected="false">Status Reports</a> </li>
									<li class="nav-item"> <a class="nav-link" id="tab4" data-toggle="tab" href="#tab4_content" role="tab" aria-controls="tab4" aria-selected="false">Project Performance Reports</a> </li>
									<li class="nav-item"> <a class="nav-link" id="tab5" data-toggle="tab" href="#tab5_content" role="tab" aria-controls="tab5" aria-selected="false">Setup Reports</a> </li>
									<li class="nav-item"> <a class="nav-link" id="tab6" data-toggle="tab" href="#tab6_content" role="tab" aria-controls="tab6" aria-selected="false">Audit Trails</a> </li><?php */?>
									<?php /*?><li class="nav-item"> <a class="nav-link" id="tab7" data-toggle="tab" href="#tab7_content" role="tab" aria-controls="tab7" aria-selected="false">Billing & Admin Reports</a> </li><?php */?>
								</ul>
								<div class="tab-content">
									<div class="tab-pane fade show active" id="tab1_content" role="tabpanel" aria-labelledby="tab1">
										<div class="row">
											<div class="col-md-6">
												<h4 class="">Projects</h4>
												<select class="js-example-basic-single form-control requirefieldcls combo-bold" name="combo_project_id" id="combo_project_id" style="width:100%;">
													<option value="">--Please Select--</option>
													<?php
													$where_project = "";
													if($_SESSION['login_user_array']['user_role']=="User"){
														$where_project = "
															AND
															(
																project_id 
																	IN 
																	(
																		SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN  (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
																	)
																OR
																project_id 
																	IN 
																	(
																		SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
																	)
															)
														";
													}
													$selectQuery 	= "
														SELECT 
															*
														FROM 
															`cxs_projects` 
														WHERE 
															company_id='".$_SESSION['login_user_array']['company_id']."' 
															$where_project
														ORDER BY 
															project_number
													";
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													$counter = 0;
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
															$counter++;
															$project_id		= $rows['project_id'];
															$project_number	= $rows['project_number'];
															$project_name	= $rows['project_name'];
															$project_schedule_start_date= ($rows['schedule_start_date']!="0000-00-00")?setDate($rows['schedule_start_date'],"m/d/Y"):"";
															$project_schedule_end_date	= ($rows['schedule_end_date']!="0000-00-00")?setDate($rows['schedule_end_date'],"m/d/Y"):"";
															$kpi_flag					= "";
															/****************/
															$kpi_flag_arr = getKPIFlag($rows["project_id"],0);
															$flag = setFlag($kpi_flag_arr,1);
															/****************/
														?>
														<option 
															value="<?php echo $project_id; ?>" 
															data-project_name="<?php echo $project_name; ?>" 
															data-project_number="<?php echo $project_number; ?>" 
															data-project_schedule_start_date="<?php echo $project_schedule_start_date; ?>" 
															data-project_schedule_end_date="<?php echo $project_schedule_end_date; ?>"
															data-flag="<?php echo $flag; ?>"
														>
															<?php echo $project_number." : ".$project_name; ?>
															
														</option>
														<?php
														}
													}
													?>
												</select>
											</div>
											<div class="col-md-2">
												
												<button class="btn btn-primary btn-icon mt-4" title="Submit New Change Request" id="favoriteDropdown" data-toggle="dropdown"><i class="fa fa-ellipsis-v"></i> </button>
												<div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="favoriteDropdown"> <a class="dropdown-item preview-item myclass1">
													<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Excel</p>
													</a> <a class="dropdown-item preview-item myclass1">
													<p class="mb-0 myclass font-weight-normal float-left dropdown-header">PDF</p>
													</a> <a class="dropdown-item preview-item myclass1">
													<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Email</p>
													</a> <a class="dropdown-item preview-item myclass1">
													<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Save Output</p>
													</a> <a class="dropdown-item preview-item myclass1">
													<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Share With Teams</p>
													</a> <a class="dropdown-item preview-item myclass1">
													<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Announce</p>
													</a> </div>
											</div>
											
										</div>
										<div class="row" id="project_data" style="display:none;">
											<div class="col-md-12 pt-4" >
												<div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border ml-0 mr-0" style="border-color: #000000 !important;" >
													<div class="form-group mb-0">
														<label class="pl-2">Project Id :</label>
														<label class="pr-4 project_number"></label>
													</div>
													<div class="form-group mb-0">
														<label class="pl-2">Project Scheduled Start Date :</label>
														<label class="pr-4 project_schedule_start_date"></label>
													</div>
													<div class="form-group mb-0">
														<label class="pl-2">Project Scheduled End Date :</label>
														<label class="pr-4 project_schedule_end_date"></label>
													</div>
													<div class="form-group mb-0">
														<a href="javascript:void(0);" title="View Project Details" id="btn_project_detail" class="btn" target="_blank" style="padding:0;"><i class="fa fa-external-link" style="font-size: 20px;"></i></a>
													</div>
												</div>
											</div>
										</div>
										<div class="row mt-4">
											<div class="col-md-12">
												<div class="card">
													<div class="card-body">
														<div class="d-flex flex-wrap justify-content-between pb-2">
															<h4 class="card-title mb-3">Project Navigator</h4>
														</div>
														<div class="row pl-3">
															<div class="form-inline">
																<div class="form-check pb-2 pr-3">
																	<label class="form-check-label">
																	<input type="radio" class="form-check-input" name="project_navigator" id="radio1" value="Task View" checked="">
																	Task View <i class="input-helper"></i></label>
																</div>
																<div class="form-check pb-2 pr-3">
																	<label class="form-check-label">
																	<input type="radio" class="form-check-input" name="project_navigator" id="radio2" value="Resources View" >
																	Resources View <i class="input-helper"></i></label>
																</div>
																<div class="form-check pb-2 pr-3">
																	<label class="form-check-label">
																	<input type="radio" class="form-check-input" name="project_navigator" id="radio3" value="Requirements View" >
																	Requirements View <i class="input-helper"></i></label>
																</div>
																<div class="form-check pb-2 pr-3">
																	<label class="form-check-label">
																	<input type="radio" class="form-check-input" name="project_navigator" id="radio4" value="Change Requests View" >
																	Change Requests View <i class="input-helper"></i></label>
																</div>
																<div class="form-check pb-2 pr-3">
																	<label class="form-check-label">
																	<input type="radio" class="form-check-input" name="project_navigator" id="radio5" value="Stakeholders View" >
																	Stakeholders View <i class="input-helper"></i></label>
																</div>
																<div class="form-check pb-2 pr-3">
																	<label class="form-check-label">
																	<input type="radio" class="form-check-input" name="project_navigator" id="radio6" value="Risks View" >
																	Risks View <i class="input-helper"></i></label>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
										<?php /*?><div class="accordion" id="accordion_project_schedule" role="tablist">
											<div class="card">
												<div class="card-header pb-3" role="tab" id="heading-1">
													<h4 class="card-title "> <a class="collapsed" data-toggle="collapse" href="#collapse-project-schedule" aria-expanded="false" aria-controls="collapse-project-schedule" style="font-size: 1.125rem;font-weight: 600;"> Generate Project Schedule </a> </h4>
												</div>
												<div id="collapse-project-schedule" class="collapse " role="tabpanel" aria-labelledby="heading-1" data-parent="#accordion_project_schedule">
													<div class="card-body">
														<div class="form-inline" >
															<div class="form-check pr-5">
																<label class="form-check-label" style="line-height: 0.8;">
																<input type="checkbox" class="form-check-input" disabled="disabled" checked>
																Project & Tasks (required) <i class="input-helper" ></i> </label>
															</div>
															<div class="form-check pr-5">
																<label class="form-check-label" style="line-height: 0.8;">
																<input type="checkbox" class="form-check-input" >
																Requirements <i class="input-helper" ></i> </label>
															</div>
															<div class="form-check pr-5">
																<label class="form-check-label" style="line-height: 0.8;">
																<input type="checkbox" class="form-check-input" >
																Resources <i class="input-helper" ></i> </label>
															</div>
															<div class="form-check pr-5">
																<label class="form-check-label" style="line-height: 0.8;">
																<input type="checkbox" class="form-check-input" >
																Schedule Dates <i class="input-helper" ></i> </label>
															</div>
															<div class="form-check pr-5">
																<label class="form-check-label" style="line-height: 0.8;">
																<input type="checkbox" class="form-check-input" >
																Actual Dates <i class="input-helper" ></i> </label>
															</div>
														</div>
														<div class="pt-4">
															<button class="btn btn-primary btn-sm">Export to Excel</button>
															<button class="btn btn-primary btn-sm">PDF</button>
															<button class="btn btn-primary btn-sm">Download in Microsoft Projects Format</button>
															<button class="btn btn-primary btn-sm">Email as HTML</button>
														</div>
													</div>
												</div>
											</div>
										</div><?php */?>
										
										<div id="results_project_navigator"></div>
										
									</div>
									<div class="tab-pane fade" id="tab2_content" role="tabpanel" aria-labelledby="tab2">
										<div class="row">
											<div class="col-md-6 grid-margin">
												<div class="card">
													<div class="card-body">
														<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
															<h4 class="card-title mb-3">Project Reports</h4>
														</div>
														<div class="row">
															<div class="col-md-12">
																<ul class="expense-report-list">
																	<li>
																		<a href="report_project_and_task_status.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project & Task Status Report</a>
																		<a href="report_project_and_task_status.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_progress_trend_analysis.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Progress Trend Analysis Report</a>
																		<a href="report_progress_trend_analysis.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_project_task_status_report_by_task_owner.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Task by Task Owner Status Report</a>
																		<a href="report_project_task_status_report_by_task_owner.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_requirement_to_task_status.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Requirement to Task Status Report</a>
																		<a href="report_requirement_to_task_status.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_team_performance.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Team Peformance Report</a>
																		<a href="report_team_performance.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_kanban.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Kanban Report</a>
																		<a href="report_kanban.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_performance_benchmark.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Performance Benchmark Report</a>
																		<a href="report_performance_benchmark.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_project_schedule_excel_format.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Schedule – Excel Format</a>
																		<a href="report_project_schedule_excel_format.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	
																</ul>
															</div>
														</div>
													</div>
												</div>
											</div>
											<?php
											$attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
											if($attendance_flag=="Y"){
											?>
											<div class="col-md-6 grid-margin">
												<div class="card">
													<div class="card-body">
														<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
															<h4 class="card-title mb-3">Attendance Tracking Reports</h4>
														</div>
														<div class="row">
															<div class="col-md-12">
																<ul class="expense-report-list">
																	<li>
																		<a href="report_employee_schedules.php?p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i> Employee Schedules</a>
																		<a href="report_employee_schedules.php?p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_attendance.php?catg=all&p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Time Card Report</a>
																		<a href="report_attendance.php?catg=all&p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_attendance.php?catg=reg&p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Regular Time Report</a>
																		<a href="report_attendance.php?catg=reg&p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report-emp-schedule-utilization.php?p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Employee Schedules Utilization Reports</a>
																		<a href="report-emp-schedule-utilization.php?p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_attendance.php?catg=break&p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Break Time Report</a>
																		<a href="report_attendance.php?catg=break&p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_attendance.php?catg=meal&p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Meal Time Report</a>
																		<a href="report_attendance.php?catg=meal&p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_attendance.php?catg=ot&p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Overtime Report</a>
																		<a href="report_attendance.php?catg=ot&p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_attendance.php?catg=leave&p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Leave Usage Report</a>
																		<a href="report_attendance.php?catg=leave&p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="report_attendance.php?catg=missed&p=true"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Missed Time Cards Report</a>
																		<a href="report_attendance.php?catg=missed&p=true" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																</ul>
															</div>
														</div>
													</div>
												</div>
											</div>
											<?php
											}
											?>
											<div class="col-md-6 grid-margin">
												<div class="card">
													<div class="card-body">
														<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
															<h4 class="card-title mb-3">Timekeeping Reports</h4>
														</div>
														<div class="row">
															<div class="col-md-12">
																<ul class="expense-report-list">
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Print Timesheets</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Time Entry by Date Range</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Time Entry Reports by Teams</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Time Entry Summary Reports by Project</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Time Entry Details Report by Project</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Time Entry by Individual User</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Time Entry Activity Trail & Audit Report</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Approved Time Report by Resource</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Approved Time Report by Project</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Rejected Time Report by Resource</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Rejected Time Report by Project</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Timekeeping Report by Timekeeper/Attendance Clerk</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	
																</ul>
															</div>
														</div>
													</div>
												</div>
											</div>
											
											<div class="col-md-6 grid-margin">
												<div class="card">
													<div class="card-body">
														<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
															<h4 class="card-title mb-3">Project Expense Reports</h4>
														</div>
														<div class="row">
															<div class="col-md-12">
																<ul class="expense-report-list">
																	<li>
																		<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Missed Time Cards Report</a>
																		<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																	</li>
																	
																</ul>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="tab-pane fade" id="tab3_content" role="tabpanel" aria-labelledby="tab3">
										<div class="col-lg-12 grid-margin">
											<div class="card">
												<div class="card-body">
													<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
														<h4 class="card-title mb-3">Status Report</h4>
													</div>
													<div class="col-md-5">
														<ul class="expense-report-list">
															<li>
																<a href="report_project_status_to_date_summary.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Status to date Summary Report</a>
																<a href="report_project_status_to_date_summary.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="report_progress_trend_analysis.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Progress Trend Analysis Report</a>
																<a href="report_progress_trend_analysis.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="report_project_task_status_report_by_task_owner.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Task by Task Owner Status Report</a>
																<a href="report_project_task_status_report_by_task_owner.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="report_requirement_to_task_status.php"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Requirement to Task Status Report</a>
																<a href="report_requirement_to_task_status.php" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Overall Team Performance Report</a>
																<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Change Request Status Report</a>
																<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Issue Log Status Report</a>
																<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Stakeholder Status Report</a>
																<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Overdue Task Status Report</a>
																<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Risk Status Report</a>
																<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															
														</ul>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="tab-pane fade" id="tab4_content" role="tabpanel" aria-labelledby="tab4">
										<div class="col-lg-12 grid-margin">
											<div class="card">
												<div class="card-body">
													<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
														<h4 class="card-title mb-3">Project Performance Reports</h4>
													</div>
													<div class="row">
														<div class="col-md-5">
															<ul class="expense-report-list">
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Schedule Variance Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Earned Value Analysis Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Critical Path Tasks Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Overdue Change Request Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Issue Log Impact Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Risk Register</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Progress Analysis Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>High Risk Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Estimate at Completion Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Overdue task Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Kanban Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Overall Requirement Completion Status Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Risk Response Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project budget utilization</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Budgeted Hours by Task Report</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Budget Vs Actual Hours by Task</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
															</ul>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="tab-pane fade" id="tab5_content" role="tabpanel" aria-labelledby="tab5">
										<div class="col-lg-12 grid-margin">
											<div class="card">
												<div class="card-body">
													<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
														<h4 class="card-title mb-3">Setup Reports</h4>
													</div>
													<div class="row">
														<div class="col-md-5">
															<ul class="expense-report-list">
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Setup Report Summary</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Setup Report Detail</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Stakeholders Register</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Requirement Register</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project & Teams</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Change Request Register</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Issue Log</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Risk Register</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Assumptions</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																<li>
																	<a href="javascript:void(0);"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Change Control Board</a>
																	<a href="javascript:void(0);" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
																</li>
																
															</ul>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<?php /*?><div class="tab-pane fade" id="tab6_content" role="tabpanel" aria-labelledby="tab6">
										<div class="col-lg-12 grid-margin">
											<div class="card">
												<div class="card-body">
													<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
														<h4 class="card-title mb-3">Audit Trail Reports</h4>
													</div>
													<div class="row">
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Project Previous Version Summary</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Project Version Change Comparison Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Project Previous Versions Detail Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Project Audit Trail of Changes Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Comparative Change History Analysis Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Task Chronological Progress Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Change History Report  by Task</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Risk Analysis Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Timecard Change History Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Comprehensive Login Report</span> </div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="myshape">
																<div class="shape"> <span>Session Audit Report</span> </div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div><?php */?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /*****************Modal Area*****************/ ?>
<div class="modal fade pr-0" id="modal_report" tabindex="-1" role="dialog" >
		<div class="modal-dialog  modal-xl mt-0" role="document">
			<!--<form id='form1' >-->
			<div class="modal-content">
				<div class="modal-header pt-3 pb-0">
					<button type="button" class="close modal_report_close" data-dismiss="modal" aria-label="Close">&times;</button>
				</div>
				<div class="modal-body pt-2 ">
					<div class="text-center">
						<h2 class="modal-title">Report Title</h2>
						<div>
							<h4 class="modal-title">Report Sub Title</h4>
						</div>
					</div>
					<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
						<div class="form-group">
							<select class="js-example-basic-single " name="combo_project_manager" id="combo_project_manager" style="width:100%">
								<option value="Draft"> Saved Output</option>
								<option value="Draft"> My Output</option>
								<option value="Draft"> Your Output</option>
								<option  value="Draft"> His Output</option>
								<option  value="Draft"> Her Output</option>
							</select>
						</div>
						<div class="form-inline"> 
							<a class="nav-link pl-2 pr-2 count-indicator d-flex justify-content-center align-items-center" id="favoriteDropdown" href="#" data-toggle="dropdown">
								<button class="btn btn-primary btn-sm"><i class="fa fa-ellipsis-v"></i></button>
							</a>
							<div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="favoriteDropdown"> <a class="dropdown-item preview-item myclass1">
								<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Excel</p>
								</a> <a class="dropdown-item preview-item myclass1">
								<p class="mb-0 myclass font-weight-normal float-left dropdown-header">PDF</p>
								</a> <a class="dropdown-item preview-item myclass1">
								<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Email</p>
								</a> <a class="dropdown-item preview-item myclass1">
								<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Save Output</p>
								</a> <a class="dropdown-item preview-item myclass1">
								<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Share With Teams</p>
								</a> <a class="dropdown-item preview-item myclass1">
								<p class="mb-0 myclass font-weight-normal float-left dropdown-header">Announce</p>
								</a> </div>
						</div>
						<div class="col-xl-12 d-flex grid-margin stretch-card pt-3">
							<div class="card">
								<div class="card-body"> Parameter Region </div>
							</div>
						</div>
						<div class="col-xl-12 d-flex grid-margin stretch-card pt-3">
							<div class="card">
								<div class="card-body"> OUTPUT </div>
							</div>
						</div>
					</div>
					<div class="text-right">
						<button type="button" class="btn btn-primary btn-sm modal_report_close" id="" > Close </button>
					</div>
				</div>
			</div>
		</div>
	</div>
<div class="modal fade" id="stakeholders_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg swal-modal mt-2" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Stakeholders</h5>
				<button type="button" class="close stakeholder-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div class="text-center">
							<div class="loading-div-stakeholders">
								<img src="images/891.gif" alt="Loading...">
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<div id="results_stakeholders"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /*****************Modal Area*****************/ ?>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
<script src="js/bootstrap-multiselect.js"></script>
<script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
<script src="datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="vendors/tinymce/tinymce.min.js"></script>
<script src="dist/jquery-simple-tree-table.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>
</html>
<script>
$('.form_datetime').datepicker({
	format:'mm/dd/yyyy',
	defaultDate: '',
	autoclose : true
});

/*$("#radio1").click(function()
{
    $("#tab1_title").html("Task View");
    $("#table_stakeholder_req_tasks tbody").empty();
    var row1='<tr data-node-id="1"><td class="pb-3" >Task1</td></tr>';
    var row2='<tr  data-node-id="1.1" data-node-pid="1"><td class="pb-3">Team</td></tr>';
    var row3='<tr  data-node-id="1.2" data-node-pid="1"><td class="pb-3">Stakeholders</td></tr>';
    var row4='<tr  data-node-id="1.3" data-node-pid="1"><td class="pb-3">Requirements</td></tr>';
    var row5='<tr  data-node-id="1.4" data-node-pid="1"><td class="pb-3">Change requests</td></tr>';
    var row6='<tr  data-node-id="1.5" data-node-pid="1"><td class="pb-3">Issues</td></tr>';
    var row7='<tr  data-node-id="1.6" data-node-pid="1"><td class="pb-3">Risks</td></tr>';
    var row8='<tr  data-node-id="1.7" data-node-pid="1"><td class="pb-3">Announcements</td></tr>';
    var row9='<tr data-node-id="2"><td class="pb-3" >Task2</td></tr>';
    var row10='<tr data-node-id="3"><td class="pb-3" >Task3</td></tr>';
    var row11='<tr data-node-id="4"><td class="pb-3" >Task4</td></tr>';
   $("#table_stakeholder_req_tasks").append(row1+row2+row3+row4+row5+row6+row7+row8+row9+row10+row11);
   
   $('#table_stakeholder_req_tasks').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        store: 'session',
        storeKey: 'simple-tree-table-basic'
    });
   
});

$("#radio2").click(function()
{
   $("#tab1_title").html("Resources View");
   
   $("#table_stakeholder_req_tasks tbody").empty();
    var row1='<tr data-node-id="1"><td class="pb-3" >Resource 1</td></tr>';    
    var row3='<tr  data-node-id="1.2" data-node-pid="1"><td class="pb-3">Stakeholders</td></tr>';
    var row4='<tr  data-node-id="1.3" data-node-pid="1"><td class="pb-3">Requirements</td></tr>';
    var row5='<tr  data-node-id="1.4" data-node-pid="1"><td class="pb-3">Change requests</td></tr>';
    var row6='<tr  data-node-id="1.5" data-node-pid="1"><td class="pb-3">Issues</td></tr>';
    var row7='<tr  data-node-id="1.6" data-node-pid="1"><td class="pb-3">Risks</td></tr>';
    var row8='<tr  data-node-id="1.7" data-node-pid="1"><td class="pb-3">Announcements</td></tr>';
    var row9='<tr data-node-id="2"><td class="pb-3" >Resource 2</td></tr>';
    var row10='<tr data-node-id="3"><td class="pb-3" >Resource 3</td></tr>';
    var row11='<tr data-node-id="4"><td class="pb-3" >Resource 4</td></tr>';
   $("#table_stakeholder_req_tasks").append(row1+row3+row4+row5+row6+row7+row8+row9+row10+row11);
   
   $('#table_stakeholder_req_tasks').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        store: 'session',
        storeKey: 'simple-tree-table-basic'
    });
});

$("#radio3").click(function()
{
   $("#tab1_title").html("Requirements View");
   
   $("#table_stakeholder_req_tasks tbody").empty();
    var row1='<tr data-node-id="1"><td class="pb-3" >Requirements 1</td></tr>';
    var row2='<tr  data-node-id="1.1" data-node-pid="1"><td class="pb-3">Task</td></tr>';
    var row3='<tr  data-node-id="1.2" data-node-pid="1"><td class="pb-3">Team</td></tr>';
    var row4='<tr  data-node-id="1.3" data-node-pid="1"><td class="pb-3">Stakeholders</td></tr>';    
    var row5='<tr  data-node-id="1.4" data-node-pid="1"><td class="pb-3">Change requests</td></tr>';
    var row6='<tr  data-node-id="1.5" data-node-pid="1"><td class="pb-3">Issues</td></tr>';
    var row7='<tr  data-node-id="1.6" data-node-pid="1"><td class="pb-3">Risks</td></tr>';
    var row8='<tr  data-node-id="1.7" data-node-pid="1"><td class="pb-3">Announcements</td></tr>';
    var row9='<tr data-node-id="2"><td class="pb-3" >Requirements 2</td></tr>';
    var row10='<tr data-node-id="3"><td class="pb-3" >Requirements 3</td></tr>';
    var row11='<tr data-node-id="4"><td class="pb-3" >Requirements 4</td></tr>';
   $("#table_stakeholder_req_tasks").append(row1+row2+row3+row4+row5+row6+row7+row8+row9+row10+row11);
   
   $('#table_stakeholder_req_tasks').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        store: 'session',
        storeKey: 'simple-tree-table-basic'
    });
    
});


$("#radio4").click(function()
{
   $("#tab1_title").html("Change Requests View");
   
   $("#table_stakeholder_req_tasks tbody").empty();
    var row1='<tr data-node-id="1"><td class="pb-3" >Change requests 1</td></tr>';
    var row2='<tr  data-node-id="1.1" data-node-pid="1"><td class="pb-3">Task</td></tr>';
    var row3='<tr  data-node-id="1.2" data-node-pid="1"><td class="pb-3">Team</td></tr>';
    var row4='<tr  data-node-id="1.3" data-node-pid="1"><td class="pb-3">Stakeholders</td></tr>';
    var row5='<tr  data-node-id="1.4" data-node-pid="1"><td class="pb-3">Requirements</td></tr>';    
    var row6='<tr  data-node-id="1.5" data-node-pid="1"><td class="pb-3">Issues</td></tr>';
    var row7='<tr  data-node-id="1.6" data-node-pid="1"><td class="pb-3">Risks</td></tr>';
    var row8='<tr  data-node-id="1.7" data-node-pid="1"><td class="pb-3">Announcements</td></tr>';
    var row9='<tr data-node-id="2"><td class="pb-3" >Change requests 2</td></tr>';
    var row10='<tr data-node-id="3"><td class="pb-3" >Change requests 3</td></tr>';
    var row11='<tr data-node-id="4"><td class="pb-3" >Change requests 4</td></tr>';
   $("#table_stakeholder_req_tasks").append(row1+row2+row3+row4+row5+row6+row7+row8+row9+row10+row11);
   
   $('#table_stakeholder_req_tasks').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        store: 'session',
        storeKey: 'simple-tree-table-basic'
    });
    
});

$("#radio5").click(function()
{
   $("#tab1_title").html("Stakholders View");
   
   $("#table_stakeholder_req_tasks tbody").empty();
    var row1='<tr data-node-id="1"><td class="pb-3" >Stakeholders Group 1</td></tr>';
    var row2='<tr  data-node-id="1.1" data-node-pid="1"><td class="pb-3">Task</td></tr>';
    var row3='<tr  data-node-id="1.2" data-node-pid="1"><td class="pb-3">Team</td></tr>';
    var row4='<tr  data-node-id="1.3" data-node-pid="1"><td class="pb-3">Requirements</td></tr>';
    
    var row5='<tr  data-node-id="1.4" data-node-pid="1"><td class="pb-3">Change requests</td></tr>';
    var row6='<tr  data-node-id="1.5" data-node-pid="1"><td class="pb-3">Issues</td></tr>';
    var row7='<tr  data-node-id="1.6" data-node-pid="1"><td class="pb-3">Risks</td></tr>';
    var row8='<tr  data-node-id="1.7" data-node-pid="1"><td class="pb-3">Announcements</td></tr>';
    var row9='<tr data-node-id="2"><td class="pb-3" >Stakeholders Group 2</td></tr>';
    var row10='<tr data-node-id="3"><td class="pb-3" >Stakeholders Group 3</td></tr>';    
   $("#table_stakeholder_req_tasks").append(row1+row2+row3+row4+row5+row6+row7+row8+row9+row10);
   
   $('#table_stakeholder_req_tasks').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        store: 'session',
        storeKey: 'simple-tree-table-basic'
    });
    
});
   

$("#radio6").click(function()
{
   $("#tab1_title").html("Risks View");
   
    $("#table_stakeholder_req_tasks tbody").empty();
    var row1='<tr data-node-id="1"><td class="pb-3" >Risks 1</td></tr>';
    var row2='<tr  data-node-id="1.1" data-node-pid="1"><td class="pb-3">Task</td></tr>';
    var row3='<tr  data-node-id="1.2" data-node-pid="1"><td class="pb-3">Team</td></tr>';
    var row4='<tr  data-node-id="1.3" data-node-pid="1"><td class="pb-3">Stakeholders</td></tr>';
    var row5='<tr  data-node-id="1.4" data-node-pid="1"><td class="pb-3">Requirements</td></tr>';
    var row6='<tr  data-node-id="1.5" data-node-pid="1"><td class="pb-3">Change requests</td></tr>';
    var row7='<tr  data-node-id="1.6" data-node-pid="1"><td class="pb-3">Issues</td></tr>';    
    var row8='<tr  data-node-id="1.7" data-node-pid="1"><td class="pb-3">Announcements</td></tr>';
    var row9='<tr data-node-id="2"><td class="pb-3" >Risks 2</td></tr>';
    var row10='<tr data-node-id="3"><td class="pb-3" >Risks 3</td></tr>';    
   $("#table_stakeholder_req_tasks").append(row1+row2+row3+row4+row5+row6+row7+row8+row9+row10);
   
   $('#table_stakeholder_req_tasks').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        store: 'session',
        storeKey: 'simple-tree-table-basic'
    });
});

$("#radio7").click(function()
{
   $("#tab1_title").html("Process Groups view");
   
   $("#table_stakeholder_req_tasks tbody").empty();
   
    var row1='<tr data-node-id="1"><td class="pb-3" >Initiation</td></tr>';
    var row2='<tr data-node-id="1.1"><td class="pb-3" >Task</td></tr>';
    var row3='<tr  data-node-id="1.2" data-node-pid="1"><td class="pb-3">Team</td></tr>';
    var row4='<tr  data-node-id="1.3" data-node-pid="1"><td class="pb-3">Requirements</td></tr>';
    var row5='<tr  data-node-id="1.4" data-node-pid="1"><td class="pb-3">Stakeholders</td></tr>';    
    var row6='<tr  data-node-id="1.5" data-node-pid="1"><td class="pb-3">Change requests</td></tr>';
    var row7='<tr  data-node-id="1.6" data-node-pid="1"><td class="pb-3">Issues</td></tr>';
    var row8='<tr  data-node-id="1.7" data-node-pid="1"><td class="pb-3">Risks</td></tr>';
    var row9='<tr  data-node-id="1.8" data-node-pid="1"><td class="pb-3">Announcements</td></tr>';
    var row10='<tr data-node-id="2"><td class="pb-3" >Planning</td></tr>';    
   $("#table_stakeholder_req_tasks").append(row1+row2+row3+row4+row5+row6+row7+row8+row9+row10);
   
   $('#table_stakeholder_req_tasks').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        store: 'session',
        storeKey: 'simple-tree-table-basic'
    });
}); */      
  
/*$(document).ready(function(){
	$("#radio1").click(); 
});*/
   
   $(".shape").click(function()
   {
       $("#modal_report").modal("show");
   });
   
   $(".modal_report_close").click(function()
   {
       $('#modal_report').modal('toggle');
   });
   
</script>
<script>
$(document).ready(function(){
	$("#combo_project_id").change(function(){
		if($(this).val()>0){
			$(".project_name").text($(this).find(':selected').data('project_name'));
			$(".project_number").text($(this).find(':selected').data('project_number'));
			$(".project_schedule_start_date").text($(this).find(':selected').data('project_schedule_start_date'));
			$(".project_schedule_end_date").text($(this).find(':selected').data('project_schedule_end_date'));
			$(".project_number").append($(this).find(':selected').data('flag'));
			$("#btn_project_detail").attr("href","project-details.php?project_id="+$(this).val());
			$("#project_data").fadeIn(500);
		}else{
			$(".project_name").text("");
			$(".project_number").text("");
			$(".project_schedule_start_date").text("");
			$(".project_schedule_end_date").text("");
			$("#btn_project_detail").attr("href","javascript:void(0);");
			$("#project_data").fadeOut(500);
		}
		getAnalysisProjectNavigatorData($(this).val());
	});
	/**************************/
	$("input:radio[name=project_navigator]").change(function(){
		getAnalysisProjectNavigatorData($("#combo_project_id").val());
	});
});
/*************************************/
function getAnalysisProjectNavigatorData(project_id){
	var project_navigator = $("input:radio[name=project_navigator]:checked").val();
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST:'get_analysis_project_navigator_data',is_html:true,project_navigator:project_navigator,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_project_navigator").html(response);
				$('[data-toggle="popover"]').popover();
				if(project_navigator=="Task View"){
					/*$(".btn_view_data").click(function(){
						var task_id = $(this).data('val');
						getAnalysisTaskDetails(task_id);
					});*/
					$("#combo_task_id").select2();
					$("#combo_task_id").change(function(){
						var task_id = $(this).val();
						getAnalysisTaskDetails(task_id);
					});
				}else if(project_navigator=="Resources View"){
					/*$(".btn_view_data").click(function(){
						var member_id = $(this).data('val');
						getAnalysisResourceDetails(member_id);
					});*/
					$("#combo_member_id").select2();
					$("#combo_member_id").change(function(){
						var member_id = $(this).val();
						getAnalysisResourceDetails(member_id);
					});
				}else if(project_navigator=="Requirements View"){
					/*$(".btn_view_data").click(function(){
						var req_id = $(this).data('val');
						getAnalysisRequirementDetails(req_id);
					});*/
					$("#combo_req_id").select2();
					$("#combo_req_id").change(function(){
						var req_id = $(this).val();
						getAnalysisRequirementDetails(req_id);
					});
				}else if(project_navigator=="Change Requests View"){
					/*$(".btn_view_data").click(function(){
						var change_req_id = $(this).data('val');
						getAnalysisChangeRequestDetails(change_req_id);
					});*/
					$("#combo_change_req_id").select2();
					$("#combo_change_req_id").change(function(){
						var combo_change_req_id = $(this).val();
						getAnalysisChangeRequestDetails(combo_change_req_id);
					});
				}else if(project_navigator=="Stakeholders View"){
					/*$(".btn_view_data").click(function(){
						var stakeholder_group_id = $(this).data('val');
						getAnalysisStakeholderGroupDetails(stakeholder_group_id);
					});*/
					$("#combo_stakeholder_group_id").select2();
					$("#combo_stakeholder_group_id").change(function(){
						var stakeholder_group_id = $(this).val();
						getAnalysisStakeholderGroupDetails(stakeholder_group_id);
					});
				}else if(project_navigator=="Risks View"){
					/*$(".btn_view_data").click(function(){
						var risk_id = $(this).data('val');
						getAnalysisRiskDetails(risk_id);
					});*/
					$("#combo_risk_id").select2();
					$("#combo_risk_id").change(function(){
						var risk_id = $(this).val();
						getAnalysisRiskDetails(risk_id);
					});
				}
			},500);
			setTimeout(function(){
				var table = $('#table_analysis').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						/*'excel',
						'pdf',*/
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_analysis tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( '.searc', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				});
				/**/
				$("#table_analysis_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisTaskDetails(task_id){
	var project_id = $("#combo_project_id").val();
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST:'get_analysis_task_details_data',is_html:true,project_id:project_id,task_id:task_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_task_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#accordion_team").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
function getAnalysisStakeholdersData(stakeholder_group_id){
	$("#stakeholders_modal").modal('show');
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_analysis_stakeholders_data',is_html:true,stakeholder_group_id1:stakeholder_group_id},
		beforeSend: function() {
			$("#results_stakeholders").fadeOut(500);
			$(".loading-div-stakeholders").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-stakeholders").hide();
				$("#results_stakeholders").html(response);
				$("#results_stakeholders").fadeIn(500);
				setTimeout(function(){
					var table = $('.table_gen2').DataTable( {
						"info": false,
						"paging":false,
						autoWidth: false,             
						buttons: [                  
							[
								/*'excel',
								'pdf',*/
								{
									text: 'Email',
									action: function ( e, dt, node, config ) {
									//$("#modal_email").show(); 
									show_emaimodal();
									}
								}
							]
						]
					}); 
					$(".dataTables_filter").hide();
				},1000);
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisResourceDetails(member_id){
	var project_id = $("#combo_project_id").val();
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST:'get_analysis_resource_details_data',is_html:true,project_id:project_id,member_id:member_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_resource_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#accordion_stakeholder").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisChangeRequestDetails(change_req_id){
	var project_id = $("#combo_project_id").val();
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST:'get_analysis_change_request_details_data',is_html:true,project_id:project_id,change_req_id:change_req_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_change_request_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#accordion_team").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisRequirementDetails(req_id){
	var project_id = $("#combo_project_id").val();
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST:'get_analysis_requirement_details_data',is_html:true,project_id:project_id,req_id:req_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_requirement_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#accordion_team").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisStakeholderGroupDetails(stakeholder_group_id){
	var project_id = $("#combo_project_id").val();
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST:'get_analysis_stakeholder_group_details_data',is_html:true,project_id:project_id,stakeholder_group_id:stakeholder_group_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_stakeholder_group_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#accordion_team").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisRiskDetails(risk_id){
	var project_id = $("#combo_project_id").val();
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST:'get_analysis_risk_details_data',is_html:true,project_id:project_id,risk_id:risk_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_risk_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#accordion_team").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
</script>