<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
$projects_flag		= "";
$user_name 			= "";
$user_image_name 	= "";
$user_img_url		= "";
$pay_period 		= "";
$expense_report_id	= "";
$expense_report_name= "";
$current_year 		= date("Y");
$current_month		= date("m");
$is_all_approved	= 'N';
$is_read_only		= false;
if(isset($_SESSION['expense_images_arr'])){
	unset($_SESSION['expense_images_arr']);
}

if(isset($_GET['expense_report_name']) && $_GET['expense_report_name']!="" && 
	isset($_GET['pay_period']) && $_GET['pay_period']!="" &&
	isset($_GET['user_id']) && $_GET['user_id']!=""){
	$expense_report_name= $_GET['expense_report_name'];
	$pay_period 		= $_GET['pay_period'];
	$user_id 			= $_GET['user_id'];

	$user_id 			= getvalue("cxs_user","user_id"," WHERE md5(user_id)='".$user_id."'");
	
	$selectQuery 	= "SELECT * FROM `cxs_expense_entry_header` WHERE expense_report_name='".$expense_report_name."' AND user_id='".$user_id."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows			= mysqli_fetch_assoc($RunUserQuery);
		
		$pay_period			= $rows["pay_period"];
		$is_all_approved	= $rows["is_approved"];
		$expense_report_id 	= $rows["expense_report_id"];
		if($user_id!=$_SESSION['login_user_array']['user_id']){
			$is_read_only		= true;
			
			/*****************Save Log - Expense Report Viewed*****************/
			$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
			$date = new DateTime("now", new DateTimeZone($currTz) );
			$curTime = $date->format('Y-m-d H:i:s');
			
			$module_name 		= "expense_report";
			$module_field_id	= $expense_report_id;
			$notes				= "Expense Report : ".$expense_report_name." viewed by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
			saveLogs($module_name,$module_field_id,$notes);
			/*****************Save Log - Expense Report Viewed*****************/
		}
		if(isset($_GET["nid"]) && $_GET["nid"]>0){
			$nid = intval($_GET["nid"]);
			readNotification($nid);
		}
	}else{
		header("Location:".SITEURL."expense-tracking/reports/expense-entry/");
	}
}else{
	header("Location:".SITEURL."expense-tracking/reports/expense-entry/");
}

$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$user_id."'";
$RunUserQuery	= mysqli_query($conn, $selectQuery);
$rows1			= mysqli_fetch_assoc($RunUserQuery);

$user_name 			= $rows1["full_name"];
$user_image_name 	= $rows1["image_name"];
if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
	$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
}else{
	$user_img_url = SITEURL."images/faces/default_face.png";
}
$file_name = "Expense-Entry-Report-of-".$user_name.".pdf";
/**************Report Status**************/
$report_status = "Pending";
if($expense_report_id>0){
	if($is_all_approved=='Y'){
		$report_status = "Closed";
	}else if(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE is_rejected='Y' AND header_id='".$expense_report_id."'")>0){
		$report_status = "Working";
	}else if(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE is_submitted='Y' AND (is_rejected='N' OR is_approved='N') AND header_id='".$expense_report_id."'")>0){
		$report_status = "Submitted";
	}else if(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE is_submitted='N' AND is_rejected='N' AND is_approved='N' AND header_id='".$expense_report_id."'")>0){
		$report_status = "Working";
	}
}
/**************Report Status**************/

$supervisor_full_name 	= "";
$supervisor_img_url		= SITEURL."images/faces/default_face.png";

$supervisor_id = getvalue("cxs_employee","supervisor_id"," WHERE user_id='".$user_id."'");
if($supervisor_id>0){
	$supervisor_user_id = getvalue("cxs_employee","user_id"," WHERE employee_id='".$supervisor_id."'");
	$selectQuery_s = "SELECT full_name,image_name FROM `cxs_user`	WHERE user_id='".$supervisor_user_id."'";
	$RunUserQuery_s	= mysqli_query($conn, $selectQuery_s);
	$rows_s			= mysqli_fetch_assoc($RunUserQuery_s);
	
	$supervisor_full_name 	= $rows_s["full_name"];
	$supervisor_image_name 	= $rows_s["image_name"];
	if($supervisor_image_name!="" && file_exists("img/uploads/user_images/".$supervisor_image_name)){
		$supervisor_img_url = SITEURL."img/uploads/user_images/".$supervisor_image_name;
	}
}

//print_r($_SESSION['login_user_array']);die;
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Print Expense Entry Report</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
/* .flot-chart-container {
    min-height: 0px !important;
      }*/
     .popover {
	z-index:9999;
}
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}

</style>
<style type="text/css" media="print">

@media print
{
	 @page {
	   margin-top: 0;
	   margin-bottom: 0;
	 }
	 body  {
	   padding-top: 72px;
	 }
} 
</style>
</head>
<body class="sidebar-light sidebar-icon-only"  style="background-color:#FFFFFF;">
<div class="container ">
	<div class="row">
		<div class="col-md-12 text-center pt-3 pb-5">
			<a class="btn btn-success btn-sm mr-3 mb-2" href="javascript:void(0);" onClick="printReport();">Print</a>
		</div>
	</div>
	<div class="row" id="printableArea">
		<div style="width:794px;margin:0 auto;" class="print-page">
			<div class="table-responsive expense-table mt-2">
				<table class="table table-bordered">
					<tbody>
						<tr>
							<td colspan="4">
								<div style="text-align:left;width:39%;display:inline-block;">
								<img src="<?php echo SITEURL; ?>images/logo-p.png" class="print-page-logo" style="width:100px;height:100%;border-radius:0;" />
								</div>
								<div style="font-weight:600;width:50%;font-size: 22px;display:inline-block;">Expense Report</div>
							</td>
						</tr>
						<tr>
							<th style="width:20%;">Name:</th>
							<td style="width:30%;padding:2px !important;">
								<img class="user-image" src="<?php echo $user_img_url; ?>">
								<?php echo $user_name; ?></td>
							<th style="width:20%;">Report Name:</th>
							<td style="width:30%;"><?php echo $expense_report_name; ?></td>
						</tr>
						<tr>
							<th>Role:</th>
							<td><?php echo $_SESSION['login_user_array']['user_role']; ?></td>
							<th>Date:</th>
							<td><?php echo date("m/d/Y h:i A"); ?></td>
						</tr>
						<tr>
							<th colspan="4">
								<?php
								$pay_period_arr = explode("-",$pay_period);
								$pay_period_month = $pay_period_arr[0];
								$pay_period_month_full = date('F', strtotime($pay_period_month));
								$pay_period_month_num = date('m', strtotime($pay_period_month));
								$first_day_pay_period_month = date($pay_period_month_num.'/01/Y'); // hard-coded '01' for first day
								$last_day_pay_period_month  = date($pay_period_month_num.'/t/Y');
								?>
								EXPENSES SUMMARY FOR THE MONTH OF <?php echo strtoupper($pay_period_month_full); ?> ( FROM <?php echo $first_day_pay_period_month; ?> TO <?php echo $last_day_pay_period_month; ?>)
							</th>
						</tr>
					</tbody>
				</table>
				<table class="table table-bordered">
					<tbody>
						<tr>
							<th style="width:8%;border-top:none !important;text-align:center;">Sr. No.</th>
							<th style="width:26%;border-top:none !important;text-align:center;">Expenditure Type</th>
							<th style="width:26%;border-top:none !important;text-align:center;">Project\Tasks</th>
							<th style="width:20%;border-top:none !important;text-align:center;">Amount</th>
							<th style="width:12%;border-top:none !important;text-align:center;">Status</th>
						</tr>
						<?php
						$total_amount=0;
						$status = "";
						$where = "";
						
						if($expense_report_id!="" && $expense_report_id>0){
							$where .= " AND eh.expense_report_id='".$expense_report_id."' ";
						}
						$selectQuery 	= "
								SELECT 
									eh.*,e.*,t.exp_type_name 
								FROM 
									`cxs_expense_entry_header` eh
								INNER JOIN
									`cxs_expense_entry_detail` e
								ON
									eh.expense_report_id=e.header_id
								INNER JOIN
									`cxs_expenditure_types` t
								ON
									e.expenditure_type_id = t.expenditure_id
								WHERE
									e.user_id='".$user_id."' AND e.company_id='".$_SESSION['login_user_array']['company_id']."'
									$where
								ORDER BY 
									e.expense_report_detail_id DESC
							";		
						$RunUserQuery	= mysqli_query($conn, $selectQuery);
						$StdNumRows 	= mysqli_num_rows($RunUserQuery);
						if($StdNumRows>0){
							$count=0;
							while($rows=mysqli_fetch_assoc($RunUserQuery)){
								$count++;
								$header_id 					= $rows['header_id'];
								$expense_report_detail_id 	= $rows['expense_report_detail_id'];
								$exp_type_name 	= $rows['exp_type_name'];
								$description 	= htmlspecialchars_decode(nl2br($rows['description']));
								$expense_date 	= setDate($rows['expense_date'],"m/d/Y");
								$amount 		= $rows['amount'];
								$total_amount	+=$amount;
								$is_submitted 	= $rows['is_submitted'];
								$is_approved 	= $rows['is_approved'];
								$is_rejected 	= $rows['is_rejected'];
								/*$data_content_eye_icon = show_eye_icon_data("cxs_expense_entry_detail","expense_report_detail_id",$expense_report_detail_id);*/
							?>
							<tr>
								<td><?php echo $count;?></td>
								<td><?php echo $exp_type_name;?></td>
								<td>&nbsp;</td>
								<td align="right">$<?php echo setNumberFormat($amount);?></td>
								<td>
									<?php
									if($is_submitted=="N" && $is_approved=="N" && $is_rejected=="N"){ //Working
										echo "Working";
									}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="N"){ //Submitted
										echo "Submitted";
									}else if($is_submitted=="Y" && $is_approved=="Y" && $is_rejected=="N"){ //Approved
										echo "Approved";
									}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="Y"){ //Rejected
										echo "Rejected";
									}
									?>
								</td>
							</tr>
							<?php
							}	
						}
						?>
						<tr>
							<th colspan="3" style="text-align:right;">Total Amount (In USD):</th>
							<td align="right" style="border-right:none !important;">$<?php echo setNumberFormat($total_amount);?></td>
							<td style="border-left: none !important;">&nbsp;</td>
						</tr>
						<tr>
							<th colspan="5">In words (USD <?php echo getAmountInWords($total_amount); ?> Only)</th>
						</tr>
					</tbody>
				</table>
				<table class="table table-bordered">
					<tbody>
						<tr>
							<th style="width:25%;border-top:none !important;">Supervisor:</th>
							<td colspan="4" style="border-top:none !important;padding:2px !important;">
								<img class="user-image" src="<?php echo $supervisor_img_url; ?>">
								<?php echo $supervisor_full_name;?>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
<div id="previewImage" style="display:none;"></div>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.resize.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.categories.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.fillbetween.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.stack.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.pie.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>js/html2canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/jspdf.min.js"></script>
<!-- endinject -->
<script>
function printReport(){
	
	var printContents = document.getElementById('printableArea').innerHTML;
	var originalContents = document.body.innerHTML;
	
	document.body.innerHTML = printContents;
	window.print();
	document.body.innerHTML = originalContents;
	
	/*
	//Custom PDF file generate
	
	var element = $("#printableArea"); // global variable
	var getCanvas; // global variable
	var file_name = '<?php echo $file_name; ?>';
	
	html2canvas(element, {
		background :'#FFFFFF',
	 	onrendered: function (canvas) {
			$("#previewImage").append(canvas);
			getCanvas = canvas;
		   
			var imgData = canvas.toDataURL("image/jpeg", 1.0);
			if(canvas.width > canvas.height){
				pdf = new jsPDF('l', 'mm', [(canvas.width), (canvas.height)+80]);
			}
			else{
				pdf = new jsPDF('p', 'mm', [(canvas.height)+80, (canvas.width)]);
			}
			pdf.addImage(imgData, 'JPEG', 0, 0,canvas.width,canvas.height);
			pdf.save(file_name);
		 }
	 });
	 */
}
</script>
</body>
</html>
