<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Stakeholder WB</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active" aria-current="page">Stakeholders WB</li>
									</ol>
								</nav>
								<div class="border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3 pr-3">
										<h4 class="card-title mb-3">Stakeholders WB</h4>
										<div>
											<div class="row">
												<div class="col-xl-11 pl-0">
													<label>Sort By</label>
													<select class="js-example-basic-single"  style="width:100%;">
														<option value="Project 1"> A-Z Project Name</option>
														<option value="Project 2"> Z-A Project Name</option>
														<option value="Project 2"> Modified by date Asc.</option>
														<option value="Project 2"> Modified by date Desc.</option>
													</select>
												</div>
												<div class="col-xl-1" style="display:none;">
													<button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link pw-stakeholders" style="font-size: 20px;"></i></button>
												</div>
											</div>
										</div>
									</div>
									<div class="row ml-0 mr-0">
										<div class="col-xl-3 border pt-2 pb-2 pl-2 pr-2">
											<h4 class="card-title">Project 1</h4>
											<canvas class = "stakeholders-workbench" id="pieChart_stakeholder_project1" style="cursor: pointer;"></canvas>
										</div>
										<div class="col-xl-3 border pt-2 pb-2 pl-2 pr-2">
											<h4 class="card-title">Project 2</h4>
											<canvas class = "stakeholders-workbench" id="pieChart_stakeholder_project2" style="cursor: pointer;"></canvas>
										</div>
										<div class="col-xl-3 border pt-2 pb-2 pl-2 pr-2 ">
											<h4 class="card-title">Project 3</h4>
											<canvas class = "stakeholders-workbench" id="pieChart_stakeholder_project3" style="cursor: pointer;"></canvas>
										</div>
										<div class="col-xl-3 border pt-2 pb-2 pl-2 pr-2 ">
											<h4 class="card-title">Project 4</h4>
											<canvas class = "stakeholders-workbench" id="pieChart_stakeholder_project4" style="cursor: pointer;"></canvas>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/chart.js/Chart.min.js"></script>
<script src="vendors/raphael/raphael.min.js"></script>
<script src="vendors/morris.js/morris.min.js"></script>
<script src="js/project-workbench-js.js"></script>
<script src="js/custom.js"></script>
<script type="text/javascript" src="js/jquery.numeric.min.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
</script>
</body>
</html>
