<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
$view_mode			= false;
$selectQuery_filter = "";

$qry = "SELECT * FROM cxs_licensed_products WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";
$result = mysqli_query($conn,$qry);
$row = mysqli_fetch_assoc($result);

$attendance_flag 	= $row['attendance_flag'];
$issue_tracking_flag= $row['issue_tracking_flag'];
$timekeeping_flag 	= $row['timekeeping_flag'];
$projects_flag 		= $row['projects_flag'];
$expense_flag 		= $row['expense_flag'];
$invoicing_flag 	= $row['invoicing_flag'];

$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
$date = new DateTime("now", new DateTimeZone($currTz) );
$curDate 	= $date->format('m/d/Y');
$pay_period	= $date->format('M-Y');
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Workbench</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/highchart/css/style.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/dragula_custom/dragula.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<style>
.myclass {
	line-height: 0.5rem;
}
.task_background {
	background-color:#D0D0D0;
	border: 2px dashed black !important;
}
.select2-selection .select2-selection--single {
	padding-left: 5px;
	padding-right: 5px;
}
.comp-class .select2-selection{
	padding:15px 5px !important;
}
#table_wbs_view_project_tasks th{
	text-align:center;
}
#result_wb_task_form .select2-selection--single{
	padding: 14px 18px;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active" aria-current="page">Project Workbench</li>
									</ol>
								</nav>
								<div class=" border pt-3 pb-3 pl-3 pr-3">
									<div class="row mb-2">
										<div class="col-md-10">
											<h4 class="card-title mb-3">Projects Feeds</h4>
										</div>
										<div class="col-md-2 text-right">
											<button class="btn btn-primary btn-icon mr-2" title="Absences/Time Off" onclick="viewAbsenceTimeOffData('0','<?php echo date('Y-m-d'); ?>');"><i class="fa fa-calendar"></i></button>
											<button class="btn btn-primary btn-icon" title="Select Projects" id="btn_project_filter"><i class="fa fa-filter"></i> </button>
										</div>
									</div>
									<div class="row ml-0 mr-0">
										<div class="col-md-12 pt-2 pb-2 pl-2 pr-2">
											<div id="visitor_legend" class="bar-chart-legend"></div>
											<div id="chart_project_task_data" class="chart_feeds_menu"></div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>

				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="row mb-2">
									<div class="col-md-7">
										<h4 class="card-title mb-3">Tasks</h4>
									</div>
									<div class="col-md-4">
										<select class="js-example-basic-single form-control" name="combo_project_id" id="combo_project_id" style="width:100%;" onChange="getWorkbenchProjectTask(this.value);">
											<option value="">--Please Select--</option>
											<?php
											$first_project_id = "";
											$where_project = "";
											if($user_role=="User"){
												$where_project = "
													AND
													(
														project_id 
															IN 
															(
																SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
															)
														OR
														project_id 
															IN 
															(
																SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
															)
													)
												";
											}
											$selectQuery 	= "
												SELECT 
													*
												FROM 
													`cxs_projects` 
												WHERE 
													project_status NOT IN ('Draft','Closed') AND 
													company_id='".$_SESSION['login_user_array']['company_id']."' 
													$where_project
												ORDER BY 
													project_number
											";
											$selectQuery_filter = $selectQuery;
											$RunUserQuery	= mysqli_query($conn, $selectQuery);
											$StdNumRows 	= mysqli_num_rows($RunUserQuery);
											$counter = 0;
											if($StdNumRows>0){
												while($rows=mysqli_fetch_assoc($RunUserQuery)){
													$counter++;
													if($counter==1){
														$first_project_id = $rows['project_id'];
													}
													$project_id		= $rows['project_id'];
													$project_number	= $rows['project_number'];
													$project_name	= $rows['project_name'];
												?>
												<option value="<?php echo $project_id; ?>"><?php echo $project_number." : ".$project_name; ?></option>
												<?php
												}
											}
											?>
										</select>
									</div>
									<div class="col-md-1 text-right">
										<a href="javascript:void(0);" title="View Project Details" id="btn_project_detail1" class="btn mt-3 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></a>
									</div>
								</div>
								<?php /*?><div class="row">
									<div class="col-md-12" id="results_workbench_project_task"></div>
								</div><?php */?>
								<div class="row">
									<div class="col-md-12">
										<ul class="nav nav-pills nav-pills-custom" id="feeds_tabs" role="tablist">
											<li class="nav-item"> <a class="nav-link active" id="tasks_tab1" data-toggle="pill" href="#tasks_tab1_content" role="tab" aria-controls="pills-home" aria-selected="true"> WBS View </a> </li>
											<li class="nav-item"> <a class="nav-link" id="tasks_tab2" data-toggle="pill" href="#tasks_tab2_content" role="tab" aria-controls="pills-profile" aria-selected="false"> Kanban View </a> </li>
										</ul>
										<div class="tab-content" id="feeds_tabs_content">
											<div class="tab-pane fade show active" id="tasks_tab1_content" role="tabpanel" aria-labelledby="tasks_tab1">
												<div class="row">
													<div class="col-md-4 mb-2">
														<label style="display: block;">Tasks</label>
														<select class="js-example-basic-single " name="combo_project_task_id" id="combo_project_task_id" style="width:100%" onChange="getWBSViewProjectTasks(this.value);">
															
														</select>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12" id="results_wbs_view_project_tasks" style="max-width:100%;">
														
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tasks_tab2_content" role="tabpanel" aria-labelledby="tasks_tab2">
												<div id="results_kanban_view_project_tasks"></div>
												
											</div>
										</div>
									</div>
								</div>
								
							</div>
						</div>
					</div>
				</div>


				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="row mb-2">
									<div class="col-md-7">
										<h4 class="card-title mb-3">Project Time Tracking</h4>
									</div>
									<div class="col-md-4">
										<select class="js-example-basic-single" id="combo_tt_project_id" name="combo_tt_project_id" style="width:100%;" onChange="getWorkbenchProjectTaskTimeTracking(this.value);">
													<option value="">--Please Select--</option>
													<?php 
													$where_project = "";
													if($user_role=="User"){
														$where_project = "
															AND
															(
																project_id 
																	IN 
																	(
																		SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
																	)
															)
														";
													}else if($user_role=="Manager"){
														$where_project = "
															AND
															(
																project_id 
																	IN 
																	(
																		SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
																	)
															)
														";
													}
													$selectQuery 	= "
														SELECT 
															*
														FROM 
															`cxs_projects` 
														WHERE 
															project_status NOT IN ('Draft','Closed') AND 
															company_id='".$_SESSION['login_user_array']['company_id']."' 
															$where_project
														ORDER BY 
															project_number
													";
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													$counter = 0;
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
															$counter++;
															if($counter==1){
																$first_project_id = $rows['project_id'];
															}
															$project_id		= $rows['project_id'];
															$project_number	= $rows['project_number'];
															$project_name	= $rows['project_name'];
														?>
														<option value="<?php echo $project_id; ?>"><?php echo $project_number." : ".$project_name; ?></option>
														<?php
														}
													}
													?>
												</select>
									</div>
									<div class="col-md-1 text-right">
										<a href="javascript:void(0);" title="View Project Details" id="btn_project_detail2" class="btn mt-3 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></a>
									</div>
								</div>
								<?php if($timekeeping_flag=="Y"){ ?>
								<div class="row">
									<div class="col-md-12" id="results_workbench_project_task_time_tracking"></div>
								</div>
								<?php }else{ ?>
								<div class="row">
									<div class="col-md-12">
										<div class="flag-notice">
											In order to access Project Time Tracking, Please <a href="javascript:void(0);">subscribe</a> to Time Tracking Application
										</div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body project-expenses">
								<div class="row mb-2">
									<div class="col-md-7">
										<h4 class="card-title mb-3">Project Expenses</h4>
									</div>
									<div class="col-md-4">
										<select class="js-example-basic-single" id="combo_exp_project_id" name="combo_exp_project_id" style="width:100%;" onChange="getWorkbenchProjectTaskExpense(this.value);">
													<option value="">--Please Select--</option>
													<?php 
													$where_project = "";
													if($user_role=="User"){
														$where_project = "
															AND
															(
																project_id 
																	IN 
																	(
																		SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
																	)
															)
														";
													}else if($user_role=="Manager"){
														$where_project = "
															AND
															(
																project_id 
																	IN 
																	(
																		SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
																	)
															)
														";
													}
													$selectQuery 	= "
														SELECT 
															*
														FROM 
															`cxs_projects` 
														WHERE 
															project_status NOT IN ('Draft','Closed') AND 
															company_id='".$_SESSION['login_user_array']['company_id']."' 
															$where_project
														ORDER BY 
															project_number
													";
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													$counter = 0;
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
															$counter++;
															if($counter==1){
																$first_project_id = $rows['project_id'];
															}
															$project_id		= $rows['project_id'];
															$project_number	= $rows['project_number'];
															$project_name	= $rows['project_name'];
														?>
														<option value="<?php echo $project_id; ?>"><?php echo $project_number." : ".$project_name; ?></option>
														<?php
														}
													}
													?>
												</select>
									</div>
									<div class="col-md-1 text-right">
										<a href="javascript:void(0);" title="View Project Details" id="btn_project_detail3" class="btn mt-3 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></a>
									</div>
								</div>
								<?php if($expense_flag=="Y"){ ?>
								<div class="row">
									<div class="col-md-12" id="results_workbench_project_task_expense"></div>
								</div>
								<?php }else{ ?>
								<div class="row">
									<div class="col-md-12">
										<div class="flag-notice">
											In order to access Project Expenses, Please <a href="javascript:void(0);">subscribe</a> to Expense Application
										</div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="row mb-2">
									<div class="col-md-7">
										<h4 class="card-title mb-3">Project Issues</h4>
									</div>
									<div class="col-md-4">
										<select class="js-example-basic-single" id="combo_project_issue_project_id" name="combo_project_issue_project_id" style="width:100%;" onChange="getWorkbenchProjectIssues(this.value);">
											<option value="">--Please Select--</option>
											<?php 
											$where_project = "";
											if($user_role=="User"){
												$where_project = "
													AND
													(
														project_id 
															IN 
															(
																SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
															)
													)
												";
											}else if($user_role=="Manager"){
												$where_project = "
													AND
													(
														project_id 
															IN 
															(
																SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
															)
													)
												";
											}
											$selectQuery 	= "
												SELECT 
													*
												FROM 
													`cxs_projects` 
												WHERE 
													project_status NOT IN ('Draft','Closed') AND 
													company_id='".$_SESSION['login_user_array']['company_id']."' 
													$where_project
												ORDER BY 
													project_number
											";
											$RunUserQuery	= mysqli_query($conn, $selectQuery);
											$StdNumRows 	= mysqli_num_rows($RunUserQuery);
											$counter = 0;
											if($StdNumRows>0){
												while($rows=mysqli_fetch_assoc($RunUserQuery)){
													$counter++;
													if($counter==1){
														$first_project_id = $rows['project_id'];
													}
													$project_id		= $rows['project_id'];
													$project_number	= $rows['project_number'];
													$project_name	= $rows['project_name'];
												?>
												<option value="<?php echo $project_id; ?>"><?php echo $project_number." : ".$project_name; ?></option>
												<?php
												}
											}
											?>
										</select>
									</div>
									<div class="col-md-1 text-right">
										<a href="javascript:void(0);" id="btn_project_detail4" title="" class="btn mt-3 pt-0 ml-0 pl-0 mr-0 pr-0" target="_blank"><i class="fa fa-external-link" style="font-size: 20px;"></i></a>
									</div>
								</div>
								<?php if($issue_tracking_flag=="Y"){ ?>
								<div class="row">
									<div class="col-md-12" id="results_workbench_project_issues"></div>
								</div>
								<?php }else{ ?>
								<div class="row">
									<div class="col-md-12">
										<div class="flag-notice">
											In order to access Project Issues, Please <a href="javascript:void(0);">subscribe</a> to Issue Tracking Application
										</div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<?php include("include_wb_task_data_modal.php"); ?>
<div class="modal fade" id="modal_project_task_by_status" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal modal-lg mt-1" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="modal_project_task_title"></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div id="result_project_tasks_by_status" style="height:580px;"></div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="modal_project_filter" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-md mt-2" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Select Project</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="align-items-stretch exp-spend-analysis" id="feed_filter_modal_area">
					<div class="mail-list-container bg-white">
						<div class="mail-list mt-4">
							<div class="row">
								<div class="col-md-12 col-centered">
									<div class="exp-spend-analysis-left border-left border-right border-bottom">
										<div class="left-title">
											<div class="form-check">
												<label class="form-check-label">
												<input type="checkbox" class="form-check-input check_all" data-cls="check_all_project" name="check_all_project" id="check_all_project">
												Check All<i class="input-helper"></i>
												</label>
											</div>
										</div>
										<div class="add-items d-flex">
											<input type="text" id="text_search_by_project" name="text_search_by_project" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_project">
										</div>
										<div class="new-list-wrapper">
											<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_project">
												<?php
												$RunUserQuery	= mysqli_query($conn, $selectQuery_filter);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
														$project_id		= $rows['project_id'];
														$project_number	= $rows['project_number'];
														$project_name	= $rows['project_name'];
														$project_name = $project_number.":".$project_name;
													?>
													<li class="<?php echo strtolower(str_replace(" ","-",$project_name)); ?>">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_project check_single" data-single_cls="check_all_project" type="checkbox" name="check_project_id" value="<?php echo $project_id; ?>">
																<?php echo $project_name; ?>
															</label>
														</div>
													</li>
													<?php 
													}
												}
												?>
											</ul>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary"  id="cmd_feed_filter_modal_apply" title="Apply" onClick="getWorkbenchChartData(true,true);">Apply</button>
				<button type="button" class="btn btn-light" title="Clear" onClick="window.location.href=''">Clear</button>
			</div>
		</div>
	</div>
</div>
<?php include("include_manage_projects_custom_attachment.php"); ?>
<div class="modal fade" id="requirement_text_modal" tabindex="-1" role="dialog" aria-hidden="true" data-focus-on="input:first">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Requirement Texts</h5>
				<button type="button" class="close requirement_text_modal-close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div id="requirement_text_div"></div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<!-- base:js -->
<input type="hidden" id="edit_row_cnt" value="">
<input type="hidden" id="total_tasks" value="">
<input type="hidden" id="all_task_ids" value="">
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar_time_off.js"></script>

<script src="<?php echo SITEURL; ?>vendors/highchart/js/highcharts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/series-label.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/exporting.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/export-data.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/accessibility.js"></script>

<script src="<?php echo SITEURL; ?>vendors/dragula_custom/dragula.js"></script>
<!-- <script src="<?php echo SITEURL; ?>js/project-workbench-js.js"></script> -->
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
var page = "pw-task";
var manage_task_project_id = "";
$(document).ready(function(){
	$(".btn_close_modal_edit_task").click(function(){
		$("#result_task_details").html("");
	});
	/***********************/
	$("#tasks_tab1").click(function(){
		refresh_tab1();
	});
	/******************************/
	$('#btn_project_filter').click(function(){
		$('#modal_project_filter').modal('show');
		setTimeout(function(){
			$('.search_txt').on('keyup', function () {
				var search_ul_id = $(this).data("search_ul_id");
				$('#'+search_ul_id+' li').removeClass("li-show").addClass("li-hide");
				var str = $(this).val();
				str = str.replace(" ","-");
				$('#'+search_ul_id+' li[class*="'+str+'"]').removeClass("li-hide").addClass("li-show");
				//alert(str);
				if(str.length == 0) {
					$('#'+search_ul_id+' li').removeClass("li-hide").addClass("li-show");
				}
			});
			$(".new-list-wrapper").mCustomScrollbar("destroy");
			$(".new-list-wrapper").mCustomScrollbar({  // custom scroll bar plugin
				theme:"light-2",  // custom scroll theme set
				axis: "y",     // custom scroll ver,hor scroll
			});
			/*******************/
			$(".check_all").change(function() {
				var cls = $(this).data("cls");
				if($(this).is(':checked')){
					$("."+cls).prop('checked',true);
				}else{
					$("."+cls).prop('checked',false);
				}
			});
			$(".check_single").change(function(){
				var single_cls = $(this).data("single_cls");
				if(!$(this).is(':checked')) {
					$("#"+single_cls).prop('checked',false);
				}
				if($('.'+single_cls+':checked').length == $('.'+single_cls).length) {
				   $("#"+single_cls).prop('checked',true);
				}
			});
		},400);
	});
	/******************************/
	setTimeout(function(){
		getWorkbenchProjectTask('<?php echo $first_project_id; ?>','<?php echo md5($first_project_id); ?>');
		getWorkbenchProjectTaskTimeTracking('<?php echo $first_project_id; ?>','<?php echo md5($first_project_id); ?>');
		getWorkbenchProjectTaskExpense('<?php echo $first_project_id; ?>','<?php echo md5($first_project_id); ?>');
		getWorkbenchChartData(false);
		getWorkbenchProjectIssues('<?php echo $first_project_id; ?>','<?php echo md5($first_project_id); ?>');
		$("#combo_project_id,#combo_tt_project_id,#combo_exp_project_id,#combo_project_issue_project_id").val('<?php echo $first_project_id; ?>');
		$("#combo_project_id,#combo_tt_project_id,#combo_exp_project_id,#combo_project_issue_project_id").select2();
		getWBSViewProjectTasks();
		getKanbanViewProjectTask();
		getWBTaskDataModal('<?php echo $first_project_id; ?>');
	},1000);
	/*******************************/
	$("#btn_project_detail1").click(function(){
		if($("#combo_project_id").val()==""){
			alert("Plesase select project.");
		}
	});
	$("#btn_project_detail2").click(function(){
		if($("#combo_tt_project_id").val()==""){
			alert("Plesase select project.");
		}
	});
	$("#btn_project_detail3").click(function(){
		if($("#combo_exp_project_id").val()==""){
			alert("Plesase select project.");
		}
	});
	$("#btn_project_detail4").click(function(){
		if($("#combo_project_issue_project_id").val()==""){
			alert("Plesase select project.");
		}
	});
	 /*********************/
	 /*Morris.Bar({
		element: 'chart_project_task_data',
		//barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
		data: [
			{
				y: 'Project 1',
				a:100,
				b:90,
				c:65,
				d:32,
				e:55,
				f:86
			}
		],
		xkey: 'project_name',
		ykeys: ['a','b','c','d','e','f'],
		labels: ['Planned','In Process','Delayed','Cancelled','Closed','Over Due']
	});*/
	 /*for(var i=1;i<=5;i++){
	 	Morris.Bar({
			element: 'hours_chart_'+i,
			//barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
			data: [
				{
					y: 'Project1',
					a:100,
					b:90,
					c:65,
					d:32,
					e:55,
					f:86
				},
			],
			xkey: 'y',
			ykeys: ['a','b','c','d','e','f'],
			labels: ['Planned','In Process','Delayed','Cancelled','Closed','Over Due']
		});
	 }*/
});
/******************************************************/
function onlyUnique(value, index, self) {
	return self.indexOf(value) === index;
}
function check_next_prev_task(btn){
	var all_task_ids = $("#all_task_ids").val();
	var new_arr = all_task_ids.split(","); 
	var new_arr = new_arr.filter(onlyUnique);
	//console.log(new_arr); 
	var task_id_index = new_arr.indexOf($("#h_task_id").val());
	var new_task_id = "";
	if(btn=="next"){
		if(new_arr[task_id_index+1]>=0){
			new_task_id = new_arr[parseInt(task_id_index+1)];
			next_task_id = new_arr[parseInt(task_id_index+2)];
			
			$(".btn-prev").removeAttr("disabled","disabled");
			$(".btn-prev").removeClass("disabled");
			
			if(next_task_id>0){
				
			}else{
				$(".btn-next").attr("disabled","disabled");
				$(".btn-next").addClass("disabled");
			}
		}
	}else{
		if(new_arr[task_id_index-1]>=0){
			new_task_id = new_arr[parseInt(task_id_index-1)];
			prev_task_id = new_arr[parseInt(task_id_index-2)];
			
			$(".btn-next").removeAttr("disabled","disabled");
			$(".btn-next").removeClass("disabled");
			
			if(prev_task_id>0){
				
			}else{
				$(".btn-prev").attr("disabled","disabled");
				$(".btn-prev").addClass("disabled");
			}
		}
	}
	if(new_task_id!=""){
		getWorkbenchTaskDetails(new_task_id);
		$("#h_task_id").val(new_task_id);
	}
}

function update_next_prev_btn(){
	setTimeout(function(){
		var all_task_ids = $("#all_task_ids").val();
		var new_arr = all_task_ids.split(","); 
		var new_arr = new_arr.filter(onlyUnique);
		//console.log(new_arr); 
		var task_id_index = new_arr.indexOf($("#h_task_id").val());
		var new_task_id = "";
		
		$(".btn-next,.btn-prev").removeAttr("disabled","disabled");
		$(".btn-next,.btn-prev").removeClass("disabled");
		
		if(new_arr[task_id_index+1]>=0){
			new_task_id = new_arr[parseInt(task_id_index+1)];
			prev_task_id = new_arr[parseInt(task_id_index-2)];
			
			if(prev_task_id>0){
				$(".btn-prev").removeAttr("disabled","disabled");
				$(".btn-prev").removeClass("disabled");
			}else{
				$(".btn-prev").attr("disabled","disabled");
				$(".btn-prev").addClass("disabled");
			}
		}else if(new_arr[task_id_index-1]>=0){
			new_task_id = new_arr[parseInt(task_id_index-1)];
			next_task_id = new_arr[parseInt(task_id_index+2)];
			
			if(next_task_id>0){
				$(".btn-next").removeAttr("disabled","disabled");
				$(".btn-next").removeClass("disabled");
			}else{
				$(".btn-next").attr("disabled","disabled");
				$(".btn-next").addClass("disabled");
			}
		}
	},1000);
	
	
}

/************************************************/
function check_custom_value(type,cat){
	var selected_id = "";
	if(cat=="Add Custom"){
		$("#custom_value_form")[0].reset();
		form_element_correct($("#text_custom_value_name"));
		$("#div_msg_custom_value").text("");
		if(type=="attachment_type"){
			$("#custom_value_modal_save_label").text("Add Custom Attachment Type");
			$("#custom_value_modal_save_label2").text("Custom Attachment Type");
		}else if(type=="role" || type=="stakeholders_role"){
			$("#custom_value_modal_save_label").text("Add Custom Role");
			$("#custom_value_modal_save_label2").text("Custom Role");
		}else if(type=="functional_area" || type=="stakeholders_functional_area" || type=="req_functional_area"){
			$("#custom_value_modal_save_label").text("Add Custom Functional Area");
			$("#custom_value_modal_save_label2").text("Custom Functional Area");
		}else if(type=="req_type"){
			$("#custom_value_modal_save_label").text("Add Custom Requirement Type");
			$("#custom_value_modal_save_label2").text("Custom Requirement Type");
		}else if(type=="req_business_value"){
			$("#custom_value_modal_save_label").text("Add Custom Business Value");
			$("#custom_value_modal_save_label2").text("Custom Business Value");
		}else if(type=="document_type"){
			$("#custom_value_modal_save_label").text("Add Custom Document Type");
			$("#custom_value_modal_save_label2").text("Custom Document Type");
		}
		$('#custom_value_modal_save').modal('show');
		$("#custom_value_modal_save").attr("style","z-index:1052");
		$(".modal-backdrop").attr("style","z-index:1051");
		$("#h_custom_type").val(type);
		/*$('.modal-backdrop').click(function(){
			$(".modal-backdrop").removeAttr("style");
		});*/
		$('#custom_value_modal_save').click(function() {
			$(".modal-backdrop").removeAttr("style");
			setTimeout(function(){
				$("body").addClass("modal-open");
				if($("#h_custom_type").val()=="attachment_type"){
					selected_id = "combo_attachment_type";
				}else if($("#h_custom_type").val()=="role"){
					selected_id = "combo_stakeholder_groups_role_id";
				}else if($("#h_custom_type").val()=="functional_area"){
					selected_id = "combo_stakeholder_groups_functional_area_id";
				}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
					selected_id = "combo_stakeholders_functional_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="stakeholders_role"){
					selected_id = "combo_stakeholders_project_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_type"){
					selected_id = "combo_req_type_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_business_value"){
					selected_id = "combo_req_business_value_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="req_functional_area"){
					selected_id = "combo_req_functional_area_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="document_type"){
					selected_id = "combo_document_type_id";
				}
				$("#"+selected_id).select2("destroy");
				$("#"+selected_id).val("");
				$("#"+selected_id).select2();
			},500);
		});
		$('#custom_value_modal_save > .modal-dialog').click(function(event){
			event.stopPropagation();
		});
	}
}
/************************************************/
function refresh_tab1(){
	$("#results_wbs_view_project_tasks").mCustomScrollbar("destroy");
	setTimeout(function(){
		$("#results_wbs_view_project_tasks").mCustomScrollbar({  // custom scroll bar plugin
			theme:"light-2",  // custom scroll theme set
			axis: "x",     // custom scroll ver,hor scroll
		});
	},1500);
}
/******************************************************/
function getWBSViewProjectTasks(task_id=""){
	$("#results_wbs_view_project_tasks").mCustomScrollbar("destroy");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_wbs_view_project_tasks_data',is_html:true,project_id:$("#combo_project_id").val(),task_id:task_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_wbs_view_project_tasks").html(response);
				/**/
				if(task_id==""){
					getWorkbenchTaskDropdownData($("#combo_project_id").val());
				}
				/**/
				$('[data-toggle="popover"]').popover();	
				$(".btn_wbs_edit").click(function(){
					var task_id = $(this).data('val');
					$("#modal_edit_task").modal("show");
					getWorkbenchTaskDetails(task_id);
					$("#h_task_id").val(task_id);
					update_next_prev_btn();
				});	
				/******************/
				var task_ids = new Array();
				$(".task-ids").each(function(){
					task_ids.push($(this).data("id"));
				});
				if(task_ids.length==1){
					$(".btn-next,.btn-prev").attr("disabled","disabled");
				}
				$("#all_task_ids").val(task_ids.join(","));
				$("#total_tasks").val(task_ids.length);
				/******************/
				/*$("#results_wbs_view_project_tasks").mCustomScrollbar({  // custom scroll bar plugin
					theme:"light-2",  // custom scroll theme set
					axis: "x",     // custom scroll ver,hor scroll
				});*/
				refresh_tab1();
			},500);
			<?php /*?>setTimeout(function(){
				var table = $('#table_wbs_view_project_tasks').DataTable( {
				"searching": false,
				"aaSorting":[],
				"bSort":false,
				"dom": 'lBfrtip',
				buttons: [                  
				   [
						'excel',
						'pdf',
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$("#table_wbs_view_project_tasks_filter").hide();
			},1000);<?php */?>
		}
	});
}
/******************************************************/
function getDocumentTypes(){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_document_types_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#combo_document_type_id").select2("destroy");
				$("#combo_document_type_id").val("");
				$("#combo_document_type_id").html(response);
				$("#combo_document_type_id").select2();
			},1000);
		}
	});
}
/***********************************************/

function editWBTaskDocuments(doc_id){
	$("#h_doc_id").val(doc_id);
	
	$("#combo_document_type_id").select2("destroy");
	$("#combo_document_type_id").val($("#wb_task_documents_"+doc_id).data("document_type_id"));
	$("#h_attachment_file_name").val($("#wb_task_documents_"+doc_id).data("val"));
	
	$("#combo_document_type_id").select2();
}
function deleteWBTaskDocuments(doc_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_wb_task_documents_data',doc_id1:doc_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					getWBTaskDocumentsData($("#h_task_id").val());
				},1000);
			}
		});
	}
}
/***********************************************************/
function Addrow(value)
{
    td1 = '<td>'+value.calendar_date+'</td>';
    td2 = '<td>'+value.time_card+'</td>';
    td3 = '<td>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+
            '<div class="badge font-weight-bold">From </div> <div class="badge">'+value.time_in_stamp+'</div>';
        if(value.card_reason!='' || value.missed_in_reason!='' || value.missed_out_reason!='' )
        {
            if(value.card_reason!='')
            {
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_reason+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
            else
            {
                var comment = value.missed_in_reason+"<br />"+value.missed_out_reason;
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
        } 
        else
        {
            td3 += '<div class="badge">&nbsp;&nbsp;</div>';
        }
    td3 +=   '</div>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+            
            '<div class="badge font-weight-bold">To </div> <div class="badge">'+value.time_out_stamp+'</div>'+
            '<div class="badge">&nbsp;&nbsp;</div>'+
        '</div>'+
        '</td>';   
  
    td4 = '<td>'+value.TimeDuration+'</td>';
    td5 = '<td>'+value.submitted_on+'</td>';
    td6 = '<td>'+value.submitted_by+'</td>';
    if(value.card_status_note!='')
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div><div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_status_note+'"> <i class="typcn typcn-document-text"></i> </button> </div></td>';
    }
    else
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div></td>';
    }
    if(value.card_status_note=="")
    {
        td8 = '<td></td>'; 
    }
    else
    {
        td8 = '<td class="text-center"><input type="hidden" value="'+value.card_status_note+'"> <button type="button" class="btn btn-primary h_note">...</button> </td>';
    }
    var data_content = value.data_content_eye_icon;
    var rowCount = $('#table_attendance_data tbody tr').length; 
    rowCount++;
    func1 = 'edit_record('+value.session_id+','+rowCount+')';
    if(value.card_status=="Rejected" && value.time_card!= "PTO (Out of Office)")
    {
        button1 = '<button class="btn  ml-0 mr-2 pl-0 pr-0" title="Edit Record" onclick="'+func1+'"><i class="fa fa-pencil" aria-hidden="true"></i></button>';
    }
    else
    {
        button1 = '';
    }
    td9 = '<td class="text-center">'+
            '<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+data_content+'" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>'+
            button1+'</td>';
                            
           
    tr = '<tr id="row'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td9+'</tr>';
    $("#table_attendance_data").append(tr);
    
}
/**********************************************************/
function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
}
/**********************************************************/
$("#check_ptd_ytd").change(function(){
	if($(this).is(":checked")){
		getAllTimeEntryData(time_entry_status="","ytd",$("#h_task_id").val())
	}else{
		getAllTimeEntryData(time_entry_status="","ptd",$("#h_task_id").val())
	}
});
$("#check_exp_report_ptd_ytd").change(function(){
	if($(this).is(":checked")){
		getWBTaskExpenseReport($("#h_task_id").val(),"ytd",true)
	}else{
		getWBTaskExpenseReport($("#h_task_id").val(),"ptd",true)
	}
});
/********************************************************/
function getKanbanViewProjectTask(is_loader=false){
	
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		beforeSend: function() {
			if(is_loader==true){
				$(".rploader").fadeIn(800);
			}
		},
		data: {REQUEST: 'get_kanban_view_project_tasks',is_html:true,project_id:$("#combo_project_id").val()},
		success: function (response){
			if(is_loader==true){
				$(".rploader").fadeOut(800);
			}
			$("#results_kanban_view_project_tasks").html(response); 
			setTimeout(function(){
				//var boxArray = document.getElementsByClassName("box");
				//var boxes = Array.prototype.slice.call(boxArray);
				//dragula({ containers: boxes });
				var drake = dragula({
				  containers: 
					[
						document.querySelector('#Planned'),
						document.querySelector('#In_Process'),
						document.querySelector('#Delayed'),
						document.querySelector('#Cancelled'),
						document.querySelector('#Closed')
					],
					revertOnSpill: true
				});
				drake.on('drop', function(el, target, source, sibling) {
					/*if (target.id === 'green' && target.children.length > 3) {
						drake.cancel();
					}*/
					//alert("Target ID: "+target.id+" && ID: "+el.id);
					var flag=true;
					var old_status 	= source.id;
					var new_status 	= target.id;
					var task_id 	= el.id;
					var sch_start_date = $("#"+task_id).data("schedule_start_date");
					var sys_date = new Date();
					var schedule_start_date = new Date(sch_start_date);
					if(sch_start_date!="" && schedule_start_date.getTime() > sys_date.getTime()){
						if(new_status!="Cancelled"){
							drake.cancel();
							alert("You can not change this task's status to "+new_status.replace("_"," "));
							flag=false;
						}
					}
					if(flag==true){
						$.ajax({
							url: SITEURL+"aj/projects/",
							method: "POST",
							beforeSend: function() {
								$(".rploader").fadeIn(800);
							},
							data: {REQUEST: 'update_workbench_task_status_from_kanban_view',project_id:$("#combo_project_id").val(),task_id:task_id,task_status:new_status},
							success: function (response){ 
								setTimeout(function(){
									$(".rploader").fadeOut(800);
									if(response.succ==0){
										alert("Something went wrong. Please try again.");
									}else{
										$("#"+task_id).find(".card-body").removeClass("task_status_bg_"+old_status);
										$("#"+task_id).find(".card-body").addClass("task_status_bg_"+new_status);
										if(new_status=="Closed"){
											alert("Setting the Completion % to 100. This task has been closed.");
										}
									}
									getWBSViewProjectTasks();
									getKanbanViewProjectTask();
								},1000); 
							}
						});
					}
				});
			},1000);
		}
	});
	
}
/********************************************************/
function getWorkbenchProjectTask(project_id,enc_project_id){
	getWBSViewProjectTasks();
	getKanbanViewProjectTask();
	getWBTaskDataModal(project_id);
	if(project_id>0){
		$("#btn_project_detail1").attr("href",SITEURL+"projects/details/"+enc_project_id);
		$("#btn_project_detail1").attr("target","_blank");
	}else{
		$("#btn_project_detail1").attr("href","javascript:void(0);");
		$("#btn_project_detail1").removeAttr("target");
	}
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_workbench_project_task_data',is_html:true,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_workbench_project_task").html(response);
				$('[data-toggle="popover"]').popover();			
			},500);
			setTimeout(function(){
				var table = $('#table_workbench_project_task').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						/*'excel',
						'pdf',*/
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_workbench_project_task tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( '.searc', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				});
				/**/
				$("#table_workbench_project_task_filter").hide();
			},1000);
		}
	});
}
/******************************************************/
function getWorkbenchProjectTaskTimeTracking(project_id,enc_project_id){
	if(project_id>0){
		$("#btn_project_detail2").attr("href",SITEURL+"projects/details/"+enc_project_id);
		$("#btn_project_detail2").attr("target","_blank");
	}else{
		$("#btn_project_detail2").attr("href","javascript:void(0);");
		$("#btn_project_detail2").removeAttr("target");
	}
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_workbench_project_task_time_tracking_data',is_html:true,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_workbench_project_task_time_tracking").html(response);
			},500);
			setTimeout(function(){
				var table = $('#table_workbench_project_task_time_tracking').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						/*'excel',
						'pdf',*/
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_workbench_project_task_time_tracking tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( '.searc', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				});
				/**/
				$("#table_workbench_project_task_time_tracking_filter").hide();
			},1000);
		}
	});
}
/******************************************************/
function getWorkbenchProjectTaskExpense(project_id,enc_project_id){
	if(project_id>0){
		$("#btn_project_detail3").attr("href",SITEURL+"projects/details/"+enc_project_id);
		$("#btn_project_detail3").attr("target","_blank");
	}else{
		$("#btn_project_detail3").attr("href","javascript:void(0);");
		$("#btn_project_detail3").removeAttr("target");
	}
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_workbench_project_task_expense_data',is_html:true,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_workbench_project_task_expense").html(response);
				$('[data-toggle="popover"]').popover();			
			},500);
			setTimeout(function(){
				var table = $('#table_workbench_project_task_expense').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						/*'excel',
						'pdf',*/
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_workbench_project_task_expense tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( '.searc', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				});
				/**/
				$("#table_workbench_project_task_expense_filter").hide();
			},1000);
		}
	});
}
/******************************************************/
function getWorkbenchChartData(is_filter,is_page_load=false){
	$("#chart_project_task_data").empty();
	var check_project_id = new Array();
	if(is_filter==true){
		$("#modal_project_filter").modal("hide");
		if($("input:checkbox[name=check_project_id]").length){
			$("input:checkbox[name=check_project_id]:checked").each(function() { 
			   check_project_id.push($(this).val());
			});
		}
	}
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_workbench_chart_data',check_project_id:check_project_id},
		beforeSend: function() {
			if(is_page_load==true){
				$(".rploader").fadeIn(800);
			}
		},
		success: function (response){  
			setTimeout(function(){
				if(is_page_load==true){
					$(".rploader").fadeOut(800);
				}
				
				Highcharts.chart('chart_project_task_data', {
					chart: {
						type: 'column'
					},
					title: {
						text: 'Project Workbench'
					},
					/*subtitle: {
						text: 'Source: <a href="https://en.wikipedia.org/wiki/World_population">Wikipedia.org</a>'
					},*/
					xAxis: {
						categories: response.name_arr,
						title: {
							text: null
						}
					},
					yAxis: {
						min: 0,
						title: {
							text: 'No. of Tasks',
							align: 'high'
						},
						labels: {
							overflow: 'justify'
						}
					},
					/*tooltip: {
						valueSuffix: ' millions'
					},*/
					plotOptions: {
						bar: {
							dataLabels: {
								enabled: true
							}
						}
					},
					legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: -40,
						y: 80,
						floating: true,
						borderWidth: 1,
						backgroundColor:
							Highcharts.defaultOptions.legend.backgroundColor || '#FFFFFF',
						shadow: true
					},
					credits: {
						enabled: false
					},
					series: [{
						name: 'Planned',
						data: response.planned_arr
					}, {
						name: 'In Process',
						data: response.in_process_arr
					}, {
						name: 'Delayed',
						data: response.delayed_arr
					}, {
						name: 'Cancelled',
						data: response.cancelled_arr
					}, {
						name: 'Closed',
						data: response.closed_arr
					}, {
						name: 'Over Due',
						data: response.over_due_arr
					}]
				}, function(chart) {
					var arr = chart.options.exporting.buttons.contextButton.menuItems;
					var index = arr.indexOf("viewData");
					if (index !== -1) arr.splice(index, 1);
				});
				
				
				/*var data = response.data_arr;
				var bar = Morris.Bar({
					element: 'chart_project_task_data',
					showZero:true,
					dataLabels:false,
					hideHover:'always',
					barColors: ['#00BFFF', '#3F51B5', '#FFF59D', '#f44336', '#4CAF50', '#FF9800'],
					data: response.data_arr,
					xkey: 'project_name',
					ykeys: ['planned_task_count','in_process_task_count','delayed_task_count','cancelled_task_count','closed_task_count','over_due_task_count'],
					labels: ['Planned','In Process','Delayed','Cancelled','Closed','Over Due']
				});	
				
				
				$(".data-title").each(function(){
					var project = $(this).children().text();
					$(this).children().html('<a href="javascript:void(0);" class="btn_chart" data-chart_project_name="'+$(this).children().text().trim()+'" data-chart_project="'+project.trim()+'">'+project.trim()+'</a>');
					$(this).attr("fill","#0004fb");
				});*/
				
				
				
				
			},500);
			setTimeout(function(){
				$(".btn_chart").click(function(){
					showTaskByStatus($(this).text());
				});
			},1500);
		}
	});
}
/******************************************************/
function showTaskByStatus(project){
	$("#result_project_tasks_by_status").html("");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_workbench_project_tasks_data_by_status',is_html:true,project:project},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				
				$("#modal_project_task_title").html("Project: <span class='text-secondary'>"+project+"</span> Tasks by Status");
				$('#modal_project_task_by_status').modal('show');
				$("#result_project_tasks_by_status").html(response);
				var task_status_arr = ['Planned','In_Process','Delayed','Cancelled','Closed','Over_Due'];
				for(var i=0;i<6;i++){
					var table = $('#table_project_tasks_by_status_'+task_status_arr[i]).DataTable( {
					  "info": false,
					  "paging":false,
					  autoWidth: false,
					  "dom": 'lBfrtip',              
					   buttons: [                  
						   [
								/*'excel',*/
								/*'pdf',*/
								{
									text: 'Email',
									action: function ( e, dt, node, config ) {
									//$("#modal_email").show(); 
									show_emaimodal();
									}
								}
						   ]]
					});
					$('#table_project_tasks_by_status_'+task_status_arr[i]+' tfoot th.searc').each( function () {
							var title = $(this).text();
							$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
					}); 
					// Apply the search
					table.columns().every( function (){
						var that = this;
						$( 'input', this.footer() ).on( 'keyup change', function () {
							if ( that.search() !== this.value ) {
								that
													.search( this.value )
													.draw();
							}
						});
					});  
					/**/
					$('#table_project_tasks_by_status_'+task_status_arr[i]+'_filter').hide();
				}
				/**********************/
				$(".btn_task_status").click(function(){
					$(".step_button_color").addClass("disabled-color");
					$(this).removeClass("disabled-color");
					var status_div = $(this).data("status");
					$(".div_task_by_status").hide();
					setTimeout(function(){
						$("#task_status_div_"+status_div).fadeIn(800);
					},200);
					
				});
			},1000);
		}
	});
}
/******************************************************/
function getWorkbenchProjectIssues(project_id,enc_project_id){
	if(project_id>0){
		$("#btn_project_detail4").attr("href",SITEURL+"projects/details/"+enc_project_id);
		$("#btn_project_detail4").attr("target","_blank");
	}else{
		$("#btn_project_detail4").attr("href","javascript:void(0);");
		$("#btn_project_detail4").removeAttr("target");
	}
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_workbench_project_issues_data',is_html:true,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_workbench_project_issues").html(response);
				$('[data-toggle="popover"]').popover();			
			},500);
			setTimeout(function(){
				var table = $('#table_workbench_project_issues').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						/*'excel',
						'pdf',*/
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_workbench_project_issues tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( '.searc', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				});
				/**/
				$("#table_workbench_project_issues_filter").hide();
			},1000);
		}
	});
}
/***********************************************/
function getWBTaskDataModal(project_id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_wb_task_modal_data',is_html:true,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_wb_task_modal").html(response);
				/*************************************************************/
				$(".js-example-basic-single").select2();
				/*************************************************************/
				$(".custom-close").click(function(){
					var selected_id = "";
					$("#custom_value_modal_save").modal("toggle");
					$(".modal-backdrop").removeAttr("style");
					
					setTimeout(function(){
						$("body").addClass("modal-open");
						if($("#h_custom_type").val()=="attachment_type"){
							selected_id = "combo_attachment_type";
						}else if($("#h_custom_type").val()=="role"){
							selected_id = "combo_stakeholder_group_role_id";
						}else if($("#h_custom_type").val()=="functional_area"){
							selected_id = "combo_stakeholder_group_functional_area_id";
						}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
							selected_id = "combo_stakeholders_functional_role_id";
							$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}else if($("#h_custom_type").val()=="stakeholders_role"){
							selected_id = "combo_stakeholders_project_role_id";
							$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}else if($("#h_custom_type").val()=="req_type"){
							selected_id = "combo_req_type_id";
							//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}else if($("#h_custom_type").val()=="req_business_value"){
							selected_id = "combo_req_business_value_id";
							//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}else if($("#h_custom_type").val()=="req_functional_area"){
							selected_id = "combo_req_functional_area_id";
							//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}else if($("#h_custom_type").val()=="document_type"){
							selected_id = "combo_document_type_id";
							//$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}
						$("#"+selected_id).select2("destroy");
						$("#"+selected_id).val("");
						$("#"+selected_id).select2();
					},500);
				});
				/*************************************************************/
				$("#cmd_custom_value_modal_save").click(function (){
					var flag = true;
					var selected_id = "";
					form_element_correct($("#text_custom_value_name"));
					
					$("#div_msg_custom_value").text("");
					
					if($("#text_custom_value_name").val()==""){
						form_element_empty_err($("#text_custom_value_name"));               
						flag = false;
						
					}
					//alert($("#text_custom_value_name").val());
					var formdata = $('#custom_value_form').serialize(); 
					
					if(flag == true){
						$.ajax({
							url: SITEURL+"aj/projects/",
							method: "POST",
							cache: false,
							data: {REQUEST: 'check_custom_value_data',form1: formdata},
							success: function (response){ 
								if(response.succ==0){
									$("#div_msg_custom_value").text(response.msg);
								}else{
									var custom_value_name = $("#text_custom_value_name").val();
									if($("#h_custom_type").val()=="attachment_type"){
										selected_id = "combo_attachment_type";
										$("#h_new_attachment_type").val("1");
									}else if($("#h_custom_type").val()=="role"){
										selected_id = "combo_stakeholder_groups_role_id";
										$("#h_new_role").val("1");
									}else if($("#h_custom_type").val()=="functional_area"){
										selected_id = "combo_stakeholder_groups_functional_area_id";
										$("#h_new_functional_area").val("1");
									}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
										selected_id = "combo_stakeholders_functional_role_id";
										$("#h_new_stakeholders_functional_area").val("1");
									}else if($("#h_custom_type").val()=="stakeholders_role"){
										selected_id = "combo_stakeholders_project_role_id";
										$("#h_new_stakeholders_role").val("1");
									}else if($("#h_custom_type").val()=="req_type"){
										selected_id = "combo_req_type_id";
										$("#h_new_req_type").val("1");
									}else if($("#h_custom_type").val()=="req_business_value"){
										selected_id = "combo_req_business_value_id";
										$("#h_new_business_value").val("1");
									}else if($("#h_custom_type").val()=="req_functional_area"){
										selected_id = "combo_req_functional_area_id";
										$("#h_new_functional_area").val("1");
									}else if($("#h_custom_type").val()=="document_type"){
										selected_id = "combo_document_type_id";
										$("#h_new_document_type").val("1");
									}
									
									$("#"+selected_id).select2("destroy");
									$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#'+selected_id+' > option:last');
									$("#"+selected_id).val(custom_value_name);
									$("#"+selected_id).select2();
									
									$("#custom_value_modal_save").modal("toggle");
									setTimeout(function(){
										$("body").addClass("modal-open");
										$(".modal-backdrop").removeAttr("style");
										$("body").addClass("modal-open");
										if(
											$("#h_custom_type").val()=="stakeholders_functional_area" || 
											$("#h_custom_type").val()=="stakeholders_role"
										){
											$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
										}
									},500);
									
								}    
							}
						});
					}
				});
				/*************************************************************/
				if ($("#fileuploader_wb_task").length) {
					
					var uploadObj = $("#fileuploader_wb_task").uploadFile({
						url: SITEURL+"aj/upload-attachment/wb_task_document/",
						multiple:false,
						fileName:"myfile",
						acceptFiles:"image/*, application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document",
						maxFileSize:1024*2000,
						onSuccess:function(files, data, xhr){
							var attachment_data_arr = data.split("~");
							$("#h_attachment_file_name").val(attachment_data_arr[0]);
							$("#h_attachment_file_format").val(attachment_data_arr[1]);
							$("#h_attachment_upload_date").val(attachment_data_arr[2]);
							$("#h_attachment_original_file_name").val(attachment_data_arr[3]);
							$("#fileuploader_wb_task input[type=file]").attr("disabled","disabled");
						}
					});
				}
				/*************************************************************/
				$("#cmd_wb_task_documents_save").click(function (){
					var flag = true;
					
					form_element_correct($("#combo_document_type_id").siblings(".select2"));
					form_element_correct($("#fileuploader_wb_task"));
					
					if($("#combo_document_type_id").val()==""){
						form_element_empty_err($("#combo_document_type_id").siblings(".select2"));               
						flag = false;
					}
					if($("#h_attachment_file_name").val()==""){
						form_element_empty_err($("#fileuploader_wb_task"));               
						flag = false;
					}
					
					var formdata 		= $('#wb_task_doc_form').serialize(); 
					
					if(flag == true){
						$.ajax({
							url: SITEURL+"aj/projects/",
							method: "POST",
							beforeSend: function() {
								$(".rploader").fadeIn(800);
							},
							data: {REQUEST: 'save_wb_task_documents_data',form1: formdata},
							success: function (response){ 
								setTimeout(function(){
									$(".rploader").fadeOut(800);
									if(response.succ==0){
										alert("Something went wrong. Please try again.");
									}else{
										$("#wb_task_doc_form").find(".brow").val("");
										$("#h_doc_id").val("");
										$(".ajax-file-upload-container").html("");
										$("#fileuploader_wb_task input[type=file]").removeAttr("disabled");
										getDocumentTypes();
										getWBTaskDocumentsData($("#h_task_id").val());
									}   
								},1000); 
							}
						});
					}
				});	
				/*************************************************************/	
				$('.form_datetime').datepicker({
					format:'mm/dd/yyyy',
					defaultDate: '',
					autoclose : true
				});
				/*************************************************************/	
			},500);
		}
	});
}
/********************************************************************/
function getWorkbenchTaskDropdownData(project_id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_workbech_task_dropdown_data',is_html:true,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#combo_project_task_id").html(response);
				/*************************************************************/
				$("#combo_project_task_id").select2();
				
			},500);
		}
	});
}
</script>
<?php include("include_wb_task_data_js_function.php"); ?>
</body>
</html>
