<?php
require_once "conn.php";
require_once("functions.php");
if(!isset($_REQUEST['share_id']) || $_REQUEST['share_id']==""){
	header("location:".SITEURL);
}
$project_id = "";	
$share_to	= "";
$sp			= "";
$is_private = false;
$project_id				= "";
$text_project_number 	= "";
$text_project_name		= "";

$project_id = $_REQUEST['share_id'];

if(isset($_REQUEST['share_id']) && $_REQUEST['share_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE MD5(project_id)='".$project_id."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$project_id					= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
	}else{
		header("location:".SITEURL);
	}
}else{
	header("location:".SITEURL);
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Scorecard</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/owl-carousel/owl.carousel.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/owl-carousel/owl.theme.default.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<style>
.page-body-wrapper {
	padding-top: 0px;
}
.sidebar-icon-only .main-panel {
	width: calc(100% - 0px);
}
.card .card-body{
	padding: 1rem;
}
.project-score-block{
	width:100%;
	display:block;
	overflow-x:hidden;
	overflow-y:scroll;
}
.kpi-flag {
    width: 75px !important;
    height: 140px !important;
}
.owl-carousel.full-width .owl-nav .owl-prev i::before, .owl-carousel.full-width .owl-nav .owl-next i::before{
	background:transparent;
	color:#333333;
}
.card-img-overlay {
    position: absolute;
    top: auto;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 0;
	background: rgba(0,0,0,0.25);
}
/*.project-manager .owl-item img{
	height:24vh;
}*/
/*.team-members .owl-item img, .stakeholders .owl-item img{
	height:24vh;
}*/
.content-wrapper{
	padding:0.8rem;
}
@media only screen and (min-width: 991px)
{
	.col-right-no-padd{
		padding-right:0;
	}
	.col-left-no-padd{
		padding-left:0;
	}
}
.owl-carousel .owl-item img{
	height:160px !important;
}
.owl-theme .owl-nav{
	position: absolute;
	top: -50px;
	right: -5px;
}

.tab-content{
	padding:0px;
}
.table th, .jsgrid .jsgrid-table th{
	padding:0.425rem !important;
}
.table thead th, .jsgrid .jsgrid-table thead th{
	vertical-align: middle;
	text-align:center;
}
.nav-tabs .nav-link{
	padding: .425rem 1.5rem;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<div class="rploader"><img src="<?php echo SITEURL; ?>images/89.gif" alt=""></div>
	<!-- partial:partials/_navbar.html -->
	<?php //include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php //include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-md-12">
						<h3 class="mb-0 font-weight-bold"> PROJECT : <?php echo $text_project_name; ?></h3>
					</div>
				</div>
				<div class="row mt-3">
					<div class="col-lg-12 d-flex stretch-card col-left-no-padd">
						<div class="card">
							<div class="card-body">
								<div class="d-flex flex-wrap justify-content-between">
									<h4 class="card-title mb-3">TASK IN PROGRESS</h4>
								</div>
								<div class="row">
									<div class="col-md-12">
										<?php
										$no_task_row = '
													<tr>
														<td colspan="5" class="text-center"><span class="td-cell-space">No record found.</span></td>
													</tr>
												';
										
										$selectQuery 	= "
											SELECT 
												t.task_id, t.task_name, t.task_number, t.schedule_start_date, t.schedule_end_date,
												ta.assignment_id, ta.member_id, ta.comment, ta.hours, ta.active_status,
												th.team_name, 
												u.full_name, u.image_name,
												(SELECT actual_start_date FROM `cxs_projects_wb_tasks` WHERE cxs_projects_wb_tasks.task_id=t.task_id AND cxs_projects_wb_tasks.member_id=ta.member_id) AS wb_actual_start_date,
												(SELECT actual_end_date FROM `cxs_projects_wb_tasks` WHERE cxs_projects_wb_tasks.task_id=t.task_id AND cxs_projects_wb_tasks.member_id=ta.member_id) AS wb_actual_end_date,
												(SELECT completion_percentage FROM `cxs_projects_wb_tasks` WHERE cxs_projects_wb_tasks.task_id=t.task_id AND cxs_projects_wb_tasks.member_id=ta.member_id) AS completion_percentage
											FROM 
												`cxs_projects_tasks` t
											INNER JOIN
												`cxs_projects_task_assignment` ta
											ON
												t.task_id=ta.task_id
											INNER JOIN
												`cxs_projects_team_header` th
											ON
												th.team_id = ta.team_id
											INNER JOIN
												`cxs_projects_team_members` tm
											ON
												tm.assignement_id = ta.member_id
											INNER JOIN
												`cxs_user` u
											ON
												u.user_id = tm.member_userid
											WHERE
												ta.project_id='".$project_id."' AND ta.company_id='".$_SESSION['login_user_array']['company_id']."'
											ORDER BY
												t.task_id, u.full_name
											";
										$RunUserQuery	= mysqli_query($conn, $selectQuery);
										$StdNumRows 	= mysqli_num_rows($RunUserQuery);
										
										$overdue_task 			= "";
										$overdue_task_cnt 		= 0;
										
										$completed_task 		= "";
										$completed_task_cnt 	= 0;
										
										$pending_status_task	= "";
										$pending_status_task_cnt= 0;
										
										$on_track_task 			= "";
										$on_track_task_cnt 		= 0;
										
										if($StdNumRows>0){
											while($rows=mysqli_fetch_assoc($RunUserQuery)){
												$member_name 		= $rows["full_name"];
												$member_image_name	= $rows["image_name"];
												if($member_image_name!="" && file_exists("img/uploads/user_images/".$member_image_name)){
													$member_img_url 	= SITEURL."img/uploads/user_images/".$member_image_name;
												}else{
													$member_img_url 	= SITEURL."images/faces/default_face.png";
												}
												$task_id 			= $rows["task_id"];
												$task_number 		= $rows["task_number"];
												$task_name 			= $rows["task_name"];
												$schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
												$schedule_end_date	= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
												$wb_actual_start_date	= ($rows["wb_actual_start_date"]!="0000-00-00" && $rows["wb_actual_start_date"]!="")?setDate($rows["wb_actual_start_date"],"m/d/Y"):"";
												$wb_actual_end_date	= ($rows["wb_actual_end_date"]!="0000-00-00" && $rows["wb_actual_end_date"]!="")?setDate($rows["wb_actual_end_date"],"m/d/Y"):"";
												$completion_percentage = ($rows["completion_percentage"]!="")?$rows["completion_percentage"]:"0";
												
												$flag_array = getKPIFlag($project_id,$task_id);
												
												$flag_code = "";
												
												if($flag_array["flag_code"]=="red"){
													$flag_code = "red";
												}else if($flag_array["flag_code"]=="yellow"){
													$flag_code = "yellow";
												}else if($flag_array["flag_code"]=="green"){
													$flag_code = "green";
												}
												
												$task_row = '
														<tr>
															<td>'.$task_name.'</td>
															<td class="table-user-info">';
												if($member_name!=""){
													$task_row .='<div class="d-flex">
																	<img class="img-sm rounded-circle mr-2 " src="'.$member_img_url.'" alt="">
																	<label class="expense-lable" style="margin-left: 5px !important;">'.$member_name.'</label>
																</div>';
												}
												$task_row .= '
															</td>
															<td>'.$schedule_start_date." - ".$schedule_end_date.'</td>
															<td>'.$wb_actual_start_date." - ".$wb_actual_end_date.'</td>
															<td>'.$completion_percentage.'%</td>
														</tr>
													';
												if($completion_percentage=="100"){
													$completed_task .= $task_row;
													$completed_task_cnt++;
												}else if($completion_percentage=="0"){
													$pending_status_task .= $task_row;
													$pending_status_task_cnt++;
												}else if($flag_code=="red" || $flag_code=="yellow"){
													$overdue_task .= $task_row;
													$overdue_task_cnt++;
												}else if($flag_code=="green"){
													$on_track_task .= $task_row;
													$on_track_task_cnt++;
												}
												
											}
										}
										
										?>
										<ul class="nav nav-tabs" role="tablist">
											<li class="nav-item">
												<a class="nav-link active" id="tab-1" data-toggle="tab" href="#tab1" role="tab" aria-controls="tab-1" aria-selected="true">Overdue Tasks (<?php echo $overdue_task_cnt; ?>)</a>
											</li>
											<li class="nav-item">
												<a class="nav-link" id="tab-2" data-toggle="tab" href="#tab2" role="tab" aria-controls="tab-2" aria-selected="false">Completed Tasks (<?php echo $completed_task_cnt; ?>)</a>
											</li>
											<li class="nav-item">
												<a class="nav-link" id="tab-3" data-toggle="tab" href="#tab3" role="tab" aria-controls="tab-3" aria-selected="false">Pending Status Update (<?php echo $pending_status_task_cnt; ?>)</a>
											</li>
											<li class="nav-item">
												<a class="nav-link" id="tab-4" data-toggle="tab" href="#tab4" role="tab" aria-controls="tab-4" aria-selected="false">On Track (<?php echo $on_track_task_cnt; ?>)</a>
											</li>
										</ul>
										<div style="width:100%;display:block;">
											<div class="tab-content">
												
												<div class="tab-pane fade show active" id="tab1" role="tabpanel" aria-labelledby="tab-1">
													<div class="table-responsive">
														<table class="table table-responsive table-bordered">
															<thead>
																<tr class="table-info">
																	<th>Task </th>
																	<th width="20%">Member</th>
																	<th width="10%">Schedule Start/End Date</th>
																	<th width="10%">Actual Start/End Date</th>
																	<th width="5%">% Completed</th>
																</tr>
															</thead>
															<tbody>
																<?php
																if($overdue_task!=""){
																	echo $overdue_task;
																}else{
																	echo $no_task_row;
																}
																?>
															</tbody>
														</table>
													</div>
												</div>
												<div class="tab-pane fade" id="tab2" role="tabpanel" aria-labelledby="tab-2">
													<div class="table-responsive">
														<table class="table table-responsive table-bordered">
															<thead>
																<tr class="table-info">
																	<th>Task </th>
																	<th width="20%">Member</th>
																	<th width="10%">Schedule Start/End Date</th>
																	<th width="10%">Actual Start/End Date</th>
																	<th width="5%">% Completed</th>
																</tr>
															</thead>
															<tbody>
																<?php
																if($completed_task!=""){
																	echo $completed_task;
																}else{
																	echo $no_task_row;
																}
																?>
															</tbody>
														</table>
													</div>
												</div>
												<div class="tab-pane fade" id="tab3" role="tabpanel" aria-labelledby="tab-3">
													<div class="table-responsive">
														<table class="table table-responsive table-bordered">
															<thead>
																<tr class="table-info">
																	<th>Task </th>
																	<th width="20%">Member</th>
																	<th width="10%">Schedule Start/End Date</th>
																	<th width="10%">Actual Start/End Date</th>
																	<th width="5%">% Completed</th>
																</tr>
															</thead>
															<tbody>
																<?php
																if($pending_status_task!=""){
																	echo $pending_status_task;
																}else{
																	echo $no_task_row;
																}
																?>
															</tbody>
														</table>
													</div>
												</div>
												<div class="tab-pane fade" id="tab4" role="tabpanel" aria-labelledby="tab-4">
													<div class="table-responsive">
														<table class="table table-responsive table-bordered">
															<thead>
																<tr class="table-info">
																	<th>Task </th>
																	<th width="20%">Member</th>
																	<th width="10%">Schedule Start/End Date</th>
																	<th width="10%">Actual Start/End Date</th>
																	<th width="5%">% Completed</th>
																</tr>
															</thead>
															<tbody>
																<?php
																if($on_track_task!=""){
																	echo $on_track_task;
																}else{
																	echo $no_task_row;
																}
																?>
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
									</div>
								</div>
							
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script>
	var SITEURL = '<?php echo SITEURL; ?>';
</script>
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/owl-carousel/owl.carousel.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	<?php if($is_private==true){ ?>
	$("#pr_modal").modal('show');
	$("#cmd_pr_login").click(function(){
		var flag = true;
		form_element_correct($("#text_pr_email"));
		if($("#text_pr_email").val()==""){
			form_element_empty_err($("#text_pr_email"));               
			flag = false;
		}
		var formdata 		= $('#pr_form').serialize();
		if(flag==true){
			$.ajax({
				url: SITEURL+"aj/projects/",
				method: "POST",
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				data: {REQUEST: 'check_pr_login',form1: formdata,share_to:'<?php echo $share_to; ?>',sp:'<?php echo $sp; ?>'},
				success: function (response){ 
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						if(response.succ==0){
							alert("Something went wrong. Please try again.");
						}else{
							getProjectScorecard('<?php echo $project_id; ?>');
						}   
					},1000); 
				}
			});
		}
	});
	<?php }else{ ?>
	getProjectScorecard('<?php echo $project_id; ?>');
	<?php } ?>
	
});

function getProjectScorecard(share_id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_project_scorecard_data',is_html:true,share_id:share_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$("#pr_modal").modal('hide');
				$(".rploader").fadeOut(800);
				$("#results").html(response);
				$('.project-manager').owlCarousel({
				  loop: true,
				  margin: 10,
				  items: 1,
				  nav: true,
				  dots:false,
				  autoplay: true,
				  autoplayTimeout: 550000,
				  navText: ["<i class='fa fa-chevron-left'></i>", "<i class='fa fa-chevron-right'></i>"]
				});
				/**********************/
				$('.team-members,.stakeholders').owlCarousel({
				  loop: true,
				  margin: 10,
				  nav: true,
				  dots:false,
				  autoplay: true,
				  autoplayTimeout: 5500,
				  navText: ["<i class='fa fa-chevron-left'></i>", "<i class='fa fa-chevron-right'></i>"],
				  responsive:{
						0:{
							items:1,
							nav:true,
							dots:false,
						},
						600:{
							items:3,
							nav:true,
							dots:false,
						},
						1000:{
							items:6,
							nav:true,
							dots:false,
							loop:false
						}
					}
				});
				/**********************/
				$(".announcement_popup").click(function(){
					var announcement_id = $(this).data("id");
					getAnnouncementMessageData(announcement_id)
				});
				/**********************/
			},1000);
		}
	});
}

function getAnnouncementMessageData(announcement_id){
	$("#stakeholders_modal").modal('show');
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_project_feed_announcement_message_data',is_html:true,announcement_id:announcement_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#result_announcement_mesage").html(response);
				$("#announcement_popup_modal").modal("show");
			},1000);
		}
	});
}
/*********************************/
function getProjectScheduleExcelFormatReportData(){
	$("#excel_btn").html('');
	$.ajax({
		url: SITEURL+"aj/reports/",
		method: "POST",
		data:"REQUEST=get_report_project_schedule_excel_format&is_html=true&combo_project_id=<?php echo $project_id; ?>&is_project_scorecard=true",
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){ 
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#project_schedule_xl_div").html(response);
				
				$("#excel_btn").html('<a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);"><span>Excel</span></a><span>&nbsp;</span></div>');
				$(".buttons-excel").click(function(e){
					$(".tbl2 tbody .tbl3").each(function(){
						$(this).after('<tr class="empty-row"></tr><tr class="empty-row"></tr>');
					});
					
					$("#table_projects").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Project Schedule Excel Format Report</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
							exclude: ".noExl",
							name: "Project Schedule Excel Format Report",
							filename: "Project Schedule Excel Format Report.xls",
							fileext: ".xls",
							preserveColors: true,
							/*exclude_img: true,
							exclude_links: true,
							exclude_inputs: true*/
						});
					$(".texcl").remove();
					
					$(".empty-row").each(function(){
						$(this).remove();
					});
				});
				
				$(".buttons-excel").click();
			},1500);
		}
	});
}
</script>
</body>
</html>
