<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
<link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
<link href="https://davidstutz.de/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" rel="stylesheet"/>
<link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="css/custom_toggle.css">
<style>
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="project-workbench.php">Project Workbench</a></li>
										<li class="breadcrumb-item active">Expenditure Budgeting</li>
									</ol>
								</nav>
								<div class="col-md-12 mb-4 pl-0 pr-0" >
									<div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;" >
										<div class="form-group mb-0">
											<label class="pl-2">Project Id :</label>
											<label  class="pr-4">CXS001</label>
										</div>
										<div class="form-group mb-0">
											<label class="pl-2">Project Scheduled Start Date :</label>
											<label  class="pr-4">04/06/2020</label>
										</div>
										<div class="form-group mb-0">
											<label class="pl-2">Project Scheduled End Date :</label>
											<label  class="pr-4">04/06/2020</label>
										</div>
									</div>
								</div>
								<div class="d-flex flex-wrap justify-content-between">
									<h4 class="card-title mb-3">PROJECT:  DI-GFC IMAGING</h4>
								</div>
							</div>
						</div>
					</div>
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<div class="d-flex flex-wrap justify-content-between mb-3">
									<h4 class="card-title mb-3">Expenditure Budgeting</h4>
								</div>
								<div class="row">
									<div class="col-md-2">
										<div class="form-group">
											<label>Expenditure Type</label>
											<select class="js-example-basic-single" style="width:100%;">
												<option> Expense 1</option>
												<option> Expense 2</option>
												<option> Expense 3</option>
											</select>
										</div>
									</div>
									<div class="col-md-2">
										<label>Unit of Measure</label>
										<div class="font-weight-bold">UOM</div>
									</div>
									<div class="col-md-2">
										<label>Use in this Project</label>
										<div >
											<label class="toggle" >
											<input type="checkbox" id ="chk_tgl" checked>
											<span class="sld round"></span></label>
										</div>
									</div>
									<div class="col-md-3">
										<label>Budget Control Amount Per Period <small>(Monthly)</small></label>
										<input type="text" class="form-control">
									</div>
									<div class="com-md-1">
										<div class="form-group">
											<label>Currency</label>
											<select class="js-example-basic-single" id = "combo_currency" style="width:90%;">
												<option> INR</option>
												<option> USD</option>
												<option> GBO</option>
												<option value="new">--add new--</option>
											</select>
										</div>
									</div>
									<div class="com-md-1 pt-4">
										<button class="btn btn-primary mt-1  ">Save</button>
									</div>
								</div>
								<div class="table-responsive">
									<table id="table_pw_expense_budget" class="table table-bordered">
										<thead>
											<tr class='table-info'>
												<th> Expenditure Type</th>
												<th> Unit of Measure</th>
												<th> Use in this Project</th>
												<th> Budget Control Amount Per Period</th>
												<th> Currency</th>
												<th width="5%"> Action</th>
											</tr>
										</thead>
										<tfoot>
											<tr>
												<th class="searc"> Expenditure Type</th>
												<th class="searc"> UOM</th>
												<th></th>
												<th class="searc"> Amount</th>
												<th class="searc"> Currency</th>
												<th> </th>
											</tr>
										</tfoot>
										<tbody>
											<?php
                                                for($i=1;$i<=5;$i++)    { ?>
											<tr class="project-attendance">
												<td>Expenditure Type 1</td>
												<td>UOM</td>
												<td><div>
														<label class="toggle" >
														<input type="checkbox" id ="chk_tgl" checked>
														<span class="sld round"></span></label>
													</div></td>
												<td>Amount</td>
												<td>USD</td>
												<td><div class="text-center">
														<button type="button" class="btn btn-default  pl-0 pr-1" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye" style="font-size: 15px;"></i> </button>
													</div></td>
											</tr>
											<?php } ?>
										</tbody>
									</table>
								</div>
								<div class="text-right mt-3">
									<button class="btn btn-primary btn-sm">Save</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!--  Modal New option -->
	<div class="modal fade pr-0" id="modal_stakeholder_requirements">
		<div class="modal-dialog  modal-xl mt-0" role="document">
			<div class="modal-content">
				<div class="modal-header pb-2">
					<h2 class="pl-3 modal-title" >Stakeholder Requirements</h2>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
				</div>
				<div class="modal-body pt-2">
					<?php
                                include_once 'pw-stakeholders-requirements.php';
                            ?>
				</div>
			</div>
		</div>
	</div>
	<!-- modal finish -->
	<!--  Modal New option -->
	<div class="modal fade pr-0" id="modal_new_option" tabindex="-1" role="dialog" >
		<div class="modal-dialog  modal-sm"  role="document">
			<!--<form id='form1' >-->
			<div class="modal-content" style="background: #a5aab1;">
				<div class="modal-body ">
					<div class="d-flex flex-wrap justify-content-between">
						<h4 class="card-title mb-3" id ="modal_title"></h4>
					</div>
					<div class="form-group ">
						<input type="text" class="form-control" placeholder="add new" id="text_modal_new_option">
						<input type="hidden" id="h_control_id" value="">
					</div>
					<div class="text-right">
						<button type="button" class="btn btn-primary btn-sm " id="modal_new_option_ok" > OK </button>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Modal New option -->
	<!-- main-panel ends -->
</div>
<!-- page-body-wrapper ends -->
</div>
<!-- container-scroller -->
<!-- base:js -->
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
<script src="js/bootstrap-multiselect.js"></script>
<script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
<script src="datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="vendors/tinymce/tinymce.min.js"></script>
<script src="vendors/chart.js/Chart.min.js"></script>
<script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="vendors/raphael/raphael.min.js"></script>
<script src="vendors/morris.js/morris.min.js"></script>
<script src="js/morris.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>
</html>
<script>
    $(document).ready(function()
{
   $('#combo_currency').on('change click',function(){   
         
            var current_id = $(this).attr("id"); 
            var current_title =  $("#"+current_id).prev().text();           
            var current_value = $("#"+current_id).val(); 
            if(current_value=='new')
            {
               $("#modal_new_option").modal('show');
               $("#text_modal_new_option").val('');
               $("#h_control_id").val(current_id);               
               $("#modal_title").text("Enter New "+current_title);
               $("#text_modal_new_option").focus();
            }
       });
       
     $("#modal_new_option_ok").click(function()
    {
        var current_id = $("#h_control_id").val();
        var new_option = $("#text_modal_new_option").val();
        $("#"+current_id).append("<option value='"+new_option+"'>"+new_option+"</option>");
        //$("#combo_year").append('<option value="'+enterd_value+'">'+enterd_value+'</option>');
        $("#modal_new_option").modal('hide');
    });   
    
    dataTableCreateCommon("table_pw_expense_budget");
    

});

</script>
