<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
?>
<?php
//include_once '';
$current_tab = (isset($_GET['tab']) && $_GET['tab']!='')?$_GET['tab']:'';
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
<link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
<!--<link href="https://davidstutz.de/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" rel="stylesheet"/>-->
<link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="vendors/js/vendor.bundle.base.js"></script>
<style>
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
/*
table.table-bordered > thead > tr > th{
  border:1px solid blue;
}*/
.dataTables_wrapper .dataTable thead th {
	border-bottom-width: 1px!important;
	border-bottom-color: #999!important;
}
.subBorder {
	border:1px solid #999;
}
.announcement_popup {
	cursor:pointer;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Attendance Tracking</li>
										<li class="breadcrumb-item active">Feeds</li>
									</ol>
								</nav>
								<?php
								$IsActive1="";
								$IsActive2="";
								$IsActive3="";
								
								if($current_tab==1 || $current_tab=="")
								{
									$IsActive1="show active";
									$tab1_selected="aria-selected='true'";
									$tab2_selected="aria-selected='false'";
									$tab3_selected="aria-selected='false'";
								}
								else if($current_tab==2)
								{
									$IsActive2="show active";
									$tab1_selected="aria-selected='false'";
									$tab2_selected="aria-selected='true'";
									$tab3_selected="aria-selected='false'";
								}
								else if($current_tab==3)
								{
									$IsActive3="show active";
									$tab1_selected="aria-selected='false'";
									$tab2_selected="aria-selected='false'";
									$tab3_selected="aria-selected='true'";
								}
                                ?>
								<div class="row">
									<div class="col-md-12 mx-auto">
										<ul class="nav nav-pills nav-pills-custom" id="feeds_tabs" role="tablist">
											<li class="nav-item">
												<a class="nav-link <?php echo $IsActive1;?>" id="feeds_tab1" data-toggle="pill" href="#feeds_tab1_content" role="tab" aria-controls="pills-home" <?php echo $tab1_selected; ?>>Activity Trail</a> 
											</li>
											<li class="nav-item">
												<a class="nav-link <?php echo $IsActive3;?>" id="feeds_tab3" data-toggle="pill" href="#feeds_tab3_content" role="tab" aria-controls="pills-contact" <?php echo $tab3_selected; ?>>Announcement </a> 
											</li>
										</ul>
										<div class="tab-content tab-content-custom-pill" id="feeds_tabs_content">
											<div class="tab-pane fade show <?php echo $IsActive1;?>" id="feeds_tab1_content" role="tabpanel" aria-labelledby="feeds_tab1">
												<div class="table-responsive">
													<table class="table table-striped" id="table_feeds">
														<tbody>
															<?php
                                                                if($_SESSION['login_user_array']['user_role']=="Admin")
                                                                {
                                                                    $qry = "select login_timestamp as expr1,  'logged in' as expr2,cxs_user.user_email as last_udpated_by,cxs_user.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_logins inner join cxs_user on cxs_user.user_id = cxs_logins.user_id where cxs_logins.user_id = ".$_SESSION['login_user_array']['user_id']." union all
                                                                            select logout_timestamp as expr1,  'logged out' as expr2,cxs_user.user_email as last_udpated_by,cxs_user.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_logins inner join cxs_user on cxs_user.user_id = cxs_logins.user_id  where cxs_logins.user_id = ".$_SESSION['login_user_array']['user_id']." union all
                                                                            select time_in_stamp as expr1,  concat(time_type,' in') as expr2,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_atnd_clockinout inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout.last_udpated_by where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." and cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." union all
                                                                            select time_out_stamp as expr1, concat(time_type,'out') as expr2,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_atnd_clockinout inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout.last_udpated_by where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." and cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." union all
                                                                            SELECT cxs_admin_ips.last_update_date AS expr1, 'Add Ip address' AS expr2,cxs_admin_ips.last_udpated_by,cxs_admin_ips.updated_timezone,cxs_user.full_name,cxs_user.image_name FROM cxs_admin_ips INNER JOIN cxs_user ON cxs_user.user_email = cxs_admin_ips.last_udpated_by WHERE cxs_user.user_id = ".$_SESSION['login_user_array']['user_id']. " AND cxs_admin_ips.company_id=".$_SESSION['login_user_array']['company_id'].    
                                                                            " order by expr1 desc";
                                                                }
                                                                else
                                                                {
                                                                    $qry = "select login_timestamp as expr1,  'logged in' as expr2,cxs_user.user_email as last_udpated_by,cxs_user.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_logins inner join cxs_user on cxs_user.user_id = cxs_logins.user_id where cxs_logins.user_id = ".$_SESSION['login_user_array']['user_id']." union all
                                                                            select logout_timestamp as expr1,  'logged out' as expr2,cxs_user.user_email as last_udpated_by,cxs_user.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_logins inner join cxs_user on cxs_user.user_id = cxs_logins.user_id  where cxs_logins.user_id = ".$_SESSION['login_user_array']['user_id']." union all
                                                                            select time_in_stamp as expr1,  concat(time_type,' in') as expr2,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_atnd_clockinout inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout.last_udpated_by where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." and cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." union all
                                                                            select time_out_stamp as expr1, concat(time_type,'out') as expr2,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.updated_timezone,cxs_user.full_name,cxs_user.image_name  from cxs_atnd_clockinout inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout.last_udpated_by where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." and cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." union all
                                                                            SELECT cxs_admin_ips.last_update_date AS expr1, 'Add Ip address' AS expr2,cxs_admin_ips.last_udpated_by,cxs_admin_ips.updated_timezone,cxs_user.full_name,cxs_user.image_name FROM cxs_admin_ips INNER JOIN cxs_user ON cxs_user.user_email = cxs_admin_ips.last_udpated_by WHERE cxs_user.user_id = ".$_SESSION['login_user_array']['user_id']. " AND cxs_admin_ips.company_id=".$_SESSION['login_user_array']['company_id'].    
                                                                            " order by expr1 desc";
                                                                }
																$result = mysqli_query($conn,$qry);
																if(mysqli_num_rows($result)>0)
																{
																	while($row=mysqli_fetch_assoc($result))
																	{
																		if($row['image_name']=='')
																		{
																			$img_src = "images/faces/default_face.png";
																		}
																		else
																		{
																			$img_src = "img/uploads/user_images/".$row['image_name'];
																		}    
																		$display_date = "";
																		if(!is_null($row['expr1']))
																		{
																			$display_date = date("F jS Y, h:i A",strtotime($row['expr1']));
																		}    
																		$display_date .= " ".$row['updated_timezone'];
                                                                ?>
																<tr>
																	<td>
																		<div class="message-body">
																			<div class="sender-details"> <img class="img-sm rounded-circle mr-3" src="<?php echo $img_src; ?>" alt="">
																				<div class="details">
																					<p class="sender-email"> <?php echo $row['full_name']; ?> <a href="#">
																						<?php //echo $row['user_email']; ?>
																						</a> &nbsp;<i class="typcn typcn-user-multiple-plus"></i> </p>
																					<p class="msg-subject" title="Subject Line"> has <?php echo $row['expr2']; ?> on <?php echo $display_date; ?> </p>
																				</div>
																			</div>
																		</div>
																	</td>
																</tr>
																<?php       
																	}
																}
																?>
															<!--                                                            <tr>
                                                                <td>
                                                                    <div class="message-body">
                                                                        <div class="sender-details">
                                                                            <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                            <div class="details">
                                                                                <p class="sender-email">
                                                                                  Ruchir Vaishnav
                                                                                  <a href="#">ruchir@dgs.com</a>
                                                                                  &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                                </p>
                                                                                <p class="msg-subject" title="Subject Line">
                                                                                    aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                                </p>
                                                                            </div>
                                                                        </div>
                                                                        <div class="message-content">
                                                                          <p>Hi ,</p>
                                                                          <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                                          <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                                          <p><br><br>Regards,<br></p>
                                                                          
                                                                          <p class="text-muted">January 27 at 04:40 PM</p>
                                                                        </div>
                                                                        <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                            <i class="typcn typcn-link"></i>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>-->
														</tbody>
													</table>
												</div>
											</div>
											<div class="tab-pane fade <?php echo $IsActive3;?>" id="feeds_tab3_content" role="tabpanel" aria-labelledby="feeds_tab3">
												<div class="row">
													<div class="col-xs-12 col-md-6">
														<div class="form-group">
															<label>Subject</label>
															<input type="text" class="form-control "  data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Subject." data-original-title="">
														</div>
													</div>
													<div class="col-xs-12 col-md-4 ">
														<div class="d-sm-flex justify-content-center justify-content-sm-between">
															<div class="form-group">
																<label>Send On</label>
																<div id="text_fromdate" class="input-group date datepicker form_date">
																	<input type="text" class="form-control">
																	<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text"></span> </span> </div>
															</div>
															<div class="form-group">
																<label>&nbsp;</label>
																<div class="input-group date form_time" id="text_fromtime" data-target-input="nearest">
																	<div class="input-group " data-target="#text_fromtime" data-toggle="datetimepicker">
																		<input type="text" class="form-control datetimepicker-input" data-target="#text_fromtime">
																		<div class="input-group-addon input-group-append"><i class="typcn typcn-calendar-outline input-group-text"></i></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="col-xs-12 col-md-2 mt-4">
														<div class="form-check mt-3">
															<label class="form-check-label">
															<input type="checkbox" class="form-check-input">
															Send Now <i class="input-helper"></i> <i class="input-helper"></i></label>
														</div>
													</div>
													<div class="col-xs-12 col-md-4 mt-2">
														<label style="display: block;">Send to</label>
														<select class="js-example-basic-single requirefieldcls" name="combo_project_manager" id="combo_project_manager" style="width:100%">
															<option value="Option 1">Evernone Involved in the Project</option>
															<option value="Option 2">Stakeholders only</option>
															<option value="Option 3">Team Only</option>
															<option value="Option 3">Project Sponsors only</option>
														</select>
													</div>
													<div class="col-md-12 mt-4">
														<textarea id='announcement_textarea'>
                                                            Edit your content here...
                                                          </textarea>
													</div>
												</div>
												<div class="text-right mt-4">
													<button type="button" class="btn btn-primary btn-sm "  > Schedule/Send Now </button>
												</div>
												<div class="">
													<ul class="nav nav-tabs" role="tablist">
														<li class="nav-item"> <a class="nav-link active" id="inbox-tab" data-toggle="tab" href="#inbox-1" role="tab" aria-controls="inbox-1" aria-selected="true">Home</a> </li>
														<li class="nav-item"> <a class="nav-link" id="sentitemx-tab" data-toggle="tab" href="#senitems-1" role="tab" aria-controls="senitems-1" aria-selected="false">Sent Items</a> </li>
													</ul>
													<div class="tab-content">
														<div class="tab-pane fade show active" id="inbox-1" role="tabpanel" aria-labelledby="inbox-tab">
															<div class="table-responsive">
																<table id="table_inbox" class="table table-bordered">
																	<thead>
																		<tr class="table-info">
																			<th>Date</th>
																			<th>Message</th>
																			<th>Send To</th>
																			<th>Remove</th>
																		</tr>
																	</thead>
																	<tbody>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																	</tbody>
																</table>
															</div>
														</div>
														<div class="tab-pane fade" id="senitems-1" role="tabpanel" aria-labelledby="sentitemx-tab">
															<div class="table-responsive">
																<table id="table_inbox" class="table table-bordered">
																	<thead>
																		<tr class="table-info">
																			<th>Date</th>
																			<th>Message</th>
																			<th>Send To</th>
																			<th>Remove</th>
																		</tr>
																	</thead>
																	<tbody>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																		<tr class="announcement_popup">
																			<td>MM:DD:YYYY HH:MM:SS PST</td>
																			<td>@John Smith</td>
																			<td>Stakeholders Only</td>
																			<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
																		</tr>
																	</tbody>
																</table>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!--  Modal New option -->
	<div class="modal fade pr-0" id="modal_announcement_popup" tabindex="-1" role="dialog" >
		<div class="modal-dialog  modal-md"  role="document">
			<!--<form id='form1' >-->
			<div class="modal-content" style="background: #e9edf3;">
				<div class="modal-body ">
					<div class="d-flex flex-wrap justify-content-between">
						<h4 class="card-title mb-3" id ="modal_title">Message</h4>
					</div>
					<div class="message-content ">
						<p>Oracle Support Essentials</p>
						<p>Dear Customer,</p>
						<p>Oracle Support delivers essential training for our customers via live web conferences and recorded sessions. These webcasts are included in your Oracle Support services and are designed to help Oracle customers be more productive and effective when working with Oracle Support.</p>
						<p>Oracle Support Essentials cover topics ranging from how to work effectively with Oracle Support, learning about preventative diagnostic tools, how to manage users and assets, and much more.</p>
						<p>Explore the offered sessions below and click the "See Times and Register" link for the session of your choice. Bookmark Oracle Support Essentials March 2020 (Doc ID 1676694.1) for quick access to the latest Oracle Support Essentials schedule.</p>
					</div>
					<div class="text-right">
						<button type="button" class="btn btn-primary btn-sm " id="modal_announcement_close" > Close </button>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Modal New option -->
	<!-- main-panel ends -->
</div>
<!-- page-body-wrapper ends -->
</div>
<!-- container-scroller -->
<!-- base:js -->
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
<script src="js/bootstrap-multiselect.js"></script>
<script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
<script src="datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="vendors/tinymce/tinymce.min.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>
</html>
<script>
    $('.form_datetime').datepicker(
        {
            format:'MM-dd-yyyy',
            defaultDate: '',
            autoclose : true
    });
    
    $('.form_date').datepicker(
    {
        format:'mm/dd/yyyy  HH:MM:ss A',
        defaultDate: '',
        autoclose : true,
        todayHighlight: true
    });

    $('.form_time').datetimepicker({
      format: 'LT'
    });

    
    $(document).ready(function()
    {
        $("#table_radio1").show();
        dataTable_DailyProgress_byTask('table_radio1','pw-feeds-json.txt');
        $("#table_radio2").hide();
        $("#table_radio3").hide();
    });
    
    $("input[type='radio']").change(function() {
        var current_id = $(this).attr('id');
        if ($.fn.DataTable.isDataTable("#table_radio1")) 
        {
            $('#table_radio1').DataTable().clear().destroy();
            $("#table_radio1_sub").html("");
        }
        if ($.fn.DataTable.isDataTable("#table_radio2")) 
        {
            $('#table_radio2').DataTable().clear().destroy();
            $("#table_radio2_sub").html("");
        }
        if ($.fn.DataTable.isDataTable("#table_radio3")) 
        {
            $('#table_radio3').DataTable().clear().destroy();
            $("#table_radio3_sub").html("");
        }
        if(current_id=='radio1')
        {
            $("#table_radio1").show();
            dataTable_DailyProgress_byTask('table_radio1','pw-feeds-json.txt');
            $("#table_radio2").hide();
            $("#table_radio3").hide();
        }
        else if(current_id=='radio2')
        {
            $("#table_radio1").hide();            
            $("#table_radio2").show();
            dataTable_DailyProgress_byTeam('table_radio2','pw-feeds-byteam-json.txt');
            $("#table_radio3").hide();
        }
        else if(current_id=='radio3')
        {
            $("#table_radio1").hide();            
            $("#table_radio2").hide();
            $("#table_radio3").show();
            dataTable_DailyProgress_byScope('table_radio3','pw-feeds-bytscope-json.txt');
        }
    });
    
    function dataTable_DailyProgress_byTask(tablename,filename)
    {
       /* if ($.fn.DataTable.isDataTable("#"+tablename)) 
        {
            $('#'+tablename).DataTable().clear().destroy();
        }
*/

        var table = $('#'+tablename).DataTable({        
          "ajax": "json/"+filename,
          'columns': [
              {
                  'className': 'details-control',
                  'orderable':  false,
                  'data': null,                
                  'defaultContent': ''
              },
              { 'data': 'task' },
              { 'data': 'owner' },
              { 'data': 'status'},{ 'data': 'tags'},{ 'data': 'start_date'},{ 'data': 'due_date'},{ 'data': 'duration'},{ 'data': 'priority'},
              { 'data': 'created_by'},{ 'data': 'completed_percent'},{ 'data': 'completed_on'}
          ],
          "buttons": [['excel' ,'pdf'],{text: 'Email'}],
          'order': [[2, 'asc']],       
          'searching':false,
          'paging':false
      });
      

      
      // Add event listener for opening and closing details
    $('#'+tablename+' tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format_assign_byTask(row.data())).show();
            tr.addClass('shown');
        }
    });
      
    }
    
    function format_assign_byTask ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border " bgcolor="#ECECEC" id="table_radio1_sub">'+
         '<thead class="subBorder" ><tr> <th class="subBorder"> </th><th class="subBorder">Assigned Resource</th> <th class="subBorder"> Project Role</th> <th class="subBorder">Actual Date Started</th> <th class="subBorder">% Completed</th> <th class="subBorder"> Last Updated</th><th class="subBorder"> Hours Worked</th><th class="subBorder"> Action</th></tr> </thead>'+   
        '<tbody>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face3.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith2</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face3.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith2</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face2.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith3</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
    '</tbody>'+        
    '</table></div>';
}




    function dataTable_DailyProgress_byTeam(tablename,filename)
    {
        /*if ($.fn.DataTable.isDataTable("#"+tablename)) 
        {
            $('#'+tablename).DataTable().clear().destroy();
        }*/
      
        var table = $('#'+tablename).DataTable({        
          "ajax": "json/"+filename,
          'columns': [
              {
                  'className': 'details-control',
                  'orderable':  false,
                  'data': null,                
                  'defaultContent': ''
              },
              {     'data': null,
                    "defaultContent":"<div class='justify-content-between'><img class='img-sm rounded-circle' src='images/faces/face4.jpg' alt='profile'> <label>John Smith</label> </div>",
              },
              
              { 'data': 'project_role' },
              { 'data': 'actual_date_started'},{ 'data': 'completed_percent'},{ 'data': 'last_updated'},{ 'data': 'hours_worked'},{ 'data': 'action'}
          ],
          "buttons": [['excel' ,'pdf'],{text: 'Email'}],
          'order': [[2, 'asc']],       
          'searching':false,
          'paging':false
      });
      

      
      // Add event listener for opening and closing details
    $('#'+tablename+' tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format_assign_byTeam(row.data())).show();
            tr.addClass('shown');
        }
    });
      
    }
    
    function format_assign_byTeam ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border " bgcolor="#ECECEC" id="table_radio2_sub">'+
         '<thead class="subBorder"><tr><th class="subBorder">Task </th><th class="subBorder">Owner </th><th class="subBorder">Status </th><th class="subBorder">Start Date </th><th class="subBorder">Due Date </th><th class="subBorder">Duration </th><th class="subBorder">Created By </th><th class="subBorder">% Completed </th><th class="subBorder">Completed on </th><th class="subBorder">Last Update Date</th></tr> </thead>'+   
        '<tbody>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td></tr>'+
        
    '</tbody>'+        
    '</table></div>';
}
        
    
    function dataTable_DailyProgress_byScope(tablename,filename)
    {
       /* if ($.fn.DataTable.isDataTable("#"+tablename)) 
        {
            $('#'+tablename).DataTable().clear().destroy();
        }
      */
        var table = $('#'+tablename).DataTable({        
          "ajax": "json/"+filename,
          'columns': [
              {
                  'className': 'details-control',
                  'orderable':  false,
                  'data': null,                
                  'defaultContent': ''
              },
              {     'data': 'requirement_no'
              },
              
              { 'data': 'requirement_description' },
              { 'data': 'stakeholder_group'},{ 'data': 'created_by'},{ 'data': 'last_updated'},{ 'data': 'status'},{ 'data': 'requirement_severity'},
              {'data':'requirement_type'},{ 'data': 'business_value'},{ 'data': 'functional_area'}
          ],
          "buttons": [['excel' ,'pdf'],{text: 'Email'}],
          'order': [[2, 'asc']],       
          'searching':false,
          'paging':false
      });
   
      // Add event listener for opening and closing details
    $('#'+tablename+' tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format_assign_byScope(row.data())).show();
            tr.addClass('shown');
        }
    });
      
    }
    
    function format_assign_byScope ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border " bgcolor="#ECECEC" width="100%" id="table_radio3_sub">'+
         '<thead class="subBorder"><tr><th class="subBorder">Task </th><th class="subBorder">Owner </th><th class="subBorder">Status </th><th class="subBorder">Start Date </th><th class="subBorder">Due Date </th><th class="subBorder">Duration </th><th class="subBorder">Created By </th><th>% Completed </th><th class="subBorder">Completed on </th><th>Last Update Date</th>'+
         '<th class="subBorder">Asigned Resource</th><th class="subBorder">Project Role</th><th class="subBorder">Actual Date Started</th><th class="subBorder">% Completed</th><th class="subBorder">Hours Worked</th><th class="subBorder">Action</th></tr></thead>'+   
        '<tbody>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td>'+
        '<td class="subBorder"><div class="justify-content-between"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"> <label>John Smith</label> </div></td>'+
        '<td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50%</td><td class="subBorder">50</td><td class="subBorder">Request Status</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td>'+
        '<td class="subBorder"><div class="justify-content-between"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"> <label>John Smith</label> </div></td>'+
        '<td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50%</td><td class="subBorder">50</td><td class="subBorder">Request Status</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td>'+
        '<td class="subBorder"><div class="justify-content-between"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"> <label>John Smith</label> </div></td>'+
        '<td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50%</td><td class="subBorder">50</td><td class="subBorder">Request Status</td></tr>'+
        
    '</tbody>'+        
    '</table></div>';
}
    
    /*Tinymce editor*/
  if ($("#announcement_textarea").length) {
    tinymce.init({
      selector: '#announcement_textarea',
      height: 500,
      theme: 'modern',
      plugins: [
        'advlist autolink lists link image charmap print preview hr anchor pagebreak',
        'searchreplace wordcount visualblocks visualchars code fullscreen',
        'insertdatetime media nonbreaking save table contextmenu directionality',
        'emoticons template paste textcolor colorpicker textpattern imagetools codesample toc help'
      ],
      toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
      toolbar2: 'print preview media | forecolor backcolor emoticons | codesample help',
      image_advtab: true,
      templates: [{
          title: 'Test template 1',
          content: 'Test 1'
        },
        {
          title: 'Test template 2',
          content: 'Test 2'
        }
      ],
      content_css: []
    });
  }
  
  
  $(".announcement_popup").click(function()
  {
     $("#modal_announcement_popup").modal("show");
  });
  $("#modal_announcement_close").click(function()
  {
      $("#modal_announcement_popup").modal("hide");
  });
  $(document).ready(function()
  {
/*    var arr_list = get_current_timezone();
    currTz = arr_list[0];
    curTime = arr_list[1];    
*/
    curDay = moment().format('dddd');
    curDate = moment().format('YYYY-MM-DD');
    $.ajax({
            url: "ajax2.php",
            method: "POST",
            data: {REQUEST: 'get_attendance_feeds_data',curDay:curDay,curDate:curDate},
            success: function (response)
            {
                console.log(response);
                if (!jQuery.isEmptyObject(response.result_data))
                {
                    $.each( response.result_data, function( key, value ) 
                    {
                        Addrow(value);                                
                    });
                   // dataTableCreateCommon("table1");
                   // $("#table1_filter").hide();
                }
            }
        });      
  });
   
    function Addrow(data)
    {
        
        console.log(data.img_src);
        var tr ='<tr><td>'+
            '<div class="message-body">'+
                '<div class="sender-details">'+
                    '<img class="img-sm rounded-circle mr-3" src="'+data.img_src+'" alt="">'+
                    '<div class="details">'+
                        '<p class="sender-email">'+data.full_name+
                          ' <a href="#">'+data.last_udpated_by+'</a>'+
                          '&nbsp;<i class="typcn typcn-user-multiple-plus"></i>'+
                        '</p>'+
                        '<p class="msg-subject" title="Subject Line">'+data.expr2+
                            
                        '</p>'+
                    '</div>'+
                '</div>'+
            '</div>'+
            '</td></tr>';
        $("#table_feeds tbody").append(tr);
    }
</script>
