<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
//include_once '';
$current_tab = (isset($_GET['tab']) && $_GET['tab']!='')?$_GET['tab']:'';
$start_date = date("m/d/Y");
$end_date = strtotime("-30 days", strtotime($start_date));
$end_date = date("m/d/Y", $end_date);
$end_date1 = strtotime("-3 days", strtotime($start_date));
$end_date1 = date("m/d/Y", $end_date1);
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Feeds</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/nouislider/nouislider.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<style>
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
.dataTables_wrapper .dataTable thead th {
	border-bottom-width: 1px!important;
	border-bottom-color: #999!important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active">Feeds</li>
									</ol>
								</nav>
								<?php
								$IsActive1="";
								$IsActive2="";
								$IsActive3="";
								
								if($current_tab==1 || $current_tab=="")
								{
									$IsActive1="show active";
									$tab1_selected="aria-selected='true'";
									$tab2_selected="aria-selected='false'";
									$tab3_selected="aria-selected='false'";
								}
								else if($current_tab==2)
								{
									$IsActive2="show active";
									$tab1_selected="aria-selected='false'";
									$tab2_selected="aria-selected='true'";
									$tab3_selected="aria-selected='false'";
								}
								else if($current_tab==3)
								{
									$IsActive3="show active";
									$tab1_selected="aria-selected='false'";
									$tab2_selected="aria-selected='false'";
									$tab3_selected="aria-selected='true'";
								}
                                ?>
								<div class="row">
									<div class="col-md-12 mx-auto">
										<ul class="nav nav-pills nav-pills-custom" id="feeds_tabs" role="tablist">
											<li class="nav-item">
												<a class="nav-link <?php echo $IsActive1;?>" id="feeds_tab1" data-toggle="pill" href="#feeds_tab1_content" role="tab" aria-controls="pills-home" <?php echo $tab1_selected; ?>>Activity Trail</a> 
											</li>

											<?php 
											if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){
											?>
											<li class="nav-item">
												<a class="nav-link <?php echo $IsActive3;?>" id="feeds_tab3" data-toggle="pill" href="#feeds_tab3_content" role="tab" aria-controls="pills-contact" <?php echo $tab3_selected; ?>>Announcement </a> 
											</li>
											<?php } ?>

										</ul>
										<div class="tab-content" id="feeds_tabs_content">
											<div class="tab-pane fade show <?php echo $IsActive1;?>" id="feeds_tab1_content" role="tabpanel" aria-labelledby="feeds_tab1">
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<label>Select Project</label>
															<select class="js-example-basic-single form-control" name="combo_project_id2" id="combo_project_id2" style="width:100%;" onChange="getProjectActivityTrailData(this.value);">
																<option value="">--Please Select--</option>
																<?php
																$where_project = "";
																if($_SESSION['login_user_array']['user_role']=="User"){
																	$where_project = "
																		AND
																		(
																			project_id 
																				IN 
																				(
																					SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
																				)
																			OR
																			project_id 
																				IN 
																				(
																					SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
																				)
																		)
																	";
																}
																$last_project_id = getvalue("cxs_projects_wb_activity_trail","project_id"," WHERE 1=1 $where_project ORDER BY activity_id DESC LIMIT 1");
																$selectQuery 	= "
																	SELECT 
																		*
																	FROM 
																		`cxs_projects` 
																	WHERE 
																		company_id='".$_SESSION['login_user_array']['company_id']."' 
																		$where_project
																	ORDER BY 
																		project_number
																";
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																$counter = 0;
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																		$counter++;
																		$project_id		= $rows['project_id'];
																		$project_number	= $rows['project_number'];
																		$project_name	= $rows['project_name'];
																		$project_schedule_start_date= ($rows['schedule_start_date']!="0000-00-00")?setDate($rows['schedule_start_date'],"m/d/Y"):"";
																		$project_schedule_end_date	= ($rows['schedule_end_date']!="0000-00-00")?setDate($rows['schedule_end_date'],"m/d/Y"):"";
																	?>
																	<option 
																		value="<?php echo $project_id; ?>" 
																		data-project_name="<?php echo $project_name; ?>" 
																		data-project_number="<?php echo $project_number; ?>" 
																		data-project_schedule_start_date="<?php echo $project_schedule_start_date; ?>" 
																		data-project_schedule_end_date="<?php echo $project_schedule_end_date; ?>"
																		<?php if($last_project_id==$project_id){ ?> selected <?php } ?>
																	>
																		<?php echo $project_number." : ".$project_name; ?>
																	</option>
																	<?php
																	}
																}
																?>
															</select>
														</div>
													</div>
													<div class="col-md-6 text-center">
														<div class="form-group">
															<label>Select Date Range</label>
															<div class="noUi-main-div w-75 mx-auto">
																<div id="date_range" class="ul-slider slider-primary mb-5"></div>
																<input type="hidden" class="example-val" id="start_date" value="" />
																<input type="hidden" class="example-val" id="end_date" value="" />
															</div>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12" id="result_project_activity_trial">
														
													</div>
												</div>
											</div>

											<?php 
											if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){
											?>
											<div class="tab-pane fade <?php echo $IsActive3;?>" id="feeds_tab3_content" role="tabpanel" aria-labelledby="feeds_tab3">
												<form id="send_announcement_form" action="" method="post">
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<label>Select Project</label>
															<select class="js-example-basic-single form-control requirefieldcls" name="combo_project_id" id="combo_project_id" style="width:100%;">
																<option value="">--Please Select--</option>
																<?php
																$where_project = "";
																if($_SESSION['login_user_array']['user_role']=="User"){
																	$where_project = "
																		AND
																		(
																			project_id 
																				IN 
																				(
																					SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
																				)
																			OR
																			project_id 
																				IN 
																				(
																					SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
																				)
																		)
																	";
																}
																$selectQuery 	= "
																	SELECT 
																		*
																	FROM 
																		`cxs_projects` 
																	WHERE 
																		company_id='".$_SESSION['login_user_array']['company_id']."' 
																		$where_project
																	ORDER BY 
																		project_number
																";
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																$counter = 0;
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																		$counter++;
																		$project_id		= $rows['project_id'];
																		$project_number	= $rows['project_number'];
																		$project_name	= $rows['project_name'];
																		$project_schedule_start_date= ($rows['schedule_start_date']!="0000-00-00")?setDate($rows['schedule_start_date'],"m/d/Y"):"";
																		$project_schedule_end_date	= ($rows['schedule_end_date']!="0000-00-00")?setDate($rows['schedule_end_date'],"m/d/Y"):"";
																	?>
																	<option 
																		value="<?php echo $project_id; ?>" 
																		data-project_name="<?php echo $project_name; ?>" 
																		data-project_number="<?php echo $project_number; ?>" 
																		data-project_schedule_start_date="<?php echo $project_schedule_start_date; ?>" 
																		data-project_schedule_end_date="<?php echo $project_schedule_end_date; ?>"
																	>
																		<?php echo $project_number." : ".$project_name; ?>
																	</option>
																	<?php
																	}
																}
																?>
															</select>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<label>Subject</label>
															<input type="text" id="text_subject" name="text_subject" class="form-control requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Subject." data-original-title="">
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-4 mt-2">
														<label style="display: block;">Send to</label>
														<select class="js-example-basic-single requirefieldcls" name="combo_send_to" id="combo_send_to" style="width:100%">
															<option value="">--Please Select--</option>
															<option value="Everyone">Everyone Involved in the Project</option>
															<option value="Stakeholders">Stakeholders only</option>
															<option value="Team">Team Only</option>
															<option value="Project Sponsors">Project Sponsors only</option>
														</select>
													</div>
												</div>
												<div class="row">
													<div class="col-md-12 mt-4">
														<label>Message</label>
														<textarea id='text_message' name="text_message"></textarea>
													</div>
												</div>
												<div class="row">
													<div class="col-md-2 mt-4 mb-4">
														<button type="button" id="cmdSendNow" class="btn btn-primary btn-block">Send</button>
													</div>
												</div>
												</form>
												<div class="">
													<ul class="nav nav-tabs" role="tablist">
														<li class="nav-item"> <a class="nav-link active" id="inbox-tab" data-toggle="tab" href="#inbox" role="tab" aria-controls="inbox-1" aria-selected="true">Inbox</a> </li>
														<li class="nav-item"> <a class="nav-link" id="sentitems-tab" data-toggle="tab" href="#sentitems" role="tab" aria-controls="sentitems" aria-selected="false">Sent Items</a> </li>
													</ul>
													<div class="tab-content">
														<div class="tab-pane fade show active" id="inbox" role="tabpanel" aria-labelledby="inbox-tab">
															<div class="table-responsive">
																<table id="table_inbox" class="table table-bordered">
																	<thead>
																		<tr class="table-info">
																			<th width="15%">Date</th>
																			<th width="60%">Subject</th>
																			<th width="15%">Send From</th>
																			<th width="10%">Action</th>
																		</tr>
																	</thead>
																	<tbody>
																		<?php
																		$selectQuery 	= "
																			SELECT 
																				ah.*,
																				u.full_name
																			FROM
																				`cxs_projects_announcement_header` ah
																			INNER JOIN
																				`cxs_projects_announcement_detail` ad
																			ON
																				ah.announcement_id=ad.announcement_id
																			INNER JOIN
																				`cxs_user` u
																			ON
																				ah.send_from_user_id=u.user_id
																			WHERE 
																				ad.user_id='".$_SESSION['login_user_array']['user_id']."' AND ah.send_from_user_id!='".$_SESSION['login_user_array']['user_id']."' AND ad.company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY ah.announcement_id
																		";
																		$RunUserQuery	= mysqli_query($conn, $selectQuery);
																		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																		if($StdNumRows>0){
																			while($rows=mysqli_fetch_assoc($RunUserQuery)){
																				$announcement_id 					= $rows['announcement_id'];
																				$project_id = $rows['project_id'];
																				$subject 	= $rows['subject'];
																				$full_name 	= $rows["full_name"];
																				$subject 	= $rows['subject'];
																				$creation_date 	= setDate($rows['creation_date'],"m/d/Y");
																				$data_content_eye_icon = show_eye_icon_data("cxs_projects_announcement_header","announcement_id",$announcement_id);
																		?>
																		<tr class="announcement_popup" data-id="<?php echo $announcement_id; ?>">
																			<td><?php echo $creation_date; ?> PST</td>
																			<td><?php echo $subject; ?></td>
																			<td><?php echo $full_name; ?></td>
																			<td class="text-center">
																				<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
																			</td>
																		</tr>
																		<?php
																			}
																		}
																		?>
																	</tbody>
																</table>
															</div>
														</div>
														<div class="tab-pane fade" id="sentitems" role="tabpanel" aria-labelledby="sentitems-tab">
															<div class="table-responsive">
																<table id="table_sentitems" class="table table-bordered">
																	<thead>
																		<tr class="table-info">
																			<th width="15%">Date</th>
																			<th width="60%">Subject</th>
																			<th width="15%">Send To</th>
																			<th width="10%">Action</th>
																		</tr>
																	</thead>
																	<tbody>
																		<?php
																		$selectQuery 	= "
																			SELECT * FROM `cxs_projects_announcement_header`  WHERE send_from_user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY announcement_id";		
																		$RunUserQuery	= mysqli_query($conn, $selectQuery);
																		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																		if($StdNumRows>0){
																			while($rows=mysqli_fetch_assoc($RunUserQuery)){
																				$announcement_id 					= $rows['announcement_id'];
																				$project_id = $rows['project_id'];
																				$subject 	= $rows['subject'];
																				$send_to 	= $rows['send_to'];
																				$message 	= htmlspecialchars_decode(nl2br($rows['message']));
																				$creation_date 	= setDate($rows['creation_date'],"m/d/Y H:i:s");
																				$data_content_eye_icon = show_eye_icon_data("cxs_projects_announcement_header","announcement_id",$announcement_id);
																		?>
																		<tr class="announcement_popup" data-id="<?php echo $announcement_id; ?>">
																			<td><?php echo $creation_date; ?> PST</td>
																			<td><?php echo $subject; ?></td>
																			<td><?php echo $send_to; ?></td>
																			<td class="text-center">
																				<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
																			</td>
																		</tr>
																		<?php
																			}
																		}
																		?>
																	</tbody>
																</table>
															</div>
														</div>
													</div>
												</div>
											</div>
											<?php } ?>

										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**************Modal Area****************/ ?>
<div class="modal fade" id="announcement_popup_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg swal-modal mt-2" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Announcement Message</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0" id="result_announcement_mesage">
				
			</div>
		</div>
	</div>
</div>
<?php /**************Modal Area****************/ ?>
<input id="my-file" type="file" name="my-file" style="display: none;" accept="image/*" onChange="" />
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/nouislider/nouislider.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
</body>
</html>
<script>
$(document).ready(function(){
	setTimeout(function(){
		getProjectActivityTrailData($("#combo_project_id2").val());
	},1000);
	
});
function timestamp(str) {
    return new Date(str).getTime();
}

if ($("#date_range").length) {
	var dateSlider = document.getElementById('date_range');
	
	noUiSlider.create(dateSlider, {
		// Create two timestamps to define a range.
		range: {
			min: timestamp('<?php echo $end_date; ?>'),
			max: timestamp('<?php echo $start_date; ?>')
		},
		step: 1,
		tooltips: true,
		format: {
			from: Number,
			to: function(value) {
				return (formatDate(new Date(value)));
			}
		},
	
		// Steps of one day
		step: 24*60,
		
		// Two more timestamps indicate the handle starting positions.
		start: [timestamp('<?php echo $end_date1; ?>'), timestamp('<?php echo $start_date; ?>')],
	
		// No decimals
		/*format: wNumb({
			decimals: 0
		})*/
	});
	var dateValues = [
		document.getElementById('start_date'),
		document.getElementById('end_date')
	];
	
	dateSlider.noUiSlider.on('update', function (values, handle) {
		dateValues[handle].value = values[handle];
	});
	dateSlider.noUiSlider.on('change', function(){
        if($("#combo_project_id2").val()>0){
			getProjectActivityTrailData($("#combo_project_id2").val());
		}
    });
	
	function formatDate(date) {
		var day = date.getDate();
		var month = 1+date.getMonth();
		var year = date.getFullYear();
		if(day<10){
			day = "0"+day;
		}
		if(month<10){
			month = "0"+month;
		}
		var full_date = month+"/"+day+"/"+year
		return full_date;
	}

	

}
/**********************/
<?php 
if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){
?>
$(".announcement_popup").click(function(){
	var announcement_id = $(this).data("id");
	getAnnouncementMessageData(announcement_id)
});
/**********************/
if ($("#text_message").length) {
	tinymce.init({
		selector: '#text_message',
		setup: function (editor) {
			editor.on('change', function () {
				editor.save();
			});
		},
		file_picker_callback: function (callback, value, meta) {
			if (meta.filetype == 'image') {
				var input = document.getElementById('my-file');
				input.click();
				input.onchange = function () {
					var file = input.files[0];
					var reader = new FileReader();
					reader.onload = function (e) {
						callback(e.target.result, {
							alt: file.name
						});
					};
					reader.readAsDataURL(file);
				};
			}
		},
		height: 500,
		theme: 'modern',
		plugins: [
			'advlist autolink lists link charmap print preview hr anchor pagebreak',
			'searchreplace wordcount visualblocks visualchars code fullscreen',
			'insertdatetime nonbreaking save table contextmenu directionality',
			'emoticons template paste textcolor colorpicker textpattern codesample toc help'
		],
		toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link ',
		toolbar2: 'print preview | forecolor backcolor emoticons | codesample help',
		image_advtab: true,
		templates: [{
			title: 'Test template 1',
			content: 'Test 1'
		},
		{
			title: 'Test template 2',
			content: 'Test 2'
		}
		
	  ],
	  content_css: []
	});
}
/**********************/
$("#cmdSendNow").click(function (){
	var flag = true;
	
	form_element_correct($("#combo_project_id").siblings(".select2"));
	form_element_correct($("#text_subject"));
	form_element_correct($("#combo_send_to").siblings(".select2"));
	form_element_correct($("#text_message"));
	
	if($("#combo_project_id").val()==""){
		form_element_empty_err($("#combo_project_id").siblings(".select2"));
		flag = false;
	}
	if($("#text_subject").val()==""){
		form_element_empty_err($("#text_subject"));               
		flag = false;
	}
	if($("#combo_send_to").val()==""){
		form_element_empty_err($("#combo_send_to").siblings(".select2"));
		flag = false;
	}
	if($("#text_message").val()==""){
		form_element_empty_err($("#text_message"));               
		flag = false;
	}
	
	var formdata 		= $('#send_announcement_form').serialize();
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_project_announcement',form1: formdata},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						window.location.href='';
					}   
				},1000); 
			}
		});
	}
});
/********************************************/
var table = $('#table_sentitems,#table_inbox').DataTable( {
"searching": false,
"dom": 'lBfrtip',
autoWidth: false,
buttons: [                  
   [
		/*'excel',
		'pdf',*/
		{
			text: 'Email',
			action: function ( e, dt, node, config ) {
			//$("#modal_email").show(); 
			show_emaimodal();
			}
		}
   ]]
});
/*******************************************/
function getAnnouncementMessageData(announcement_id){
	$("#stakeholders_modal").modal('show');
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_project_feed_announcement_message_data',is_html:true,announcement_id:announcement_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#result_announcement_mesage").html(response);
				$("#announcement_popup_modal").modal("show");
			},1000);
		}
	});
}
<?php } ?>

/*******************************************/
function getProjectActivityTrailData(project_id){
	var start_date = $("#start_date").val();
	var end_date = $("#end_date").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_project_feed_activity_trail_data',is_html:true,project_id:project_id,start_date:start_date,end_date:end_date},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function(response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#result_project_activity_trial").html(response);
			},1000);
		}
	});
}

</script>