<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Projects</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
  <link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
 <!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
  <link href="https://davidstutz.de/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" rel="stylesheet"/>
  <link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  <link rel="stylesheet" href="css/custom_toggle.css">
  <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <style>
     td.details-control 
     {
        background: url('images/icons/details_open.png') no-repeat center center;
        cursor: pointer;
    }
    tr.shown td.details-control 
    {
        background: url('images/icons/details_close.png') no-repeat center center;
    }    

.myclass1
{
    padding: 0.25rem 0 !important;
}
  </style>
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">                                            
                                            <li class="breadcrumb-item">Projects</li>
                                            <li class="breadcrumb-item"><a href="project-workbench.php">Project Workbench</a></li>
                                            <li class="breadcrumb-item active">Project Issue</li>
                                        </ol>
                                    </nav>
                                    
                                    <div class="col-md-12 mb-4 pl-0 pr-0" > 
                                        <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;" >    
                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Id :</label>
                                                <label  class="pr-4">CXS001</label>
                                            </div>

                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Scheduled Start Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>

                                            <div class="form-group mb-0"> 
                                                <label class="pl-2">Project Scheduled End Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>    
                                        </div>
                                    </div>
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3">PROJECT:  DI-GFC IMAGING</h4>
                                        <div>
                                            <select class="js-example-basic-single " name="combo_project_manager" id="combo_project_manager" style="width:100%">
                                                <option value="Draft"> My Project</option>
                                                <option value="Draft"> Project 1</option>
                                                <option  value="Draft"> Project 2</option>
                                            </select>
                                        </div>
                                    </div>                                    
                                </div>
                            </div>
                        </div>
                    
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="d-flex flex-wrap justify-content-between mb-3">
                                        <h4 class="card-title mb-3">Issue Log</h4>
                                        <button class="btn btn-primary btn-icon open-modal" title="Add Issue Log" id="cmdAddProject"><i class="fa fa-plus"></i></button>
                                    </div>
                                       
                                    
                                    <div class="table-responsive">
                                        <table id="table_pw_expense_budget" class="table table-bordered">
                                           <thead>
                                               <tr class='table-info'>
                                                    <th> Issue Number</th>
                                                    <th> Priority</th>
                                                    <th> Status</th>
                                                    <th> Assigned To</th>
                                                    <th> Short Description</th>
                                                    <th> Task Type</th>
                                                    <th> Urgency</th>
                                                    <th> Time Worked</th>
                                                    <th> Planned Duration</th>
                                                    <th> Escalation</th>
                                                    <th> Closed By</th>
                                                    <th> Schedule Start Date</th>
                                                    <th> Schedule End Date</th>
                                                    <th> Actual Start Date</th>
                                                    <th> Actual End Date</th>
                                                    <th>Impact</th>
                                                    <th>Action</th>
                                               </tr>    
                                           </thead>                                           
                                           <tbody>
                                            <?php
                                                for($i=1;$i<=5;$i++)    { ?>
                                               <tr class="project-attendance">                                                   
                                                   <td>ISS.PRJ.1 </td>
                                                    <td>Critical </td>
                                                    <td>Open </td>
                                                    <td>John Smith </td>
                                                    <td>This is a short description. This is a short description. </td>
                                                    <td>Defect Information Request, Training Research </td>
                                                    <td>Critical </td>
                                                    <td>8 </td>
                                                    <td>8 </td>
                                                    <td>Bob Smith </td>
                                                    <td>Bob Smith </td>
                                                    <td>MM/DD/YYYY</td>
                                                    <td>MM/DD/YYYY</td>
                                                    <td>MM/DD/YYYY</td>
                                                    <td>MM/DD/YYYY</td>
                                                    <td>Revenue</td>                                                    
                                                   <td>
                                                       <div class="text-center">
                                                           <button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button>
                                                           <button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button>
                                                           <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                       </div>
                                                    </td>
                                               </tr> 
                                                <?php } ?>   
                                           </tbody>
                                        </table>   
                                    </div>
                                    <div class="text-right mt-3">
                                        <button class="btn btn-primary btn-sm">Save</button>
                                    </div>
                               </div>
                            </div>
                        </div>
                        
                    </div>
                </div>    
            </div>    
        </div>
      
      
         <!--  Modal New option -->
        <div class="modal fade pr-0" id="modal_issue_log">
            <div class="modal-dialog  modal-xl mt-0" role="document">
                <div class="modal-content">
                    <div class="modal-header pb-2">
                        <h2 class="pl-3 modal-title" >Manage Issue Tracking</h2>
                        
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                              <span aria-hidden="true">&times;</span>                    
                        </button>
                    </div>
                    
                    <div class="modal-body pt-2 ">
						<?php
						include 'issue-tracking.php'; 
						?>;
					</div>
                    
                </div>
            </div>
        </div>
        <!-- modal finish -->
        
         
      
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
     <script src="vendors/select2/select2.min.js"></script>     
    <script src="js/select2.js"></script> 
 <!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
    <script src="vendors/moment/moment.min.js"></script>
  <script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>  
    <script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>

    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
    
    <script src="js/bootstrap-multiselect.js"></script>
    <script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
   <!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script>    
    <script src="vendors/tinymce/tinymce.min.js"></script>
    <script src="vendors/chart.js/Chart.min.js"></script>
    <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
    
    <script src="vendors/raphael/raphael.min.js"></script>
    <script src="vendors/morris.js/morris.min.js"></script>
    <script src="js/morris.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>

</html>
<script>
     $('.form_datetime').datepicker(
        {
            format:'mm-dd-yyyy',
            defaultDate: '',
            autoclose : true
    });
    $(".edit-record, .open-modal").click(function()
    {
       $("#modal_issue_log").modal("show");
       
    });
    $(document).ready(function()
{ 
    var table = $('#table_pw_expense_budget').DataTable({
                "searching": false,
              columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
              "dom": 'lBfrtip',              
               buttons: [
                   {
                        //columns: [1,2,3,4,5]       gt(0)
                       extend: 'colvis',
                       columns: ':lt(16)'
                   },
                   ['excel','pdf',{text: 'Email'}]]
	}); 
      
        $('#table_pw_expense_budget tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        var sortBy = 2;
	table.
            order([sortBy, 'desc'])
            .draw();

});




$.contextMenu({
    selector: '.manage-issue-tab, .updates-tab',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "save": {name: "Save"},
      "escalate": {name: "Escalate"},
      "Close_Resolve": {name: "Close/Resolve"},
      "send_message_to": {name: "Send Message To",
          "items": {
              "person1": {"name": "John Smith"},
              "person2": {"name": "John Smith"},
              "person3": {"name": "John Smith"},
            }
        },
        "announce": {name: "Announce"},
        "export_to_pdf": {name: "Export to PDF"},
        "email": {name: "Email"}
  }
  });
  
  
  /*Tinymce editor*/
  if ($("#project_issue_details").length) {
    tinymce.init({
      selector: '#project_issue_details',
      height: 500,
      theme: 'modern',
      plugins: [
        'advlist autolink lists link image charmap print preview hr anchor pagebreak',
        'searchreplace wordcount visualblocks visualchars code fullscreen',
        'insertdatetime media nonbreaking save table contextmenu directionality',
        'emoticons template paste textcolor colorpicker textpattern imagetools codesample toc help'
      ],
      toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
      toolbar2: 'print preview media | forecolor backcolor emoticons | codesample help',
      image_advtab: true,
      templates: [{
          title: 'Test template 1',
          content: 'Test 1'
        },
        {
          title: 'Test template 2',
          content: 'Test 2'
        }
      ],
      content_css: []
    });
  }
  
  
  if ($("#project-issue-attachments").length) {
    $("#project-issue-attachments").uploadFile({
      url: "YOUR_FILE_UPLOAD_URL",
      fileName: "myfile"
    });
  }
  
  
  $(document).ready(function(){
  $('.dropdown-submenu a.test').on("click", function(e){
    $(this).next('ul').toggle();
    e.stopPropagation();
    e.preventDefault();
  });
});
</script>    
