<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Projects</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
  <link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
 <!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
  <link href="https://davidstutz.de/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" rel="stylesheet"/>
  <link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
  <!-- endinject -->
  <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  <link rel="stylesheet" href="css/custom_toggle.css">
  <style>
     td.details-control {
    background: url('images/icons/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('images/icons/details_close.png') no-repeat center center;
}

  </style>
</head>

<body class="sidebar-light sidebar-icon-only">
    <div class="row">
        <div class="col-md-12 mb-4 pl-0 pr-0" > 
            <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;" >    
                <div class="form-group mb-0">
                    <label class="pl-2">Project Id :</label>
                    <label  class="pr-4">CXS001</label>
                </div>

                <div class="form-group mb-0">
                    <label class="pl-2">Project Scheduled Start Date :</label>
                    <label  class="pr-4">04/06/2020</label>
                </div>

                <div class="form-group mb-0"> 
                    <label class="pl-2">Project Scheduled End Date :</label>
                    <label  class="pr-4">04/06/2020</label>
                </div>    
            </div>            
        </div>
    </div>
    
    <div class="d-flex flex-wrap justify-content-between pl-3 pb-3">
        <h3 class=" modal-title" id="modal2_label">PROJECT:  DI-GFC IMAGING</h3>        
    </div>
    
    <div class="col-xl-12 d-flex grid-margin stretch-card">     
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap justify-content-between ">
                    <h3 class=" modal-title" >Requirements</h3>        
                </div>
                <div class="row pt-4">
                    <select class="js-example-basic-single" style="width:100%;">
                        <option> Requirement 1: My Requirement .....My Requirement .....My Requirement .....My Requirement .....My Requirement .....</option>
                        <option> Requirement 2: My Requirement .....My Requirement .....My Requirement .....My Requirement .....My Requirement .....</option>                                                        
                    </select>
                </div>
                
                <div class="d-md-flex pt-3 stakeholders-requirements-tasks">
                    <div class ="mr-5 mb-4">
                        <div class="d-flex ">
                            <img class="img-sm rounded-circle mb-md-0 mr-2" src="images/faces/face3.jpg" alt="profile image">
                            <div>
                                <h5 class="text-facebook">Assigned Resource</h5>
                                <div class="pt-2"> John Smith</div>
                            </div>    
                        </div>
                    </div>
                    
                    <div class ="mr-5 mb-4">
                        <h5 class="text-facebook">Project Role</h5>
                        <div class="pt-2"> Developer</div>
                    </div>
                    <div class ="mr-5 mb-4">
                        <h5 class="text-facebook">Actual Date Started</h5>
                        <div class="pt-2"> MM/DD/YYYY</div>
                    </div>
                    
                    <div class ="mr-5 mb-4">
                        <h5 class="text-facebook">% Completed</h5>
                        <div class="pt-2"> 50</div>
                    </div>
                    
                    <div class ="mr-5 mb-4">
                        <h5 class="text-facebook">Last Updated</h5>
                        <div class="pt-2"> MM/DD/YYYY</div>
                    </div>
                    
                    <div class ="mr-5 mb-4">
                        <h5 class="text-facebook"> Hours Worked</h5>
                        <div class="pt-2"> MM/DD/YYYY</div>
                    </div>
                    
                    <div class ="mr-5 mb-4">
                        <h5 class="text-facebook"> Action</h5>
                        <div class="pt-2"> Request Status</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    
    <div class="col-xl-12 d-flex grid-margin stretch-card">     
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap justify-content-between ">
                    <h3 class=" modal-title" >Tasks</h3>        
                </div>
                <div class="table-responsive">
                    <table id="table_stakeholder_req_tasks" class="table table-border" >
                        <thead>                                                                            
                            <tr class="table-info">                                                                 
                                <th width="20%">Task </th>
                                <th>Owner </th>
                                <th>Status</th>
                                <th>Start Date</th>
                                <th>Due Date</th>
                                <th>Duration</th>
                                <th>Created By</th>
                                <th>% Completed</th>
                                <th>Completed On</th>
                                <th>Last Update Date</th>
                                <th>SV</th>
                                <th>SPI</th>
                                <th>Status Remark</th>

                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                for($i=1;$i<=4;$i++)
                                {?>
                                    <tr class="menu_WBSView" data-node-id="<?php echo $i; ?>">
                                        <td width="20%">Task1 : This is a Task<?php echo$i; ?></td>
                                        <td>John Smith</td>
                                        <td>In Process</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>10 Days</td>
                                        <td>John Manager</td>
                                        <td>50%</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>MM/DD/YYYY</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>

                                    </tr>
                        <?php   }?>
                                <tr class="menu_WBSView" data-node-id="4.1" data-node-pid="4">   
                                    <td width="20%">Task1 : This is a Sub Task4</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr> 
                                 <tr class="menu_WBSView" data-node-id="4.2" data-node-pid="4">   
                                    <td width="20%">Task1 : This is a Sub Task4</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>

                                </tr>
                                <tr class="menu_WBSView" data-node-id="4.3" data-node-pid="4">   
                                    <td width="20%">Task1 : This is a Sub Task4</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr> 
                                <tr class="menu_WBSView" data-node-id="4.3.1" data-node-pid="4.3">   
                                    <td width="20%">Task1 : This is a Sub Task4.3</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr>
                                    <tr class="menu_WBSView" data-node-id="4.3.1.1" data-node-pid="4.3.1">   
                                        <td width="20%">Task1 : This is a Sub Task4.3</td>
                                        <td>John Smith</td>
                                        <td>In Process</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>10 Days</td>
                                        <td>John Manager</td>
                                        <td>50%</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>MM/DD/YYYY</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>                                                                        
                                    </tr>
                                <tr class="menu_WBSView" data-node-id="4.3.2" data-node-pid="4.3">   
                                    <td width="20%">Task1 : This is a Sub Task4.3</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr>
                                    <tr class="menu_WBSView" data-node-id="4.3.2.1" data-node-pid="4.3.2">   
                                        <td width="20%">Task1 : This is a Sub Task4.3</td>
                                        <td>John Smith</td>
                                        <td>In Process</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>10 Days</td>
                                        <td>John Manager</td>
                                        <td>50%</td>
                                        <td>MM/DD/YYYY</td>
                                        <td>MM/DD/YYYY</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>                                                                        
                                    </tr>
                                <tr class="menu_WBSView" data-node-id="5">
                                    <td width="20%">Task1 : This is a Task5</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr> 
                                <tr class="menu_WBSView" data-node-id="5.1" data-node-pid="5">   
                                    <td width="20%">Task1 : This is a Sub Task5</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr> 
                                <tr class="menu_WBSView" data-node-id="5.1.1" data-node-pid="5.1">   
                                    <td width="20%">Task1 : This is a Sub Task5</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr> 
                                <tr class="menu_WBSView" data-node-id="5.1.2" data-node-pid="5.1">   
                                    <td width="20%">Task1 : This is a Sub Task5</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr>
                                <tr class="menu_WBSView" data-node-id="6" >   
                                    <td width="20%">Task1 : This is a Sub Task6</td>
                                    <td>John Smith</td>
                                    <td>In Process</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>10 Days</td>
                                    <td>John Manager</td>
                                    <td>50%</td>
                                    <td>MM/DD/YYYY</td>
                                    <td>MM/DD/YYYY</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>                                                                    
                                </tr>
                        </tbody>
                    </table>
                </div>    
            </div>    
        </div>
    </div>    
</body>    
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
     <script src="vendors/select2/select2.min.js"></script>     
    <script src="js/select2.js"></script> 
 <!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
    <script src="vendors/moment/moment.min.js"></script>
  <script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>  
    <script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>

    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
    
    <script src="js/bootstrap-multiselect.js"></script>
    <script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
   <!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script>    
    <script src="vendors/tinymce/tinymce.min.js"></script>
    <script src="vendors/chart.js/Chart.min.js"></script>
    <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
    
    <script src="vendors/raphael/raphael.min.js"></script>
    <script src="vendors/morris.js/morris.min.js"></script>
    <script src="js/morris.js"></script>
    <script src="dist/jquery-simple-tree-table.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script>
        $('#table_stakeholder_req_tasks').simpleTreeTable({
            
            expander: $('#expander'),
            collapser: $('#collapser'),
            store: 'session',
            storeKey: 'simple-tree-table-basic'
        });
        
        $.contextMenu({
        selector: '.stakeholders-requirements-tasks',
        callback: function(key, options) 
        {
            //var m = "clicked: " + key;
            // window.console && console.log(m) || alert(m);
        },
        items: {
          "send_message": {name: "Send Message"},"chat": {name: "Chat"},
          "announce": {name: "Announce"}
      }
      });
          
    </script>    
</html>

