<?php
    //include_once '';
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Projects</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
  <link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
 <!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
  
  <link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  
  <style>
     td.details-control {
    background: url('images/icons/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('images/icons/details_close.png') no-repeat center center;
}

.preview-list .preview-item 
{
    padding: 0.05rem 0;
}
/*p {
    line-height: 0.5rem;
}*/
.myclass 
{
    line-height: 0.5rem;
}
  </style>
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Attendance Tracking</li>                                            
                                            <li class="breadcrumb-item active">Task Generate Layout</li>  
                                        </ol>
                                    </nav>
                                    
                                    <div class="col-md-12 mt-5 pl-0 pr-0" > 
                                        <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;" >    
                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Id :</label>
                                                <label  class="pr-4">CXS001</label>
                                            </div>

                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Scheduled Start Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>

                                            <div class="form-group mb-0"> 
                                                <label class="pl-2">Project Scheduled End Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>    
                                        </div>
                                    </div>
                                    
                                    
                                    <div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
                                        <h4 class="card-title mb-3">Project : DIGFC-IMAGING</h4>
                                        <div>
                                           <a class="nav-link pl-2 pr-2 count-indicator dropdown-toggle d-flex justify-content-center align-items-center" id="favoriteDropdown" href="#" data-toggle="dropdown">
                                               <button class="btn btn-primary btn-sm"><i class="fa fa-ellipsis-h"></i></button> 
                                           </a>
                                           <div class="dropdown-menu dropdown-menu-right navbar-dropdown preview-list" aria-labelledby="favoriteDropdown"> 
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Update Schedule</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Gantt Chart</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Change Requests</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Issue Log</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Team</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Scop</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Stakeholders</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Risks</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Assumptions</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Documents</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Approvals</p></a>

                                               <div class="dropdown-divider"></div>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">View Feeds</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Send Message</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Send Announcement</p></a>
                                               <div class="dropdown-divider"></div>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Reassign Tasks</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Change Team</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Change Stakeholders</p></a>
                                               <a class="dropdown-item preview-item"><p class="mb-0 myclass font-weight-normal float-left dropdown-header">Change Scope</p></a>                                            
                                           </div>
                                        </div>                            
                                    </div>
                                
                                    <div class="col-md-12 mx-auto">
                                        <ul class="nav nav-pills nav-pills-custom" id="feeds_tabs" role="tablist">
                                            <li class="nav-item">
                                              <a class="nav-link active" id="tasks_tab1" data-toggle="pill" href="#tasks_tab1_content" role="tab" aria-controls="pills-home" aria-selected="true">
                                                WBS View
                                              </a>
                                            </li>
                                            <li class="nav-item">
                                              <a class="nav-link" id="tasks_tab2" data-toggle="pill" href="#tasks_tab2_content" role="tab" aria-controls="pills-profile" aria-selected="false">
                                                Kanban View
                                              </a>
                                            </li>
                                        </ul>
                                        
                                        <div class="tab-content tab-content-custom-pill" id="feeds_tabs_content">
                                            <div class="tab-pane fade show active" id="tasks_tab1_content" role="tabpanel" aria-labelledby="tasks_tab1">
                                                
                                                <div class="row">
                                                    <div class="col-xs-12 col-md-4 mb-2">
                                                        <label style="display: block;">Projects</label>
                                                        <select class="js-example-basic-single " name="combo_project_manager" id="combo_project_manager" style="width:100%">
                                                            <option value="Option 1">Project 1</option>
                                                            <option value="Option 2">Project 2</option>
                                                            <option value="Option 3">Project 3</option>
                                                            <option value="Option 3">Project 4</option>
                                                        </select>
                                                    </div>

                                                    <div class="col-xs-12 col-md-4 mb-2">
                                                        <label style="display: block;">Tasks</label>
                                                        <select class="js-example-basic-single " name="combo_project_manager" id="combo_project_manager" style="width:100%">
                                                            <option value="Option 1">Task 1</option>
                                                            <option value="Option 2">Task 2</option>
                                                            <option value="Option 3">Task 3</option>
                                                            <option value="Option 3">Task 4</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                
                                                
                                                
                                                <div class="table-responsive">

                                                    <table id="basic" class="table table-border" >
                                                        <thead>                                                                            
                                                            <tr class="table-info">                                                                 
                                                                <th width="20%">Task </th>
                                                                <th>Owner </th>
                                                                <th>Status</th>
                                                                <th>Start Date</th>
                                                                <th>Due Date</th>
                                                                <th>Duration</th>
                                                                <th>Created By</th>
                                                                <th>% Completed</th>
                                                                <th>Completed On</th>
                                                                <th>Last Update Date</th>
                                                                <th>SV</th>
                                                                <th>SPI</th>
                                                                <th>Status Remark</th>
                                                                <th>Action</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <?php
                                                                for($i=1;$i<=4;$i++)
                                                                {?>
                                                            <tr class="menu_WBSView" data-node-id="<?php echo $i; ?>">
                                                                        <td width="20%">Task1 : This is a Task<?php echo$i; ?></td>
                                                                        <td>John Smith</td>
                                                                        <td>In Process</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>10 Days</td>
                                                                        <td>John Manager</td>
                                                                        <td>50%</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td >...</td>
                                                                    </tr>
                                                        <?php   }?>
                                                                <tr class="menu_WBSView" data-node-id="4.1" data-node-pid="4">   
                                                                    <td width="20%">Task1 : This is a Sub Task4</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr> 
                                                                 <tr class="menu_WBSView" data-node-id="4.2" data-node-pid="4">   
                                                                    <td width="20%">Task1 : This is a Sub Task4</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr>
                                                                <tr class="menu_WBSView" data-node-id="4.3" data-node-pid="4">   
                                                                    <td width="20%">Task1 : This is a Sub Task4</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr> 
                                                                <tr class="menu_WBSView" data-node-id="4.3.1" data-node-pid="4.3">   
                                                                    <td width="20%">Task1 : This is a Sub Task4.3</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr>
                                                                    <tr class="menu_WBSView" data-node-id="4.3.1.1" data-node-pid="4.3.1">   
                                                                        <td width="20%">Task1 : This is a Sub Task4.3</td>
                                                                        <td>John Smith</td>
                                                                        <td>In Process</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>10 Days</td>
                                                                        <td>John Manager</td>
                                                                        <td>50%</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td>...</td>
                                                                    </tr>
                                                                <tr class="menu_WBSView" data-node-id="4.3.2" data-node-pid="4.3">   
                                                                    <td width="20%">Task1 : This is a Sub Task4.3</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr>
                                                                    <tr class="menu_WBSView" data-node-id="4.3.2.1" data-node-pid="4.3.2">   
                                                                        <td width="20%">Task1 : This is a Sub Task4.3</td>
                                                                        <td>John Smith</td>
                                                                        <td>In Process</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>10 Days</td>
                                                                        <td>John Manager</td>
                                                                        <td>50%</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td>MM/DD/YYYY</td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td>...</td>
                                                                    </tr>
                                                                <tr class="menu_WBSView" data-node-id="5">
                                                                    <td width="20%">Task1 : This is a Task5</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr> 
                                                                <tr class="menu_WBSView" data-node-id="5.1" data-node-pid="5">   
                                                                    <td width="20%">Task1 : This is a Sub Task5</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr> 
                                                                <tr class="menu_WBSView" data-node-id="5.1.1" data-node-pid="5.1">   
                                                                    <td width="20%">Task1 : This is a Sub Task5</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr> 
                                                                <tr class="menu_WBSView" data-node-id="5.1.2" data-node-pid="5.1">   
                                                                    <td width="20%">Task1 : This is a Sub Task5</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr>
                                                                <tr class="menu_WBSView" data-node-id="6" >   
                                                                    <td width="20%">Task1 : This is a Sub Task6</td>
                                                                    <td>John Smith</td>
                                                                    <td>In Process</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>10 Days</td>
                                                                    <td>John Manager</td>
                                                                    <td>50%</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td>MM/DD/YYYY</td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>...</td>
                                                                </tr>
                                                        </tbody>

                                                      </table>

                                                </div>
                                                
                                            </div>
                                            <div class="tab-pane fade" id="tasks_tab2_content" role="tabpanel" aria-labelledby="tasks_tab2">
                                                
                                               
                                                
                                                
                                                <div class="row">
                                                    <div class="col-md-3 h-100">
                                                      <div class="border p-2">
                                                        <h6 class="card-title">Schedule Tasks</h6>
                                                        <div id="dragula-schedule-task" class="pb-2">
                                                            <?php
                                                                for($i=1;$i<=5;$i++)
                                                                {?>
                                                                    <div class="card rounded mb-2">
                                                                        <div class="card-body p-2 bg-gradient-primary">
                                                                            
                                                                            <div class="media">
                                                                                <img src="images/faces/face2.jpg" alt="image" class="img-sm mr-3 rounded-circle">
                                                                                <p>John Smith</p>
                                                                            </div>
                                                                            
                                                                            <div class="media pt-2">                                                                              
                                                                              <div class="media-body" style="text-align:left;">
                                                                                <h6 class="mb-1">Task<?php echo $i; ?></h6>
                                                                                <p class="mb-0 text-muted">
                                                                                  Task Description Task Description Task Description                             
                                                                                </p>
                                                                                <p>Schedule Start : mm/dd/yyy</p>
                                                                                <p>Schedule End : mm/dd/yyy</p>
                                                                              </div>                              
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                        <?php   }
                                                            ?>
                                                          
                                                        </div>
                                                      </div>
                                                    </div>
                                                    
                                                    <div class="col-md-3 h-100">
                                                      <div class="border p-2">
                                                        <h6 class="card-title">In Process Tasks</h6>
                                                        <div id="dragula-process-task" class="pb-2">
                                                          
                                                            
                                                            <?php
                                                                for($i=1;$i<=3;$i++)
                                                                {?>
                                                                    <div class="card rounded mb-2">
                                                                        <div class="card-body p-2 bg-gradient-warning">
                                                                            
                                                                            <div class="media">
                                                                                <img src="images/faces/face2.jpg" alt="image" class="img-sm mr-3 rounded-circle">
                                                                                <p>John Smith</p>
                                                                            </div>
                                                                            
                                                                            <div class="media pt-2">                                                                              
                                                                              <div class="media-body" style="text-align:left;">
                                                                                <h6 class="mb-1">Task<?php echo $i; ?></h6>
                                                                                <p class="mb-0 text-muted">
                                                                                  Task Description Task Description Task Description                             
                                                                                </p>
                                                                                <p>Schedule Start : mm/dd/yyy</p>
                                                                                <p>Schedule End : mm/dd/yyy</p>
                                                                              </div>                              
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                        <?php   }
                                                            ?>
                                                            
                                                        </div>
                                                      </div>
                                                    </div>
                                                    
                                                    
                                                    
                                                    <div class="col-md-2 h-100">
                                                      <div class="border p-2">
                                                        <h6 class="card-title">Completed Tasks</h6>
                                                        <div id="dragula-completed-task" class="pb-2">
                                                          
                                                            <?php
                                                                for($i=1;$i<=4;$i++)
                                                                {?>
                                                                    <div class="card rounded mb-2">
                                                                        <div class="card-body p-2 bg-gradient-success">
                                                                            
                                                                            <div class="media">
                                                                                <img src="images/faces/face2.jpg" alt="image" class="img-sm mr-3 rounded-circle">
                                                                                <p>John Smith</p>
                                                                            </div>
                                                                            
                                                                            <div class="media pt-2">                                                                              
                                                                              <div class="media-body" style="text-align:left;">
                                                                                <h6 class="mb-1">Task<?php echo $i; ?></h6>
                                                                                <p class="mb-0 text-muted">
                                                                                  Task Description Task Description Task Description                             
                                                                                </p>
                                                                                <p>Schedule Start : mm/dd/yyy</p>
                                                                                <p>Schedule End : mm/dd/yyy</p>
                                                                              </div>                              
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                        <?php   }
                                                            ?>
                                                            
                                                        </div>
                                                      </div>
                                                    </div>
                                                    
                                                    
                                                    
                                                    <div class="col-md-2 h-100">
                                                      <div class="border p-2">
                                                        <h6 class="card-title">Unsigned Tasks</h6>
                                                        <div id="dragula-unsigned-task" class="pb-2">
                                                          
                                                            
                                                            <?php
                                                                for($i=1;$i<=2;$i++)
                                                                {?>
                                                                    <div class="card rounded mb-2">
                                                                        <div class="card-body p-2 bg-gradient-secondary">
                                                                            
                                                                            <div class="media">
                                                                                <img src="images/faces/face2.jpg" alt="image" class="img-sm mr-3 rounded-circle">
                                                                                <p>John Smith</p>
                                                                            </div>
                                                                            
                                                                            <div class="media pt-2">                                                                              
                                                                              <div class="media-body" style="text-align:left;">
                                                                                <h6 class="mb-1">Task<?php echo $i; ?></h6>
                                                                                <p class="mb-0 text-muted">
                                                                                  Task Description Task Description Task Description                             
                                                                                </p>
                                                                                <p>Schedule Start : mm/dd/yyy</p>
                                                                                <p>Schedule End : mm/dd/yyy</p>
                                                                              </div>                              
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                        <?php   }
                                                            ?>
                                                            
                                                          
                                                        </div>
                                                      </div>
                                                    </div>
                                                    
                                                    
                                                    
                                                    
                                                    <div class="col-md-2 h-100">
                                                        <div class="border p-2">
                                                            <h6 class="card-title">Overall Progress</h6>
                                                            <div id="" class="pb-2">
                                                                <h4 class="card-title pt-2">Overall Completion</h4>
                                                                <canvas id="pieChart_project_issues" class="pt-2 pb-2"></canvas>
                                                            </div>    
                                                        </div>      
                                                    </div>
                                                    
                                                    
                                                    
                                                    
                                                  </div>
                                                
                                                
                                                
                                                
                                            </div>
                                        </div>
                                        
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    
                    
                    </div>
                </div>    
            </div>    
        </div>
      
      
                    <!--  Modal New option -->
        <div class="modal fade pr-0" id="modal_announcement_popup" tabindex="-1" role="dialog" >
            <div class="modal-dialog  modal-md"  role="document">
                <!--<form id='form1' >-->
                    <div class="modal-content" style="background: #e9edf3;">

                        <div class="modal-body ">
                            <div class="d-flex flex-wrap justify-content-between">
                                <h4 class="card-title mb-3" id ="modal_title">Message</h4>
                            </div>
                            <div class="message-content ">
                                <p>Oracle Support Essentials</p> 
                                <p>Dear Customer,</p>

                                <p>Oracle Support delivers essential training for our customers via live web conferences and recorded sessions. These webcasts are included in your Oracle Support services and are designed to help Oracle customers be more productive and effective when working with Oracle Support.</p>

                                <p>Oracle Support Essentials cover topics ranging from how to work effectively with Oracle Support, learning about preventative diagnostic tools, how to manage users and assets, and much more.</p> 

                                <p>Explore the offered sessions below and click the "See Times and Register" link for the session of your choice. Bookmark Oracle Support Essentials March 2020 (Doc ID 1676694.1) for quick access to the latest Oracle Support Essentials schedule.</p>
                            </div>


                            <div class="text-right">
                                 <button type="button" class="btn btn-primary btn-sm " id="modal_announcement_close" > Close </button>
                            </div>     
                        </div>
                    </div>
            </div>
        </div>
        <!-- Modal New option -->
      
      
      
      
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
     <script src="vendors/select2/select2.min.js"></script>     
    <script src="js/select2.js"></script> 
 <!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
    <script src="vendors/moment/moment.min.js"></script>
  <script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>  
    <script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>

    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
    
    <script src="js/bootstrap-multiselect.js"></script>
    <script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
   <!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script>    
    <script src="dist/jquery-simple-tree-table.js"></script>
    <script src="vendors/tinymce/tinymce.min.js"></script>
    <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
    <script src="vendors/dragula/dragula.min.js"></script>
    <script src="vendors/chart.js/Chart.min.js"></script>
</body>

</html>
<script>
    $('.form_datetime').datepicker(
        {
            format:'MM-dd-yyyy',
            defaultDate: '',
            autoclose : true
    });
    
    $('.form_date').datepicker(
    {
        format:'mm/dd/yyyy  HH:MM:ss A',
        defaultDate: '',
        autoclose : true,
        todayHighlight: true
    });

    $('.form_time').datetimepicker({
      format: 'LT'
    });

    
    $(document).ready(function()
    {
        $("#table_radio1").show();
        dataTable_DailyProgress_byTask('table_radio1','pw-feeds-json.txt');
        $("#table_radio2").hide();
        $("#table_radio3").hide();
    });
    
    $("input[type='radio']").change(function() {
        var current_id = $(this).attr('id');
        if ($.fn.DataTable.isDataTable("#table_radio1")) 
        {
            $('#table_radio1').DataTable().clear().destroy();
            $("#table_radio1_sub").html("");
        }
        if ($.fn.DataTable.isDataTable("#table_radio2")) 
        {
            $('#table_radio2').DataTable().clear().destroy();
            $("#table_radio2_sub").html("");
        }
        if ($.fn.DataTable.isDataTable("#table_radio3")) 
        {
            $('#table_radio3').DataTable().clear().destroy();
            $("#table_radio3_sub").html("");
        }
        if(current_id=='radio1')
        {
            $("#table_radio1").show();
            dataTable_DailyProgress_byTask('table_radio1','pw-feeds-json.txt');
            $("#table_radio2").hide();
            $("#table_radio3").hide();
        }
        else if(current_id=='radio2')
        {
            $("#table_radio1").hide();            
            $("#table_radio2").show();
            dataTable_DailyProgress_byTeam('table_radio2','pw-feeds-byteam-json.txt');
            $("#table_radio3").hide();
        }
        else if(current_id=='radio3')
        {
            $("#table_radio1").hide();            
            $("#table_radio2").hide();
            $("#table_radio3").show();
            dataTable_DailyProgress_byScope('table_radio3','pw-feeds-bytscope-json.txt');
        }
    });
    
    function dataTable_DailyProgress_byTask(tablename,filename)
    {
       /* if ($.fn.DataTable.isDataTable("#"+tablename)) 
        {
            $('#'+tablename).DataTable().clear().destroy();
        }
*/

        var table = $('#'+tablename).DataTable({        
          "ajax": "json/"+filename,
          'columns': [
              {
                  'className': 'details-control',
                  'orderable':  false,
                  'data': null,                
                  'defaultContent': ''
              },
              { 'data': 'task' },
              { 'data': 'owner' },
              { 'data': 'status'},{ 'data': 'tags'},{ 'data': 'start_date'},{ 'data': 'due_date'},{ 'data': 'duration'},{ 'data': 'priority'},
              { 'data': 'created_by'},{ 'data': 'completed_percent'},{ 'data': 'completed_on'}
          ],
          "buttons": [['excel' ,'pdf'],{text: 'Email'}],
          'order': [[2, 'asc']],       
          'searching':false,
          'paging':false
      });
      

      
      // Add event listener for opening and closing details
    $('#'+tablename+' tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format_assign_byTask(row.data())).show();
            tr.addClass('shown');
        }
    });
      
    }
    
    function format_assign_byTask ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border " bgcolor="#ECECEC" id="table_radio1_sub">'+
         '<thead class="subBorder" ><tr> <th class="subBorder"> </th><th class="subBorder">Assigned Resource</th> <th class="subBorder"> Project Role</th> <th class="subBorder">Actual Date Started</th> <th class="subBorder">% Completed</th> <th class="subBorder"> Last Updated</th><th class="subBorder"> Hours Worked</th><th class="subBorder"> Action</th></tr> </thead>'+   
        '<tbody>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face3.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith2</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face3.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith2</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
        '<tr><td class="subBorder"><img class="img-sm rounded-circle" src="images/faces/face2.jpg" alt="profile"></td>'+
        '<td class="subBorder">John Smith3</td><td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50</td><td class="subBorder">04/06/2010</td><td class="subBorder">10</td><td class="subBorder">action</td></tr>'+
    '</tbody>'+        
    '</table></div>';
}




    function dataTable_DailyProgress_byTeam(tablename,filename)
    {
        /*if ($.fn.DataTable.isDataTable("#"+tablename)) 
        {
            $('#'+tablename).DataTable().clear().destroy();
        }*/
      
        var table = $('#'+tablename).DataTable({        
          "ajax": "json/"+filename,
          'columns': [
              {
                  'className': 'details-control',
                  'orderable':  false,
                  'data': null,                
                  'defaultContent': ''
              },
              {     'data': null,
                    "defaultContent":"<div class='justify-content-between'><img class='img-sm rounded-circle' src='images/faces/face4.jpg' alt='profile'> <label>John Smith</label> </div>",
              },
              
              { 'data': 'project_role' },
              { 'data': 'actual_date_started'},{ 'data': 'completed_percent'},{ 'data': 'last_updated'},{ 'data': 'hours_worked'},{ 'data': 'action'}
          ],
          "buttons": [['excel' ,'pdf'],{text: 'Email'}],
          'order': [[2, 'asc']],       
          'searching':false,
          'paging':false
      });
      

      
      // Add event listener for opening and closing details
    $('#'+tablename+' tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format_assign_byTeam(row.data())).show();
            tr.addClass('shown');
        }
    });
      
    }
    
    function format_assign_byTeam ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border " bgcolor="#ECECEC" id="table_radio2_sub">'+
         '<thead class="subBorder"><tr><th class="subBorder">Task </th><th class="subBorder">Owner </th><th class="subBorder">Status </th><th class="subBorder">Start Date </th><th class="subBorder">Due Date </th><th class="subBorder">Duration </th><th class="subBorder">Created By </th><th class="subBorder">% Completed </th><th class="subBorder">Completed on </th><th class="subBorder">Last Update Date</th></tr> </thead>'+   
        '<tbody>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td></tr>'+
        
    '</tbody>'+        
    '</table></div>';
}
        
    
    function dataTable_DailyProgress_byScope(tablename,filename)
    {
       /* if ($.fn.DataTable.isDataTable("#"+tablename)) 
        {
            $('#'+tablename).DataTable().clear().destroy();
        }
      */
        var table = $('#'+tablename).DataTable({        
          "ajax": "json/"+filename,
          'columns': [
              {
                  'className': 'details-control',
                  'orderable':  false,
                  'data': null,                
                  'defaultContent': ''
              },
              {     'data': 'requirement_no'
              },
              
              { 'data': 'requirement_description' },
              { 'data': 'stakeholder_group'},{ 'data': 'created_by'},{ 'data': 'last_updated'},{ 'data': 'status'},{ 'data': 'requirement_severity'},
              {'data':'requirement_type'},{ 'data': 'business_value'},{ 'data': 'functional_area'}
          ],
          "buttons": [['excel' ,'pdf'],{text: 'Email'}],
          'order': [[2, 'asc']],       
          'searching':false,
          'paging':false
      });
   
      // Add event listener for opening and closing details
    $('#'+tablename+' tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format_assign_byScope(row.data())).show();
            tr.addClass('shown');
        }
    });
      
    }
    
    function format_assign_byScope ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border " bgcolor="#ECECEC" width="100%" id="table_radio3_sub">'+
         '<thead class="subBorder"><tr><th class="subBorder">Task </th><th class="subBorder">Owner </th><th class="subBorder">Status </th><th class="subBorder">Start Date </th><th class="subBorder">Due Date </th><th class="subBorder">Duration </th><th class="subBorder">Created By </th><th>% Completed </th><th class="subBorder">Completed on </th><th>Last Update Date</th>'+
         '<th class="subBorder">Asigned Resource</th><th class="subBorder">Project Role</th><th class="subBorder">Actual Date Started</th><th class="subBorder">% Completed</th><th class="subBorder">Hours Worked</th><th class="subBorder">Action</th></tr></thead>'+   
        '<tbody>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td>'+
        '<td class="subBorder"><div class="justify-content-between"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"> <label>John Smith</label> </div></td>'+
        '<td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50%</td><td class="subBorder">50</td><td class="subBorder">Request Status</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td>'+
        '<td class="subBorder"><div class="justify-content-between"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"> <label>John Smith</label> </div></td>'+
        '<td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50%</td><td class="subBorder">50</td><td class="subBorder">Request Status</td></tr>'+
        '<tr>'+
        '<td class="subBorder"> Task1: This is a Task</td><td class="subBorder"> John Smith</td><td class="subBorder">In process</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">10 days</td><td class="subBorder">John Manager</td><td class="subBorder">50%</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">MM/DD/YYYY</td>'+
        '<td class="subBorder"><div class="justify-content-between"><img class="img-sm rounded-circle" src="images/faces/face4.jpg" alt="profile"> <label>John Smith</label> </div></td>'+
        '<td class="subBorder">Developer</td><td class="subBorder">MM/DD/YYYY</td><td class="subBorder">50%</td><td class="subBorder">50</td><td class="subBorder">Request Status</td></tr>'+
        
    '</tbody>'+        
    '</table></div>';
}
    
    /*Tinymce editor*/
  if ($("#announcement_textarea").length) {
    tinymce.init({
      selector: '#announcement_textarea',
      height: 500,
      theme: 'modern',
      plugins: [
        'advlist autolink lists link image charmap print preview hr anchor pagebreak',
        'searchreplace wordcount visualblocks visualchars code fullscreen',
        'insertdatetime media nonbreaking save table contextmenu directionality',
        'emoticons template paste textcolor colorpicker textpattern imagetools codesample toc help'
      ],
      toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
      toolbar2: 'print preview media | forecolor backcolor emoticons | codesample help',
      image_advtab: true,
      templates: [{
          title: 'Test template 1',
          content: 'Test 1'
        },
        {
          title: 'Test template 2',
          content: 'Test 2'
        }
      ],
      content_css: []
    });
  }
  
  
  $(".announcement_popup").click(function()
  {
     $("#modal_announcement_popup").modal("show");
  });
  $("#modal_announcement_close").click(function()
  {
      $("#modal_announcement_popup").modal("hide");
  });
  
  
  
  $('#basic').simpleTreeTable({
    expander: $('#expander'),
    collapser: $('#collapser'),
    store: 'session',
    storeKey: 'simple-tree-table-basic'
  });
 
 
 $.contextMenu({
    selector: '.menu_WBSView',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "Report_Progress": {name: "Report Progress"},
      "Edit_Task": {name: "Edit Task"},"Announce": {name: "Announce"},"Gantt": {name: "Gantt"},"SPI_Ration": {name: "SPI Ration"},"Activity_Trail": {name: "Activity Trail"},"Attendance": {name: "Attendance"},
      "Requirements": {name: "Requirements"},"Upload_Documents": {name: "Upload Documents"},"Time_Tracking": {name: "Time Tracking"},
      "Expenses": {name: "Expenses"},"Issue_Log": {name: "Issue Log"},"Change_Requests": {name: "Change Requests"},"Risks": {name: "Risks"}
  }
  });
  
  
  (function($) {
  'use strict';
  var iconTochange;
  //dragula([document.getElementById("dragula-left"), document.getElementById("dragula-right")]);
    dragula([document.getElementById("dragula-schedule-task"), document.getElementById("dragula-process-task")]);
    dragula([document.getElementById("dragula-process-task"), document.getElementById("dragula-completed-task")]);
    dragula([document.getElementById("dragula-completed-task"), document.getElementById("dragula-unsigned-task")]);
  
  dragula([document.getElementById("dragula-event-left"), document.getElementById("dragula-event-right")])
    .on('drop', function(el) {
      console.log($(el));
      iconTochange = $(el).find('.mdi');
      if (iconTochange.hasClass('mdi-check')) {
        iconTochange.removeClass('mdi-check text-primary').addClass('mdi-check-all text-success');
      } else if (iconTochange.hasClass('mdi-check-all')) {
        iconTochange.removeClass('mdi-check-all text-success').addClass('mdi-check text-primary');
      }
    })
})(jQuery);




var doughnutPieData = {
    datasets: [{
      data: [30, 40],
      backgroundColor: [
        'rgba(54, 162, 235, 0.5)',
        'rgba(255, 206, 86, 0.5)',
        'rgba(75, 192, 192, 0.5)',
        'rgba(153, 102, 255, 0.5)',
        'rgba(255, 159, 64, 0.5)',
        'rgba(255, 99, 132, 0.5)',
        
      ],
      borderColor: [
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)',
        'rgba(153, 102, 255, 1)',
        'rgba(255, 159, 64, 1)',
        'rgba(255,99,132,1)'
      ],
    }],

    // These labels appear in the legend and in the tooltips when hovering different arcs
    labels: [      
      'SV',
      'SPI',
    ]
  };
  
  var doughnutPieOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    }
  };


if ($("#pieChart_project_issues").length) 
{
    var pieChartCanvas = $("#pieChart_project_issues").get(0).getContext("2d");
    var pieChart = new Chart(pieChartCanvas, {
      type: 'pie',
      data: doughnutPieData,
      options: doughnutPieOptions
    });
}




</script>    