<?php
    $password_validation = "Minimum 8 Characters. <br>At least 1 uppercase letter.<br>At least 1 lowercase letter.<br>At least 1 numeric value.<br>At least 1 special character.";
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Register</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../../../images/favicon.png" />
  
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-stretch auth auth-img-bg">
        <div class="row flex-grow">
          <div class="col-lg-12 d-flex align-items-center justify-content-center">
              <div class="auth-form-transparent text-left p-3" style="width: 70%;">
                <div class="brand-logo">
                  <img src="images/main_logo.png" alt="logo" style="height: 70px;width: 70px;">
                </div>
                <h6 class="font-weight-light pb-3">Join us today! It takes only few steps</h6>                
                <div class="d-flex flex-wrap  pb-2 center-box">                    
                    <div id="step1" class="badge badge-pill badge-outline-info">1</div>
                    <div id="step1_line" class="border-class mr-custom1 disabled-color"></div>
                    <div id="step2" class="badge badge-pill badge-outline-info disabled-color">2</div>
                    <div id="step2_line" class="border-class mr-custom1 disabled-color"></div>
                    <div id="step3" class="badge badge-pill badge-outline-info disabled-color">3</div>
                </div>
                
                <div id="div1">
                    
                    <form class="pt-3">
                        <div class="row">                             
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label>Full Name</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-pen text-primary"></i>
                                        </span>
                                      </div>
                                      <input type="text" id = "text_fullname" name = "text_fullname" class="form-control form-control-lg border-left-0" placeholder="Full Name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Full Name" data-original-title="" >
                                    </div>
                                </div>
                            </div> 
                            
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label>Email</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-mail text-primary"></i>
                                        </span>
                                      </div>
                                        <input type="email" id = "text_email" name = "text_email" class="form-control form-control-lg border-left-0 requirefieldcls1" placeholder="Email" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Email" data-original-title="" >
                                      
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label>Password</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-lock-closed-outline text-primary"></i>
                                        </span>
                                      </div>
                                      <input type="password" id = "text_password" name = "text_password" class="form-control form-control-lg border-left-0" id="exampleInputPassword" placeholder="Password" data-toggle="popover" data-trigger="focus" data-html="true" title="Password Validations" data-content="<?php echo $password_validation; ?>">                    
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label>Re-enter Password</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-lock-closed-outline text-primary"></i>
                                        </span>
                                      </div>
                                      <input type="password" id = "text_repassword" name = "text_repassword"  class="form-control form-control-lg border-left-0" id="exampleInputPassword" placeholder="Re-enter Password" data-toggle="popover" data-trigger="focus" data-html="true" title="Password Validations" data-content="<?php echo $password_validation; ?>">
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label>Company Name</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-edit text-primary"></i>
                                        </span>
                                      </div>
                                      <input type="text" id = "text_companyname" name = "text_companyname"  class="form-control form-control-lg border-left-0 " placeholder="Company Name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Company Name" data-original-title="" >
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label>Phone Number</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-phone text-primary"></i>
                                        </span>
                                      </div>
                                      <input type="text" id = "text_phonenumber" name = "text_phonenumber" class="form-control form-control-lg border-left-0" placeholder="Phone Number" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Phone Number" data-original-title="" >
                                    </div>
                                </div>                                
                            </div>
                            <div class="col-lg-6">
                                <div class="mb-4">
                                    <div class="form-check">
                                      <label class="form-check-label text-muted">
                                        <input type="checkbox" class="form-check-input">
                                        I agree to all Terms & Conditions
                                        <i class="input-helper"></i>
                                      </label>
                                    </div>
                                </div>
                            </div> 
                            
                            <div class="col-lg-12">
                                <div class="d-flex justify-content-center align-items-center">
                                    <div class="col-lg-2">
                                        <a class="btn btn-block btn-primary  font-weight-medium auth-form-btn" href="#" id="cmd_Signup">NEXT</a>
                                    </div>    
                                </div>
                            </div>
                        </div>    
                        
                          
                      <div class="text-center mt-4 font-weight-light">
                        Already have an account? <a href="index.php" class="text-primary">Login</a>
                      </div>                  
                    </form>
                </div>
                <div id="div2">                    
                    <h3 class="font-weight-light">Select Applications</h3>
                    <form class="pt-3">
                        <div class="products">
                            <div class="blocks" id="div_block1">    
                                <div class="alink-cls border-class1 border-class2 mb-2">                                                 
                                    <img src="images/icons/ManageUsers.png" class="img-lg rounded">
                                    <h4 class="text-center ">Users</h4>
                                    <p class="text-center" style="display:none;">
                                        <label class="toggle"><input type="checkbox" id="chk_tgl" checked=""><span class="sld round"></span></label>
                                    </p>
                                </div>
                                <div class="text-center ">Required</div>
                            </div>
                            
                            <div class="blocks"> 
                                <div class="alink-cls border-class1 mb-2">                                                 
                                    <img src="images/icons/ManageUsers.png" class="img-lg rounded">
                                    <h4 class="text-center">Attendance</h4>
                                    <p class="text-center" style="display:none;">
                                        <input type="checkbox" class="blocks-chk" id="blocks-chk2" >
                                    </p>
                                </div>
                            </div>
                            
                            <div class="blocks">
                                <div class="alink-cls border-class1 mb-2">                                    
                                    <img src="images/icons/ManageUsers.png" class="img-lg rounded">
                                    <h4 class="text-center">Time Tracking</h4>
                                    <p class="text-center" style="display:none;">
                                        <input type="checkbox" class="blocks-chk" id="blocks-chk3">
                                    </p>
                                </div>
                            </div>    
                            
                            <div class="blocks">
                                <div class="alink-cls border-class1 mb-2">                                                 
                                    <img src="images/icons/ManageUsers.png" class="img-lg rounded">
                                    <h4 class="text-center">Projects</h4>
                                    <p class="text-center" style="display:none;">
                                        <input type="checkbox" class="blocks-chk">
                                    </p>
                                </div>
                            </div>
                            
                            <div class="blocks">
                                <div class="alink-cls border-class1 mb-2">                                                                        
                                    <img src="images/icons/ManageUsers.png" class="img-lg rounded">
                                    <h4 class="text-center">Expenses</h4>
                                    <p class="text-center" style="display:none;">
                                        <input type="checkbox" class="blocks-chk">
                                    </p>
                                </div>
                            </div>
                            
                            <div class="blocks">
                                <div class="alink-cls border-class1 mb-2">                                                 
                                    <img src="images/icons/ManageUsers.png" class="img-lg rounded">
                                    <h4 class="text-center">Invoicing</h4>
                                    <p class="text-center" style="display:none;">
                                        <input type="checkbox" class="blocks-chk">
                                    </p>
                                </div>
                            </div>    
                            <!--<div class="product active" data-productid="6">
                                <div class="block">
                                    <img src="images/icons/ManageUsers.png" alt="Staff" />
                                    <div class="text">STAFF</div>
                                    <div class="text2">required</div>
                                </div>
                            </div>
                            <div class="product" data-productid="1">
                                <div class="block">
                                    <img src="images/icons/ManageUsers.png" alt="Time-Off" />
                                    <div class="text">TIME-OFF</div>
                                </div>
                            </div>-->
                        </div>
                        
             <div class="clear-both"></div>
             <div class="row1">
                <!--<div class="d-flex flex-wrap justify-content-center pt-2 pb-2">
                    <input type="button" class="btn btn-primary" value="Back" id="cmdBack1" name="cmdBack1">
                    <input type="button" class="btn btn-primary" value="Next" id="cmdCompleteSignup" name="cmdCompleteSignup">

                </div>-->
                
                <div class="d-flex justify-content-center align-items-center">
                    <div class="col-lg-4">
                        <input type="button" class="btn btn-primary" value="Back" id="cmdBack1" name="cmdBack1">
                        <input type="button" class="btn btn-primary" value="Next" id="cmdCompleteSignup" name="cmdCompleteSignup">
                    </div>    
                </div>
                
            </div>            
                        
                                       
                    </form>
                </div>
                
                
                
                <div id="div3">
                    <div class="row">
                        <div class="col-md-12 grid-margin">
                            <div class="card bg-twitter d-flex align-items-center">
                                <div class="card-body">
                                    <div class="d-flex flex-row align-items-center">
                                        <i class="typcn typcn-info text-white icon-md"></i>
                                        <div class="ml-3">
                                            <h4 class="text-white">Email is on the way!</h4>
                                            <p class="mt-2 text-white card-text">Thank you for the signing up. We have sent a verification email to your registered email address (email@email.com). Please verify the sign up and activate your 15 days trial.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            
                            <div class="d-flex flex-wrap justify-content-center align-items-center pt-2">
                                <input type="button" class="btn btn-primary" value="Back" id="cmdBack2" name="cmdBack2">
                            </div>
                            
                            
                        </div>
                        
                    </div> 
                </div>
            </div>
          </div>
          <!--<div class="col-lg-6 register-half-bg d-flex flex-row">
            <p class="text-white font-weight-medium text-center flex-grow align-self-end"></p>
          </div>-->
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- base:js -->
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  <script src="js/custom.js"></script>
  <!-- endinject -->  
    <script>
        jQuery(document).ready(function($) 
        {
            $("#div2").hide();
            $("#div3").hide();
        });
        
        $("#cmd_Signup").click(function()
        {
            var flag = true;
            form_element_correct($("#text_fullname"));
            form_element_correct($("#text_email"));
            form_element_correct($("#text-password"));
            form_element_correct($("#text_repassword"));
            form_element_correct($("#text_companyname"));
            form_element_correct($("#text_phonenumber"));
            
            if($("#text_fullname").val()=='')
            {
                form_element_correct($("#text_fullname"));
                
                $("#text_fullname").append('<br />');
                form_element_empty_err($("#text_fullname"));
                flag = false;
            }
            if($("#text_email").val()=='')
            {
                form_element_correct($("#text_email"));
                $("#text_email").append('<br />');
                form_element_empty_err($("#text_email"));
                flag = false;
            }
            if($("#text_password").val()=='')
            {
                form_element_correct($("#text_password"));
                form_element_empty_err($("#text_password"));
                flag = false;
            }
            if($("#text_repassword").val()=='')
            {
                form_element_correct($("#text_repassword"));
                form_element_empty_err($("#text_repassword"));
                flag = false;
            }
            if($("#text_companyname").val()=='')
            {
                form_element_correct($("#text_companyname"));
                form_element_empty_err($("#text_companyname"));
                flag = false;
            }
            if($("#text_phonenumber").val()=='')
            {
                form_element_correct($("#text_phonenumber"));
                form_element_empty_err($("#text_phonenumber"));
                flag = false;
            }
            //flag = true;
            if (flag==true)
            {
                $("#step1_line").removeClass("disabled-color");
                $("#step2").removeClass("disabled-color");
                $("#div1").hide();
                $("#div3").hide();
                $("#div2").show();
            }
            
        });
        
        $("#cmdCompleteSignup").click(function()
        {
            $("#step2_line").removeClass("disabled-color");
            $("#step3").removeClass("disabled-color");
            $("#div1").hide();
            $("#div2").hide();
            $("#div3").show();
        });
        $("#cmdBack1").click(function()
        {
            $("#step1_line").addClass("disabled-color");
            $("#step2").addClass("disabled-color");
            $("#div1").show();
            $("#div2").hide();
            $("#div3").hide();
        });
        
        
        $("#cmdBack2").click(function()
        {
            $("#step2_line").addClass("disabled-color");
            $("#step3").addClass("disabled-color");
            $("#div1").hide();
            $("#div2").show();
            $("#div3").hide();
        });
        
        $(".blocks").click(function()
        {
            if($(this).attr("id")!="div_block1")
            {
                $(this).children(":first").toggleClass("border-class2");            
            }    
        });
    </script>
</body>

</html>
