<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:admin.php");
}
$employee_id 	= 0;
$user_role 	= $_SESSION['login_user_array']['user_role'];

if ($user_role == 'Manager') {
	$employee_id = getvalue("cxs_employee", "employee_id", " WHERE user_id='" . $_SESSION['login_user_array']['user_id'] . "'");
}

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");
?>
<!DOCTYPE html>
<html lang="en">

<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Coexsys | Project Issue Log Report</title>
	<!-- base:css -->
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
	<!-- endinject -->
	<!-- plugin css for this page -->
	<!-- End plugin css for this page -->
	<!-- inject:css -->
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css" />
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
	<!-- endinject -->
	<link rel="shortcut icon" href="images/main_logo_mini.png" />
	<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
	<link href="datepicker/datepicker.css" rel="stylesheet">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
</head>

<body class="sidebar-light sidebar-icon-only">
	<div class="container-scroller">
		<!-- partial:partials/_navbar.html -->
		<?php include_once("top.php"); ?>
		<!-- partial -->
		<div class="container-fluid page-body-wrapper">
			<!-- partial:partials/_settings-panel.html -->
			<?php include_once("left.php");  ?>
			<!-- partial -->
			<div class="main-panel">
				<div class="content-wrapper">
					<div class="row">
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<nav aria-label="breadcrumb">
										<ol class="breadcrumb">
											<li class="breadcrumb-item">Issue Tracking</li>
											<li class="breadcrumb-item"><a href="<?php echo SITEURL; ?>issue-tracking/reports/">Reports</a></li>
											<li class="breadcrumb-item active">Project Issue Log Report</li>

										</ol>
									</nav>

									<div class="border pt-3 pb-3 pl-3 pr-3">
										<div class="d-flex flex-wrap justify-content-between pb-3">
											<h4 class="card-title mb-3">Project Issue Log Report</h4>
										</div>
										<div class="row">
											<div class="col-md-12">
												<!--<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">-->
												<form id="search_form" action="" method="post">
													<div class="row">
														<div class="col-md-4">
															<div class="form-group">
																<label>Project Name</label>
																<select multiple="multiple" class="form-control custom-multiselect" name="search_project_id" id="search_project_id">
																	<!--<option value="">--Please Select--</option>-->
																	<?php
																	$where = " WHERE company_id='" . $_SESSION['login_user_array']['company_id'] . "'";
																	if ($user_role == "Manager") {
																		$where .= " AND (user_id IN (SELECT user_id FROM `cxs_employee` WHERE supervisor_id='" . $employee_id . "') OR user_id='" . $_SESSION['login_user_array']['user_id'] . "')";
																	} else if ($user_role == "User") {
																		$where .= " AND user_id='" . $_SESSION['login_user_array']['user_id'] . "'";
																	}
																	$selectQuery 	= "SELECT * FROM `cxs_projects` $where ORDER BY project_name ASC";
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if ($StdNumRows > 0) {
																		while ($rows = mysqli_fetch_assoc($RunUserQuery)) {
																			$report_project_id 	= $rows["project_id"];
																			$report_project_name = $rows["project_name"];
																	?>
																			<option value="<?php echo $report_project_id; ?>"><?php echo stripslashes($report_project_name); ?></option>
																	<?php
																		}
																	}
																	?>
																</select>
															</div>
														</div>
														<div class="col-md-2">
															<div class="form-group">
																<label>Issue Date - From</label>
																<div id="datepicker-popup" class="input-group date datepicker">
																	<input type="text" class="form-control srch_txt" name="search_from" id="search_from" value="<?php echo $text_search_from_default; ?>">
																	<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span>
																</div>
															</div>
														</div>
														<div class="col-md-2">
															<div class="form-group">
																<label>Issue Date - To</label>
																<div id="datepicker-popup2" class="input-group date datepicker">
																	<input type="text" class="form-control srch_txt" name="search_to" id="search_to" value="<?php echo $text_search_to_default; ?>">
																	<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span>
																</div>
															</div>
														</div>
														<div class="col-md-4">
															<div class="form-group">
																<label>Issue Owner</label>
																<select multiple="multiple" class="form-control custom-multiselect" name="search_issue_owner_id" id="search_issue_owner_id">
																	<!--<option value="">--Please Select--</option>-->
																	<?php
																	$where = " WHERE company_id='" . $_SESSION['login_user_array']['company_id'] . "'";
																	if ($user_role == "Manager") {
																		$where .= " AND (supervisor_id='" . $employee_id . "' OR user_id='" . $_SESSION['login_user_array']['user_id'] . "')";
																	} else if ($user_role == "User") {
																		$where .= " AND user_id='" . $_SESSION['login_user_array']['user_id'] . "'";
																	}
																	$selectQuery 	= "SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if ($StdNumRows > 0) {
																		while ($rows = mysqli_fetch_assoc($RunUserQuery)) {
																			$user_id 	= $rows["user_id"];
																			$employee_id = $rows["employee_id"];
																			$full_name 	= $rows["first_name"] . " " . $rows["last_name"];
																	?>
																			<option value="<?php echo $user_id; ?>"><?php echo stripslashes($full_name); ?></option>
																	<?php
																		}
																	}
																	?>
																</select>
															</div>
														</div>
														<div class="col-md-4">
															<div class="form-group">
																<label>Issue Requestor</label>
																<select multiple="multiple" class="form-control custom-multiselect" name="search_issue_requestor_id" id="search_issue_requestor_id">

																	<?php
																	$where = " WHERE company_id='" . $_SESSION['login_user_array']['company_id'] . "'";
																	if ($user_role == "Manager") {
																		$where .= " AND (supervisor_id='" . $employee_id . "' OR user_id='" . $_SESSION['login_user_array']['user_id'] . "')";
																	} else if ($user_role == "User") {
																		$where .= " AND user_id='" . $_SESSION['login_user_array']['user_id'] . "'";
																	}
																	$selectQuery 	= "SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if ($StdNumRows > 0) {
																		while ($rows = mysqli_fetch_assoc($RunUserQuery)) {
																			$user_id 	= $rows["user_id"];
																			$employee_id = $rows["employee_id"];
																			$full_name 	= $rows["first_name"] . " " . $rows["last_name"];
																	?>
																			<option value="<?php echo $user_id; ?>"><?php echo stripslashes($full_name); ?></option>
																	<?php
																		}
																	}
																	?>
																</select>
															</div>
														</div>

														<div class="col-md-2">
															<div class="form-group">
																<label>&nbsp;</label>
																<div class="form-check">
																	<label class="form-check-label">
																		<!--<input id="check_search_is_overdue_project" name="check_search_is_overdue_project" value="1" type="checkbox" class="form-check-input" <?php if ($check_search_is_overdue_project == 1) { ?> checked <?php } ?>>-->
																		<input id="check_search_is_overdue_project" name="check_search_is_overdue_project" value="1" type="checkbox" class="form-check-input">
																		Overdue Issues Only <i class="input-helper"></i>
																	</label>
																</div>
															</div>
														</div>

														<div class="col-md-4">
															<div class="form-group">
																<label>Issue Description</label>
																<input id="text_search_issue_description" name="text_search_issue_description" type="text" class="form-control" value="">
															</div>
														</div>

														<div class="col-md-1">
															<div class="form-group pt-3">
																<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
															</div>
														</div>
													</div>

												</form>
											</div>
										</div>
										<div class="loading-div" style="display:none;">
											<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;">
										</div>
										<div id="results" class="">



										</div>
									</div>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
	</div>
	<!-- base:js -->
	<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
	<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
	<script src="<?php echo SITEURL; ?>js/template.js"></script>
	<script src="<?php echo SITEURL; ?>js/settings.js"></script>
	<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
	<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
	<script src="<?php echo SITEURL; ?>js/popover.js"></script>
	<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
	<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/select2.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
	<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
	<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect2.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/custom.js"></script>
	<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
	<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>


	<!-- endinject -->
	<script type="text/javascript">
		$(document).ready(function() {
			getProjectIssueLogReportData();

			$('#search_form').on('submit', function(e) {
				e.preventDefault();
				getProjectIssueLogReportData();
			});

			setDatePicker('#search_from','#search_to');	

			$(".custom-multiselect").multiselect({
				includeSelectAllOption: true,
				numberDisplayed: 1,
				enableFiltering: true
			});
			/*******************/
		});
		/*********************************/
		function getProjectIssueLogReportData() {
			var project_ids = $("#search_project_id").val();
			var issue_owner_ids = $("#search_issue_owner_id").val();
			var issue_requestor_ids = $("#search_issue_requestor_id").val();
			var formdata = $('#search_form').serialize();

			$.ajax({
				url: SITEURL+"aj/issue-tracking/reports/",
				method: "POST",
				data: "REQUEST=get_report_project_issue_log&form1=" + formdata + "&project_ids=" + project_ids + "&issue_owner_ids=" + issue_owner_ids + "&issue_requestor_ids=" + issue_requestor_ids,
				beforeSend: function() {
					$("#results").fadeOut(500);
					$(".loading-div").fadeIn(800);
				},
				success: function(response) {
					setTimeout(function() {
						$(".loading-div").hide();
						$("#results").html(response);
						$("#results").fadeIn(500);
					}, 500);
					setTimeout(function() {
						var table = $('#table_project_issue_log_report').DataTable({
							/*"searching": false,*/
							"aaSorting": [],
							"dom": 'lBfrtip',
							buttons: [
								[
									'excel',
									'pdf',
									{
										text: 'Email',
										action: function(e, dt, node, config) {
											//$("#modal_email").show(); 
											show_emaimodal();
										}
									}
								]
							]
						});

						$('#table_project_issue_log_report tfoot th.searc').each(function() {
							var title = $(this).text();
							$(this).html('<input type="text" class="form-control custom-class" placeholder="' + title + '" />');
						});

						// Apply the search
						table.columns().every(function() {
							var that = this;
							$('input', this.footer()).on('keyup change', function() {
								if (that.search() !== this.value) {
									that
										.search(this.value)
										.draw();
								}
							});
						});
						/**/
						$("#table_project_issue_log_report_filter").hide();
					}, 1000);
				}
			});
		}
	</script>
</body>

</html>