<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
$employee_id 	= 0;

$user_role 		= $_SESSION['login_user_array']['user_role'];

if($user_role=='Manager'){
	$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
}

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('01-m-Y');
$text_search_to_default		= date("t-m-Y");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Requirement to Task Status Report</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.report-table td{
	padding: 12px 12px !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/reports/"; ?>">Project Reports</a></li>
										<li class="breadcrumb-item active" aria-current="page">Requirement to Task Status Report</li>
									</ol>
								</nav>
								<div class="border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Requirement to Task Status Report <i class="fa fa-info-circle ml-3" style="cursor:pointer;" title="Run this report to get a big picture of all Project Scope Items and overall scope breakdown into Task WBS along with most current statuses"></i></h4>
									</div>
									<div class="row">
										<div class="col-md-12">
											<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
												<div class="row">
													<div class="col-md-6">
														<div class="form-group">
															<label>Project</label>
															<select class="js-example-basic-single form-control" name="combo_project_id" id="combo_project_id" style="width:100%;">
																<option value="">---Please Select---</option>
																<?php
																$first_project_id = "";
																$where_project = "";
																if($user_role=="User"){
																	$where_project = "
																		AND
																		(
																			project_id 
																				IN 
																				(
																					SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
																				)
																		)
																	";
																}else if($user_role=="Manager"){
																	$where_project = "
																		AND
																		(
																			project_id 
																				IN 
																				(
																					SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
																				)
																		)
																	";
																}
																$selectQuery 	= "
																	SELECT 
																		*
																	FROM 
																		`cxs_projects` 
																	WHERE 
																		company_id='".$_SESSION['login_user_array']['company_id']."' 
																		$where_project
																	ORDER BY 
																		project_number
																";
																$selectQuery_filter = $selectQuery;
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																$counter = 0;
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																		$counter++;
																		if($counter==1){
																			$first_project_id = $rows['project_id'];
																		}
																		$project_id		= $rows['project_id'];
																		$project_number	= $rows['project_number'];
																		$project_name	= $rows['project_name'];
																	?>
																	<option value="<?php echo $project_id; ?>"><?php echo $project_number." : ".$project_name; ?></option>
																	<?php
																	}
																}
																?>
															</select>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Group By</label>
															<select class="js-example-basic-single form-control" name="combo_group_by" id="combo_group_by" style="width:100%;">
																<option value="Requirements">Requirements</option>
																<option value="Task">Task</option>
															</select>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large" style="margin-top:30px;">Go</button>
														</div>
													</div>
												</div>
												
												
											</form>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<h4 id="project_lbl" class="card-title mb-2"></h4>
										</div>
									</div>
									<div class="loading-div" style="display:none;">
										<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
									</div>
									<div id="excel_btn" class="text-right mb-2"></div>
									<div id="results" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script type="text/javascript">
$(document).ready(function() {
	$('#search_form').on('submit', function (e) {
		e.preventDefault();
		if($("#combo_project_id").val()==""){
			alert("Please select project.");
			$("#combo_project_id").focus();
		}else{
			getRequirementToTaskStatusData();
		}
	});
	/*****************/
	$("#combo_project_id").change(function(){
		$("#project_lbl").text("");
		if($(this).val()!=""){
			$("#project_lbl").text("Project: "+$(this).find("option:selected").text());
		}
	});
});
/*********************************/
function getRequirementToTaskStatusData(){
	$("#excel_btn").html('');
	$.ajax({
		url: SITEURL+"aj/reports/",
		method: "POST",
		data:"REQUEST=get_report_requirement_to_task_status&is_html=true&"+$('#search_form').serialize(),
		beforeSend: function() {
			$("#results").fadeOut(500);
			$(".loading-div").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div").hide();
				$("#results").html(response);
				$("#results").fadeIn(500);
				
				$("#excel_btn").html('<a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);"><span>Excel</span></a><span>&nbsp;</span></div>');
				
				$(".buttons-excel").click(function(e){
					$(".tbl2 tbody").each(function(){
						$(this).append('<tr class="empty-row"></tr><tr class="empty-row"></tr>');
					});
					$("#results").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Requirement to Task Status Report</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
							exclude: ".noExl",
							name: "Requirement to Task Status Report",
							filename: "Requirement to Task Status Report.xls",
							fileext: ".xls",
							preserveColors: true,
							/*exclude_img: true,
							exclude_links: true,
							exclude_inputs: true*/
						});
					$(".texcl").remove();
					
					$(".empty-row").each(function(){
						$(this).remove();
					});
				});
			},1500);
		}
	});
}
</script>
</body>
</html>
