<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
//include_once '';
$current_tab = (isset($_GET['tab']) && $_GET['tab']!='')?$_GET['tab']:'';

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Scheduling</title>
 <!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<!--  <link href="datepicker/datepicker.css" rel="stylesheet">-->
<link href="<?php echo SITEURL; ?>bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<style>
form-control, .asColorPicker-input, .dataTables_wrapper select, .jsgrid .jsgrid-table .jsgrid-filter-row input[type=text], 
.jsgrid .jsgrid-table .jsgrid-filter-row select, .jsgrid .jsgrid-table .jsgrid-filter-row input[type=number],
.schedule_group .select2-container--default .select2-selection--single, .schedule_group .select2-container--default .select2-selection--single .select2-search__field .custom-select-lg, .typeahead, .tt-query, .tt-hint {
padding: 7px 5px;
}

.schedule_group .select2-container .select2-selection--single .select2-selection__rendered {
    display: block;
    padding-left: 8px;
    padding-right: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.schedule_group .select2-container--default .select2-selection--single {
    height: auto;    ;
    width: 100px;
}


.schedule_group .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 26px;
    position: absolute;
    top: 1px;
    right: 6px !important;
    width: 20px;
}
#schedule_popup_modal .modal-dialog{
    overflow-y: initial !important
}
#schedule_popup_modal .modal-body{
    max-height: calc(100vh - 200px);
    overflow-y: auto;
}
table>tbody>tr.my-class>td {
    height: 0;
    padding: 0;
    border-top: 0;
    overflow: hidden;
    line-height: 0;
    transition: all ease 0.5s;
}
.hover {
  background-color: rgba(41, 68, 124,0.2);
}
.text-red{
    color: red !important;;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
            <!-- partial:partials/_settings-panel.html -->
            <?php include_once("left.php");  ?>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="rploader"><img src="images/89.gif" alt=""></div>
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                        <nav aria-label="breadcrumb">
                                            <ol class="breadcrumb breadcrumb-help">
                                                <li class="breadcrumb-item">Attendance Tracking</li>
                                                <li class="breadcrumb-item active">Scheduling</li>
                                            </ol>
                                        </nav>
                                        <?php
                                        $IsActive1="";
                                        $IsActive2="";

                                        if($current_tab==1 || $current_tab=="")
                                        {
                                                $IsActive1="show active";
                                                $tab1_selected="aria-selected='true'";
                                                $tab2_selected="aria-selected='false'";									
                                        }
                                        else if($current_tab==2)
                                        {
                                                $IsActive2="show active";
                                                $tab1_selected="aria-selected='false'";
                                                $tab2_selected="aria-selected='true'";								
                                        }
        ?>                          
                                        <div class="row">
                                                <div class="col-md-12 mx-auto">
                                                    <ul class="nav nav-tabs1 nav-pills nav-pills-custom" id="feeds_tabs" role="tablist">
                                                        <li class="nav-item">
                                                            <a class="nav-link <?php echo $IsActive1;?>" id="feeds_tab1" data-toggle="tab" href="#feeds_tab1_content" role="tab" aria-controls="pills-home" <?php echo $tab1_selected; ?>>Scheduling</a> 
                                                        </li>
                                                        <li class="nav-item">
                                                            <a class="nav-link <?php echo $IsActive2;?>" id="feeds_tab2" data-toggle="tab" href="#feeds_tab2_content" role="tab" aria-controls="pills-contact" <?php echo $tab2_selected; ?>>Assignment </a> 
                                                        </li>
                                                    </ul>
                                                    <div class="tab-content" id="feeds_tabs_content">
                                                        <div class="tab-pane fade show <?php echo $IsActive1;?>" id="feeds_tab1_content" role="tabpanel" aria-labelledby="feeds_tab1">
                                                            <form id="schedule_form" action="" method="post">
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <div class="form-group">
                                                                            <label>Schedule Name</label>
                                                                            <input type="text" class="form-control requirefieldcls" name="txt_scheduler_name" id="txt_scheduler_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Enter  Employee Schedule Name" autocomplete="off">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <div class="form-group">
                                                                                <label>Date - From</label>
                                                                                <div id="datepicker-popup" class="input-group date datepicker">
                                                                                    <input type="text" class="form-control calendar_date" name="search_from" id="search_from" value="<?php echo $text_search_from_default; ?>">
                                                                                    <span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
                                                                                    <span class="not-valid-tip"  id="span_search_from_msg"></span>
                                                                                </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <div class="form-group">
                                                                            <label>Date - To</label>
                                                                            <div id="datepicker-popup2" class="input-group date datepicker">
                                                                                <input type="text" class="form-control calendar_date" name="search_to" id="search_to" value="<?php echo $text_search_to_default; ?>">
                                                                                <span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <a href="<?php echo SITEURL."attendance-tracking/employee-scheduling/"; ?>" class="btn btn-primary" style="margin-top: 30px;">Create New Schedule</a>
                                                                    </div>
                                                                    <input type="hidden" name="entry_mode" id="entry_mode" value="">
                                                                </div>
                                                                <div class="row mb-2">
                                                                   <div class="col-md-4 col-center text-center">                                                                                
                                                                       <button type="button" class="btn btn-primary btn-sm" id="cmdSelectTime">Select Time</button>                                                                            
                                                                   </div>
                                                               </div>
                                                            
                                                            
                                                                <div id="div_calendar1 ">
                                                                    <div class="table-responsive">
                                                                        <table class="table table-bordered" id="table_calendar" style="width:100%">
                                                                            <tr></tr>
                                                                        </table>
                                                                    </div>
                                                                </div>
                                                                <div class="text-right mt-2">
                                                                    <input type="button" class="btn btn-primary" value="Save" id="cmdSaveData">
                                                                </div>
                                                            </form>    
                                                        </div>
                                                        <div class="tab-pane fade <?php echo $IsActive2;?>" id="feeds_tab2_content" role="tabpanel" aria-labelledby="feeds_tab2">
                                                            <div id="result_tab2">
                                                                
                                                            </div>
                                                        </div>
                                                        </div>
                                                    </div>
                                                </div>
                                        </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
	</div>
</div>
<?php /**************Modal Area****************/ ?>
<div class="modal fade" id="schedule_popup_modal" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
    <div class="modal-dialog modal-lg swal-modal mt-2" role="document" style="max-width: 69%;">
            <div class="modal-content">
                <div class="modal-header">
                        <h5 class="modal-title">Scheduling</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
                </div>
                <div class="modal-body pl-3 pr-3" id="result_announcement_mesage">
                    <div class="d-flex flex-wrap justify-content-between">
                        <h4 id="title_selected_day"></h4>
                        <h4 id="title_selected_date"></h4>                        
                    </div>
                    <form id="schedule_form_popup" action="" method="post">
                        
                        <input type="hidden" id="h_from_date" name="h_from_date" value="">
                        
                        <div class="table-responsive">
                            <table class="table table-bordered" id="table_emp_schedule_entry" >
                                <thead>                                        
                                    <tr class="table-info">
                                        <th class="text-center">Regular Time In</th>
                                        <th class="text-center">Regular Time Out</th>
                                        <th class="text-center">Out for Break</th>
                                        <th class="text-center">Back from Break</th>
                                        <th class="text-center">Out for Meal</th>
                                        <th class="text-center">Back from Meal</th>
                                        <th class="text-center">Overtime In</th>
                                        <th class="text-center">Overtime Out</th>
                                        <th class="text-center">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $Row = 1;
                                    for($Row=1;$Row<=5;$Row++) { ?>
                                    <tr id="<?php echo"row_".$Row; ?>">
                                        <td>
                                            <div class="text-center">                                                    
                                                <div class="schedule_group">
                                                    <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'regular_from_time'.$Row;?>" name="regular_from_time[]">
                                                      <option value="">-Select-</option>
                                                      <?php

                                                        $start_time = '00:00';
                                                        for($i=1; $i <= 48; $i++)
                                                        {   
                                                            $start_time = date('h:i A',strtotime($start_time));                                                            
                                                            echo "<option value='".$start_time."'>".$start_time."</option>";
                                                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                            $start_time = $new_time;                                                        
                                                        } ?>
                                                      ?>
                                                    </select>
                                                </div>    
                                                <input type="hidden" name="h_scheduleid_reg[]" value="">
                                            </div>    
                                        </td>
                                        <td>
                                            <div class="text-center">
                                            <div class="schedule_group">
                                                <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'regular_to_time'.$Row;?>" name="regular_to_time[]">
                                                  <option value="">-Select-</option>
                                                  <?php
                                                      $start_time = '00:00';
                                                      for($i=1; $i <= 48; $i++)
                                                      {   
                                                        $start_time = date('h:i A',strtotime($start_time));                                                            
                                                        echo "<option value='".$start_time."'>".$start_time."</option>";
                                                        $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                        $start_time = $new_time;                                                        
                                                      } ?>
                                                  ?>
                                                </select>
                                            </div>    
                                            </div>
                                        </td>
                                        <td>
                                            <div class="text-center">
                                                <div class="schedule_group">
                                                    <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'break_from_time'.$Row;?>" name="break_from_time[]">
                                                      <option value="">-Select-</option>
                                                      <?php
                                                        $start_time = '00:00';
                                                        for($i=1; $i <= 48; $i++)
                                                        {   
                                                            $start_time = date('h:i A',strtotime($start_time));                                                                
                                                            echo "<option value='".$start_time."' >".$start_time."</option>";
                                                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                            $start_time = $new_time;                                                        
                                                        } ?>
                                                      ?>
                                                    </select>     
                                                </div>    
                                                <input type="hidden" name="h_scheduleid_break[]" value="">
                                            </div>
                                        </td>
                                        <td>
                                            <div class="text-center">
                                            <div class="schedule_group">
                                                <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'break_to_time'.$Row;?>" name="break_to_time[]">
                                                  <option value="">-Select-</option>
                                                  <?php
                                                      $start_time = '00:00';
                                                      for($i=1; $i <= 48; $i++)
                                                      {   
                                                        $start_time = date('h:i A',strtotime($start_time));                                                            
                                                        echo "<option value='".$start_time."'>".$start_time."</option>";
                                                        $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                        $start_time = $new_time;                                                        
                                                      } ?>
                                                  ?>
                                                </select>
                                            </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="text-center">
                                                <div class="schedule_group">
                                                    <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'meal_from_time'.$Row;?>" name="meal_from_time[]">
                                                      <option value="">-Select-</option>
                                                      <?php                                                            
                                                        $start_time = '00:00';
                                                        for($i=1; $i <= 48; $i++)
                                                        {   
                                                            $start_time = date('h:i A',strtotime($start_time));                                                                
                                                            echo "<option value='".$start_time."'>".$start_time."</option>";
                                                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                            $start_time = $new_time;                                                        
                                                        } ?>
                                                      ?>
                                                    </select>
                                                </div>    
                                                <input type="hidden" name="h_scheduleid_meal[]" value="">
                                            </div>
                                        </td>

                                        <td>
                                            <div class="text-center">
                                            <div class="schedule_group">
                                                <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'meal_to_time'.$Row;?>" name="meal_to_time[]">
                                                  <option value="">-Select-</option>
                                                  <?php
                                                      $start_time = '00:00';
                                                      for($i=1; $i <= 48; $i++)
                                                      {   
                                                        $start_time = date('h:i A',strtotime($start_time));                                                            
                                                        echo "<option value='".$start_time."'>".$start_time."</option>";
                                                        $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                        $start_time = $new_time;                                                        
                                                      } ?>
                                                  ?>
                                                </select>
                                            </div>
                                            </div>    
                                        </td>
                                        <td>
                                            <div class="text-center">
                                                <div class="schedule_group">
                                                    <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'overtime_from_time'.$Row;?>" name="overtime_from_time[]">
                                                      <option value="">-Select-</option>
                                                      <?php                                                            
                                                        $start_time = '00:00';
                                                        for($i=1; $i <= 48; $i++)
                                                        {   
                                                            $start_time = date('h:i A',strtotime($start_time));                                                                
                                                            echo "<option value='".$start_time."'>".$start_time."</option>";
                                                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                            $start_time = $new_time;                                                        
                                                        } ?>
                                                      ?>
                                                    </select>                                                        
                                                </div>    
                                                <input type="hidden" name="h_scheduleid_ot[]" value="">
                                            </div>
                                        </td>
                                        <td>
                                            <div class="text-center">
                                            <div class="schedule_group">
                                            <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'overtime_to_time'.$Row;?>" name="overtime_to_time[]">
                                              <option value="">-Select-</option>
                                              <?php
                                                  $start_time = '00:00';
                                                  for($i=1; $i <= 48; $i++)
                                                  {   
                                                    $start_time = date('h:i A',strtotime($start_time));                                                        
                                                    echo "<option value='".$start_time."'>".$start_time."</option>";
                                                    $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                    $start_time = $new_time;                                                        
                                                  } ?>
                                              ?>
                                            </select>
                                            </div>
                                            </div>    
                                        </td>

                                    <td>
                                        <div class="d-sm-flex justify-content-center">
                                            <?php 
                                            if($Row!=1) { 
                                            }
                                            ?>
                                            <div class="form-check pl-1">
                                                <i class="fa fa-eraser clear_row" aria-hidden="true" title="Clear"></i> 
                                            </div>
                                            <div class="form-check pl-1">
                                                <i class="fa fa-plus add_more" aria-hidden="true" title="Add More"></i> 
                                            </div>                                                
                                        </div>                                    
                                    </td>
                                </tr>    
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                        <div class="font-weight-bold  mt-2">Note: The overtime, break time and meal time schedules do not apply to exempted employees</div>
                    </form>
                </div>
            
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="cmd_apply_schedule" title="Apply">Apply</button>
                    <button type="button" class="btn btn btn-light" data-dismiss="modal" title="Close">Close</button>
                </div>
            
            </div>
	</div>
</div>
    
<?php /**************Modal Area****************/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/nouislider/nouislider.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>


</body>
</html>
<script>
    $(document).ready(function()
    {
        // $('.datepicker .form_datetime').datepicker({
        //     format: "mm/dd/yyyy",
        //     enableOnReadonly: true,
        //     todayHighlight: true,
        //     autoclose: true,
        //     orientation: "bottom"
	    // });
        setDatePicker('#search_from','#search_to');
        setTimeout(function()
        {
            CreateCalendar_view();
            //getEmployeeData();
        },1000);
        
        setTimeout(function()
        {
            CreateAssisngmentTabData();
            
        },1000);
        $('#table_emp_schedule_entry').find('tbody tr:eq(1)').hide();
        $('#table_emp_schedule_entry').find('tbody tr:eq(2)').hide();
        $('#table_emp_schedule_entry').find('tbody tr:eq(3)').hide();
        $('#table_emp_schedule_entry').find('tbody tr:eq(4)').hide();
        /*$('#table_emp_schedule_entry').find('tbody tr:eq(5)').hide();*/
        
    });
    
    function CreateAssisngmentTabData()
    {
        $.ajax({
		url: SITEURL+"aj/scheduling/",
		method: "POST",
		data: {REQUEST: 'create_assignment_tab_data',is_html:true},
        beforeSend: function() {
			$("#result_tab2").fadeOut(500);
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
                $(".rploader").hide();
				$("#result_tab2").html(response);
                $("#combo_scheduler").select2();
                dataTableDefaultOrderOff_thispage("table_employee");
                $("#table_employee_filter").hide();
				$("#result_tab2").fadeIn(500);              
			},1000);
			
		}
	});
    }
    function getEmployeeData()
    {
	$.ajax({
		url: SITEURL+"aj/scheduling/",
		method: "POST",
		data: {REQUEST: 'get_employeedata_for_shceduler'},
		beforeSend: function() {
			$("#results").fadeOut(500);
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").hide();
				$("#results").html(response);
				$("#results").fadeIn(500);
				dataTableDefaultOrderOff_thispage("table_employee");
				$("#table_employee_filter").hide();
			},2000);
		}
	});
}
    
    
    
    $("#cmdSelectTime").click(function()
    {
        form_element_correct($("#txt_scheduler_name"));
        
        if($("#txt_scheduler_name").val()=="")
        {
            $("#txt_scheduler_name").addClass('error_ele');
            $("#txt_scheduler_name").after('<span role="alert" class="not-valid-tip">Field is required.</span>');
            $("#txt_scheduler_name").focus();
            return false;
        }
        /*$("#regular_from_time1").val("");
        $("#regular_to_time1").val("");
        
        $("#break_from_time1").val("");
        $("#break_to_time1").val("");
        
        $("#meal_from_time1").val("");
        $("#meal_to_time1").val("");
        
        $("#overtime_from_time1").val("");
        $("#overtime_to_time1").val("");
        $('select').select2();*/
        $("#h_from_date").val("");
        //$('table #table_emp_schedule_entry').eq(1).find('th:first').hide();
        $("#title_selected_day").text("");
        
        $("#title_selected_date").text($("#search_from").val()+ " - "+$("#search_to").val());
        
        $("#schedule_popup_modal").modal('show');
    });
    $("#cmd_apply_schedule").click(function()
    {
        var formdata   = $('#schedule_form_popup').serialize();
        var from_date = "";
        var to_date = "";
        if($("#h_from_date").val()=="")
        {
            from_date = $("#search_from").val();
            to_date = $("#search_to").val();
        }
        else
        {
            from_date = $("#h_from_date").val();
            to_date = $("#h_from_date").val();
        }
        $.ajax({
            url: SITEURL+"aj/scheduling/",
            method: "POST",
            beforeSend: function() 
            {
                $(".rploader").fadeIn(800);
            },
            data: {REQUEST: 'check_schedule_data',scheduler_name: $("#txt_scheduler_name").val(),from_date:from_date,to_date:to_date,form1: formdata},
            success: function (response)
            { 
                if($("#h_from_date").val()=="")
                {
                    CreateCalendar_view();
                }
                setTimeout(function()
                {
                    $(".rploader").fadeOut(800);
                    if(response.succ==1)
                    {   
                        setCalendar_Value(response);
                        $("#h_from_date").val("");
                        $("#schedule_popup_modal").modal('hide');
                    }
                    else if(response.succ==0)
                    {
                        alert(response.msg);
                    }                            
                },1000); 
            }
        });
        
    });
    
    function setCalendar_Value(response)
    {       
        var data_value1 = "";
        var data_value2 = "";
        var data_h_value1 = "";
        var data_h_value2 = "";
        if (!jQuery.isEmptyObject(response.data_list))
        {
            $.each( response.data_list, function( key, value ) 
            {
             /*   $('.cs_holiday').each(function(n1) 
                {
                    selected_date = $(this).find('input[type="hidden"]').val();  
                    
                    data_value1 = "";
                    data_value2 = "";
                    
                    data_h_value1 = "<input type='hidden' name = 'regular_from_time[]' value='"+data_value1+"'>";
                    data_h_value2 = "<input type='hidden' name = 'regular_to_time[]' value='"+data_value2+"'>";

                    td="<div class = 'd-sm-flex justify-content-between pt-2  mb-3'>"+data_h_value1+data_h_value2+"</div>";


                });
                */
                $('.open_modal_schedule').each(function(n1) 
                {
                    selected_date = $(this).find('input[type="hidden"]').val();  
                    if(selected_date==value.schedule_date)
                    {
                        if ($(this).find('.rg').length)
                        {
                            var element = $(this).find('.rg');
                            $(element).parent().remove();
                            /*** Extra rows values remove*/
                            $(this).children("input.from_time").each(function() 
                            {
                                $(this).remove();
                            });
                            
                            $(this).children("input.to_time").each(function() 
                            {
                                $(this).remove();
                            });
                            
                        }
                        else if ($(this).find('.br').length)
                        {
                            var element = $(this).find('.br');
                            $(element).parent().remove();
                            /*** Extra rows values remove*/
                            $(this).children("input.from_time").each(function() 
                            {
                                $(this).remove();
                            });
                            
                            $(this).children("input.to_time").each(function() 
                            {
                                $(this).remove();
                            });
                        }
                        else if ($(this).find('.ml').length)
                        {
                            var element = $(this).find('.ml');
                            $(element).parent().remove();
                            /*** Extra rows values remove*/
                            $(this).children("input.from_time").each(function() 
                            {
                                $(this).remove();
                            });
                            
                            $(this).children("input.to_time").each(function() 
                            {
                                $(this).remove();
                            });
                        }
                        else if ($(this).find('.ot').length)
                        {
                            var element = $(this).find('.ot');
                            $(element).parent().remove();
                            /*** Extra rows values remove*/
                            $(this).children("input.from_time").each(function() 
                            {
                                $(this).remove();
                            });
                            
                            $(this).children("input.to_time").each(function() 
                            {
                                $(this).remove();
                            });
                        }
                    }
                });
            });    
            
            $.each( response.data_list, function( key, value ) 
            {
                $('.open_modal_schedule').each(function(n1) 
                {
                    selected_date = $(this).find('input[type="hidden"]').val();
                    
                    if(selected_date==value.schedule_date)
                    {
                        /*if($(this).hasClass()=='cs_holiday')
                        {

                        }*/
                        if(value.time_duration!="00:00" || value.schedule_time_category=='Leave Time')
                        {
                            if(value.time_duration != null )
                            {
                                setcolor = setGridBackColor(value.schedule_time_category);
                                cls="";
                                data_value1 = "";
                                data_value2 = "";
                                data_h_value1 = "";
                                data_h_value2 = "";
                                if(value.schedule_time_category=="Regular Time")
                                {
                                    cls = "rg";
                                }
                                else if(value.schedule_time_category=="Break Time")
                                {
                                    cls = "br";
                                }
                                else if(value.schedule_time_category=="Meal Time")
                                {
                                    cls = "ml";
                                }
                                else if(value.schedule_time_category=="OverTime")
                                {
                                    cls = "ot";
                                }
                                else if(value.schedule_time_category=="Leave Time")
                                {
                                    cls = "off";
                                }
                                if(value.schedule_time_category!="Leave Time")
                                {
                                    data_value1 = value.schedule_datetime_start;
                                    data_value2 = value.schedule_datetime_end;
                                    if(value.schedule_time_category=="Regular Time")
                                    {
                                        
                                        data_h_value1 = "<input type='hidden' class='from_time' name = 'regular_from_time[]' value='"+data_value1+"'>";
                                        data_h_value2 = "<input type='hidden' class='to_time' name = 'regular_to_time[]' value='"+data_value2+"'>";
                                    }
                                    
                                    else if(value.schedule_time_category=="Break Time")
                                    {
                                        data_h_value1 = "<input type='hidden' class='from_time' name = 'break_from_time[]' value='"+data_value1+"'>";
                                        data_h_value2 = "<input type='hidden' class='to_time' name = 'break_to_time[]' value='"+data_value2+"'>";
                                    }
                                    
                                    else if(value.schedule_time_category=="Meal Time")
                                    {
                                        data_h_value1 = "<input type='hidden' class='from_time' name = 'meal_from_time[]' value='"+data_value1+"'>";
                                        data_h_value2 = "<input type='hidden' class='to_time' name = 'meal_to_time[]' value='"+data_value2+"'>";
                                    }
                                    
                                    else if(value.schedule_time_category=="OverTime")
                                    {
                                        data_h_value1 = "<input type='hidden' class='from_time' name = 'overtime_from_time[]' value='"+data_value1+"'>";
                                        data_h_value2 = "<input type='hidden' class='to_time' name = 'overtime_to_time[]' value='"+data_value2+"'>";
                                    }
                                    
                                    
                                    if (value.schedule_time_category=="Regular Time" && $(this).find('.rg').length)
                                    {
                                        var element = $(this).find('.rg');                                        
                                        var next_element = $(element).next();
                                        var next_element_text = $(next_element).text();
                                        
                                        next_element_text = next_element_text.replace(' Hours', '');
                                        var d = moment.duration(next_element_text).add(moment.duration(value.time_duration));
                                        new_time = moment.utc(d.as('milliseconds')).format("HH:mm")
                                        $(next_element).text(new_time+' Hours');                                        
                                        td=data_h_value1+data_h_value2;
                                    }
                                    else if (value.schedule_time_category=="Break Time" && $(this).find('.br').length)
                                    {
                                        var element = $(this).find('.br');                                        
                                        var next_element = $(element).next();
                                        var next_element_text = $(next_element).text();
                                        
                                        next_element_text = next_element_text.replace(' Hours', '');
                                        var d = moment.duration(next_element_text).add(moment.duration(value.time_duration));
                                        new_time = moment.utc(d.as('milliseconds')).format("HH:mm")
                                        $(next_element).text(new_time+' Hours');                                        
                                        td=data_h_value1+data_h_value2;
                                    }
                                    else if (value.schedule_time_category=="Meal Time" && $(this).find('.ml').length)
                                    {
                                        var element = $(this).find('.ml');                                        
                                        var next_element = $(element).next();
                                        var next_element_text = $(next_element).text();
                                        
                                        next_element_text = next_element_text.replace(' Hours', '');
                                        var d = moment.duration(next_element_text).add(moment.duration(value.time_duration));
                                        new_time = moment.utc(d.as('milliseconds')).format("HH:mm")
                                        $(next_element).text(new_time+' Hours');                                        
                                        td=data_h_value1+data_h_value2;
                                    }
                                    else if (value.schedule_time_category=="OverTime" && $(this).find('.ot').length)
                                    {
                                        var element = $(this).find('.ot');                                        
                                        var next_element = $(element).next();
                                        var next_element_text = $(next_element).text();
                                        
                                        next_element_text = next_element_text.replace(' Hours', '');
                                        var d = moment.duration(next_element_text).add(moment.duration(value.time_duration));
                                        new_time = moment.utc(d.as('milliseconds')).format("HH:mm")
                                        $(next_element).text(new_time+' Hours');                                        
                                        td=data_h_value1+data_h_value2;
                                    }
                                    else
                                    {
                                        td="<div class = 'd-sm-flex justify-content-between pt-2  mb-3'><div class='badge badge-info1 "+cls+"'>"+value.schedule_time_category+": </div><div class='badge badge-info1' style='background-color: "+setcolor+"' >"+value.time_duration+" Hours</div>"+data_h_value1+data_h_value2+"</div>";
                                        
                                    }
                                }
                                else if(value.schedule_time_category=="Leave Time")
                                {
                                    td="<div class = 'd-sm-flex justify-content-center pt-2  mb-3'><div class='badge badge-info1 "+cls+"' style='background-color: "+setcolor+"' >PTO (Out of Office) </div></div>";
                                    
                                }
                                $(this).append(td);
                                
                            }    
                        }    
                        return false;
                    }
                });

            });

            $('.open_modal_schedule').each(function(n1) 
            { 
                if ($(this).find('.rg').length)
                {
                    $(this).find('.click_here').remove(); 
                    //$(this).append("<div class = 'lower-left  pt-3 pb-2 text-right delete-current-schedule' title='Delete Schedule'><i class='fa fa-cut'></i></div>");                                
                }
                else if ($(this).find('.off').length)
                {
                    $(this).find('.click_here').remove();                                
                    //$(this).val('.open_modal_schedule1'); 
                    $(this).removeClass('open_modal_schedule');
                    $(this).addClass('newClass');
                }
            });
        }                
    }
    function setGridBackColor(TimeCategory)
    {
        if(TimeCategory=="Regular Time")
        {
            backcolor = "#90EE90";                    
        }
        else if(TimeCategory=="Meal Time")
        {
            backcolor = "#A9A9A9";
        }
        else if(TimeCategory=="Break Time")
        {
            backcolor = "#fed8b1";
        }
        else if(TimeCategory=="OverTime" || TimeCategory=="Overtime")
        {
            backcolor = "#ffbbbc";
        }
        //Leave Timeelse if(TimeCategory=="Leave/RDO")
        else if(TimeCategory=="Leave Time")
        {
            backcolor = "#c9cee6";
        }
        else if(TimeCategory=="Double Time")
        {
            backcolor = "#5a74dc";
        }
        
        return backcolor;
    }
    $("#cmd_apply_schedule1").click(function()
    {
        var formdata   = $('#schedule_form').serialize();
        $.ajax({
            url: SITEURL+"aj/scheduling/",
            method: "POST",
            beforeSend: function() {
                    $(".rploader").fadeIn(800);
            },
            data: {REQUEST: 'save_schedule_data',scheduler_name: $("#txt_scheduler_name").val(),from_date:$("#search_from").val(),to_date:$("#search_to").val(),form1: formdata},
            success: function (response)
            { 
                setTimeout(function()
                {
                    $(".rploader").fadeOut(800);
                    if(response.succ==1)
                    {
                        /*FillMainGridFromDB_Data();
                        $("#modal_schedule").modal("hide");
                        if($('#radio_weekly').is(':checked')) 
                        {
                            CreateCalendar_view();
                        }*/    
                        $("#h_from_date").val("");
                        $("#schedule_popup_modal").modal('hide');
                    }
                    else if(response.succ==0)
                    {
                        alert(response.msg);
                    }                            
                },1000); 
            }
        });
    });
    $(".calendar_date").change(function()
    {
        CreateCalendar_view();       
    });
    
    function CreateCalendar_view()
    {
        $("#table_calendar tbody").empty();
        if($("#search_from").val()!='' && $("#search_to").val()!='')
        {
            TotalDaysFromDates($("#search_from").val(),$("#search_to").val());            
        }
    }
    
    function TotalDaysFromDates(start_date,end_date)
    {
        $.ajax({
            url: SITEURL+"aj/scheduling/",
            method: "POST",
            data: {REQUEST: 'get_total_days', "start_date":start_date,"end_date":end_date},
            beforeSend: function() 
            {
                $(".rploader").fadeIn(800);
            },
            success: function (response)
            {  
                    //console.log(response);                    
                    if(response.succ==1)
                    {
                        TotalDays = response.data_list['TotalDays'];
                        if(parseInt(TotalDays)<0)
                        {
                            alert("From date must be older than To date.");
                            $(".rploader").fadeOut(800); 
                            return false;
                        }
                        TotalRows =  TotalDays / 7; 
                        TotalRows = parseInt(TotalRows);
                        extra_cells = TotalDays % 7;   
                        if(extra_cells>0)
                        {
                            TotalRows++;
                        }    

                        if (!jQuery.isEmptyObject(response.days_list))
                        {
                            i=1;
                            tr = "<tr>";
                            $.each( response.days_list, function( key, value ) 
                            {
                                
                                display_date = value.display_date;
                                display_day = value.display_day;
                                hidden_date = value.hidden_date;
                                //is_holiday  = "";
                                is_holiday = value.is_holiday;
                                holiday_name = value.holiday_name;
                                
                                if(is_holiday=="Y")
                                {
                                    tr += "<td class='open_modal_schedule123 cr-point123 cs_holiday' title='"+holiday_name+"'> "+
                                        "<input type='hidden' class='schedule_date' value='"+hidden_date+"' name='schedule_date[]'> <div class='d-sm-flex justify-content-between font-weight-bold'><div>"+display_day+"</div><div>"+display_date+"</div></div>"+
                                        "<div class='d-sm-flex justify-content-center text-muted text-red pt-5 click_here' title='"+holiday_name+"'>"+holiday_name+"</div>";
                                        tr += "</td>"; 
                                }
                                else
                                {
                                    tr += "<td class='open_modal_schedule cr-point' data-cell='"+key+"'> "+
                                        "<input type='hidden' class='schedule_date' value='"+hidden_date+"' name='schedule_date[]'> <div class='d-sm-flex justify-content-between font-weight-bold'><div>"+display_day+"</div><div>"+display_date+"</div></div>"+
                                        "<div class='d-sm-flex justify-content-center text-muted  pt-5 click_here'> &nbsp; </div>";
                                        tr += "</td>"; 
                                }
                                if(i==7)
                                {
                                    tr += "</tr>";
                                    $("#table_calendar").append(tr);
                                    tr = "<tr>";
                                    i=0;
                                }    
                                i=i+1;
                            });
                            
                            if(i!=1 && i<=7 )
                            {
                                for(j=i;j<=7;j++)
                                {
                                    tr += "<td></td>";
                                }
                                tr += "</tr>";
                                $("#table_calendar").append(tr);
                            }
                        }
                         $(".rploader").fadeOut(800); 
                    }
                    else
                    {
                         $(".rploader").fadeOut(800); 
                    }
                    
               }
            }); 
    }
    $(document).on('click', '.open_modal_schedule', function()
    {
        selected_date = $(this).find('input[type="hidden"]').val();          
        $("#h_from_date").val(selected_date);
        
        clear_all_rows();
        
        var regular_from_time = new Array();
        var regular_to_time = new Array();
        
        var break_from_time = new Array();
        var break_to_time = new Array();
        var meal_from_time = new Array();
        var meal_to_time = new Array();
        var overtime_from_time = new Array();
        var overtime_to_time = new Array();
        
        $('.open_modal_schedule').each(function(n1) 
        {
            current_date = $(this).find('input[type="hidden"]').val();  
            if(selected_date==current_date)
            {
                if ($(this).find('.rg').length)
                {
                    var element = $(this).find('.rg');
                    from_time = $(element).next().next().val();
                    to_time = $(element).next().next().next().val();
                    
                    var res = from_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');                     
                    $("#regular_from_time1").val(time2);
                    
                    var res = to_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A'); 
                    $("#regular_to_time1").val(time2);
                    
                }
                
                if ($(this).find('.br').length)
                {
                    var element = $(this).find('.br');
                    from_time = $(element).next().next().val();
                    to_time = $(element).next().next().next().val();
                    
                    var res = from_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');  
                    $("#break_from_time1").val(time2);
                    
                    var res = to_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A'); 
                    $("#break_to_time1").val(time2);
                    
                }
                
                if ($(this).find('.ml').length)
                {
                    var element = $(this).find('.ml');
                    from_time = $(element).next().next().val();
                    to_time = $(element).next().next().next().val();
                    
                    var res = from_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');  
                    $("#meal_from_time1").val(time2);
                    
                    var res = to_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A'); 
                    $("#meal_to_time1").val(time2);
                    
                }
                
                if ($(this).find('.ot').length)
                {
                    var element = $(this).find('.ot');
                    from_time = $(element).next().next().val();
                    to_time = $(element).next().next().next().val();
                    
                    var res = from_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');  
                    $("#overtime_from_time1").val(time2);
                    
                    var res = to_time.split(" ");
                    time1 = res[1];
                    time2 = moment(time1, 'HH:mm:ss').format('hh:mm A'); 
                    $("#overtime_to_time1").val(time2);
                    
                }
              //  $('select').select2();
            }
        });
        
        
          
        $('.open_modal_schedule').each(function(n1) 
        {
            current_date = $(this).find('input[type="hidden"]').val();  
            if(selected_date==current_date)
            {
                if ($(this).find('.rg').length)
                {
                    var element = $(this).find('.rg');
                    $(this).children("input.from_time").each(function() 
                    {
                        from_time = $(this).val();
                        array_name = $(this).attr('name');
                        if(array_name=="regular_from_time[]")
                        {
                            regular_from_time.push(from_time);   
                        }
                        else if(array_name=="break_from_time[]")
                        {
                            break_from_time.push(from_time);   
                        }
                        else if(array_name=="meal_from_time[]")
                        {
                            meal_from_time.push(from_time);   
                        }
                        else if(array_name=="overtime_from_time[]")
                        {
                            overtime_from_time.push(from_time);   
                        }
                    });

                    $(this).children("input.to_time").each(function() 
                    {
                        to_time = $(this).val();
                        array_name = $(this).attr('name');
                        if(array_name=="regular_to_time[]")
                        {
                            regular_to_time.push(to_time);   
                        }
                        else if(array_name=="break_to_time[]")
                        {
                            break_to_time.push(to_time);   
                        }
                        else if(array_name=="meal_to_time[]")
                        {
                            meal_to_time.push(to_time);   
                        }
                        else if(array_name=="overtime_to_time[]")
                        {
                            overtime_to_time.push(to_time);   
                        }
                    });
                }
            }    
        });
        
        regular_array_length = regular_from_time.length;
        break_array_length = break_from_time.length;
        meal_array_length = meal_from_time.length;
        overtime_array_length = overtime_from_time.length;
        
        highest_array_size = Math.max(regular_array_length, break_array_length, meal_array_length,overtime_array_length);
        
        for(i=1;i<=highest_array_size;i++)
        {
            $('#table_emp_schedule_entry').find('tbody tr:eq('+i+')').show();
        }
        
        $.each( regular_from_time, function( key, value )
        {
            element_id = parseInt(key)+2;
            res = regular_from_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');  
            $("#regular_from_time"+element_id).val(time2);
            
            res = regular_to_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');  
            
            $("#regular_to_time"+element_id).val(time2);
        });
        
        
        $.each( break_from_time, function( key, value )
        {
            element_id = parseInt(key)+2;
            res = break_from_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');             
            $("#break_from_time"+element_id).val(time2);
            
            res = break_to_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A'); 
            $("#break_to_time"+element_id).val(time2);            
        });
        
        
        $.each( meal_from_time, function( key, value )
        {
            element_id = parseInt(key)+2;
            res = meal_from_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');   
            $("#meal_from_time"+element_id).val(time2);
            
            res = meal_to_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');   
            $("#meal_to_time"+element_id).val(time2);            
        });
        
        $.each( overtime_from_time, function( key, value )
        {
            element_id = parseInt(key)+2;
            res = overtime_from_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');   
            $("#overtime_from_time"+element_id).val(time2);
            
            res = overtime_to_time[key].split(" ");
            time1 = res[1];
            time2 = moment(time1, 'HH:mm:ss').format('hh:mm A');   
            $("#overtime_to_time"+element_id).val(time2);
        });
        
        $('select').select2();
        
        var mydate = selected_date;
        show_day = moment(mydate).format('dddd');
        $("#title_selected_day").text(show_day);
        
        mydate = moment(selected_date, 'YYYY-MM-DD');
        $("#title_selected_date").text(mydate.format('MM/DD/YYYY'));
        
        $("#schedule_popup_modal").modal('show');
    });
    
    
    
    $("#cmdSaveData").click(function()
    {
        var rowCount = $("#table_calendar tr").length;
        if(rowCount==0)
        {
            alert("Please fill data first.");
            return false;
        }
        
        form_element_correct($("#txt_scheduler_name"));        
        if($("#txt_scheduler_name").val()=="")
        {
            $("#txt_scheduler_name").addClass('error_ele');
            $("#txt_scheduler_name").after('<span role="alert" class="not-valid-tip">This field is require.</span>');
            $("#txt_scheduler_name").focus();
            return false;
        }
        //var a = $('name="regular_from_time[]"').val();
        
        var a = $('input[name="regular_from_time[]"]').val();
        if(typeof a == "undefined")
        {
            alert("There is no data to store.");
            return false;
        }        
        var regular_from_time = new Array();
        var regular_to_time = new Array();
        
        var break_from_time = new Array();
        var break_to_time = new Array();
        var meal_from_time = new Array();
        var meal_to_time = new Array();
        var overtime_from_time = new Array();
        var overtime_to_time = new Array();
        
        
        $('.open_modal_schedule').each(function(n1) 
        {
            selected_date = $(this).find('input[type="hidden"]').val();              
            if ($(this).find('.rg').length)
            {
                var element = $(this).find('.rg');
                from_time = $(element).next().next().val();
                to_time = $(element).next().next().next().val();
                
                regular_from_time.push(selected_date,from_time);
                regular_to_time.push(selected_date,to_time);
            }
            
            
            if ($(this).find('.br').length)
            {
                var element = $(this).find('.br');
                from_time = $(element).next().next().val();
                to_time = $(element).next().next().next().val();
                
                break_from_time.push(selected_date,from_time);
                break_to_time.push(selected_date,to_time);
            }
            
            if ($(this).find('.ml').length)
            {
                var element = $(this).find('.ml');
                from_time = $(element).next().next().val();
                to_time = $(element).next().next().next().val();
                
                meal_from_time.push(selected_date,from_time);
                meal_to_time.push(selected_date,to_time);
            }
            
            if ($(this).find('.ot').length)
            {
                var element = $(this).find('.ot');
                from_time = $(element).next().next().val();
                to_time = $(element).next().next().next().val();
                
                overtime_from_time.push(selected_date,from_time);
                overtime_to_time.push(selected_date,to_time);
            }            
        });
        
        $('.open_modal_schedule').each(function(n1) 
        {
            selected_date = $(this).find('input[type="hidden"]').val();  
            if ($(this).find('.rg').length)
            {
                var element = $(this).find('.rg');
                $(this).children("input.from_time").each(function() 
                {
                    from_time = $(this).val();
                    array_name = $(this).attr('name');
                    if(array_name=="regular_from_time[]")
                    {
                        regular_from_time.push(selected_date,from_time);   
                    }
                    else if(array_name=="break_from_time[]")
                    {
                        break_from_time.push(selected_date,from_time);   
                    }
                    else if(array_name=="meal_from_time[]")
                    {
                        meal_from_time.push(selected_date,from_time);   
                    }
                    else if(array_name=="overtime_from_time[]")
                    {
                        overtime_from_time.push(selected_date,from_time);   
                    }
                });
                
                $(this).children("input.to_time").each(function() 
                {
                    to_time = $(this).val();
                    array_name = $(this).attr('name');
                    if(array_name=="regular_to_time[]")
                    {
                        regular_to_time.push(selected_date,to_time);   
                    }
                    else if(array_name=="break_to_time[]")
                    {
                        break_to_time.push(selected_date,to_time);   
                    }
                    else if(array_name=="meal_to_time[]")
                    {
                        meal_to_time.push(selected_date,to_time);   
                    }
                    else if(array_name=="overtime_to_time[]")
                    {
                        overtime_to_time.push(selected_date,to_time);   
                    }
                });
            }
        });
        
        //var formdata   = $('#schedule_form').serialize();
		var form_data = new FormData();
		var form_data1 = $('#schedule_form').serializeArray();
		$.each(form_data1, function (key, input) {
			form_data.append(input.name, input.value);
		});
		form_data.append("REQUEST", "save_schedule_data");
		
		form_data.append("regular_from_time",regular_from_time);
		form_data.append("regular_to_time",regular_to_time);
		form_data.append("break_from_time",break_from_time);
		form_data.append("break_to_time",break_to_time);
		form_data.append("meal_from_time",meal_from_time);
		form_data.append("meal_to_time",meal_to_time);
		form_data.append("overtime_from_time",overtime_from_time);
		form_data.append("overtime_to_time",overtime_to_time);
		
        $.ajax({
            url: SITEURL+"aj/scheduling/",
            method: "POST",
            beforeSend: function() {
                    $(".rploader").fadeIn(800);
            },
            cache: false,
            contentType: false,
            processData: false,
            async: false,
            data: form_data,
            success: function (response)
            { 
                setTimeout(function()
                {
                    $(".rploader").fadeOut(800);
                    alert(response.msg);
                    if(response.succ==1)
                    {
                        location.reload(); 
                        /*FillMainGridFromDB_Data();
                        $("#modal_schedule").modal("hide");
                        if($('#radio_weekly').is(':checked')) 
                        {
                            CreateCalendar_view();
                        }*/    
                        //$("#schedule_popup_modal").modal('hide');
                    }
                    else if(response.succ==0)
                    {
                        
                    }                            
                },1000); 
            }
        });
    });
    
    $('body').on('change', '#check_all_employee', function() 
    {
        if (this.checked) 
        {
            $(".check_employee").each(function() 
            {
                this.checked=true;
            }); 
        }
        else
        {
            $(".check_employee").each(function() 
            {
                this.checked=false;
            }); 
        }
    });

    $('body').on('change', '.check_employee', function() 
    {
        if($("#check_all_employee").is(":checked") && $(this).is(":not(:checked)"))
        {
            $('#check_all_employee').prop('checked', false); 
        }
    });
    
    
    $('body').on('click', '#cmd_assign', function() 
    {
        if($("#combo_scheduler").val()=="")
        {
            alert("Select scheduler to assign.");
            return false;
        }
        
        var is_checked = 0;
        var flag = 1;

        $(".check_employee").each(function() 
        {
            if($(this).is(":checked"))
            {
                is_checked = 1;
            }
        }); 

        if(is_checked==0)
        {
            alert("Please select record for assign.");
            flag = 0;
            return false;
        }

        if(flag == 1)
        {
            var array_selected_user_id = new Array();
            $('#table_employee tbody tr').each(function(n) 
            {
                var id = n+1;
                if($("#check_"+id).is(":checked"))
                {
                    selected_user_id = $(this).find('input[type="hidden"]').val();
                    array_selected_user_id.push(selected_user_id);
                }
            });
            
            
            $.ajax({
                url: SITEURL+"aj/scheduling/",
                method: "POST",
                beforeSend: function() {
                        $(".rploader").fadeIn(800);
                },
                data: {REQUEST: 'assign_schedule_to_user',user_list_id: array_selected_user_id,scheduler_name:$("#combo_scheduler").val()},
                success: function (response)
                { 
                    setTimeout(function()
                    {
                        $(".rploader").fadeOut(800);
                        if(response.succ==1)
                        {
                            
                        }
                        else
                        {
                            alert("There is some issue to assing schedule.");
                        }
                        
                    },1000); 
                }
            }); 
        }
    });
    
    
    $('body').on('click', '#cmdViewEdit', function() 
    {
        if($("#combo_scheduler").val()=="")
        {
            alert("Please select scheduler.");
            return false;
        }
        if($("#combo_scheduler").val()!="")
        {   
            getScheduleData();
            activaTab('feeds_tab1_content');
        }
    });

function activaTab(tab){
    $('.nav-pills a[href="#' + tab + '"]').tab('show');
};


function getScheduleData()
{
    var schedule_name = $("#combo_scheduler").val();
    $.ajax({
        url: SITEURL+"aj/scheduling/",
        method: "POST",
        beforeSend: function() 
        {
            $(".rploader").fadeIn(800);
        },
        data: {REQUEST: 'getScheduleData',scheduler_name: schedule_name},
        success: function (response)
        { 
            if(response.start_date!='' && response.end_date!='') 
            {
                $("#search_from").val(response.start_date);
                $("#search_to").val(response.end_date);
                $("#txt_scheduler_name").val(schedule_name);
                CreateCalendar_view();
            }
            setTimeout(function()
            {
                $(".rploader").fadeOut(800);
                if(response.succ==1)
                {   
                    setCalendar_Value(response);
                    $("#entry_mode").val("edit");
                }
                else if(response.succ==0)
                {
                    alert(response.msg);
                }                            
            },1000); 
        }
    });
}

$(document).on('mouseover', '.open_modal_schedule', function()
 {
  $('.open_modal_schedule').removeClass('hover');
  $('.open_modal_schedule[data-cell="'+$(this).data('cell')+'"]').addClass('hover');
});

$(document).on('click', '.add_more', function() 
{
    var numOfVisibleRows = $('#table_emp_schedule_entry tbody tr:visible').length;
    if(numOfVisibleRows<5)
    {
        //new_row = numOfVisibleRows+1;
        new_row = numOfVisibleRows;
        $('#table_emp_schedule_entry').find('tbody tr:eq('+new_row+')').show();
    }
});
$(document).on('click', '.add_more_not_work', function() 
{
    var id = $(this).closest('tr').attr("id"); 
    
    var newValue = id.replace('row_', '');
    
    if($("#regular_from_time"+newValue).val()=="")
    {
        alert("Enter atleast regular time.");
        $("#regular_from_time"+newValue).focus();
        return false;
    }
    
    if($("#regular_to_time"+newValue).val()=="")
    {
        alert("Enter atleast regular time.");
        $("#regular_to_time"+newValue).focus();
        return false;
    }
    
    var rowCount = $('#table_emp_schedule_entry tbody tr').length;    
    rowCount = parseInt(rowCount);
    rowCount++;
    
    var cell1 = '<td><div class="text-center">'+
            '<div class="schedule_group">'+
                '<select class="js-example-basic-single dropdown_regular" style1="width:100%;"  id="regular_from_time'+rowCount+'" name="regular_from_time[]">'+
                    '<option value="">-Select-</option>';
                    <?php                            
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));  ?>                              
                                start_time = '<?php echo $start_time;  ?>';
                                cell1 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php    $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } ?>   
                 '</select>'+   
            '</div>'+
                '</div></td>';
        var cell2 = '<td><div class="text-center">'+                                                    
                    '<div class="schedule_group">'+
                        '<select class="js-example-basic-single" style="width:100%;"  name="regular_to_time[]"  id="regular_to_time'+rowCount+'">'+
                          '<option value="">-Select-</option>';
                          <?php
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));?>                                    
                                start_time = '<?php echo $start_time;  ?>';
                                cell2 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } 
                        ?>
                        '</select>'+
                    '</div>'+
                '</div></td>';
        
        var cell3 = '<td><div class="text-center">'+                                                    
                    '<div class="schedule_group">'+
                        '<select class="js-example-basic-single" style="width:100%;"  name="break_from_time[]"  id="break_from_time'+rowCount+'">'+
                          '<option value="">-Select-</option>';
                          <?php
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));?>                                    
                                start_time = '<?php echo $start_time;  ?>';
                                cell3 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } 
                        ?>
                        '</select>'+
                    '</div>'+                    
                '</div></td>';
        
        var cell4 = '<td><div class="text-center">'+                                                    
                    '<div class="schedule_group">'+
                        '<select class="js-example-basic-single dropdown_regular" style="width:100%;"  name="break_to_time[]"  id="break_to_time'+rowCount+'">'+
                          '<option value="">-Select-</option>';
                          <?php
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));?>                                    
                                start_time = '<?php echo $start_time;  ?>';
                                cell4 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } 
                        ?>
                        '</select>'+
                    '</div>'+
                '</div></td>';
        var cell5 = '<td><div class="text-center">'+                                                    
                    '<div class="schedule_group">'+
                        '<select class="js-example-basic-single" style="width:100%;"  name="meal_from_time[]"  id="meal_from_time'+rowCount+'">'+
                          '<option value="">-Select-</option>';
                          <?php
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));?>                                    
                                start_time = '<?php echo $start_time;  ?>';
                                cell5 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } 
                        ?>
                        '</select>'+
                    '</div>'+                    
                '</div></td>';
        
        var cell6 = '<td><div class="text-center">'+                                                    
                    '<div class="schedule_group">'+
                        '<select class="js-example-basic-single" style="width:100%;"  name="meal_to_time[]"  id="meal_to_time'+rowCount+'">'+
                          '<option value="">-Select-</option>';
                          <?php
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));?>                                    
                                start_time = '<?php echo $start_time;  ?>';
                                cell6 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } 
                        ?>
                        '</select>'+
                    '</div>'+
                '</div></td>';
        var cell7 = '<td><div class="text-center">'+                                                    
                    '<div class="schedule_group">'+
                        '<select class="js-example-basic-single" style="width:100%;"  name="overtime_from_time[]"  id="overtime_from_time'+rowCount+'">'+
                          '<option value="">-Select-</option>';
                          <?php
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));?>                                    
                                start_time = '<?php echo $start_time;  ?>';
                                cell7 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } 
                        ?>
                        '</select>'+
                    '</div>'+                    
                '</div></td>';
        
        var cell8 = '<td><div class="text-center">'+                                                    
                    '<div class="schedule_group">'+
                        '<select class="js-example-basic-single" style="width:100%;"  name="overtime_to_time[]"  id="overtime_to_time'+rowCount+'">'+
                          '<option value="">-Select-</option>';
                          <?php
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));?>                                    
                                start_time = '<?php echo $start_time;  ?>';
                                cell8 += '<option value="'+start_time+'">'+start_time+'</option>';
                        <?php
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } 
                        ?>
                        '</select>'+
                    '</div>'+
                '</div></td>';
        var cell9 = '<td><div class="d-sm-flex justify-content-center">'+
                        '<div class="form-check pl-1">'+
                            '<i class="fa fa-copy same_as_above" aria-hidden="true" title="Same as above"></i>'+
                        '</div>'+
                        '<div class="form-check pl-1">'+
                            '<i class="fa fa-eraser clear_row" aria-hidden="true" title="Clear"></i>'+
                        '</div>'+
                        
                    '</div>  </td>';
        var tr = "<tr>"+cell1+cell2+cell3+cell4+cell5+cell6+cell7+cell8+cell9+"</tr>";
        $('#'+id).after(tr);
        
        $('select').select2();
});


$(document).on('click', '.same_as_above', function() 
{
    var id = $(this).closest('tr').attr("id"); 
    var newValue = id.replace('row_', '');
    var above_row_id = parseInt(newValue);
    
    above_row_id--;
    id = newValue;
    
    
    
    $("#regular_from_time"+id).val($("#regular_from_time"+above_row_id).val()); 
    $("#regular_to_time"+id).val($("#regular_to_time"+above_row_id).val()); 

    $("#break_from_time"+id).val($("#break_from_time"+above_row_id).val()); 
    $("#break_to_time"+id).val($("#break_to_time"+above_row_id).val()); 


    $("#meal_from_time"+id).val($("#meal_from_time"+above_row_id).val()); 
    $("#meal_to_time"+id).val($("#meal_to_time"+above_row_id).val()); 

    $("#overtime_from_time"+id).val($("#overtime_from_time"+above_row_id).val()); 
    $("#overtime_to_time"+id).val($("#overtime_to_time"+above_row_id).val()); 
    
    $('select').select2();
        /*
    var numOfVisibleRows = $('#table_emp_schedule_entry tbody tr:visible').length;
    if(numOfVisibleRows<4)
    {
        new_row = numOfVisibleRows+1;
        $('#table_emp_schedule_entry').find('tbody tr:eq('+new_row+')').show();
    }*/
});

$('body').on('click', '.clear_row', function() 
{
    var id = $(this).closest('tr').attr("id"); 
    var newValue = id.replace('row_', '');    
    $('#regular_from_time'+newValue).val("").trigger('change');
    $('#regular_to_time'+newValue).val("").trigger('change');
    $('#break_from_time'+newValue).val("").trigger('change');
    $('#break_to_time'+newValue).val("").trigger('change');
    $('#meal_from_time'+newValue).val("").trigger('change');
    $('#meal_to_time'+newValue).val("").trigger('change');
    $('#overtime_from_time'+newValue).val("").trigger('change');
    $('#overtime_to_time'+newValue).val("").trigger('change');
    
});   

function clear_all_rows()
{
    $('#table_emp_schedule_entry').find('tbody tr:eq(1)').hide();
    $('#table_emp_schedule_entry').find('tbody tr:eq(2)').hide();
    $('#table_emp_schedule_entry').find('tbody tr:eq(3)').hide();
    $('#table_emp_schedule_entry').find('tbody tr:eq(4)').hide();
    for(i=1;i<=5;i++)
    {
        $('#regular_from_time'+i).val("").trigger('change');
        $('#regular_to_time'+i).val("").trigger('change');
        $('#break_from_time'+i).val("").trigger('change');
        $('#break_to_time'+i).val("").trigger('change');
        $('#meal_from_time'+i).val("").trigger('change');
        $('#meal_to_time'+i).val("").trigger('change');
        $('#overtime_from_time'+i).val("").trigger('change');
        $('#overtime_to_time'+i).val("").trigger('change');
    }
}
</script>
<script>

/**********************/
function dataTableDefaultOrderOff_thispage(tablename) {
	if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/
        "autoWidth":false,

      
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				'excel',
				'pdf',
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
    
         
	$('#'+tablename+' tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	var length = table.page.info().recordsTotal;
	return (length);
}

var schedule_user_list = [];
$('body').on('change', '#combo_scheduler', function() 
{
    $.ajax({
        url: SITEURL+"aj/scheduling/",
        method: "POST",
        beforeSend: function() {
                $(".rploader").fadeIn(800);
        },
        data: {REQUEST: 'get_schedule_assign_userlist',scheduler_name:$("#combo_scheduler").val()},
        success: function (response)
        { 
            setTimeout(function()
            {
                $(".rploader").fadeOut(800);
                if(response.succ==1)
                {
                    console.log(response.user_list);
                    
                    
                    /* $("#div_employe_data").children().fadeIn(500);  */
                    if ($.fn.DataTable.isDataTable("#table_employee")) 
                    {
                        $('#table_employee').DataTable().destroy();
                    }
                    check_scheduler_users(response.user_list);
                    dataTableDefaultOrderOff_thispage("table_employee");
                    $("#table_employee_filter").hide();
                    $("#asign_schedule_detail").html("Total Assigned Users : "+response.TotalAssignUsers);
                    
                    /*$("#div_employe_data").children().fadeOut(500); */
                }
                else
                {
                    alert("There is some issue to scheduler.");
                }
                
            },1000); 
        }
    }); 
});  
/**********************/

function check_scheduler_users(user_list)
{
    $('#table_employee tbody tr').each(function(n) 
    {
        var id = n+1;
        $("#check_"+id).prop("checked",false);
        selected_user_id = $(this).find('input[type="hidden"]').val();

        if(jQuery.inArray(selected_user_id, user_list) !== -1)
        {
            $("#check_"+id).prop("checked",true);
        }                                
    });
}



$('body').on('change', '.paginate_button', function() 
{
    check_scheduler_users(schedule_user_list);
});



$("#search_from, #search_to").change(function()
       {
           $("#div_msg").text("");
           if($("#search_from").val()!='' && $("#search_to").val()!='')
           {
               $.ajax({
                url: SITEURL+"aj/timeoff/",
                method: "POST",
                data: {REQUEST: 'check_date_validation',text_fromdate:$("#search_from").val(),text_todate:$("#search_to").val()},
                beforeSend: function() 
                {
                        $(".rploader").fadeIn(800);
                },
                success: function (response)
                {  
                    setTimeout(function()
                    {
                        $(".rploader").fadeOut(800);
                        if(response.succ==0)
                        {
                            alert(response.msg);                            
                            $("#search_to").focus();
                        }
                    },1000);   
                }
                });
           }
       });
</script>

