<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Expense Feeds</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>                                        
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
  <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 
    
    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script> 
    <script src="vendors/chart.js/Chart.min.js"></script>

    <script src="js/custom.js"></script>
  <!-- endinject -->  
    <script>
        
        
        var doughnutPieData = {
    datasets: [{
      data: [30, 40],
      backgroundColor: [
        'rgba(54, 162, 235, 0.5)',
        'rgba(255, 206, 86, 0.5)',
        'rgba(75, 192, 192, 0.5)',
        'rgba(153, 102, 255, 0.5)',
        'rgba(255, 159, 64, 0.5)',
        'rgba(255, 99, 132, 0.5)',
        
      ],
      borderColor: [
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)',
        'rgba(153, 102, 255, 1)',
        'rgba(255, 159, 64, 1)',
        'rgba(255,99,132,1)'
      ],
    }],

    // These labels appear in the legend and in the tooltips when hovering different arcs
    labels: [      
      'Blue',
      'Yellow',
    ]
  };
  
  var doughnutPieOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    }
  };
  
    if ($("#pieChart_expense_payperiod_project1").length) 
    {
        var pieChartCanvas = $("#pieChart_expense_payperiod_project1").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_expense_project_project1").length) 
    {
        var pieChartCanvas = $("#pieChart_expense_project_project1").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_expense_teammember_project1").length) 
    {
        var pieChartCanvas = $("#pieChart_expense_teammember_project1").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_expense_teammember_project2").length) 
    {
        var pieChartCanvas = $("#pieChart_expense_teammember_project2").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_expense_teammember_project3").length) 
    {
        var pieChartCanvas = $("#pieChart_expense_teammember_project3").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_expense_teammember_project4").length) 
    {
        var pieChartCanvas = $("#pieChart_expense_teammember_project4").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    $("#btnExpPayPeriod").click(function()
    {
       window.open("exp-recent-exp-report-page.php?disp=payperiod"); 
    });
    
    $("#pieChart_expense_payperiod_project1").click(function()
    {
       window.open("exp-recent-exp-report-page.php?payperiod_id=1"); 
    });
    
    $("#btnExpProject").click(function()
    {
       window.open("exp-recent-exp-report-page.php?disp=project"); 
    });
    
    $("#pieChart_expense_project_project1").click(function()
    {
       window.open("exp-recent-exp-report-page.php?project_id=1"); 
    });
    
    
    $("#btnExpTeam").click(function()
    {
       window.open("exp-recent-exp-report-page.php?disp=team"); 
    });
    
    $("#pieChart_expense_teammember_project1").click(function()
    {
       window.open("exp-recent-exp-report-page.php?member_id=1"); 
    });
    
    
    </script>
</body>

</html>
