<?php
require_once "conn.php";
require_once "functions.php";

$project_id = 15;

for($p=1;$p<=5;$p++){
	createParentTask($project_id, "PROJECT BULK 6 - Parent Task ".$p);
}
function createParentTask($project_id, $task_name){
	$conn = $GLOBALS["conn"]; 
	$process_group_arr = $GLOBALS["process_group_arr"];
	
	$section		= 0;
	$task_id 		= "";
	
	$text_project_number = getvalue("cxs_projects","project_number"," WHERE project_id='".$project_id."'");
	$history_string = "";       
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 0;
	$msg 	= "";
	
	
	$text_task_number					= getUniqueId2($text_project_number.".".$process_group_arr[1]["sort_code"].".","task_number","cxs_projects_tasks"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'",4);
	$combo_task_status					= "Planned";
	$text_task_name 					= $task_name;
	$text_task_description 				= "Lorem Ipsum is simply dummy text of the printing and typesetting industry.";
	$text_task_schedule_start_date 		= "2021-07-20";
	$text_task_schedule_end_date 		= "2021-08-31";
	$text_task_actual_start_date 		= "";
	$text_task_actual_end_date 			= "";	
	$combo_task_process_group 			= "Initiation";
	$combo_task_parent_task_id 			= 0;
	
	/********Check Dates Validation*********/
	if($section==0 || $section==4){
		$validate_date = check_dates(
							"task",
							$text_task_schedule_start_date,
							$text_task_schedule_end_date,
							$text_task_actual_start_date,
							$text_task_actual_end_date,
							$project_id
						);
		if($validate_date!=""){
			$succ 	= 2;
			$msg 	= $validate_date;
			echo json_encode(array("succ" => $succ,"msg"=>$msg,"project_id"=>$project_id));
			exit;
		}
	}
	/********Check Dates Validation*********/
	
	
	/********Save to Project-Task Activity Trail - Old Entry*********/
	$is_new_activity_trail = false;
	$operation_type		= "";
	$source				= "TASK";
	$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0 && getTotalRecord("cxs_projects_wb_activity_trail","activity_id"," WHERE source='".$source."' AND project_id='".$project_id."' AND task_id='".$task_id."'")>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		
		$operation_type			= "updated";
		
		$task_name 				= $rows["task_name"];
		$task_description 		= $rows["task_description"];
		$task_status			= $rows["task_status"];
		$budgeted_hours 		= $rows["budgeted_hours"];
		$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
		$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
		$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
		$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
		$parent_task_id 		= $rows["parent_task_id"];
		
		if($task_status!=$combo_task_status){
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= $task_status;
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		}
		if($section==0 || $section==2){
			if($task_name!=$text_task_name){
				$insArr = array();
				$insArr['field_name'] 		= "Task Name";
				$insArr['old_value'] 		= $task_name;
				$insArr['new_value'] 		= $text_task_name;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($task_description!=$text_task_description){
				$insArr = array();
				$insArr['field_name'] 		= "Task Description";
				$insArr['old_value'] 		= $task_description;
				$insArr['new_value'] 		= $text_task_description;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
		if($section==0 || $section==4){
			if($schedule_start_date!=$text_task_schedule_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule Start Date";
				$insArr['old_value'] 		= $schedule_start_date;
				$insArr['new_value'] 		= $text_task_schedule_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule End Date";
				$insArr['old_value'] 		= $schedule_end_date;
				$insArr['new_value'] 		= $text_task_schedule_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_start_date!=$text_task_actual_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual Start Date";
				$insArr['old_value'] 		= $actual_start_date;
				$insArr['new_value'] 		= $text_task_actual_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_end_date!=$text_task_actual_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual End Date";
				$insArr['old_value'] 		= $actual_end_date;
				$insArr['new_value'] 		= $text_task_actual_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($parent_task_id!=$combo_task_parent_task_id){
				$insArr = array();
				$insArr['field_name'] 		= "Parent Task";
				$insArr['old_value'] 		= $parent_task_id;
				$insArr['new_value'] 		= $combo_task_parent_task_id;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
	}else{
		$is_new_activity_trail = true;
	}
	/********Save to Project-Task Activity Trail - Old Entry*********/
	
	/*Save KPI History*/
	if($section==0 || $section==4){
		$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			$rows=mysqli_fetch_assoc($RunUserQuery);
			
			$task_name 				= $rows["task_name"];
			$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
			$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
			$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
			$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
			
			if($schedule_start_date!=$text_task_schedule_start_date){
				$history_string .= "Task Schedule Start Date Changed : Old Value (".$schedule_start_date.") : New Value (".$text_task_schedule_start_date.") <br>";
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$history_string .= "Task Schedule End Date Changed : Old Value (".$schedule_end_date.") : New Value (".$text_task_schedule_end_date.") <br>";
			}
		}
	}
	/*Save KPI History*/
	
	$insArr = array();
	
	$insArr['project_id'] 			= $project_id;
	$insArr['task_number'] 			= $text_task_number;
	$insArr['task_status'] 			= $combo_task_status;
	if($section==0 || $section==2){
		$insArr['task_name'] 			= $text_task_name;
		$insArr['task_description'] 	= $text_task_description;
	}
	if($section==0 || $section==4){
		$insArr['schedule_start_date'] 	= $text_task_schedule_start_date;
		$insArr['schedule_end_date'] 	= $text_task_schedule_end_date;
		$insArr['actual_start_date'] 	= $text_task_actual_start_date;
		$insArr['actual_end_date'] 		= $text_task_actual_end_date;
		$insArr['process_group'] 		= $combo_task_process_group;
		$insArr['parent_task_id'] 		= $combo_task_parent_task_id;
	}
	$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	if($task_id<=0){
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
	}
	$insArr['last_update_date']		= $curTime;
	$insArr['updated_timezone']		= $currTz;
	$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	if($task_id>0){
		updatedata("cxs_projects_tasks",$insArr," where task_id = '".$task_id."'");
	}else{
		$task_id = insertdata("cxs_projects_tasks",$insArr);
	}
	/*******************************************************/
	
	/*********************KPIs*********************/
	if($section==0 || $section==4){
		if($task_id>0){
			setKPIs($project_id, $task_id, $history_string);
		}
	}
	/*********************KPIs*********************/
	
	/**************Update Project WB Task Table***************/
	if(getTotalRecord("cxs_projects_wb_tasks","record_id"," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'")>0){
		$insArr = array();
		$insArr['status'] 				= $combo_task_status;
		$insArr['last_update_date']		= $curTime;
		$insArr['updated_timezone']		= $currTz;
		$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		updatedata("cxs_projects_wb_tasks",$insArr," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'");
	}
	/**************Update Project WB Task Table***************/
	
	
	/********Save to Project-Task Activity Trail - New Entry*********/
	if($is_new_activity_trail == true){
		$source				= "TASK";
		$operation_type		= "inserted";
		
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Name";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_name;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Description";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_description;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			/*$insArr = array();
			$insArr['field_name'] 		= "Task Budgeted Hours";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_budgeted_hours;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);*/
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Parent Task";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_parent_task_id;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
	}
	/********Save to Project-Task Activity Trail - New Entry*********/
	for($i=1;$i<=2;$i++){
		createChildTask_level1($project_id, $task_id, $text_task_name." - Child L1 ".$i);
	}
}

function createChildTask_level1($project_id, $parent_task_id, $child_name){
	$conn = $GLOBALS["conn"]; 
	$process_group_arr = $GLOBALS["process_group_arr"];
	
	$section		= 0;
	$task_id 		= "";
	
	$text_project_number = getvalue("cxs_projects","project_number"," WHERE project_id='".$project_id."'");
	$history_string = "";       
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 0;
	$msg 	= "";
	
	
	$text_task_number					= getUniqueId2($text_project_number.".".$process_group_arr[1]["sort_code"].".","task_number","cxs_projects_tasks"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'",4);
	$combo_task_status					= "Planned";
	$text_task_name 					= $child_name;
	$text_task_description 				= "Lorem Ipsum is simply dummy text of the printing and typesetting industry.";
	$text_task_schedule_start_date 		= "2021-07-20";
	$text_task_schedule_end_date 		= "2021-08-31";
	$text_task_actual_start_date 		= "";
	$text_task_actual_end_date 			= "";	
	$combo_task_process_group 			= "Initiation";
	$combo_task_parent_task_id 			= $parent_task_id;
	
	/********Check Dates Validation*********/
	if($section==0 || $section==4){
		$validate_date = check_dates(
							"task",
							$text_task_schedule_start_date,
							$text_task_schedule_end_date,
							$text_task_actual_start_date,
							$text_task_actual_end_date,
							$project_id
						);
		if($validate_date!=""){
			$succ 	= 2;
			$msg 	= $validate_date;
			echo json_encode(array("succ" => $succ,"msg"=>$msg,"project_id"=>$project_id));
			exit;
		}
	}
	/********Check Dates Validation*********/
	
	
	/********Save to Project-Task Activity Trail - Old Entry*********/
	$is_new_activity_trail = false;
	$operation_type		= "";
	$source				= "TASK";
	$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0 && getTotalRecord("cxs_projects_wb_activity_trail","activity_id"," WHERE source='".$source."' AND project_id='".$project_id."' AND task_id='".$task_id."'")>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		
		$operation_type			= "updated";
		
		$task_name 				= $rows["task_name"];
		$task_description 		= $rows["task_description"];
		$task_status			= $rows["task_status"];
		$budgeted_hours 		= $rows["budgeted_hours"];
		$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
		$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
		$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
		$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
		$parent_task_id 		= $rows["parent_task_id"];
		
		if($task_status!=$combo_task_status){
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= $task_status;
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		}
		if($section==0 || $section==2){
			if($task_name!=$text_task_name){
				$insArr = array();
				$insArr['field_name'] 		= "Task Name";
				$insArr['old_value'] 		= $task_name;
				$insArr['new_value'] 		= $text_task_name;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($task_description!=$text_task_description){
				$insArr = array();
				$insArr['field_name'] 		= "Task Description";
				$insArr['old_value'] 		= $task_description;
				$insArr['new_value'] 		= $text_task_description;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
		if($section==0 || $section==4){
			if($schedule_start_date!=$text_task_schedule_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule Start Date";
				$insArr['old_value'] 		= $schedule_start_date;
				$insArr['new_value'] 		= $text_task_schedule_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule End Date";
				$insArr['old_value'] 		= $schedule_end_date;
				$insArr['new_value'] 		= $text_task_schedule_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_start_date!=$text_task_actual_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual Start Date";
				$insArr['old_value'] 		= $actual_start_date;
				$insArr['new_value'] 		= $text_task_actual_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_end_date!=$text_task_actual_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual End Date";
				$insArr['old_value'] 		= $actual_end_date;
				$insArr['new_value'] 		= $text_task_actual_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($parent_task_id!=$combo_task_parent_task_id){
				$insArr = array();
				$insArr['field_name'] 		= "Parent Task";
				$insArr['old_value'] 		= $parent_task_id;
				$insArr['new_value'] 		= $combo_task_parent_task_id;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
	}else{
		$is_new_activity_trail = true;
	}
	/********Save to Project-Task Activity Trail - Old Entry*********/
	
	/*Save KPI History*/
	if($section==0 || $section==4){
		$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			$rows=mysqli_fetch_assoc($RunUserQuery);
			
			$task_name 				= $rows["task_name"];
			$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
			$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
			$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
			$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
			
			if($schedule_start_date!=$text_task_schedule_start_date){
				$history_string .= "Task Schedule Start Date Changed : Old Value (".$schedule_start_date.") : New Value (".$text_task_schedule_start_date.") <br>";
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$history_string .= "Task Schedule End Date Changed : Old Value (".$schedule_end_date.") : New Value (".$text_task_schedule_end_date.") <br>";
			}
		}
	}
	/*Save KPI History*/
	
	$insArr = array();
	
	$insArr['project_id'] 			= $project_id;
	$insArr['task_number'] 			= $text_task_number;
	$insArr['task_status'] 			= $combo_task_status;
	if($section==0 || $section==2){
		$insArr['task_name'] 			= $text_task_name;
		$insArr['task_description'] 	= $text_task_description;
	}
	if($section==0 || $section==4){
		$insArr['schedule_start_date'] 	= $text_task_schedule_start_date;
		$insArr['schedule_end_date'] 	= $text_task_schedule_end_date;
		$insArr['actual_start_date'] 	= $text_task_actual_start_date;
		$insArr['actual_end_date'] 		= $text_task_actual_end_date;
		$insArr['process_group'] 		= $combo_task_process_group;
		$insArr['parent_task_id'] 		= $combo_task_parent_task_id;
	}
	$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	if($task_id<=0){
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
	}
	$insArr['last_update_date']		= $curTime;
	$insArr['updated_timezone']		= $currTz;
	$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	if($task_id>0){
		updatedata("cxs_projects_tasks",$insArr," where task_id = '".$task_id."'");
	}else{
		$task_id = insertdata("cxs_projects_tasks",$insArr);
	}
	/*******************************************************/
	
	/*********************KPIs*********************/
	if($section==0 || $section==4){
		if($task_id>0){
			setKPIs($project_id, $task_id, $history_string);
		}
	}
	/*********************KPIs*********************/
	
	/**************Update Project WB Task Table***************/
	if(getTotalRecord("cxs_projects_wb_tasks","record_id"," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'")>0){
		$insArr = array();
		$insArr['status'] 				= $combo_task_status;
		$insArr['last_update_date']		= $curTime;
		$insArr['updated_timezone']		= $currTz;
		$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		updatedata("cxs_projects_wb_tasks",$insArr," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'");
	}
	/**************Update Project WB Task Table***************/
	
	
	/********Save to Project-Task Activity Trail - New Entry*********/
	if($is_new_activity_trail == true){
		$source				= "TASK";
		$operation_type		= "inserted";
		
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Name";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_name;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Description";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_description;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			/*$insArr = array();
			$insArr['field_name'] 		= "Task Budgeted Hours";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_budgeted_hours;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);*/
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Parent Task";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_parent_task_id;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
	}
	/********Save to Project-Task Activity Trail - New Entry*********/
	for($i=1;$i<=2;$i++){
		createChildTask_level2($project_id, $task_id, $text_task_name." - Child L2 ".$i);
	}
}


function createChildTask_level2($project_id, $parent_task_id, $child_name){
	$conn = $GLOBALS["conn"]; 
	$process_group_arr = $GLOBALS["process_group_arr"];
	
	$section		= 0;
	$task_id 		= "";
	
	$text_project_number = getvalue("cxs_projects","project_number"," WHERE project_id='".$project_id."'");
	$history_string = "";       
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 0;
	$msg 	= "";
	
	
	$text_task_number					= getUniqueId2($text_project_number.".".$process_group_arr[1]["sort_code"].".","task_number","cxs_projects_tasks"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'",4);
	$combo_task_status					= "Planned";
	$text_task_name 					= $child_name;
	$text_task_description 				= "Lorem Ipsum is simply dummy text of the printing and typesetting industry.";
	$text_task_schedule_start_date 		= "2021-07-20";
	$text_task_schedule_end_date 		= "2021-08-31";
	$text_task_actual_start_date 		= "";
	$text_task_actual_end_date 			= "";	
	$combo_task_process_group 			= "Initiation";
	$combo_task_parent_task_id 			= $parent_task_id;
	
	/********Check Dates Validation*********/
	if($section==0 || $section==4){
		$validate_date = check_dates(
							"task",
							$text_task_schedule_start_date,
							$text_task_schedule_end_date,
							$text_task_actual_start_date,
							$text_task_actual_end_date,
							$project_id
						);
		if($validate_date!=""){
			$succ 	= 2;
			$msg 	= $validate_date;
			echo json_encode(array("succ" => $succ,"msg"=>$msg,"project_id"=>$project_id));
			exit;
		}
	}
	/********Check Dates Validation*********/
	
	
	/********Save to Project-Task Activity Trail - Old Entry*********/
	$is_new_activity_trail = false;
	$operation_type		= "";
	$source				= "TASK";
	$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0 && getTotalRecord("cxs_projects_wb_activity_trail","activity_id"," WHERE source='".$source."' AND project_id='".$project_id."' AND task_id='".$task_id."'")>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		
		$operation_type			= "updated";
		
		$task_name 				= $rows["task_name"];
		$task_description 		= $rows["task_description"];
		$task_status			= $rows["task_status"];
		$budgeted_hours 		= $rows["budgeted_hours"];
		$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
		$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
		$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
		$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
		$parent_task_id 		= $rows["parent_task_id"];
		
		if($task_status!=$combo_task_status){
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= $task_status;
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		}
		if($section==0 || $section==2){
			if($task_name!=$text_task_name){
				$insArr = array();
				$insArr['field_name'] 		= "Task Name";
				$insArr['old_value'] 		= $task_name;
				$insArr['new_value'] 		= $text_task_name;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($task_description!=$text_task_description){
				$insArr = array();
				$insArr['field_name'] 		= "Task Description";
				$insArr['old_value'] 		= $task_description;
				$insArr['new_value'] 		= $text_task_description;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
		if($section==0 || $section==4){
			if($schedule_start_date!=$text_task_schedule_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule Start Date";
				$insArr['old_value'] 		= $schedule_start_date;
				$insArr['new_value'] 		= $text_task_schedule_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule End Date";
				$insArr['old_value'] 		= $schedule_end_date;
				$insArr['new_value'] 		= $text_task_schedule_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_start_date!=$text_task_actual_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual Start Date";
				$insArr['old_value'] 		= $actual_start_date;
				$insArr['new_value'] 		= $text_task_actual_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_end_date!=$text_task_actual_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual End Date";
				$insArr['old_value'] 		= $actual_end_date;
				$insArr['new_value'] 		= $text_task_actual_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($parent_task_id!=$combo_task_parent_task_id){
				$insArr = array();
				$insArr['field_name'] 		= "Parent Task";
				$insArr['old_value'] 		= $parent_task_id;
				$insArr['new_value'] 		= $combo_task_parent_task_id;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
	}else{
		$is_new_activity_trail = true;
	}
	/********Save to Project-Task Activity Trail - Old Entry*********/
	
	/*Save KPI History*/
	if($section==0 || $section==4){
		$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			$rows=mysqli_fetch_assoc($RunUserQuery);
			
			$task_name 				= $rows["task_name"];
			$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
			$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
			$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
			$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
			
			if($schedule_start_date!=$text_task_schedule_start_date){
				$history_string .= "Task Schedule Start Date Changed : Old Value (".$schedule_start_date.") : New Value (".$text_task_schedule_start_date.") <br>";
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$history_string .= "Task Schedule End Date Changed : Old Value (".$schedule_end_date.") : New Value (".$text_task_schedule_end_date.") <br>";
			}
		}
	}
	/*Save KPI History*/
	
	$insArr = array();
	
	$insArr['project_id'] 			= $project_id;
	$insArr['task_number'] 			= $text_task_number;
	$insArr['task_status'] 			= $combo_task_status;
	if($section==0 || $section==2){
		$insArr['task_name'] 			= $text_task_name;
		$insArr['task_description'] 	= $text_task_description;
	}
	if($section==0 || $section==4){
		$insArr['schedule_start_date'] 	= $text_task_schedule_start_date;
		$insArr['schedule_end_date'] 	= $text_task_schedule_end_date;
		$insArr['actual_start_date'] 	= $text_task_actual_start_date;
		$insArr['actual_end_date'] 		= $text_task_actual_end_date;
		$insArr['process_group'] 		= $combo_task_process_group;
		$insArr['parent_task_id'] 		= $combo_task_parent_task_id;
	}
	$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	if($task_id<=0){
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
	}
	$insArr['last_update_date']		= $curTime;
	$insArr['updated_timezone']		= $currTz;
	$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	if($task_id>0){
		updatedata("cxs_projects_tasks",$insArr," where task_id = '".$task_id."'");
	}else{
		$task_id = insertdata("cxs_projects_tasks",$insArr);
	}
	/*******************************************************/
	
	/*********************KPIs*********************/
	if($section==0 || $section==4){
		if($task_id>0){
			setKPIs($project_id, $task_id, $history_string);
		}
	}
	/*********************KPIs*********************/
	
	/**************Update Project WB Task Table***************/
	if(getTotalRecord("cxs_projects_wb_tasks","record_id"," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'")>0){
		$insArr = array();
		$insArr['status'] 				= $combo_task_status;
		$insArr['last_update_date']		= $curTime;
		$insArr['updated_timezone']		= $currTz;
		$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		updatedata("cxs_projects_wb_tasks",$insArr," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'");
	}
	/**************Update Project WB Task Table***************/
	
	
	/********Save to Project-Task Activity Trail - New Entry*********/
	if($is_new_activity_trail == true){
		$source				= "TASK";
		$operation_type		= "inserted";
		
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Name";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_name;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Description";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_description;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			/*$insArr = array();
			$insArr['field_name'] 		= "Task Budgeted Hours";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_budgeted_hours;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);*/
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Parent Task";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_parent_task_id;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
	}
	/********Save to Project-Task Activity Trail - New Entry*********/
	for($i=1;$i<=2;$i++){
		createChildTask_level3($project_id, $task_id, $text_task_name." - Child L3 ".$i);
	}
}

function createChildTask_level3($project_id, $parent_task_id, $child_name){
	$conn = $GLOBALS["conn"]; 
	$process_group_arr = $GLOBALS["process_group_arr"];
	
	$section		= 0;
	$task_id 		= "";
	
	$text_project_number = getvalue("cxs_projects","project_number"," WHERE project_id='".$project_id."'");
	$history_string = "";       
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 0;
	$msg 	= "";
	
	
	$text_task_number					= getUniqueId2($text_project_number.".".$process_group_arr[1]["sort_code"].".","task_number","cxs_projects_tasks"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'",4);
	$combo_task_status					= "Planned";
	$text_task_name 					= $child_name;
	$text_task_description 				= "Lorem Ipsum is simply dummy text of the printing and typesetting industry.";
	$text_task_schedule_start_date 		= "2021-07-20";
	$text_task_schedule_end_date 		= "2021-08-31";
	$text_task_actual_start_date 		= "";
	$text_task_actual_end_date 			= "";	
	$combo_task_process_group 			= "Initiation";
	$combo_task_parent_task_id 			= $parent_task_id;
	
	/********Check Dates Validation*********/
	if($section==0 || $section==4){
		$validate_date = check_dates(
							"task",
							$text_task_schedule_start_date,
							$text_task_schedule_end_date,
							$text_task_actual_start_date,
							$text_task_actual_end_date,
							$project_id
						);
		if($validate_date!=""){
			$succ 	= 2;
			$msg 	= $validate_date;
			echo json_encode(array("succ" => $succ,"msg"=>$msg,"project_id"=>$project_id));
			exit;
		}
	}
	/********Check Dates Validation*********/
	
	
	/********Save to Project-Task Activity Trail - Old Entry*********/
	$is_new_activity_trail = false;
	$operation_type		= "";
	$source				= "TASK";
	$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0 && getTotalRecord("cxs_projects_wb_activity_trail","activity_id"," WHERE source='".$source."' AND project_id='".$project_id."' AND task_id='".$task_id."'")>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		
		$operation_type			= "updated";
		
		$task_name 				= $rows["task_name"];
		$task_description 		= $rows["task_description"];
		$task_status			= $rows["task_status"];
		$budgeted_hours 		= $rows["budgeted_hours"];
		$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
		$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
		$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
		$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
		$parent_task_id 		= $rows["parent_task_id"];
		
		if($task_status!=$combo_task_status){
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= $task_status;
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		}
		if($section==0 || $section==2){
			if($task_name!=$text_task_name){
				$insArr = array();
				$insArr['field_name'] 		= "Task Name";
				$insArr['old_value'] 		= $task_name;
				$insArr['new_value'] 		= $text_task_name;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($task_description!=$text_task_description){
				$insArr = array();
				$insArr['field_name'] 		= "Task Description";
				$insArr['old_value'] 		= $task_description;
				$insArr['new_value'] 		= $text_task_description;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
		if($section==0 || $section==4){
			if($schedule_start_date!=$text_task_schedule_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule Start Date";
				$insArr['old_value'] 		= $schedule_start_date;
				$insArr['new_value'] 		= $text_task_schedule_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule End Date";
				$insArr['old_value'] 		= $schedule_end_date;
				$insArr['new_value'] 		= $text_task_schedule_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_start_date!=$text_task_actual_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual Start Date";
				$insArr['old_value'] 		= $actual_start_date;
				$insArr['new_value'] 		= $text_task_actual_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_end_date!=$text_task_actual_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual End Date";
				$insArr['old_value'] 		= $actual_end_date;
				$insArr['new_value'] 		= $text_task_actual_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($parent_task_id!=$combo_task_parent_task_id){
				$insArr = array();
				$insArr['field_name'] 		= "Parent Task";
				$insArr['old_value'] 		= $parent_task_id;
				$insArr['new_value'] 		= $combo_task_parent_task_id;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
	}else{
		$is_new_activity_trail = true;
	}
	/********Save to Project-Task Activity Trail - Old Entry*********/
	
	/*Save KPI History*/
	if($section==0 || $section==4){
		$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			$rows=mysqli_fetch_assoc($RunUserQuery);
			
			$task_name 				= $rows["task_name"];
			$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
			$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
			$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
			$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
			
			if($schedule_start_date!=$text_task_schedule_start_date){
				$history_string .= "Task Schedule Start Date Changed : Old Value (".$schedule_start_date.") : New Value (".$text_task_schedule_start_date.") <br>";
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$history_string .= "Task Schedule End Date Changed : Old Value (".$schedule_end_date.") : New Value (".$text_task_schedule_end_date.") <br>";
			}
		}
	}
	/*Save KPI History*/
	
	$insArr = array();
	
	$insArr['project_id'] 			= $project_id;
	$insArr['task_number'] 			= $text_task_number;
	$insArr['task_status'] 			= $combo_task_status;
	if($section==0 || $section==2){
		$insArr['task_name'] 			= $text_task_name;
		$insArr['task_description'] 	= $text_task_description;
	}
	if($section==0 || $section==4){
		$insArr['schedule_start_date'] 	= $text_task_schedule_start_date;
		$insArr['schedule_end_date'] 	= $text_task_schedule_end_date;
		$insArr['actual_start_date'] 	= $text_task_actual_start_date;
		$insArr['actual_end_date'] 		= $text_task_actual_end_date;
		$insArr['process_group'] 		= $combo_task_process_group;
		$insArr['parent_task_id'] 		= $combo_task_parent_task_id;
	}
	$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	if($task_id<=0){
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
	}
	$insArr['last_update_date']		= $curTime;
	$insArr['updated_timezone']		= $currTz;
	$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	if($task_id>0){
		updatedata("cxs_projects_tasks",$insArr," where task_id = '".$task_id."'");
	}else{
		$task_id = insertdata("cxs_projects_tasks",$insArr);
	}
	/*******************************************************/
	
	/*********************KPIs*********************/
	if($section==0 || $section==4){
		if($task_id>0){
			setKPIs($project_id, $task_id, $history_string);
		}
	}
	/*********************KPIs*********************/
	
	/**************Update Project WB Task Table***************/
	if(getTotalRecord("cxs_projects_wb_tasks","record_id"," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'")>0){
		$insArr = array();
		$insArr['status'] 				= $combo_task_status;
		$insArr['last_update_date']		= $curTime;
		$insArr['updated_timezone']		= $currTz;
		$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		updatedata("cxs_projects_wb_tasks",$insArr," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'");
	}
	/**************Update Project WB Task Table***************/
	
	
	/********Save to Project-Task Activity Trail - New Entry*********/
	if($is_new_activity_trail == true){
		$source				= "TASK";
		$operation_type		= "inserted";
		
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Name";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_name;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Description";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_description;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			/*$insArr = array();
			$insArr['field_name'] 		= "Task Budgeted Hours";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_budgeted_hours;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);*/
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Parent Task";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_parent_task_id;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
	}
	/********Save to Project-Task Activity Trail - New Entry*********/
	for($i=1;$i<=2;$i++){
		createChildTask_level4($project_id, $task_id, $text_task_name." - Child L4 ".$i);
	}
}

function createChildTask_level4($project_id, $parent_task_id, $child_name){
	$conn = $GLOBALS["conn"]; 
	$process_group_arr = $GLOBALS["process_group_arr"];
	
	$section		= 0;
	$task_id 		= "";
	
	$text_project_number = getvalue("cxs_projects","project_number"," WHERE project_id='".$project_id."'");
	$history_string = "";       
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$succ 	= 0;
	$msg 	= "";
	
	
	$text_task_number					= getUniqueId2($text_project_number.".".$process_group_arr[1]["sort_code"].".","task_number","cxs_projects_tasks"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'",4);
	$combo_task_status					= "Planned";
	$text_task_name 					= $child_name;
	$text_task_description 				= "Lorem Ipsum is simply dummy text of the printing and typesetting industry.";
	$text_task_schedule_start_date 		= "2021-07-20";
	$text_task_schedule_end_date 		= "2021-08-31";
	$text_task_actual_start_date 		= "";
	$text_task_actual_end_date 			= "";	
	$combo_task_process_group 			= "Initiation";
	$combo_task_parent_task_id 			= $parent_task_id;
	
	/********Check Dates Validation*********/
	if($section==0 || $section==4){
		$validate_date = check_dates(
							"task",
							$text_task_schedule_start_date,
							$text_task_schedule_end_date,
							$text_task_actual_start_date,
							$text_task_actual_end_date,
							$project_id
						);
		if($validate_date!=""){
			$succ 	= 2;
			$msg 	= $validate_date;
			echo json_encode(array("succ" => $succ,"msg"=>$msg,"project_id"=>$project_id));
			exit;
		}
	}
	/********Check Dates Validation*********/
	
	
	/********Save to Project-Task Activity Trail - Old Entry*********/
	$is_new_activity_trail = false;
	$operation_type		= "";
	$source				= "TASK";
	$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0 && getTotalRecord("cxs_projects_wb_activity_trail","activity_id"," WHERE source='".$source."' AND project_id='".$project_id."' AND task_id='".$task_id."'")>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		
		$operation_type			= "updated";
		
		$task_name 				= $rows["task_name"];
		$task_description 		= $rows["task_description"];
		$task_status			= $rows["task_status"];
		$budgeted_hours 		= $rows["budgeted_hours"];
		$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
		$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
		$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
		$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
		$parent_task_id 		= $rows["parent_task_id"];
		
		if($task_status!=$combo_task_status){
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= $task_status;
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		}
		if($section==0 || $section==2){
			if($task_name!=$text_task_name){
				$insArr = array();
				$insArr['field_name'] 		= "Task Name";
				$insArr['old_value'] 		= $task_name;
				$insArr['new_value'] 		= $text_task_name;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($task_description!=$text_task_description){
				$insArr = array();
				$insArr['field_name'] 		= "Task Description";
				$insArr['old_value'] 		= $task_description;
				$insArr['new_value'] 		= $text_task_description;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
		if($section==0 || $section==4){
			if($schedule_start_date!=$text_task_schedule_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule Start Date";
				$insArr['old_value'] 		= $schedule_start_date;
				$insArr['new_value'] 		= $text_task_schedule_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Schedule End Date";
				$insArr['old_value'] 		= $schedule_end_date;
				$insArr['new_value'] 		= $text_task_schedule_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_start_date!=$text_task_actual_start_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual Start Date";
				$insArr['old_value'] 		= $actual_start_date;
				$insArr['new_value'] 		= $text_task_actual_start_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($actual_end_date!=$text_task_actual_end_date){
				$insArr = array();
				$insArr['field_name'] 		= "Actual End Date";
				$insArr['old_value'] 		= $actual_end_date;
				$insArr['new_value'] 		= $text_task_actual_end_date;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
			if($parent_task_id!=$combo_task_parent_task_id){
				$insArr = array();
				$insArr['field_name'] 		= "Parent Task";
				$insArr['old_value'] 		= $parent_task_id;
				$insArr['new_value'] 		= $combo_task_parent_task_id;
				saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
			}
		}
	}else{
		$is_new_activity_trail = true;
	}
	/********Save to Project-Task Activity Trail - Old Entry*********/
	
	/*Save KPI History*/
	if($section==0 || $section==4){
		$selectQuery 	= "SELECT * FROM `cxs_projects_tasks` WHERE project_id='".$project_id."' AND task_id='".$task_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			$rows=mysqli_fetch_assoc($RunUserQuery);
			
			$task_name 				= $rows["task_name"];
			$schedule_start_date	= ($rows["schedule_start_date"]=="0000-00-00")?"":$rows["schedule_start_date"];
			$schedule_end_date		= ($rows["schedule_end_date"]=="0000-00-00")?"":$rows["schedule_end_date"];
			$actual_start_date		= ($rows["actual_start_date"]=="0000-00-00")?"":$rows["actual_start_date"];
			$actual_end_date		= ($rows["actual_end_date"]=="0000-00-00")?"":$rows["actual_end_date"];
			
			if($schedule_start_date!=$text_task_schedule_start_date){
				$history_string .= "Task Schedule Start Date Changed : Old Value (".$schedule_start_date.") : New Value (".$text_task_schedule_start_date.") <br>";
			}
			if($schedule_end_date!=$text_task_schedule_end_date){
				$history_string .= "Task Schedule End Date Changed : Old Value (".$schedule_end_date.") : New Value (".$text_task_schedule_end_date.") <br>";
			}
		}
	}
	/*Save KPI History*/
	
	$insArr = array();
	
	$insArr['project_id'] 			= $project_id;
	$insArr['task_number'] 			= $text_task_number;
	$insArr['task_status'] 			= $combo_task_status;
	if($section==0 || $section==2){
		$insArr['task_name'] 			= $text_task_name;
		$insArr['task_description'] 	= $text_task_description;
	}
	if($section==0 || $section==4){
		$insArr['schedule_start_date'] 	= $text_task_schedule_start_date;
		$insArr['schedule_end_date'] 	= $text_task_schedule_end_date;
		$insArr['actual_start_date'] 	= $text_task_actual_start_date;
		$insArr['actual_end_date'] 		= $text_task_actual_end_date;
		$insArr['process_group'] 		= $combo_task_process_group;
		$insArr['parent_task_id'] 		= $combo_task_parent_task_id;
	}
	$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
	if($task_id<=0){
		$insArr['creation_date']	= $curTime;
		$insArr['created_timezone']	= $currTz;
		$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
	}
	$insArr['last_update_date']		= $curTime;
	$insArr['updated_timezone']		= $currTz;
	$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
	
	if($task_id>0){
		updatedata("cxs_projects_tasks",$insArr," where task_id = '".$task_id."'");
	}else{
		$task_id = insertdata("cxs_projects_tasks",$insArr);
	}
	/*******************************************************/
	
	/*********************KPIs*********************/
	if($section==0 || $section==4){
		if($task_id>0){
			setKPIs($project_id, $task_id, $history_string);
		}
	}
	/*********************KPIs*********************/
	
	/**************Update Project WB Task Table***************/
	if(getTotalRecord("cxs_projects_wb_tasks","record_id"," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'")>0){
		$insArr = array();
		$insArr['status'] 				= $combo_task_status;
		$insArr['last_update_date']		= $curTime;
		$insArr['updated_timezone']		= $currTz;
		$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		updatedata("cxs_projects_wb_tasks",$insArr," WHERE project_id = '".$project_id."' AND task_id = '".$task_id."'");
	}
	/**************Update Project WB Task Table***************/
	
	
	/********Save to Project-Task Activity Trail - New Entry*********/
	if($is_new_activity_trail == true){
		$source				= "TASK";
		$operation_type		= "inserted";
		
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Name";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_name;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Description";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_description;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Task Status";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_status;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			/*$insArr = array();
			$insArr['field_name'] 		= "Task Budgeted Hours";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_budgeted_hours;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);*/
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Schedule End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_schedule_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual Start Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_start_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Actual End Date";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $text_task_actual_end_date;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
		/*************************/
			$insArr = array();
			$insArr['field_name'] 		= "Parent Task";
			$insArr['old_value'] 		= "";
			$insArr['new_value'] 		= $combo_task_parent_task_id;
			saveProjectTaskActivityTrail($source,$operation_type,$insArr,$project_id,$task_id);
		/*************************/
	}
	/********Save to Project-Task Activity Trail - New Entry*********/
	
	
	
	
	
	
	
	/*********Assign Task********/
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$history_string	= "";;
	
	
	$combo_assign_tasks_team_id			= "14";
	$combo_assign_tasks_task_id 		= $task_id;
	
	$where = "1=1";
	if($combo_assign_tasks_task_id>0){
		$where = " t.task_id='".$combo_assign_tasks_task_id."' ";
	}
	
	$selectQuery 	= "
		SELECT 
			tm.assignement_id,tm.team_id,tm.member_username, 
			t.task_id, CONCAT(t.task_number,':',t.task_name) AS task_name, t.budgeted_hours,
			(SELECT CONCAT(full_name,'~',image_name) FROM `cxs_user` WHERE cxs_user.user_id=tm.member_userid) AS user_data,
			(SELECT CONCAT(role_id,'#~#',hours,'#~#',comment) FROM `cxs_projects_task_assignment` WHERE cxs_projects_task_assignment.project_id='".$project_id."' AND cxs_projects_task_assignment.task_id=t.task_id AND cxs_projects_task_assignment.team_id=tm.team_id AND cxs_projects_task_assignment.member_id=tm.assignement_id) AS user_assign_task_data
		FROM 
			`cxs_projects_team_members` tm 
		CROSS JOIN 
			`cxs_projects_tasks` t 
		WHERE 
			tm.team_id='".$combo_assign_tasks_team_id."' AND t.task_id NOT IN (SELECT parent_task_id FROM `cxs_projects_tasks` ORDER BY task_id DESC) AND t.project_id='".$project_id."' AND tm.company_id='".$_SESSION['login_user_array']['company_id']."' AND $where
		ORDER BY
			t.task_number, user_data
	";
	
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$entered_task_arr 	= array();
		$task_arr 			= array();
		$task_name_arr 		= array();
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$assignement_id = $rows['assignement_id'];
			$task_id		= $rows['task_id'];
			
			$text_assign_tasks_task_id			= $task_id;
			$text_assign_tasks_member_id		= $assignement_id;
			$combo_assign_tasks_role_id			= "1";
			$text_assign_tasks_hours			= "5";
			$text_assign_tasks_comments			= "Test Comment";
			
			$insArr = array();
				
			$insArr['project_id'] 			= $project_id;
			$insArr['task_id'] 				= $text_assign_tasks_task_id;
			$insArr['team_id'] 				= $combo_assign_tasks_team_id;
			$insArr['member_id'] 			= $text_assign_tasks_member_id;
			$insArr['role_id'] 				= $combo_assign_tasks_role_id;
			$insArr['hours'] 				= $text_assign_tasks_hours;
			$insArr['comment'] 				= $text_assign_tasks_comments;
			$insArr['active_status']		= "Yes";
			
			$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
			
			$is_edit = false;
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
			$insArr['last_update_date']		= $curTime;
			$insArr['updated_timezone']		= $currTz;
			$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
			
			insertdata("cxs_projects_task_assignment",$insArr);
			/*********************KPIs*********************/
			/*KPI History Save - New Member Assign*/
			$user_full_name = getUserFullNameFromMemberId($text_assign_tasks_member_id);
			$history_string .= "New Member Assigned : ".$user_full_name." <br>";
			/*KPI History Save - New Member Assign*/
			if($project_id>0 && $text_assign_tasks_task_id>0){
				setKPIs($project_id,$text_assign_tasks_task_id,$history_string);
			}
			/*********************KPIs*********************/
		}
	}
	
	/******************/
	$insArr = array();
	$insArr['budgeted_hours'] 		= 0;
	updatedata("cxs_projects_tasks",$insArr," WHERE project_id='".$project_id."'");
	
	$selectQuery 	= "SELECT * FROM `cxs_projects_task_assignment` WHERE project_id='".$project_id."'  AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY task_id DESC";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$task_id = $rows['task_id'];
			$assigned_hours = $rows['hours'];
			/**/
			$selectQuery2 	= "
				SELECT 
					T2.task_id, T2.task_name
				FROM 
					( 
						SELECT 
							@r AS _id, 
							(SELECT @r := parent_task_id FROM cxs_projects_tasks WHERE task_id = _id) AS parent_task_id, 
							@l := @l + 1 AS lvl FROM (SELECT @r := '".$task_id."', @l := 0) vars, 
							cxs_projects_tasks m WHERE @r <> 1
					) T1 
				JOIN 
					cxs_projects_tasks 
				T2 
					ON T1._id = T2.task_id 
				ORDER BY 
					T2.task_id DESC, T1.lvl DESC
			";
			$RunUserQuery2	= mysqli_query($conn, $selectQuery2);
			$StdNumRows2 	= mysqli_num_rows($RunUserQuery2);
			if($StdNumRows2>0){
				$task_total = 0;
				while($rows2=mysqli_fetch_assoc($RunUserQuery2)){
					$task_id2		= $rows2['task_id'];
					if($task_id2!=$task_id){
						$parent_task_budgted_hours = getvalue("cxs_projects_tasks","budgeted_hours"," WHERE task_id='".$task_id2."'");
						$task_total 	= $parent_task_budgted_hours+$assigned_hours;
					}else{
						$task_budgted_hours = getvalue("cxs_projects_tasks","budgeted_hours"," WHERE task_id='".$task_id2."'");
						$task_total = $task_budgted_hours+$assigned_hours;
					}
					
					$insArr = array();
					$insArr['last_update_date']		= $curTime;
					$insArr['updated_timezone']		= $currTz;
					$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
					$insArr['budgeted_hours'] 		= $task_total;
					updatedata("cxs_projects_tasks",$insArr," WHERE task_id = '".$task_id2."'");
				}
			}
			/**/
		}
	}
	/******************/
	
	/*******************/
	$selectQuery 	= "SELECT SUM(budgeted_hours) AS total_budgeted_hours FROM `cxs_projects_tasks` WHERE project_id='".$project_id."'  AND parent_task_id=0 AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$total_budgeted_hours = $rows['total_budgeted_hours'];
			
			$insArr = array();
			$insArr['last_update_date']		= $curTime;
			$insArr['updated_timezone']		= $currTz;
			$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
			$insArr['total_budgeted_hours'] = $total_budgeted_hours;
			updatedata("cxs_projects",$insArr," WHERE project_id = '".$project_id."'");
		}
	}
	
	/*******************/
	/*********Assign Task********/
}

$succ 	= 1;
$msg 	= "";

header('Content-Type: application/json'); 
echo json_encode(array("succ" => $succ,"msg"=>$msg));
exit;
?>