<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
if(isset($_GET["nid"]) && $_GET["nid"]>0){
	$nid = intval($_GET["nid"]);
	readNotification($nid);
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Time Entry Approvals</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.style1 {
	font-weight: bold;
	font-size: 13px;
}
.modal {
	overflow-y:auto;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Time Tracking</li>
										<li class="breadcrumb-item">Manage Approvals</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="d-flex flex-wrap justify-content-between">
									<h4 class="card-title mb-3 mt-2 ml-3">Manage Time Entry Approvals</h4>
									<button type="button" class="btn btn-primary btn-sm" id="cmdApprovalWorkbench">Approval Workbench</button>
								</div>
								<ul class="nav nav-tabs" role="tablist">
									<li class="nav-item"> <a class="nav-link active" id="manage-approval-tab-head1" data-toggle="tab" href="#manage-approval-tab1" role="tab" aria-controls="manage-approval-tab1" aria-selected="true">Timesheet Pending Approval</a> </li>
									<li class="nav-item"> <a class="nav-link" id="manage-approval-tab-head2" data-toggle="tab" href="#manage-approval-tab2" role="tab" aria-controls="manage-approval-tab2" aria-selected="false">Approval History</a> </li>
								</ul>
								<div class="tab-content">
									<div class="tab-pane fade show active" id="manage-approval-tab1" role="tabpanel" aria-labelledby="manage-approval-tab-head1">
										<!--<div class="d-flex flex-wrap justify-content-between pb-3">Expense Report Pending Approval</div>-->
										<div class="loading-div-tab-1">
											<img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
										</div>
										<div id="results_tab_1" class=""></div>
									</div>
									<div class="tab-pane fade " id="manage-approval-tab2" role="tabpanel" aria-labelledby="manage-approval-tab-head2">
										<!--<div class="d-flex flex-wrap justify-content-between pb-3">Approval History</div>-->
										<div class="loading-div-tab-2">
											<img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
										</div>
										<div id="results_tab_2" class=""></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal fade pr-0" id="modal_approve_workbench">
					<div class="modal-dialog modal-xl mt-0 " role="document">
						<div class="modal-content">
							<div class="modal-header pb-1">
								<h3 class="modal-title" id="modal2_label">Approve Time Sheets</h3>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
							</div>
							<div class="modal-body pt-2 ">
								<div class="text-right">
									<div class="form-group">
										<label style="display:block;">Time Sheets</label>
										<select id="combo_timesheet_name" name="combo_timesheet_name" class="form-control js-example-basic-single " onChange="getUserTimesheetData(this.value);" style="width:30%;">
											<option value="">--Please Select--</option>
											<?php
											//$supervisor_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
											$selectQuery 	= "
												SELECT 
													DISTINCT th.timesheet_name,th.pay_period,th.user_id 
												FROM 
													cxs_time_entry_header th
												INNER JOIN
													cxs_time_entry_lines te 
												ON
													th.timesheet_id=te.timesheet_id
												LEFT JOIN 
													cxs_employee em 
												ON 
													th.user_id=em.user_id 
												WHERE 
													te.time_entry_status ='Submitted' AND th.company_id='".$_SESSION['login_user_array']['company_id']."' AND th.approver_id='".$_SESSION['login_user_array']['user_id']."' 
												ORDER BY 
													th.timesheet_id DESC, th.timesheet_name ASC
												";		
											$RunUserQuery	= mysqli_query($conn, $selectQuery);
											$StdNumRows 	= mysqli_num_rows($RunUserQuery);
											if($StdNumRows>0){
												while($rows=mysqli_fetch_assoc($RunUserQuery)){
													$user_email = getvalue("cxs_user","user_email"," WHERE user_id='".$rows['user_id']."'");
												?>
												<option value="<?php echo $rows['timesheet_name']."~".$rows['pay_period']."~".$rows['user_id']; ?>"><?php echo stripslashes($rows['timesheet_name'])." [".$user_email."]"; ?></option>
												<?php
												}
											}
											?>
										</select>
									</div>
								</div>
								<div class="loading-div" style="display:none;">
									<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
								</div>
								<div id="results" class=""></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php require_once 'email_popup.php';?>
<?php /**********Modal Area***********/ ?>
<div class="modal fade pr-0" id="modal_view_time_entry" style="overflow:hidden;">
	<div class="modal-dialog modal-xl mt-0" role="document">
		<!--<form id='form1' >-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close main-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div id="results_view_time_entry">
					<iframe src="" width="100%" style="height: 100vh;" frameborder="0"></iframe>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.resize.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.categories.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.fillbetween.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.stack.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.pie.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
   
$('.form_datetime').datepicker({
	format:'mm/dd/yyyy',
	defaultDate: '',
	autoclose : true
});
	
$("#cmdApprovalWorkbench").click(function(){
   $("#results").html("");
   $("#combo_timesheet_name").select2('destroy');
   $("#combo_timesheet_name").val("");
   $("#combo_timesheet_name").select2();
   $("#modal_approve_workbench .modal-content").css("min-height",$(window).height()+"px");
   $("#modal_approve_workbench").modal('show');
});

function myPopup(myURL, title, myWidth, myHeight){
	var left = (screen.width - myWidth) / 2;
	var top = (screen.height - myHeight) / 4;
	var myWindow = window.open(myURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width=' + myWidth + ', height=' + myHeight + ', top=' + top + ', left=' + left);
}
</script>
<script>
function getUserTimesheetData(timesheet_name_data){
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		data: {REQUEST: 'get_user_approval_workbench_timesheet_entry_data',is_html:true,timesheet_name_data:timesheet_name_data},
		beforeSend: function() {
			$("#results").fadeOut(500);
			$(".loading-div").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div").hide();
				$("#results").html(response);
				$("#results").fadeIn(500);
				$('[data-toggle="popover"]').popover();
				$("#btnCollapseAll").click(function(){
					$("div .collapse").each(function(i) {
					   if($(this).hasClass("show")) 
					   {
						   $(this).removeClass("show");
					   }
					});
				});
				$("#btnShowAll").click(function(){
					$("div .collapse").each(function(i){
					   if(!$(this).hasClass("show")){
						   $(this).addClass("show");
					   }
					});        
				});
				$(".approve-all").click(function(){

					var report_name = $(this).data("report_name");
					$('.approve').each(function() { 
						$(this).attr('data-is_single_mail', 'N');
						$(this).click();
					});
					setTimeout(function(){
						sendMailForAllBtn();
					},1000);
					
				});
				$(".reject-all").click(function(){
					var report_name = $(this).data("report_name");
					$('.reject').each(function() { 
						$(this).attr('data-is_single_mail', 'N');
						$(this).click();
					});
					var is_comment = true;
					$('.reject').each(function() { 
						var timesheet_line_id = $(this).data("timesheet_line_id");
						if($("#approval_activity_comment_"+timesheet_line_id).val()==''){
							is_comment = false;
							return false;
						}
					});
					// if(is_comment==true){
					// 	setTimeout(function(){
					// 		sendMailForAllBtn();
					// 	},1000);
					// }
					setTimeout(function(){
						sendMailForAllBtn();
					},1000);
					
				});
			},1000);
		}
	});
}
/***********************************/
function sendMailForAllBtn(){
	var timesheet_line_ids = $("#timesheet_line_ids").val();
	var timesheet_id = $("#h_apr_wb_timesheet_id").val();
	
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		data: {REQUEST: 'send_single_timsheet_approval_activity_mail',timesheet_line_ids: timesheet_line_ids,timesheet_id: timesheet_id},
		success: function(response){  
			console.log(response);
		}
	});
}
function saveApprovalActivity(status,timesheet_line_id){
	var flag 	= true;
	var is_single_mail = '';
	
	var formdata= $('#approval_activity_form_'+timesheet_line_id).serialize(); 
	form_element_correct($("#approval_activity_comment_"+timesheet_line_id));
	
	if(status=='reject' && $("#approval_activity_comment_"+timesheet_line_id).val()==""){
		flag = false;
		form_element_empty_err($("#approval_activity_comment_"+timesheet_line_id));
	}
	is_single_mail = $("#btn_"+status+"_"+timesheet_line_id).data("is_single_mail");
	//alert(status+"=="+is_single_mail);
	//flag = false;
	if(flag){
		$.ajax({
			url: SITEURL+"aj/time-tracking/",
			method: "POST",
			data: {REQUEST: 'save_timesheet_approval_activity_data',form1: formdata,status1:status,timesheet_line_id:timesheet_line_id,is_single_mail1:is_single_mail},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function(response){  
				setTimeout(function(){
					$("#approval_activity_form_"+timesheet_line_id).fadeOut(800);
					$("#approval_activity_form_"+timesheet_line_id).remove();
					$(".rploader").fadeOut(800);
					/**/
					var entry_count = 0;
					$('.approve').each(function() { 
						entry_count++;
					});
					if(entry_count==0){
						$(".close").click();
						$("#results").html("");
						$("#combo_timesheet_name").select2('destroy');
						$('#combo_timesheet_name option:selected').remove();
						$("#combo_timesheet_name").val("");
						$("#combo_timesheet_name").select2();
						
					}
					/**/
					getPendingApprovalTimesheetData();
					getApprovalHistoryTimesheetData();
				},1000);
			}
		});
	}
}
/*********************************/
$(document).ready(function(){
	setTimeout(function(){
		getPendingApprovalTimesheetData();
		getApprovalHistoryTimesheetData();
	},1000);
});
function getPendingApprovalTimesheetData(){
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		data: {REQUEST: 'get_pending_approval_timesheet_entry_data',is_html:true},
		beforeSend: function() {
			$("#results_tab_1").fadeOut(500);
			$(".loading-div-tab-1").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-tab-1").hide();
				$("#results_tab_1").html(response);
				$("#results_tab_1").fadeIn(500);
				dataTableCreateCommonOrderOn("table_manage_tt_pending_approval");
				$("#table_manage_tt_pending_approval_filter").hide();
			},1000);
		}
	});
}
/*********************************/
function getApprovalHistoryTimesheetData(){
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		data: {REQUEST: 'get_approval_history_timesheet_entry_data',is_html:true},
		beforeSend: function() {
			$("#results_tab_2").fadeOut(500);
			$(".loading-div-tab-2").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-tab-2").hide();
				$("#results_tab_2").html(response);
				$("#results_tab_2").fadeIn(500);
				//dataTableCreateCommonOrderOn("table_manage_exp_approval_history",4);
				$("#table_manage_tt_approval_history_filter").hide();
				$('#table_manage_tt_approval_history').simpleTreeTable({
					expander: $('#expander'),
					collapser: $('#collapser'),
					opened:'none', 
					storeKey: 'simple-tree-table-basic'
				});
				$(".table-user-info").children(".simple-tree-table-handler").hide();
				$(".table-action").find(".simple-tree-table-handler").hide();
			},1000);
		}
	});
}
/*********************************************/
function viewTimesheet(timesheet_id,user_id){
	//$("#results_view_time_entry").find('iframe').attr('src','tt-time-entry.php?timesheet_id='+timesheet_id+'&user_id='+user_id+'&is_view=true&k=true');
	$("#results_view_time_entry").find('iframe').attr('src',SITEURL+'time-tracking/timesheet/view/i/'+timesheet_id+'/'+user_id+'/');
	
	setTimeout(function(){
		var modal_html = $("#results_view_time_entry iframe").contents().find("#modal1").html();
		$("#results_view_time_entry iframe").contents().find(".container-fluid").remove();
		$("#results_view_time_entry iframe body").append('<div class="modal fade pr-0" id="modal1" ></div>');
		$("#results_view_time_entry iframe #modal1").append(modal_html);
		
		$("#modal_view_time_entry").modal("show");
	},1500); 
}
</script>
</body>
</html>
