<?php
    require_once "conn.php";
    check_login();
    if (CheckCommonSetupEntries()==0)
    {
        header("location:admin.php");
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Time Tracking Setup</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item">Time Tracking</li>
                                          <li class="breadcrumb-item">Setup</li>
                                        </ol>
                                    </nav>                                    
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Setup Timekeeping Rules</h4>                                         
                                        <!--<button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>-->
                                    </div>
                                    
                                    
                                    <div class="form-group">
                                        <label>Select a Team</label>
                                        <div>
                                            <select class="js-example-basic-single" style="width:100%;">
                                                <option> Team 1</option>
                                                <option> Team 2</option>                                                        
                                            </select>
                                        </div>    
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                        
                        <!-- table 1-->
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Following Team Members are allowed Overtime</h4>                                        
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-border w-100" id="table_overtime_allow" >
                                            <thead  >
                                                <tr style="display:none;">
                                                    <td>column1</td>
                                                    <td>column2</td>
                                                    <td>column3</td>
                                                    <td>column4</td>
                                                    <td>column5</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Aayden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jack
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Grayson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Landon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Madison
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Colton
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Packston
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paecca
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>    
                        
                        
                        <!-- table 2-->
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Following Team Members are allowed to work on Holidays</h4>                                        
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-border w-100" id="table_holiday_work" >
                                            <thead  >
                                                <tr style="display:none;">
                                                    <td>column1</td>
                                                    <td>column2</td>
                                                    <td>column3</td>
                                                    <td>column4</td>
                                                    <td>column5</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Aayden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jack
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Grayson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Landon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Madison
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Colton
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Packston
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paecca
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        
                        <!-- table 3-->
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Following Team Members can enter time for others in the team</h4>                                        
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-border w-100" id="table_other_timeentry" >
                                            <thead  >
                                                <tr style="display:none;">
                                                    <td>column1</td>
                                                    <td>column2</td>
                                                    <td>column3</td>
                                                    <td>column4</td>
                                                    <td>column5</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Aayden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jack
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Grayson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Landon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Madison
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Colton
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Packston
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paecca
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        
                        <!-- table 4-->
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Following Team Members need to track their Attendance (clock In and Clock Out time)</h4>                                        
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-border w-100" id="table_track_attendance" >
                                            <thead  >
                                                <tr style="display:none;">
                                                    <td>column1</td>
                                                    <td>column2</td>
                                                    <td>column3</td>
                                                    <td>column4</td>
                                                    <td>column5</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Aayden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jack
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Grayson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Landon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Madison
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Colton
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Packston
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paecca
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        
                        <!-- table 5-->
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Following Team Members can submit corrections to previously approved time for others in the team</h4>                                        
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-border w-100" id="table_previously_approved" >
                                            <thead  >
                                                <tr style="display:none;">
                                                    <td>column1</td>
                                                    <td>column2</td>
                                                    <td>column3</td>
                                                    <td>column4</td>
                                                    <td>column5</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Aayden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jack
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Grayson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Landon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Madison
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Colton
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Packston
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paecca
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        
                        <!-- table 6-->
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Following Team Members can approve time sheets</h4>                                        
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-border w-100" id="table_approve_timesheets" >
                                            <thead  >
                                                <tr style="display:none;">
                                                    <td>column1</td>
                                                    <td>column2</td>
                                                    <td>column3</td>
                                                    <td>column4</td>
                                                    <td>column5</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Aayden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jack
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Grayson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Jaxson
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Landon
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Madison
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Colton
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                                <tr>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Acer
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Packston
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paden
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Hunter
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                    <td>
                                                       <div class="form-check">
                                                            <label class="form-check-label">
                                                                <input type="checkbox" class="form-check-input" id="check_observed">
                                                                Paecca
                                                              <i class="input-helper"></i>
                                                            <i class="input-helper"></i><i class="input-helper"></i></label>
                                                        </div> 
                                                    </td>
                                                
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        
                    </div>
                    
                    <div class="text-right">
                        <button class="btn btn-primary btn-sm">Save</button>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    
     <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
  <!-- endinject -->  
    <script>
       
 
    $('#table_overtime_allow , #table_holiday_work , #table_other_timeentry , #table_track_attendance , #table_previously_approved , #table_approve_timesheets ').DataTable( {
        "paging":   false,
        "ordering": false,
        "info":     false
    } );
 
    </script>
</body>

</html>
