<?php
    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Time Tracking Time Keeping</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  <link href="datepicker/datepicker.css" rel="stylesheet">
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item">Time Tracking</li>
                                          <li class="breadcrumb-item">Time Keeping</li>
                                        </ol>
                                    </nav>                                    
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Time Keeping</h4>                                         
                                        <!--<button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>-->
                                    </div>
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div>
                                            <div class="form-group pr-3">
                                                <label >Team Members</label>                                                
                                                <select class="js-example-basic-single" style="width:100%;">
                                                    <option> Member 1</option>
                                                    <option> Member 2</option>                                                        
                                                    <option> Member 2Member 2Member 2 Member 2</option>                                                        
                                                </select>
                                            </div>
                                        </div>
                                        <div>
                                            <button class="btn btn-primary btn-sm">Excel</button>
                                            <button class="btn btn-primary btn-sm">PDF</button>
                                            <button class="btn btn-primary btn-sm">Email</button>
                                        </div>
                                    </div>
                                    
                                     
                                    <div class="row">
                                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class=" d-md-flex mb-4">
                                                        <div class="mr-5 mb-3">
                                                            <div class="d-flex">
                                                                <img class="img-sm rounded-circle mb-md-0 mr-2 " src="images/faces/face3.jpg" alt="profile image">
                                                                <h4 class="card-title  mb-3 mt-2">John Smith's Time Sheet</h4>
                                                            </div>
                                                        </div>
                                                        <div class="mr-5 mb-3">
                                                            <div class="d-flex">
                                                                <h4>Pay Period: May 2020</h4>
                                                            </div>

                                                            <div class="d-flex ">
                                                                <h4>Time Sheet Name: JSMITH-552020</h4>
                                                            </div>


                                                        </div>

                                                        <div class="mr-5 mb-3">
                                                            <div class="d-flex">
                                                                <h4>Supervisor: </h4>
                                                                <h4 class="pl-1">John Smith</h4>
                                                            </div>
                                                        </div>

                                                        <div class="mr-5 mb-3">
                                                            <div class="d-flex">
                                                                <h4>Team: </h4>
                                                                <h4 class="pl-1">Dev Ops</h4>
                                                            </div>
                                                        </div>

                                                    </div>
<!-- row pt-5 mt-3  -->
                                                    <div class=" d-md-flex mb-3">
                                                        <div class="mr-5 mb-3">
                                                            <i class="fa fa-check"></i> You are approved to work on Holidays
                                                        </div>

                                                        <div class="mr-5 mb-3">
                                                            <i class="fa fa-check"></i> You are approved to work Overtime
                                                        </div>

                                                        <div class="mr-5 mb-3">
                                                            <i class="fa fa-check"></i> You can enter & submit time for others in the team
                                                        </div>
                                                    </div>
                                                    <div class=" d-md-flex mb-3">
                                                        <div class="mr-5 mb-4">
                                                            <i class="fa fa-check"></i> You can correct previously approved time for others in the team
                                                        </div>
                                                    </div>
                                                     
                                                    <div class="text-right mt-4">
                                                        <h3><i class="fa fa-info-circle" title="Last time you were here on MM/DD/YYYY HH:MM:SS PDT"></i></h3>

                                                    </div>

                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="d-flex flex-wrap justify-content-between">
                                                        <div class="card-title">My Period To Date Hours</div>
                                                        <div>
                                                            <label class="pr-1">PTD</label>
                                                            <label class="toggle"><input type="checkbox" id="chk_tgl" checked=""><span class="sld round"></span></label>
                                                            <label class="pl-1">YTD</label>
                                                        </div>
                                                        <div>
                                                            <i class="fa fa-arrow-circle-o-left cr-point pr-2" style="font-size: 2rem;" Title="Previous"></i>
                                                            <i class="fa fa-arrow-circle-o-right cr-point pr-2" style="font-size: 2rem;" Title="Next"></i>
                                                        </div>
                                                    </div>


                                                    <div class="row">

                                                        <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                            <div class="flot-chart-container">
                                                                <div id="chart_period_todate1" class="flot-chart" ></div>
                                                                 <div class="text-center" >January 2020</div>
                                                            </div>

                                                        </div>   

                                                        <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                            <div class="flot-chart-container">
                                                                <div id="chart_period_todate2" class="flot-chart" ></div>
                                                                <div class="text-center" >February 2020</div>
                                                            </div>

                                                        </div>   

                                                        <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                            <div class="flot-chart-container">
                                                                <div id="chart_period_todate3" class="flot-chart" ></div>
                                                                <div class="text-center" >March 2020</div>
                                                            </div>

                                                        </div>   

                                                        <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                            <div class="flot-chart-container">
                                                                <div id="chart_period_todate4" class="flot-chart" ></div>
                                                                <div class="text-center" >April 2020</div>
                                                            </div>

                                                        </div>   



                                                    </div>

                                                </div>
                                            </div>
                                        </div>


                                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="d-flex flex-wrap justify-content-between">
                                                        <div class="card-title">My Work Schedule</div>
                                                        <div class="form-inline">
                                                            <i class="fa fa-arrow-circle-o-left pr-2" style="font-size: 2rem;"></i>
                                                            <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">
                                                            <i class="fa fa-arrow-circle-o-right pl-2" style="font-size: 2rem;"></i>
                                                        </div>
                                                    </div>


                                                    <div class="table-responsive pt-3">
                                                        <table class="table table-bordered">
                                                            <thead class="table-info">
                                                                <tr>
                                                                    <th>12:00 AM</th>
                                                                    <th>01:00 AM</th>
                                                                    <th>02:00 AM</th>
                                                                    <th>03:00 AM</th>
                                                                    <th>04:00 AM</th>
                                                                    <th>05:00 AM</th>
                                                                    <th>06:00 AM</th>
                                                                    <th>07:00 AM</th>
                                                                    <th>08:00 AM</th>
                                                                    <th>09:00 AM</th>
                                                                    <th>10:00 AM</th>
                                                                    <th>11:00 AM</th>
                                                                    <th>12:00 PM</th>
                                                                    <th>01:00 PM</th>
                                                                    <th>02:00 PM</th>
                                                                    <th>03:00 PM</th>
                                                                    <th>04:00 PM</th>
                                                                    <th>05:00 PM</th>
                                                                    <th>06:00 PM</th>
                                                                    <th>07:00 PM</th>
                                                                    <th>08:00 PM</th>
                                                                    <th>09:00 PM</th>
                                                                    <th>10:00 PM</th>
                                                                    <th>11:00 PM</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr>
                                                                    <?php
                                                                        for($i=1;$i<=24;$i++)
                                                                        {?>
                                                                            <td>&nbsp;</td>
                                                                <?php   }
                                                                    ?>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>        

                                                    </div>
                                                </div>
                                            </div>

                                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                                            <div class="card">
                                                <div class="card-body">

                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <div class="card-title">Enter Time</div>
                                                        </div>    
                                                        <div class="col-md-4 d-flex justify-content-center" id="div_middle1">
                                                            <div class="form-inline">
                                                                <i class="fa fa-arrow-circle-o-left pr-2" style="font-size: 2rem;"></i>
                                                                <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">
                                                                <i class="fa fa-arrow-circle-o-right pl-2" style="font-size: 2rem;"></i>
                                                            </div>
                                                        </div>    
                                                        <div class="col-md-4 d-flex justify-content-end">
                                                            <div class="form-inline">
                                                                <i class="fa fa-file-text-o pl-3 cr-point" style="font-size: 2rem;" title="Form" id="title_form"></i>
                                                                <i class="fa fa-calendar-o pl-3 cr-point" style="font-size: 2rem;" title="Calendar" id="title_calendar"></i>
                                                                <i class="fa fa-table pl-3 cr-point" style="font-size: 2rem;" title="Grid" id="title_grid"></i>
                                                            </div>
                                                        </div>

                                                    </div>

                                                    <div class="row pt-3">

                                                        <div class="col-md-4">
                                                            &nbsp;
                                                        </div>

                                                        <div class="col-md-4 d-flex justify-content-center" id="div_middle2">
                                                            <div class="form-inline">
                                                                <h4 class="pr-3"> Monday, February 18,2020 PDT</h4> 
                                                                <label class="badge badge-light">Submitted</label>
                                                            </div>    
                                                        </div>


                                                        <div class="col-md-4 d-flex justify-content-end">
                                                            <div class="form-group">
                                                                <label>Copy From Previous Entries</label>
                                                                <select class="form-control"><option>Use this as template</option></select>
                                                            </div>
                                                        </div>
                                                    </div>


                                                    <div class="d-flex flex-wrap  pb-2 center-box">                    
                                                        <div id="project_step1" class="badge step_button_color mb-3" style="background-color: #1b81ff !important;"> Working</div>
                                                        <div id="project_step1_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                                        <div id="project_step2" class="badge step_button_color disabled-color mb-3" style="background-color: #1b81ff !important;">Submitted</div>
                                                        <div id="project_step2_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                                        <div id="project_step3" class="badge step_button_color disabled-color mb-3" style="background-color: #1b81ff !important;">Rejected</div>
                                                        <div id="project_step3_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                                        <div id="project_step4" class="badge step_button_color disabled-color mb-3" style="background-color: #1b81ff !important;">Approved</div>                                                                    
                                                    </div>
                                                    <div class=" border1" id="div_form">
                                                        <div class="row">
                                                            <div class="col-md-4">
                                                                <div class="form-group">
                                                                    <div class="form-inline">
                                                                        <div class="form-check pb-2 pr-3">
                                                                          <label class="form-check-label">
                                                                            <input type="radio" class="form-check-input" name="time_options" id="radio1" checked="">
                                                                            Task Time
                                                                          <i class="input-helper"></i><i class="input-helper"></i></label>
                                                                        </div>

                                                                        <div class="form-check pb-2 pr-3">
                                                                          <label class="form-check-label">
                                                                            <input type="radio" class="form-check-input" name="time_options" id="radio1" >
                                                                            Leave Time
                                                                          <i class="input-helper"></i><i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>

                                                                    <select class="js-example-basic-single " style="width:60%" id="dropdown_time">
                                                                        <option value="">- Select -</option>
                                                                        <optgroup label="Project 1">
                                                                            <option class ="task_time_type1" value="1">Task 1</option>
                                                                            <option class ="task_time_type2" value="2">Task 2</option>
                                                                        </optgroup>
                                                                        <optgroup label="Project 2">
                                                                            <option class ="task_time_type1" value="3">Task 1</option>
                                                                            <option class ="task_time_type2" value="4">Task 2</option>
                                                                            <option value="5">Task 3</option>
                                                                            <option value="6">Task 4</option>
                                                                        </optgroup>

                                                                    </select>
                                                                </div>

                                                                <div class="row mb-4">
                                                                    <div class="col-md-12">
                                                                        <label class="pr-2">Budgeted Hours for this Task & Pay Period:</label>
                                                                        <label class="badge badge-warning">80 Hours</label>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <label class="pr-2">Actual Hours Remaining in this Pay Period:</label>
                                                                        <label class="badge badge-success">40 Hours</label>
                                                                    </div>
                                                                </div>

                                                                <div class="row  mb-4">
                                                                    <div class="col-md-6">
                                                                        <div class="flot-chart-container" style="min-height: 125px;">
                                                                        <div id="chart_hours" class="flot-chart" style="    height: 100%;" ></div>
                                                                    </div>
                                                                        </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div id ="task_time_type1">
                                                                    <div class="form-group  mt-2">
                                                                        <h5>Straight Time</h5>
                                                                        <div class="row">
                                                                            <div class="col-md-2">

                                                                                <div class="form-group">
                                                                                    <lable>Hours</lable>
                                                                                    <select class="form-control mt-2">
                                                                                        <?php
                                                                                            for($i=1;$i<=24;$i++)
                                                                                            {
                                                                                        ?>
                                                                                                <option><?php echo $i; ?></option>
                                                                                    <?php } ?>        
                                                                                    </select>
                                                                                </div>
                                                                            </div>

                                                                            <div class="col-md-2">                                                        
                                                                                <div class="form-group">
                                                                                    <lable>Minutes</lable>
                                                                                    <select class="form-control mt-2">
                                                                                        <?php
                                                                                            for($i=1;$i<=24;$i++)
                                                                                            {
                                                                                        ?>
                                                                                                <option><?php echo $i; ?></option>
                                                                                    <?php } ?>        
                                                                                    </select>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>

                                                                    <div class="form-group  mt-2">
                                                                        <h5>Overtime</h5>
                                                                        <div class="row">
                                                                            <div class="col-md-2">

                                                                                <div class="form-group">
                                                                                    <lable>Hours</lable>
                                                                                    <select class="form-control mt-2">
                                                                                        <?php
                                                                                            for($i=1;$i<=24;$i++)
                                                                                            {
                                                                                        ?>
                                                                                                <option><?php echo $i; ?></option>
                                                                                    <?php } ?>        
                                                                                    </select>
                                                                                </div>
                                                                            </div>

                                                                            <div class="col-md-2">                                                        
                                                                                <div class="form-group">
                                                                                    <lable>Minutes</lable>
                                                                                    <select class="form-control mt-2">
                                                                                        <?php
                                                                                            for($i=1;$i<=24;$i++)
                                                                                            {
                                                                                        ?>
                                                                                                <option><?php echo $i; ?></option>
                                                                                    <?php } ?>        
                                                                                    </select>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div> 
                                                                </div>


                                                                <div id ="task_time_type2"  class="d-flex flex-wrap mt-5 pb-2 center-box">
                                                                    <button type="button" class="btn btn-success p-5 full-height ml-3 mr-3" >Start</button>
                                                                    <h1 class="ml-3 mr-3">01:20:59</h1>
                                                                    <button type="button" class="btn btn-warning ml-3 mr-3 p-5 full-height" >Stop & Add Time</button>
                                                                </div>
                                                            </div>


                                                    </div>
                                                    <div class="row">

                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label>Comment</label>
                                                                <textarea class="form-control" rows="4"></textarea>
                                                            </div>    
                                                        </div>
                                                    </div>


                                                        <div class="d-flex flex-wrap justify-content-between pt-3">
                                                            <div class="card-title">Previously Entered Time on This Day</div>                                                
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-md-4">                                                
                                                                <label class="badge badge-light">Total Submitted :</label>
                                                                <label class="pl-3">8</label>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <label class="badge badge-light">Total Approved :</label>
                                                                <label class="pl-3">8</label>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <label class="badge badge-light">Total Entered :</label>
                                                                <label class="pl-3">8</label>
                                                            </div>
                                                        </div>

                                                        <div class="table-responsive">
                                                            <table class="table table-bordered">
                                                                <thead class="table-info">
                                                                    <tr>
                                                                        <th>Project</th>
                                                                        <th>Task</th>
                                                                        <th>Straight Time Hours</th>
                                                                        <th>Overtime</th>
                                                                        <th>Leave Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Comment</th>
                                                                        <th width="9%">Action</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr>
                                                                        <td>Project 1</td>
                                                                        <td>Task1</td>
                                                                        <td>8</td>
                                                                        <td>8</td>
                                                                        <td>8</td>
                                                                        <td>Submitted</td>
                                                                        <td>... </td>
                                                                        <td>
                                                                            <div>
                                                                                <button class="btn delete_record" title="Delete Record"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                                                                <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                                            </div>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>Project 2</td>
                                                                        <td>Task2</td>
                                                                        <td>8</td>
                                                                        <td>8</td>
                                                                        <td>8</td>
                                                                        <td>Submitted</td>
                                                                        <td>... </td>
                                                                        <td>
                                                                            <div>
                                                                                <button class="btn delete_record" title="Delete Record"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                                                                <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                                            </div>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>Project 3</td>
                                                                        <td>Task3</td>
                                                                        <td>8</td>
                                                                        <td>8</td>
                                                                        <td>8</td>
                                                                        <td>Submitted</td>
                                                                        <td>... </td>
                                                                        <td>
                                                                            <div>
                                                                                <button class="btn delete_record" title="Delete Record"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                                                                <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                                            </div>
                                                                        </td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>


                                                </div>        

                                                    <div class=" border1" id="div_calendar">
                                                        <h4 class="card-title">Time Entry - Calendar View</h4>
                                                        <div id="calendar" class="full-calendar"></div>
                                                    </div>

                                                    <div class=" border1" id="div_grid">
                                                        <div class="d-flex flex-wrap justify-content-between">
                                                            <button class="btn btn-primary mb-3" id="btn_projectlist">Enter Time</button>

                                                            <div class="mb-3 ">
                                                                <button type="button" class="btn btn-primary btn-sm mt-2 mr-3" title="Previous Record"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                                <button type="button" class="btn btn-primary btn-sm mt-2 mr-3" title="Next Record"><i class="typcn typcn-chevron-right" aria-hidden="true"></i></button>
                                                            </div>
                                                        </div>    
                                                        <div class="table-responsive">
                                                            <table class="table table-bordered" >
                                                                <thead>
                                                                    <tr class="table-info">
                                                                        <th rowspan="2">Project</th>
                                                                        <th rowspan="2">Task</th>
                                                                        <th colspan="3">Mon, Dec 2,2019</th>
                                                                        <th colspan="3">Tue, Dec 3,2019</th>
                                                                        <th colspan="3">Wed, Dec 4,2019</th>
                                                                        <th colspan="3">Thu, Dec 5,2019</th>
                                                                        <th colspan="3">Fri, Dec 6,2019</th>
                                                                        <th colspan="3">Sat, Dec 7,2019</th>
                                                                        <th colspan="3">Sun, Dec 8,2019</th>
                                                                    </tr>
                                                                    <tr  class="table-info">
                                                                        <th>Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Notes</th>

                                                                        <th>Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Notes</th>

                                                                        <th>Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Notes</th>

                                                                        <th>Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Notes</th>

                                                                        <th>Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Notes</th>

                                                                        <th>Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Notes</th>

                                                                        <th>Hours</th>
                                                                        <th>Status</th>
                                                                        <th>Notes</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>

                                                                    <tr>
                                                                        <td>Project1</td>
                                                                        <td>Task 1</td>
                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>08.40</td>
                                                                        <td><lable class="badge badge-light">Rejected</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>07.32</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>01.35</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                    </tr>

                                                                    <tr>
                                                                        <td>Project1</td>
                                                                        <td>Task 2</td>
                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>08.40</td>
                                                                        <td><lable class="badge badge-light">Rejected</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>07.32</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>01.35</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                    </tr>


                                                                    <tr>
                                                                        <td>Project2</td>
                                                                        <td>Task 1</td>
                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>08.40</td>
                                                                        <td><lable class="badge badge-light">Rejected</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>07.32</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>01.35</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                    </tr>

                                                                    <tr>
                                                                        <td>Project3</td>
                                                                        <td>Task 1</td>
                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>07.32</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>08.40</td>
                                                                        <td><lable class="badge badge-light">Rejected</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>



                                                                    </tr>
                                                                    <tr>
                                                                        <td>Project3</td>
                                                                        <td>Task 2</td>
                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>08.40</td>
                                                                        <td><lable class="badge badge-light">Rejected</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>

                                                                        <td>07.32</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>01.35</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                    </tr>
                                                                    <tr>
                                                                        <td>Project3</td>
                                                                        <td>Task 3</td>
                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>08.40</td>
                                                                        <td><lable class="badge badge-light">Rejected</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>


                                                                        <td>11.05</td>
                                                                        <td><lable class="badge badge-light">Submitted</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>07.32</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td>01.35</td>
                                                                        <td><lable class="badge badge-light">Approved</lable></td>
                                                                        <td><button class="btn btn-primary btn-sm">...</button></td>

                                                                        <td></td>
                                                                        <td></td>
                                                                        <td></td>

                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>




                                                    </div>

                                                    <div class="d-flex flex-wrap justify-content-between pt-3" id="div_record_save">
                                                        <button class="btn btn-primary btn-sm">Save</button>
                                                        <button class="btn btn-primary btn-sm">Update</button>
                                                    </div>   





                                            </div>
                                        </div>    


                                        </div>



                                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                                            <div class="card">
                                                <div class="card-body">                            

                                                    <div class="">

                                                                <ul class="nav nav-tabs" role="tablist">
                                                                    <li class="nav-item">
                                                                        <a class="nav-link active" id="time-entry-tab-head1" data-toggle="tab" href="#time-entry-tab1" role="tab" aria-controls="time-entry-tab1" aria-selected="true">Activity Trail</a>
                                                                    </li>
                                                                    <li class="nav-item">
                                                                        <a class="nav-link" id="time-entry-tab-head2" data-toggle="tab" href="#time-entry-tab2" role="tab" aria-controls="time-entry-tab2" aria-selected="false">Attendance</a>
                                                                    </li>
                                                                    <li class="nav-item">
                                                                        <a class="nav-link" id="time-entry-tab-head3" data-toggle="tab" href="#time-entry-tab3" role="tab" aria-controls="time-entry-tab3" aria-selected="false">Messages</a>
                                                                    </li>
                                                                    <li class="nav-item">
                                                                        <a class="nav-link" id="time-entry-tab-head4" data-toggle="tab" href="#time-entry-tab4" role="tab" aria-controls="time-entry-tab4" aria-selected="false">Submission History</a>
                                                                    </li>
                                                                </ul>

                                                                <div class="tab-content">

                                                                    <div class="tab-pane fade show active" id="time-entry-tab1" role="tabpanel" aria-labelledby="time-entry-tab-head1">


                                                                        <div class="timeline">  
                                                                            <div class="timeline-wrapper timeline-wrapper-warning">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>

                                                                            <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>


                                                                            <div class="timeline-wrapper timeline-wrapper-warning">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>

                                                                            <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>


                                                                         </div>    






                                                                    </div>

                                                                    <div class="tab-pane fade" id="time-entry-tab2" role="tabpanel" aria-labelledby="time-entry-tab-head2">
                                                                        <table id="table_attendance_tab" class="table table-border" width="100%">
                                                                            <thead>
                                                                                <tr class="table-info">
                                                                                    <th></th>
                                                                                    <th>Note</th>
                                                                                    <th>Date</th>
                                                                                    <th>Total</th>
                                                                                    <th style="display:none;">notes</th>
                                                                                </tr>
                                                                            </thead>                                        
                                                                        </table>  
                                                                    </div>
                                                                    <div class="tab-pane fade" id="time-entry-tab3" role="tabpanel" aria-labelledby="time-entry-tab-head3">
                                                                        <div class="timeline">  
                                                                            <div class="timeline-wrapper timeline-wrapper-warning">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>

                                                                            <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>


                                                                            <div class="timeline-wrapper timeline-wrapper-warning">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>

                                                                            <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>


                                                                         </div>
                                                                    </div>

                                                                    <div class="tab-pane fade" id="time-entry-tab4" role="tabpanel" aria-labelledby="time-entry-tab-head4">
                                                                        <div class="timeline">  
                                                                            <div class="timeline-wrapper timeline-wrapper-warning">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>

                                                                            <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>


                                                                            <div class="timeline-wrapper timeline-wrapper-warning">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>

                                                                            <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                                <div class="timeline-badge"></div>
                                                                                <div class="timeline-panel">
                                                                                    <div class="timeline-heading">                                                                                
                                                                                        <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                                    </div>
                                                                                    <div class="timeline-body pt-3">
                                                                                        <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>

                                                                                        <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                            <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                            <h6>19 OCt 2019</h6>
                                                                                        </div>
                                                                                    </div>


                                                                                </div>
                                                                            </div>


                                                                         </div>
                                                                    </div>
                                                                </div>                                                    
                                                            </div>
                                                </div>
                                            </div>
                                        </div>    

                                    </div>
                        
                    
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                    <div class="text-right">
                        <button class="btn btn-primary btn-sm">Save</button>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
   <script src="datepicker/bootstrap-datepicker.js"></script>
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    
     <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
  <!-- endinject -->  
    <script>
       
    $('.form_datetime').datepicker(
        {
            format:'mm/dd/yyyy',
            defaultDate: '',
            autoclose : true
        });
        
        
    <?php
    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Time Tracking Time Entry</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  <link href="datepicker/datepicker.css" rel="stylesheet">
  <link rel="stylesheet" href="css/custom_toggle.css">
  <link rel="stylesheet" href="vendors/fullcalendar/fullcalendar.min.css">
  <style>
     /* .flot-chart-container {
    min-height: 0px !important;
      }*/
     .popover{
  z-index:9999;
}
.modal {
  overflow-y:auto;
}


     td.details-control {
    background: url('images/icons/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('images/icons/details_close.png') no-repeat center center;
}
  </style>
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item">Time Tracking</li>
                                          <li class="breadcrumb-item">Time Entry</li>
                                        </ol>
                                    </nav>                                    
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Manage Time Entry</h4>    
                                    </div>
                                    
                                    
                                    <div class="row">
                                        <div class="col-md-5">
                                            <div class="form-group pr-3">
                                                <label class="pr-3 form-inline">Team Members</label>                                                
                                                <select class="js-example-basic-single" style="width:100%;">
                                                    <option> Member 1</option>
                                                    <option> Member 2</option>                                                        
                                                    <option> Member 2Member 2Member 2 Member 2</option>                                                        
                                                </select>
                                            </div>
                                        </div>    
                                        
                                        <div class="col-md-5 pt-5">
                                            <span><h4>Team Name</h4></span>
                                        </div>
                                        
                                    </div>    
                                    
                                    
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div class="d-flex">
                                            <img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="images/faces/face3.jpg" alt="profile image">
                                            <h2 class="  mb-3 mt-2 ml-3">John Smith's Time Sheet</h2>
                                        </div>

                                        <div class="">

                                            <button class="btn btn-primary btn-icon open_modal" title="Add Time Entry" id="cmdAddProject"><i class="fa fa-plus"></i></button>                                                                                
                                            <button class="btn btn-link" title="Import Data" id="cmdImportData"><img src="images/icons/import.png" style = "width:30px;height:30px;"> </button>
                                        </div>
                                    </div>    
                                    
                                    <div  class="mt-5 mb-3">
                                        <h2 class="card-title">Current Time Sheet  (Pay Period: May 2020)</h2>
                                    </div>
                                        
                                    <div class="table-responsive">                                            
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr class="table-info">
                                                    <th>Time Sheet Name</th>
                                                    <th>Total Hours Submitted</th>
                                                    <th>Total Hours Approved</th>
                                                    <th>Total Hours Rejected</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    
                                                    <td>JSMITH 52020</td>
                                                    <td>88</td><td>88</td><td>88</td>
                                                    <td>
                                                        <div class="text-center">
                                                            <button class="btn edit ml-0 mr-2 pl-0 pr-0" title="Edit Record"><i class="fa fa-pencil " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="View Record"><i class="fa fa-info " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="Print Record"><i class="fa fa-print " aria-hidden="true"></i></button>
                                                            <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                        </div>
                                                    </td>
                                                </tr>
                                            </tbody>

                                        </table>
                                    </div>
                                    
                                    
                                    <div  class="mt-5 mb-3">
                                        <h2 class="card-title">Previous Time Sheets</h2>
                                    </div>
                                        
                                    <div class="table-responsive">                                            
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr class="table-info">
                                                    <th>Time Sheet Name</th>
                                                    <th>Pay Period</th>
                                                    <th>Total Hours Submitted</th>
                                                    <th>Total Hours Approved</th>
                                                    <th>Total Hours Rejected</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <div class="d-flex">
                                                            <img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="images/faces/face3.jpg" alt="profile image">
                                                            <label class="mb-3 mt-2 ml-3">JSMITH - 52020</label>
                                                        </div>
                                                    </td>
                                                    <td>May 20</td>
                                                    <td>88</td><td>88</td><td>88</td>
                                                    <td>
                                                        <div class="text-center">
                                                            <button class="btn edit ml-0 mr-2 pl-0 pr-0 open_modal" title="Edit Record"><i class="fa fa-pencil " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="View Record"><i class="fa fa-info " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="Print Record"><i class="fa fa-print " aria-hidden="true"></i></button>
                                                            <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                        </div>
                                                    </td>
                                                </tr>
                                                
                                                
                                                <tr>
                                                    <td>
                                                        <div class="d-flex">
                                                            <img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="images/faces/face3.jpg" alt="profile image">
                                                            <label class="mb-3 mt-2 ml-3">JSMITH - 52020</label>
                                                        </div>
                                                    </td>
                                                    <td>Jun 20</td>
                                                    <td>88</td><td>88</td><td>88</td>
                                                    <td>


                                                        <div class="text-center">
                                                            <button class="btn edit ml-0 mr-2 pl-0 pr-0 open_modal" title="Edit Record"><i class="fa fa-pencil " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="View Record"><i class="fa fa-info " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="Print Record"><i class="fa fa-print " aria-hidden="true"></i></button>
                                                            <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                        </div>

                                                    </td>
                                                </tr>
                                                
                                                
                                                <tr>
                                                    <td>
                                                        <div class="d-flex">
                                                            <img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="images/faces/face3.jpg" alt="profile image">
                                                            <label class="mb-3 mt-2 ml-3">JSMITH - 52020</label>
                                                        </div>
                                                    </td>
                                                    <td>July 20</td>
                                                    <td>88</td><td>88</td><td>88</td>
                                                    <td>


                                                        <div class="text-center">
                                                            <button class="btn edit ml-0 mr-2 pl-0 pr-0 open_modal" title="Edit Record"><i class="fa fa-pencil " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="View Record"><i class="fa fa-info " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="Print Record"><i class="fa fa-print " aria-hidden="true"></i></button>
                                                            <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                        </div>

                                                    </td>
                                                </tr>
                                                
                                                
                                                
                                                <tr>
                                                    <td>
                                                        <div class="d-flex">
                                                            <img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="images/faces/face3.jpg" alt="profile image">
                                                            <label class="mb-3 mt-2 ml-3">JSMITH - 52020</label>
                                                        </div>
                                                    </td>
                                                    <td>Aug 20</td>
                                                    <td>88</td><td>88</td><td>88</td>
                                                    <td>


                                                        <div class="text-center">
                                                            <button class="btn edit ml-0 mr-2 pl-0 pr-0 open_modal" title="Edit Record"><i class="fa fa-pencil " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="View Record"><i class="fa fa-info " aria-hidden="true"></i></button>
                                                            <button class="btn  ml-0 mr-2 pl-0 pr-0" title="Print Record"><i class="fa fa-print " aria-hidden="true"></i></button>
                                                            <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                        </div>

                                                    </td>
                                                </tr>
                                                
                                            </tbody>

                                        </table>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                    <div class="text-right">
                        <button class="btn btn-primary btn-sm">Save</button>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
        
        
        
    <div class="modal fade pr-0" id="modal1" >
        <div class="modal-dialog  modal-xl mt-0" role="document">
            <!--<form id='form1' >-->
                <div class="modal-content" style="background: #e8eff9;">
                    <div class="modal-header pb-2">
                      <h3 class="modal-title" id="">Time Entry</h3>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>                    
                      </button>

                    </div>
                    <div class="modal-body pt-2">
                        <div class="text-right pb-3">
                            <button class="btn btn-primary btn-sm">Excel</button>
                            <button class="btn btn-primary btn-sm">PDF</button>
                            <button class="btn btn-primary btn-sm">Email</button>
                        </div>
                        <div class="row">
                            <div class="col-xl-12 d-flex grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="d-flex">
                                                    <img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="images/faces/face3.jpg" alt="profile image">
                                                    <h4 class="card-title  mb-3 mt-2 ml-3">John Smith's Time Sheet</h4>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="d-flex">
                                                    <h4>Pay Period: </h4>
                                                    <h4 class="pl-1">May 2020</h4>
                                                </div>
                                                
                                                <div class="d-flex pt-3">
                                                    <h4>Time Sheet Name:</h4>
                                                    <h4 class="pl-1">JSMITH-552020</h4>
                                                </div>
                                                
                                                
                                            </div>
                                            
                                            <div class="col-md-3">
                                                <div class="d-flex">
                                                    <h4>Supervisor: </h4>
                                                    <h4 class="pl-1">John Smith</h4>
                                                </div>
                                            </div>
                                            
                                            <div class="col-md-3">
                                                <div class="d-flex">
                                                    <h4>Team: </h4>
                                                    <h4 class="pl-1">Dev Ops</h4>
                                                </div>
                                            </div>
                                                                                        
                                        </div>
                                        
                                        <div class="row pt-5 mt-3">
                                            <div class="col-md-4">
                                                <i class="fa fa-check"></i> You are approved to work on Holidays
                                            </div>
                                            
                                            <div class="col-md-4">
                                                <i class="fa fa-check"></i> You are approved to work Overtime
                                            </div>
                                            
                                            <div class="col-md-4">
                                                <i class="fa fa-check"></i> You can enter & submit time for others in the team
                                            </div>
                                            
                                            <div class="col-md-5 pt-3">
                                                <i class="fa fa-check"></i> You can correct previously approved time for others in the team
                                            </div>
                                        </div>
                                        <div class="text-right pt-5 ">
                                            <h3><i class="fa fa-info-circle" title="Last time you were here on MM/DD/YYYY HH:MM:SS PDT"></i></h3>
                                            
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        
                            <div class="col-xl-12 d-flex grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="d-flex flex-wrap justify-content-between">
                                            <div class="card-title">My Period To Date Hours</div>
                                            <div>
                                                <label class="pr-1">PTD</label>
                                                <label class="toggle"><input type="checkbox" id="chk_tgl" checked=""><span class="sld round"></span></label>
                                                <label class="pl-1">YTD</label>
                                            </div>
                                            <div>
                                                <i class="fa fa-arrow-circle-o-left cr-point pr-2" style="font-size: 2rem;" Title="Previous"></i>
                                                <i class="fa fa-arrow-circle-o-right cr-point pr-2" style="font-size: 2rem;" Title="Next"></i>
                                            </div>
                                        </div>
                                        
                                      
                                        <div class="row">
                                            
                                            <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                <div class="flot-chart-container">
                                                    <div id="chart_period_todate1" class="flot-chart" ></div>
                                                     <div class="text-center" >January 2020</div>
                                                </div>
                                               
                                            </div>   
                                            
                                            <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                <div class="flot-chart-container">
                                                    <div id="chart_period_todate2" class="flot-chart" ></div>
                                                    <div class="text-center" >February 2020</div>
                                                </div>
                                                
                                            </div>   
                                            
                                            <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                <div class="flot-chart-container">
                                                    <div id="chart_period_todate3" class="flot-chart" ></div>
                                                    <div class="text-center" >March 2020</div>
                                                </div>
                                                
                                            </div>   
                                            
                                            <div class="col-xl-3 pt-2 pb-2 m-0 border">
                                                <div class="flot-chart-container">
                                                    <div id="chart_period_todate4" class="flot-chart" ></div>
                                                    <div class="text-center" >April 2020</div>
                                                </div>
                                                
                                            </div>   
                                            
                                             
                                            
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                            
                            
                            <div class="col-xl-12 d-flex grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="d-flex flex-wrap justify-content-between">
                                            <div class="card-title">My Work Schedule</div>
                                            <div class="form-inline">
                                                <i class="fa fa-arrow-circle-o-left pr-2" style="font-size: 2rem;"></i>
                                                <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">
                                                <i class="fa fa-arrow-circle-o-right pl-2" style="font-size: 2rem;"></i>
                                            </div>
                                        </div>
                                        
                               
                                        <div class="table-responsive pt-3">
                                            <table class="table table-bordered">
                                                <thead class="table-info">
                                                    <tr>
                                                        <th>12:00 AM</th>
                                                        <th>01:00 AM</th>
                                                        <th>02:00 AM</th>
                                                        <th>03:00 AM</th>
                                                        <th>04:00 AM</th>
                                                        <th>05:00 AM</th>
                                                        <th>06:00 AM</th>
                                                        <th>07:00 AM</th>
                                                        <th>08:00 AM</th>
                                                        <th>09:00 AM</th>
                                                        <th>10:00 AM</th>
                                                        <th>11:00 AM</th>
                                                        <th>12:00 PM</th>
                                                        <th>01:00 PM</th>
                                                        <th>02:00 PM</th>
                                                        <th>03:00 PM</th>
                                                        <th>04:00 PM</th>
                                                        <th>05:00 PM</th>
                                                        <th>06:00 PM</th>
                                                        <th>07:00 PM</th>
                                                        <th>08:00 PM</th>
                                                        <th>09:00 PM</th>
                                                        <th>10:00 PM</th>
                                                        <th>11:00 PM</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <?php
                                                            for($i=1;$i<=24;$i++)
                                                            {?>
                                                                <td>&nbsp;</td>
                                                    <?php   }
                                                        ?>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>        
                                            
                                        </div>
                                    </div>
                                </div>
                            
                            <div class="col-xl-12 d-flex grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="card-title">Enter Time</div>
                                            </div>    
                                            <div class="col-md-4 d-flex justify-content-center" id="div_middle1">
                                                <div class="form-inline">
                                                    <i class="fa fa-arrow-circle-o-left pr-2" style="font-size: 2rem;"></i>
                                                    <input type="text" class="form-control form_datetime" id="text_holiday_date" name="text_holiday_date">
                                                    <i class="fa fa-arrow-circle-o-right pl-2" style="font-size: 2rem;"></i>
                                                </div>
                                            </div>    
                                            <div class="col-md-4 d-flex justify-content-end">
                                                <div class="form-inline">
                                                    <i class="fa fa-file-text-o pl-3 cr-point" style="font-size: 2rem;" title="Form" id="title_form"></i>
                                                    <i class="fa fa-calendar-o pl-3 cr-point" style="font-size: 2rem;" title="Calendar" id="title_calendar"></i>
                                                    <i class="fa fa-table pl-3 cr-point" style="font-size: 2rem;" title="Grid" id="title_grid"></i>
                                                </div>
                                            </div>
                                            
                                        </div>
                                        
                                        <div class="row pt-3">
                                            
                                            <div class="col-md-4">
                                                &nbsp;
                                            </div>

                                            <div class="col-md-4 d-flex justify-content-center" id="div_middle2">
                                                <div class="form-inline">
                                                    <h4 class="pr-3"> Monday, February 18,2020 PDT</h4> 
                                                    <label class="badge badge-light">Submitted</label>
                                                </div>    
                                            </div>


                                            <div class="col-md-4 d-flex justify-content-end">
                                                <div class="form-group">
                                                    <label>Copy From Previous Entries</label>
                                                    <select class="form-control"><option>Use this as template</option></select>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        
                                        <div class="d-flex flex-wrap  pb-2 center-box">                    
                                            <div id="project_step1" class="badge step_button_color mb-3" style="background-color: #1b81ff !important;"> Working</div>
                                            <div id="project_step1_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                            <div id="project_step2" class="badge step_button_color disabled-color mb-3" style="background-color: #1b81ff !important;">Submitted</div>
                                            <div id="project_step2_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                            <div id="project_step3" class="badge step_button_color disabled-color mb-3" style="background-color: #1b81ff !important;">Rejected</div>
                                            <div id="project_step3_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
                                            <div id="project_step4" class="badge step_button_color disabled-color mb-3" style="background-color: #1b81ff !important;">Approved</div>                                                                    
                                        </div>
                                        <div class=" border1" id="div_form">
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <div class="form-inline">
                                                            <div class="form-check pb-2 pr-3">
                                                              <label class="form-check-label">
                                                                <input type="radio" class="form-check-input" name="time_options" id="radio1" checked="">
                                                                Task Time
                                                              <i class="input-helper"></i><i class="input-helper"></i></label>
                                                            </div>

                                                            <div class="form-check pb-2 pr-3">
                                                              <label class="form-check-label">
                                                                <input type="radio" class="form-check-input" name="time_options" id="radio1" >
                                                                Leave Time
                                                              <i class="input-helper"></i><i class="input-helper"></i></label>
                                                            </div>
                                                        </div>

                                                        <select class="js-example-basic-single " style="width:60%" id="dropdown_time">
                                                            <option value="">- Select -</option>
                                                            <optgroup label="Project 1">
                                                                <option class ="task_time_type1" value="1">Task 1</option>
                                                                <option class ="task_time_type2" value="2">Task 2</option>
                                                            </optgroup>
                                                            <optgroup label="Project 2">
                                                                <option class ="task_time_type1" value="3">Task 1</option>
                                                                <option class ="task_time_type2" value="4">Task 2</option>
                                                                <option value="5">Task 3</option>
                                                                <option value="6">Task 4</option>
                                                            </optgroup>

                                                        </select>
                                                    </div>
                                                    
                                                    <div class="row mb-4">
                                                        <div class="col-md-12">
                                                            <label class="pr-2">Budgeted Hours for this Task & Pay Period:</label>
                                                            <label class="badge badge-warning">80 Hours</label>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <label class="pr-2">Actual Hours Remaining in this Pay Period:</label>
                                                            <label class="badge badge-success">40 Hours</label>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="row  mb-4">
                                                        <div class="col-md-6">
                                                            <div class="flot-chart-container" style="min-height: 125px;">
                                                            <div id="chart_hours" class="flot-chart" style="    height: 100%;" ></div>
                                                        </div>
                                                            </div>
                                                    </div>
                                                </div>
                                               
                                                <div class="col-md-6">
                                                    <div id ="task_time_type1">
                                                        <div class="form-group  mt-2">
                                                            <h5>Straight Time</h5>
                                                            <div class="row">
                                                                <div class="col-md-2">

                                                                    <div class="form-group">
                                                                        <lable>Hours</lable>
                                                                        <select class="form-control mt-2">
                                                                            <?php
                                                                                for($i=1;$i<=24;$i++)
                                                                                {
                                                                            ?>
                                                                                    <option><?php echo $i; ?></option>
                                                                        <?php } ?>        
                                                                        </select>
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-2">                                                        
                                                                    <div class="form-group">
                                                                        <lable>Minutes</lable>
                                                                        <select class="form-control mt-2">
                                                                            <?php
                                                                                for($i=1;$i<=24;$i++)
                                                                                {
                                                                            ?>
                                                                                    <option><?php echo $i; ?></option>
                                                                        <?php } ?>        
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    
                                                        <div class="form-group  mt-2">
                                                            <h5>Overtime</h5>
                                                            <div class="row">
                                                                <div class="col-md-2">

                                                                    <div class="form-group">
                                                                        <lable>Hours</lable>
                                                                        <select class="form-control mt-2">
                                                                            <?php
                                                                                for($i=1;$i<=24;$i++)
                                                                                {
                                                                            ?>
                                                                                    <option><?php echo $i; ?></option>
                                                                        <?php } ?>        
                                                                        </select>
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-2">                                                        
                                                                    <div class="form-group">
                                                                        <lable>Minutes</lable>
                                                                        <select class="form-control mt-2">
                                                                            <?php
                                                                                for($i=1;$i<=24;$i++)
                                                                                {
                                                                            ?>
                                                                                    <option><?php echo $i; ?></option>
                                                                        <?php } ?>        
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div> 
                                                    </div>
                                                    
                                                    
                                                    <div id ="task_time_type2"  class="d-flex flex-wrap mt-5 pb-2 center-box">
                                                        <button type="button" class="btn btn-success p-5 full-height ml-3 mr-3" >Start</button>
                                                        <h1 class="ml-3 mr-3">01:20:59</h1>
                                                        <button type="button" class="btn btn-warning ml-3 mr-3 p-5 full-height" >Stop & Add Time</button>
                                                    </div>
                                                </div>
                                                

                                        </div>
                                        <div class="row">
                                            
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Comment</label>
                                                    <textarea class="form-control" rows="4"></textarea>
                                                </div>    
                                            </div>
                                        </div>
                                            
                                            
                                            <div class="d-flex flex-wrap justify-content-between pt-3">
                                                <div class="card-title">Previously Entered Time on This Day</div>                                                
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4">                                                
                                                    <label class="badge badge-light">Total Submitted :</label>
                                                    <label class="pl-3">8</label>
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="badge badge-light">Total Approved :</label>
                                                    <label class="pl-3">8</label>
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="badge badge-light">Total Entered :</label>
                                                    <label class="pl-3">8</label>
                                                </div>
                                            </div>

                                            <div class="table-responsive">
                                                <table class="table table-bordered">
                                                    <thead class="table-info">
                                                        <tr>
                                                            <th>Project</th>
                                                            <th>Task</th>
                                                            <th>Straight Time Hours</th>
                                                            <th>Overtime</th>
                                                            <th>Leave Hours</th>
                                                            <th>Status</th>
                                                            <th>Comment</th>
                                                            <th width="9%">Action</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>Project 1</td>
                                                            <td>Task1</td>
                                                            <td>8</td>
                                                            <td>8</td>
                                                            <td>8</td>
                                                            <td>Submitted</td>
                                                            <td>... </td>
                                                            <td>
                                                                <div>
                                                                    <button class="btn delete_record" title="Delete Record"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                                                    <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>Project 2</td>
                                                            <td>Task2</td>
                                                            <td>8</td>
                                                            <td>8</td>
                                                            <td>8</td>
                                                            <td>Submitted</td>
                                                            <td>... </td>
                                                            <td>
                                                                <div>
                                                                    <button class="btn delete_record" title="Delete Record"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                                                    <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>Project 3</td>
                                                            <td>Task3</td>
                                                            <td>8</td>
                                                            <td>8</td>
                                                            <td>8</td>
                                                            <td>Submitted</td>
                                                            <td>... </td>
                                                            <td>
                                                                <div>
                                                                    <button class="btn delete_record" title="Delete Record"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
                                                                    <button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> 
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
    
                                            
                                    </div>        
                                        
                                        <div class=" border1" id="div_calendar">
                                            <h4 class="card-title">Time Entry - Calendar View</h4>
                                            <div id="calendar" class="full-calendar"></div>
                                        </div>
                                        
                                        <div class=" border1" id="div_grid">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <button class="btn btn-primary mb-3" id="btn_projectlist">Enter Time</button>
                                            
                                                <div class="mb-3 ">
                                                    <button type="button" class="btn btn-primary btn-sm mt-2 mr-3" title="Previous Record"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                    <button type="button" class="btn btn-primary btn-sm mt-2 mr-3" title="Next Record"><i class="typcn typcn-chevron-right" aria-hidden="true"></i></button>
                                                </div>
                                            </div>    
                                            <div class="table-responsive">
                                                <table class="table table-bordered" >
                                                    <thead>
                                                        <tr class="table-info">
                                                            <th rowspan="2">Project</th>
                                                            <th rowspan="2">Task</th>
                                                            <th colspan="3">Mon, Dec 2,2019</th>
                                                            <th colspan="3">Tue, Dec 3,2019</th>
                                                            <th colspan="3">Wed, Dec 4,2019</th>
                                                            <th colspan="3">Thu, Dec 5,2019</th>
                                                            <th colspan="3">Fri, Dec 6,2019</th>
                                                            <th colspan="3">Sat, Dec 7,2019</th>
                                                            <th colspan="3">Sun, Dec 8,2019</th>
                                                        </tr>
                                                        <tr  class="table-info">
                                                            <th>Hours</th>
                                                            <th>Status</th>
                                                            <th>Notes</th>
                                                            
                                                            <th>Hours</th>
                                                            <th>Status</th>
                                                            <th>Notes</th>
                                                            
                                                            <th>Hours</th>
                                                            <th>Status</th>
                                                            <th>Notes</th>
                                                            
                                                            <th>Hours</th>
                                                            <th>Status</th>
                                                            <th>Notes</th>
                                                            
                                                            <th>Hours</th>
                                                            <th>Status</th>
                                                            <th>Notes</th>
                                                            
                                                            <th>Hours</th>
                                                            <th>Status</th>
                                                            <th>Notes</th>
                                                            
                                                            <th>Hours</th>
                                                            <th>Status</th>
                                                            <th>Notes</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        
                                                        <tr>
                                                            <td>Project1</td>
                                                            <td>Task 1</td>
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>08.40</td>
                                                            <td><lable class="badge badge-light">Rejected</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>07.32</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>01.35</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                        </tr>
                                                       
                                                        <tr>
                                                            <td>Project1</td>
                                                            <td>Task 2</td>
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>08.40</td>
                                                            <td><lable class="badge badge-light">Rejected</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>07.32</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>01.35</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                        </tr>
                                                        
                                                        
                                                        <tr>
                                                            <td>Project2</td>
                                                            <td>Task 1</td>
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>08.40</td>
                                                            <td><lable class="badge badge-light">Rejected</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>07.32</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>01.35</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                        </tr>
                                                        
                                                        <tr>
                                                            <td>Project3</td>
                                                            <td>Task 1</td>
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>07.32</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>08.40</td>
                                                            <td><lable class="badge badge-light">Rejected</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            
                                                            
                                                        </tr>
                                                        <tr>
                                                            <td>Project3</td>
                                                            <td>Task 2</td>
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>08.40</td>
                                                            <td><lable class="badge badge-light">Rejected</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            
                                                            <td>07.32</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>01.35</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                        </tr>
                                                        <tr>
                                                            <td>Project3</td>
                                                            <td>Task 3</td>
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>08.40</td>
                                                            <td><lable class="badge badge-light">Rejected</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            
                                                            <td>11.05</td>
                                                            <td><lable class="badge badge-light">Submitted</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>07.32</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td>01.35</td>
                                                            <td><lable class="badge badge-light">Approved</lable></td>
                                                            <td><button class="btn btn-primary btn-sm">...</button></td>
                                                            
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>

                                        

                                            
                                        </div>
                                        
                                        <div class="d-flex flex-wrap justify-content-between pt-3" id="div_record_save">
                                            <button class="btn btn-primary btn-sm">Save</button>
                                            <button class="btn btn-primary btn-sm">Update</button>
                                        </div>   
                                        
                                        
                                       
                                        
                                        
                                </div>
                            </div>    
                        
                        
                            </div>
                            
                           
                            
                            <div class="col-xl-12 d-flex grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">                            
                                        
                                        <div class="">
                                                    
                                                    <ul class="nav nav-tabs" role="tablist">
                                                        <li class="nav-item">
                                                            <a class="nav-link active" id="time-entry-tab-head1" data-toggle="tab" href="#time-entry-tab1" role="tab" aria-controls="time-entry-tab1" aria-selected="true">Activity Trail</a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a class="nav-link" id="time-entry-tab-head2" data-toggle="tab" href="#time-entry-tab2" role="tab" aria-controls="time-entry-tab2" aria-selected="false">Attendance</a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a class="nav-link" id="time-entry-tab-head3" data-toggle="tab" href="#time-entry-tab3" role="tab" aria-controls="time-entry-tab3" aria-selected="false">Messages</a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a class="nav-link" id="time-entry-tab-head4" data-toggle="tab" href="#time-entry-tab4" role="tab" aria-controls="time-entry-tab4" aria-selected="false">Submission History</a>
                                                        </li>
                                                    </ul>
                                                    
                                                    <div class="tab-content">
                                                        
                                                        <div class="tab-pane fade show active" id="time-entry-tab1" role="tabpanel" aria-labelledby="time-entry-tab-head1">
                                                            
                                                            
                                                            <div class="timeline">  
                                                                <div class="timeline-wrapper timeline-wrapper-warning">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                
                                                                <div class="timeline-wrapper timeline-wrapper-warning">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                
                                                             </div>    
                                                            
                                                            
                                                            
                                                            
                                                            
                                                            
                                                        </div>
                                                        
                                                        <div class="tab-pane fade" id="time-entry-tab2" role="tabpanel" aria-labelledby="time-entry-tab-head2">
                                                            <table id="table_attendance_tab" class="table table-border" width="100%">
                                                                <thead>
                                                                    <tr class="table-info">
                                                                        <th></th>
                                                                        <th>Note</th>
                                                                        <th>Date</th>
                                                                        <th>Total</th>
                                                                        <th style="display:none;">notes</th>
                                                                    </tr>
                                                                </thead>                                        
                                                            </table>  
                                                        </div>
                                                        <div class="tab-pane fade" id="time-entry-tab3" role="tabpanel" aria-labelledby="time-entry-tab-head3">
                                                            <div class="timeline">  
                                                                <div class="timeline-wrapper timeline-wrapper-warning">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                
                                                                <div class="timeline-wrapper timeline-wrapper-warning">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                
                                                             </div>
                                                        </div>
                                                        
                                                        <div class="tab-pane fade" id="time-entry-tab4" role="tabpanel" aria-labelledby="time-entry-tab-head4">
                                                            <div class="timeline">  
                                                                <div class="timeline-wrapper timeline-wrapper-warning">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                
                                                                <div class="timeline-wrapper timeline-wrapper-warning">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
                                                                    <div class="timeline-badge"></div>
                                                                    <div class="timeline-panel">
                                                                        <div class="timeline-heading">                                                                                
                                                                            <h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>                                                                                    
                                                                        </div>
                                                                        <div class="timeline-body pt-3">
                                                                            <p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
                                                                            
                                                                            <div class="d-flex flex-wrap justify-content-between pb-3 ">
                                                                                <label><i class="fa fa-upload pr-3"></i> 19</label>
                                                                                <h6>19 OCt 2019</h6>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                    </div>
                                                                </div>
                                                                
                                                                
                                                             </div>
                                                        </div>
                                                    </div>                                                    
                                                </div>
                                    </div>
                                </div>
                            </div>    
                            
                        </div>
                        
                    </div>
                </div>
        </div>
    </div>    
    
    
    <div class="modal fade pr-0" id="modal_project_list">
        <div class="modal-dialog modal-xl mt-0 " role="document">                
            <div class="modal-content" style="background: #91b6ea;">
                <div class="modal-header">
                  <h3 class="modal-title" id="modal2_label">Project List</h3>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>                    
                  </button>

                </div>
                <div class="modal-body ">
                    <div class="row">
                        <?php for($i=1;$i<=50;$i++)
                        { ?>
                            <div class="col-md-3 pt-2 pb-2">
                                <h6 class="badge badge-light cr-point md-time-entry"><?php echo "Project $i"; ?></h6>
                            </div>
                        <?php   } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>    
        
        
        
        <div class="modal fade pr-0" id="modal_timeentry">
            <div class="modal-dialog  modal-xl mt-0" role="document">                
                <div class="modal-content" style="background: #e8eff9;">
                    <div class="modal-header">
                        <div class="d-flex">
                            <h3 class="modal-title">PROJECT : Project 1</h3>
                            
                            
                        </div>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>                    
                      </button>

                    </div>
                    <div class="modal-body pt-3">
                        <div class="row">
                             <div class="col-md-2 pb-3">
                                <div class="form-group">
                                    <label>Pay Period</label>
                                    <select class="js-example-basic-single" style="width:100%">
                                        <option value="Planned"> Mar-2020</option>
                                        <option value="Planned"> Feb-2020</option>
                                        <option value="Planned"> Jan-2020</option>
                                    </select> 
                                </div>
                            </div>
                            
                            <div class="col-md-4 pb-3">
                                <div class="form-group">
                                    <label>Select Task</label>
                                    <select class="js-example-basic-single " style="width:100%;">
                                        <option>Task 1</option>
                                        <option>Task 2</option>
                                        <option>Task 3</option>
                                    </select>
                                </div>    
                            </div>
                            
                            <div class="col-md-6 mt-4 pb-3 text-right">
                                <button type="button" class="btn btn-primary btn-sm mt-2 mr-3" title="Previous Period"><i class="typcn typcn-chevron-left" aria-hidden="true" ></i></button>
                                <button type="button" class="btn btn-primary btn-sm mt-2 mr-3" title="Next Period"><i class="typcn typcn-chevron-right" aria-hidden="true"></i></button>
                            </div>
                            
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr class="table-info">
                                            <th width="10%">Date</th>
                                            <th width="8%">Hours</th>
                                            <th width="8%">Status</th>
                                            <th>Notes</th>
                                            <th width="12%">Acton</th>
                                        </tr>                                        
                                    </thead>
                                    <tbody>
                                        <?php for($i=1;$i<=30;$i++)
                                        { ?>
                                        <tr>
                                            <td>Mon, Dec 02, 2019</td>
                                            <td><input type="text" class="form-control"> </td>
                                            <td>Status </td>
                                            <td>
                                                <textarea class="form-control" rows="3">
                                                
                                                </textarea> 
                                            </td>
                                            <td>
                                                <button class="btn btn-primary btn-sm">Save</button>
                                                <button class="btn btn-primary btn-sm">Submit</button>
                                            </td>
                                        </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                        <div class="text-right">
                            <button type="button" class="btn btn-primary btn-sm" id="btnTimeEntryClose">Close</button>
                        </div>
                        
                    </div>
                </div>
            </div>
         </div>   
        
        
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
   <script src="datepicker/bootstrap-datepicker.js"></script>
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    <script src="vendors/flot/jquery.flot.js"></script>
  <script src="vendors/flot/jquery.flot.resize.js"></script>
  <script src="vendors/flot/jquery.flot.categories.js"></script>
  <script src="vendors/flot/jquery.flot.fillbetween.js"></script>
  <script src="vendors/flot/jquery.flot.stack.js"></script>
  <script src="vendors/flot/jquery.flot.pie.js"></script>
  <!--<script src="js/flot-chart.js"></script>-->
    <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
    <script src="vendors/moment/moment.min.js"></script>
    <script src="vendors/fullcalendar/fullcalendar.min.js"></script>
   <!-- <script src="js/calendar.js"></script> -->
    
  <!-- endinject -->  
    <script>
       
    $('.form_datetime').datepicker(
        {
            format:'mm/dd/yyyy',
            defaultDate: '',
            autoclose : true
        });
        
        
    $(".open_modal").click(function()
    {
       $("#modal1").modal("show");
    });
    
    var data = [{
      data: 18000,
      color: '#FABA66',
      label: 'Regular Timeentry'
    },
    {
      data: 20000,
      color: '#F36368',
      label: 'Overtime'
    },
    {
      data: 13000,
      color: '#76C1FA',
      label: 'Leave'
    }
  ];
   var data_hours = [{
      data: 18000,
      color: '#FABA66',
      label: 'Straight Time'
    },
    {
      data: 20000,
      color: '#F36368',
      label: 'Overtime'
    },
    {
      data: 13000,
      color: '#76C1FA',
      label: 'Leave'
    }
  ];

  if ($("#chart_period_todate1").length) {
    $.plot("#chart_period_todate1", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }

  if ($("#chart_period_todate2").length) {
    $.plot("#chart_period_todate2", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  if ($("#chart_period_todate3").length) {
    $.plot("#chart_period_todate3", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
            
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  if ($("#chart_period_todate4").length) {
    $.plot("#chart_period_todate4", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
            
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  
  
    if ($("#chart_hours").length) {
    $.plot("#chart_hours", data_hours, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3/6 ,
            formatter: labelFormatter1,
            background: {
              opacity: 0.5
            }
            
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  function labelFormatter(label, series) 
  {
      return "<div style='font-size:8pt; text-align:center; padding:2px; color:white;'>" + label + "<br/>" + Math.round(series.percent) + "%</div>";    
  }

function labelFormatter1(label, series) 
  {
      return "<div style='font-size:7pt; text-align:center; padding:2px; color:white;'>" + label + "<br/>" + Math.round(series.percent) + "%</div>";    
  }
  
    $(document).ready(function()
    {
       $("#div_form").show();
       $("#div_calendar").hide(); 
       $("#div_grid").hide();
    });
    
    $("#title_form").click(function()
    {
        $("#div_form").show();
        $("#div_calendar").hide(); 
        $("#div_grid").hide();
        
        $("#div_middle1").children().show();
        $("#div_middle2").children().show();
        $("#div_record_save").children().show();
    });
    
    $("#title_calendar").click(function()
    {
        $("#div_form").hide();
        $("#div_calendar").show(); 
        $("#div_grid").hide();
        
        $("#div_middle1").children().hide();
        $("#div_middle2").children().hide();
        $("#div_record_save").children().show();
    });
    
    
    $("#title_grid").click(function()
    {
        $("#div_form").hide();
        $("#div_calendar").hide(); 
        $("#div_grid").show();
        
        $("#div_middle1").children().hide();
        $("#div_middle2").children().hide();
        $("#div_record_save").children().hide();
    });
    
    
    
 (function($) {
  'use strict';
  $(function() {
    if ($('#calendar').length) {
      $('#calendar').fullCalendar({
        header: {
          left: 'prev,next today',
          center: 'title',
          right: 'month,basicWeek,basicDay'
        },
        defaultDate: '2017-07-12',
        navLinks: true, // can click day/week names to navigate views
        editable: true,
        eventLimit: true, // allow "more" link when too many events
        events: [{
            title: 'All Day Event',
            start: '2017-07-08'
          },
          {
            title: 'Long Event',
            start: '2017-07-01',
            end: '2017-07-07'
          },
          {
            id: 999,
            title: 'Repeating Event',
            start: '2017-07-09T16:00:00'
          },
          {
            id: 999,
            title: 'Repeating Event',
            start: '2017-07-16T16:00:00'
          },
          {
            title: 'Conference',
            start: '2017-07-11',
            end: '2017-07-13',
            url: 'http://google.com/'
          },
          {
            title: 'Meeting',
            start: '2017-07-12T10:30:00',
            end: '2017-07-12T12:30:00'
          },
          {
            title: 'Lunch',
            start: '2017-07-12T12:00:00'
          }
        ]
      })
    }
  });
})(jQuery);
    
    $(".md-time-entry").click(function()
    {
        $('#modal_timeentry').modal('show'); 
    });
            
     $("#btn_projectlist").click(function()
     {
         $('#modal_project_list').modal('show'); 
     });
     
     $("#btnTimeEntryClose").click(function()
    {
        $('#modal_timeentry').modal('toggle');
    });
    
$("#dropdown_time").change(function()
{
    //var value = $("#myselection option:selected"); 
    var value = $("#dropdown_time option:selected" ).val();
    if(value=="2")
    {
        $("#task_time_type1").children().hide();
        $("#task_time_type2").children().show();        
    }
    else
    {
        $("#task_time_type1").children().show();
        $("#task_time_type2").children().hide();
    }
});


    //'ajax': 'https://api.myjson.com/bins/16lp6',
/* Formatting function for row details - modify as you need */
function format ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border "  bgcolor="#ECECEC" >'+
            
        '<thead><tr>'+     
            '<th></th>'+
            '<th class="ml-0 pl-0">Time In</th>'+
            '<th class="ml-0 pl-0">Time Out</th>'+
            '<th class="ml-0 pl-0">Break Time Start</th>'+
            '<th class="ml-0 pl-0">Break Time End</th>'+
            '<th class="ml-0 pl-0">Start Meal</th>'+
            '<th class="ml-0 pl-0">Stop Meal</th>'+
            '<th class="ml-0 pl-0">Overt Time Start</th>'+
            '<th class="ml-0 pl-0">Overt Time End</th>'+
        '</tr></thead><tbody>'+
        
        '<tr>'+     
            '<td></td>'+
            '<td class="ml-0 pl-0">'+d.time_in+'</td>'+            
            '<td class="ml-0 pl-0">'+d.time_out+'</td>'+
            '<td class="ml-0 pl-0">'+d.break_time_start+'</td>'+            
            '<td class="ml-0 pl-0">'+d.break_time_end+'</td>'+
            '<td class="ml-0 pl-0">'+d.start_meal+'</td>'+            
            '<td class="ml-0 pl-0">'+d.stop_meal+'</td>'+
            '<td class="ml-0 pl-0">'+d.overtime_start+'</td>'+            
            '<td class="ml-0 pl-0">'+d.overtime_end+'</td>'+
        '</tr></tbody>'+        
    '</table></div>';
}
$(document).ready(function()
{
   $("#task_time_type2").children().hide(); 
   
   
   var table = $('#table_attendance_tab').DataTable({        
        "ajax": "json/time-card-json.txt",
        'columns': [
            {
                'className': 'details-control',
                'orderable':  false,
                'data': null,                
                'defaultContent': ''
            },
            { 
              'orderable': false,              
              'defaultContent': '<button class="btn btn-primary btn-sm notes1 mt-5 mb-5">Note</button> '
            },
            { 'data': 'date' },
            { 'data': 'total' },
            { 'data': 'note','visible':false },
        ],
        "buttons": [['excel' ,'pdf'],{text: 'Email'}],
        'order': [[2, 'asc']],
        'searching':false,
        'paging':false
    });

    // Add event listener for opening and closing details
    $('#table_attendance_tab tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format(row.data())).show();
            tr.addClass('shown');
        }
    });

});
    
    </script>
</body>

</html>
