<?php

require_once "conn.php";
require_once "functions.php";
require_once "functions_attendance.php";

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Reader\Csv;
use PhpOffice\PhpSpreadsheet\Reader\Xlsx;

require 'lib/PhpSpreadsheet/vendor/autoload.php';

$output_dir = "upload/working_hours/temp/";
$tr="";
$element_id=1;
$is_all_data_valid = "";
if(isset($_FILES["myfile"]))
{
    $file_mimes = array('text/x-comma-separated-values', 'text/comma-separated-values', 'application/octet-stream', 'application/vnd.ms-excel', 'application/x-csv', 'text/x-csv', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'text/plain', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

    if(isset($_FILES['myfile']['name']) && in_array($_FILES['myfile']['type'], $file_mimes)) {
        $arr_file = explode('.', $_FILES['myfile']['name']);
        //$extension = end($arr_file);
        $extension = pathinfo($_FILES['myfile']['name'], PATHINFO_EXTENSION);
        
        if($extension=="xlsx")
        {
            if('csv' == $extension) {
                $reader = new \PhpOffice\PhpSpreadsheet\Reader\Csv();
            } else {
                $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
            }
     
            $spreadsheet = $reader->load($_FILES['myfile']['tmp_name']);
            
            $storagename = "upload_wh_".date("Y-m-d").".xlsx";
            move_uploaded_file($_FILES["myfile"]["tmp_name"],$output_dir.$storagename);
            $sheetData = $spreadsheet->getActiveSheet()->toArray();
            
            if (!empty($sheetData)) {
                if(
                    $sheetData[0][0]!="Date"
                    || $sheetData[0][1]!="Regular Time Start"
                    || $sheetData[0][2]!="Regular Time Finish"
                    || $sheetData[0][3]!="Out for Break"
                    || $sheetData[0][4]!="Back from Break"
                    || $sheetData[0][5]!="Out for Meal"
                    || $sheetData[0][6]!="Back from Meal"
                    || $sheetData[0][7]!="Overtime Start"
                    || $sheetData[0][8]!="Overtime Finish"    
                ){
                    //err
                    echo "File format is not valid. Please check and try again.";
                }else{
                    
                    for($i=1; $i<count($sheetData); $i++) {
                        if(
                            $sheetData[$i][0]==""
                            && $sheetData[$i][1]==""
                            && $sheetData[$i][2]==""
                            && $sheetData[$i][3]==""
                            && $sheetData[$i][4]==""
                            && $sheetData[$i][5]==""
                            && $sheetData[$i][6]==""
                            && $sheetData[$i][7]==""
                            && $sheetData[$i][8]==""
                        ){
                            
                        }else{
                            $entere_date = "";
                            $calendar_date = "";
                            $regular_time_start = "";
                            $regular_time_finish = "";
                            $break_time_start = "";
                            $break_time_finish = "";
                            $meal_time_start = "";
                            $meal_time_finish = "";
                            $ot_time_start = "";
                            $ot_time_finish = "";
    
                            $text_clock_in_time = "";
                            $text_clock_out_time = "";
                            
                            $text_break_in_time = "";
                            $text_break_out_time = "";        
                            $text_meal_in_time = "";
                            $text_meal_out_time = "";
    
                            $text_ot_in_time = "";
                            $text_ot_out_time = "";
    
                            if($sheetData[$i][0]!=""){
                                /****/
                                $entere_date	= setDate($sheetData[$i][0],"m/d/Y");
                                $d1 = explode('/', $entere_date);
                                $calendar_date = $d1[2] . '-' . $d1[0] . '-' . $d1[1];
                                /****/
    
                                /****/
                                $regular_time_start	=  setDate($sheetData[$i][1],"h:i A");
                                $text_clock_in_time = date("Y-m-d h:i a",strtotime($regular_time_start." ".$calendar_date));
                                /****/
    
                                /****/
                                $regular_time_finish =  setDate($sheetData[$i][2],"h:i A");
                                $text_clock_out_time = date("Y-m-d h:i a",strtotime($regular_time_finish." ".$calendar_date));
    
                                if($text_clock_in_time!='')
                                {
                                    $difference = differenceInMinutes($text_clock_in_time,$text_clock_out_time);
                                    if($difference<0)
                                    {
                                        $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                        $text_clock_out_time = $new_date." ".$regular_time_finish;
                                    }
                                }
                                /****/
    
                                /****/
                                $break_time_start	=  setDate($sheetData[$i][3],"h:i A");
    
                                $text_break_in_time = date("Y-m-d h:i a",strtotime($break_time_start." ".$calendar_date));
    
                                if($text_clock_in_time!='')
                                {
                                    $difference = differenceInMinutes($text_clock_in_time,$text_break_in_time);
                                    if($difference<0)
                                    {
                                        $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                        $text_break_in_time = $new_date." ".$break_time_start;
                                    }
                                }
                                /****/
    
                                /****/
                                $break_time_finish =  setDate($sheetData[$i][4],"h:i A");
    
                                $text_break_out_time = date("Y-m-d h:i a",strtotime($break_time_finish." ".$calendar_date));
    
                                if($text_clock_in_time!='')
                                {
                                    $difference = differenceInMinutes($text_clock_in_time,$text_break_out_time);
                                    if($difference<0)
                                    {
                                    $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                    $text_break_out_time = $new_date." ".$break_time_finish;
                                    }
                                }
                                /****/
    
                                /****/
                                $meal_time_start	=  setDate($sheetData[$i][5],"h:i A");
    
                                $text_meal_in_time = date("Y-m-d h:i a",strtotime($meal_time_start." ".$calendar_date));
    
                                if($text_meal_in_time!='')
                                {
                                    $difference = differenceInMinutes($text_clock_in_time,$text_meal_in_time);
                                    if($difference<0)
                                    {
                                        $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                        $text_meal_in_time = $new_date." ".$meal_time_start;
                                    }
                                }
                                /****/
    
                                /****/
                                $meal_time_finish =  setDate($sheetData[$i][6],"h:i A");
    
                                $text_meal_out_time = date("Y-m-d h:i a",strtotime($meal_time_finish." ".$calendar_date));
    
                                if($text_clock_in_time!='')
                                {
                                    $difference = differenceInMinutes($text_clock_in_time,$text_meal_out_time);
                                    if($difference<0)
                                    {
                                        $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                        $text_meal_out_time = $new_date." ".$meal_time_finish;
                                    }
                                }
                                /****/
    
                                /****/
                                $ot_time_start	=  setDate($sheetData[$i][7],"h:i A");
    
                                $text_ot_in_time = date("Y-m-d h:i a",strtotime($ot_time_start." ".$calendar_date));
    
                                if($text_clock_in_time!='')
                                {
                                    $difference = differenceInMinutes($text_clock_in_time,$text_ot_in_time);
                                    if($difference<0)
                                    {
                                        $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                        $text_ot_in_time = $new_date." ".$ot_time_start;
                                    }
                                }
                                /****/
    
                                /****/
                                $ot_time_finish =  setDate($sheetData[$i][8],"h:i A");
    
                                $text_ot_out_time = date("Y-m-d h:i a",strtotime($ot_time_finish." ".$calendar_date));
    
                                if($text_clock_in_time!='')
                                {
                                    $difference = differenceInMinutes($text_clock_in_time,$text_ot_out_time);
                                    if($difference<0)
                                    {
                                    $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                    $text_ot_out_time = $new_date." ".$ot_time_finish;
                                    }
                                }
                                /****/
    
                                /******************************/
                                $is_duplicate       = "";
                                $total_records      = 0;
                                $is_holiday         = "";
                                $leave_name         ="";
                                $leaveorholiday     = "";
    
                                if($calendar_date!='')
                                {
                                    $qry = "select * from cxs_atnd_clockinout where calendar_date = '".$calendar_date."' and company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['login_user_array']['user_id']."' AND time_type <> 'time_off'";
                                    $result = mysqli_query($conn,$qry);
                                    if(mysqli_num_rows($result)>0)
                                    {
                                        $total_records = mysqli_num_rows($result);
                                        $is_duplicate="<div class='text-center mt-2'>Duplicate Date</div>";
                                        $is_all_data_valid ="N";
                                    }
    
                                    if($total_records==0)
                                    {
    
                                        $qry = "select * from cxs_holiday where holiday_date = '".$calendar_date."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
                                        $result = mysqli_query($conn,$qry);
                                        if(mysqli_num_rows($result)>0)
                                        {
                                            $row = mysqli_fetch_assoc($result);
                                            $is_holiday="<div class='text-center mt-2'>".$row['holiday_name']."</div>";
                                            $is_all_data_valid ="Y";
                                            $leave_name=$row['holiday_name'];
                                            $leaveorholiday = "holiday";
                                        }
    
                                        $qry = "select cxs_time_off.*,cxs_leave.leave_name from cxs_time_off INNER JOIN cxs_leave ON cxs_leave.id = cxs_time_off.leave_id  where ('".$calendar_date."' BETWEEN from_date AND to_date)  and user_id = '".$_SESSION['login_user_array']['user_id']."' and cxs_time_off.company_id = '".$_SESSION['login_user_array']['company_id']."' AND cxs_time_off.entry_status <> 'rejected'";
    
                                        $result = mysqli_query($conn,$qry);
    
                                        if(mysqli_num_rows($result)>0)
                                        {
                                            $row = mysqli_fetch_assoc($result);
                                            $is_holiday="<div class='text-center mt-2'>".$row['leave_name']."</div>";
                                            $is_all_data_valid ="Y";
                                            $leave_name=$row['leave_name'];
                                            $leaveorholiday = "leave";
                                        }
                                    }
                                }
                                else
                                {
                                    $is_duplicate="<div class='text-center mt-2'>Invalid Date</div>";
                                    $is_all_data_valid ="N";
                                }
                                /******************************/
    
                                /******************************/
                                $show_date = date('D, m/d', strtotime($calendar_date));
    
                                if($is_duplicate=="")
                                {
                                    $tr .= "<tr id='".$element_id."'><td class='pt-3 pb-3'><span class='font-weight-bold'>".$show_date."</span><input type='hidden' value='".$calendar_date."' name='h_calendar_date[]'></td>";
                                }
                                else
                                {
                                    $tr .= "<tr id='".$element_id."'><td class='pt-3 pb-3' bgcolor='red'><span class='font-weight-bold'>".$show_date.$is_duplicate."</span><input type='hidden' value='".$calendar_date."' name='h_calendar_date[]'></td>";
                                }
                                /******************************/
    
                                $is_clock_out_valid = "";
                                $is_break_out_valid = "";
                                $is_meal_out_valid  = "";
                                $is_ot_out_valid    = "";
    
                                
                                $is_break_in_valid  = "";
                                $is_meal_in_valid   = "";
                                $is_ot_in_valid     = "";
                                $is_clock_in_valid  = "";
    
                                /******************************/
                                if($text_clock_in_time!='' && $text_clock_out_time!='')
                                {
                                    if(date("Y-m-d H:i",strtotime($text_clock_out_time)) < date("Y-m-d H:i",strtotime($text_clock_in_time)))
                                    {
                                        $is_clock_out_valid = "bgcolor='red'";
                                    }
                                }
                                /******************************/
                                if($text_break_in_time!='' && $text_break_out_time!='')
                                {
                                    if(date("Y-m-d H:i",strtotime($text_break_out_time)) < date("Y-m-d H:i",strtotime($text_break_in_time)))
                                    {
                                        $is_break_out_valid = "bgcolor='red'";
                                    }
                                }
                                /******************************/
                                if($text_meal_in_time!='' && $text_meal_out_time!='')
                                {
                                    if(date("Y-m-d H:i",strtotime($text_meal_out_time)) < date("Y-m-d H:i",strtotime($text_meal_in_time)))
                                    {
                                        $is_meal_out_valid = "bgcolor='red'";
                                    }
                                }
                                /******************************/
                                if($text_ot_in_time!='' && $text_ot_out_time!='')
                                {
                                    if(date("Y-m-d H:i",strtotime($text_ot_out_time)) < date("Y-m-d H:i",strtotime($text_ot_in_time)))
                                    {
                                        $is_ot_out_valid = "bgcolor='red'";
                                    }
                                }
                                /******************************/
                                if($text_break_in_time!='' && $text_break_out_time!='' && ($text_meal_in_time!=''|| $text_meal_out_time!=''))
                                {
                                    if($text_meal_in_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_break_in_time)),date("Y-m-d H:i",strtotime($text_break_out_time)),date("Y-m-d H:i",strtotime($text_meal_in_time)));
                                        if($is_between==1)
                                        {
                                            $is_meal_in_valid = "bgcolor='red'";
                                        }
                                    }
    
                                    if($text_meal_out_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_break_in_time)),date("Y-m-d H:i",strtotime($text_break_out_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)));
                                        if($is_between==1)
                                        {
                                            $is_meal_out_valid = "bgcolor='red'";                                
                                        }
                                    }
                                }
                                /******************************/
                                if($text_break_in_time!='' && $text_break_out_time!='' && ($text_ot_in_time!='' || $text_ot_out_time!=''))
                                {
                                    if($text_ot_in_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_break_in_time)),date("Y-m-d H:i",strtotime($text_break_out_time)),date("Y-m-d H:i",strtotime($text_ot_in_time)));
                                        if($is_between==1)
                                        {
                                            $is_ot_in_valid = "bgcolor='red'";                                
                                        }
                                    }
                                    if($text_ot_out_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_break_in_time)),date("Y-m-d H:i",strtotime($text_break_out_time)),date("Y-m-d H:i",strtotime($text_ot_out_time)));
                                        if($is_between==1)
                                        {
                                            $is_ot_out_valid = "bgcolor='red'";                                
                                        }
                                    }
                                }
                                /******************************/
                                if($text_meal_in_time!='' && $text_meal_out_time!='' && ($text_break_in_time!='' || $text_break_out_time!=''))
                                {
                                    if($text_break_in_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_meal_in_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)),date("Y-m-d H:i",strtotime($text_break_in_time)));
                                        if($is_between==1)
                                        {
                                            $is_break_in_valid = "bgcolor='red'";                                
                                        }
                                    }
                                    
                                    if($text_break_out_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_meal_in_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)),date("Y-m-d H:i",strtotime($text_break_out_time)));
                                        if($is_between==1)
                                        {
                                            $is_break_out_valid = "bgcolor='red'";
                                        }
                                    }
                                }
                                /******************************/
                                if($text_meal_in_time!='' && $text_meal_out_time!='' && ($text_ot_in_time!=''|| $text_ot_out_time!=''))
                                {
                                    if($text_ot_in_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_meal_in_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)),date("Y-m-d H:i",strtotime($text_ot_in_time)));
                                        if($is_between==1)
                                        {
                                            $is_ot_in_valid = "bgcolor='red'";
                                        }
                                    }
                                    if($text_ot_out_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_meal_in_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)),date("Y-m-d H:i",strtotime($text_ot_out_time)));
                                        if($is_between==1)
                                        {
                                            $is_ot_out_valid = "bgcolor='red'";                                
                                        }
                                    }
                                }
                                /******************************/
                                if($text_clock_in_time!='' && $text_clock_out_time!='' && ($text_ot_in_time!='' || $text_ot_out_time!=''))
                                {
                                    if($text_ot_in_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_clock_in_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)),date("Y-m-d H:i",strtotime($text_ot_in_time)));
                                        if($is_between==1)
                                        {
                                            $is_ot_in_valid = "bgcolor='red'";                                
                                        }
                                    }
    
                                    $is_between = "";
                                    if($text_ot_out_time!="")
                                    {
                                        $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_clock_in_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)),date("Y-m-d H:i",strtotime($text_ot_out_time)));
                                        if($is_between==1)
                                        {
                                            $is_ot_out_valid = "bgcolor='red'";                                
                                        }
                                    }
                                }
                                /******************************/
                                if($is_holiday!="")
                                {
                                    $regular_time_start     = "";
                                    $regular_time_finish    = "";
                                    $break_time_start   = "";
                                    $break_time_finish  = "";
                                    $meal_time_start    = "";
                                    $meal_time_finish   = "";
                                    $ot_time_start      = "";
                                    $ot_time_finish     = "";
                                    
                                    $tr .= '
                                        <td class="text-center " colspan="9">
                                            <div class="pt-1 pb-1">
                                            <input type="text" name="text_clock_in_data[]" value="" style="display:none;">
                                            <input type="text" name="text_clock_out_data[]" value="" style="display:none;">
                                            <input type="text" name="text_break_in_data[]" value="" style="display:none;">
                                            <input type="text" name="text_break_out_data[]" value="" style="display:none;">
                                            <input type="text" name="text_meal_in_data[]" value="" style="display:none;">
                                            <input type="text" name="text_meal_out_data[]" value="" style="display:none;"> 
                                            <input type="text" name="text_overtime_in_data[]" value="" style="display:none;"> 
                                            <input type="text" name="text_overtime_out_data[]" value="" style="display:none;">
                                            <input type="hidden" name="h_status[]" value ="">
                                        ';
                                    if($leaveorholiday=="leave"){
                                        $tr .='<span class="font-weight-bold">LEAVE ('.$leave_name.')</span>';
                                    }
                                    else
                                    {
                                        $tr .='<span class="font-weight-bold">'.$leave_name.'</span>';
                                    }
                                    $tr .='</div>
                                    </td>';
                                }
                                else
                                {
                                    $tr .="<td class='cr-point open_time_popup'><span>".$regular_time_start."</span><input type=hidden name = 'text_clock_in_data[]' id = 'text_clock_in_data".$element_id."' value = '".$regular_time_start."' ></td>".
    
                                    "<td class='cr-point open_time_popup' ".$is_clock_out_valid." ><span>".$regular_time_finish."</span><input type=hidden name = 'text_clock_out_data[]' id = 'text_clock_out_data".$element_id."' value = '".$regular_time_finish."'></td>".
    
                                    "<td class='cr-point open_time_popup' ".$is_break_in_valid."><span>".$break_time_start."</span><input type=hidden name = 'text_break_in_data[]' id = 'text_break_in_data".$element_id."' value = '".$break_time_start."' > <input type=hidden id = 'text_break_in_exceldata".$element_id."' value = '".$break_time_start."' > </td>".
    
                                    "<td class='cr-point open_time_popup' ".$is_break_out_valid." ><span>".$break_time_finish."</span><input type=hidden name = 'text_break_out_data[]' id = 'text_break_out_data".$element_id."' value = '".$break_time_finish."'></td>".
    
                                    "<td class='cr-point open_time_popup' ".$is_meal_in_valid." ><span>".$meal_time_start."</span><input type=hidden name = 'text_meal_in_data[]' id = 'text_meal_in_data".$element_id."' value = '".$meal_time_start."'></td>".
    
                                    "<td class='cr-point open_time_popup' ".$is_meal_out_valid." ><span>".$meal_time_finish."</span><input type=hidden name = 'text_meal_out_data[]' id = 'text_meal_out_data".$element_id."' value = '".$meal_time_finish."'></td>".
    
                                    "<td class='cr-point open_time_popup' ".$is_ot_in_valid." ><span>".$ot_time_start."</span><input type=hidden name = 'text_overtime_in_data[]' id = 'text_overtime_in_data".$element_id."' value = '".$ot_time_start."'></td>".
    
                                    "<td class='cr-point open_time_popup' ".$is_ot_out_valid." ><span>".$ot_time_finish."</span><input type=hidden name = 'text_overtime_out_data[]' id = 'text_overtime_out_data".$element_id."' value = '".$ot_time_finish."'></td>".
    
                                    "<td>Working <input type=hidden name = 'h_status[]' value = 'Working'></td></tr>";
    
                                }
    
                                $element_id++;
                                /******************************/
                            }
                        }
                    }
                    unlink($output_dir.$storagename); 
                }
            }else{
                $msg = 0;
                echo $msg;
            }
        }
        else
        {
            $msg = 0;
            echo $msg;
        }
    }else{
        $msg = 0;
        echo $msg;
    }
}

if($tr!='')
{
    $is_disable = "";
    if($is_all_data_valid =="N")
    {
        $is_disable = "disabled";
    }
    if($is_disable=="")
    {
        if (strpos($tr, "bgcolor='red'") !== false) 
        {
            $is_disable = "disabled";
        }
    }
    $table = '<div class="table-responsive"><table id="table_attendance_excel" class="table table-bordered">'.
            '<thead>
                <tr class="table-info">
                    <th width="7%" class="text-center">Date</th>
                    <th width="10%" class="text-center">Regular Time Start</th>
                    <th width="10%" class="text-center">Regular Time Finish</th>
                    <th width="10%" class="text-center">Out for Break</th>
                    <th width="10%" class="text-center">Back from Break</th>
                    <th width="10%" class="text-center">Out for Meal</th>
                    <th width="10%" class="text-center">Back from Meal</th>
                    <th width="10%" class="text-center">Overtime Start</th>
                    <th width="10%" class="text-center">Overtime Finish</th>
                    <th width="7%" class="text-center">Status</th>
                </tr>
			</thead>'.
            '<tbody>'.$tr.'</tbody></table></div>';
    $table .= '<div class ="mt-3 text-right">'
            . '<input type="button" class="btn btn-primary btn-sm mr-2" id="cmdSave" value="Save" '.$is_disable.' >'
            . '<input type="button" class="btn btn-primary btn-sm " id="cmdExcelCancel" value="Cancel" >'
            . '</div>';
    echo $table;
}
?>