<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Usage Report</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">                                        
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item"><a href="admin.php">Admin Panel</a></li>
                                            <li class="breadcrumb-item active" aria-current="page">Usage Report</li>                                            
                                        </ol>    
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between pb-2">
                                        <h4 class="card-title mb-3">Attendance Tracking</h4>
                                    </div>

                                    <div class="row">                                       
                                        <div class="col-12">                                            
                                            <div class="table-responsive">
                                                <table id="table1" class="table table-bordered">
                                                    <thead>
                                                      <tr class="table-info">
                                                          <th class="text-center" width="19%">Full Name</th>
                                                          <th class="text-center" width="19%">User Email</th>
                                                          <th class="text-center" width="14%">Last Login Date Time</th>                                                              
                                                          <th class="text-center" width="12%">Average Duration</th> 
                                                          <th class="text-center" width="14%">Number of Projects Updated</th>                                                              
                                                          <th class="text-center" width="14%">Number of Projects Created</th>
                                                          <th width="8%">Actions</th>
                                                      </tr>
                                                    </thead>
                                                    <tfoot>
                                                        <tr>
                                                            <th class="searc">Full Name</th>
                                                            <th class="searc"> User Email</th>
                                                            <th class="searc">Last Login </th>
                                                            <th class="searc"> Duration</th>
                                                            <th class="searc">Projects Updated</th>
                                                            <th class="searc">Projects Created</th>
                                                            <th></th>
                                                        </tr>
                                                    </tfoot>   
                                                    
                                                    <tbody>
                                                        <tr>
                                                            <td>John Smith</td>
                                                            <td>jsmit@jsmit.com</td>
                                                            <td >December 12,2020</td>
                                                            <td>15 Minutes</td>
                                                            <td></td>  
                                                            <td></td>
                                                            <td class="text-center"><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        <tr>
                                                            <td>John Smith</td>
                                                            <td>jsmit@jsmit.com</td>
                                                            <td >December 12,2020</td>
                                                            <td>15 Minutes</td>
                                                            <td></td>  
                                                            <td></td>
                                                            <td class="text-center"><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                        <tr>
                                                            <td>John Smith</td>
                                                            <td>jsmit@jsmit.com</td>
                                                            <td >December 12,2020</td>
                                                            <td>15 Minutes</td>
                                                            <td></td>  
                                                            <td></td>
                                                            <td class="text-center"><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>
                                                        </tr>
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    
  <!-- endinject -->  
    <script>
       /*
        $(document).ready(function()
        {
            $('#table1').dataTable({
              "searching": false,
              columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
              "dom": 'lBfrtip',
              "buttons": [['excel' ,'pdf'],{text: 'Email'}]
            });
        });    */
    
        var table = $('#table1').DataTable({
                "searching": false,
              columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
              "dom": 'lBfrtip',
              "buttons": [['excel' ,'pdf'],{text: 'Email'}]
	}); 
         
        $('#table1 tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () {
		var that = this;

		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) 
                        {
                            that
                            .search( this.value )
                            .draw();
			}
		});
	}); 
        var sortBy = 2;
	table.
		order([sortBy, 'desc'])
		.draw();
    </script>
</body>

</html>
