<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
    header("location:".SITEURL."dashboard/");
}

$selectedid = isset($_GET['id'])?$_GET['id']:'';
if($selectedid!=""){
    $selectedid = getvalue("cxs_employee","employee_id"," WHERE md5(employee_id)='".$selectedid."'");
}
$Title = ($selectedid=='')?"New Employee":"Edit Employee";
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Employee</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/dropify/dropify.min.css">    
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item"><a href="<?php echo SITEURL."account/employees/"; ?>">Manage Employee</a></li>                                              
                                            <li class="breadcrumb-item active" aria-current="page"><?php echo $Title; ?></li>        
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h2 class="card-title add_title"><?php echo $Title; ?> </h2>
                                        <?php                                         
                                        if($selectedid!='' && $_SESSION['login_user_array']['user_plan']=='ENTERPRISE'){ ?>
                                        <div class="form-group">                                            
                                            <button type="button" class="btn btn-primary btn-sm prev-next-navigation" title="Previous Record" id="btnPrevRecord"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                            <button type="button" class="btn btn-primary  btn-sm prev-next-navigation " title="Next Record" id="btnNextRecord"><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                        </div>
                                        <?php } ?>
                                        
                                    </div>
                                    
                                    <form class="form-sample add_asset add_frm" id="form1" novalidate="novalidate" method="post"> 
                                        <div class="row">
                                            <div class="col-md-12"><hr></div>
                                            
                                            <div class="col-md-12">                                                
                                                <div class="row">                                                    
                                                    <div class="col-md-3">
                                                      <div class="form-group">
                                                            <label>User Name</label>                                                            
                                                            <select class="js-example-basic-single w-100 requirefieldcls" name="combo_username" id="combo_username">
                                                                <option value="">- Select User -</option>
                                                                <?php
                                                                    if($_SESSION['login_user_array']['user_role']=='User')
                                                                    {
                                                                        $qry = "select * from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['login_user_array']['user_id']."' order by user_email";
                                                                    }  
                                                                    else if($_SESSION['login_user_array']['user_role']=='Manager')
                                                                    {
                                                                        $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");
                                                                
                                                                        $qry = "select cxs_user.* from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id
                                                                        WHERE cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."' AND (cxs_employee.supervisor_id='".$supervisor_id."' OR cxs_employee.employee_id ='".$supervisor_id."') order by user_email";                                                                 
                                                                    }
                                                                    else if($_SESSION['login_user_array']['user_role']=='Admin')
                                                                    {
                                                                        $qry = "select * from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."' order by user_email";
                                                                    }    
                                                                    $result = mysqli_query($conn,$qry);
                                                                    if(mysqli_num_rows($result)>0)
                                                                    {
                                                                        while($row = mysqli_fetch_assoc($result))
                                                                        {?>
                                                                            <option value="<?php echo $row['user_id']; ?>"> <?php echo $row['user_email'];  ?></option>
                                                                <?php    }
                                                                    }
                                                                ?>                                                                 
                                                            </select> 
                                                            <div id="user_msg"></div>
                                                      </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>First Name</label>
                                                            <input type="text" class="form-control requirefieldcls" name="text_first_name" id="text_first_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Full Name.">
                                                        </div>
                                                    </div> 

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                              <label>Last Name</label>
                                                              <input type="text" class="form-control requirefieldcls" name="text_last_name" id="text_last_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Full Name.">
                                                        </div>
                                                    </div> 
                                                    
                                                       
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>Supervisor</label>              
                                                            
                                                            <select class="js-example-basic-single w-100 requirefieldcls" name="combo_supervisor" id="combo_supervisor">
                                                                <option value="">- Select Supervisor -</option>
                                                                <?php
                                                                    $qry = "select  cxs_user.full_name,employee_id from cxs_employee inner join cxs_user on cxs_user.user_id = cxs_employee.user_id where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."'  order by cxs_user.full_name";
                                                                    $result = mysqli_query($conn,$qry);
                                                                    if(mysqli_num_rows($result)>0)      
                                                                    {
                                                                        while($row = mysqli_fetch_assoc($result))
                                                                        {?>
                                                                            <option value="<?php echo $row['employee_id']; ?>"> <?php echo $row['full_name'];  ?></option>
                                                                <?php   }
                                                                    }
                                                                ?>                                                                 
                                                            </select>
                                                            <div id="supervisor_msg"></div>
                                                        </div>
                                                    </div> 
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>Start Date</label>                                                        
                                                            <div id="text_fromdate" class="input-group date datepicker form_date ">
                                                                <input type="text" class="form-control requirefieldcls" id="text_startdate" name="text_startdate" autocomplete="off">
                                                                <span class="input-group-addon input-group-append border-left">
                                                                  <span class="typcn typcn-calendar-outline input-group-text"></span>
                                                                </span>
                                                            </div>
                                                            <div  class="mt-2"><span class="mt-2" id="span_text_startdate"></span></div>
                                                        </div>
                                                    </div>  
                                                    
                                                     <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>End Date</label>                                                        
                                                            <div id="text_fromdate" class="input-group date datepicker form_date ">
                                                                <input type="text" class="form-control" id="text_enddate" name="text_enddate" autocomplete="off">
                                                                <span class="input-group-addon input-group-append border-left">
                                                                  <span class="typcn typcn-calendar-outline input-group-text"></span>
                                                                </span>
                                                            </div>
                                                            <div  class="mt-2"><span class="mt-2" id="span_text_enddate"></span></div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                    </div>    
                                                    <div class="col-md-3">
                                                        <div class="form-inline pt-4" style="float:right;">
                                                            <div class="form-check pb-2 pr-3">
                                                              <label class="form-check-label">
                                                                <input type="radio" class="form-check-input" name="check_exempt" id="radio_exempt" value="Y" checked> Exempt 
                                                              <i class="input-helper"></i></label>
                                                            </div>


                                                            <div class="form-check pb-2 pr-3">
                                                              <label class="form-check-label">
                                                                <input type="radio" class="form-check-input" name="check_exempt" id="radio_non_exempt" value="N"  >Non Exempt 
                                                              <i class="input-helper"></i></label>
                                                            </div>

                                                        </div>
                                                        
                                                    </div>
                                                    <div class="col-md-12 ">
<!--                                                        <div class="form-check " style="float:right;">
                                                            <label class="form-check-label" >
                                                                <input type="checkbox" class="form-check-input" id="check_exempt" name="check_exempt" value="1">
                                                                Exempt
                                                              <i class="input-helper" ></i>
                                                            </label>                                                            
                                                        </div>-->
                                                        
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Address1</label>
                                                              <input type="text" class="form-control" autocomplete="off" name="text_address1" id="text_address1" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Address1.">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Phone1</label>
                                                              <input type="text" class="form-control " name="text_phone1" id="text_phone1" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Phone1.">
                                                        </div>
                                                    </div>


                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Address2</label>
                                                              <input type="text" class="form-control " name="text_address2" id="text_address2" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Address2.">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Phone2</label>
                                                              <input type="text" class="form-control " name="text_phone2" id="text_phone2" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Phone2.">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Address3</label>
                                                              <input type="text" class="form-control " name="text_address3" id="text_address3" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Address3.">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Email</label>
                                                              <input type="text" class="form-control " name="text_email" id="text_email" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Email.">
                                                        </div>
                                                    </div>


                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>City</label>
                                                              <input type="text" class="form-control " name="text_city" id="text_city" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter City.">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Linkdin</label>
                                                              <input type="text" class="form-control " name="text_linkdin" id="text_linkdin" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Linkdin.">
                                                        </div>
                                                    </div>


                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label>State &nbsp;&nbsp;</label>
                                                            <select class="js-example-basic-single w-100 mr-2" name="combo_state" id="combo_state" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Select State.">
                                                                <option value=""> - State -  </option>
                                                                <option value="Alabama - AL"> Alabama - AL</option>
                                                                <option value="Alaska - AK">Alaska - AK</option>
                                                                <option value="Arizona - AZ">Arizona - AZ</option>
                                                                <option value="Arkansas - AR">Arkansas - AR</option>
                                                                <option value="California - CA">California - CA</option>
                                                                <option value="Colorado - CO">Colorado - CO</option>
                                                                <option value="Connecticut - CT">Connecticut - CT</option>
                                                                <option value="Delaware - DE">Delaware - DE</option>
                                                                <option value="Florida - FL">Florida - FL</option>
                                                                <option value="Georgia - GA">Georgia - GA</option>
                                                                <option value="Hawaii - HI">Hawaii - HI</option>
                                                                <option value="Idaho - ID">Idaho - ID</option>
                                                                <option value="Illinois - IL">Illinois - IL</option>
                                                                <option value="Indiana - IN">Indiana - IN</option>
                                                                <option value="Iowa - IA">Iowa - IA</option>
                                                                <option value="Kansas - KS">Kansas - KS</option>
                                                                <option value="Kentucky - KY">Kentucky - KY</option>
                                                                <option value="Louisiana - LA">Louisiana - LA</option>
                                                                <option value="Maine - ME">Maine - ME</option>
                                                                <option value="Maryland - MD">Maryland - MD</option>
                                                                <option value="Massachusetts - MA">Massachusetts - MA</option>
                                                                <option value="Michigan - MI">Michigan - MI</option>
                                                                <option value="Minnesota - MN">Minnesota - MN</option>
                                                                <option value="Mississippi - MS">Mississippi - MS</option>
                                                                <option value="Missouri - MO">Missouri - MO</option>
                                                                <option value="Montana - MT">Montana - MT</option>
                                                                <option value="Nebraska - NE">Nebraska - NE</option>
                                                                <option value="Nevada - NV">Nevada - NV</option>
                                                                <option value="New Hampshire - NH">New Hampshire - NH</option>
                                                                <option value="New Jersey - NJ">New Jersey - NJ</option>
                                                                <option value="New Mexico - NM">New Mexico - NM</option>
                                                                <option value="New York - NY">New York - NY</option>
                                                                <option value="North Carolina - NC">North Carolina - NC</option>
                                                                <option value="North Dakota - ND">North Dakota - ND</option>
                                                                <option value="Ohio - OH">Ohio - OH</option>
                                                                <option value="Oklahoma - OK">Oklahoma - OK</option>
                                                                <option value="Oregon - OR">Oregon - OR</option>
                                                                <option value="Pennsylvania - PA">Pennsylvania - PA</option>
                                                                <option value="Rhode Island - RI">Rhode Island - RI</option>
                                                                <option value="South Carolina - SC">South Carolina - SC</option>
                                                                <option value="South Dakota - SD">South Dakota - SD</option>
                                                                <option value="Tennessee - TN">Tennessee - TN</option>
                                                                <option value="Texas - TX">Texas - TX</option>
                                                                <option value="Utah - UT">Utah - UT</option>
                                                                <option value="Vermont - VT">Vermont - VT</option>
                                                                <option value="Virginia - VA">Virginia - VA</option>
                                                                <option value="Washington - WA">Washington - WA</option>
                                                                <option value="West Virginia - WV">West Virginia - WV</option>
                                                                <option value="Wisconsin - WI">Wisconsin - WI</option>
                                                                <option value="Wyoming - WY">Wyoming - WY</option>
                                                                <option value="American Samoa - AS">American Samoa - AS</option>
                                                                <option value="District of Columbia - DC">District of Columbia - DC</option>
                                                                <option value="Federated States of Micronesia - FM">Federated States of Micronesia - FM</option>
                                                                <option value="Guam - GU">Guam - GU</option>
                                                                <option value="Marshall Islands - MH">Marshall Islands - MH</option>
                                                                <option value="Northern Mariana Islands - MP">Northern Mariana Islands - MP</option>
                                                                <option value="Palau - PW">Palau - PW</option>
                                                                <option value="Puerto Rico - PR">Puerto Rico - PR</option>
                                                                <option value="Virgin Islands - VI">Virgin Islands - VI</option>
                                                          </select> 
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Twitter</label>
                                                              <input type="text" class="form-control " name="text_twitter" id="text_twitter" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Twitter.">
                                                        </div>
                                                    </div>


                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                              <label>Zip</label>
                                                              <input type="text" class="form-control " name="text_zip" id="text_zip" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Zip.">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label>Country</label>
                                                            <input type="text" class="form-control " name="text_country" id="text_country" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Country.">
                                                        </div>
                                                    </div>

                                                </div>
                                            
                                            </div>
                                            
					</div>	
                                        
                                        <div class="row">                                           
                                            <div class="col-md-10 text-center">
                                                <label id="msg_save" class="badge badge-info">Record has been updated.</label>
                                            </div>
                                            <div class="col-md-2 text-right">
                                                <input type="hidden" id="h_selectedid" name="h_selectedid" value="<?php echo $selectedid ; ?>">
                                                <input class="btn btn-primary btn-sm" type="button" value="Save & Add New" name="btnSave" id="btnSave">
                                                <?php 
                                                $allow_new="N";     
                                               
                                                if($_SESSION['login_user_array']['user_plan']=='ENTERPRISE' && $_SESSION['login_user_array']['user_role']=='Admin')
                                                {
                                                    $allow_new ="Y";
                                                } ?>   
                                                <input type='hidden' id="h_allow_new" name ="h_allow_new" value="<?php echo $allow_new ; ?>">
                                            </div>
                                        </div>
                                    </form>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>   
         <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
        <!-- container-scroller ends-->
    </div>
        <!-- container-scroller page-body-wrapper ends-->
  <!-- base:js -->
  
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>  
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>  
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script> 
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script> 
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script> 
<script src="<?php echo SITEURL; ?>js/select2.js"></script> 
<script src="<?php echo SITEURL; ?>vendors/dropify/dropify.min.js"></script>   
<script src="<?php echo SITEURL; ?>js/dropify.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
  <!-- endinject -->  
    <script>
    $('.form_date').datepicker(
    {
        format:'mm/dd/yyyy',
        defaultDate: '',
        autoclose : true,
        todayHighlight: true
    });

    $('#combo_username').on('click change', function(e) 
    {
        form_element_correct($("#user_msg")); 
    });
    
    $("#combo_supervisor").click(function()
    {
        form_element_correct($("#supervisor_msg")); 
    });    
    $("#btnSave").click(function()
    {
        var flag = true;
        form_element_correct($("#user_msg")); 
        form_element_correct($("#text_first_name")); 
        form_element_correct($("#text_last_name")); 
        form_element_correct($("#span_text_startdate"));
        /*form_element_correct($("#span_text_enddate"));*/
        
        if($("#text_startdate").val()=='')
        {
            $("#span_text_startdate").addClass('error_ele mb-1');
            $("#span_text_startdate").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#text_startdate").focus();
            flag = false;
        }

        /*if($("#text_enddate").val()=='')
        {
            $("#span_text_enddate").addClass('error_ele mb-1');
            $("#span_text_enddate").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#text_enddate").focus();
            flag = false;
        }*/

        if($("#combo_username").val()=='')
        {
            $("#user_msg").addClass('error_ele mb-1');
            $("#user_msg").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#combo_username").focus();
            flag = false;
        }

        if($("#text_first_name").val()=='')
        {
            $("#text_first_name").addClass('error_ele mb-1');
            $("#text_first_name").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#text_first_name").focus();
            flag = false;
        }

        if($("#text_last_name").val()=='')
        {
            $("#text_last_name").addClass('error_ele mb-1');
            $("#text_last_name").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
            $("#text_last_name").focus();
            flag = false;
        }

        if(flag != false)
        {
            $.ajax({
                url: SITEURL+"aj/employee/",
                method: "POST",
                data: {REQUEST: 'check_employee_with_user', user_id:$("#combo_username").val(),selected_id:$("#h_selectedid").val()},
                success: function (response)
                {  
                    form_element_correct($("#user_msg")); 
                    if(response.succ==0)
                    {
                        $("#user_msg").addClass('error_ele mb-1');
                        $("#user_msg").after('<span role="alert" class="not-valid-tip">This user name is already in use.</span>');
                        $("#combo_username").focus();                        
                        flag=false;
                    }
                    else if(response.succ==1 && flag==true)
                    {
                       
                        $("#combo_username").attr("disabled", false);
                        $("#combo_supervisor").attr("disabled", false);
                        
                        var login_user_role = "<?php echo $_SESSION['login_user_array']['user_role']; ?>";
                        if(login_user_role!='Admin')
                        {
                            $("#combo_username").attr("disabled", true);
                            $("#combo_supervisor").attr("disabled", true);
                        }
                        
                        var formdata = $('#form1').serialize();     
                        
                        
                        var selected_id = $("#h_selectedid").val();
                        form_element_correct($("#supervisor_msg")); 
                        
                        $.ajax({
                            url: SITEURL+"aj/employee/",
                            method: "POST",                            
                            data: {REQUEST: 'save_employe_data', form1: formdata,selected_id:selected_id},
                            success: function (response1)
                            {
                                if(response1.succ==-1)
                                {
                                    $("#supervisor_msg").addClass('error_ele mb-1');
                                    $("#supervisor_msg").after('<span role="alert" class="not-valid-tip">Do not become your own supervisor.</span>');
                                    $("#combo_supervisor").focus();   
                                }
                                else if(response1.succ==1)
                                {
                                    var allow_new = $("#h_allow_new").val();                                    
                                    $("#msg_save").show().delay(5000).fadeOut();
                                    if (allow_new=="Y")
                                    {
                                        window.location.href = SITEURL+"account/employees/add/";
                                    }
                                }    
                               //window.location.href = "add-manage-users.php?id="+response1.Headerid;
                            }
                        });
                       

                    }

                }
            });
        }
            if(flag==false)
            {
                return false;
            }
    });

   
    $(document).ready(function()
    {
        $("#msg_save").hide();        
        //$("#msg_manage_subsriptions").hide();
        setDropdownRequiredBackground();
        if($("#h_selectedid").val()!='')
        {
            get_manage_employee($("#h_selectedid").val());    
        }    
    });   
    function get_manage_employee(selected_id)
    {
        $.ajax({
                url: SITEURL+"aj/employee/",
                method: "POST",
                data: {REQUEST: 'get_employee_data', selected_id:selected_id},
                success: function (response)
                {  
                    console.log(response); 
                    if(response.succ==1)
                    {
                        $("#h_selectedid").val(response.fetch_data['employee_id']);
                        
                        $("#text_startdate").val(response.fetch_data['start_date']);
                        $('#text_startdate').datepicker("update");
                        $("#text_enddate").val(response.fetch_data['end_date']);
                        $('#text_enddate').datepicker("update");
                        $("#combo_username").val(response.fetch_data['user_id']);
                        $('#combo_username').select2();
                        $("#text_first_name").val(response.fetch_data['first_name']);
                        $("#text_last_name").val(response.fetch_data['last_name']);
                        if(response.fetch_data['supervisor_id']==0)
                        {
                            $("#combo_supervisor").val('');
                        }
                        else
                        {
                            $("#combo_supervisor").val(response.fetch_data['supervisor_id']);
                        }    
                        $('#combo_supervisor').select2();
                        /*$("#check_exempt").prop("checked",response.fetch_data['exempt_flag']=="Y"?true:false);*/
                        if(response.fetch_data['exempt_flag']=="Y")
                        {
                            $("#radio_exempt").attr('checked',true);
                        }
                        else if(response.fetch_data['exempt_flag']=="N")
                        {
                            $("#radio_non_exempt").attr('checked',true);
                        }
                        $("#text_address1").val(response.fetch_data['address1']);
                        $("#text_address2").val(response.fetch_data['address2']);
                        $("#text_address3").val(response.fetch_data['address3']);

                        $("#text_city").val(response.fetch_data['city']);
                        $("#combo_state").val(response.fetch_data['state']);
                        $('#combo_state').select2();
                        $("#text_zip").val(response.fetch_data['zip']);

                        $("#text_country").val(response.fetch_data['country']);
                        $("#text_phone1").val(response.fetch_data['phone1']);
                        $("#text_phone2").val(response.fetch_data['phone2']);
                        
                        $("#text_email").val(response.fetch_data['email']);
                        $("#text_linkdin").val(response.fetch_data['social_profile1']);
                        $("#text_twitter").val(response.fetch_data['social_profile2']);
                        if(response.Login_User_Role!='Admin')
                        {
                            $("#combo_username").attr("disabled", true);
                            $("#combo_supervisor").attr("disabled", true);
                        }
                        else
                        {
                            $("#combo_username").attr("disabled", false);
                            $("#combo_supervisor").attr("disabled", false);
                        }
                        setDropdownRequiredBackground();
                    }
                }
            });
    }   
    
    $(".prev-next-navigation").click(function()
    {
        var btn = $(this).attr("id");
        var selected_id = $("#h_selectedid").val();
        var navigation_action = "";
        if(btn=="btnNextRecord")
        {
            navigation_action = "next";
        }
        else if(btn=="btnPrevRecord")
        {
            navigation_action = "prev";
        }

        //get_manage_users_data

        $.ajax({
            url: SITEURL+"aj/employee/",
            method: "POST",
            data: {REQUEST: 'get_manage_employee_id',selected_id:selected_id,navigation_action:navigation_action},
            success: function (response)
            {
                //console.log(response);
                get_manage_employee(response.Headerid);
            }
        });
    });
    
    
    </script>
</body>

</html>
