<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(!isset($_SESSION['caution'])){
	check_caution_conditions();
}
$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
$date = new DateTime("now", new DateTimeZone($currTz) );
$curTime = $date->format('Y-m-d H:i:s');

$curretnt_user_image = $_SESSION['login_user_array']['image_name'];
$current_img_src = SITEURL."images/faces/default_face.png";
if($curretnt_user_image!='')
{
   $current_img_src = SITEURL."img/uploads/user_images/".$curretnt_user_image;
}    
	
	
$last_login_time = "";
$qry = "select login_timestamp from cxs_logins where  cxs_logins.user_id = '".$_SESSION['login_user_array']['user_id']."' order by id desc limit 1";        
$result = mysqli_query($conn,$qry);
if(mysqli_num_rows($result)>0)
{
	$row = mysqli_fetch_assoc($result);
	$login_time = $row['login_timestamp'];
	
	$last_login_time = date('F jS Y h:i:s a',strtotime($login_time));
			
}

if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!="" && !isset($_SESSION['hostedpage_id'])){
	$hostedpage_id = $_REQUEST['hostedpage_id'];
	updateCardDetail($hostedpage_id);
}

$user_img_url = SITEURL."images/faces/default_face.png";
if($_SESSION['login_user_array']['image_name']!="" && file_exists("img/uploads/user_images/".$_SESSION['login_user_array']['image_name'])){
	$user_img_url = SITEURL."img/uploads/user_images/".$_SESSION['login_user_array']['image_name'];
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Administration</title>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/owl-carousel/owl.carousel.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/owl-carousel/owl.theme.default.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/dropify/dropify.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<style>
@media (min-width: 576px) {
.card-columns {
 column-count: 1 !important;
}
}
#div_recent_activity {
	height: 300px;
    overflow: hidden;
}
#div_recent_activity table{
	background: rgba(41, 68, 124,0.2);
}
.owl-carousel .card{
	margin-bottom:0;
}
.tab-content{
	padding: 1rem 1rem;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<?php 
				$h_do_not_show_video = getvalue("cxs_user","do_not_show_video","where user_id = '".$_SESSION['login_user_array']['user_id']."'");
				?>
				<input type="hidden" id="h_do_not_show_video" name="h_do_not_show_video"  value='<?php echo $h_do_not_show_video; ?>' >
				<div class="row">
					<div class="col-md-12" id="main_col_1">
						<div class="card-columns">
							<!-- CARD - 1 -->
							<div class="card" id="card_1">
								<div class="card-body">
									<div>
										<div class="d-flex flex-wrap justify-content-between">
											<h4 class="card-title   mb-1">Welcome, <a href="javascript:void(0);" id="btn_user_name" class="common-edit-link mr-2" title="Update Your Name/Photo"><?php echo $_SESSION['login_user_array']['full_name']; ?></a> <small><a href="<?php echo SITEURL."account/users/edit/".md5($_SESSION['login_user_array']['user_id'])."/?view=true"; ?>"class="common-edit-link">(Your User Profile)</a></small></h4>
											<h4 class="font-weight-bold  mb-1"><?php echo date('F jS Y', strtotime($curTime)); ?></h4>
										</div>
										<div class="d-flex flex-wrap justify-content-between">
											<div>&nbsp;&nbsp;</div>
											<h5 class="font-weight-bold mb-3"><?php echo $_SESSION['login_user_array']['user_timezone']; ?></h5>
										</div>
									</div>
									<div class="d-sm-flex flex-row flex-wrap text-center text-sm-left align-items-center"> <img src="<?php echo $current_img_src."?t=".time(); ?>" class="img-lg rounded" alt="">
										<div class="ml-sm-3 ml-md-0 ml-xl-3 mt-2 mt-sm-0 mt-md-2 mt-xl-0">
											<h6 class="mb-0 font-weight-bold">Your last login :</h6>
											<p class="mb-1"> <?php echo $last_login_time; ?></p>
										</div>
									</div>
								</div>
							</div>
							<!-- CARD - 1 -->
							<div class="card">
								<div class="card-body">
									<div class="d-flex flex-wrap justify-content-between">
										<h5 class="card-title mb-3">Page Shortcut(s) <span id="shortcut_count"></span></h5>
									</div>
									<div class="owl-carousel owl-theme">
									<?php
									$is_shortcut = false;
									$tab_pages_setting_arr = explode(",",str_replace(" ","",$tab_pages_setting));
									$tab_pages_attendance_arr = explode(",",str_replace(" ","",$tab_pages_attendance));
									$tab_pages_issue_arr = explode(",",str_replace(" ","",$tab_pages_issue));
									$tab_pages_expense_arr = explode(",",str_replace(" ","",$tab_pages_expense));
									$tab_pages_project_arr = explode(",",str_replace(" ","",$tab_pages_project));
									$tab_pages_time_tracking_arr = explode(",",str_replace(" ","",$tab_pages_time_tracking));
									$tab_pages_invoice_arr = explode(",",str_replace(" ","",$tab_pages_invoice));
									
									$selectQuery 	= "SELECT * FROM `cxs_shortcut_pages` WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
									$RunUserQuery	= mysqli_query($conn, $selectQuery);
									$shortcut_count = mysqli_num_rows($RunUserQuery);
									if($shortcut_count>0){
										$is_shortcut = true;
										while($rows=mysqli_fetch_assoc($RunUserQuery)){
											$page_name 	= htmlentities($rows["page_name"]);
											$page_title = htmlentities($rows["page_title"]);	
											
											if(in_array($page_name,$tab_pages_setting_arr)){
												$img_url = SITEURL."images/shortcut-nav-icon/settings.png";
											}else if(in_array($page_name,$tab_pages_attendance_arr)){
												$img_url = SITEURL."images/shortcut-nav-icon/attendance.png";
											}else if(in_array($page_name,$tab_pages_issue_arr)){
												$img_url = SITEURL."images/shortcut-nav-icon/issue.png";
											}else if(in_array($page_name,$tab_pages_expense_arr)){
												$img_url = SITEURL."images/shortcut-nav-icon/expense.png";
											}else if(in_array($page_name,$tab_pages_project_arr)){
												$img_url = SITEURL."images/shortcut-nav-icon/project.png";
											}else if(in_array($page_name,$tab_pages_time_tracking_arr)){
												$img_url = SITEURL."images/shortcut-nav-icon/time-tracking.png";
											}else if(in_array($page_name,$tab_pages_invoice_arr)){
												$img_url = SITEURL."images/shortcut-nav-icon/invoice.png";
											}else{
												$img_url = SITEURL."images/shortcut.png";
											}
											?>
											<div class="item">
												<div class="card">
													<div class="shortcut-block">
														<a href="<?php echo $page_name; ?>">
															<img src="<?php echo $img_url; ?>" class="mw-100 my-2" alt="">
														</a>
														<h4 class="mt-2 title"><a href="<?php echo $page_name; ?>" class="text-black"><?php echo $page_title; ?></a></h4>
														<h4 class="mt-2"><a href="javascript:void(0);" data-href="<?php echo $page_name; ?>" class="text-danger rm-shortcut"><i class="fa fa-times"></i></a></h4>
													</div>
												</div>
											</div>
											<?php
										}
									}else{
									?>
									<strong>You have not created any short cuts yet</strong>
									<?php
									}
									?>
									</div>
								</div>
							</div>
							<!-- CARD - 3 -->
							<div class="card" id="card_3">
								<div class="card-body">
									<div class="d-flex justify-content-between">
										<h5 class="card-title mb-3">You are currently using following applications</h5>
										<div>
											<?php 
											if($_SESSION['login_user_array']['user_role']=="Admin" && $_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ 
											?>
											<a href="<?php echo SITEURL; ?>account/licenses/" class="btn btn-sm btn-primary mr-2">Manage Licenses</a>
											<a href="<?php echo SITEURL; ?>account/subscriptions/" class="btn btn-sm btn-primary mr-2">Subscription(s)</a>
											<?php 
											}else{
												echo "&nbsp;";
											}
											?>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12 mx-auto">
											<ul class="nav nav-pills nav-pills-custom" id="license_product_tabs" role="tablist">
												<li class="nav-item"> <a class="nav-link show active" id="license_product_tab1" data-toggle="pill" href="#license_product_tab1_content" role="tab" aria-controls="pills-home" aria-selected='true'>Your Current Subscription(s)</a> </li>
												
												<?php 
												if($_SESSION['login_user_array']['user_role']=="Admin" && $_SESSION['login_user_array']['user_type']=='Buy' && $_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ 
												?>
													<li class="nav-item"> <a class="nav-link " id="license_product_tab2" data-toggle="pill" href="#license_product_tab2_content" role="tab" aria-controls="pills-contact" aria-selected='false'>Licenses</a> </li>
												<?php 
												} 
												?>

												<?php 
												if($_SESSION['login_user_array']['user_plan']=="ENTERPRISE"){ 
												?>
												<li class="nav-item"> <a class="nav-link " id="license_product_tab3" data-toggle="pill" href="#license_product_tab3_content" role="tab" aria-controls="pills-contact" aria-selected='false'>Explore New Apps</a> </li>
												<?php 
												} 
												?>
											</ul>
											<div class="tab-content license-app-tab pt-2 pb-3" id="license_product_tabs_content">
												<div class="tab-pane fade show active" id="license_product_tab1_content" role="tabpanel" aria-labelledby="license_product_tab1">
													<?php
													$qry = "select exempt_flag from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);            
													if(mysqli_num_rows($result)>0)    
													{
														$row = mysqli_fetch_assoc($result);
														if($row['exempt_flag']=="Y")
														{
															$attendance_page_link = SITEURL."attendance-tracking/working-hours/";
														}
														else 
														{
															$attendance_page_link = SITEURL."attendance-tracking/clock-inout/";
														}
													}
													$projrect_manager_id = getvalue("cxs_projects_manager","project_manager_id","where user_id = '".$_SESSION['login_user_array']['user_id']."'");
													$project_page_link = SITEURL."projects/workbench/";
													if($projrect_manager_id>0)
													{
														$project_page_link = SITEURL."projects/";
													}
													$qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);
													if(mysqli_num_rows($result) > 0 )
													{
														$flag_subcribe=0;
														$row = mysqli_fetch_assoc($result);
														?>
													<div class="text-center">
														<div class="row">
															
															<?php 
															if($row['attendance_flag']=="Y") {
																$flag_subcribe++;
															?>
															<div class="col-md-2"> <a class="nav-link" href="<?php echo $attendance_page_link; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/attendance.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Attendance</h4>
																</a> </div>
															<?php
															}
															?>
															
															<?php
															if($row['timekeeping_flag']=="Y") {
																$flag_subcribe++;
															?>
															<div class="col-md-2"> <a class="nav-link" href="<?php echo SITEURL."time-tracking/timesheet/"; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/time-tracking.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Time Tracking</h4>
																</a> </div>
															<?php
															}
															?>
															
															<?php
															if($row['projects_flag']=="Y") {
																$flag_subcribe++;
															?>
															<div class="col-md-2"> <a class="nav-link" href="<?php echo $project_page_link; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/project.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Project Management</h4>
																</a> </div>
															<?php
															}
															?>
															
															<?php
															if($row['issue_tracking_flag']=="Y") {
																$flag_subcribe++;
															?>
															<div class="col-md-2"> <a class="nav-link" href="<?php echo SITEURL."issue-tracking/issue-log/"; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/issue.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Issue Tracking</h4>
																</a> </div>
															<?php
															}
															?>
															
															<?php
															if($row['expense_flag']=="Y") {
																$flag_subcribe++;
															?>
															<div class="col-md-2"> 
																<a class="nav-link" href="<?php echo SITEURL."expense-tracking/expenses/"; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/expenses.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Expense Tracking</h4>
																</a> 
															</div>
															<?php
															}
															?>
															
															<?php
															if($row['invoicing_flag']=="Y") {
																$flag_subcribe++;
															?>
															<div class="col-md-2"> 
																<a class="nav-link" href="<?php echo SITEURL."invoicing/invoices/"; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/invoice.png" class="img-lg rounded pt-2">
																<h4 class="text-center text-black pt-3">Billing</h4>
																</a> 
															</div>
															<?php
															}
															?>
														</div>
													</div>
													<?php  
													}
													?>
												</div>
												
												<?php 
												if($_SESSION['login_user_array']['user_role']=="Admin" && $_SESSION['login_user_array']['user_type']=='Buy' && $_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ 
												?>
												<div class="tab-pane fade" id="license_product_tab2_content" role="tabpanel" aria-labelledby="license_product_tab2">
													<?php
													/**/
													$plan_usage_state = getPlanTotalUsageState();
													/**/
													$qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);
													if(mysqli_num_rows($result) > 0 )
													{
														$flag_subcribe=0;
														$row = mysqli_fetch_assoc($result);
													?>
													<div class="text-center">
														<div class="row">
															<?php
															if($row['attendance_flag']=="Y") { 
																$flag_subcribe++;
																
																$total_licenses 			= 0;
																$total_licenses_available 	= 0;
																$total_licenses_used 		= 0;
																
																foreach($application_plan_arr["attendance"] as $plans){
																	if(isset($plan_usage_state[$plans]) && count($plan_usage_state[$plans])>0){
																		$total_licenses 			+= $plan_usage_state[$plans]["total_licenses"];
																		$total_licenses_available 	+= $plan_usage_state[$plans]["total_licenses_available"];
																		$total_licenses_used 		+= $plan_usage_state[$plans]["total_licenses_used"];
																	}
																}
															?>
															<div class="col-md-2"> 
																<a class="nav-link" href="<?php echo $attendance_page_link; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/attendance.png" class="img-lg rounded pt-2">
																	<h4 class="text-center text-black pt-3">Attendance</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>account/subscriptions/" class="common-edit-link">Licenses Used: <?php echo $total_licenses_used; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>account/subscriptions/" class="common-edit-link">Licenses Available: <?php echo $total_licenses_available; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>account/subscriptions/" class="common-edit-link">Total Licenses: <?php echo $total_licenses; ?></a></h6>
															</div>
															<?php 
															} 
															?>
															
															<?php 
															if($row['timekeeping_flag']=="Y") {
																$flag_subcribe++;
																
																$total_licenses 			= 0;
																$total_licenses_available 	= 0;
																$total_licenses_used 		= 0;
																
																foreach($application_plan_arr["timekeeping"] as $plans){
																	if(isset($plan_usage_state[$plans]) && count($plan_usage_state[$plans])>0){
																		$total_licenses 			+= $plan_usage_state[$plans]["total_licenses"];
																		$total_licenses_available 	+= $plan_usage_state[$plans]["total_licenses_available"];
																		$total_licenses_used 		+= $plan_usage_state[$plans]["total_licenses_used"];
																	}
																}
															?>
															<div class="col-md-2">
																<a class="nav-link" href="<?php echo SITEURL; ?>time-tracking/timesheet/"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/time-tracking.png" class="img-lg rounded pt-2">
																	<h4 class="text-center text-black pt-3">Time Tracking</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Used: <?php echo $total_licenses_used; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Available: <?php echo $total_licenses_available; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Total Licenses: <?php echo $total_licenses; ?></a></h6>
															</div>
															<?php 
															} 
															?>
															
															<?php 
															if($row['projects_flag']=="Y") {
																$flag_subcribe++;
																
																$total_licenses 			= 0;
																$total_licenses_available 	= 0;
																$total_licenses_used 		= 0;
																
																foreach($application_plan_arr["projects"] as $plans){
																	if(isset($plan_usage_state[$plans]) && count($plan_usage_state[$plans])>0){
																		$total_licenses 			+= $plan_usage_state[$plans]["total_licenses"];
																		$total_licenses_available 	+= $plan_usage_state[$plans]["total_licenses_available"];
																		$total_licenses_used 		+= $plan_usage_state[$plans]["total_licenses_used"];
																	}
																}
															?>
															<div class="col-md-2">
																<a class="nav-link" href="<?php echo $project_page_link; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/project.png" class="img-lg rounded pt-2">
																	<h4 class="text-center text-black pt-3">Project Management</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Used: <?php echo $total_licenses_used; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Available: <?php echo $total_licenses_available; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Total Licenses: <?php echo $total_licenses; ?></a></h6>
															</div>
															<?php 
															}
															?>
															
															<?php 
															if($row['issue_tracking_flag']=="Y") { 
																$flag_subcribe++;
																
																$total_licenses 			= 0;
																$total_licenses_available 	= 0;
																$total_licenses_used 		= 0;
																
																foreach($application_plan_arr["issue_tracking"] as $plans){
																	if(isset($plan_usage_state[$plans]) && count($plan_usage_state[$plans])>0){
																		$total_licenses 			+= $plan_usage_state[$plans]["total_licenses"];
																		$total_licenses_available 	+= $plan_usage_state[$plans]["total_licenses_available"];
																		$total_licenses_used 		+= $plan_usage_state[$plans]["total_licenses_used"];
																	}
																}
															?>
															<div class="col-md-2">
																<a class="nav-link" href="<?php echo SITEURL; ?>issue-tracking/issue-log/"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/issue.png" class="img-lg rounded pt-2">
																	<h4 class="text-center text-black pt-3">Issue Tracking</h4>
																</a>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Used: <?php echo $total_licenses_used; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Available: <?php echo $total_licenses_available; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Total Licenses: <?php echo $total_licenses; ?></a></h6>
															</div>
															<?php 
															} 
															?>
															
															<?php 
															if($row['expense_flag']=="Y") { 
																$flag_subcribe++; 
																
																$total_licenses 			= 0;
																$total_licenses_available 	= 0;
																$total_licenses_used 		= 0;
																
																foreach($application_plan_arr["expense"] as $plans){
																	if(isset($plan_usage_state[$plans]) && count($plan_usage_state[$plans])>0){
																		$total_licenses 			+= $plan_usage_state[$plans]["total_licenses"];
																		$total_licenses_available 	+= $plan_usage_state[$plans]["total_licenses_available"];
																		$total_licenses_used 		+= $plan_usage_state[$plans]["total_licenses_used"];
																	}
																}
															?>
															<div class="col-md-2">
																<a class="nav-link" href="<?php echo SITEURL."expense-tracking/expenses/"; ?>"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/expenses.png" class="img-lg rounded pt-2">
																	<h4 class="text-center text-black pt-3">Expense Tracking</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Used: <?php echo $total_licenses_used; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Available: <?php echo $total_licenses_available; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Total Licenses: <?php echo $total_licenses; ?></a></h6>
															</div>
															<?php 
															} 
															?>
															
															<?php 
															if($row['invoicing_flag']=="Y") { 
																$flag_subcribe++; 
																
																$total_licenses 			= 0;
																$total_licenses_available 	= 0;
																$total_licenses_used 		= 0;
																
																foreach($application_plan_arr["invoicing"] as $plans){
																	if(isset($plan_usage_state[$plans]) && count($plan_usage_state[$plans])>0){
																		$total_licenses 			+= $plan_usage_state[$plans]["total_licenses"];
																		$total_licenses_available 	+= $plan_usage_state[$plans]["total_licenses_available"];
																		$total_licenses_used 		+= $plan_usage_state[$plans]["total_licenses_used"];
																	}
																}
															?>
															<div class="col-md-2">
																<a class="nav-link" href="<?php echo SITEURL; ?>invoicing/invoices/"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/expenses.png" class="img-lg rounded pt-2">
																	<h4 class="text-center text-black pt-3">Billing</h4>
																</a> 
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Used: <?php echo $total_licenses_used; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Licenses Available: <?php echo $total_licenses_available; ?></a></h6>
																<h6 class="font-weight-normal"><a href="<?php echo SITEURL; ?>subscriptions/" class="common-edit-link">Total Licenses: <?php echo $total_licenses; ?></a></h6>
															</div>
															<?php 
															} 
															?>
														</div>
													</div>
													<?php  
													}
													?>
												</div>
												<?php } ?>
												
												<?php if($_SESSION['login_user_array']['user_plan']=="ENTERPRISE"){ ?>
												<div class="tab-pane fade " id="license_product_tab3_content" role="tabpanel" aria-labelledby="license_product_tab3">
													<?php  
													/**/
													$application_requested_arr = array();
													$selectQuery 	= "
														SELECT 
															application_requested
														FROM 
															`cxs_license_requests` 
														WHERE 
															status='SENT' AND requestor_user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'
													";		
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
															$application_requested_arr[] = $rows["application_requested"];
															
														}
													}
													/**/            
													$qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
													$result = mysqli_query($conn,$qry);
													$none_subscribe = 0;
													if(mysqli_num_rows($result) > 0 )
													{
														$row = mysqli_fetch_assoc($result);
														
													?>
													<div class="text-center">
														<div class="row">
															<?php 
															if($row['attendance_flag']!="Y") {  
																$none_subscribe++; 
																$action = "request";
																$action_text = "Request License";
																if(in_array("attendance",$application_requested_arr)){
																	$action = "withdraw";
																	$action_text = "Withdraw Request";
																}
															?>
															<div class="col-md-2 pb-2"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/attendance.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Attendance Tracking</h4>
																
																<?php if($_SESSION['login_user_array']['user_role']!="Admin"){ ?>
																<button class="btn btn-primary btn-sm btn-block btn_license_request btn_attendance" data-application="attendance" data-action="<?php echo $action; ?>"><?php echo $action_text; ?></button>
																<?php } ?>
																
															</div>
															<?php 
															} 
															?>
															
															<?php 
															if($row['timekeeping_flag']!="Y") { 
																$none_subscribe++;
																$action = "request";
																$action_text = "Request License";
																if(in_array("timekeeping",$application_requested_arr)){
																	$action = "withdraw";
																	$action_text = "Withdraw Request";
																}
															?>
															<div class="col-md-2 pb-2"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/time-tracking.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Time Tracking</h4>
																
																<?php if($_SESSION['login_user_array']['user_role']!="Admin"){ ?>
																<button class="btn btn-primary btn-sm btn-block btn_license_request btn_timekeeping" data-application="timekeeping" data-action="<?php echo $action; ?>"><?php echo $action_text; ?></button>
																<?php } ?>
																
															</div>
															<?php 
															}
															?>
															
															<?php
															if($row['projects_flag']!="Y") { 
																$none_subscribe++; 
																$action = "request";
																$action_text = "Request License";
																if(in_array("projects",$application_requested_arr)){
																	$action = "withdraw";
																	$action_text = "Withdraw Request";
																}
															?>
															<div class="col-md-2 pb-2"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/project.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Project Management</h4>
																
																<?php if($_SESSION['login_user_array']['user_role']!="Admin"){ ?>
																<button class="btn btn-primary btn-sm btn-block btn_license_request btn_projects" data-application="projects" data-action="<?php echo $action; ?>"><?php echo $action_text; ?></button>
																<?php } ?>
																
															</div>
															<?php 
															}
															?>
															
															<?php 
															if($row['issue_tracking_flag']!="Y") { 
																$none_subscribe++;
																$action = "request";
																$action_text = "Request License";
																if(in_array("issue_tracking",$application_requested_arr)){
																	$action = "withdraw";
																	$action_text = "Withdraw Request";
																}
															?>
															<div class="col-md-2 pb-2"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/issue.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Issue Tracking</h4>
																
																<?php if($_SESSION['login_user_array']['user_role']!="Admin"){ ?>
																<button class="btn btn-primary btn-sm btn-block btn_license_request btn_issue_tracking" data-application="issue_tracking" data-action="<?php echo $action; ?>"><?php echo $action_text; ?></button>
																<?php } ?>
																
															</div>
															<?php 
															}
															?>
															
															<?php
															if($row['expense_flag']!="Y") {
																$none_subscribe++;
																$action = "request";
																$action_text = "Request License";
																if(in_array("expense",$application_requested_arr)){
																	$action = "withdraw";
																	$action_text = "Withdraw Request";
																}
															?>
															<div class="col-md-2 pb-2"> <img src="<?php echo SITEURL; ?>images/shortcut-nav-icon/expenses.png" class="img-lg rounded pt-2">
																<h4 class="text-center pt-3">Expense Tracking</h4>
																
																<?php if($_SESSION['login_user_array']['user_role']!="Admin"){ ?>
																<button class="btn btn-primary btn-sm btn-block btn_license_request btn_expense" data-application="expense" data-action="<?php echo $action; ?>"><?php echo $action_text; ?></button>
																<?php } ?>
																
															</div>
															<?php 
															}
															?>
															
														</div>
													</div>
													<?php  
													}
													if($none_subscribe == 0)
													{
													?>
													<p class="text-center"> All Pages you subscribed</p>
													<?php } ?>
												</div>
												<?php } ?>
											</div>
										</div>
									</div>
								</div>
							</div>
							<!-- CARD 3 -->
							<div class="card" id="card_2">
								<div class="card-body">
									<div>
										<h5 class="card-title mb-3">Recent activities </h5>
									</div>
									<div class="row">
										<div class="col-md-12" id="div_recent_activity">
											<?php
											$query_time = $curTime;
											$past_12hour = date('Y-m-d H:i:s',strtotime($curTime.'-12 hours'));
											
											$selectQuery = "  SELECT n.*,u.full_name,u.image_name FROM  `cxs_notifications` n
											INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."' AND creation_date BETWEEN '".$curTime."' and '".$past_12hour."' ORDER BY n.notification_id";
											
											$selectQuery = "  SELECT n.*,u.full_name,u.image_name FROM  `cxs_notifications` n
											INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."' ORDER BY n.notification_id limit 50";
											
											$query_1 = "AND n.creation_date BETWEEN '".$curTime."' and '".$past_12hour."'";
											$query_1 = "";
											$selectQuery = "SELECT n.*,u.full_name,u.image_name FROM `cxs_notifications` n 
											INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."'".$query_1."  ORDER BY n.notification_id DESC LIMIT 20";
											
											$RunUserQuery	= mysqli_query($conn, $selectQuery);
											$StdNumRows 	= mysqli_num_rows($RunUserQuery);
											if($StdNumRows>0)
											{
											?>
											<table id="table1" class="table table-bordered">
												<tbody>
													<?php
													while($rows=mysqli_fetch_assoc($RunUserQuery))
													{
														$module_txt = "";
														$notification_id= $rows["notification_id"];
														$module_name 	= $rows["module_name"];
														$module_field_id= $rows["module_field_id"];
														$notes 			= $rows["notes"];
														$action_to_be_taken = $rows["action_to_be_taken"];
														$creation_date		= setDate($rows["creation_date"],"F jS Y h:i A");
														$created_timezone 	= $rows["created_timezone"];

														$top_full_name 		= $rows["full_name"];
														$top_user_image_name= $rows["image_name"];

														if($top_user_image_name!="" && file_exists("img/uploads/user_images/".$top_user_image_name)){
																$top_user_img_url = SITEURL."img/uploads/user_images/".$top_user_image_name;
														}else{
																$top_user_img_url = SITEURL."images/faces/default_face.png";
														}

														$module_txt = "";
														if($module_name=="expense_report"){
																$module_txt .= "<b>Expense Report:</b> ";

														}else if($module_name=="approval_activity"){
																$module_txt .= "<b>Approval Activity:</b> ";
														}else if($module_name=="timesheet_entry"){
																$module_txt .= "<b>Timesheet Entry:</b> ";
														}
														if (strpos($action_to_be_taken, '?') !== false) {
																$action_to_be_taken = $action_to_be_taken."&nid=".$notification_id;
														}else{
																$action_to_be_taken = $action_to_be_taken."?nid=".$notification_id;
														}

														$module_txt .= $notes." by ".$top_full_name." at ".$creation_date." ".$created_timezone;
														if($module_name=="attendance_approve" || $module_name=="request_timeoff" || $module_name=="ip_address" || $module_name=="add_manage_users")
														{
															$module_txt = $notes." at ".$creation_date." ".$created_timezone;
															$action_to_be_taken = $rows["action_to_be_taken"];
															if (strpos($action_to_be_taken, '?') !== false) 
															{
																$action_to_be_taken = $action_to_be_taken."&nid=".$notification_id;
															}else
															{
																$action_to_be_taken = $action_to_be_taken."?nid=".$notification_id;
															}
														}
													?>
													<tr>
														<td class="pt-2 pb-2"><p><?php echo $module_txt; ?></p></td>
													</tr>
													<?php
													}
													?>
												</tbody>
											</table>
											<?php
											}else{
											?>
											<strong>Nothing to show here yet</strong>
											<?php
											}           
                                            ?>
										</div>
									</div>
								</div>
							</div>
							<!-- CARD 4 -->
							
							<!-- CARD 4 -->
						</div>
					</div>
					<div class="col-md-12" id="main_col_2">
						<div class="card">
							<div class="card-body" id="main_col_2_content">
								<div class="d-flex flex-wrap justify-content-between">
									<h5 class="card-title mb-3">Get help</h5>
								</div>
								<div>
									
									<ul class="nav nav-tabs" role="tablist">
										<li class="nav-item">
											<a class="nav-link active" id="tab-1" data-toggle="tab" href="#tab1" role="tab" aria-controls="tab-1" aria-selected="true">Today's Call Schedule</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-2" data-toggle="tab" href="#tab2" role="tab" aria-controls="tab-2" aria-selected="false">Latest updates and News on Coexsys Project Cloud</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-3" data-toggle="tab" href="#tab3" role="tab" aria-controls="tab-3" aria-selected="false">E-Learning</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-4" data-toggle="tab" href="#tab4" role="tab" aria-controls="tab-4" aria-selected="false">Upcoming Events and Webinars</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" id="tab-5" data-toggle="tab" href="#tab5" role="tab" aria-controls="tab-5" aria-selected="false">Product Announcements</a>
										</li>
									</ul>
									<div style="width:100%;display:block;">
										<div class="tab-content">
											
											<div class="tab-pane fade show active" id="tab1" role="tabpanel" aria-labelledby="tab-1">
												<div id="result_schedule"> </div>
											</div>
											<div class="tab-pane fade" id="tab2" role="tabpanel" aria-labelledby="tab-2">
												<div id="result_latestupdates">
													<div class="table-responsive">
														<table class="table table-striped" id="table_updates_news">
															<tbody>
															<?php
																$qry = "select * from cxs_admin_resource_center where resource_center = 'Updates and News' and status = 'Active' order by content_id desc";
																$result = mysqli_query($conn,$qry);
																if(mysqli_num_rows($result)>0)
																{
																	$counter = 1;
																	while($row = mysqli_fetch_assoc($result))
																	{
																		$last_updated = "<div class ='text-right'> Last updated on : ".setDate($row['last_update_date'],"m/d/Y h:i a")."</div>";
																?>
																		<tr class="open_modal cr-point">
																			<td class="pt-2 pb-2 text-center" style="width:10%;"><?php echo $counter; ?></td>
																			<td>
																				<div class="d-flex justify-content-between">
																				<?php echo "<div>".$row['subject_line']."</div>".$last_updated; ?>
																				</div>
																				</td>
																			<td style="display:none;" ><?php echo $row['description']; ?></td>
																			<td style="display:none;" ><?php echo setDate($row['last_update_date'],"m/d/Y h:i a"); ?></td>
																			<td  style="display:none;"><?php echo $row['resource_center']; ?></td>
																		</tr>
																<?php 
																	$counter++;
																	} 
																}
															?>
															</tbody>
														</table>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab3" role="tabpanel" aria-labelledby="tab-3">
												<div id="result_elearning">
													<div class="table-responsive">
														<table class="table table-striped" id="table_elearning">
															<tbody>
															<?php
																$qry = "select * from cxs_admin_resource_center where resource_center = 'E-Learning' and status = 'Active' order by content_id desc";
																$result = mysqli_query($conn,$qry);
																if(mysqli_num_rows($result)>0)
																{
																	$counter = 1;
																	while($row = mysqli_fetch_assoc($result))
																	{
																		$last_updated = "<div class ='text-right'> Last updated on : ".setDate($row['last_update_date'],"m/d/Y h:i a")."</div>";
																?>
																		<tr class="open_modal cr-point">
																			<td class="pt-2 pb-2 text-center" style="width:10%;"><?php echo $counter; ?></td>
																			<td>
																				<div class="d-flex justify-content-between">
																				<?php echo "<div>".$row['subject_line']."</div>".$last_updated; ?>
																				</div>
																				</td>
																			<td style="display:none;" ><?php echo $row['description']; ?></td>
																			<td style="display:none;" ><?php echo setDate($row['last_update_date'],"m/d/Y h:i a"); ?></td>
																			<td  style="display:none;"><?php echo $row['resource_center']; ?></td>
																		</tr>
																<?php 
																	$counter++;
																	} 
																}
															?>
															</tbody>
														</table>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab4" role="tabpanel" aria-labelledby="tab-4">
												<div class="table-responsive">
													<table class="table table-striped" id="table_upcoming_events_webinars">
														<tbody>
														<?php
															$qry = "select * from cxs_admin_resource_center where resource_center = 'Events and Webinars' and status = 'Active' order by content_id desc";
															$result = mysqli_query($conn,$qry);
															if(mysqli_num_rows($result)>0)
															{
																$counter = 1;
		
																while($row = mysqli_fetch_assoc($result))
																{
																	 $last_updated = "<div class ='text-right'> Last updated on : ".setDate($row['last_update_date'],"m/d/Y h:i a")."</div>";
														?>
																	<tr class="open_modal cr-point">
																			<td class="pt-2 pb-2 text-center" style="width:10%;"><?php echo $counter; ?></td>
																			<td>
																				<div class="d-flex justify-content-between">
																					<?php echo "<div>".$row['subject_line']."</div>".$last_updated; ?>
																				</div>
																			</td>
																			<td  style="display:none;"><?php echo $row['description']; ?></td>
																			<td style="display:none;" ><?php echo setDate($row['last_update_date'],"m/d/Y h:i a"); ?></td>
																			<td  style="display:none;"><?php echo $row['resource_center']; ?></td>
																	</tr>
																	<?php 
																$counter++;
																} 
															}
														?>
														</tbody>
													</table>
												</div>
											</div>
											<div class="tab-pane fade" id="tab5" role="tabpanel" aria-labelledby="tab-5">
												<div class="table-responsive">
													<table class="table table-striped" id="table_project_announcements">
														<tbody>
															<?php
															$qry = "select * from cxs_admin_resource_center where resource_center = 'Product Announcements' and status = 'Active' order by content_id desc";
															$result = mysqli_query($conn,$qry);
															if(mysqli_num_rows($result)>0)
															{
																$counter = 1;
															
																while($row = mysqli_fetch_assoc($result))
																{
																	$last_updated = "<div class ='text-right'> Last updated on : ".setDate($row['last_update_date'],"m/d/Y h:i a")."</div>";
															?>
															<tr class="open_modal cr-point">
																<td class="pt-2 pb-2 text-center" style="width:10%;"><?php echo $counter; ?></td>
																<td>
																	<div class="d-flex justify-content-between">
																		<?php echo "<div>".$row['subject_line']."</div>".$last_updated; ?>
																	</div>
																</td>
																<td  style="display:none;"><?php echo $row['description']; ?></td>
																<td style="display:none;" ><?php echo setDate($row['last_update_date'],"m/d/Y h:i a"); ?></td>
																<td  style="display:none;"><?php echo $row['resource_center']; ?></td>
															</tr>
															<?php 
																$counter++;
																} 
															}
															?>
														</tbody>
													</table>
												</div>
											</div>
											
										</div>
									</div>
									
									
									
									
									
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<input type="hidden" id="h_IsCommonSetupComplete" value="<?php echo CheckCommonSetupEntries(); ?>">
		
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="modal_userinfo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-body pt-0">
				<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
				<div class="swal-title"></div>
				<div class="swal-text"><blink>
					<h2 style="display: inline;" class=" font-weight-bold  pr-3"><i class="fa fa-hand-o-left" aria-hidden="true"></i></h2>
					</blink> In order to use application, please complete the common required setup first. </div>
			</div>
			<div class="swal-footer">
				<div class="swal-button-container">
					<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalOK">OK</button>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade pr-0" id="modal_resource_center">
	<div class="modal-dialog modal-xl1 mt-0 " role="document" >
		<div class="modal-content">
			<div class="modal-header pt-3 pb-3">
				<!--<h2 class="pl-3 modal-title" >Resource Center</h2>-->
				<h3 id="modal_resource_title"></h3>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-2 pb-2">
				<div id="modal_result_resource_center">
					<div class="row pb-0">
						<div class="col-xl-12 d-flex stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-bordered">
											<tr>
												<!--                                                                <td style="width:15%;" class="pt-2 pb-2">Subject Line :</td>-->
												<td id="modal_subject_line" class="pt-2 pb-2"></td>
											</tr>
											<tr>
												<!--                                                                <td class="pt-2 pb-2">Description :</td>-->
												<td id="modal_description" class="pt-2 pb-2">Description</td>
											</tr>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="text-right">
						<p class ="pt-1" id="modal_last_updated"></p>
						<button type="button" class="btn btn-light btn-sm mt-3" data-dismiss="modal" title="Close">Close</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="company_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-5 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Company Details</h5>
			</div>
			<div class="modal-body py-1">
				<form id="company_form" action="" method="post" enctype="multipart/form-data">
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								<label>Compnay Name</label>
								<input id="text_company_name" name="text_company_name" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-12">
							<label>Upload Logo</label> 
							<input type="file" name="company_logo" id="company_logo" class="dropify" data-default-file="" data-allowed-file-extensions='["jpg", "jpeg", "png"]'>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Address Line 1</label>
								<input id="text_company_address_line1" name="text_company_address_line1" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Address Line 2</label>
								<input id="text_company_address_line2" name="text_company_address_line2" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Address Line 3</label>
								<input id="text_company_address_line3" name="text_company_address_line3" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>State</label>
								<input id="text_company_state" name="text_company_state" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>County</label>
								<input id="text_company_county" name="text_company_county" type="text" class="form-control" value="">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Zip</label>
								<input id="text_company_zip" name="text_company_zip" type="text" class="form-control" value="">
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" id="cmd_company_details">Save</button>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="username_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-sm2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Update Your Full Name/Photo</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<form class="pt-3" id="username_form" method="post">
			<div class="modal-body">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label>Full Name <code>*</code></label>
							<input type="text" id = "text_full_name" name = "text_full_name" class="form-control" placeholder="Full Name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Your Full Name" data-original-title="" autocomplete="off" value="<?php echo $_SESSION['login_user_array']['full_name']; ?>">
						</div>
					</div>
					<div class="col-md-12">
						<div class="form-group">
							<label>Upload Photo</label>
							<input type="file" tabindex="1" name="file_upload_photo"  id="file_upload_photo" class="dropify" data-allowed-file-extensions='["jpg", "png"]'>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" id="cmdSaveUsername">Save</button>
			</div>
			</form>
		</div>
	</div>
</div>
 
<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/owl-carousel/owl.carousel.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/dropify/dropify.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<!-- endinject -->
<script>  
(function($) {
	'use strict';
	$('#company_logo').dropify();   
})(jQuery);     
$(document).ready(function()
{
	$("#shortcut_count").text("(<?php echo $shortcut_count; ?>)");
	/*********************/
	setTimeout(function(){
		$("#div_recent_activity").mCustomScrollbar({  // custom scroll bar plugin
			theme:"light-2",  // custom scroll theme set
			axis: "y",     // custom scroll ver,hor scroll
		});
	},1000);	
	
	var quick_video = "<?php echo isset($_SESSION['quick_video'])?'show':''; ?>";    
	var h_do_not_show_video = $("#h_do_not_show_video").val();    
	if(h_do_not_show_video=="N" && quick_video=="")
	{			
		if($("#modal_quick_video_content").html()==""){
			$.ajax({
				url:"<?php echo SITEURL; ?>aj/common/",
				method:"POST",
				data:{REQUEST:'get_modal_quick_start_video',is_html:true,is_seen:'Y'},
				beforeSend: function(){
					$(".rploader").fadeIn(800);
				},
				success:function(response){
					$("#modal_quick_video_content").html(response);
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						var width = $(window).width();
						var height = $(window).height();
						if(width>480){
							if(height>350){
								height = height - 265;
								$("#video_pop").attr("height",height+"px");
								$("#video_pop").attr("width","100%");
							}
						}
						$("#modal_quick_start_video").modal("show");
						setTimeout(function(){
							var video_width = $("#video_pop").width();
							video_width = video_width + 50;
							$("#modal_quick_start_video .modal-dialog").attr("style","width:"+video_width+"px");
						},200);
					},1000);
				}
			});
		}else{
			$("#modal_quick_start_video").modal("show");
		}
    }
	if($("#h_IsCommonSetupComplete").val()==0)
	{
		$("#modal_userinfo").modal('show');
	}
	
	getTechSupportScheduleData();
	/***********************************/
   	<?php if($is_shortcut){ ?>
   	$('.owl-carousel').owlCarousel({
		  loop: true,
		  margin: 10,
		  nav: true,
		  dots:false,
		  autoplay: true,
		  autoplayTimeout: 5500,
		  navText: ["<i class='fa fa-chevron-left'></i>", "<i class='fa fa-chevron-right'></i>"],
		  responsive:{
				0:{
					items:1,
					nav:true,
					dots:false,
				},
				600:{
					items:3,
					nav:true,
					dots:false,
				},
				1000:{
					items:7,
					nav:true,
					dots:false,
					loop:false
				}
			}
		});
	<?php } ?>
	$(".owl-carousel").show(200);
	/*********************************************/
	$(".btn_license_request").click(function(){
		var obj = $(this);
		obj.parent().find("label").remove();
		$.ajax({
			url: "<?php echo SITEURL; ?>aj/dashboard/",
			method: "POST",
			data: {REQUEST: 'license_request',application:$(this).attr("data-application"),action:$(this).attr("data-action")},
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{
				console.log(response);
				if(response.succ==0){
					setTimeout(function(){
						$(".rploader").fadeOut(500);
						alert("Something went wrong. Please try again.");
					},1000);
				}else if(response.succ==1){
					setTimeout(function(){
						$(".rploader").fadeOut(500);
						obj.text(response.action_text);
						obj.attr("data-action",response.action)
						obj.parent().append('<label class="badge badge-info mt-2">'+response.msg+'</label>');
						setTimeout(function(){
							obj.parent().find("label").fadeOut(800);
						},3000);
					},1000);
				}
			}
		});
	});
	/*********************************************/
	var imgUrl = '<?php echo $user_img_url; ?>';
	var drEvent = $('#file_upload_photo').dropify({
		defaultFile: imgUrl
	});
	drEvent = drEvent.data('dropify');
	drEvent.resetPreview();
	drEvent.clearElement();
	drEvent.settings.defaultFile = imgUrl;
	drEvent.destroy();
	drEvent.init();
	$(".dropify-filename").hide();
});
function getTechSupportScheduleData()
{
	$("#result_schedule").html("");
	$.ajax({
		url: "<?php echo SITEURL; ?>aj/dashboard/",
		method: "POST",
		data: {REQUEST: 'get_today_schedule_data',is_html:true},
		success: function (response)
		{ 
			setTimeout(function()
			{
				//$(".rploader").fadeOut(800);             
				$("#result_schedule").html(response);
				$('[data-toggle="popover"]').popover();
			},1000);                        
		}
	}); 

}
$('#cmdModalOK').click(function()
{
	$("#modal_userinfo").modal("hide");
});
$(".link_total_users").click(function()
{
   window.open("<?php echo SITEURL; ?>account/users/"); 
});
$(".link_total_emp").click(function()
{
   window.open("<?php echo SITEURL; ?>account/employees/"); 
});

$(".link_attendance_pending_approval").click(function()
{
   window.open("<?php echo SITEURL; ?>attendance/approval/"); 
});


$(".link_total_tech_issue").click(function()
{
   window.open("<?php echo SITEURL; ?>tech-support/"); 
});
$(".link_total_project").click(function()
{
   window.open("<?php echo SITEURL; ?>/projects/"); 
});

$(".open_modal").click(function()
{
	//var subject_line = $(this).closest("tr").find('td:eq(1)').text();
	
	var subject_line = $(this).closest("tr").find('td:eq(1)  > div:first-child').text();
	$("#modal_subject_line").html("<b>"+subject_line+"</b>");
	$("#modal_description").html($(this).closest("tr").find('td:eq(2)').html());
	$("#modal_last_updated").html( "Last updaed on : "+$(this).closest("tr").find('td:eq(3)').html());
	var a = $(this).closest("tr").find('td:eq(4)').html();
	var set_title = "";
	if(a=="Events and Webinars")
	{
		set_title = "Upcoming Events And Webinars";
	}
	else if(a=="Updates and News")
	{
		set_title = "Latest Updates And News On Coexsys Project Cloud";
	}
	else if(a=="Product Announcements")
	{
		set_title = "Product Announcements";
	}
	$("#modal_resource_title").html(set_title);
   	$("#modal_resource_center").modal("show"); 
});
    
    
    
function dataTableCreateOrderOff(tablename) {
	if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/
      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				'excel',
				'pdf',
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
    
         
	$('#'+tablename+' tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	var length = table.page.info().recordsTotal;
	return (length);
}


$("#btn_user_name").click(function(){
	$("#username_modal").modal("show");
});
$("#cmdSaveUsername").click(function(){
	var flag = true;
	
	form_element_correct($("#text_full_name"));
	
	if($("#text_full_name").val()==''){
		$("#text_full_name").addClass('error_ele mb-1');
		$("#text_full_name").after('<span role="alert" class="not-valid-tip">This field is required.</span>');  
		$("#text_full_name").focus();
		flag = false;
	}
	
	var form_data = new FormData();
	var form_data1 = $('#username_form').serializeArray();
	$.each(form_data1, function (key, input) {
		form_data.append(input.name, input.value);
	});
	var ins = document.getElementById('file_upload_photo').files.length;
	for (var x = 0; x < ins; x++) 
	{
		form_data.append("file_upload_photo", document.getElementById('file_upload_photo').files[x]);
	}
	form_data.append("REQUEST", "update_user_full_name");
	
	if(flag==true){
		$.ajax({
			url: "<?php echo SITEURL; ?>aj/dashboard/",
			method: "POST",
			cache: false,
			contentType: false,
			processData: false,
			async: false,
			data: form_data,
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{
				if(response.succ==0){
					setTimeout(function(){
						$(".rploader").fadeOut(500);
						alert("Something went wrong. Please try again.");
					},1000);
				}else if(response.succ==1){
					setTimeout(function(){
						window.location.href="";
					},1000);
				}
			}
		});
	}
}); 

$(".rm-shortcut").click(function(){

	var a = $(this).parent().parent().parent();
	$.ajax({
		url:"<?php echo SITEURL; ?>aj/common/",
		method:"POST",
		data:{REQUEST:'set_shortcut_page',op:"remove",href:encodeURIComponent($(this).data("href"))},
		beforeSend: function(){
			$(".rploader").fadeIn(800);
		},
		success:function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				if(response.succ==1){
					a.remove();
					var shortcut_count = $("#shortcut_count").text();
					shortcut_count = shortcut_count.replace("(","");
					shortcut_count = shortcut_count.replace(")","");
					shortcut_count = parseInt(shortcut_count) - 1;
					$("#shortcut_count").text("("+shortcut_count+")");
				}else{
					alert("Something went wrong. Please try again.");
				}
			},1000);
		}
	});
});
</script>
</body>
</html>
