<?php
require_once "conn.php";
require_once("functions.php");
check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Administration</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
    @media (min-width: 576px)
    {
        .card-columns {
    column-count: 2 !important;    
}
    }

</style>
</head>
<?php

    $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
    $date = new DateTime("now", new DateTimeZone($currTz) );
    $curTime = $date->format('Y-m-d H:i:s');
    
    $curretnt_user_image = $_SESSION['login_user_array']['image_name'];
    $current_img_src = "images/faces/default_face.png";
    if($curretnt_user_image!='')
    {
       $current_img_src = "img/uploads/user_images/".$curretnt_user_image;
    }    
                
        
    $last_login_time = "";
    $qry = "select login_timestamp from cxs_logins where  cxs_logins.user_id = '".$_SESSION['login_user_array']['user_id']."' order by login_timestamp desc limit 1";        
    $result = mysqli_query($conn,$qry);
    if(mysqli_num_rows($result)>0)
    {
        $row = mysqli_fetch_assoc($result);
        $login_time = $row['login_timestamp'];
        
        $last_login_time = date('F jS Y h:m:s a',strtotime($login_time));
                
    }
?>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
                            
                        
                            <div class="row  mt-3">
                                <div class="col-md-5">
                                    <div class="card">
                                        <div class="card-body">
                                            <div>
                                                <div class="d-flex flex-wrap justify-content-between">
                                                    <h5 class="card-title   mb-1">Welcome, <?php echo $_SESSION['login_user_array']['full_name']; ?> </h5>

                                                    <h5 class="font-weight-bold  mb-1"><?php echo date('F jS Y', strtotime($curTime)).", "?></h5>
                                                </div>
                                                
                                                <div class="d-flex flex-wrap justify-content-between">
                                                    <div>&nbsp;&nbsp;</div>
                                                    <h4 class="font-weight-bold mb-3"><?php echo $_SESSION['login_user_array']['user_timezone']; ?></h4>
                                                </div>
                                                
                                            </div>
                                            
                                            
                                            <div class="d-sm-flex flex-row flex-wrap text-center text-sm-left align-items-center">
                                                    <img src="<?php echo $current_img_src; ?>" class="img-lg rounded" alt="profile image">
                                                    <div class="ml-sm-3 ml-md-0 ml-xl-3 mt-2 mt-sm-0 mt-md-2 mt-xl-0">
                                                            <h6 class="mb-0 font-weight-bold">Your last login :</h6>                                                            
                                                            <p class="mb-1"> <?php echo $last_login_time; ?></p>
                                                            
                                                    </div>
                                            </div>
                                            
                                        </div>
                                    </div>    
                                </div>
                                
                                <div class="col-md-6">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <h5 class="card-title   mb-3">Coexsys Resource Center - You will always find help here</h5>

                                            </div>
                                            <div class="font-weight-medium text-info">Latest updates and News on Coexsys Project Cloud</div>
                                        </div>
                                    </div>
                                </div>
                                
                                
                                
                                <div class="col-md-5 pt-3">
                                    <div class="card">
                                        <div class="card-body">
                                            <div>
                                                
                                                <h5 class="card-title   mb-3">Recent activities while you were out </h5>
                                                <p class="mb-1"> <?php echo"This is the temporary line." ?></p>
                                                
                                                
                                            </div>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            
                           
			</div>
		</div>
		<input type="hidden" id="h_IsCommonSetupComplete" value="<?php echo CheckCommonSetupEntries(); ?>">
		<div class="modal fade" id="modal_userinfo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
			<div class="modal-dialog swal-modal" role="document">
				<div class="modal-content">
					<div class="modal-body pt-0">
						<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
						<div class="swal-title" style=""></div>
						<div class="swal-text" style=""><blink>
							<h2 style="display: inline;" class=" font-weight-bold  pr-3"><i class="fa fa-hand-o-left" aria-hidden="true"></i></h2>
							</blink> In order to use application, please complete the common required setup first.</div>
					</div>
					<div class="swal-footer">
						<div class="swal-button-container">
							<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalOK">OK</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div>
<!-- container-scroller -->
<!-- base:js -->
<script src="vendors/js/vendor.bundle.base.js"></script>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<!-- endinject -->
<script>       
    $(document).ready(function()
    {
        if($("#h_IsCommonSetupComplete").val()==0)
        {
            $("#modal_userinfo").modal('show');
            /*
            setTimeout(function()
            {
                $('#modal_userinfo').modal('hide')
            }, 5000);*/
        }
    });

    $('#cmdModalOK').click(function()
    {
        $("#modal_userinfo").modal("hide");
    });
      
</script>
</body>
</html>
