<?php
require_once "conn.php";
require_once("functions.php");
check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Administration</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css?t=<?php echo time(); ?>"/>
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
    @media (min-width: 576px)
    {
        .card-columns {
    column-count: 1 !important;    
        }
    }
    
    #div_recent_activity
    {
    height: 200px;
    
    /*background: #debdc2;*/
    overflow-y: scroll
}

</style>
</head>
<?php

    $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
    $date = new DateTime("now", new DateTimeZone($currTz) );
    $curTime = $date->format('Y-m-d H:i:s');
    
    $curretnt_user_image = $_SESSION['login_user_array']['image_name'];
    $current_img_src = "images/faces/default_face.png";
    if($curretnt_user_image!='')
    {
       $current_img_src = "img/uploads/user_images/".$curretnt_user_image;
    }    
                
        
    $last_login_time = "";
    $qry = "select login_timestamp from cxs_logins where  cxs_logins.user_id = '".$_SESSION['login_user_array']['user_id']."' order by id desc limit 1";        
    $result = mysqli_query($conn,$qry);
    if(mysqli_num_rows($result)>0)
    {
        $row = mysqli_fetch_assoc($result);
        $login_time = $row['login_timestamp'];
        
        $last_login_time = date('F jS Y h:i:s a',strtotime($login_time));
                
    }
?>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php"); ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
                            <div class="row  mt-3">
                                <div class="col-md-6" id="main_col_1">
                                    
                                    <div class="card-columns">
                                        <div class="card" id="card_1">
                                            <div class="card-body">
                                                <div>
                                                    <div class="d-flex flex-wrap justify-content-between">
                                                        <h5 class="card-title   mb-1">Welcome, <?php echo $_SESSION['login_user_array']['full_name']; ?> </h5>

                                                        <h5 class="font-weight-bold  mb-1"><?php echo date('F jS Y', strtotime($curTime)).", "?></h5>
                                                    </div>

                                                    <div class="d-flex flex-wrap justify-content-between">
                                                        <div>&nbsp;&nbsp;</div>
                                                        <h4 class="font-weight-bold mb-3"><?php echo $_SESSION['login_user_array']['user_timezone']; ?></h4>
                                                    </div>

                                                </div>

                                                <div class="d-sm-flex flex-row flex-wrap text-center text-sm-left align-items-center">
                                                    <img src="<?php echo $current_img_src; ?>" class="img-lg rounded" alt="profile image">
                                                    <div class="ml-sm-3 ml-md-0 ml-xl-3 mt-2 mt-sm-0 mt-md-2 mt-xl-0">
                                                            <h6 class="mb-0 font-weight-bold">Your last login :</h6>                                                            
                                                            <p class="mb-1"> <?php echo $last_login_time; ?></p>

                                                    </div>
                                                </div>

                                            </div> 

                                        </div>
                                        
                                        <div class="card" id="card_2">                                  
                                            <div class="card-body">
                                                  <div>   
                                                      <h5 class="card-title   mb-3">Recent activities while you were out </h5>
                                                      
                                                  </div>
                                                <div class="row">
                                                    <div class="col-md-12" id="div_recent_activity">
                                                        <table id="table1" class="table table-bordered">
                                                            <tbody>
                                                        <?php
                                                            
                                                            $query_time = $curTime;
                                                            $past_12hour = date('Y-m-d H:i:s',strtotime($curTime.'-12 hours'));
                                                            
                                                            $selectQuery = "  SELECT n.*,u.full_name,u.image_name FROM  `cxs_notifications` n
                                                            INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."' AND creation_date BETWEEN '".$curTime."' and '".$past_12hour."' ORDER BY n.notification_id";
                                                            
                                                            $selectQuery = "  SELECT n.*,u.full_name,u.image_name FROM  `cxs_notifications` n
                                                            INNER JOIN `cxs_user` u ON n.created_by=u.user_email WHERE n.to_user_id='".$_SESSION['login_user_array']['user_id']."' ORDER BY n.notification_id limit 50";
                                                            $RunUserQuery	= mysqli_query($conn, $selectQuery);
                                                            $StdNumRows 	= mysqli_num_rows($RunUserQuery);
                                                            if($StdNumRows>0)
                                                            {
                                                                while($rows=mysqli_fetch_assoc($RunUserQuery))
                                                                {
                                                                        $module_txt = "";
                                                                        $notification_id= $rows["notification_id"];
                                                                        $module_name 	= $rows["module_name"];
                                                                        $module_field_id= $rows["module_field_id"];
                                                                        $notes 			= $rows["notes"];
                                                                        $action_to_be_taken = $rows["action_to_be_taken"];
                                                                        $creation_date		= setDate($rows["creation_date"],"F jS Y h:i A");
                                                                        $created_timezone 	= $rows["created_timezone"];

                                                                        $top_full_name 		= $rows["full_name"];
                                                                        $top_user_image_name= $rows["image_name"];

                                                                        if($top_user_image_name!="" && file_exists("img/uploads/user_images/".$top_user_image_name)){
                                                                                $top_user_img_url = "img/uploads/user_images/".$top_user_image_name;
                                                                        }else{
                                                                                $top_user_img_url = "images/faces/default_face.png";
                                                                        }

                                                                        $module_txt = "";
                                                                        if($module_name=="expense_report"){
                                                                                $module_txt .= "Expense Report: ";

                                                                        }else if($module_name=="approval_activity"){
                                                                                $module_txt .= "Approval Activity: ";
                                                                        }else if($module_name=="timesheet_entry"){
                                                                                $module_txt .= "Timesheet Entry: ";
                                                                        }
                                                                        if (strpos($action_to_be_taken, '?') !== false) {
                                                                                $action_to_be_taken = $action_to_be_taken."&nid=".$notification_id;
                                                                        }else{
                                                                                $action_to_be_taken = $action_to_be_taken."?nid=".$notification_id;
                                                                        }

                                                                        $module_txt .= $notes." by ".$top_full_name." at ".$creation_date." ".$created_timezone;
                                                                        if($module_name=="attendance_approve" || $module_name=="request_timeoff" || $module_name=="ip_address" || $module_name=="add_manage_users")
                                                                        {
                                                                            $module_txt = $notes." at ".$creation_date." ".$created_timezone;
                                                                            $action_to_be_taken = $rows["action_to_be_taken"];
                                                                            if (strpos($action_to_be_taken, '?') !== false) 
                                                                            {
                                                                                $action_to_be_taken = $action_to_be_taken."&nid=".$notification_id;
                                                                            }else
                                                                            {
                                                                                $action_to_be_taken = $action_to_be_taken."?nid=".$notification_id;
                                                                            }
                                                                        }?>
                                                                <tr><td class="pt-2 pb-2"><p><?php echo $module_txt; ?></p> </td></tr>   
                                                            <?php
                                                                }?>
                                                                 </tbody>           
                                                                </table>
                                                        <?php    }            
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="card" id="card_3">

                                            <div class="card-body">
                                                <div>   
                                                    <h5 class="card-title   mb-3">You are currently using following</h5>                                            
                                                </div>
                                                
                                                <div class="row">
                                                    <div class="col-md-12 mx-auto">
                                                        <ul class="nav nav-pills nav-pills-custom" id="licence_product_tabs" role="tablist">
                                                                <li class="nav-item">
                                                                    <a class="nav-link show active" id="licence_product_tab1" data-toggle="pill" href="#licence_product_tab1_content" role="tab" aria-controls="pills-home" aria-selected='true'>Your Current Subscription</a> 
                                                                </li>
                                                                <li class="nav-item">
                                                                    <a class="nav-link " id="licence_product_tab2" data-toggle="pill" href="#licence_product_tab2_content" role="tab" aria-controls="pills-contact" aria-selected='false'>Explore New Apps</a> 
                                                                </li>
                                                        </ul>
                                                        <div class="tab-content pt-1" id="licence_product_tabs_content">
                                                            <div class="tab-pane fade show show active" id="licence_product_tab1_content" role="tabpanel" aria-labelledby="licence_product_tab1">
                                                                <?php $is_try_buy = getvalue("cxs_user","is_try_buy","where user_id = '".$_SESSION['login_user_array']['user_id']."'"); ?>
                                                                <div class="text-right pt-2"><?php echo $is_try_buy; ?></div>
                                                                <?php
                                                                    $qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
                                                                    $result = mysqli_query($conn,$qry);
                                                                    if(mysqli_num_rows($result) > 0 )
                                                                    {
                                                                        $flag_subcribe=0;
                                                                        $row = mysqli_fetch_assoc($result);
                                                                        ?>
                                                                        <ul class="session-by-channel-legend mt-2">
                                                                            <?php if($row['attendance_flag']=="Y") {  $flag_subcribe++; ?>
                                                                                <li> Attendance Tracking</li>
                                                                            <?php } ?>
                                                                            <?php if($row['timekeeping_flag']=="Y") { $flag_subcribe++; ?>
                                                                                <li> Time Tracking</li>
                                                                            <?php } ?>    
                                                                            <?php if($row['projects_flag']=="Y") { $flag_subcribe++; ?>
                                                                                <li> Project Tracking</li>
                                                                            <?php } ?>        
                                                                            <?php if($row['issue_tracking_flag']=="Y") { $flag_subcribe++; ?>
                                                                                <li> Issue Tracking</li>
                                                                            <?php } ?>   
                                                                            <?php if($row['expense_flag']=="Y") { $flag_subcribe++; ?>
                                                                                <li> Expense Tracking</li>
                                                                            <?php } ?>   
                                                                        </ul>
                                                                <?php  }
                                                                ?>
                                                            </div>
                                                            <div class="tab-pane fade " id="licence_product_tab2_content" role="tabpanel" aria-labelledby="licence_product_tab2">
                                                                <?php
                                                                    $qry = "select * from cxs_licensed_products where user_id = '".$_SESSION['login_user_array']['user_id']."'";
                                                                    $result = mysqli_query($conn,$qry);
                                                                    $none_subscribe = 0;
                                                                    if(mysqli_num_rows($result) > 0 )
                                                                    {
                                                                        $row = mysqli_fetch_assoc($result);
                                                                        
                                                                        ?>
                                                                        <ul class="session-by-channel-legend">
                                                                            <?php if($row['attendance_flag']=="N") {  $none_subscribe++; ?>
                                                                                <li> Attendance Tracking</li>
                                                                            <?php } ?>
                                                                            <?php if($row['timekeeping_flag']=="N") { $none_subscribe++; ?>
                                                                                <li> Time Tracking</li>
                                                                            <?php } ?>    
                                                                            <?php if($row['projects_flag']=="N") { $none_subscribe++; ?>
                                                                                <li> Project Tracking</li>
                                                                            <?php } ?>        
                                                                            <?php if($row['issue_tracking_flag']=="N") { $none_subscribe++; ?>
                                                                                <li> Issue Tracking</li>
                                                                            <?php } ?>   
                                                                            <?php if($row['expense_flag']=="N") { $none_subscribe++; ?>
                                                                                <li> Expense Tracking</li>
                                                                            <?php } ?>   
                                                                        </ul>
                                                                <?php  }
                                                                if($none_subscribe == 0)
                                                                {
                                                                ?>
                                                                <p class="text-center"> All Pages you subscribed</p>
                                                                <?php } ?>
                                                            </div>
                                                        </div>
                                                   </div>
                                                </div>
                                                
                                            </div>
                                        </div>
                                    </div>
                                    
                                    
                                </div>
                                
                                <div class="col-md-6" id="main_col_2">
                                    <div class="card">
                                        <div class="card-body" id="main_col_2_content">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <h5 class="card-title   mb-3">Coexsys Resource Center - You will always find help here</h5>

                                            </div>
                                            
                                            <div >
                                                
                                                <div class="pt-3 pb-3" id="result_latestupdates">
                                                    <div class="font-weight-medium text-info mb-3">Latest updates and News on Coexsys Project Cloud</div>
                                                    <div class="table-responsive">
                                                        <table class="table table-striped">
                                                            <tbody>
                                                                <?php for($i=1;$i<=10;$i++) { ?>
                                                                <tr><td>&nbsp;&nbsp;</td></tr>
                                                                <?php } ?>
                                                            </tbody>
                                                        </table>
                                                    </div>

                                                </div>
                                                
                                                <div class="pt-3 pb-3" id="result_elearning">
                                                    <div class="font-weight-medium text-info mb-3">E-Learning</div>                                                    
                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <div class="text-center">
                                                                <img src="images/elearning_img1.png" class="mw-100" alt="image">
                                                                <p class="mt-03 font-weight-bold">Documentation</p>
                                                            </div>                                                            
                                                        </div>
                                                        <div class="col-md-4">
                                                            <div class="text-center">
                                                                <img src="images/elearning_img2.png" class="mw-100" alt="image">
                                                                <p class="mt-03 font-weight-bold">Tutorial Videos</p>
                                                            </div>                                                            
                                                        </div>
                                                        <div class="col-md-4">
                                                            <div class="text-center">
                                                                <img src="images/elearning_img3.png" class="mw-100" alt="image">
                                                                <p class="mt-03 font-weight-bold">Examples</p>
                                                            </div>                                                            
                                                        </div>
                                                    </div>

                                                </div>
                                                
                                                
                                                <div class="pt-3 pb-3" id="result_elearning">
                                                    <div class="font-weight-medium text-info mb-3">Upcoming Events and Webinars</div>                                                    
                                                    <div class="table-responsive">
                                                        <table class="table table-striped">
                                                            <tbody>
                                                                <?php for($i=1;$i<=10;$i++) { ?>
                                                                <tr><td>&nbsp;&nbsp;</td></tr>
                                                                <?php } ?>
                                                            </tbody>
                                                        </table>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>   
                            
                            <div class="card">
                                <div class="card-body">
                                    
                                    <?php
                                    
                                        $NoofUsers = getTotalRecord("cxs_user","user_id"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");
                                        $NoofEmployees = getTotalRecord("cxs_employee","employee_id"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");
                                        $NoofAttendancePendingApproval = getTotalRecord("cxs_atnd_clockinout","session_id"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");
                                        $NoofTechIssue = getTotalRecord("cxs_csc_support","issue_id"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");
                                        $NoofIssue = getTotalRecord("cxs_issue_header","issue_id"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");
                                        $NoofProjects = getTotalRecord("cxs_projects","project_id"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");
                                    ?>
                                    
                                    
                                    <div class="row">
                                        <div class="col-md-3 text-center1 p-3 ">
                                            <div class="btn-primary ml-4 mr-4 p-1">
                                                <h2 class="pb-5 font-weight-bold  cr-point link_total_users"><?php echo $NoofUsers; ?></h2>
                                                <p class="text-center pb-2 card-text  cr-point link_total_users">Total Users</p>
                                            </div>                                            
                                        </div>

                                        <div class="col-md-3 text-center1 p-3 ">
                                            <div class="btn-primary ml-4 mr-4 p-1">
                                                <h2 class="pb-5 font-weight-bold  cr-point link_total_emp"><?php echo $NoofEmployees; ?></h2>
                                                <p class="text-center pb-2 card-text  cr-point link_total_emp">Total Employees</p>
                                            </div>                                            
                                        </div>
                                        
                                        <div class="col-md-3 text-center1 p-3 ">
                                            <div class="btn-primary ml-4 mr-4 p-1 ">
                                                <h2 class="pb-5 font-weight-bold  cr-point link_attendance_pending_approval"><?php echo $NoofAttendancePendingApproval; ?></h2>
                                                <p class="text-center pb-2 card-text cr-point link_attendance_pending_approval">Attendance Pending Approvals</p>
                                            </div>                                            
                                        </div>
                                        
                                        <div class="col-md-3 text-center1 p-3 ">
                                            <div class="btn-primary ml-4 mr-4 p-1 ">
                                                <h2 class="pb-5 font-weight-bold  cr-point link_total_tech_issue"><?php echo $NoofTechIssue; ?></h2>
                                                <p class="text-center pb-2 card-text cr-point link_total_tech_issue">Total Tech. Issues</p>
                                            </div>                                            
                                        </div>
                                        <div class="col-md-3 text-center1 p-3 ">
                                            <div class="btn-primary ml-4 mr-4 p-1 ">
                                                <h2 class="pb-5 font-weight-bold  cr-point link_total_issue_log"><?php echo $NoofIssue; ?></h2>
                                                <p class="text-center pb-2 card-text cr-point link_total_issue_log">Total Issue Logs</p>
                                            </div>                                            
                                        </div>
                                        
                                        <div class="col-md-3 text-center1 p-3 ">
                                            <div class="btn-primary ml-4 mr-4 p-1 ">
                                                <h2 class="pb-5 font-weight-bold  cr-point link_total_project"><?php echo $NoofProjects; ?></h2>
                                                <p class="text-center pb-2 card-text cr-point link_total_project">Total Projects</p>
                                            </div>                                            
                                        </div>
                                        
                                        
<!--                                        <div class="col-md-12">
                                            <div class="template-demo">
                                                
                                                
                                                
                                                
                                                <button type="button" class="btn btn-inverse-warning btn-fw">Warning</button>
                                                <button type="button" class="btn btn-inverse-info btn-fw">Info</button>
                                                <button type="button" class="btn btn-inverse-light btn-fw">Light</button>
                                                <button type="button" class="btn btn-inverse-dark btn-fw">Dark</button>
                                                <button type="button" class="btn btn-link btn-fw">Link</button>
                                            </div>
                                        </div>-->


                                    </div>
                                    
                                </div>
                            </div>
                            
			</div>
		</div>
		<input type="hidden" id="h_IsCommonSetupComplete" value="<?php echo CheckCommonSetupEntries(); ?>">
		<div class="modal fade" id="modal_userinfo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
			<div class="modal-dialog swal-modal" role="document">
				<div class="modal-content">
					<div class="modal-body pt-0">
						<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
						<div class="swal-title" style=""></div>
						<div class="swal-text" style=""><blink>
							<h2 style="display: inline;" class=" font-weight-bold  pr-3"><i class="fa fa-hand-o-left" aria-hidden="true"></i></h2>
							</blink> In order to use application, please complete the common required setup first.</div>
					</div>
					<div class="swal-footer">
						<div class="swal-button-container">
							<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalOK">OK</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div>
<!-- container-scroller -->
<!-- base:js -->
<script src="vendors/js/vendor.bundle.base.js"></script>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<!-- endinject -->
<script>       
    $(document).ready(function()
    {
        if($("#h_IsCommonSetupComplete").val()==0)
        {
            $("#modal_userinfo").modal('show');
            /*
            setTimeout(function()
            {
                $('#modal_userinfo').modal('hide')
            }, 5000);*/
        }
        
        var height = Math.max($("#main_col_1").height(), $("#main_col_2").height());
        //$("#main_col_1").height(height);
        //$("#main_col_2_content").height(height-99);
        
       
        var card_3_top = $("#card_3").position().top;
        var card_3_height = $("#card_3").height();
        var total = parseFloat(card_3_top)+parseFloat(card_3_height);
        $("#main_col_2_content").height(parseFloat(card_3_top)+parseFloat(card_3_height)-60);
    });

    $('#cmdModalOK').click(function()
    {
        $("#modal_userinfo").modal("hide");
    });
    $(".link_total_users").click(function()
    {
       window.open("manage-users.php"); 
    });
    $(".link_total_emp").click(function()
    {
       window.open("manage-employees.php"); 
    });
    
    $(".link_attendance_pending_approval").click(function()
    {
       window.open("attendance-approval.php"); 
    });
    
    
    $(".link_total_tech_issue").click(function()
    {
       window.open("tech-support.php"); 
    });
    $(".link_total_project").click(function()
    {
       window.open("manage-projects.php"); 
    });
    
</script>
</body>
</html>
