<?php
    require_once "conn.php";
    require_once "functions.php";
    require_once "functions_attendance.php";
    if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
		login_from_cookie();
	}
    header('Content-Type: application/json'); 
    
    function updatedata1($table,$data, $wherecondition,$die=0)	// FUNCTION TO UPDATE RECORD IN SPECIFIED TABLE
{
    $conn = $GLOBALS["conn"]; 
    $qry="Update ".$table." set ";;
    foreach($data as $fld=>$val)
    {
        if($val=='Null')
        {
            $qry.= $fld."=".($val).",";
        }
        else
        {
            $qry.= $fld."='".add_security($val)."',";
        }
        
    }
    $qry=substr($qry,0,-1);
    $qry = $qry . $wherecondition;	
    echo "  ".$qry;
	if($die==1){
		echo "  ".$qry;die;
	}
    $result_insert = mysqli_query($conn,$qry);
    //mysqli_close($conn);
}

    function issue_history_data($issue_id)
    {
        $conn = $GLOBALS["conn"]; 
        $history_data = array();
        $qry = "select cxs_csc_support_history.*,cxs_user.image_name from cxs_csc_support_history 
        inner join cxs_user on cxs_user.user_email = cxs_csc_support_history.created_by where issue_id = '".$issue_id."' and cxs_csc_support_history.company_id='".$_SESSION['login_user_array']['company_id']."' order by cxs_csc_support_history.id desc";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $counter=0;
            while($row = mysqli_fetch_assoc($result))
            {
                $history_data[] = $row;        
                $history_data[$counter]['creation_date'] = date('m/d/Y h:i a', strtotime($row['creation_date']));
                $history_data[$counter]['last_update_date'] = date('m/d/Y h:i a', strtotime($row['last_update_date']));
                //$ip_addr_list[$counter]['ip_addr'] = $ip_addr;
                $counter++;
            }
           return $history_data;
        }
    } 

    if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_payperiod_data')
    {
        parse_str($_POST['form1'],$formArr1);      
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $insArr = array();
        $insArr['period_type'] = isset($formArr1['combo_timecard'])?$formArr1['combo_timecard']:'';
        $insArr['first_day_of_week'] = isset($formArr1['combo_week_firstday'])?$formArr1['combo_week_firstday']:'';
        $insArr['self_approve_flag'] = isset($formArr1['chk_self_approve']) && $formArr1['chk_self_approve']==1?"Y":"N";
        $insArr['self_approve_timekeeping_flag'] = isset($formArr1['chk_approve_timekeeping']) && $formArr1['chk_approve_timekeeping']==1?"Y":"N";
        $insArr['edit_submitted_flag'] = isset($formArr1['chk_edit_submitted']) && $formArr1['chk_edit_submitted']==1?"Y":"N";
        $insArr['edit_approved_flag'] = isset($formArr1['chk_edit_approve']) && $formArr1['chk_edit_approve']==1?"Y":"N";        
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;        
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 

        $qry = "Select * from cxs_periods where company_id ='".$_SESSION['login_user_array']['company_id']."'";
        $result =mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            updatedata("cxs_periods",$insArr,"where company_id='".$_SESSION['login_user_array']['company_id']."'");
        }
        else
        {
            $insArr['creation_date']=$curTime;
            $insArr['created_timezone']=$currTz;
            $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
            insertdata("cxs_periods",$insArr);
        }
        $succ=1;
        echo json_encode(array("succ" => $succ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_payperiod_data')
    {        
        //$qry = "Select * from cxs_periods where company_id ='".$_SESSION['login_user_array']['company_id']."'";
        $qry = "Select cxs_periods.*, cxs_user.user_role  from cxs_periods left join cxs_user on cxs_user.company_id = cxs_periods.company_id where cxs_periods.company_id ='".$_SESSION['login_user_array']['company_id']."' and cxs_user.user_id = ".$_SESSION['login_user_array']['user_id'];
        $result =mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $periods_data = mysqli_fetch_assoc($result);
            //$data_content_eye_icon = show_eye_icon_data("cxs_periods","company_id",$_SESSION['login_user_array']['company_id']);
            $data_content_eye_icon = show_eye_icon_data_format($periods_data);
            
        }        
        $succ=1;
        echo json_encode(array("succ" => $succ,"periods_data"=>$periods_data,"data_content_eye_icon"=>$data_content_eye_icon));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_overtime_policy_data')
    {
        parse_str($_POST['form1'],$formArr1);      
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        /*$flsa_action_type = isset($formArr1['opt_flsa_action_type'])?$formArr1['opt_flsa_action_type']:'';
        if($flsa_action_type=="daily_overtime")
        {
            $flsa_action_value = isset($formArr1['text_action_val1'])?$formArr1['text_action_val1']:'';
        }
        else if($flsa_action_type=="weekly_overtime")
        {
            $flsa_action_value = isset($formArr1['text_action_val2'])?$formArr1['text_action_val2']:'';
        }
        else if($flsa_action_type=="weekly_doubletime24")
        {
            $flsa_action_value = isset($formArr1['text_action_val3'])?$formArr1['text_action_val3']:'';
        }
        else if($flsa_action_type=="weekly_doubletime40")
        {
            $flsa_action_value = isset($formArr1['text_action_val4'])?$formArr1['text_action_val4']:'';
        }
        */
        
        
        $flsa_action_type1 = isset($formArr1['flsa_action_type1']) && $formArr1['flsa_action_type1']==1?"Y":"N";
        $text_action_val1 = isset($formArr1['text_action_val1'])?$formArr1['text_action_val1']:'';
        
        
        $state_action_type = isset($formArr1['opt_state_action_type'])?$formArr1['opt_state_action_type']:'';
        $allow_cto = isset($formArr1['chk_cto']) && $formArr1['chk_cto']==1?"Y":"N";
        $ot_hours_flag = isset($formArr1['chk_ot_hours']) && $formArr1['chk_ot_hours']==1?"Y":"N";
        $ot_hours_limit = isset($formArr1['text_ot_hours_limit'])?$formArr1['text_ot_hours_limit']:'';
        
        $insArr = array();
        
        $insArr['flsa_action_type1'] = isset($formArr1['opt_flsa_action_type1']) && $formArr1['opt_flsa_action_type1']==1?"Y":"N";
        $insArr['flsa_action_value1'] = isset($formArr1['text_action_val1'])?$formArr1['text_action_val1']:0;  

        $insArr['flsa_action_type2'] = isset($formArr1['opt_flsa_action_type2']) && $formArr1['opt_flsa_action_type2']==1?"Y":"N";
        $insArr['flsa_action_value2'] = isset($formArr1['text_action_val2'])?$formArr1['text_action_val2']:0;  

        $insArr['flsa_action_type3'] = isset($formArr1['opt_flsa_action_type3']) && $formArr1['opt_flsa_action_type3']==1?"Y":"N";
        $insArr['flsa_action_value3'] = isset($formArr1['text_action_val3'])?$formArr1['text_action_val3']:0;  

        $insArr['flsa_action_type4'] = isset($formArr1['opt_flsa_action_type4']) && $formArr1['opt_flsa_action_type4']==1?"Y":"N";
        $insArr['flsa_action_value4'] = isset($formArr1['text_action_val4'])?$formArr1['text_action_val4']:0;  

        $insArr['state_action_type1'] = isset($formArr1['opt_state_action_type1']) && $formArr1['opt_state_action_type1']==1?"Y":"N";
        $insArr['state_action_type2'] = isset($formArr1['opt_state_action_type2']) && $formArr1['opt_state_action_type2']==1?"Y":"N";
        $insArr['state_action_type3'] = isset($formArr1['opt_state_action_type3']) && $formArr1['opt_state_action_type3']==1?"Y":"N";
        $insArr['state_action_type4'] = isset($formArr1['opt_state_action_type4']) && $formArr1['opt_state_action_type4']==1?"Y":"N";
        
        //$insArr['flsa_action_type'] = $flsa_action_type;
        //$insArr['flsa_action_value'] = $flsa_action_value;
        //$insArr['state_action_type'] = $state_action_type;
        $insArr['allow_cto'] = $allow_cto;
        $insArr['ot_hours_flag'] = $ot_hours_flag;
        $insArr['ot_hours_limit'] = $ot_hours_limit;              
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;    
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        $qry = "Select * from cxs_overtime where company_id ='".$_SESSION['login_user_array']['company_id']."'";
        $result =mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            updatedata("cxs_overtime",$insArr,"where company_id='".$_SESSION['login_user_array']['company_id']."'");
        }
        else
        {
            $insArr['creation_date']=$curTime;
            $insArr['created_timezone']=$currTz;
            $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
            insertdata("cxs_overtime",$insArr);
        }
        $succ=1;
        echo json_encode(array("succ" => $succ));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_overtime_policy_data')
    {        
        $qry = "Select cxs_overtime.*, cxs_user.user_role  from cxs_overtime left join cxs_user on cxs_user.company_id = cxs_overtime.company_id where cxs_overtime.company_id ='".$_SESSION['login_user_array']['company_id']."' and cxs_user.user_id = ".$_SESSION['login_user_array']['user_id'];
        $result =mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $overtime_data = mysqli_fetch_assoc($result);
            /*$data_content_eye_icon = show_eye_icon_data("cxs_overtime","company_id",$_SESSION['login_user_array']['company_id']);*/
            $data_content_eye_icon = show_eye_icon_data_format($overtime_data);
        }        
        $succ=1;
        echo json_encode(array("succ" => $succ,"overtime_data"=>$overtime_data,"data_content_eye_icon"=>$data_content_eye_icon));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_leave_data')
    {
        parse_str($_POST['form1'],$formArr1);        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        $succ = 1;
        $msg = "";
        $selected_id = isset($formArr1['h_selectedid'])?$formArr1['h_selectedid']:''; 
        
        $query_1 = " and company_id ='".$_SESSION['login_user_array']['company_id']."'";
        if($selected_id!='')
        {
            $query_1 .= " and id <> '".$selected_id."'";
        }
        $qry = "select * from cxs_leave where leave_name = '".$formArr1['text_leave']."' ".$query_1;
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0) 
        {
            $msg = "Leave name is duplicate. Please try another name.";
            $succ = 0;
        }
        if($succ==1)    
        {
            $insArr['leave_name'] = trim(ucwords($formArr1['text_leave']));             
            $insArr['enable_flag'] = isset($formArr1['check_enable_popup']) && $formArr1['check_enable_popup']==1?"Y":"N";            
            $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;         
            if($selected_id=='')
            {
                $insArr['creation_date']=$curTime;
                $insArr['created_timezone']=$currTz;
                $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
            }    
            $insArr['last_update_date']=$curTime;
            $insArr['updated_timezone']=$currTz;
            $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 

            if($selected_id=="")
            {
                $LastInsertedUserId = insertdata("cxs_leave",$insArr);
                $HeaderId=$LastInsertedUserId;
            }
            else
            {
                updatedata("cxs_leave",$insArr,"where id = '$selected_id' and company_id = '".$_SESSION['login_user_array']['company_id']."'");
                $HeaderId = $selected_id;
            }
            $succ=1;
        }
        echo json_encode(array("succ" => $succ,"msg"=>$msg));
        exit;
    }

    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_leave_data')
    {
        $succ=0;
        $leave_data = array();
        $leave_id = isset($_POST['leave_id'])?trim($_POST['leave_id']):''; 
        $qry = "select * from cxs_leave where id = '".$leave_id."' and company_id='".$_SESSION['login_user_array']['company_id']."'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $row = mysqli_fetch_assoc($result);
            $leave_data = $row;            
            
        }
        $succ=1;
        echo json_encode(array("succ" => $succ,"leave_data"=>$leave_data));
        exit;
    }
    if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_Issue_data')
    {
        parse_str($_POST['form1'],$formArr1);      
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        $emp_id = isset($formArr1['combo_requestor'])?$formArr1['combo_requestor']:'';
        
        $short_description = isset($_POST['short_description'])?trim($_POST['short_description']):'';
        $qry = "select cxs_employee.*,user_email from cxs_employee inner join cxs_user on cxs_user.user_id = cxs_employee.user_id where employee_id = '".$emp_id."'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            $row = mysqli_fetch_assoc($result);
            $requestor_userid = $row['user_id'];
            $requestor_username = $row['user_email'];
            $requestor_fullname = $row['first_name'].' '.$row['last_name'];
        }
        
        $insArr = array();
        $insArr['priority'] = isset($formArr1['combo_issue_priority'])?$formArr1['combo_issue_priority']:'';
        $insArr['issue_status'] = isset($formArr1['combo_status'])?$formArr1['combo_status']:'';
        $insArr['requstor_empid'] = isset($formArr1['combo_requestor'])?$formArr1['combo_requestor']:'';
        $insArr['requestor_userid'] = isset($requestor_userid)?$requestor_userid:'';  /*isset($formArr1['combo_requestor'])?$formArr1['combo_requestor']:'';*/
        $insArr['requestor_username'] = isset($requestor_username)?$requestor_username:'';
        $insArr['requestor_fullname'] = isset($requestor_fullname)?$requestor_fullname:'';
        $insArr['short_descr'] = isset($short_description)?$short_description:'';
        
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;    
        
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        $h_selectedid = isset($formArr1['h_selectedid'])?$formArr1['h_selectedid']:'';
        
        $qry = "Select * from cxs_csc_support where company_id ='".$_SESSION['login_user_array']['company_id']."' and issue_id = '".$h_selectedid."'";
        $result =mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            updatedata("cxs_csc_support",$insArr,"where company_id='".$_SESSION['login_user_array']['company_id']."' and issue_id ='".$h_selectedid."'");
        }
        else
        {
            $insArr['creation_date']=$curTime;
            $insArr['created_timezone']=$currTz;
            $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
            insertdata("cxs_csc_support",$insArr);
        }
        $succ=1;
        echo json_encode(array("succ" => $succ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'GetUserImage')
    {
        $succ=0;        
        $image_name = "";
        $Employeeid = isset($_POST['Employeeid'])?trim($_POST['Employeeid']):''; 
        $qry = "select image_name from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id where cxs_employee.employee_id = '".$Employeeid."' and cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $succ=1;
            $row = mysqli_fetch_assoc($result);
            $image_name = $row['image_name'];
        }
        
        echo json_encode(array("succ" => $succ,"image_name"=>$image_name));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_Issue_data')
    {
        $succ=0;
        $issue_data = array();
        $history_data = array();
        
        $issue_id = isset($_POST['issue_id'])?trim($_POST['issue_id']):''; 
        $qry = "select * from cxs_csc_support where issue_id = '".$issue_id."' and company_id='".$_SESSION['login_user_array']['company_id']."'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $row = mysqli_fetch_assoc($result);
            $issue_data = $row;        
            $issue_data['creation_date'] = date('m/d/Y h:i a', strtotime($row['creation_date']));
            $issue_data['last_update_date'] = date('m/d/Y h:i a', strtotime($row['last_update_date']));
        }
        $succ=1;
        echo json_encode(array("succ" => $succ,"issue_data"=>$issue_data));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_update_issue_history')
    {
        $history_data = array();
        $succ=1;        
        $issue_id = isset($_POST['issue_id'])?trim($_POST['issue_id']):''; 
        $history_data = issue_history_data($issue_id);
        
        echo json_encode(array("succ" => $succ,"history_data"=>$history_data));
        exit;
    }
     else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_issue_update_data')
    {
        parse_str($_POST['form2'],$formArr1);      
        /*$currTz = isset($_POST['currTz'])?trim($_POST['currTz']):''; 
        $curTime = isset($_POST['curTime'])?trim($_POST['curTime']):'';*/
        $issue_id = isset($_POST['issue_id'])?trim($_POST['issue_id']):'';
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        
        
        $insArr = array();
        $history_data = array();
        $insArr['issue_id'] = $issue_id;
        $insArr['update_issue'] = isset($formArr1['text_update_issue'])?$formArr1['text_update_issue']:'';       
        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
        $insArr['last_update_date']=$curTime;
        $insArr['updated_timezone']=$currTz;
        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        
        $insArr['creation_date']=$curTime;
        $insArr['created_timezone']=$currTz;
        $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
        insertdata("cxs_csc_support_history",$insArr);
        
        $history_data = issue_history_data($issue_id);
        $succ=1;
        echo json_encode(array("succ" => $succ,"history_data"=>$history_data));
        exit;
         
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'getTechSupportData')
    {
        $succ=0;
        $data = array();
        $qry = "select * from cxs_csc_support where company_id = '".$_SESSION['login_user_array']['company_id']."' order by issue_id ";
        $result = mysqli_query($conn,$qry);
        if (mysqli_num_rows($result)>0)
        {
            $succ=1;
            $counter=0;
            while($row=mysqli_fetch_assoc($result))
            {
                /*$data_content_eye_icon = show_eye_icon_data("cxs_csc_support","issue_id",$row['issue_id']);*/
                $data_content_eye_icon = show_eye_icon_data_format($row);
                $data[] = $row;                 
                $data[$counter]['data_content_eye_icon'] = $data_content_eye_icon; 
                $counter++;
            }
        }
        echo json_encode(array("succ" => $succ,"data"=>$data ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_member_info')
    {
        $user_name = isset($_POST['user_name'])?trim($_POST['user_name']):''; 
        $succ=0;
        $data = array();
        $qry = "select cxs_user.user_id, user_email,full_name,user_role,cxs_licensed_products.* from cxs_user inner join cxs_licensed_products on cxs_licensed_products.user_id = cxs_user.user_id
                where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."' and cxs_user.user_email ='".$user_name."'";
        $result = mysqli_query($conn,$qry);
        if (mysqli_num_rows($result)>0)
        {
            $succ=1;
            $counter=0;
            while($row=mysqli_fetch_assoc($result))
            {
                $data[] = $row;                 
            }
        }
        echo json_encode(array("succ" => $succ,"data"=>$data ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_team_data')
    {
        parse_str($_POST['form1'],$formArr1);      
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $user_id_list = isset($_POST['user_id_list'])?trim($_POST['user_id_list']):'';
        if($user_id_list!='')
        {
            //$user_id_list = explode(",",$user_id_list);
            $user_id_list1 = json_decode($user_id_list);
        }
        
        $selected_id = "";
        $sub_query = "";
        if(isset($formArr1['h_selectedid']) && $formArr1['h_selectedid']!='')
        {
            $selected_id = $formArr1['h_selectedid'];
            $sub_query = " and team_id != ".$selected_id;
        }
        $succ = 1;
        $msg = "";
        
        $qry = "Select * from cxs_team_header where team_name = '".$formArr1['Text_TeamName']."' and company_id=".$_SESSION['login_user_array']['company_id'].$sub_query;
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $succ=0;
            $msg = "Team name already exist. Please enter another name.";
        }
        
        $insArr = array();
        if($succ==1)
        {
            $history_data = array();
            $insArr['team_name'] = isset($formArr1['Text_TeamName'])?$formArr1['Text_TeamName']:'';      
            $insArr['description'] = isset($formArr1['Text_Description'])?$formArr1['Text_Description']:'';       
            $insArr['administrator_id'] = isset($formArr1['combo_administrator'])?$formArr1['combo_administrator']:'';       

            $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
            $insArr['last_update_date']=$curTime;
            $insArr['updated_timezone']=$currTz;
            $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 

            if(isset($formArr1['h_selectedid']) && $formArr1['h_selectedid']=='')
            {
                $insArr['creation_date']=$curTime;
                $insArr['created_timezone']=$currTz;
                $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $HeaderId = insertdata("cxs_team_header",$insArr);
            }
            else
            {
                $HeaderId = $formArr1['h_selectedid'];
                updatedata("cxs_team_header",$insArr,"where team_id = '".$formArr1['h_selectedid']."'");
            }
            
            if (!empty($user_id_list1))
            {
                foreach($user_id_list1 as $key=>$value)
                {
                    $qry = "select * from cxs_team_members where team_id = '".$HeaderId."' and company_id = '".$_SESSION['login_user_array']['company_id']."' and assignement_id = '".$value."'";
                    $result= mysqli_query($conn,$qry);
                    if(mysqli_num_rows($result)==0)
                   {
                        $insArr = array();
                        $insArr['team_id'] = isset($HeaderId)?$HeaderId:0;      
                        $insArr['member_userid'] = $value;       
                        $insArr['member_username'] = getValue("cxs_user","user_email","where user_id =".$value);  
                        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                        $insArr['last_update_date']=$curTime;
                        $insArr['updated_timezone']=$currTz;
                        $insArr['last_udpated_by']=isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        $insArr['creation_date']=$curTime;
                        $insArr['created_timezone']=$currTz;
                        $insArr['created_by']=  isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        insertdata("cxs_team_members",$insArr);
                        
                   }
                   
                }
            }
            
        }    
        echo json_encode(array("succ" => $succ,"msg"=>$msg));
        exit;
         
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_team_data')
    {
        $team_id = isset($_POST['team_id'])?trim($_POST['team_id']):''; 
        $succ=0;
        $data = array();
        $detail_data = array();

        $qry = "select * from cxs_team_header where cxs_team_header.company_id = '".$_SESSION['login_user_array']['company_id']."' and team_id = '".$team_id."'";
        $result = mysqli_query($conn,$qry);
        if (mysqli_num_rows($result)>0)
        {
            $succ=1;            
            while($row=mysqli_fetch_assoc($result))
            {
                $data[] = $row;                 
            }
        }
        
        
        $qry = "select cxs_team_members.*,cxs_user.user_id,cxs_user.full_name,cxs_user.user_email,cxs_user.user_role,cxs_licensed_products.attendance_flag,cxs_licensed_products.issue_tracking_flag,cxs_licensed_products.timekeeping_flag,cxs_licensed_products.projects_flag,cxs_licensed_products.expense_flag,
                cxs_licensed_products.invoicing_flag from cxs_team_members inner join cxs_user on cxs_user.user_id = cxs_team_members.member_userid inner join cxs_licensed_products on cxs_licensed_products.user_id = cxs_team_members.member_userid 
                where cxs_team_members.company_id = '".$_SESSION['login_user_array']['company_id']."'  and team_id = '".$team_id."'";
            $result = mysqli_query($conn,$qry);
        if (mysqli_num_rows($result)>0)
        {
            $counter=0;
            while($row=mysqli_fetch_assoc($result))
            {
                $detail_data[] = $row;
            }
        }
        
        echo json_encode(array("succ" => $succ,"data"=>$data,"detail_data"=>$detail_data ));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_team_data')
    {
        $team_id = isset($_POST['team_id'])?trim($_POST['team_id']):''; 
        $user_id = isset($_POST['user_id'])?trim($_POST['user_id']):'';
        $succ=0;
        $data = array();
        $qry = "delete from cxs_team_members where team_id='".$team_id."' and member_userid ='".$user_id."'";
        $result = mysqli_query($conn,$qry);
        $succ=1;
        echo json_encode(array("succ" => $succ));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_adm_ips')
    {
        $succ=0;
        $ip_addr_list = isset($_POST['ip_addr_list'])?$_POST['ip_addr_list']:''; 
        
        if(!empty($ip_addr_list))
        {
            //$ip_addr_list = explode(",",$ip_addr_list);
            $ip_addr_list = json_decode($ip_addr_list);
        }
       
        
        $devicename_list = isset($_POST['devicename_list'])?$_POST['devicename_list']:''; 
        
        if(!empty($devicename_list))
        {
            //$ip_addr_list = explode(",",$ip_addr_list);
            $devicename_list = json_decode($devicename_list);
        }
        
        /*$currTz = isset($_POST['currTz'])?trim($_POST['currTz']):''; 
        $curTime = isset($_POST['curTime'])?trim($_POST['curTime']):'';*/
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";
        $date = new DateTime("now", new DateTimeZone($currTz) );
        $curTime = $date->format('Y-m-d H:i:s');
        
        $list_admin_user_id = array();
        $qry = "select * from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_role = 'Admin'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            while($row = mysqli_fetch_assoc($result))
            {
                $list_admin_user_id[] = $row['user_id'];
            }
        }
        
        
        
        foreach($ip_addr_list as $key => $value)
        {
            $succ=1;
            $insArr = array();
            $ip_convert = ip2long($value);
            
            $insArr['ip_addr'] = $ip_convert;            
            $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
            $insArr['last_update_date']= $curTime;
            $insArr['updated_timezone']=$currTz;
            $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
            $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
            $insArr['creation_date'] = $curTime;
            $insArr['created_timezone']=$currTz;
            $insArr['device_nickname']=$devicename_list[$key];
            
            $qry = "select * from cxs_admin_ips where company_id = '".$_SESSION['login_user_array']['company_id']."' and ip_addr = '$ip_convert'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)==0)
            {
                
                insertdata("cxs_admin_ips",$insArr);
                
                foreach($list_admin_user_id as $key1 => $value1)
                {
                 /***************Save Notification for User***************/                    
                    $notes = "<b>IP Address : </b> Add IP Address  by ".$_SESSION['login_user_array']['user_email'];

                    $insArr = array();
                    $insArr['from_user_id'] 		= $_SESSION['login_user_array']["user_id"];
                    $insArr['to_user_id']		= $value1;
                    $insArr['module_name'] 		= "ip_address";
                    $insArr['module_field_id'] 		= 0;//$expense_report_id;
                    $insArr['notes']                = $notes;
                    $insArr['action_to_be_taken']   = SITEURL."attendance-tracking/ip-address/";

                    $insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
                    $insArr['creation_date']	= $curTime;
                    $insArr['created_timezone']	= $currTz;
                    $insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
                    $insArr['last_update_date']	= $curTime;
                    $insArr['updated_timezone']	= $currTz;
                    $insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                    insertdata("cxs_notifications",$insArr);
                    $notes_category = "";
                /***************Save Notification for User***************/
                
                }
                
                
                
                
                
            }
        }
        
        echo json_encode(array("succ" => $succ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_adm_ips')
    {
        $ip_id= isset($_POST['ip_id'])?trim($_POST['ip_id']):'';
        $succ=0;
        $data = array();
        //$qry = "delete from cxs_admin_ips where id='".$ip_id."' ";
        $qry = "update  cxs_admin_ips set  IsDelete = 'Y' where id='".$ip_id."' ";
        $result = mysqli_query($conn,$qry);
        $succ=1;
        echo json_encode(array("succ" => $succ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_adm_ips')
    {
        $ip_addr_list=array();
        $qry = "select * from cxs_admin_ips where company_id = '".$_SESSION['login_user_array']['company_id']."' and IsDelete = 'N'";
        $result = mysqli_query($conn,$qry);            
        if(mysqli_num_rows($result)>0)    
        {
            $counter = 0;
            while($row=mysqli_fetch_assoc($result))
            {
                $ip_addr_list[]=$row;
                $ip_addr = long2ip($row['ip_addr']);
                $ip_addr_list[$counter]['ip_addr'] = $ip_addr;
                $counter++;
            }
        }
        echo json_encode(array("succ" => $succ,"ip_addr_list"=>$ip_addr_list));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'validation_clockinout')
    {
        $ipaddress = GetIPAddress();
        $convert_ip = ip2long($ipaddress);
        $device_nickname="";
        $succ=0;
        $msg= "";
        $qry = "select exempt_flag from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['login_user_array']['user_id']."'";
        $result = mysqli_query($conn,$qry);            
        if(mysqli_num_rows($result)>0)    
        {
            $row = mysqli_fetch_assoc($result);
            if($row['exempt_flag']=="N")
            {
                $succ=1;
            }
            else
            {
                $succ=0;
                $msg="You are not allowed to access this page.";
            }
        }
        if($succ==1)
        {
            /*$succ=0;*/
            /*$qry = "select * from cxs_restricted_adr inner join cxs_user on cxs_user.user_id = cxs_restricted_adr.user_id where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."' and cxs_user.user_id = ".$_SESSION['login_user_array']['user_id']." and ip_addr = '".$convert_ip."'";
            $result = mysqli_query($conn,$qry);            
            if(mysqli_num_rows($result)>0)    
            {
                $succ=1;
                $row = mysqli_fetch_assoc($result);
                $device_nickname = $row['device_nickname'];
            }*/
            if($succ==0)
            {
                 $qry = "select * from cxs_admin_ips where company_id = '".$_SESSION['login_user_array']['company_id']."' and ip_addr = '".$convert_ip."'";
                $result = mysqli_query($conn,$qry);            
                if(mysqli_num_rows($result)>0)    
                {
                    $succ=1;
                    $row = mysqli_fetch_assoc($result);
                    $device_nickname = $row['device_nickname'];
                }
            }
        }
        echo json_encode(array("succ" => $succ,"device_nickname"=>$device_nickname,"msg"=>$msg,"qry"=>$qry));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_clock_inout_status')
    {
        $user_id = isset($_POST['user_id'])?trim($_POST['user_id']):'';
        $msg = "";
        $check_logout = "";
        $last_event_time = "";
        $succ = 1;
        $insArr = array();
        //$curTime = isset($_POST['curTime'])?$_POST['curTime']:''; 
        $last_time_type = "";
        $last_event_string = "";
        $query_1 = " and time_type != 'time_off' ";
        
        $current_date = isset($_POST['current_date'])?trim($_POST['current_date']):'';
        $current_date = date('m/d/Y', strtotime($current_date));
        $current_date = date('Y-m-d', strtotime($current_date));
        $get_data = array();
        
        $selected_user_id = "";
        $is_holiday = "";
        $is_pto = "";
        $pto_date = "";
        /*$qry_timeoff="SELECT * FROM cxs_atnd_clockinout left join cxs_atnd_clockinout_ar_status on cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id "
                ."where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." AND cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." AND ('".$current_date."' between DATE(time_in_stamp)  and DATE(time_out_stamp) ) and time_type = 'time_off'  and cxs_atnd_clockinout_ar_status.current_status = 'A'";
        
        */
        $qry_timeoff="SELECT * FROM cxs_atnd_clockinout where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." AND cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." AND ('".$current_date."' between DATE(time_in_stamp)  and DATE(time_out_stamp) ) and time_type = 'time_off'  and cxs_atnd_clockinout.entry_status = 'approved'";
        $result_timeoff = mysqli_query($conn,$qry_timeoff);
        if(mysqli_num_rows($result_timeoff)>0)
        {
            $row_timeoff = mysqli_fetch_assoc($result_timeoff);
             $succ=0;
            //$msg = "Time off between ".date("m/d/Y",strtotime($row_timeoff['time_in_stamp']))." to ".date("m/d/Y",strtotime($row_timeoff['time_out_stamp']));
            $msg = "You can not put attendance  for the PTO period ".date("m/d/Y",strtotime($row_timeoff['time_in_stamp']))." to ".date("m/d/Y",strtotime($row_timeoff['time_out_stamp']));
        }
        
        $qry_timeoff="select *from cxs_holiday where cxs_holiday.company_id = '".$_SESSION['login_user_array']['company_id']."' and (holiday_date >='".$current_date."' AND holiday_date <= '".$current_date."') ";        
        $result_timeoff = mysqli_query($conn,$qry_timeoff);
        if(mysqli_num_rows($result_timeoff)>0)
        {
            $row_timeoff = mysqli_fetch_assoc($result_timeoff);
            $succ=0;            
            $msg = "You can not put attendance  on holiday - ".$row_timeoff['holiday_name']."";
            $is_holiday = "Y";
        }
        if($msg=='' || ($msg!='' && $is_holiday=="Y"))
        {
            if($user_id=="")
            {
                $query_1 .= " and user_id = ".$_SESSION['login_user_array']['user_id']." ";
                
                $selected_user_id = $_SESSION['login_user_array']['user_id'];
            }
            else
            {
                $query_1 .= " and user_id = ".$user_id." ";  
                
                $selected_user_id = $user_id;
            }
            if($_SESSION['login_user_array']['user_plan']=="ENTERPRISE")
            {
                $qry = "select * from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id'].$query_1." order by last_update_date desc limit 1";/*time_in_stamp desc,time_out_stamp desc,*/
            }
            else if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")
            {
                $query_1 = str_replace("and time_type != 'time_off'","",$query_1);
                $qry = "select * from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id'].$query_1." order by last_update_date desc limit 1";
            }
            //echo $qry;die;
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0)
            {
                $row = mysqli_fetch_assoc($result);
                $last_time_type = $row['time_type'];
                if(is_null($row['time_out_stamp']))
                {
                    $last_time_type .= "_in";
                    $last_event_time = $row['rounding_time_in_stamp'];
                }
                else
                {
                    $last_time_type .= "_out";
                    $check_logout = "Y";
                    $last_event_time = $row['rounding_time_out_stamp'];
                    /*$last_calendar_date = $row['calendar_date'];*/
                }
                if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED" && $row['time_type']=="time_off")
                {
                    $is_pto = "Y";
                    $pto_date = $row['calendar_date'];
                }
                
                //echo $last_event_time;die;
            }
        
    
            if($check_logout == "Y")
            {
                $qry = "select * from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id'].$query_1."  order by time_out_stamp desc limit 1";
                /* Add this condition on 10-10-2020 */
                if($current_date!='')
                {
                    $qry = "select * from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id'].$query_1." and  date(time_out_stamp) = '".$current_date."' order by time_out_stamp desc limit 1";
                }
                $result = mysqli_query($conn,$qry);
                if(mysqli_num_rows($result)>0)
                {
                    $row = mysqli_fetch_assoc($result);
                    $last_time_type = $row['time_type']; 
                    if(is_null($row['time_out_stamp']))
                    {
                        $last_time_type .= "_in";
                        $last_event_time = $row['rounding_time_in_stamp'];
                    }
                     else
                    {
                        $last_time_type .= "_out";           
                        $last_event_time = $row['rounding_time_out_stamp'];
                        
                    }
                }
                else 
                {
                    /*if($last_calendar_date!='')*/
                    {
                        /*$qry = "select * from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id'].$query_1." and  date(time_out_stamp) = '".$last_calendar_date."' order by time_out_stamp desc limit 1";*/
                        $qry = "select * from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id'].$query_1."  order by time_out_stamp desc limit 1";
                        $result = mysqli_query($conn,$qry);
                        if(mysqli_num_rows($result)>0)
                        {
                            $row = mysqli_fetch_assoc($result);
                            $last_time_type = $row['time_type']; 
                            if(is_null($row['time_out_stamp']))
                            {
                                $last_time_type .= "_in";
                                $last_event_time = $row['rounding_time_in_stamp'];
                            }
                            else
                            {
                                $last_time_type .= "_out";           
                                $last_event_time = $row['rounding_time_out_stamp'];

                            }
                        }   
                    }    
                }
            }
        
            
            $last_event_string = "";
            
            if($last_time_type=="clock_in" || $last_time_type=="overtime_in")
            {
                $last_event_string = "Clock In";
            }
            else if($last_time_type=="clock_out" || $last_time_type=="overtime_out")
            {
                $last_event_string = "Clock Out";
            }
            else if($last_time_type=="break_in")
            {
                $last_event_string = "Start Break";
            }
            else if($last_time_type=="break_out")
            {
                $last_event_string = "Stop Break";
            }
            else if($last_time_type=="meal_in")
            {
                $last_event_string = "Start Meal";
            }
            else if($last_time_type=="meal_out")
            {
                $last_event_string = "Stop Meal";
            }
            if($last_event_time!='')
            {
                $display_date = date("F jS Y, h:i A",strtotime($last_event_time));
                $last_event_string .= " ".$display_date;
                
                
                $get_calendar_date = date("Y-m-d",strtotime($last_event_time));
                
                if($current_date==$get_calendar_date)
                {
                    $qry = "select * from cxs_atnd_clockinout where user_id =".$selected_user_id." and company_id =".$_SESSION['login_user_array']['company_id']." and calendar_date = '".$get_calendar_date."' ORDER BY session_id ";
                    $result = mysqli_query($conn,$qry);
                    if(mysqli_num_rows($result)>0)
                    {
                        while($row = mysqli_fetch_assoc($result))
                        {
                            if(!is_null($row['time_in_stamp']))
                            {
                                $row['time_in_stamp'] = date('h:i a', strtotime($row['time_in_stamp']));
                                if(!is_null($row['rounding_time_in_stamp']))
                                {
                                    $row['time_in_stamp'] = date('h:i a', strtotime($row['rounding_time_in_stamp']));
                                }
                                
                            }
                            else 
                            {
                                $row['time_in_stamp'] = '&nbsp;&nbsp;';
                            }

                            if(!is_null($row['time_out_stamp']))
                            {
                                $row['time_out_stamp'] = date('h:i a', strtotime($row['time_out_stamp']));
                                if(!is_null($row['rounding_time_out_stamp']))
                                {
                                    $row['time_out_stamp'] = date('h:i a', strtotime($row['rounding_time_out_stamp']));
                                }
                            }
                            else 
                            {
                                $row['time_out_stamp'] = '&nbsp;&nbsp;';
                            }

                            $get_data[] = $row;
                        }

                    }
                }  
            }
            
         if($is_pto=="Y")
         {
             $last_event_string = "PTO";
         }
            
        }    
        echo json_encode(array("succ" => $succ,"last_time_type"=>$last_time_type,"last_event_string"=>$last_event_string,"msg"=>$msg,"get_data"=>$get_data,"is_holiday"=>$is_holiday,"is_pto"=>$is_pto,"pto_date"=>$pto_date));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_clock_inout_data')
    {
        $field_value = isset($_POST['field_value'])?$_POST['field_value']:''; 
        $currTz = isset($_POST['currTz'])?$_POST['currTz']:''; 
        $curTime = isset($_POST['curTime'])?$_POST['curTime']:''; 
        
        $msg = "";
        $succ = 1;
        $insArr = array();
        
        $qry = "select * from cxs_atnd_clockinout where user_id = ".$_SESSION['login_user_array']['user_id']." and company_id=".$_SESSION['login_user_array']['company_id']." order by session_id desc limit 1";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $row = mysqli_fetch_assoc($result);
            $last_time_type = $row['time_type'];
            $is_update = "";
            if($last_time_type=='clock_in'  || $last_time_type=='break_out' || $last_time_type=='meal_out')
            {
                if($field_value=='break_in' || $field_value=='meal_in' || $field_value=='clock_out'|| $field_value=='overtime_out')
                {
                    $succ=1;                    
                }
                else
                {
                    $succ=0;
                    if($field_value=='clock_in')
                    {
                        $msg = "You have already Clocked In.";
                    }
                    else if($field_value=='break_out')
                    {
                        $msg = "You have not Start Break. Please Start Break your time first.";
                    }
                    else if($field_value=='meal_out')
                    {
                        $msg = "You have not Start Meal. Please Start Meal your time first.";
                    }    
                }
            }
            else if($last_time_type=='clock_out'||$last_time_type=='overtime_out')
            {
                if($field_value=='clock_in')
                {
                    $succ=1;
                }
                else
                {
                    $succ=0;
                    $msg = "You have not Clocked In to start your Shift. Please Clock In your time first";
                }
            }
            else if($last_time_type=='break_in')
            {
                if($field_value=='break_out')
                {
                    $succ=1;
                }
                else
                {
                    $succ=0;
                    $msg = "You have not Stop Break. Please Stop Break in your time first.";
                }
            }
            else if($last_time_type=='meal_in')
            {
                if($field_value=='meal_out')
                {
                    $succ=1;
                }
                else
                {
                    $succ=0;
                    $msg = "You have not Stop Meal. Please Stop Meal in your time first.";
                }
            }
            if($succ==1)
            {
                $ipaddress = GetIPAddress();
                $convert_ip = ip2long($ipaddress);
                
                $insArr['ip_addr'] = $convert_ip;            
                $insArr['user_id'] = isset($_SESSION['login_user_array']['user_id'])?$_SESSION['login_user_array']['user_id']:0; 
                $insArr['time_type'] = $field_value;   
                $insArr['time_stamp'] = $curTime;   

                $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['creation_date'] = $curTime;
                $insArr['last_update_date']= $curTime;
                $insArr['updated_timezone']=$currTz;           
                $insArr['created_timezone']=$currTz;

                insertdata("cxs_atnd_clockinout",$insArr);
            }
            
                
           /* if($field_value=='break_out' && $last_time_type!='break_out')
            {
                
            }
            /*if($field_value=='break_in' || $field_value=='meal_in')
            {
                if($last_time_type=="clock_in"|| $last_time_type=="break_out" || $last_time_type=="meal_out")
                {
                    
                }
                else
                {
                    
                }
            }*/
        }
        else
        {
            if($field_value!='clock_in')
            {
                $succ=0;
                $msg = "You have not Clocked In to start your Shift. Please Clock In your time first";
            }
        }
        
        echo json_encode(array("succ" => $succ,"msg"=>$msg));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_clock_inout_data')
    {
        $ipaddress = GetIPAddress();
        $convert_ip = ip2long($ipaddress);
        $field_value = isset($_POST['field_value'])?$_POST['field_value']:''; 
        
        
        $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
      
        $selected_datetime = isset($_POST['curTime'])?$_POST['curTime']:''; 
        
        
        $device_nickname = isset($_POST['device_nickname'])?$_POST['device_nickname']:'';
        $user_id = isset($_POST['user_id'])?$_POST['user_id']:'';
        $missed_reason = isset($_POST['missed_reason'])?$_POST['missed_reason']:'';
        $msg = "";
        $flag = 1;
        if($user_id=="")
        {
            $selected_user_id = isset($_SESSION['login_user_array']['user_id'])?$_SESSION['login_user_array']['user_id']:0; 
            $date = new DateTime("now", new DateTimeZone($currTz) );
            $curTime = $date->format('Y-m-d H:i:s');            
            
            //$curTime = "2021-10-11 15:28:40";
            
            $Timezone_curTime = $curTime;
        }
        else
        {
            $selected_user_id = $user_id;            
            $curTime = date('Y-m-d H:i:s', strtotime($selected_datetime));
            
            $date = new DateTime("now", new DateTimeZone($currTz) );
            $Timezone_curTime = $date->format('Y-m-d H:i:s');
        }
        
        $succ = 1;
        $overtime_insert_id = "";
        /*
        if ($field_value=='clock_in' || $field_value=='clock_out')
        {
            $cur_date = substr($curTime, 0, strrpos($curTime, ' '));
            /*$qry = "select * from cxs_atnd_clockinout where user_id = ".$selected_user_id." and company_id =".$_SESSION['login_user_array']['company_id']." and time_type='clock' and (DATE(time_in_stamp) = '".$cur_date."' or DATE(time_out_stamp) = '".$cur_date."')";***
            if($field_value=='clock_in')
            {
                $qry = "select * from cxs_atnd_clockinout where user_id = ".$selected_user_id." and company_id =".$_SESSION['login_user_array']['company_id']." and time_type='clock' and DATE(time_in_stamp) = '".$cur_date."'";
            }
            else if($field_value=='clock_out')
            {
                $qry = "select * from cxs_atnd_clockinout where user_id = ".$selected_user_id." and company_id =".$_SESSION['login_user_array']['company_id']." and time_type='clock' and DATE(time_out_stamp) = '".$cur_date."'";
            }            
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                $succ=0;                    
                //$msg = "exist";
            }
        }
        */
        if($succ==1)
        {
            
            $insArr = array();
            $ipaddress = GetIPAddress();
            $convert_ip = ip2long($ipaddress);
            
                   
            $insArr['user_id'] = $selected_user_id;
            if($user_id!="")
            {
                if($field_value=='time_off')
                {
                    $insArr['is_missed_in'] = "N";
                    $insArr['missed_in_reason'] = "";
                    $insArr['is_missed_out'] = "N";
                    $insArr['missed_out_reason'] = "";
                }
                else if($field_value=='clock_in' || $field_value=='break_in' || $field_value=='meal_in')
                {
                    $insArr['is_missed_in'] = "Y";
                    $insArr['missed_in_reason'] = $missed_reason;
                }   
                else 
                {
                    $insArr['is_missed_out'] = "Y";
                    $insArr['missed_out_reason'] = $missed_reason;
                }
            }
            $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
            
            $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
            
            $insArr['last_update_date']= $Timezone_curTime;
            $insArr['updated_timezone']=$currTz;           
            $insArr['created_timezone']=$currTz;
            
            if($field_value=='clock_in' || $field_value=='break_in' || $field_value=='meal_in')
            {
                if($field_value=='clock_in')
                {
                    $insArr['time_type'] = 'clock';   
                }    
                if($field_value=='break_in')
                {
                    $insArr['time_type'] = 'break';   
                }
                if($field_value=='meal_in')
                {
                    $insArr['time_type'] = 'meal';   
                }
                if($field_value=='clock_in')
                {
                    $insArr['calendar_date'] = $curTime;
                    if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")
                    {
                        $qry = "delete from cxs_atnd_clockinout where calendar_date = '".date("Y-m-d",strtotime($curTime))."' and company_id=".$_SESSION['login_user_array']['company_id']." and user_id = '".$selected_user_id."' and time_type = 'time_off' ";
                        $result = mysqli_query($conn,$qry);
                        
                    }
                }
                else
                {
                    $qry = "select calendar_date from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id']." and user_id = '".$selected_user_id."' and time_type <> 'time_off' order by session_id desc limit 1";/*time_in_stamp desc,time_out_stamp desc,*/
                    $result = mysqli_query($conn,$qry);
                    if(mysqli_num_rows($result)>0)
                    {
                        $row = mysqli_fetch_assoc($result);
                        $calendar_date = $row['calendar_date'];                        
                    }
                    $insArr['calendar_date'] = $calendar_date;
                }
                $insArr['device_nickname_in']=$device_nickname;
                $insArr['time_in_stamp'] = $curTime;   
                $insArr['ip_addr_in'] = $convert_ip;
                
                $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                $insArr['creation_date'] = $Timezone_curTime;
                
                $rounding_in_time = ConvertTimeIntoRoundTime($curTime);
                $insArr['rounding_time_in_stamp'] = $rounding_in_time;
                if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")
                {
                    $insArr['entry_status'] = 'approved';                    
                }
                insertdata("cxs_atnd_clockinout",$insArr);
            }
            else
            {
                
                $insArr['time_out_stamp'] = $curTime;  
                
                
                
                $rounding_out_time = ConvertTimeIntoRoundTime($curTime);
                $insArr['rounding_time_out_stamp'] = $rounding_out_time;
                
                $selected_id = "";
                $query_1 = "";
                if($field_value=='clock_out' || $field_value=='overtime_out')   
                {
                    $query_1 = "and time_type = 'clock'";   
                }    
                if($field_value=='break_out')
                {
                    $query_1 = "and time_type = 'break'";   
                }
                if($field_value=='meal_out')
                {
                    $query_1 = "and time_type = 'meal'"; 
                }
                $insArr['device_nickname_out']=$device_nickname;
                $insArr['ip_addr_out'] = $convert_ip;     
                $qry = "select * from cxs_atnd_clockinout where user_id =".$selected_user_id." and company_id =".$_SESSION['login_user_array']['company_id']." and time_out_stamp is null ".$query_1;
                $result = mysqli_query($conn,$qry);
                if(mysqli_num_rows($result)>0)
                {
                  $row = mysqli_fetch_assoc($result);
                  $selected_id = $row["session_id"];
                  $get_calendar_date = date("Y-m-d",strtotime($row['calendar_date']));
                  $insArr['calendar_date'] = $get_calendar_date;
                  
                  $entered_in_time  =  $row['time_in_stamp'] ;  
                  
                    $TotalMinutes = differenceInMinutes($entered_in_time,$curTime);
                    if($TotalMinutes<15)
                    {
                        $show_title = "";
                        if($field_value=="clock_out")
                        {
                            $show_title = "Clock";
                        }
                        else if($field_value=="break_out")
                        {
                            $show_title = "Break";
                        }
                        else if($field_value=="meal_out")
                        {
                            $show_title = "Meal";
                        }
                        $flag = 0;
                        $msg = "The difference in ".$show_title." duration must be atleast 15 minutes.";
                        
                    }
                }
                if($selected_id!='' && $flag==1)
                {
                    $overtime_start = "";
                    $overtime_end = "";
                    
                    
                    if($field_value=='clock_out')
                    {
                        $entered_clock_in_value = $row['time_in_stamp'];
                        $clock_out_time = $insArr['time_out_stamp']; 
                        $rounding_out_time = ConvertTimeIntoRoundTime($clock_out_time);
                        $insArr['rounding_time_out_stamp'] = $rounding_out_time;
                        
                        $time1 = new DateTime($entered_clock_in_value);
                        $time2 = new DateTime($clock_out_time);
                        $timediff = $time1->diff($time2);
                        $total_hours = $timediff->format('%h');
                        $total_minutes = $timediff->format('%i');
                        $total_seconds = $timediff->format('%s');
                        if($total_hours>8)
                        {
                           $new_clock_out_time = date("Y-m-d H:i:s", strtotime('+8 hours', strtotime($entered_clock_in_value))); 
                           $overtime_start = date("Y-m-d H:i:s", strtotime('+1 seconds', strtotime($new_clock_out_time))); 
                           $overtime_end = date("Y-m-d H:i:s", strtotime($clock_out_time));  

                            $insArr['time_out_stamp'] = $new_clock_out_time;
                            $rounding_out_time = ConvertTimeIntoRoundTime($new_clock_out_time);
                            $insArr['rounding_time_out_stamp'] = $rounding_out_time;
                        }
                    }
                    
                    
                    updatedata("cxs_atnd_clockinout",$insArr,"where session_id = ".$selected_id);
                    if($overtime_start!='' && $overtime_end!='')
                    {
                        $insArr['device_nickname_in']=$device_nickname;                        
                        $insArr['ip_addr_in'] = $convert_ip;

                        $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        $insArr['creation_date'] = $Timezone_curTime;
                        $insArr['time_type'] = 'overtime';                          
                        $insArr['time_in_stamp'] = $overtime_start;  
                        $insArr['time_out_stamp'] = $overtime_end;  
                        
                        $rounding_in_time = ConvertTimeIntoRoundTime($overtime_start);
                        $insArr['rounding_time_in_stamp'] = $rounding_in_time;
                        
                        $rounding_out_time = ConvertTimeIntoRoundTime($overtime_end);
                        $insArr['rounding_time_out_stamp'] = $rounding_out_time;
                        if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")
                        {
                            $insArr['entry_status'] = 'approved';
                        }
                        
                        $overtime_insert_id = insertdata("cxs_atnd_clockinout",$insArr);
                    }
                    
                }
                
                if($field_value=='time_off' && $flag==1)
                {
                    $insArr['time_in_stamp'] = 'Null';
                    $insArr['time_out_stamp'] = 'Null';
                    $insArr['time_type'] = 'time_off';   
                    $insArr['rounding_time_in_stamp'] = 'Null';
                    $insArr['rounding_time_out_stamp'] = 'Null';
                    $insArr['entry_status'] = 'approved';
                    $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                    $insArr['creation_date'] = $Timezone_curTime;
                    $insArr['calendar_date'] = $curTime;
                    $last_inserted = insertdata("cxs_atnd_clockinout",$insArr);
                }
                
                if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED" && $flag==1)
                {
                    if($field_value=="time_off")
                    {
                        $selected_id = $last_inserted;
                    }
                    AutoApproveAttendanceForSelfEmployed($selected_id,$currTz);
                    if($overtime_insert_id!='')
                    {
                        AutoApproveAttendanceForSelfEmployed($overtime_insert_id,$currTz);
                    }
                }
                
            }
            
            $get_data = array();
            $get_calendar_date = date("Y-m-d",strtotime($insArr['calendar_date']));
            $qry = "select * from cxs_atnd_clockinout where user_id =".$selected_user_id." and company_id =".$_SESSION['login_user_array']['company_id']." and calendar_date = '".$get_calendar_date."'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0)
            {
                while($row = mysqli_fetch_assoc($result))
                {
                    if(!is_null($row['time_in_stamp']))
                    {
                        $row['time_in_stamp'] = date('h:i a', strtotime($row['time_in_stamp']));
                    }
                    else 
                    {
                        $row['time_in_stamp'] = '';
                    }
                    
                    if(!is_null($row['time_out_stamp']))
                    {
                        $row['time_out_stamp'] = date('h:i a', strtotime($row['time_out_stamp']));
                    }
                    else 
                    {
                        $row['time_out_stamp'] = '';
                    }
                    
                    $get_data[] = $row;
                }
                
            }
                
        }
        echo json_encode(array("succ" => $succ,"msg"=>$msg,"get_data"=>$get_data));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_attendance_feeds_data')
    {
        //$currTz = isset($_POST['currTz'])?$_POST['currTz']:''; 
        $curDay = isset($_POST['curDay'])?$_POST['curDay']:''; 
        $curDate = isset($_POST['curDate'])?$_POST['curDate']:''; 
        
        $curDate .= '24:00:00';
        $IsToday = isset($_POST['IsToday'])?$_POST['IsToday']:''; 
        $start_date = date('Y-m-d', strtotime("-60 days"));
        
        if($IsToday=="Y")
        {
           $start_date =  isset($_POST['curDate'])?$_POST['curDate']:'';
           $start_date .= '00:00:00';
        }
        
        $result_data = array();
        $qry = "select * from (
                select login_timestamp as expr1,  'logged in' as expr2,cxs_user.user_email as last_udpated_by,cxs_user.updated_timezone,cxs_user.full_name,cxs_user.image_name,'' as devicename  from cxs_logins inner join cxs_user on cxs_user.user_id = cxs_logins.user_id where cxs_logins.user_id = ".$_SESSION['login_user_array']['user_id']." union all
                select logout_timestamp as expr1,  'logged out' as expr2,cxs_user.user_email as last_udpated_by,cxs_user.updated_timezone,cxs_user.full_name,cxs_user.image_name,'' as devicename  from cxs_logins inner join cxs_user on cxs_user.user_id = cxs_logins.user_id  where cxs_logins.user_id = ".$_SESSION['login_user_array']['user_id']." union all
                select time_in_stamp as expr1,  concat(time_type,'in') as expr2,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.updated_timezone,cxs_user.full_name,cxs_user.image_name,cxs_atnd_clockinout.device_nickname_in as devicename  from cxs_atnd_clockinout inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout.last_udpated_by where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." and cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." union all
                select time_out_stamp as expr1, concat(time_type,'out') as expr2,cxs_atnd_clockinout.last_udpated_by,cxs_atnd_clockinout.updated_timezone,cxs_user.full_name,cxs_user.image_name,cxs_atnd_clockinout.device_nickname_out as devicename  from cxs_atnd_clockinout inner join cxs_user on cxs_user.user_email = cxs_atnd_clockinout.last_udpated_by where cxs_atnd_clockinout.user_id = ".$_SESSION['login_user_array']['user_id']." and cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." union all
                SELECT cxs_admin_ips.last_update_date AS expr1, 'Add Ip address' AS expr2,cxs_admin_ips.last_udpated_by,cxs_admin_ips.updated_timezone,cxs_user.full_name,cxs_user.image_name,device_nickname as devicename FROM cxs_admin_ips INNER JOIN cxs_user ON cxs_user.user_email = cxs_admin_ips.last_udpated_by WHERE cxs_user.user_id = ".$_SESSION['login_user_array']['user_id']. " AND cxs_admin_ips.company_id=".$_SESSION['login_user_array']['company_id'].    
                ")as a where expr1>='".$start_date."' and expr1 <= '".$curDate."' order by expr1 desc ";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $counter = 0;
            while($row=mysqli_fetch_assoc($result))
            {
                if($row['image_name']=='')
                {
                    $img_src = "images/faces/default_face.png";
                }
                else
                {
                    $img_src = "img/uploads/user_images/".$row['image_name'];
                }
                if($row['expr2']=="clockin")
                {
                    $row['expr2']="Clock In";
                }
                else if($row['expr2']=="clockout")
                {
                    $row['expr2']="Clock Out";
                }
                else if($row['expr2']=="mealin")
                {
                    $row['expr2']="start meal";
                }
                else if($row['expr2']=="mealout")
                {
                    $row['expr2']="stop meal";
                }
                else if($row['expr2']=="breakin")
                {
                    $row['expr2']="start break";
                }
                else if($row['expr2']=="breakout")
                {
                    $row['expr2']="stop break";
                }
                
                $display_date = date("F jS Y, h:i A",strtotime($row['expr1']));
                $display_date .= " ".$row['updated_timezone'];
                
                if($row['devicename']=="")
                {
                    $row['expr2'] = 'Last time logged as '.$row['expr2']." at ".$display_date;
                }
                else
                {
                    $row['expr2'] = 'Last time logged as '.$row['expr2']." on ".$row['devicename']." at ".$display_date;
                }
                
                 
                $result_data[] = $row;
                $result_data[$counter]['img_src']=$img_src;
                $result_data[$counter]['display_date']=$display_date;
                
                $counter++;
            }
        }    
        echo json_encode(array("result_data" => $result_data,"qry"=>$qry));        
        exit;
    }    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'GetUserImagebyUserid')
    {
        $succ=1;
        $image_name = "";
        $user_id = isset($_POST['user_id'])?trim($_POST['user_id']):''; 
        $qry = "select image_name from cxs_user where cxs_user.user_id = '".$user_id."' and cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $succ=1;
            $row = mysqli_fetch_assoc($result);
            $image_name = $row['image_name'];
        }
        
        echo json_encode(array("succ" => $succ,"image_name"=>$image_name));
        exit;
    }
    
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_clock_inout_data_missed')
    {
        $user_id = isset($_POST['user_id'])?$_POST['user_id']:''; 
        $entry_date = isset($_POST['entry_date'])?$_POST['entry_date']:''; 
        
        $selected_user_timezone = getvalue("cxs_user","user_timezone","where user_id = '".$user_id."'");
        $date = new DateTime("now", new DateTimeZone($selected_user_timezone));
        $curDate = $date->format('Y-m-d');
        
        /*$curDate = isset($_POST['curDate'])?$_POST['curDate']:''; 
        $curDate=date("Y-m-d",strtotime($curDate));*/
        $data_list = array();
        $entry_date =date("Y-m-d",strtotime($entry_date));    
        
        $succ=0;
        $msg = "";
        if ($entry_date > $curDate) 
        {
            $msg = "Future date is not allowed";
        }
        if($msg=="")
        {
            $qry_timeoff="SELECT * FROM cxs_atnd_clockinout left join cxs_atnd_clockinout_ar_status on cxs_atnd_clockinout_ar_status.time_card_id = cxs_atnd_clockinout.session_id "
                ."where cxs_atnd_clockinout.user_id = ".$user_id." AND cxs_atnd_clockinout.company_id=".$_SESSION['login_user_array']['company_id']." AND ('".$entry_date."' between DATE(time_in_stamp)  and DATE(time_out_stamp) ) and time_type = 'time_off'  and cxs_atnd_clockinout_ar_status.current_status = 'A'";
            $result_timeoff = mysqli_query($conn,$qry_timeoff);
            if(mysqli_num_rows($result_timeoff)>0)
            {
                $row_timeoff = mysqli_fetch_assoc($result_timeoff);
                /*$msg = "Time off between ".date("m/d/Y",strtotime($row_timeoff['time_in_stamp']))." to ".date("m/d/Y",strtotime($row_timeoff['time_out_stamp']));*/
                $msg = "You can not put attendance for the PTO period ".date("m/d/Y",strtotime($row_timeoff['time_in_stamp']))." to ".date("m/d/Y",strtotime($row_timeoff['time_out_stamp']));
            }
        }        
        if($msg == "")
        {
            $qry = "select * from cxs_atnd_clockinout where company_id=".$_SESSION['login_user_array']['company_id']." and user_id = ".$user_id."  and time_type!= 'time_off' and time_out_stamp is null order by last_update_date desc limit 1";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0)
            {
                $row = mysqli_fetch_assoc($result);
                $last_time_type = $row['time_type']. " In";
                $display_date = date("F jS Y, h:i A",strtotime($row['time_in_stamp']));
                
                $dbDate = date("Y-m-d",strtotime($row['time_in_stamp']));
                
                $flag=0;
                if($dbDate == $entry_date)
                {
                    $flag=1;
                }
                else
                {
                    $dbDate = date('Y-m-d', strtotime($dbDate . ' +1 day'));
                    if($dbDate == $entry_date)
                    {
                        $flag=1;
                    }                    
                }
                if($flag==0)
                {
                    $msg = "Complete Last Event ".$last_time_type." ".$display_date;
                }    
            }
        }
        if($msg=="")
        {
            
            $succ=1;
            //$qry = "select * from cxs_atnd_clockinout where user_id = ".$user_id." and company_id=".$_SESSION['login_user_array']['company_id']." and (DATE(time_in_stamp) = '".$entry_date."' or DATE(time_out_stamp) = '".$entry_date."') order by session_id desc limit 1";
            /*$qry = "select * from ( select concat(time_type,' start')as time_type,time_in_stamp as display_time from cxs_atnd_clockinout where user_id = ".$user_id." and company_id=".$_SESSION['login_user_array']['company_id']." and DATE(time_in_stamp) = '".$entry_date."' union ALL
                    select concat(time_type,' stop')as time_type,time_out_stamp as display_time from cxs_atnd_clockinout where user_id = ".$user_id." and company_id=".$_SESSION['login_user_array']['company_id']." and DATE(time_out_stamp) = '".$entry_date."') as a order by display_time desc";
            */
            $qry = "select * from ( select concat(time_type,' start')as time_type,time_in_stamp as display_time from cxs_atnd_clockinout where user_id = ".$user_id." and company_id=".$_SESSION['login_user_array']['company_id']." and DATE(time_in_stamp) = '".$entry_date."' union ALL
                    select concat(time_type,' stop')as time_type,time_out_stamp as display_time from cxs_atnd_clockinout where user_id = ".$user_id." and company_id=".$_SESSION['login_user_array']['company_id']." and DATE(time_out_stamp) = '".$entry_date."') as a order by display_time desc";
            
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0)
            {
                $counter = 0;
                while($row = mysqli_fetch_assoc($result))
                {
                    if($row['time_type']=="clock start")
                    {
                        $row['time_type'] = "Clock In";                        
                    }
                    
                    $row['time_type']  = ucwords(strtolower($row['time_type']));
                    $display_time = date("F jS Y, h:i A",strtotime($row['display_time']));
                    $data_list[]=$row;    
                    $data_list[$counter]['display_time'] = $display_time;      
                    //$ip_addr_list[$counter]['ip_addr'] = $ip_addr;
                    
                    $counter++;
                }    
            }
            
        }    
       
        echo json_encode(array("succ" => $succ,"msg"=>$msg,"data_list"=>$data_list));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'emp_schedule_date')
    {
        $succ = 1;
        $selected_date = isset($_POST['selected_date'])?$_POST['selected_date']:''; 
        $selected_date = date("Y-m-d",strtotime($selected_date));
        $date1 = date("l, F jS Y",strtotime($selected_date));
        
        $period_date1 = date('m/d',strtotime($selected_date));
        $period_date2 = date('m/d',strtotime($selected_date.'+6 day'));
        $date_period = $period_date1." - ".$period_date2;
        echo json_encode(array("succ" => $succ,"selected_date"=>$selected_date,"date1"=>$date1,"date_period"=>$date_period));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_employee_schedule_data')
    {
        $db_from_timeArr = isset($_POST["db_from_time"])?$_POST["db_from_time"]:'';
        $db_to_timeArr = isset($_POST["db_to_time"])?$_POST["db_to_time"]:'';
        $time_categoryArr = isset($_POST["time_category"])?$_POST["time_category"]:'';
        $employee_id = isset($_POST["employee_id"])?$_POST["employee_id"]:'';
        $schedule_type = isset($_POST["schedule_type"])?$_POST["schedule_type"]:'';
        $schedule_id = isset($_POST["schedule_id"])?$_POST["schedule_id"]:'';
        $IsSecondaryRow = isset($_POST["IsSecondaryRow"])?$_POST["IsSecondaryRow"]:'';
       
        $login_user_timezone = $_SESSION['login_user_array']['user_timezone'];
        
        $FromDate = isset($_POST['FromDate'])?$_POST['FromDate']:''; 
        $ToDate = isset($_POST['ToDate'])?$_POST['ToDate']:''; 
        $from_timeArr = isset($_POST['from_time'])?$_POST['from_time']:''; 
        $to_timeArr = isset($_POST['to_time'])?$_POST['to_time']:''; 
        
        if($FromDate!='')
        {
            $FromDate = date('m/d/Y', strtotime($FromDate));
            $FromDate = date('Y-m-d', strtotime($FromDate));
        }
        if($ToDate!='')
        {
            $ToDate = date('m/d/Y', strtotime($ToDate));            
            $ToDate = date('Y-m-d', strtotime($ToDate));
        }
        
        $user_id = getvalue("cxs_employee","user_id","where employee_id = ".$employee_id." and company_id=".$_SESSION['login_user_array']['company_id']."");
        $succ=1;
        
        /*$startDate = strtotime($FromDate);
        $endDate = strtotime($ToDate);
        $diff = $endDate - $startDate;
	$TotalDays = round($diff / 86400);
        $TotalDays = $TotalDays+1;
        */
        
        $TotalDays = differenceInDays($FromDate,$ToDate);
        
        $startDate = date('Y-m-d', strtotime($FromDate));
        $endDate = date('Y-m-d', strtotime($ToDate));
        
        
        for($i=1;$i<=$TotalDays;$i++)
        {
            /*if($i==1)
            {
                $entry_startDate =  $FromDate.$from_timeArr[0];
                $entry_endDate =  $FromDate.$to_timeArr[0];
                $difference = differenceInHours($entry_startDate ,$entry_endDate);
        
                if($difference < 0)
                {
                    $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($FromDate))));
                    $entry_endDate = $new_date." ".$to_timeArr[0];
                }
            }
            else
            {
                $newdate = date('Y-m-d  H:i:s', date(strtotime("+ 1 day", strtotime($entry_startDate))));
                $entry_startDate = $newdate;
                $newdate = date('Y-m-d  H:i:s', date(strtotime("+ 1 day", strtotime($entry_endDate))));
                $entry_endDate = $newdate; 
            }*/
            foreach($time_categoryArr as $key => $value)
            {
                    
                $entry_startDate =  $startDate.$from_timeArr[$key];
                $entry_endDate =  $startDate.$to_timeArr[$key];
                $difference = differenceInHours($entry_startDate ,$entry_endDate);
                if($difference < 0)
                {
                    $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($startDate))));
                    $entry_endDate = $new_date." ".$to_timeArr[$key];
                }
                    
                
                //if($db_from_timeArr[$key]!='' && $db_to_timeArr[$key]!='')
                {
                    $entry_startDate =  date('Y-m-d ', strtotime($entry_startDate)).$from_timeArr[$key];
                    $entry_endDate = date('Y-m-d ', strtotime($entry_endDate)).$to_timeArr[$key];
                    
                    $entry_startDate = date('Y-m-d H:i:s', strtotime($entry_startDate));
                    $entry_endDate = date('Y-m-d H:i:s', strtotime($entry_endDate));
                    
                    $insArr = array();           
                    $insArr['employee_id'] = $employee_id;   
                    $insArr['user_id'] = $user_id;        
                    //if($from_timeArr[$key]!='' && $to_timeArr[$key]!='')
                    //if($entry_startDate!='' && $entry_endDate!='')
                    if($from_timeArr[$key]!=''  && $to_timeArr[$key]!='')
                    {
                        $insArr['schedule_datetime_start'] = $entry_startDate;   /*date('Y-m-d H:i:s', strtotime($db_from_timeArr[$key]));   */
                        $insArr['schedule_datetime_end'] = $entry_endDate;   /*date('Y-m-d H:i:s', strtotime($db_to_timeArr[$key]));         */
                    }
                    else
                    {
                        $insArr['schedule_datetime_start'] = "Null";
                        $insArr['schedule_datetime_end'] = "Null";
                    }
                    
                    $insArr['schedule_time_category'] = $time_categoryArr[$key];                              
                    $insArr['schedule_type'] = $schedule_type;   

                    $date = new DateTime("now", new DateTimeZone($login_user_timezone) );
                    $curTime = $date->format('Y-m-d H:i:s');        
        
                    $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                    $insArr['last_update_date']= $curTime;
                    $insArr['updated_timezone']=$login_user_timezone;
                    $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                    
                    $insArr['IsSecondaryRow'] = $IsSecondaryRow[$key];
                    
                    
                    if($value=='Regular Time')
                    {
                        $Regular_schedule_date =  date('Y-m-d', strtotime($entry_startDate));
                    }
                    $insArr['schedule_date'] = $Regular_schedule_date;
                    
                    $selected_id = $schedule_id[$key];
                    $qry_timeoff = "select * from cxs_employee_schedules where employee_id = '".$employee_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."' and schedule_date = '". $Regular_schedule_date."' and schedule_time_category = 'Leave Time' ";
                    $result_timeoff = mysqli_query($conn,$qry_timeoff);
                    if(mysqli_num_rows($result_timeoff)==0)
                    {
                        if($TotalDays==1)
                        {
                            if($selected_id=="" && $from_timeArr[$key]!='' && $to_timeArr[$key]!='')
                            {
                                $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                                $insArr['creation_date'] = $curTime;
                                $insArr['created_timezone']=$login_user_timezone;                        



                                $qry = "select * from cxs_employee_schedules where employee_id = '".$employee_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."' and schedule_date = '". $Regular_schedule_date."' and schedule_time_category = '".$time_categoryArr[$key]."' and IsSecondaryRow ='".$IsSecondaryRow[$key]."'";
                                $result = mysqli_query($conn,$qry);
                                if(mysqli_num_rows($result) > 0)
                                {
                                    $row = mysqli_fetch_assoc($result);
                                    updatedata("cxs_employee_schedules",$insArr,"where schedule_id = '".$row['schedule_id']."'");
                                }    
                                else
                                {
                                    insertdata("cxs_employee_schedules",$insArr);
                                }    

                            }
                            else
                            {
                                updatedata("cxs_employee_schedules",$insArr,"where schedule_id = '$selected_id'");
                            }
                        }
                        else
                        {
                            //if($from_timeArr[$key]!='' && $to_timeArr[$key]!='')
                            {
                                $company_id = $_SESSION['login_user_array']['company_id'];
                                $query_time =  date('Y-m-d', strtotime($entry_startDate)); 
                                //$qry = "select * from cxs_employee_schedules where employee_id = '".$employee_id."' and company_id = '".$company_id."' and date(schedule_datetime_start) = '". $query_time."' and schedule_time_category = '".$time_categoryArr[$key]."' and IsSecondaryRow ='".$IsSecondaryRow[$key]."'";
                                $qry = "select * from cxs_employee_schedules where employee_id = '".$employee_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."' and schedule_date = '". $Regular_schedule_date."' and schedule_time_category = '".$time_categoryArr[$key]."' and IsSecondaryRow ='".$IsSecondaryRow[$key]."'";
                                $result = mysqli_query($conn,$qry);
                                //if(mysqli_num_rows($result)==0)  
                                if(mysqli_num_rows($result)==0)
                                {
                                     if($entry_startDate!='' && $entry_endDate!='')
                                    {
                                        $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                                        $insArr['creation_date'] = $curTime;
                                        $insArr['created_timezone']=$login_user_timezone;                        
                                        insertdata("cxs_employee_schedules",$insArr);
                                    }    
                                }
                                else
                                {
                                    $row = mysqli_fetch_assoc($result);
                                    updatedata("cxs_employee_schedules",$insArr,"where schedule_id='".$row['schedule_id']."'");
                                }

                            }
                        }
                
                    }    
                }
            }
            $startDate = date('Y-m-d', date(strtotime("+".$i." day", strtotime($FromDate))));
        }
        
        echo json_encode(array("succ" => $succ));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_employee_schedule_data')
    {
        $succ=0;
        $employee_id = isset($_POST["employee_id"])?$_POST["employee_id"]:'';
        $selected_date = isset($_POST["selected_date"])?$_POST["selected_date"]:'';
        $display_in = isset($_POST["display_in"])?$_POST["display_in"]:'';
        $query_1="";
        if($selected_date!='')
        {
            $selected_date = date('Y-m-d', strtotime($selected_date));
        }
        if($display_in=="")
        {
            //$query_1 = " and DATE(schedule_datetime_start) = '".$selected_date."'";
            $query_1 = " and schedule_date = '".$selected_date."'";
        }
        else
        {
            $startdate = $selected_date;
            $enddate = date('Y-m-d',strtotime($startdate . ' +6 day'));            
            $query_1 = " and (DATE(schedule_datetime_start) >= '".$startdate."' and DATE(schedule_datetime_start) <= '".$enddate."') ";
        }
        $data_list = array();        
        $qry = "select * from cxs_employee_schedules where company_id ='".$_SESSION['login_user_array']['company_id']."' and employee_id='".$employee_id."'".$query_1." order by schedule_datetime_start,schedule_id";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $counter = 0;
            while($row = mysqli_fetch_assoc($result))
            {
                $row['col1'] = date('h:i A', strtotime($row['schedule_datetime_start']));
                $row['col2'] = date('h:i A', strtotime($row['schedule_datetime_end']));
                
                $row['start_date_time_hidden'] = date('Y-m-d h:i A', strtotime($row['schedule_datetime_start']));
                $row['end_date_time_hidden'] = date('Y-m-d h:i A', strtotime($row['schedule_datetime_end']));
                
                /*
                //$TotalMinutes = differenceInMinutes(date('H:i:s', strtotime($row['schedule_datetime_start'])), date('H:i:s', strtotime($row['schedule_datetime_end'])));
                //$TotalMinutes = differenceInMinutes(date('h:i A', strtotime($row['schedule_datetime_start'])), date('h:i A', strtotime($row['schedule_datetime_end'])));
                */
                $TotalMinutes = differenceInMinutes($row['schedule_datetime_start'], $row['schedule_datetime_end']);
                $row['TotalMinutes'] = $TotalMinutes;
                if($row['schedule_time_category']=="Leave Time")
                {
                    $row['TotalMinutes'] = 1440;
                }
                //$TotalHours = differenceInHours(date('H:i:s', strtotime($row['schedule_datetime_start'])), date('H:i:s', strtotime($row['schedule_datetime_end'])));
                $TotalHours = differenceInHours($row['schedule_datetime_start'], $row['schedule_datetime_end']);
                $row['TotalHours'] = $TotalHours;
                
                $data_list[] = $row; 
                $data_list[$counter]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                $data_list[$counter]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));
                
                $data_list[$counter]['schedule_datetime_start_popup'] = date('m-d-Y h:i A', strtotime($row['schedule_datetime_start']));
                $data_list[$counter]['schedule_datetime_end_popup'] = date('m-d-Y h:i A', strtotime($row['schedule_datetime_end']));
                
                /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                $data_content_eye_icon = show_eye_icon_data_format($row);
                $data_list[$counter]['data_content_eye_icon'] = $data_content_eye_icon; 
                $counter++;
                //$data_content_eye_icon = $data3[$i]['data_content_eye_icon'];
            }
        }
        $succ=1;
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"qry"=>$qry));
        exit;
    }
    
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_employee_schedule_data_weekly') 
    {
        $succ=0;
        $employee_id = isset($_POST["employee_id"])?$_POST["employee_id"]:'';
        $from_date = isset($_POST["from_date"])?$_POST["from_date"]:'';
        $to_date = isset($_POST["to_date"])?$_POST["to_date"]:'';
        $data_list = array();
        $query_1="";
        
        if($from_date!=='' && $to_date=='')
        {
            $from_date = date('Y-m-d', strtotime($from_date));
            $to_date = date('Y-m-d',strtotime($from_date . ' +6 day'));        
        }
        if($from_date!='' && $to_date!='')
        {
            $from_date = date('Y-m-d', strtotime($from_date));
            $to_date = date('Y-m-d', strtotime($to_date));            
            //$query_1 = " and (DATE(schedule_datetime_start) >= '".$from_date."' and DATE(schedule_datetime_start) <= '".$to_date."') ";
            $query_1 = " and (schedule_date >= '".$from_date."' and schedule_date <= '".$to_date."') ";
        }
       
        //$qry = "select * from cxs_employee_schedules where company_id ='".$_SESSION['login_user_array']['company_id']."' and employee_id='".$employee_id."'".$query_1." order by schedule_datetime_start";
        $qry = "select a.*,TIME_FORMAT(SEC_TO_TIME(SUM(TIME_TO_SEC(a.TimeDuration))), '%H:%i') as TotalTimeDuration from(
        SELECT cxs_employee_schedules.*, DATE(schedule_datetime_start) as schedule_fill_date, TIME_FORMAT(TIMEDIFF(schedule_datetime_end,schedule_datetime_start), '%H:%i') as TimeDuration
        FROM cxs_employee_schedules
        WHERE company_id ='".$_SESSION['login_user_array']['company_id']."' AND employee_id='".$employee_id."' ".$query_1."
        ) as a
        group by schedule_fill_date,schedule_time_category
        ORDER BY schedule_datetime_start,schedule_id ";

        $result = mysqli_query($conn,$qry);
        $TotalRecords = mysqli_num_rows($result);
        if(mysqli_num_rows($result)>0)
        {
            $counter = 0;
            while($row = mysqli_fetch_assoc($result))
            { 
                $counter++;
                /*$datetime1 = new DateTime($row['schedule_datetime_start']);
                $datetime2 = new DateTime($row['schedule_datetime_end']);
                $interval = $datetime1->diff($datetime2);
                $time_duration = $interval->format('%h.%i');                //Hours*/
                //$row['schedule_fill_date'] = date('Y-m-d',strtotime($row['schedule_fill_date']));
                
                $row['schedule_fill_date'] = date("D M j",strtotime($row['schedule_date'])); 
                
                $row['weekly_start_time'] = date('h:i A',strtotime($row['schedule_datetime_start']));
                $row['weekly_end_time'] = date('h:i A',strtotime($row['schedule_datetime_end']));
                
                if($row['schedule_datetime_start']!='0000-00-00 00:00:00')
                {
                    $row['schedule_datetime_start'] = date('m-d-Y h:i A',strtotime($row['schedule_datetime_start']));
                }    
                if($row['schedule_datetime_end']!='0000-00-00 00:00:00')
                {
                    $row['schedule_datetime_end'] = date('m-d-Y h:i A',strtotime($row['schedule_datetime_end']));
                }
                
                
                //$row['time_duration'] = $time_duration;
                $row['time_duration']=$row['TotalTimeDuration'];
                
                if($_POST["to_date"]=='')
                {
                    if($counter==$TotalRecords)
                    {
                        /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                        $data_content_eye_icon = show_eye_icon_data_format($row);
                        $row['data_content_eye_icon'] = $data_content_eye_icon;
                    }
                    else
                    {
                        $row['data_content_eye_icon'] = "";
                    }
                }
                else 
                {
                    /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                    $data_content_eye_icon = show_eye_icon_data_format($row);
                    $row['data_content_eye_icon'] = $data_content_eye_icon;
                }
                
                $data_list[] = $row;
            }
        }
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"TotalRecords"=>$TotalRecords,"qry"=>$qry));        
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_employee_schedule_summarydata_weekly')
    {
        $succ=0;
        $employee_id = isset($_POST["employee_id"])?$_POST["employee_id"]:'';
       $from_date = isset($_POST["from_date"])?$_POST["from_date"]:'';
       $to_date = isset($_POST["to_date"])?$_POST["to_date"]:'';
        $data_list = array();
        $query_1="";
        
        if($from_date!=='' && $to_date=='')
        {
            $from_date = date('Y-m-d', strtotime($from_date));
            $to_date = date('Y-m-d',strtotime($from_date . ' +6 day'));        
        }
        if($from_date!='' && $to_date!='')
        {
            $from_date = date('Y-m-d', strtotime($from_date));
            $to_date = date('Y-m-d', strtotime($to_date));            
           //$query_1 = " and (DATE(schedule_datetime_start) >= '".$from_date."' and DATE(schedule_datetime_start) <= '".$to_date."') ";
            
            $query_1 = " and (schedule_date >= '".$from_date."' and schedule_date <= '".$to_date."') ";
        }
        
        $qry = "select a.schedule_time_category,TIME_FORMAT(SEC_TO_TIME(SUM(TIME_TO_SEC(a.TimeDuration))), '%H:%i') as TotalTimeDuration from(
        SELECT cxs_employee_schedules.*, DATE(schedule_datetime_start) as schedule_fill_date, TIME_FORMAT(TIMEDIFF(schedule_datetime_end,schedule_datetime_start), '%H:%i') as TimeDuration
        FROM cxs_employee_schedules
        WHERE company_id ='".$_SESSION['login_user_array']['company_id']."' AND employee_id='".$employee_id."' ".$query_1."
        ) as a
        group by schedule_time_category
        ORDER BY schedule_id ";

        $result = mysqli_query($conn,$qry);
        $TotalRecords = mysqli_num_rows($result);
        if(mysqli_num_rows($result)>0)
        {
            while($row = mysqli_fetch_assoc($result))
            { 
                $row['time_duration']=$row['TotalTimeDuration'];                
                $data_list[] = $row;
            }
        }
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"TotalRecords"=>$TotalRecords));        
        exit;
    }
    
     else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_employee_schedule_data_weekly1')
    {
        $succ=0;
        $employee_id = isset($_POST["employee_id"])?$_POST["employee_id"]:'';
        $from_date = isset($_POST["from_date"])?$_POST["from_date"]:'';
        $to_date = isset($_POST["to_date"])?$_POST["to_date"]:'';
        
        $query_1="";
        if($from_date!='' && $to_date!='')
        {
            $from_date = date('m/d/Y', strtotime($from_date));
            $from_date = date('Y-m-d', strtotime($from_date));
            
            $to_date = date('m/d/Y', strtotime($to_date));
            $to_date = date('Y-m-d', strtotime($to_date));
        }
        
       /* $startdate = $from_date;
        $enddate = date('Y-m-d',strtotime($startdate . ' +6 day'));        */
        $query_1 = " and (DATE(schedule_datetime_start) >= '".$from_date."' and DATE(schedule_datetime_start) <= '".$to_date."') ";
        
        $data_list = array();
        
        $data1= array();
        $data2= array();
        $data3= array();
        $data4= array();
        $data5= array();
        $data6= array();
        $data7= array();
        
        $selected_date2 = date('Y-m-d',strtotime($startdate . ' +1 day'));        
        $selected_date3 = date('Y-m-d',strtotime($startdate . ' +2 day'));        
        $selected_date4 = date('Y-m-d',strtotime($startdate . ' +3 day'));        
        $selected_date5 = date('Y-m-d',strtotime($startdate . ' +4 day'));        
        $selected_date6 = date('Y-m-d',strtotime($startdate . ' +5 day'));        
        
        $deletion_date =  date('Y-m-d',strtotime("-2 day"));
        
        $qry = "delete from cxs_employee_schedules_tmp where Date(entry_timestamp) ='".$deletion_date."'";
        mysqli_query($conn,$qry);
        
        session_regenerate_id();
        $_SESSION['current_session_id'] = session_id();
        $qry = "select * from cxs_employee_schedules where company_id ='".$_SESSION['login_user_array']['company_id']."' and employee_id='".$employee_id."'".$query_1." order by schedule_datetime_start";
       
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $counter = 0;
            $counter1 = 0;
            $counter2 = 0;
            $counter3 = 0;
            $counter4 = 0;
            $counter5 = 0;
            $counter6 = 0;
            $counter7 = 0;
            $data_content_eye_icon ="";
            while($row = mysqli_fetch_assoc($result))
            {  
              
                if(date('Y-m-d', strtotime($row['schedule_datetime_start']))==$startdate)
                {
                    $data1[] = $row; 
                    $data1[$counter1]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data1[$counter1]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));        
                    
                    /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                    $data_content_eye_icon = show_eye_icon_data_format($row);
                    $data1[$counter1]['data_content_eye_icon'] = $data_content_eye_icon; 
                    
                    $counter1++;
                }
                else if(date('Y-m-d', strtotime($row['schedule_datetime_start']))==$selected_date2)
                {
                    $data2[] = $row; 
                    $data2[$counter2]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data2[$counter2]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));        
                    
                    /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                    $data_content_eye_icon = show_eye_icon_data_format($row);
                    $data2[$counter2]['data_content_eye_icon'] = $data_content_eye_icon; 
                    
                    $counter2++;
                }
                else if(date('Y-m-d', strtotime($row['schedule_datetime_start']))==$selected_date3)
                {
                    $data3[] = $row; 
                    $data3[$counter3]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data3[$counter3]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));        
                    
                    $data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);
                    $data3[$counter3]['data_content_eye_icon'] = $data_content_eye_icon; 
                    
                    $counter3++;
                }
                else if(date('Y-m-d', strtotime($row['schedule_datetime_start']))==$selected_date4)
                {
                    $data4[] = $row; 
                    $data4[$counter4]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data4[$counter4]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));        

                    $data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);
                    $data4[$counter4]['data_content_eye_icon'] = $data_content_eye_icon; 
                    
                    $counter4++;
                }
                else if(date('Y-m-d', strtotime($row['schedule_datetime_start']))==$selected_date5)
                {
                    $data5[] = $row; 
                    $data5[$counter5]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data5[$counter5]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));        
                    
                    $data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);
                    $data5[$counter5]['data_content_eye_icon'] = $data_content_eye_icon; 
                    
                    $counter5++;
                }
                else if(date('Y-m-d', strtotime($row['schedule_datetime_start']))==$selected_date6)
                {
                    $data6[] = $row; 
                    $data6[$counter6]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data6[$counter6]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));   
                    
                    $data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);
                    $data6[$counter6]['data_content_eye_icon'] = $data_content_eye_icon; 
                    
                    $counter6++;
                }
                else if(date('Y-m-d', strtotime($row['schedule_datetime_start']))==$enddate)
                {
                    $data7[] = $row; 
                    $data7[$counter7]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data7[$counter7]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));        
                    
                    $data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);
                    $data7[$counter7]['data_content_eye_icon'] = $data_content_eye_icon;        
                    $counter7++;
                }
                $counter++;
            }
        }
        
        $length1 = count($data1);
        $length2 = count($data2);
        $length3 = count($data3);
        $length4 = count($data4);
        $length5 = count($data5);
        $length6 = count($data6);
        $length7 = count($data7);
        
        $maxLen = max($length1,$length2,$length3,$length4,$length5,$length6,$length7);
        for($i=0;$i<$maxLen;$i++)
        {
            if (isset($data1[$i]['company_id']))
            {
                $col1_datetime = $data1[$i]['schedule_datetime_start'];
                $col1_datetime_end = $data1[$i]['schedule_datetime_end'];
                $col1_timecategory = $data1[$i]['schedule_time_category'];
                $created_by = $data1[$i]['created_by'];
                $last_udpated_by = $data1[$i]['last_udpated_by'];
                $creation_date = $data1[$i]['creation_date'];
                $last_update_date = $data1[$i]['last_update_date'];
                $company_id = $data1[$i]['company_id'];
                $created_timezone = $data1[$i]['created_timezone'];
                $updated_timezone = $data1[$i]['updated_timezone'];
                $employee_id = $data1[$i]['employee_id'];
                $data_content_eye_icon = $data1[$i]['data_content_eye_icon'];
            }
            if (isset($data2[$i]['company_id']))
            {
                $col2_datetime = $data2[$i]['schedule_datetime_start'];
                $col2_datetime_end = $data2[$i]['schedule_datetime_end'];
                $col2_timecategory = $data2[$i]['schedule_time_category'];
                $created_by = $data2[$i]['created_by'];
                $last_udpated_by = $data2[$i]['last_udpated_by'];
                $creation_date = $data2[$i]['creation_date'];
                $last_update_date = $data2[$i]['last_update_date'];
                $company_id = $data2[$i]['company_id'];
                $created_timezone = $data2[$i]['created_timezone'];
                $updated_timezone = $data2[$i]['updated_timezone'];
                $employee_id = $data1[$i]['employee_id'];
                $data_content_eye_icon = $data2[$i]['data_content_eye_icon'];
            }
            if (isset($data3[$i]['company_id']))
            {
                $col3_datetime = $data3[$i]['schedule_datetime_start'];
                $col3_datetime_end = $data3[$i]['schedule_datetime_end'];
                $col3_timecategory = $data3[$i]['schedule_time_category'];
                $created_by = $data3[$i]['created_by'];
                $last_udpated_by = $data3[$i]['last_udpated_by'];
                $creation_date = $data3[$i]['creation_date'];
                $last_update_date = $data3[$i]['last_update_date'];
                $company_id = $data3[$i]['company_id'];
                $created_timezone = $data3[$i]['created_timezone'];
                $updated_timezone = $data3[$i]['updated_timezone'];
                $employee_id = $data3[$i]['employee_id'];
                $data_content_eye_icon = $data3[$i]['data_content_eye_icon'];
            }
            if (isset($data4[$i]['company_id']))
            {
                $col4_datetime = $data4[$i]['schedule_datetime_start'];
                $col4_datetime_end = $data4[$i]['schedule_datetime_end'];
                $col4_timecategory = $data4[$i]['schedule_time_category'];
                $created_by = $data4[$i]['created_by'];
                $last_udpated_by = $data4[$i]['last_udpated_by'];
                $creation_date = $data4[$i]['creation_date'];
                $last_update_date = $data4[$i]['last_update_date'];
                $company_id = $data4[$i]['company_id'];
                $created_timezone = $data4[$i]['created_timezone'];
                $updated_timezone = $data4[$i]['updated_timezone'];
                $employee_id = $data4[$i]['employee_id'];
                $data_content_eye_icon = $data4[$i]['data_content_eye_icon'];
            }
            if (isset($data5[$i]['company_id']))
            {
                $col5_datetime = $data5[$i]['schedule_datetime_start'];
                $col5_datetime_end = $data5[$i]['schedule_datetime_end'];
                $col5_timecategory = $data5[$i]['schedule_time_category'];
                $created_by = $data5[$i]['created_by'];
                $last_udpated_by = $data5[$i]['last_udpated_by'];
                $creation_date = $data5[$i]['creation_date'];
                $last_update_date = $data5[$i]['last_update_date'];
                $company_id = $data5[$i]['company_id'];
                $created_timezone = $data5[$i]['created_timezone'];
                $updated_timezone = $data5[$i]['updated_timezone'];
                $employee_id = $data5[$i]['employee_id'];
                $data_content_eye_icon = $data5[$i]['data_content_eye_icon'];
            }
            if (isset($data6[$i]['company_id']))
            {
                $col6_datetime = $data6[$i]['schedule_datetime_start'];
                $col6_datetime_end = $data6[$i]['schedule_datetime_end'];
                $col6_timecategory = $data6[$i]['schedule_time_category'];
                $created_by = $data6[$i]['created_by'];
                $last_udpated_by = $data6[$i]['last_udpated_by'];
                $creation_date = $data6[$i]['creation_date'];
                $last_update_date = $data6[$i]['last_update_date'];
                $company_id = $data6[$i]['company_id'];
                $created_timezone = $data6[$i]['created_timezone'];
                $updated_timezone = $data6[$i]['updated_timezone'];
                $employee_id = $data6[$i]['employee_id'];
                $data_content_eye_icon = $data6[$i]['data_content_eye_icon'];
            }
            if (isset($data7[$i]['company_id']))
            {
                $col7_datetime = $data7[$i]['schedule_datetime_start'];
                $col7_datetime_end = $data7[$i]['schedule_datetime_end'];
                $col7_timecategory = $data7[$i]['schedule_time_category'];
                $created_by = $data7[$i]['created_by'];
                $last_udpated_by = $data7[$i]['last_udpated_by'];
                $creation_date = $data7[$i]['creation_date'];
                $last_update_date = $data7[$i]['last_update_date'];
                $company_id = $data7[$i]['company_id'];
                $created_timezone = $data7[$i]['created_timezone'];
                $updated_timezone = $data7[$i]['updated_timezone'];
                $employee_id = $data7[$i]['employee_id'];
                $data_content_eye_icon = $data7[$i]['data_content_eye_icon'];
            }
            $insArr = array();
            $insArr['col1_datetime_start'] = isset($col1_datetime)?$col1_datetime:'';
            $insArr['col1_datetime_end'] = isset($col1_datetime_end)?$col1_datetime_end:'';
            $insArr['col1_time_category'] = isset($col1_timecategory)?$col1_timecategory:'';
            
            $insArr['col2_datetime_start'] = isset($col2_datetime)?$col2_datetime:'';
            $insArr['col2_datetime_end'] = isset($col2_datetime_end)?$col2_datetime_end:'';
            $insArr['col2_time_category'] = isset($col2_timecategory)?$col2_timecategory:'';
            
            $insArr['col3_datetime_start'] = isset($col3_datetime)?$col3_datetime:'';
            $insArr['col3_datetime_end'] = isset($col3_datetime_end)?$col3_datetime_end:'';
            $insArr['col3_time_category'] = isset($col3_timecategory)?$col3_timecategory:'';
            
            $insArr['col4_datetime_start'] = isset($col4_datetime)?$col4_datetime:'';
            $insArr['col4_datetime_end'] = isset($col4_datetime_end)?$col4_datetime_end:'';
            $insArr['col4_time_category'] = isset($col4_timecategory)?$col4_timecategory:'';
            
            $insArr['col5_datetime_start'] = isset($col5_datetime)?$col5_datetime:'';
            $insArr['col5_datetime_end'] = isset($col5_datetime_end)?$col5_datetime_end:'';
            $insArr['col5_time_category'] = isset($col5_timecategory)?$col5_timecategory:'';
            
            $insArr['col6_datetime_start'] = isset($col6_datetime)?$col6_datetime:'';
            $insArr['col6_datetime_end'] = isset($col6_datetime_end)?$col6_datetime_end:'';
            $insArr['col6_time_category'] = isset($col6_timecategory)?$col6_timecategory:'';
            
            $insArr['col7_datetime_start'] = isset($col7_datetime)?$col7_datetime:'';
            $insArr['col7_datetime_end'] = isset($col7_datetime_end)?$col7_datetime_end:'';
            $insArr['col7_time_category'] = isset($col7_timecategory)?$col7_timecategory:'';
            
            $insArr['employee_id'] = $employee_id;
            $insArr['created_by'] = $created_by;
            $insArr['last_udpated_by'] = $last_udpated_by;
            $insArr['creation_date'] = $creation_date;
            $insArr['last_update_date'] = $last_update_date;
            $insArr['last_udpated_by'] = $last_udpated_by;
            $insArr['company_id'] = $company_id;
            $insArr['created_timezone'] = $created_timezone;
            $insArr['updated_timezone'] = $updated_timezone;
            
            $insArr['session_id'] = $_SESSION['current_session_id'];
            $insArr['datacontent'] = isset($data_content_eye_icon)?$data_content_eye_icon:'';
            
            insertdata("cxs_employee_schedules_tmp",$insArr);
            //$query1 = "insert into cxs_employee_schedules_tmp set col1_date"
        }
        
        $qry = "select * from cxs_employee_schedules_tmp where session_id = '".$_SESSION['current_session_id']."' and employee_id ='".$employee_id."'";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            while($row=mysqli_fetch_assoc($result))
            {
                $data_list[] = $row;
            }
        }
        $succ=1;
        $_SESSION['current_session_id'] = "";
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list));        
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_employee_schedule_data')
    {
        $schedule_id = isset($_POST['schedule_id'])?trim($_POST['schedule_id']):''; 
        $employee_id = isset($_POST['employee_id'])?trim($_POST['employee_id']):'';
        $succ=0;
        $data = array();
        $qry = "delete from cxs_employee_schedules where schedule_id='".$schedule_id."' and employee_id ='".$employee_id."'";
        $result = mysqli_query($conn,$qry);
        $succ=1;
        echo json_encode(array("succ" => $succ));
        exit;
    }
     else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_employee_schedule_data_all')
    {
        $selected_date = isset($_POST['selected_date'])?trim($_POST['selected_date']):''; 
        $employee_id = isset($_POST['employee_id'])?trim($_POST['employee_id']):'';
        
        $selected_date = date('Y-m-d', strtotime($selected_date));
                
        $succ=0;
        $data = array();
        $qry = "delete from cxs_employee_schedules where  schedule_date ='".$selected_date."' and employee_id ='".$employee_id."'";
        $result = mysqli_query($conn,$qry);
        $succ=1;
        echo json_encode(array("succ" => $succ,"qry"=>$qry));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'add_schedule_entry1')
    {
        $get_start_time = isset($_POST['start_time'])?trim($_POST['start_time']):''; 
        $get_end_time = isset($_POST['end_time'])?trim($_POST['end_time']):'';
        $add_category = isset($_POST['add_category'])?trim($_POST['add_category']):'';
        $selected_date = isset($_POST["selected_date"])?$_POST["selected_date"]:'';
        $selected_id = isset($_POST["selected_id"])?$_POST["selected_id"]:'';
        
        if($selected_date!='')
        {
            $selected_date = date('Y-m-d', strtotime($selected_date));
        }
        
        $LastDateTime = isset($_POST["LastDateTime"])?$_POST["LastDateTime"]:'';
        if($LastDateTime!='')
        {
            $LastDateTime = date('Y-m-d H:i', strtotime($LastDateTime));      
            $LastDate= date('Y-m-d', strtotime($LastDateTime));      
            //$LastDate= date('m-d-Y', strtotime($LastDateTime));      
            if($get_start_time!='')
            {
                $start_from_duration = $LastDate." ".date('H:i',strtotime($get_start_time));
            }        
            
            if($get_end_time!='')
            {
                $end_to_duration = $LastDate." ".date('H:i',strtotime($get_end_time));
            }        
            
            if(isset($start_from_duration) && isset($end_to_duration))
            {
                $datetime1 = new DateTime($start_from_duration);
                $datetime2 = new DateTime($end_to_duration);
                $interval = $datetime1->diff($datetime2);
                $time_duration = $interval->format('%h hours and %i minutes');
                
            }
            
        }
        
        $tr = '<tr> 
            <td><div class="form-group mr-3"><span class="text-primary mb-1 font-weight-bold mt-3">'.$add_category.'</span>
                <input type="hidden" value="'.$selected_id.'"></div></td>
            <td>
                    <div class="form-group mr-2">
                        <div class="input-group">
                          <div class="input-group-prepend">
                            <span class="input-group-text">Start </span>
                          </div>
                            <div>
                                <select class="js-example-basic-single dropdown_settime" style="width:100%;" >
                                  <option value="">-Select-</option>';
                                  
                                        
                                    $start_time = '00:00';
                                    for($i=1; $i <= 48; $i++)
                                    {   
                                          $selected_value = "";
                                          
                                          $start_time = date('h:i A',strtotime($start_time));
                                          if($get_start_time==$start_time)
                                          {
                                              $selected_value = "selected";
                                          }
                                          else
                                          {
                                              $selected_value = "";
                                          }
        $tr =   $tr.                               '<option value="'.$start_time.'"'.$selected_value.'>'.$start_time.'</option>';
                                          $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                          $start_time = $new_time;                                                        
                                    } 
        $tr =   $tr.            '</select>
                            </div>    
                        </div>
                    </div>
                    <div  class="mt-2"><span id="span_break_from_time" class="not-valid-tip"></span></div>
                    <td>
                <div class="form-group mr-2">
                    <div class="input-group">
                      <div class="input-group-prepend">
                        <span class="input-group-text">End </span>
                      </div>
                        <div>
                            <select class="js-example-basic-single dropdown_settime" style="width:100%;" >
                              <option value="">-Select-</option>';                              
                                  $start_time = '00:00';
                                  for($i=1; $i <= 48; $i++)
                                  {   
                                    $start_time = date('h:i A',strtotime($start_time));
                                    if($get_end_time==$start_time)
                                    {
                                        $selected_value = "selected";
                                    }
                                    else
                                    {
                                        $selected_value = "";
                                    }
        $tr =   $tr.                    '<option value="'.$start_time.'"'.$selected_value.'>'.$start_time.'</option>';
                                      $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
        $tr =   $tr.                  $start_time = $new_time;                                                        
                                  } 
        $tr =   $tr.        '</select>
                        </div>    
                    </div>
                </div>
                <div  class="mt-2"><span id="" class="not-valid-tip"></span></div>
            </td>';
        
        $time_from = "";
        $start_from_duration = date('m-d-Y h:i A',strtotime($start_from_duration));
        $end_to_duration = date('m-d-Y h:i A',strtotime($end_to_duration));
        
        $tr = $tr.'<td><div class="form-group mr-2 font-weight-bold  mt-1" >'.$start_from_duration.'</div></td>
            <td><div class="form-group mr-2 font-weight-bold  mt-1" >'.$end_to_duration.'</div></td>
            <td><div class="form-group mr-2 font-weight-bold  mt-1" >'.$time_duration.'</div></td>';
            
        $tr =   $tr.   '<td></td>

            </tr>'; 
         $succ=1;
        echo json_encode(array("succ" => $succ,"tr"=>$tr));
        exit; 
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_company_ot_data')
    {
       
        $succ=0;
        $data = array();
        $is_daily_overtime = "N";
        $is_daily_doubletime = "N";

        $is_weekly_overtime = "N";
        $is_weekly_doubletime = "N";

        $qry = "select * from cxs_overtime where company_id ='".$_SESSION['login_user_array']['company_id']."'";
        $result = mysqli_query($conn,$qry);        
        if(mysqli_num_rows($result)>0)    
        {
            while($row = mysqli_fetch_assoc($result))
            {
                $is_daily_overtime = $row['flsa_action_type1'];
                $is_daily_doubletime = $row['flsa_action_type3'];
                
                $is_weekly_overtime = $row['flsa_action_type2'];
                $is_weekly_doubletime = $row['flsa_action_type4'];
                
            }
        }
        
        $user_timezone = GetUserTimeZone($_SESSION['login_user_array']['user_id']);        
        $date = new DateTime("now", new DateTimeZone($user_timezone) );
        $user_current_time = $date->format('Y-m-d');        
        $daily_date = date("m/d",strtotime($user_current_time));        
        
        $date_list = array();
        $date_list['daily_date'] = $daily_date;
        
        $date_list['week_start_date'] = $daily_date;
        $enddate = date('Y-m-d', date(strtotime("+ 6 day", strtotime($user_current_time))));
        $enddate = date("m/d",strtotime($enddate)); 
        $date_list['week_end_date'] = $enddate;        
        $daily_string_date = date("l, F jS Y", strtotime($user_current_time));        
        $date_list['daily_string_date'] = $daily_string_date;
                
        for($i=0;$i<=6;$i++)
        {
            $enddate = date('Y-m-d', date(strtotime("+ ".$i." day", strtotime($user_current_time))));
            $date_list['weekly_date'.$i] = $enddate;
        }
        
        
        $succ=1;
        echo json_encode(array("succ" => $succ,"is_daily_overtime"=>$is_daily_overtime,"is_daily_doubletime"=>$is_daily_doubletime,"is_weekly_overtime"=>$is_weekly_overtime,"is_weekly_doubletime"=>$is_weekly_doubletime,"date_list"=>$date_list,));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_week_dates')
    {
        $week_start_date = isset($_POST['week_start_date'])?trim($_POST['week_start_date']):''; 
        $week_start_date = date('Y-m-d', strtotime($week_start_date)); 
        
        for($i=0;$i<=6;$i++)
        {
            $enddate = date('Y-m-d', date(strtotime("+ ".$i." day", strtotime($week_start_date))));
            $week_date = date("D M j",strtotime($enddate)); 
            $date_list['weekly_date'.$i] = $week_date;
        }
        
        $succ=1;
        echo json_encode(array("succ" => $succ,"weekly_list"=>$date_list));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'day_incdec')
    {
        $selected_date = isset($_POST['selected_date'])?trim($_POST['selected_date']):''; 
        $action = isset($_POST['action'])?trim($_POST['action']):''; 
        $no_of_days = isset($_POST['no_of_days'])?trim($_POST['no_of_days']):''; 
        
        $new_date = "";
        $display_date = "";
        $selected_date = date('Y-m-d', strtotime($selected_date)); 
        if($action=="add")
        {
            $new_date = date('Y-m-d', date(strtotime("+ ".$no_of_days." day", strtotime($selected_date))));            
        }
        else if($action=="minus")
        {
            $new_date = date('Y-m-d', date(strtotime("- ".$no_of_days." day", strtotime($selected_date))));
        }        
        $display_date = date("m/d",strtotime($new_date));  
        $display_date1 = date('m/d/Y', strtotime($new_date));
        
        $string_date = date("l, F jS Y", strtotime($new_date));             
        $succ=1;
        echo json_encode(array("succ" => $succ,"new_date"=>$new_date,"display_date"=>$display_date,"string_date"=>$string_date,"display_date1" => $display_date1));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'week_incdec')
    {
        $selected_date = isset($_POST['selected_date'])?trim($_POST['selected_date']):''; 
        $action = isset($_POST['action'])?trim($_POST['action']):''; 
        $no_of_days = isset($_POST['no_of_days'])?trim($_POST['no_of_days']):''; 
        
        $new_date = "";
        $display_date = "";
        $selected_date = date('Y-m-d', strtotime($selected_date)); 
        if($action=="add")
        {
            $new_date1 = date('Y-m-d', date(strtotime("+ ".$no_of_days." day", strtotime($selected_date))));
            if($no_of_days==0)
            {
               $no_of_days=7; 
            }
            $new_date2 = date('Y-m-d', date(strtotime("+ ".($no_of_days-1)." day", strtotime($new_date1))));
        }
        else if($action=="minus")
        {
            $new_date1    = date('Y-m-d', date(strtotime("- ".$no_of_days." day", strtotime($selected_date))));
            $new_date2 = date('Y-m-d', date(strtotime("+ ".($no_of_days-1)." day", strtotime($new_date1))));
        }        
        
        $display_date = date("m/d",strtotime($new_date1)). " - ".date("m/d",strtotime($new_date2));      //label_weekly    
        
        $new_from_date = date("m/d/Y",strtotime($new_date1));  
        $new_to_date = date("m/d/Y",strtotime($new_date2));  
        
        $succ=1;
        echo json_encode(array("succ" => $succ,"new_date1"=>$new_date1,"display_date"=>$display_date,"from_date"=>$new_from_date,"to_date"=>$new_to_date));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'calculate_time_duration')
    {
        $from_date = isset($_POST['from_date'])?trim($_POST['from_date']):''; 
        $from_time = isset($_POST['from_time'])?trim($_POST['from_time']):''; 
        $to_time = isset($_POST['to_time'])?trim($_POST['to_time']):''; 
        
        $form_name = isset($_POST['form_name'])?trim($_POST['form_name']):''; 
        
        if($form_name=="time_card")
        {
            $from_time = date("h:i A",strtotime($from_time));  
            $to_time = date("h:i A",strtotime($to_time));  
        }
        
        $difference = differenceInHours($from_time,$to_time);
        $start_date_time = $from_date." ".$from_time;
        $end_date_time = $from_date." ".$to_time;
        
        $h_new_date = date("m-d-Y",strtotime($start_date_time)); 
        
        if($difference < 0)
        {
            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($from_date))));
            $end_date_time = $new_date." ".$to_time;
            $h_new_date = date("m-d-Y",strtotime($new_date)); 
        }
        
        $time_duration = differenceInHours($start_date_time,$end_date_time);
        
        $time_duration = number_format($time_duration, 2);        
        $date_time_list = array();
        $date_time_list['start_date_time_hidden'] = $start_date_time;
        $date_time_list['end_date_time_hidden'] = $end_date_time;
        
        $date_time_list['start_date_time'] = date("m-d-Y h:i A",strtotime($start_date_time));
        $date_time_list['end_date_time'] = date("m-d-Y h:i A",strtotime($end_date_time));
        $date_time_list['time_duration'] = $time_duration;
        $date_time_list['h_new_date'] = $h_new_date;
        
        $succ=1;
        echo json_encode(array("succ" => $succ,"date_time_list"=>$date_time_list));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_timebetween_regular')
    {
        $from_time = isset($_POST['from_time'])?trim($_POST['from_time']):''; 
        $to_time = isset($_POST['to_time'])?trim($_POST['to_time']):''; 
        $base_start_time = isset($_POST['reg_start_time'])?trim($_POST['reg_start_time']):''; 
        $base_end_time = isset($_POST['reg_end_time'])?trim($_POST['reg_end_time']):''; 
        $status = isset($_POST['status'])?trim($_POST['status']):''; 
        $date_time_list = array();
        
        
        if($base_start_time!='')
        {
            $base_start_time = date("Y-m-d H:i",strtotime($base_start_time));
            $start_date =  date("Y-m-d",strtotime($base_start_time));            
            $from_start_time = $start_date." ".$from_time;
            $to_end_time = $start_date." ".$to_time;
        }
        if($base_end_time!='')
        {
           $base_end_time = date("Y-m-d H:i",strtotime($base_end_time));
        }
       
        $difference = differenceInHours($base_start_time,$from_start_time);
        if($difference<0)
        {
            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($start_date))));
            $from_start_time = $new_date." ".$from_time;
        }
        
        $difference = differenceInHours($base_start_time,$to_end_time);
        if($difference<0)
        {
            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($start_date))));
            $to_end_time = $new_date." ".$to_time;
        }
        $from_start_time  = date("Y-m-d H:i",strtotime($from_start_time));
        $to_end_time  = date("Y-m-d H:i",strtotime($to_end_time));
        
        $flag = 0;
        
        if($status=="Between")
        {
            $flag = check_DateTimebetween_twodt($base_start_time,$base_end_time,$from_start_time);        
            if($flag==1)
            {
                $flag = check_DateTimebetween_twodt($base_start_time,$base_end_time,$to_end_time);
            }    
        }
        else if($status=="After")
        {
            $flag = check_DateTimeafter_twodt($base_start_time,$base_end_time,$from_start_time);
            if($flag==1)
            {
                $flag = check_DateTimeafter_twodt($base_start_time,$base_end_time,$to_end_time);
            }    
        }
        if($flag==1)
        {
            $time_duration = differenceInHours($from_start_time,$to_end_time);     
            
            $date_time_list = array();
            $date_time_list['start_date_time_hidden'] = date("Y-m-d H:i",strtotime($from_start_time));
            $date_time_list['end_date_time_hidden'] = date("Y-m-d H:i",strtotime($to_end_time));

            $date_time_list['start_date_time'] = date("m-d-Y h:i A",strtotime($from_start_time));
            $date_time_list['end_date_time'] = date("m-d-Y h:i A",strtotime($to_end_time));
            $date_time_list['time_duration'] = $time_duration;
            //$date_time_list['h_new_date'] = $h_new_date;

        }
        $succ=$flag;
        echo json_encode(array("succ" => $succ,"date_time_list"=>$date_time_list));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'add_schedule_entry')
    {
        
        $from_time = isset($_POST['from_time'])?trim($_POST['from_time']):''; 
        $to_time = isset($_POST['to_time'])?trim($_POST['to_time']):''; 
        $add_category = isset($_POST['add_category'])?trim($_POST['add_category']):'';
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):'';
        $base_start_time = isset($_POST['reg_start_time'])?trim($_POST['reg_start_time']):''; 
        $base_end_time = isset($_POST['reg_end_time'])?trim($_POST['reg_end_time']):''; 
        
        
        if($base_start_time!='')
        {
            $base_start_time = date("Y-m-d H:i",strtotime($base_start_time));
            $start_date =  date("Y-m-d",strtotime($base_start_time));            
            $from_start_time = $start_date." ".$from_time;
            $to_end_time = $start_date." ".$to_time;
        }
        if($base_end_time!='')
        {
           $base_end_time = date("Y-m-d H:i",strtotime($base_end_time));
        }
        
        $difference = differenceInHours($base_start_time,$from_start_time);
        if($difference<0)
        {
            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($start_date))));
            $from_start_time = $new_date." ".$from_time;
        }
        
        $difference = differenceInHours($base_start_time,$to_end_time);
        if($difference<0)
        {
            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($start_date))));
            $to_end_time = $new_date." ".$to_time;
        }
        $start_date_time  = date("Y-m-d H:i",strtotime($from_start_time));
        $end_date_time  = date("Y-m-d H:i",strtotime($to_end_time));
        
        
        $time_duration = differenceInHours($start_date_time,$end_date_time);
        
        $tr = '<tr> 
            <td><div class="form-group mr-3"><span class="text-primary mb-1 font-weight-bold mt-3">'.$add_category.'</span>
                <input type="hidden" value="'.$selected_id.'"></div></td>
            <td>
                    <div class="form-group mr-2">
                        <div class="input-group">
                          <div class="input-group-prepend">
                            <span class="input-group-text">Start </span>
                          </div>
                            <div>
                                <select class="js-example-basic-single dropdown_settime" style="width:100%;" >
                                  <option value="">-Select-</option>';
                                  
                                        
                                    $start_time = '00:00';
                                    for($i=1; $i <= 48; $i++)
                                    {   
                                          $selected_value = "";
                                          
                                          $start_time = date('h:i A',strtotime($start_time));
                                          if($from_time==$start_time)
                                          {
                                              $selected_value = "selected";
                                          }
                                          else
                                          {
                                              $selected_value = "";
                                          }
        $tr =   $tr.                               '<option value="'.$start_time.'"'.$selected_value.'>'.$start_time.'</option>';
                                          $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                          $start_time = $new_time;                                                        
                                    } 
        $tr =   $tr.            '</select>
                            </div>    
                        </div>
                    </div>
                    <div  class="mt-2"><span id="span_break_from_time" class="not-valid-tip"></span></div>
                    <td>
                <div class="form-group mr-2">
                    <div class="input-group">
                      <div class="input-group-prepend">
                        <span class="input-group-text">End </span>
                      </div>
                        <div>
                            <select class="js-example-basic-single dropdown_settime" style="width:100%;" >
                              <option value="">-Select-</option>';                              
                                  $start_time = '00:00';
                                  for($i=1; $i <= 48; $i++)
                                  {   
                                    $start_time = date('h:i A',strtotime($start_time));
                                    if($to_time==$start_time)
                                    {
                                        $selected_value = "selected";
                                    }
                                    else
                                    {
                                        $selected_value = "";
                                    }
        $tr =   $tr.                    '<option value="'.$start_time.'"'.$selected_value.'>'.$start_time.'</option>';
                                      $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
        $tr =   $tr.                  $start_time = $new_time;                                                        
                                  } 
        $tr =   $tr.        '</select>
                        </div>    
                    </div>
                </div>
                <div  class="mt-2"><span id="" class="not-valid-tip"></span></div>
            </td>';
        
        $time_from = "";
        $start_from_duration = date('m-d-Y h:i A',strtotime($start_date_time));
        $end_to_duration = date('m-d-Y h:i A',strtotime($end_date_time));
        
        $tr = $tr.'<td><div class="form-group mr-2 font-weight-bold  mt-1" >'.$start_from_duration.'</div></td>
            <td><div class="form-group mr-2 font-weight-bold  mt-1" >'.$end_to_duration.'</div></td>
            <td><div class="form-group mr-2 font-weight-bold  mt-1" >'.$time_duration.' Hours</div></td>
            <td><div class="form-group"><button class="btn  btn-sm delete_record" type = "button" title="Delete Record" ><i class="fa fa-trash-o" aria-hidden="true"></i></button></div></td>';
            
        $tr =   $tr.   '<td></td>

            </tr>'; 
        
        
        $succ=1;
        echo json_encode(array("succ" => $succ,"tr"=>$tr));
        exit;
    } 
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_total_days')
    {
        $start_date = isset($_POST['start_date'])?trim($_POST['start_date']):''; 
        $end_date = isset($_POST['end_date'])?trim($_POST['end_date']):'';         
        $data_list = array();
        
        
        if($start_date!='')
        {
            $start_date = date("m/d/Y",strtotime($start_date));
            $start_date = date("Y-m-d",strtotime($start_date));
        }
        if($end_date!='')
        {
            $end_date = date("m/d/Y",strtotime($end_date));
            $end_date = date("Y-m-d",strtotime($end_date));
        }
        $TotalDays = differenceInDays($start_date,$end_date);
       
        $days_list = array();
        //$temp_date = $start_date;
        for($i=0;$i<$TotalDays;$i++)
        {
            $temp_date = date('Y-m-d', date(strtotime("+".$i." day", strtotime($start_date))));
            $row['hidden_date'] = $temp_date;
            $row['display_date'] = date("m/d",strtotime($temp_date));
            $row['display_day'] = date('l', strtotime($temp_date)); 
            
            $days_list[] = $row;
        }
       
        
        $data_list['TotalDays'] = $TotalDays;
        $succ=1;
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"days_list"=>$days_list));
        exit;
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'convert_date_to_string')
    {
        $selected_date = isset($_POST['selected_date'])?trim($_POST['selected_date']):''; 
        $succ=0;
        if($selected_date!='')
        {
            $selected_date1 = date("l, F jS Y", strtotime($selected_date));    
            $succ=1;
        }    
        echo json_encode(array("succ" => $succ,"selected_date1"=>$selected_date1));
        exit;
    }    
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'apply_schedule_to_report')
    {
        $FromDate = isset($_POST['FromDate'])?trim($_POST['FromDate']):''; 
        $ToDate = isset($_POST['ToDate'])?trim($_POST['ToDate']):''; 
        $employee_id = isset($_POST['employee_id'])?trim($_POST['employee_id']):''; 
        $msg = "";
        $employee_list=array();
        
        if($FromDate!='')
        {
            $FromDate = date("Y-m-d",strtotime($FromDate));
        }
        if($ToDate!='')
        {
            $ToDate = date("Y-m-d",strtotime($ToDate));
        }
        if($ToDate=="")
        {
            $ToDate = date('Y-m-d',strtotime($FromDate . ' +6 day'));      
        }
        $TotalDays = differenceInDays($FromDate,$ToDate);
        $flag = 0;
        if($TotalDays==1)
        {
            $qry = "select * from cxs_employee_schedules where company_id='".$_SESSION['login_user_array']['company_id']."' and employee_id = '".$employee_id."' and "
             . "(DATE(schedule_datetime_start) = '".$FromDate."')  ";
        }
        else
        {
            $qry = "select * from cxs_employee_schedules where company_id='".$_SESSION['login_user_array']['company_id']."' and employee_id = '".$employee_id."' and "
             . "(DATE(schedule_datetime_start) >= '".$FromDate."' and DATE(schedule_datetime_start) <= '".$ToDate."')  ";
        }
        if($qry!='')
        {
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0)
            {
                $flag=1;
                if($_SESSION['login_user_array']['user_role']=="Admin")
                {
                    $qry_emp = "select * from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id !='".$_SESSION['login_user_array']['user_id']."' order by first_name,last_name ";
                }
                else
                {
                    $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");                                                     
                    //$qry_emp = " select * from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and (supervisor_id = '".$supervisor_id."' or employee_id = '".$supervisor_id."') order by first_name,last_name ";
                    $qry_emp = " select * from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and (supervisor_id = '".$supervisor_id."') order by first_name,last_name ";
                }
                
                if($qry_emp!='')
                {
                    $result_emp = mysqli_query($conn,$qry_emp);
                    $TotalRecords_emp = mysqli_num_rows($result_emp);
                    if($TotalRecords_emp==0)
                    {
                        $flag=0;
                        $msg = "There is no employee under current to direct reports";
                    }
                    else
                    {
                        $flag=1;
                        while($row = mysqli_fetch_assoc($result_emp))
                        {
                            $employee_list[] = $row;
                        }
                    }
                }    
            }
            else
            {
                $flag=0;
                $msg = "There is no record for apply";
            }
        }
        
        if($flag==1 && sizeof($employee_list)>0)            
        {
            
            foreach($employee_list as $key => $value)
            {
                $temp_employeeid = $value['employee_id'];
                if($flag==0)
                {
                    break;
                }
                
                for($i=0;$i<=6;$i++)
                {
                    $temp_date = date('Y-m-d', date(strtotime("+ ".$i." day", strtotime($FromDate))));
                    
                    $qry = "select * from cxs_employee_schedules where company_id='".$_SESSION['login_user_array']['company_id']."' and employee_id = '".$temp_employeeid."' and "
                    . "(DATE(schedule_datetime_start) = '".$temp_date."')  ";
                    $result = mysqli_query($conn,$qry);
                    if(mysqli_num_rows($result)>0)
                    {
                        $msg = $value['first_name']." ".$value['last_name']." already has a schedule present for ".date("m/d/Y",strtotime($FromDate))." date, you can not create another schedule for the same date";
                        $flag= 0;
                        break;
                    }
                }   
            }
            
            if($flag==1)
            {
                 $login_user_timezone = $_SESSION['login_user_array']['user_timezone'];
                 foreach($employee_list as $key => $value)
                {
                    $temp_employeeid = $value['employee_id'];
                    for($i=0;$i<=6;$i++)
                    {
                        $temp_date = date('Y-m-d', date(strtotime("+ ".$i." day", strtotime($FromDate))));                    
                        $qry = "select * from cxs_employee_schedules where company_id='".$_SESSION['login_user_array']['company_id']."' and employee_id = '".$employee_id."' and "
                        . "(DATE(schedule_datetime_start) = '".$temp_date."')  ";
                        $result = mysqli_query($conn,$qry);
                        if(mysqli_num_rows($result)>0)
                        {
                            
                            while($row = mysqli_fetch_assoc($result))
                            {
                                $insArr = array();
                                $insArr['employee_id'] = $temp_employeeid;
                                $insArr['user_id'] = $value['user_id'];
                                $insArr['schedule_datetime_start'] = $row['schedule_datetime_start'];
                                $insArr['schedule_datetime_end'] = $row['schedule_datetime_end'];
                                $insArr['schedule_time_category'] = $row['schedule_time_category'];
                                $insArr['schedule_type'] = $row['schedule_type'];
                                $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                                $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                                
                                $date = new DateTime("now", new DateTimeZone($login_user_timezone) );
                                $curTime = $date->format('Y-m-d H:i:s');
                                $insArr['creation_date'] = $curTime; 
                                $insArr['last_update_date'] = $curTime;
                                $insArr['company_id'] = $_SESSION['login_user_array']['company_id']; 
                                $insArr['IsSecondaryRow'] = $row['IsSecondaryRow'];
                                $insArr['schedule_date'] = $row['schedule_date'];
                                $insArr['created_timezone'] = $row['created_timezone'];
                                $insArr['updated_timezone'] = $row['updated_timezone'];
                                insertdata("cxs_employee_schedules",$insArr);
                            }
                            
                        }
                        

                    } 
                }    
            }
            
        }
        $succ=$flag;
        echo json_encode(array("succ" => $succ,"msg"=>$msg));
        exit;
    }    
    
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'notify_empschedule')
    {
        $selected_date= isset($_POST['selected_date'])?trim($_POST['selected_date']):'';         
        $schedule_type= isset($_POST['schedule_type'])?trim($_POST['schedule_type']):'';         
        $employee_id= isset($_POST['employee_id'])?trim($_POST['employee_id']):''; 
        $login_user_array = $_SESSION['login_user_array'];
        if($schedule_type=="daily")
        {
            $FromDate = date("Y-m-d",strtotime($selected_date));
            $ToDate = date("Y-m-d",strtotime($selected_date));
            $order_by = " order by schedule_datetime_start desc,schedule_id";
        }
        else if($schedule_type=="weekly")
        {
            $FromDate = date("Y-m-d",strtotime($selected_date));
            $ToDate = date('Y-m-d',strtotime($FromDate . ' +6 day')); 
            $order_by = " order by schedule_datetime_start ,schedule_id";
        }
       
        $succ=1;
        
        $user_email = "";
        $qry = "select cxs_user.* from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id where cxs_employee.employee_id = '".$employee_id."'";        
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $row = mysqli_fetch_assoc($result);
            $user_email = $row['user_email'];
            $employee_name = $row['full_name'];
        }   
        $query_1 = " and (DATE(schedule_datetime_start) >= '".$FromDate."' and DATE(schedule_datetime_start) <= '".$ToDate."') ";
        if($schedule_type=="daily")
        {
            $qry = "select * from cxs_employee_schedules where company_id ='".$login_user_array['company_id']."' and employee_id='".$employee_id."'".$query_1.$order_by;
            $result = mysqli_query($conn,$qry);
            $TotalRecords = mysqli_num_rows($result);
            if(mysqli_num_rows($result)>0)
            {
                $counter = 0;
                while($row = mysqli_fetch_assoc($result))
                {
                    $row['col1'] = date('h:i A', strtotime($row['schedule_datetime_start']));
                    $row['col2'] = date('h:i A', strtotime($row['schedule_datetime_end']));

                    $row['start_date_time_hidden'] = date('Y-m-d h:i A', strtotime($row['schedule_datetime_start']));
                    $row['end_date_time_hidden'] = date('Y-m-d h:i A', strtotime($row['schedule_datetime_end']));

                    $TotalMinutes = differenceInMinutes($row['schedule_datetime_start'], $row['schedule_datetime_end']);
                    $row['TotalMinutes'] = $TotalMinutes;

                    $TotalHours = differenceInHours($row['schedule_datetime_start'], $row['schedule_datetime_end']);
                    $row['TotalHours'] = $TotalHours;

                    $data_list[] = $row; 

                    $row['weekly_start_time'] = date('h:i A',strtotime($row['schedule_datetime_start']));
                    $row['weekly_end_time'] = date('h:i A',strtotime($row['schedule_datetime_end']));

                    $data_list[$counter]['schedule_datetime_start'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_start']));
                    $data_list[$counter]['schedule_datetime_end'] = date('Y-m-d H:i:s', strtotime($row['schedule_datetime_end']));

                    /*$data_list[$counter]['schedule_datetime_start_popup'] = date('m-d-Y h:i A', strtotime($row['schedule_datetime_start']));
                    $data_list[$counter]['schedule_datetime_end_popup'] = date('m-d-Y h:i A', strtotime($row['schedule_datetime_end']));

                    $data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);
                    $data_list[$counter]['data_content_eye_icon'] = $data_content_eye_icon; */
                    $counter++;        
                }
            }
        }
        else
        {
            $qry = "select a.*,TIME_FORMAT(SEC_TO_TIME(SUM(TIME_TO_SEC(a.TimeDuration))), '%H:%i') as TotalTimeDuration from(
            SELECT cxs_employee_schedules.*, DATE(schedule_datetime_start) as schedule_fill_date, TIME_FORMAT(TIMEDIFF(schedule_datetime_end,schedule_datetime_start), '%H:%i') as TimeDuration
            FROM cxs_employee_schedules
            WHERE company_id ='".$_SESSION['login_user_array']['company_id']."' AND employee_id='".$employee_id."' ".$query_1."
            ) as a
            group by schedule_fill_date,schedule_time_category
            ORDER BY schedule_datetime_start,schedule_id ";
            
            $result = mysqli_query($conn,$qry);
            $TotalRecords = mysqli_num_rows($result);
            if(mysqli_num_rows($result)>0)
            {
                $counter = 0;
                while($row = mysqli_fetch_assoc($result))
                { 
                    $counter++;                   
                    $row['schedule_fill_date'] = date("D M j",strtotime($row['schedule_date'])); 

                    $row['weekly_start_time'] = date('h:i A',strtotime($row['schedule_datetime_start']));
                    $row['weekly_end_time'] = date('h:i A',strtotime($row['schedule_datetime_end']));

                    if($row['schedule_datetime_start']!='0000-00-00 00:00:00')
                    {
                        $row['schedule_datetime_start'] = date('m-d-Y h:i A',strtotime($row['schedule_datetime_start']));
                    }    
                    if($row['schedule_datetime_end']!='0000-00-00 00:00:00')
                    {
                        $row['schedule_datetime_end'] = date('m-d-Y h:i A',strtotime($row['schedule_datetime_end']));
                    }

                    $row['time_duration']=$row['TotalTimeDuration'];

                    if($_POST["to_date"]=='')
                    {
                        if($counter==$TotalRecords)
                        {
                            /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                            $data_content_eye_icon = show_eye_icon_data_format($row);
                            $row['data_content_eye_icon'] = $data_content_eye_icon;
                        }
                        else
                        {
                            $row['data_content_eye_icon'] = "";
                        }
                    }
                    else 
                    {
                        /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                        $data_content_eye_icon = show_eye_icon_data_format($row);
                        $row['data_content_eye_icon'] = $data_content_eye_icon;
                    }

                    $data_list[] = $row;
                }
            }
            
        }
            $from_name='Coexsys Time Accounting'; //Website Name
            $from_email=ADMIN_EMAIL; //Admin Email            
            $to= $user_email;	
            //$to= "khyati.cpp@gmail.com";
            $subject = $row['full_name']." ".$schedule_type." schedule";
            $cc="";             
            include "email/employee_schedule.php"; //email design with content included	            
            $headers  = "MIME-Version: 1.0\r\n";
            $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
            $headers .= "From: $from_name < $from_email >\r\n";		
            $result = mail($to, $subject, $message, $headers);  
            
            //send_mail($to, $subject, $message);
            
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"TotalRecords"=>$TotalRecords)); 
        exit;
    }    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'attendance_approve')
    {
        $user_id = isset($_POST['user_id'])?trim($_POST['user_id']):''; 
        $calendar_date = isset($_POST['calendar_date'])?trim($_POST['calendar_date']):''; 
        $selected_id = isset($_POST['selected_id'])?trim($_POST['selected_id']):''; 
        $set_status = isset($_POST['set_status'])?trim($_POST['set_status']):''; 
        $set_comment = isset($_POST['set_comment'])?trim($_POST['set_comment']):''; 
        $h_attendance_type = isset($_POST['h_attendance_type'])?trim($_POST['h_attendance_type']):''; 
        $h_from_date = isset($_POST['h_from_date'])?trim($_POST['h_from_date']):''; 
        $h_to_date = isset($_POST['h_to_date'])?trim($_POST['h_to_date']):''; 
        $entry_category = isset($_POST['entry_category'])?trim($_POST['entry_category']):''; 
        
        $succ=0;
        $notification_user_id = $user_id;
        $notes = "";
        $notes_category  = "";
        $notification_date = "";
        if($calendar_date!='')
        {
            $calendar_date = date('Y-m-d', strtotime($calendar_date));            
        } 
        
        if($h_from_date!='')
        {
            $h_from_date = date('Y-m-d', strtotime($h_from_date));            
        } 
        
        if($h_to_date!='')
        {
            $h_to_date = date('Y-m-d', strtotime($h_to_date));            
        } 
        
        if($h_attendance_type=='time off')
        {
            if( $user_id!='' && $h_from_date!='' && $h_to_date!='')
            {
                /*$qry = "select * from cxs_time_off where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$user_id."' and from_date = '".$h_from_date."' and to_date = '".$h_to_date."'";
                $qry = "select * from cxs_atnd_clockinout where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$user_id."' and DATE(time_in_stamp) = '".$h_from_date."' and DATE(time_out_stamp) = '".$h_to_date."'";*/
            }
        }
        else 
        {
            if( $user_id!='' && $calendar_date!='')
            {
                if($entry_category=="")
                {
                    $qry = "select * from cxs_atnd_clockinout where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$user_id."' and calendar_date = '".$calendar_date."'";
                    $notes = "";
                }
                else if($entry_category == "submitted") 
                {
                    $qry = "select * from cxs_atnd_clockinout where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$user_id."' and calendar_date = '".$calendar_date."' and is_missed_in = 'N' and time_type <> 'time_off'";
                }
                else if($entry_category == "missed") 
                {
                    $qry = "select * from cxs_atnd_clockinout where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$user_id."' and calendar_date = '".$calendar_date."' and is_missed_in = 'Y' and time_type <> 'time_off'";
                }
                else if($entry_category == "timeoff") 
                {
                    $qry = "select * from cxs_atnd_clockinout where company_id = '".$_SESSION['login_user_array']['company_id']."' and user_id = '".$user_id."'  and ( ('".$calendar_date."'  between DATE(cxs_atnd_clockinout.time_in_stamp) and DATE(cxs_atnd_clockinout.time_out_stamp)))  and time_type='time_off'";
                }
            }
            else if($calendar_date!='' && $user_id=='' && $selected_id=='')
            {
                $qry = "select * from cxs_atnd_clockinout where calendar_date = '".$calendar_date."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
                
            }
            else if($user_id=='' && $selected_id!='')
            {
                $qry = "select * from cxs_atnd_clockinout where session_id = '".$selected_id."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
            }
        }
        if($qry !='')
        {
            $prev_user_id = "";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0)
            {
                $record_counter = 0;
                $login_user_timezone = $_SESSION['login_user_array']['user_timezone'];
                $notes_category  = "";
                while($row = mysqli_fetch_assoc($result))
                {
                    $insArr = array();
                    /*if($h_attendance_type=='time off')
                    {
                        $insArr['time_card_id'] = $row['id'];
                    }
                    else
                    {
                        $insArr['time_card_id'] = $row['session_id'];
                    }    */
                    $insArr['time_card_id'] = $row['session_id'];
                    $insArr['current_status'] = $set_status;
                    $insArr['status_comment'] = $set_comment;
                    $insArr['company_id'] = $row['company_id'];
                    $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                    $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                    $date = new DateTime("now", new DateTimeZone($login_user_timezone) );
                    $curTime = $date->format('Y-m-d H:i:s');
                    $insArr['creation_date'] = $curTime; 
                    $insArr['last_update_date'] = $curTime;
                    $insArr['created_timezone'] = $login_user_timezone;
                    $insArr['updated_timezone'] = $login_user_timezone;
                    /*if($h_attendance_type=='time off')
                    {
                        insertdata("cxs_time_off_ar_status",$insArr);
                    }
                    else
                    {
                        insertdata("cxs_atnd_clockinout_ar_status",$insArr);
                    }*/
                    $update_status_id= "";
                    $current_update_status="";
                    $qry_update = "select * from cxs_atnd_clockinout_ar_status where time_card_id = '".$row['session_id']."' ";
                    $result_update = mysqli_query($conn,$qry_update);
                    if(mysqli_num_rows($result_update) > 0)
                    {
                        $row_update = mysqli_fetch_assoc($result_update);
                        $current_update_status = $row_update['current_status'];
                        if($row_update['current_status'] =='S')
                        {
                            $update_status_id = $row_update['status_id'];
                        }    
                    }
                                             
                    if($update_status_id=="" && $current_update_status=="")    
                    {
                        if($row['time_type']!="time_off")
                        {
                            $temp = $row['time_type']." time, ";
                            $notes_category = $notes_category.$temp;   
                        }
                        else 
                        {
                            $temp = "Time off from ".date('m/d/Y', strtotime($row['time_in_stamp']))." - ".date('m/d/Y', strtotime($row['time_out_stamp']));;
                            $notes_category = $notes_category.$temp;   
                        }
                        
                        insertdata("cxs_atnd_clockinout_ar_status",$insArr);
                    }
                    else
                    {
                        if($row['time_type']!="time_off")
                        {
                            $temp = $row['time_type']." time, ";
                            $notes_category = $notes_category.$temp;   
                        }
                        else 
                        {
                            $temp = "Time off from ".date('m/d/Y', strtotime($row['time_in_stamp']))." - ".date('m/d/Y', strtotime($row['time_out_stamp']));;
                            $notes_category = $notes_category.$temp;   
                        }
                        updatedata("cxs_atnd_clockinout_ar_status",$insArr,"where status_id = '".$update_status_id."'");
                    }
                    if($user_id=="")
                    {
                        $notification_user_id = $row['user_id'];
                    }
                    
                    $notification_date = date('m/d/Y', strtotime($row['time_in_stamp']));
                    $succ =1;
                    $is_timeoff = "";
                    
                    if($row['time_off_id']!=0)
                    {
                        $is_timeoff = "Y";
                    }
                    
                    if($succ==1 && $set_status == "A" && $row['time_off_id']!=0)
                    {
                        $query_1 = " and DATE(schedule_datetime_start) >='".date('Y-m-d', strtotime($row['time_in_stamp']))."' and DATE(schedule_datetime_start) <='".date('Y-m-d', strtotime($row['time_out_stamp']))."'";
                        $qry_emp_schedule = "delete from cxs_employee_schedules where company_id ='".$_SESSION['login_user_array']['company_id']."' and user_id='".$user_id."' ".$query_1."";
                        $result_emp_schedule = mysqli_query($conn,$qry_emp_schedule);
                        $employee_id = getvalue("cxs_employee","employee_id","where user_id = '".$user_id."'");
                        
                        $h_from_date = date('Y-m-d', strtotime($row['time_in_stamp']));
                        $h_to_date = date('Y-m-d', strtotime($row['time_out_stamp']));    
                        
                        $TotalDays = differenceInDays($h_from_date,$h_to_date);
                        $startDate = date('Y-m-d', strtotime($h_from_date));
                        $endDate = date('Y-m-d', strtotime($h_to_date));        
                        for($i=1;$i<=$TotalDays;$i++)
                        {
                            $entry_startDate =  $startDate;
                            $entry_endDate =  $startDate;
                            
                            $entry_startDate = date('Y-m-d H:i:s', strtotime($entry_startDate));
                            $entry_endDate = date('Y-m-d H:i:s', strtotime($entry_endDate));
                            $insArr = array();           
                            $insArr['employee_id'] = $employee_id;   
                            $insArr['user_id'] = $user_id;        

                            $insArr['schedule_datetime_start'] = $entry_startDate;  
                            $insArr['schedule_datetime_end'] = $entry_endDate;

                            $insArr['schedule_time_category'] = "Leave Time";
                            $insArr['schedule_type'] = "d";                                       
                            $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                            $insArr['last_update_date']= $curTime;
                            $insArr['updated_timezone']=$login_user_timezone;
                            $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                            $insArr['IsSecondaryRow'] = "N";

                            $insArr['schedule_date'] = $entry_startDate;
                            $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                            $insArr['creation_date'] = $curTime;
                            $insArr['created_timezone']=$login_user_timezone;
                            insertdata("cxs_employee_schedules",$insArr);                                    
                            $startDate = date('Y-m-d', date(strtotime("+".$i." day", strtotime($h_from_date))));
                        }
                    }
                    if($succ==1 && $record_counter > 0 && $prev_user_id != $row['user_id'])
                    {
                        $notes = "";
                        if($set_status=="A")
                        {
                            $notes_status = "approved";
                        }
                        else
                        {
                            $notes_status = "rejected";
                        }
                        /***************Save Notification for User***************/

                        $notes_category = substr(trim($notes_category), 0, -1);
                        if($is_timeoff=="")
                        {
                            $notes_category = "Attendance date ".$notification_date." ".$notes_category;
                        }
                        $notes = "<b>Attendance Approval : </b>".$notes_category." ".$notes_status." by ".$_SESSION['login_user_array']['user_email'];
                        
                        $insArr = array();
                        $insArr['from_user_id'] 	= $_SESSION['login_user_array']["user_id"];
                        $insArr['to_user_id']		= $notification_user_id;
                        $insArr['module_name'] 		= "attendance_approve";
                        $insArr['module_field_id'] 	= 0;//$expense_report_id;
                        $insArr['notes']                = $notes;
                        $insArr['action_to_be_taken']   = SITEURL."attendance-tracking/time-card/".md5($notification_user_id)."/".$notification_date."/";

                        $insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
                        $insArr['creation_date']	= $curTime;
                        $insArr['created_timezone']	= $currTz;
                        $insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
                        $insArr['last_update_date']	= $curTime;
                        $insArr['updated_timezone']	= $currTz;
                        $insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        insertdata("cxs_notifications",$insArr);
                        $notes_category = "";
                        /***************Save Notification for User***************/
                    }
                    $record_counter++;
                    $prev_user_id = $row['user_id'];
                }
                
                
                
                
                if($succ==1 && $record_counter > 0)
                {
                    $notes = "";
                    if($set_status=="A")
                    {
                        $notes_status = "approved";
                    }
                    else
                    {
                        $notes_status = "rejected";
                    }
                    /***************Save Notification for User***************/

                    $notes_category = substr(trim($notes_category), 0, -1);
                    if($is_timeoff=="")
                    {
                        $notes_category = "Attendance date ".$notification_date." ".$notes_category;
                    }
                    $notes = "<b>Attendance Approval : </b>".$notes_category." ".$notes_status." by ".$_SESSION['login_user_array']['user_email'];

                    $insArr = array();
                    $insArr['from_user_id'] 		= $_SESSION['login_user_array']["user_id"];
                    $insArr['to_user_id']		= $notification_user_id;
                    $insArr['module_name'] 		= "attendance_approve";
                    $insArr['module_field_id'] 		= 0;//$expense_report_id;
                    $insArr['notes']                	= $notes;
                    $insArr['action_to_be_taken']       = SITEURL."attendance-tracking/time-card/".md5($notification_user_id)."/".$notification_date."/";

                    $insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
                    $insArr['creation_date']	= $curTime;
                    $insArr['created_timezone']	= $currTz;
                    $insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';   
                    $insArr['last_update_date']	= $curTime;
                    $insArr['updated_timezone']	= $currTz;
                    $insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                    insertdata("cxs_notifications",$insArr);
                    $notes_category = "";
                    /***************Save Notification for User***************/
                }
                
                
                
               
            }
        }    
        echo json_encode(array("succ" => $succ,"qry"=>$qry));
        exit;
    } 
    
   
