<?php    
require_once "conn.php";
require_once "functions.php";
if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
	login_from_cookie();
}
if(!isset($_POST['is_html'])){
	header('Content-Type: application/json'); 
}

if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_today_schedule_data')
{
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	$curDate = $date->format('Y-m-d');
	
	$qry = "select * from cxs_csc_schedule_support where company_id='".$_SESSION['login_user_array']['company_id']."' and schedule_date ='".$curDate."' order by schedule_time desc";        
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0)
	{
		?>
		<div class="table-responsive pt-3">
			<table id="table_schedule_support" class="table table-bordered">
				<thead>
					
					<tr class="table-info">
						<th width="15%" class="text-center">Schedule Date Time</th>                                                
						<th width="20%" class="text-center">Phone</th>
						<th width="15%" class="text-center">Reason</th>
						<th width="35%" class="text-center">Description</th>
						<th class="text-center noExl" width="10%">Actions</th>
					</tr>
				</thead>
				<tbody>
					<?php
							$counter = 0;
						while($row = mysqli_fetch_assoc($result))
						{
							$schedule_id = $row['id'];
							$data_content_eye_icon 		= show_eye_icon_data("cxs_csc_schedule_support","id",$row['id']);
							?>
								<tr>
									<td id="text_schedule_date_<?php echo $schedule_id; ?>" ><?php echo setDate($row["schedule_time"],"m/d/Y h:i a"); ?></td>                                    
									<td id="text_schedule_phone_<?php echo $schedule_id; ?>"><?php echo $row["phone"]; ?></td>
									<td id="combo_schedule_reason_<?php echo $schedule_id; ?>"><?php echo $row["reason"]; ?></td>  
									<td id="text_schedule_description_<?php echo $schedule_id; ?>"><?php echo $row["description"]; ?></td>
									
									<td class="noExl">
										<div class="text-center">                                            
											<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
										</div>
									</td>
									
								</tr>
					<?php  }
					?>
				</tbody>
			</table>
		</div>    
		<?php
	}

	$qry = "select cxs_csc_support_history.*,cxs_csc_support.requestor_fullname, cxs_user.full_name,cxs_user.image_name,cxs_user.user_email from cxs_csc_support_history  inner join cxs_csc_support on cxs_csc_support.issue_id = cxs_csc_support_history.issue_id  INNER JOIN cxs_user ON cxs_user.user_email = cxs_csc_support_history.created_by where cxs_csc_support_history.company_id='".$_SESSION['login_user_array']['company_id']."' and date(cxs_csc_support_history.creation_date) ='".$curDate."' order by id desc";        
	$result = mysqli_query($conn,$qry);
	if(mysqli_num_rows($result)>0)
	{
	?>    
	<div class="mt-3">
		<div class="font-weight-medium text-info mb-3">Support Ticket Issue History</div>
	</div>   
	<?php
		while($row = mysqli_fetch_assoc($result))
		{
			$full_name 		= $row["full_name"];
			$user_image_name= $row["image_name"];
			$user_email 	= $row["user_email"];
			$requestor_fullname 	= $row["requestor_fullname"];
			if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
				$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
			}else{
				$user_img_url = SITEURL."images/faces/default_face.png";
			}                           
			?>
			<div class='message-body'>
				<div class="sender-details">
				<img class="img-sm rounded-circle mr-3" src="<?php echo $user_img_url; ?>" alt="">
				
					<div class="details">
							<p class="sender-email">
							<?php echo $full_name; ?> <a href="mailto:<?php echo $user_email; ?>"><?php echo " (".$user_email.")"?></a> has updated support no. <?php echo $row['issue_id']." which issue requestor is ".$requestor_fullname." as <b>".$row['update_issue']."</b> at ".setDate($row["creation_date"],"F jS Y h:i A"); ?></p>

					</div>
				</div> 
			</div>
		<?php
		}
	}    
}
else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'delete_schedule_data')
{
	$succ=0;
	$schedule_id = isset($_POST['schedule_id'])?trim($_POST['schedule_id']):'';
	$qry = "DELETE FROM `cxs_csc_schedule_support` WHERE id='".$schedule_id."'";
	mysqli_query($conn,$qry);
	$succ=1;        
	echo json_encode(array("succ" => $succ));
	exit;
}
else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'show_video_again')
{
	$succ=0;
	$val1 = isset($_POST['val1'])?trim($_POST['val1']):'';
	$qry = "UPDATE cxs_user SET do_not_show_video='".$val1."' WHERE  user_id='".$_SESSION['login_user_array']['user_id']."'";
	mysqli_query($conn,$qry);
	$succ=1;        
	echo json_encode(array("succ" => $succ));
	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'update_user_full_name'){
	
	$succ = 0;
	$msg = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$full_name 				= $_POST['text_full_name'];
	
	$user_image = "";
	$new_img = false;
	if(isset($_FILES["file_upload_photo"]["name"]) && !is_array($_FILES["file_upload_photo"]["name"])) //single file
	{
		$output_dir = "img/uploads/user_images/";
		$fileName = $_FILES["file_upload_photo"]["name"];
		$fileName_arr = explode('.',basename($_FILES["file_upload_photo"]["name"]));
		$extension	= strtolower(end($fileName_arr));
		$fileName	= $_SESSION['login_user_array']['user_id'].".".$extension;                        
		if (!file_exists($output_dir)) {
				mkdir($output_dir, 0777, true);
		}
		move_uploaded_file($_FILES["file_upload_photo"]["tmp_name"],$output_dir.$fileName);                        
		$user_image = $fileName;
		$new_img = true;
	}
	
	if($full_name!=""){
		$insArr = array();
		$insArr['full_name'] = $full_name;
		if($new_img==true){
			$insArr['image_name'] 		= $user_image;
		}
		
		$insArrComp['last_update_date']	= $curTime;
		$insArrComp['updated_timezone']	= $currTz;
		$insArrComp['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		
		updatedata("cxs_user",$insArr," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		$_SESSION['login_user_array']['full_name'] = $full_name;
		$_SESSION['full_name'] = $full_name;
		if($new_img==true){
			$_SESSION['login_user_array']['image_name'] = $fileName;
		}
		$succ = 1;
		$msg = "";
	}
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'license_request'){
	
	//parse_str($_POST['form1'],$formArr1);
	
	$application 	= $_POST['application'];
	$action 		= $_POST['action'];
	
	$succ 		= 0;
	$msg 		= "";
	$new_action = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	if($application!="" && $action!=""){
		if($action=="request"){
			$insArr = array();
			$insArr['requestor_user_id']	= $_SESSION['login_user_array']['user_id'];
			$insArr['application_requested']= $application;
			$insArr['status']				= "SENT";
			
			$insArr['company_id'] 			= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
			$insArr['creation_date']		= $curTime;
			$insArr['created_timezone']		= $currTz;
			$insArr['created_by']			= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			$insArr['last_update_date']		= $curTime;
			$insArr['updated_timezone']		= $currTz;
			$insArr['last_udpated_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			insertdata("cxs_license_requests",$insArr);
			$succ = 1;
			$msg = "Request sent";
			$new_action 	= "withdraw";
			$new_action_text= "Withdraw Request";
		}else{
			deletedata("cxs_license_requests"," WHERE requestor_user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."' AND application_requested='".$application."'");
			$succ = 1;
			$msg = "Request Withdrawn";
			$new_action 	= "request";
			$new_action_text= "Request License";
		}
	}else{
		$msg = "Something went wrong. Please try again.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"action"=>$new_action,"action_text"=>$new_action_text));
   	exit;
}
?>