<?php
require_once "conn.php";
require_once "functions.php";
if(!isset($_POST['is_html'])){
	header('Content-Type: application/json'); 
}

if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_top_user_info'){
	
	$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$full_name		= $rows["full_name"];
	$user_email		= $rows["user_email"];
	$image_name		= $rows["image_name"];
	if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
		$user_img_url = "img/uploads/user_images/".$image_name;
	}else{
		$user_img_url = "images/faces/default_face.png";
	}
	
	/**************************/
	$selectQuery 	= "SELECT * FROM `cxs_licensed_products` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$attendance_flag		= $rows["attendance_flag"];
	$issue_tracking_flag	= $rows["issue_tracking_flag"];
	$timekeeping_flag		= $rows["timekeeping_flag"];
	$projects_flag			= $rows["projects_flag"];
	$expense_flag			= $rows["expense_flag"];
	$invoicing_flag			= $rows["invoicing_flag"];
	$subscription_id		= $rows["subscription_id"];
	$plan_name				= $rows["plan_name"];
	
	$plan_price				= $rows["plan_price"];
	$interval_unit			= $rows["interval_unit"];
	$trial_ends_at			= setDate($rows["trial_ends_at"],"m/d/Y");
	?>
	<div class="row">
		<div class="col-md-12">
			<div class="accordion accordion-bordered" id="accordion" role="tablist">
				<div class="card">
					<div class="card-header" role="tab" id="heading-4">
						<h6 class="mb-0"> 
							<a data-toggle="collapse" href="#collapse-4" aria-expanded="true" aria-controls="collapse-4" class=""> User Profile Information </a> 
						</h6>
					</div>
					<div id="collapse-4" class="collapse show" role="tabpanel" aria-labelledby="heading-4" data-parent="#accordion" style="">
						<div class="card-body">
							<div class="table-responsive">
								<table class="table table-bordered">
									<tbody>
										<tr>
											<td width="25%">Name:</td>
											<td>
												<div class="d-flex">
													<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
													<label class="mt-2"><?php echo $full_name; ?></label>
												</div>
											</td>
										</tr>
										<tr>
											<td>Email:</td>
											<td>
												<span class="td-cell-space"><?php echo $user_email; ?></span>
											</td>
										</tr>
										<tr>
											<td>Password:</td>
											<td>
												<span class="td-cell-space">******* <a href="help.php" class="common-edit-link ml-2">Change Password</a></span>
											</td>
										</tr>
										<tr>
											<td>Application Subscribed:</td>
											<td>
												<?php
												
												$application_subscribed = array();
												
												if($attendance_flag=="Y"){
													$application_subscribed[] = "Attendance Tracking";
												}
												if($issue_tracking_flag=="Y"){
													$application_subscribed[] = "Issue Tracking";
												}
												if($timekeeping_flag=="Y"){
													$application_subscribed[] = "Time Tracking";
												}
												if($projects_flag=="Y"){
													$application_subscribed[] = "Project Management";
												}
												if($expense_flag=="Y"){
													$application_subscribed[] = "Expense Management";
												}
												if($invoicing_flag=="Y"){
													$application_subscribed[] = "Invoice Management";
												}
												?>
												<ul class="list-ticked" style="margin-bottom:0;">
													<?php foreach($application_subscribed as $app){ ?>
													<li><?php echo $app; ?></li>
													<?php } ?>
												</ul>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="card">
					<div class="card-header" role="tab" id="heading-5">
						<h6 class="mb-0"> 
							<a class="collapsed" data-toggle="collapse" href="#collapse-5" aria-expanded="false" aria-controls="collapse-5"> User Subscription Information </a> 
						</h6>
					</div>
					<div id="collapse-5" class="collapse" role="tabpanel" aria-labelledby="heading-5" data-parent="#accordion">
						<div class="card-body">
							<?php
							if($subscription_id>0){
								?>
								<div class="table-responsive">
									<table class="table table-bordered">
										<tbody>
											<tr>
												<td>
													Plan you have subscribed:
												</td>
												<td>
													<span class="td-cell-space"><?php echo $plan_name; ?></span>
												</td>
											</tr>
											<tr>
												<td>
													Trial Period:
												</td>
												<td>
													<span class="td-cell-space">14 days</span>
												</td>
											</tr>
											<tr>
												<td>
													Trial Expires on:
												</td>
												<td>
													<span class="td-cell-space"><?php echo $trial_ends_at; ?></span>
												</td>
											</tr>
											<tr>
												<td>
													Subscription fee:
												</td>
												<td>
													<span class="td-cell-space">USD <?php echo $plan_price; ?></span>
												</td>
											</tr>
											<tr>
												<td>
													Billing Cycle:
												</td>
												<td>
													<span class="td-cell-space"><?php echo ($interval_unit=="months")?"Monthly":"Yearly"; ?> until cancelled</span>
												</td>
											</tr>
											<tr>
												<td>
													Next Invoice Date:
												</td>
												<td>
													<span class="td-cell-space"><?php echo $trial_ends_at; ?></span>
												</td>
											</tr>
											<tr>
												<td>
													Next Payment will be charged on:
												</td>
												<td>
													<span class="td-cell-space"><?php echo $trial_ends_at; ?></span>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
								<?php
							}else{
								echo "No information available.";
							}
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'reset_password'){
	
	$reset_password = $_POST['reset_password'];
	$succ = 0;
	$msg = "";
	
	if(isset($_SESSION['temp_user_id']) && isset($_POST['reset_password']) && $_POST['reset_password']!=""){
		$insArr = array();
		$insArr['upassword'] = base64_encode($reset_password);
		$insArr['force_reset_flag'] = "N";
		updatedata("cxs_user",$insArr," WHERE user_id = '".$_SESSION['temp_user_id']."'");
		$succ = 1;
		$username = getvalue("cxs_user","user_email"," WHERE user_id='".$_SESSION['temp_user_id']."'");
		unset($_SESSION['temp_user_id']);
		
		$redirect_page = login_credentials($username,$reset_password,"","Coexsys");
	}else{
		$msg = "Something went wrong. Please try again.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"redirect_page"=>$redirect_page));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_enterprise_plans'){
	$results = file_get_contents('zoho_plans.json');
	$results = json_decode($results, true);
	
	$monthly_suit_plans 	= '';
	$monthly_bundle_plans 	= '';
	$monthly_other_plans 	= '';
	
	$yearly_suit_plans 		= '';
	$yearly_bundle_plans 	= '';
	$yearly_other_plans 	= '';
	
	$suit_plans_arr 	= array("SUIT-YEARLY","SUIT-MONTHLY");
	$bundle_plans_arr 	= array("BUND-YEARLY","BUND-MONTHLY");
	
	foreach($results["plans"]["enterprise_plans"] as $result){
		
		$store_markup_descriptions = explode("|",$result["store_markup_description"]);
		$descr = '';
		if(count($store_markup_descriptions)>0){ 
			foreach($store_markup_descriptions as $feature){ 
				$descr .= '
					<li>
						<p style="position: relative;">'.$feature.'</p>
					</li>
				';
			}
		}
		
		$interval_str 	= "Monthly";
		$billed_str 	= "Billed Monthly";
		if($result["interval_unit"]=="years"){
			$billed_str = "Billed Yearly";
			$interval_str = "Yearly";
		}
		
		$plan_str = '
				<li class="plan-item">
					<div class="plan-block ">
						<div class="plan-inner">
							<h3 id="plan-name">'.$result["plan_name"].'</h3>
							<div class="pricing-img">
								<img class="icon-basic" src="" data-src="'.$result["image_url"].'" alt="">
							</div>
							<div class="main-price">
								<span class="price-figure">
									<small>$</small>
									<span class="basic-plan price-value">
										<span class="otherCurrency" id="plan-amount">'.$result["plan_price"].'</span>
									</span>
								</span>
								<span class="price-term">
									<span>'.$billed_str.'</span>
								</span>
								<span class="goal">
									<a href="javascript:void(0);" data-href="'.$result["plan_url"].'" data-plan_type="enterprise" data-plan_code="'.$result["plan_code"].'" data-plan_name="'.$result["plan_name"].'" data-plan_price="'.$result["plan_price"].'" data-interval_unit="'.$interval_str.'" data-plan_title="Enterprise Plan" class="rounded cursor-pointer sub-url">Subscribe</a>
								</span>
							</div>
							
							<ul id="price-features" class="price-features" style="border-top: 1px solid rgb(237, 237, 237); padding-bottom: 7px;">'.$descr.'</ul>
						</div>
					</div>
				</li>
			';
		
		/*Monthly Plans*/
		if($result["interval_unit"]=="months"){
			/*Suit Plans*/
			if(in_array($result["plan_code"],$suit_plans_arr)){
				$monthly_suit_plans .= $plan_str;
			}
			/*Suit Plans*/
			
			/*Bundle Plans*/
			else if(in_array($result["plan_code"],$bundle_plans_arr)){
				$monthly_bundle_plans .= $plan_str;
			}
			/*Bundle Plans*/
			
			/*Other Plans*/
			else{
				$monthly_other_plans .= $plan_str;
			}
			/*Other Plans*/
		}
		/*Monthly Plans*/
		
		/*Yearly Plans*/
		else if($result["interval_unit"]=="years"){
			/*Suit Plans*/
			if(in_array($result["plan_code"],$suit_plans_arr)){
				$yearly_suit_plans .= $plan_str;
			}
			/*Suit Plans*/
			
			/*Bundle Plans*/
			else if(in_array($result["plan_code"],$bundle_plans_arr)){
				$yearly_bundle_plans .= $plan_str;
			}
			/*Bundle Plans*/
			
			/*Other Plans*/
			else{
				$yearly_other_plans.= $plan_str;
			}
			/*Other Plans*/
		}
		/*Yearly Plans*/
	}
	?>
	<div class="pricing-table-main">
		<div class="frequency-nav">
			<div class="pricing-table-frequency clearfix">
				<ul class="navs">
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan active" data-plan_type="enterprise_monthly" data-ot_div=".bb">Monthly</a></li>
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan" data-plan_type="enterprise_yearly" data-ot_div=".aa">Yearly</a></li>
				</ul>
			</div>
		</div>
		<div class="d-flex justify-content-between" style="width: 100%;">
			<h4 class="mt-1" style="text-align:left !important;">Start with 14 days trial (No credit card is required)</h4>
			<h4 class="mt-1">Already have an account? <a href="javascript:void(0);" class="common-edit-link" id="lblLogin">Login here</a></h4>
		</div>
		<div class="pricing-table-body aa" id="div_enterprise_monthly">
			<div class="pricing-table popular">
				<div class="row">
					<div class="col-md-4">
						<h4 class="plan-header-title">Monthly Bundle Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $monthly_suit_plans.$monthly_bundle_plans;
							?>
						</ul>
					</div>
					<div class="col-md-8">
						<h4 class="plan-header-title">Monthly Individual Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $monthly_other_plans;
							?>
						</ul>
					</div>
				</div>
				
			</div>
		</div>
		
		<div class="pricing-table-body bb" id="div_enterprise_yearly" style="display:none;">
			<div class="pricing-table popular">
				<div class="row">
					<div class="col-md-4">
						<h4 class="plan-header-title">Yearly Bundle Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $yearly_suit_plans.$yearly_bundle_plans;
							?>
						</ul>
					</div>
					<div class="col-md-8">
						<h4 class="plan-header-title">Yearly Individual Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $yearly_other_plans;
							?>
						</ul>
					</div>
				</div>
				
			</div>
		</div>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_self_employed_plans'){
	$results = file_get_contents('zoho_plans.json');
	$results = json_decode($results, true);
	
	$monthly_plans 	= '';
	$yearly_plans 	= '';
	
	foreach($results["plans"]["self_emp_plans"] as $result){
		
		$store_markup_descriptions = explode("|",$result["store_markup_description"]);
		$descr = '';
		if(count($store_markup_descriptions)>0){ 
			foreach($store_markup_descriptions as $feature){ 
				$descr .= '
					<li>
						<p style="position: relative;">'.$feature.'</p>
					</li>
				';
			}
		}
		
		$interval_str 	= "Monthly";
		$billed_str 	= "Billed Monthly";
		if($result["interval_unit"]=="years"){
			$billed_str = "Billed Yearly";
			$interval_str = "Yearly";
		}
		
		$plan_str = '
				<li class="plan-item">
					<div class="plan-block ">
						<div class="plan-inner">
							<h3 id="plan-name">'.$result["plan_name"].'</h3>
							<div class="pricing-img">
								<img class="icon-basic" src="" data-src="'.$result["image_url"].'" alt="">
							</div>
							<div class="main-price">
								<span class="price-figure">
									<small>$</small>
									<span class="basic-plan price-value">
										<span class="otherCurrency" id="plan-amount">'.$result["plan_price"].'</span>
									</span>
								</span>
								<span class="price-term">
									<span>'.$billed_str.'</span>
								</span>
								<span class="goal">
									<a href="javascript:void(0);" data-href="'.$result["plan_url"].'" data-plan_type="self_employee" data-plan_code="'.$result["plan_code"].'" data-plan_name="'.$result["plan_name"].'" data-plan_price="'.$result["plan_price"].'" data-interval_unit="'.$interval_str.'" data-plan_title="Self Employed Plan" class="rounded cursor-pointer sub-url">Subscribe</a>
								</span>
							</div>
							
							<ul id="price-features" class="price-features" style="border-top: 1px solid rgb(237, 237, 237); padding-bottom: 7px;">'.$descr.'</ul>
						</div>
					</div>
				</li>
			';
		
		/*Monthly Plans*/
		if($result["interval_unit"]=="months"){
			$monthly_plans .= $plan_str;
		}
		/*Monthly Plans*/
		
		/*Yearly Plans*/
		else if($result["interval_unit"]=="years"){
			$yearly_plans.= $plan_str;
		}
		/*Yearly Plans*/
	}
	?>
	<div class="pricing-table-main">
		<div class="frequency-nav">
			<div class="pricing-table-frequency clearfix">
				<ul class="navs">
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan active" data-plan_type="self_employed_monthly" data-ot_div=".dd">Monthly</a></li>
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan" data-plan_type="self_employed_yearly" data-ot_div=".cc">Yearly</a></li>
				</ul>
			</div>
		</div>
		
		<div class="d-flex justify-content-between" style="width: 100%;">
			<h4 class="d-xs-none" style="width:20.5%;">&nbsp;</h4>
			<h4 class="mt-1" style="text-align:left !important;">Start with 14 days trial (No credit card is required)</h4>
			<h4 class="mt-1">Already have an account? <a href="javascript:void(0);" class="common-edit-link" id="lblLogin">Login here</a></h4>
		</div>
		
		<div class="pricing-table-body self-emp cc" id="div_self_employed_monthly">
			<div class="pricing-table popular">
				<ul class="clearfix elegant">
					<?php
					echo $monthly_plans;
					?>
				</ul>
			</div>
		</div>
		
		<div class="pricing-table-body self-emp dd" id="div_self_employed_yearly" style="display:none;">
			<div class="pricing-table popular">
				<ul class="clearfix elegant">
					<?php
					echo $yearly_plans;
					?>
				</ul>
			</div>
		</div>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_company_details'){
	
	//parse_str($_POST['form1'],$formArr1);
	
	$text_company_name 				= $_POST['text_company_name'];
	$text_company_address_line1 	= $_POST['text_company_address_line1'];
	$text_company_address_line2 	= $_POST['text_company_address_line2'];
	$text_company_address_line3 	= $_POST['text_company_address_line3'];
	$text_company_state 			= $_POST['text_company_state'];
	$text_company_county 			= $_POST['text_company_county'];
	$text_company_zip 				= $_POST['text_company_zip'];
	$succ = 0;
	$msg = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	if($text_company_name!=""){
		if(getTotalRecord("cxs_company","company_name"," WHERE company_name='".$text_company_name."'")>0){
			$msg = "Company '".$text_company_name."' is already exist.";
		}else{
			
			$company_logo = "";
			$new_img = false;
			if(isset($_FILES["company_logo"]["name"]) && !is_array($_FILES["company_logo"]["name"])) //single file
			{
				$output_dir = "img/uploads/company_logo/";
				$fileName = $_FILES["company_logo"]["name"];
				$a = explode('.',basename($_FILES["company_logo"]["name"]));
				$extension	= strtolower(end($a));
				$fileName	= rand(0,99999)."_".time()."cmp.".$extension;
				if (!file_exists($output_dir)) {
					mkdir($output_dir, 0777, true);
				}
				move_uploaded_file($_FILES["company_logo"]["tmp_name"],$output_dir.$fileName);
				$company_logo = $fileName;
				$new_img = true;
			}
			
			$unique_company_id = date("YmdHis");
			$unique_company_id .= $_SESSION['login_user_array']['user_id'];
			
			$insArr = array();
			$insArr['company_name'] = $text_company_name;
			$insArr['company_id'] = $unique_company_id;
			
			updatedata("cxs_user",$insArr," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
			
			
			$insArrComp = array();
			$insArrComp['id']			= $unique_company_id;
			$insArrComp['company_name']	= $text_company_name;
			$insArrComp['company_logo']	= $company_logo;
			$insArrComp['address_line1']= $text_company_address_line1;
			$insArrComp['address_line2']= $text_company_address_line2;
			$insArrComp['address_line3']= $text_company_address_line3;
			$insArrComp['state']		= $text_company_state;
			$insArrComp['county']		= $text_company_county;
			$insArrComp['zip']			= $text_company_zip;
			
			$insArrComp['creation_date']	= $curTime;
			$insArrComp['created_timezone']	= $currTz;
			$insArrComp['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			$insArrComp['last_update_date']	= $curTime;
			$insArrComp['updated_timezone']	= $currTz;
			$insArrComp['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			insertdata("cxs_company",$insArrComp);
			$succ = 1;
			unset($_SESSION['is_company_update_required']);
		}
	}else{
		$msg = "Something went wrong. Please try again.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_user_domain'){
	$user_email = $_POST['user_email'];
	$domain_arr = explode("@",$user_email);
	$domain = $domain_arr[1];
	
	$succ = 1;	
	$msg = $domain;
	if(getTotalRecord("cxs_user","user_id"," WHERE user_email LIKE '%"."@".$domain."%'")>0){
		$succ = 0;
	}
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'signup_process'){
	
	$succ = 1;
	$msg = "";
	$redirect_url = "";
	
	parse_str($_POST['form1'],$formArr1);  
	
	$plan_type 	= $formArr1['h_plan_type'];
	$plan_code	= $formArr1['h_plan_code'];
	$company_name 	= $formArr1['text_company_name'];
	$user_email 	= strtolower($formArr1['text_email']);
	$domain_arr 	= explode("@",$user_email);
	$display_name 	= ucwords($domain_arr[0]);
	$domain 		= $domain_arr[1];
	
	if($plan_type=="enterprise"){
		if(getTotalRecord("cxs_user","user_id"," WHERE user_email LIKE '%"."@".$domain."%'")>0){
			$succ 	= 0;
			$msg 	= $domain;
		}
	}
	
	if($succ==1){
		require_once "connect_zoho_api.php";
		
		/*************Create Subscription*************/
		$service_url = $GLOBALS['service_url'] . '/api/v1/subscriptions';
		$header = array(
			'Authorization: Zoho-oauthtoken ' . $_SESSION['access_token'],
			'X-com-zoho-subscriptions-organizationid: '. $GLOBALS['org_id'],
			'Content-Type: application/json'
		);
		
		$data = array(
					"customer" 		=> array(
												"display_name"=>$company_name,
												"company_name"=>$company_name,
												"email"=>$user_email
											),
					"plan" 			=> array("plan_code" => $plan_code),
					"auto_collect" 	=> true
				);
		
		$data = json_encode($data);
		
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $service_url);
		curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$result = curl_exec($ch);
		curl_close($ch);
		
		$result = json_decode($result);
		
		$redirect_url = "signup-confimation.php?subid=".$result->subscription->subscription_id;
		
		/*echo $result->subscription->subscription_id;
		echo "<br>";
		echo $redirect_url;
		echo "<br>";
		echo "<pre>";
		print_r($result);		
		die;*/
		/**************************/
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"redirect_url"=>$redirect_url));
   	exit;
}
else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_modal_quick_start_video')
{
    $user_plan = $_SESSION['login_user_array']['user_plan'];
    $video_src = "video/movie1.mp4";
    if($user_plan=="SELFEMPLOYED")
    {
        $video_src = "video/movie2.mp4";
    }
    ?>
    <div class="modal-body pt-2 pb-2" >
        <div>

            <video id="video_pop" width="100%"  height="100%" controls  muted autoplay>
                <source src="<?php echo $video_src; ?>" type="video/mp4">                        
                Your browser does not support the video tag.
            </video>
        </div>
    </div>
    <div class="modal-footer" style="justify-content: left;">
            <div class="form-check " >
                <label class="form-check-label" >
                    <input type="checkbox" class="form-check-input" id="check_not_show" name="check_not_show" value="1">
                    Do not display this again
                  <i class="input-helper" ></i>
                </label>                                                            
            </div>
    </div>
<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'set_shortcut_page'){
	
	$succ = 0;
	
	$operation 		= $_POST['op'];
	$page_name		= $_POST['pg_name'];
	$page_title		= (isset($_POST['pg_title']))?$_POST['pg_title']:"";
	if($operation=="create"){
		if(getTotalRecord("cxs_shortcut_pages","id"," WHERE page_name='".$page_name."'")>0){
			
		}else{
			//Create Shortcut
			$insArr = array();
			$insArr['user_id']		= $_SESSION['login_user_array']['user_id'];
			$insArr['page_name']	= $page_name;
			$insArr['page_title']	= $page_title;
			
			$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			$insArr['last_update_date']	= $curTime;
			$insArr['updated_timezone']	= $currTz;
			$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			insertdata("cxs_shortcut_pages",$insArr);
			$succ = 1;
		}
	}else if($operation=="remove"){
		if(getTotalRecord("cxs_shortcut_pages","id"," WHERE page_name='".$page_name."'")>0){
			//Remove Shortcut
			deletedata("cxs_shortcut_pages"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND page_name='".$page_name."'");
			$succ = 1;
		}
	}
	echo json_encode(array("succ" => $succ));
   	exit;
}
?>
