<?php
require_once "conn.php";
require_once "functions.php";

if(!isset($_POST['is_html'])){
	header('Content-Type: application/json'); 
}

if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_top_user_info'){
	
	$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$full_name		= $rows["full_name"];
	$user_email		= $rows["user_email"];
	$image_name		= $rows["image_name"];
	if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
		$user_img_url = SITEURL."img/uploads/user_images/".$image_name;
	}else{
		$user_img_url = SITEURL."images/faces/default_face.png";
	}
	
	/**************************/
	$selectQuery 	= "SELECT * FROM `cxs_licensed_products` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$attendance_flag		= $rows["attendance_flag"];
	$issue_tracking_flag	= $rows["issue_tracking_flag"];
	$timekeeping_flag		= $rows["timekeeping_flag"];
	$projects_flag			= $rows["projects_flag"];
	$expense_flag			= $rows["expense_flag"];
	$invoicing_flag			= $rows["invoicing_flag"];
	$subscription_id		= $rows["subscription_id"];
	$plan_name				= $rows["plan_name"];
	
	$plan_price				= $rows["plan_price"];
	$interval_unit			= $rows["interval_unit"];
	$trial_ends_at			= setDate($rows["trial_ends_at"],"m/d/Y");
	?>
	<div class="row">
		<div class="col-md-12">
			<div class="accordion accordion-bordered" id="accordion" role="tablist">
				<div class="card">
					<div class="card-header" role="tab" id="heading-4">
						<h6 class="mb-0"> 
							<a data-toggle="collapse" href="#collapse-4" aria-expanded="true" aria-controls="collapse-4" class="text-primary font-weight-bold"> User Profile Information </a> 
						</h6>
					</div>
					<div id="collapse-4" class="collapse show" role="tabpanel" aria-labelledby="heading-4" data-parent="#accordion">
						<div class="card-body">
							<div class="table-responsive">
								<table class="table table-bordered">
									<tbody>
										<tr>
											<td width="25%">Name:</td>
											<td>
												<div class="d-flex">
													<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
													<label class="mt-2"><?php echo $full_name; ?></label>
												</div>
											</td>
										</tr>
										<tr>
											<td>Email:</td>
											<td>
												<span class="td-cell-space"><?php echo $user_email; ?></span>
											</td>
										</tr>
										<tr>
											<td>Password:</td>
											<td>
												<span class="td-cell-space">******* <a href="help.php" class="common-edit-link ml-2">Change Password</a></span>
											</td>
										</tr>
										<tr>
											<td>Application Subscribed:</td>
											<td>
												<?php
												
												$application_subscribed = array();
												
												if($attendance_flag=="Y"){
													$application_subscribed[] = "Attendance Tracking";
												}
												if($issue_tracking_flag=="Y"){
													$application_subscribed[] = "Issue Tracking";
												}
												if($timekeeping_flag=="Y"){
													$application_subscribed[] = "Time Tracking";
												}
												if($projects_flag=="Y"){
													$application_subscribed[] = "Project Management";
												}
												if($expense_flag=="Y"){
													$application_subscribed[] = "Expense Management";
												}
												if($invoicing_flag=="Y"){
													$application_subscribed[] = "Invoice Management";
												}
												?>
												<ul class="list-ticked" style="margin-bottom:0;">
													<?php foreach($application_subscribed as $app){ ?>
													<li><?php echo $app; ?></li>
													<?php } ?>
												</ul>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="card">
					<div class="card-header" role="tab" id="heading-5">
						<h6 class="mb-0"> 
							<a class="text-primary font-weight-bold collapsed" data-toggle="collapse" href="#collapse-5" aria-expanded="false" aria-controls="collapse-5"> User Subscription(s) Information </a> 
						</h6>
					</div>
					<div id="collapse-5" class="collapse" role="tabpanel" aria-labelledby="heading-5" data-parent="#accordion">
						<div class="card-body">
							<div class="table-responsive">
								<table class="table table-bordered">
									<tbody>
										<tr>
											<td>
												Plan you have subscribed:
											</td>
											<td>
												<?php
												$qry = "
													SELECT 
														plan_name, plan_code
													FROM 
														cxs_licensed_products_subscription
													WHERE 
														user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id ='".$_SESSION['login_user_array']['company_id']."'
												";
												$result = mysqli_query($conn,$qry);
												if(mysqli_num_rows($result)>0){
													?>
													<ul class="list-ticked" style="margin-bottom: 0px;">
													<?php
													while($row = mysqli_fetch_assoc($result)){
														echo "<li>".$row["plan_name"]." (".$row["plan_code"].")</li>";
													}
													?>
													</ul>
													<?php
												}
												?>
											</td>
										</tr>
										<?php /*?><tr>
											<td>
												Trial Period:
											</td>
											<td>
												<span class="td-cell-space">14 days</span>
											</td>
										</tr>
										<tr>
											<td>
												Trial Expires on:
											</td>
											<td>
												<span class="td-cell-space"><?php echo $trial_ends_at; ?></span>
											</td>
										</tr>
										<tr>
											<td>
												Subscription fee:
											</td>
											<td>
												<span class="td-cell-space">USD <?php echo $plan_price; ?></span>
											</td>
										</tr>
										<tr>
											<td>
												Billing Cycle:
											</td>
											<td>
												<span class="td-cell-space"><?php echo ($interval_unit=="months")?"Monthly":"Yearly"; ?> until cancelled</span>
											</td>
										</tr>
										<tr>
											<td>
												Next Invoice Date:
											</td>
											<td>
												<span class="td-cell-space"><?php echo $trial_ends_at; ?></span>
											</td>
										</tr>
										<tr>
											<td>
												Next Payment will be charged on:
											</td>
											<td>
												<span class="td-cell-space"><?php echo $trial_ends_at; ?></span>
											</td>
										</tr><?php */?>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<?php if($_SESSION['login_user_array']['user_role']=="Admin"){ ?>
				<div class="card">
					<div class="card-header" role="tab" id="heading-6">
						<h6 class="mb-0"> 
							<a class="text-primary font-weight-bold collapsed" data-toggle="collapse" href="#collapse-6" aria-expanded="false" aria-controls="collapse-6"> Close Company Account </a> 
						</h6>
					</div>
					<div id="collapse-6" class="collapse" role="tabpanel" aria-labelledby="heading-6" data-parent="#accordion">
						<div class="card-body">
							<?php
							$is_close_request = getvalue("cxs_company","is_close_request"," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
							
							if($is_close_request=="Y"){
							?>
							<a href="javascript:void(0);" class="btn btn-block btn-sm btn-primary disabled">Request Sent <i class="fa fa-check"></i></a>
							<?php
							}else{
							?>
							<a href="javascript:void(0);" class="btn btn-block btn-sm btn-primary" id="btn_close_company_account">Close Company Account</a>
							<?php
							}
							?>
							
						</div>
					</div>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
	
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'reset_password'){
	
	$reset_password = $_POST['reset_password'];
	$succ = 0;
	$msg = "";
	
	if(isset($_SESSION['temp_user_id']) && isset($_POST['reset_password']) && $_POST['reset_password']!=""){
		
		$conn = $GLOBALS["conn"]; 
		
		$qry = "
			SELECT 
				user_email, upassword, user_timezone
			FROM 
				`cxs_user` 
			WHERE 
				user_id='".$_SESSION['temp_user_id']."'
		";
		$result = mysqli_query($conn,$qry);
		$row 	= mysqli_fetch_assoc($result); 
		
		$currTz = (isset($row['user_timezone']) && $row['user_timezone']!="")?$row['user_timezone']:"";                
		$date = new DateTime("now", new DateTimeZone($currTz) );
		$curTime = $date->format('Y-m-d H:i:s');
		
		/********Update Reset Flag**********/
		$insArr = array();
		
		$insArr['upassword'] 		= base64_encode($reset_password);
		$insArr['force_reset_flag'] = "N";
		
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= $row['user_email'];
		
		updatedata("cxs_user",$insArr," WHERE user_id = '".$_SESSION['temp_user_id']."'");
		$succ = 1;
		unset($_SESSION['temp_user_id']);
		/********Update Reset Flag**********/
		
		
		$redirect_page = login_credentials($row['user_email'],$reset_password,$curTime,"Coexsys");
		
		/*Check Caution Conditions*/
		//check_caution_conditions();
		/*Check Caution Conditions*/
		//echo $redirect_page;die;
		/*if($redirect_page==""){
			$redirect_page = "admin.php";
		}*/
		
	}else{
		$msg = "Something went wrong. Please try again.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"redirect_page"=>$redirect_page));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_enterprise_plans'){
	$results = file_get_contents('zoho_plans.json');
	$results = json_decode($results, true);
	
	$monthly_suit_plans 	= '';
	$monthly_bundle_plans 	= '';
	$monthly_other_plans 	= '';
	
	$yearly_suit_plans 		= '';
	$yearly_bundle_plans 	= '';
	$yearly_other_plans 	= '';
	
	$suit_plans_arr 	= array("SUIT-YEARLY","SUIT-MONTHLY");
	$bundle_plans_arr 	= array("BUND-YEARLY","BUND-MONTHLY");
	
	foreach($results["plans"]["enterprise_plans"] as $result){
		
		$store_markup_descriptions = explode("|",$result["store_markup_description"]);
		$descr = '';
		if(count($store_markup_descriptions)>0){ 
			foreach($store_markup_descriptions as $feature){ 
				$descr .= '
					<li>
						<p style="position: relative;">'.$feature.'</p>
					</li>
				';
			}
		}
		
		$interval_str 	= "Monthly";
		$billed_str 	= "Billed Monthly";
		if($result["interval_unit"]=="years"){
			$billed_str = "Billed Yearly";
			$interval_str = "Yearly";
		}
		
		$plan_str = '
				<li class="plan-item">
					<div class="plan-block ">
						<div class="plan-inner">
							<h3 id="plan-name">'.$result["plan_name"].'</h3>
							<div class="pricing-img">
								<img class="icon-basic" src="" data-src="'.$result["image_url"].'" alt="">
							</div>
							<div class="main-price">
								<span class="price-figure">
									<small>$</small>
									<span class="basic-plan price-value">
										<span class="otherCurrency" id="plan-amount">'.$result["plan_price"].'</span>
									</span>
								</span>
								<span class="price-term">
									<span>'.$billed_str.'</span>
								</span>
								<span class="goal">
									<a href="javascript:void(0);" data-href="'.$result["plan_url"].'" data-plan_type="enterprise" data-plan_code="'.$result["plan_code"].'" data-plan_name="'.$result["plan_name"].'" data-plan_price="'.$result["plan_price"].'" data-interval_unit="'.$interval_str.'" data-plan_title="Enterprise Plan" class="btn btn-ylw rounded cursor-pointer sub-url">Subscribe</a>
								</span>
							</div>
							
							<ul id="price-features" class="price-features" style="border-top: 1px solid rgb(237, 237, 237); padding-bottom: 7px;">'.$descr.'</ul>
						</div>
					</div>
				</li>
			';
		
		/*Monthly Plans*/
		if($result["interval_unit"]=="months"){
			/*Suit Plans*/
			if(in_array($result["plan_code"],$suit_plans_arr)){
				$monthly_suit_plans .= $plan_str;
			}
			/*Suit Plans*/
			
			/*Bundle Plans*/
			else if(in_array($result["plan_code"],$bundle_plans_arr)){
				$monthly_bundle_plans .= $plan_str;
			}
			/*Bundle Plans*/
			
			/*Other Plans*/
			else{
				$monthly_other_plans .= $plan_str;
			}
			/*Other Plans*/
		}
		/*Monthly Plans*/
		
		/*Yearly Plans*/
		else if($result["interval_unit"]=="years"){
			/*Suit Plans*/
			if(in_array($result["plan_code"],$suit_plans_arr)){
				$yearly_suit_plans .= $plan_str;
			}
			/*Suit Plans*/
			
			/*Bundle Plans*/
			else if(in_array($result["plan_code"],$bundle_plans_arr)){
				$yearly_bundle_plans .= $plan_str;
			}
			/*Bundle Plans*/
			
			/*Other Plans*/
			else{
				$yearly_other_plans.= $plan_str;
			}
			/*Other Plans*/
		}
		/*Yearly Plans*/
	}
	?>
	<div class="pricing-table-main">
		<div class="frequency-nav">
			<div class="pricing-table-frequency clearfix">
				<ul class="navs">
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan active" data-plan_type="enterprise_yearly" data-ot_div=".aa">Yearly Plans</a></li>
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan" data-plan_type="enterprise_monthly" data-ot_div=".bb">Monthly Plans</a></li>
					
				</ul>
			</div>
		</div>
		<div class="d-flex justify-content-between" style="width: 100%;">
			<h4 class="mt-1" style="text-align:left !important;">Start with 14 days trial (No credit card is required)</h4>
			<h4 class="mt-1">Already have an account? <a href="javascript:void(0);" class="common-edit-link" id="lblLogin">Login here</a></h4>
		</div>
		<div class="pricing-table-body bb" id="div_enterprise_yearly" style="display:none;">
			<div class="pricing-table popular">
				<div class="row">
					<div class="col-md-4">
						<h4 class="plan-header-title">Yearly Bundle Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $yearly_suit_plans.$yearly_bundle_plans;
							?>
						</ul>
					</div>
					<div class="col-md-8">
						<h4 class="plan-header-title">Yearly Individual Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $yearly_other_plans;
							?>
						</ul>
					</div>
				</div>
				
			</div>
		</div>
		
		<div class="pricing-table-body aa" id="div_enterprise_monthly">
			<div class="pricing-table popular">
				<div class="row">
					<div class="col-md-4">
						<h4 class="plan-header-title">Monthly Bundle Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $monthly_suit_plans.$monthly_bundle_plans;
							?>
						</ul>
					</div>
					<div class="col-md-8">
						<h4 class="plan-header-title">Monthly Individual Plans</h4>
						<ul class="clearfix elegant">
							<?php
							echo $monthly_other_plans;
							?>
						</ul>
					</div>
				</div>
				
			</div>
		</div>
		
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_self_employed_plans'){
	$results = file_get_contents('zoho_plans.json');
	$results = json_decode($results, true);
	
	$monthly_plans 	= '';
	$yearly_plans 	= '';
	
	foreach($results["plans"]["self_emp_plans"] as $result){
		
		$store_markup_descriptions = explode("|",$result["store_markup_description"]);
		$descr = '';
		if(count($store_markup_descriptions)>0){ 
			foreach($store_markup_descriptions as $feature){ 
				$descr .= '
					<li>
						<p style="position: relative;">'.$feature.'</p>
					</li>
				';
			}
		}
		
		$interval_str 	= "Monthly";
		$billed_str 	= "Billed Monthly";
		if($result["interval_unit"]=="years"){
			$billed_str = "Billed Yearly";
			$interval_str = "Yearly";
		}
		
		$plan_str = '
				<li class="plan-item">
					<div class="plan-block ">
						<div class="plan-inner">
							<h3 id="plan-name">'.$result["plan_name"].'</h3>
							<div class="pricing-img">
								<img class="icon-basic" src="" data-src="'.$result["image_url"].'" alt="">
							</div>
							<div class="main-price">
								<span class="price-figure">
									<small>$</small>
									<span class="basic-plan price-value">
										<span class="otherCurrency" id="plan-amount">'.$result["plan_price"].'</span>
									</span>
								</span>
								<span class="price-term">
									<span>'.$billed_str.'</span>
								</span>
								<span class="goal">
									<a href="javascript:void(0);" data-href="'.$result["plan_url"].'" data-plan_type="self_employee" data-plan_code="'.$result["plan_code"].'" data-plan_name="'.$result["plan_name"].'" data-plan_price="'.$result["plan_price"].'" data-interval_unit="'.$interval_str.'" data-plan_title="Self Employed Plan" class="rounded cursor-pointer sub-url">Subscribe</a>
								</span>
							</div>
							
							<ul id="price-features" class="price-features" style="border-top: 1px solid rgb(237, 237, 237); padding-bottom: 7px;">'.$descr.'</ul>
						</div>
					</div>
				</li>
			';
		
		/*Monthly Plans*/
		if($result["interval_unit"]=="months"){
			$monthly_plans .= $plan_str;
		}
		/*Monthly Plans*/
		
		/*Yearly Plans*/
		else if($result["interval_unit"]=="years"){
			$yearly_plans.= $plan_str;
		}
		/*Yearly Plans*/
	}
	?>
	<div class="pricing-table-main">
		<div class="frequency-nav">
			<div class="pricing-table-frequency clearfix">
				<ul class="navs">
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan active" data-plan_type="self_employed_yearly" data-ot_div=".cc">Yearly Plans</a></li>
					<li class="nav-item"><a href="javascript:void(0);" class="nav-link btn_plan" data-plan_type="self_employed_monthly" data-ot_div=".dd">Monthly Plans</a></li>
					
				</ul>
			</div>
		</div>
		
		<div class="d-flex justify-content-between" style="width: 100%;">
			<h4 class="d-xs-none" style="width:20.5%;">&nbsp;</h4>
			<h4 class="mt-1" style="text-align:left !important;">Start with 14 days trial (No credit card is required)</h4>
			<h4 class="mt-1">Already have an account? <a href="javascript:void(0);" class="common-edit-link" id="lblLogin">Login here</a></h4>
		</div>
		
		<div class="pricing-table-body self-emp dd" id="div_self_employed_yearly" style="display:none;">
			<div class="pricing-table popular">
				<ul class="clearfix elegant">
					<?php
					echo $yearly_plans;
					?>
				</ul>
			</div>
		</div>
		
		<div class="pricing-table-body self-emp cc" id="div_self_employed_monthly">
			<div class="pricing-table popular">
				<ul class="clearfix elegant">
					<?php
					echo $monthly_plans;
					?>
				</ul>
			</div>
		</div>
		
		
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_company_details'){
	
	//parse_str($_POST['form1'],$formArr1);
	
	$text_company_name 				= $_POST['text_company_name'];
	$text_company_address_line1 	= $_POST['text_company_address_line1'];
	$text_company_address_line2 	= $_POST['text_company_address_line2'];
	$text_company_address_line3 	= $_POST['text_company_address_line3'];
	$text_company_state 			= $_POST['text_company_state'];
	$text_company_county 			= $_POST['text_company_county'];
	$text_company_zip 				= $_POST['text_company_zip'];
	$succ = 0;
	$msg = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	if($text_company_name!=""){
		if(getTotalRecord("cxs_company","company_name"," WHERE company_name='".$text_company_name."'")>0){
			$msg = "Company '".$text_company_name."' is already exist.";
		}else{
			
			$company_logo = "";
			$new_img = false;
			if(isset($_FILES["company_logo"]["name"]) && !is_array($_FILES["company_logo"]["name"])) //single file
			{
				$output_dir = "img/uploads/company_logo/";
				$fileName = $_FILES["company_logo"]["name"];
				$a = explode('.',basename($_FILES["company_logo"]["name"]));
				$extension	= strtolower(end($a));
				$fileName	= rand(0,99999)."_".time()."cmp.".$extension;
				if (!file_exists($output_dir)) {
					mkdir($output_dir, 0777, true);
				}
				move_uploaded_file($_FILES["company_logo"]["tmp_name"],$output_dir.$fileName);
				$company_logo = $fileName;
				$new_img = true;
			}
			
			$unique_company_id = date("YmdHis");
			$unique_company_id .= $_SESSION['login_user_array']['user_id'];
			
			$insArr = array();
			$insArr['company_name'] = $text_company_name;
			$insArr['company_id'] = $unique_company_id;
			
			updatedata("cxs_user",$insArr," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
			
			
			$insArrComp = array();
			$insArrComp['id']			= $unique_company_id;
			$insArrComp['company_name']	= $text_company_name;
			$insArrComp['company_logo']	= $company_logo;
			$insArrComp['address_line1']= $text_company_address_line1;
			$insArrComp['address_line2']= $text_company_address_line2;
			$insArrComp['address_line3']= $text_company_address_line3;
			$insArrComp['state']		= $text_company_state;
			$insArrComp['county']		= $text_company_county;
			$insArrComp['zip']			= $text_company_zip;
			
			$insArrComp['creation_date']	= $curTime;
			$insArrComp['created_timezone']	= $currTz;
			$insArrComp['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			$insArrComp['last_update_date']	= $curTime;
			$insArrComp['updated_timezone']	= $currTz;
			$insArrComp['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			insertdata("cxs_company",$insArrComp);
			$succ = 1;
			unset($_SESSION['is_company_update_required']);
		}
	}else{
		$msg = "Something went wrong. Please try again.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_user_domain'){
	$user_email = $_POST['user_email'];
	$domain_arr = explode("@",$user_email);
	$domain = $domain_arr[1];
	
	$succ = 1;	
	$msg = $domain;
	if(getTotalRecord("cxs_user","user_id"," WHERE user_email LIKE '%"."@".$domain."%'")>0){
		$succ = 0;
	}
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'signup_process'){
	
	$succ = 1;
	$msg = "";
	$redirect_url = "";
	
	parse_str($_POST['form1'],$formArr1);  
	
	$plan_type 	= $formArr1['h_plan_type'];
	$plan_code	= $formArr1['h_plan_code'];
	$company_name 	= $formArr1['text_company_name'];
	$user_email 	= strtolower($formArr1['text_email']);
	$domain_arr 	= explode("@",$user_email);
	$display_name 	= ucwords($domain_arr[0]);
	$domain 		= $domain_arr[1];
	
	if($plan_type=="enterprise"){
		if(getTotalRecord("cxs_user","user_id"," WHERE user_email LIKE '%"."@".$domain."%'")>0){
			$succ 	= 0;
			$msg 	= $domain;
		}
	}
	
	if($succ==1){
		require_once "connect_zoho_api.php";
		
		/*************Create Subscription*************/
		$header = array(
			'Authorization: Zoho-oauthtoken ' . $_SESSION['access_token'],
			'X-com-zoho-subscriptions-organizationid: '. $GLOBALS['org_id'],
			'Content-Type: application/json'
		);
		
		$data = array(
					"customer" 		=> array(
												"display_name"=>$company_name,
												"company_name"=>$company_name,
												"email"=>$user_email
											),
					"plan" 			=> array("plan_code" => $plan_code),
					"auto_collect" 	=> true
				);
		
		$data = json_encode($data);
		
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $GLOBALS['service_url'] . '/api/v1/subscriptions');
		curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$result = curl_exec($ch);
		curl_close($ch);
		
		$result = json_decode($result);
		if($result->code==0){
			$succ = 1;
			$redirect_url = SITEURL."signup-confirmation/".$result->subscription->subscription_id."/";
		}else{
			$succ = 2;
			$msg = "The company '".$company_name."' already exists. Please specify a different name.";
		}
		
		
		/*echo $result->subscription->subscription_id;
		echo "<br>";
		echo $redirect_url;
		echo "<br>";
		echo "<pre>";
		print_r($result);		
		die;*/
		/**************************/
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"redirect_url"=>$redirect_url));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_modal_quick_start_video'){
    $user_plan = $_SESSION['login_user_array']['user_plan'];
    $video_src = SITEURL."video/enterprise_video.mp4";
    if($user_plan=="SELFEMPLOYED")
    {
        $video_src = SITEURL."video/self_employed_video.mp4";
    }
    $is_seen =  isset($_POST['is_seen'])?$_POST['is_seen']:'';
    if($is_seen=="Y")
    {
        $_SESSION['quick_video'] = "show";
    }
    
    ?>
    <div class="modal-body " >
        <div>
            <video id="video_pop"  class="video_popup" controls  muted autoplay>
                <source src="<?php echo $video_src; ?>" type="video/mp4">                        
                Your browser does not support the video tag.
            </video>
        </div>
        <div class="form-check " >
            <label class="form-check-label" >
                <input type="checkbox" class="form-check-input" id="check_not_show" name="check_not_show" value="1">
                Do not display this again
              <i class="input-helper" ></i>
            </label>                                                            
        </div>
    </div>
    
<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'set_shortcut_page'){
	
	$succ = 0;
	
	$operation 		= $_POST['op'];
	$page_name		= urldecode($_POST['href']);
	$page_title		= (isset($_POST['pg_title']))?$_POST['pg_title']:"";
	if($operation=="create"){
		if(getTotalRecord("cxs_shortcut_pages","id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND page_name='".$page_name."'")>0){
			
		}else{
			//Create Shortcut
			$insArr = array();
			$insArr['user_id']		= $_SESSION['login_user_array']['user_id'];
			$insArr['page_name']	= $page_name;
			$insArr['page_title']	= $page_title;
			
			$insArr['company_id'] 		= isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0;
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			$insArr['last_update_date']	= $curTime;
			$insArr['updated_timezone']	= $currTz;
			$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			insertdata("cxs_shortcut_pages",$insArr);
			$succ = 1;
			checkShortcutPages();
		}
	}else if($operation=="remove"){
		if(getTotalRecord("cxs_shortcut_pages","id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND page_name='".$page_name."'")>0){
			//Remove Shortcut
			deletedata("cxs_shortcut_pages"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND page_name='".$page_name."'");
			$succ = 1;
			checkShortcutPages();
		}
	}
	echo json_encode(array("succ" => $succ));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_excel'){
	
	unset($_SESSION['access_token']);
	$file_name = urldecode($_POST['file_name']);
	$excel_data = urldecode($_POST['excel_data']);
	$temp_file_name = $_SESSION['login_user_array']['user_id']."_".time()."_temp.xls";
	//$temp_file_name_xlsx = $_SESSION['login_user_array']['user_id']."_temp.xlsx";
	
	file_put_contents($temp_file_name, $excel_data);
	
	$_SESSION['drive_temp_file'] = $temp_file_name;
	$_SESSION['drive_temp_file_name'] = $file_name;
	echo "1";
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'update_payment_details'){
	
	$succ 	= 0;
	$msg 	= "";
	$redirect_url = "";
	
	$selectQuery 	= "SELECT * FROM `cxs_licensed_products` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$attendance_flag		= $rows["attendance_flag"];
	$issue_tracking_flag	= $rows["issue_tracking_flag"];
	$timekeeping_flag		= $rows["timekeeping_flag"];
	$projects_flag			= $rows["projects_flag"];
	$expense_flag			= $rows["expense_flag"];
	$invoicing_flag			= $rows["invoicing_flag"];
	$customer_id			= $rows["customer_id"];
	$subscription_id		= $rows["subscription_id"];
	$plan_code				= $rows["plan_code"];
	$plan_name				= $rows["plan_name"];
	
	if($subscription_id!=""){
		require_once "connect_zoho_api.php";
		
		/*************
		
			Update a subscription
			Create a hosted page for a updating a subscription.
			https://www.zoho.com/subscriptions/api/v1/#Hosted-Pages_Update_a_subscription
			
		*************/
		$header = array(
			'Authorization: Zoho-oauthtoken ' . $_SESSION['access_token'],
			'X-com-zoho-subscriptions-organizationid: '. $GLOBALS['org_id'],
			'Content-Type: application/json'
		);
		
		$redirect_url = SITEURL."dashboard/";
		
		if(isset($_SESSION['company_account_status'])){
			$redirect_url = SITEURL."?bnl=true";
		}
		
		$data = array(
					"subscription_id" 	=> $subscription_id,
					"redirect_url"		=> $redirect_url
				);
		
		$data = json_encode($data);
		
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $GLOBALS['service_url'] . '/api/v1/hostedpages/updatecard');
		curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$result = curl_exec($ch);
		curl_close($ch);
		
		$result = json_decode($result);
		
		/*echo $result->hostedpage->hostedpage_id;
		echo "<br>";
		echo $result->hostedpage->status;
		echo "<br>";
		echo $result->hostedpage->url;
		echo "<br>";
		echo "<pre>";
		print_r($result);		
		die;*/
		/**************************/
		
		if($result->code=="0"){
			$succ = 1;
			$redirect_url = $result->hostedpage->url;
		}
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg,"redirect_url"=>$redirect_url));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'buy_new_licenses'){
	
	$succ = 0;
	$msg = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$plan_code 	= $_POST['plan_code'];
	$qty		= $_POST['qty'];
	
	$selectQuery 	= "SELECT * FROM `cxs_licensed_products` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$customer_id			= $rows["customer_id"];
	$card_id				= $rows["card_id"];
	$old_plan_code			= $rows["plan_code"];
	$old_subscription_id	= $rows["subscription_id"];
	$old_zoho_subscription_status	= $rows["zoho_subscription_status"];
	
	if($card_id!="" && $plan_code!="" && $qty>0){
		
		$selectQuery 	= "SELECT * FROM `cxs_manage_licenses` WHERE plan_code='".$plan_code."' AND user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		
		$existing_total_licenses 	= 0;
		if($StdNumRows>0){
			$rows=mysqli_fetch_assoc($RunUserQuery);
			
			$subscription_id			= $rows["subscription_id"];
			$existing_total_licenses 	= $rows["total_licenses"];
			$existing_licenses_available= $rows["licenses_available"];
			$existing_licenses_used 	= $rows["licenses_used"];
			$new_qty = $qty+$existing_total_licenses;
			
			/*************Update Subscription*************/
			$sub_data = array(
							"customer_id" 		=> $customer_id,
							"card_id" 			=> $card_id,
							"subscription_id" 	=> $subscription_id,
							"plan_code" 		=> $plan_code,
							"qty" 				=> $new_qty,
						);
			$result = processZohoSubscription("update",$sub_data);
			/*************Update Subscription*************/
			
			//echo $result->subscription->subscription_id;
			/*echo "<br>";
			echo "<pre>";
			print_r($result);		
			die;*/
			if($result->code=="0"){
				
				$user_id						= $_SESSION['login_user_array']['user_id'];
				$company_name 					= getvalue("cxs_company","company_name"," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
				$plan_name 						= $result->subscription->plan->name;
				$plan_code 						= $result->subscription->plan->plan_code;
				$plan_type 						= $result->subscription->interval_unit;
				$subscription_id 				= $result->subscription->subscription_id;
				$subscription_number 			= $result->subscription->subscription_number;
				$last_billing_at 				= $result->subscription->last_billing_at;
				$next_billing_at 				= $result->subscription->next_billing_at;
				$invoice_type 					= "invoice";
				$trx_number 					= $result->subscription->child_invoice_id;
				$pgw_confirmation 				= "";
				
				$interval_unit					= $result->subscription->interval_unit;
				$plan_price 					= $result->subscription->plan->price;
				$amount							= $result->subscription->amount;
				$total_licenses 				= $result->subscription->plan->quantity;
				$company_id 					= $_SESSION['login_user_array']['company_id'];
				
				$_SESSION['plan_confirm_buy'][] = array("type"=>$interval_unit, "name"=>$plan_name, "price"=>$plan_price, "qty"=>$qty, "total_price"=>setNumberFormat($qty*$plan_price));
				
				/***********************Save Data to Manage license Table**************************/
				
				$selectQuery 	= "SELECT * FROM `cxs_manage_licenses` WHERE plan_code='".$plan_code."' AND user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				
				$existing_total_licenses 	= 0;
				$existing_licenses_available= 0;
				$existing_licenses_used 	= 0;
				if($StdNumRows>0){
					
					$rows=mysqli_fetch_assoc($RunUserQuery);
					
					$existing_total_licenses			= $rows["total_licenses"];
					$existing_licenses_available		= $rows["licenses_available"];
					$existing_licenses_used				= $rows["licenses_used"];
					
					$new_total_licenses 	= $total_licenses;
					$new_licenses_available = $existing_licenses_available+$qty;
					
					$insArr = array();
					
					$insArr['total_licenses']		= $new_total_licenses;
					$insArr['licenses_available']	= $new_licenses_available;
					
					$insArr['company_id']			= $company_id;
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					updatedata("cxs_manage_licenses",$insArr," WHERE plan_code='".$plan_code."' AND user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'");
					/***********************Save Data to Manage License Table**************************/
					
					/***********************Save Data to Manage License History Table**************************/
					$insArr = array();
					
					$insArr['user_id']		= $user_id;
					$insArr['company_name']	= $company_name;
					$insArr['plan_name']	= $plan_name;
					$insArr['plan_code']	= $plan_code;
					$insArr['plan_type']	= $plan_type;
					$insArr['subscription_id']		= $subscription_id;
					$insArr['subscription_number']	= $subscription_number;
					$insArr['pgw_confirmation']		= $pgw_confirmation;
					$insArr['last_billing_at']		= $last_billing_at;
					$insArr['next_billing_at']		= $next_billing_at;
					$insArr['invoice_type']			= $invoice_type;
					$insArr['trx_number']			= $trx_number;
					$insArr['total_licenses']		= $new_total_licenses;
					$insArr['licenses_available']	= $new_licenses_available;
					$insArr['licenses_used']		= $existing_licenses_used;
					
					$insArr['company_id']			= $company_id;
					
					$insArr['transaction_type']		= "buy";
					
					$insArr['creation_date']	= $curTime;
					$insArr['created_timezone']	= $currTz;
					$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					insertdata("cxs_manage_licenses_history",$insArr);
					/***********************Save Data to Manage License History Table**************************/
					$succ=1;
				}
				
			}
			
		}else{
			
			if($old_zoho_subscription_status=="trial" && $old_plan_code==$plan_code){
				/*************Update Old Subscription (Created when Signup)*************/
			
				/*
					Check if license_product has Trial Plan or not i.e. First Time Buy New Lincense
						=> if trial than Update Subscription of an existing plan to Live with selected quantities. 
						=> Insert this record in Manage License table.
				*/
				
				$sub_data = array(
								"customer_id" 		=> $customer_id,
								"card_id" 			=> $card_id,
								"subscription_id" 	=> $old_subscription_id,
								"plan_code" 		=> $old_plan_code,
								"qty" 				=> $qty,
								"live_flag"			=> true
							);
				$result = processZohoSubscription("update",$sub_data);
				
				if($result->code==0){
					$user_id						= $_SESSION['login_user_array']['user_id'];
					$company_name 					= getvalue("cxs_company","company_name"," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
					$plan_name 						= $result->subscription->plan->name;
					$plan_code 						= $result->subscription->plan->plan_code;
					$plan_type 						= $result->subscription->interval_unit;
					$subscription_id 				= $result->subscription->subscription_id;
					$subscription_number 			= $result->subscription->subscription_number;
					$last_billing_at 				= $result->subscription->last_billing_at;
					$next_billing_at 				= $result->subscription->next_billing_at;
					$invoice_type 					= "invoice";
					$trx_number 					= $result->subscription->child_invoice_id;
					$pgw_confirmation 				= "";
					
					$interval_unit					= $result->subscription->interval_unit;
					$plan_price 					= $result->subscription->plan->price;
					$amount							= $result->subscription->amount;
					$total_licenses 				= $result->subscription->plan->quantity;
					$company_id 					= $_SESSION['login_user_array']['company_id'];
					
					$_SESSION['plan_confirm_buy'][] = array("type"=>$interval_unit, "name"=>$plan_name, "price"=>$plan_price, "qty"=>$qty, "total_price"=>setNumberFormat($qty*$plan_price));
					
					/*Get Gateway Transaction Id*/
					$pgw_confirmation 				= "";
					$creditnote_id 					= "";
					$gateway_results = getSubscriptionData("invoices/".$trx_number);
					if($gateway_results->code==0){
						if(count($gateway_results->invoice->payments)>0){
							$pgw_confirmation = $gateway_results->invoice->payments[0]->gateway_transaction_id;
						}else if(count($gateway_results->invoice->credits)>0){
							$creditnote_id = $gateway_results->invoice->credits[0]->creditnote_id;
						}
					}
					/*Get Gateway Transaction Id*/
					
					/***********Update License Product***********/
					$insArr = array();
					
					$insArr['zoho_subscription_status']	= "live";
					$insArr['trx_number']				= $trx_number;
					if($pgw_confirmation!=""){
						$insArr['pgw_confirmation']		= $pgw_confirmation;
					}
					if($creditnote_id!=""){
						$insArr['creditnote_id']		= $creditnote_id;
					}
					$insArr['status_date']				= $curTime;
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					updatedata("cxs_licensed_products",$insArr," WHERE subscription_id='".$old_subscription_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'");
					/***********Update License Product***********/
					
					
					/***********************Save Data to Manage License Table**************************/
					$insArr = array();
					
					$insArr['user_id']		= $user_id;
					$insArr['company_name']	= $company_name;
					$insArr['plan_name']	= $plan_name;
					$insArr['plan_code']	= $plan_code;
					$insArr['plan_type']	= $plan_type;
					$insArr['subscription_id']		= $subscription_id;
					$insArr['subscription_number']	= $subscription_number;
					$insArr['pgw_confirmation']		= $pgw_confirmation;
					$insArr['creditnote_id']		= $creditnote_id;
					$insArr['last_billing_at']		= $last_billing_at;
					$insArr['next_billing_at']		= $next_billing_at;
					$insArr['invoice_type']			= $invoice_type;
					$insArr['trx_number']			= $trx_number;
					$insArr['total_licenses']		= $total_licenses;
					$insArr['licenses_available']	= $total_licenses-1;
					$insArr['licenses_used']		= 1;
					$insArr['action_type']			= "upgrade";
					
					$insArr['company_id']			= $company_id;
					
					$insArr['creation_date']	= $curTime;
					$insArr['created_timezone']	= $currTz;
					$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					insertdata("cxs_manage_licenses",$insArr);
					/***********************Save Data to Manage License Table**************************/
					
					/***********************Save Data to Manage License History Table**************************/
					$insArr = array();
					
					$insArr['user_id']		= $user_id;
					$insArr['company_name']	= $company_name;
					$insArr['plan_name']	= $plan_name;
					$insArr['plan_code']	= $plan_code;
					$insArr['plan_type']	= $plan_type;
					$insArr['subscription_id']		= $subscription_id;
					$insArr['subscription_number']	= $subscription_number;
					$insArr['pgw_confirmation']		= $pgw_confirmation;
					$insArr['creditnote_id']		= $creditnote_id;
					$insArr['last_billing_at']		= $last_billing_at;
					$insArr['next_billing_at']		= $next_billing_at;
					$insArr['invoice_type']			= $invoice_type;
					$insArr['trx_number']			= $trx_number;
					$insArr['total_licenses']		= $total_licenses;
					$insArr['licenses_available']	= $total_licenses-1;
					$insArr['licenses_used']		= 1;
					
					$insArr['company_id']			= $company_id;
					
					$insArr['transaction_type']		= "buy";
					
					$insArr['creation_date']	= $curTime;
					$insArr['created_timezone']	= $currTz;
					$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					insertdata("cxs_manage_licenses_history",$insArr);
					/***********************Save Data to Manage License History Table**************************/
					
					
					/***********Update user type to buy if not***********/
					if($_SESSION['login_user_array']['user_type']=="Try"){
						$insArr = array();
				
						$insArr['user_type']		= "Buy";
						
						$insArr['last_update_date']	= $curTime;
						$insArr['updated_timezone']	= $currTz;
						$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
						
						updatedata("cxs_user",$insArr," WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'");
						
						$_SESSION['login_user_array']['user_type'] = "Buy";
					}
					/***********Update user type to buy if not***********/
					
					
				}
				$succ=1;
				/*************Update Old Subscription (Created when Signup)*************/
			}else{
				/*************Create Subscription*************/
				$sub_data = array(
								"customer_id" 		=> $customer_id,
								"card_id" 			=> $card_id,
								"subscription_id" 	=> "",
								"plan_code" 		=> $plan_code,
								"qty" 				=> $qty,
							);
				$result = processZohoSubscription("create",$sub_data);
				
				/*echo $result->subscription->subscription_id;
				echo "<br>";
				echo "<pre>";
				print_r($result);		
				die;*/
				if($result->code=="0"){
					$succ=1;
					
					$user_id						= $_SESSION['login_user_array']['user_id'];
					$company_name 					= getvalue("cxs_company","company_name"," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
					$plan_name 						= $result->subscription->plan->name;
					$plan_code 						= $result->subscription->plan->plan_code;
					$plan_type 						= $result->subscription->interval_unit;
					$subscription_id 				= $result->subscription->subscription_id;
					$subscription_number 			= $result->subscription->subscription_number;
					$last_billing_at 				= $result->subscription->last_billing_at;
					$next_billing_at 				= $result->subscription->next_billing_at;
					$invoice_type 					= "invoice";
					$trx_number 					= $result->subscription->child_invoice_id;
					
					/*Get Gateway Transaction Id*/
					$pgw_confirmation 				= "";
					$creditnote_id 					= "";
					$gateway_results = getSubscriptionData("invoices/".$trx_number);
					if($gateway_results->code==0){
						if(count($gateway_results->invoice->payments)>0){
							$pgw_confirmation = $gateway_results->invoice->payments[0]->gateway_transaction_id;
						}else if(count($gateway_results->invoice->credits)>0){
							$creditnote_id = $gateway_results->invoice->credits[0]->creditnote_id;
						}
					}
					/*Get Gateway Transaction Id*/
					
					$interval_unit					= $result->subscription->interval_unit;
					$plan_price 					= $result->subscription->plan->price;
					$amount							= $result->subscription->amount;
					$total_licenses 				= $result->subscription->plan->quantity;
					$company_id 					= $_SESSION['login_user_array']['company_id'];
					
					$_SESSION['plan_confirm_buy'][] = array("type"=>$interval_unit, "name"=>$plan_name, "price"=>$plan_price, "qty"=>$qty, "total_price"=>setNumberFormat($qty*$plan_price));
					
					/***********************Save Data to Manage License Table**************************/
					$insArr = array();
					
					$insArr['user_id']		= $user_id;
					$insArr['company_name']	= $company_name;
					$insArr['plan_name']	= $plan_name;
					$insArr['plan_code']	= $plan_code;
					$insArr['plan_type']	= $plan_type;
					$insArr['subscription_id']		= $subscription_id;
					$insArr['subscription_number']	= $subscription_number;
					$insArr['pgw_confirmation']		= $pgw_confirmation;
					$insArr['creditnote_id']		= $creditnote_id;
					$insArr['last_billing_at']		= $last_billing_at;
					$insArr['next_billing_at']		= $next_billing_at;
					$insArr['invoice_type']			= $invoice_type;
					$insArr['trx_number']			= $trx_number;
					$insArr['total_licenses']		= $total_licenses;
					$insArr['licenses_available']	= $total_licenses;
					$insArr['licenses_used']		= 0;
					$insArr['action_type']			= "upgrade";
					
					$insArr['company_id']			= $company_id;
					
					$insArr['creation_date']	= $curTime;
					$insArr['created_timezone']	= $currTz;
					$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					insertdata("cxs_manage_licenses",$insArr);
					/***********************Save Data to Manage License Table**************************/
					
					/***********************Save Data to Manage License History Table**************************/
					$insArr = array();
					
					$insArr['user_id']		= $user_id;
					$insArr['company_name']	= $company_name;
					$insArr['plan_name']	= $plan_name;
					$insArr['plan_code']	= $plan_code;
					$insArr['plan_type']	= $plan_type;
					$insArr['subscription_id']		= $subscription_id;
					$insArr['subscription_number']	= $subscription_number;
					$insArr['pgw_confirmation']		= $pgw_confirmation;
					$insArr['creditnote_id']		= $creditnote_id;
					$insArr['last_billing_at']		= $last_billing_at;
					$insArr['next_billing_at']		= $next_billing_at;
					$insArr['invoice_type']			= $invoice_type;
					$insArr['trx_number']			= $trx_number;
					$insArr['total_licenses']		= $total_licenses;
					$insArr['licenses_available']	= $total_licenses;
					$insArr['licenses_used']		= 0;
					
					$insArr['company_id']			= $company_id;
					
					$insArr['transaction_type']		= "buy";
					
					$insArr['creation_date']	= $curTime;
					$insArr['created_timezone']	= $currTz;
					$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					insertdata("cxs_manage_licenses_history",$insArr);
					/***********************Save Data to Manage License History Table**************************/
					
				}
				
				/*************Create Subscription*************/
			}
		
		}
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'remove_licenses'){
	
	$succ = 0;
	$msg = "";
	$transaction_type = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	$subscription_id= $_POST['subscription_id'];
	$plan_code 		= $_POST['plan_code'];
	$qty			= intval($_POST['qty']);
	
	$selectQuery 	= "SELECT * FROM `cxs_licensed_products` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$customer_id			= $rows["customer_id"];
	$card_id				= $rows["card_id"];
	
	
	$selectQuery 	= "SELECT * FROM `cxs_manage_licenses` WHERE plan_code='".$plan_code."' AND user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	
	$existing_licenses_available 	= 0;
	$existing_licenses_used			= 0;
	if($StdNumRows>0){
		$is_edit = true;
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$existing_licenses_available	= $rows["licenses_available"];
		$existing_licenses_used			= $rows["licenses_used"];
	}
	
	$new_licenses_available 	= $existing_licenses_available-$qty;
	
	if($card_id!="" && $plan_code!="" && $qty>0 && $new_licenses_available>=0){
		require_once "connect_zoho_api.php";
		
		if($new_licenses_available==0){
			/*************Cancel Subscription*************/
			$header = array(
				'Authorization: Zoho-oauthtoken ' . $_SESSION['access_token'],
				'X-com-zoho-subscriptions-organizationid: '. $GLOBALS['org_id'],
				'Content-Type: application/json'
			);
			
			
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $GLOBALS['service_url'] . '/api/v1/subscriptions/'.$subscription_id.'/cancel?cancel_at_end=false');
			curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$result = curl_exec($ch);
			curl_close($ch);
			
			$result = json_decode($result);
			/*************Cancel Subscription*************/
			$transaction_type = "cancel";
		}else{
			/*************Update Subscription*************/
			$sub_data = array(
							"customer_id" 		=> $customer_id,
							"card_id" 			=> $card_id,
							"subscription_id" 	=> $subscription_id,
							"plan_code" 		=> $plan_code,
							"qty" 				=> $new_licenses_available,
						);
			$result = processZohoSubscription("update",$sub_data);
			
			/*************Update Subscription*************/
			$transaction_type = "remove";
		}
		
		
		//echo $result->subscription->subscription_id;
		/*echo "<br>";
		echo "<pre>";
		print_r($result);		
		die;*/
		if($result->code=="0"){
			
			$user_id						= $_SESSION['login_user_array']['user_id'];
			$company_name 					= getvalue("cxs_company","company_name"," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
			$plan_name 						= $result->subscription->plan->name;
			$plan_code 						= $result->subscription->plan->plan_code;
			$plan_type 						= $result->subscription->interval_unit;
			$subscription_id 				= $result->subscription->subscription_id;
			$subscription_number 			= $result->subscription->subscription_number;
			$pgw_confirmation 				= "";
			
			$last_billing_at = "";
			$next_billing_at = "";
			if($transaction_type=="remove"){
				$last_billing_at 	= $result->subscription->last_billing_at;
				$next_billing_at 	= $result->subscription->next_billing_at;
			}
			
			$invoice_type 					= "credit_memo";
			$plan_price 					= $result->subscription->plan->price;
			$amount							= $result->subscription->amount;
			$total_licenses 				= $result->subscription->plan->quantity;
			$company_id 					= $_SESSION['login_user_array']['company_id'];
			
			$_SESSION['plan_confirm_remove'][] = array("type"=>$plan_type, "name"=>$plan_name, "price"=>$plan_price, "qty"=>$qty, "total_price"=>$qty*$plan_price);
			
			/***********************Save Data to Manage License Table**************************/
			
			$new_licenses_available = $existing_licenses_available-$qty;
			//$total_licenses = $total_licenses - $qty;
			
			$insArr = array();
			
			$insArr['total_licenses']		= $total_licenses;
			$insArr['licenses_available']	= $new_licenses_available;
			$insArr['company_id']			= $company_id;
			if($transaction_type == "cancel"){
				$insArr['action_type']			= "downgrade";
			}
			$insArr['last_update_date']	= $curTime;
			$insArr['updated_timezone']	= $currTz;
			$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			updatedata("cxs_manage_licenses",$insArr," WHERE plan_code='".$plan_code."' AND user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'");
			/***********************Save Data to Manage License Table**************************/
			
			/***********************Save Data to Manage License History Table**************************/
			$insArr = array();
			
			$insArr['user_id']		= $user_id;
			$insArr['company_name']	= $company_name;
			$insArr['plan_name']	= $plan_name;
			$insArr['plan_code']	= $plan_code;
			$insArr['plan_type']	= $plan_type;
			$insArr['subscription_id']		= $subscription_id;
			$insArr['subscription_number']	= $subscription_number;
			$insArr['pgw_confirmation']		= $pgw_confirmation;
			
			if($last_billing_at!=""){
				$insArr['last_billing_at']		= $last_billing_at;
			}
			if($next_billing_at!=""){
				$insArr['next_billing_at']		= $next_billing_at;
			}
			$insArr['invoice_type']			= $invoice_type;
			//$insArr['trx_number']			= $trx_number;
			$insArr['total_licenses']		= $total_licenses;
			$insArr['licenses_available']	= $new_licenses_available;
			$insArr['licenses_used']		= $existing_licenses_used;
			
			$insArr['company_id']			= $company_id;
			
			$insArr['transaction_type']		= $transaction_type;
			
			$insArr['creation_date']	= $curTime;
			$insArr['created_timezone']	= $currTz;
			$insArr['created_by']		= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			$insArr['last_update_date']	= $curTime;
			$insArr['updated_timezone']	= $currTz;
			$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
			
			insertdata("cxs_manage_licenses_history",$insArr);
			/***********************Save Data to Manage License History Table**************************/
			$succ=1;
			
			/*Check if company account status is Inactive due to Webhook or not*/
			if($transaction_type == "cancel"){
				
				$company_account_status = getvalue("cxs_company","account_status"," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
				if($company_account_status=="Inactive"){
					
					$insArr = array();
				
					$insArr['account_status']	= "Active";
					
					$insArr['last_update_date']	= $curTime;
					$insArr['updated_timezone']	= $currTz;
					$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
					
					updatedata("cxs_company",$insArr," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
				
				}
				
			}
			/*Check if company account status is Inactive due to Webhook or not*/
		}
		/**************************/
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_subscription_plan_detials'){
	
	$succ=0;
	
	$subscription_id = $_POST['subscription_id'];
	require_once "connect_zoho_api.php";
	$results = getSubscriptionData("subscriptions/".$subscription_id);
	
	$next_billing_date	= "";
	$card_type			= "";
	$card_number		= "";
	$card_expiry_date	= "";
	
	$table_str = "";
	
	if($results->code==0){
		$next_billing_date		= setDate($results->subscription->next_billing_at,"m/d/Y");
		$card_type			= "NA";
		$card_number		= "************".$results->subscription->card->last_four_digits;
		$card_expiry_date	= $results->subscription->card->expiry_month."/".$results->subscription->card->expiry_year;
		
		$customer_id = $results->subscription->customer->customer_id;
		
		$results = getSubscriptionData("transactions?customer_id=".$customer_id."&subscription_id=".$subscription_id."&filter_by=TransactionType.All");
		
		$transaction_data = $results->transactions;
		
		
		foreach($transaction_data as $transaction){
			$date = setDate($transaction->date,"m/d/Y");
			$type = ucwords($transaction->type);
			$reference_id = $transaction->reference_id;
			$amount = $transaction->amount;
			$status = strtoupper($transaction->status);
			
			$table_str .= '
					<tr>
						<td>'.$date.'</td>
						<td>'.$type.'</td>
						<td>'.$reference_id.'</td>
						<td align="right">$'.setNumberFormat($amount).'</td>
						<td>'.$status.'</td>
					</tr>
				';
		}
		
		$succ=1;
	}
	
	echo json_encode(array("succ" => $succ,"next_billing_date"=>$next_billing_date,"card_type"=>$card_type,"card_number"=>$card_number,"card_expiry_date"=>$card_expiry_date,"table_str"=>$table_str));
   	exit;
	
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_all_purchase_history'){
	
	$succ=0;
	
	$customer_id = $_SESSION['login_user_array']['company_id'];
	require_once "connect_zoho_api.php";
	
	$results = getSubscriptionData("transactions?customer_id=".$customer_id."&filter_by=TransactionType.All");
	
	if($results->code==0){
		
		$transaction_data = $results->transactions;
		
		$customers_results = getSubscriptionData("customers/".$customer_id);
		$unused_credits = 0;
		$outstanding_receivable_amount = 0;
		if($customers_results->code==0){
			$unused_credits = $customers_results->customer->unused_credits;
			$outstanding_receivable_amount = $customers_results->customer->outstanding_receivable_amount;
		}
		?>
		<div class="row">
			<div class="col-md-12">
				<div class="d-flex justify-content-between">
					<h4>Unused Credit: $<?php echo setNumberFormat($unused_credits); ?></h4>
					<h4>Outstanding Receivables: $<?php echo setNumberFormat($outstanding_receivable_amount); ?></h4>
				</div>
				<div class="table-responsive mt-2">
					<table id="view_all_purchase_history_table" class="table table-bordered">
						<thead class="table-info">
							<tr>
								<th>Date</th>
								<th>Type</th>
								<th>Ref. ID</th>
								<th>Amount</th>
								<th>Status</th>
							</tr>
						</thead>
						<tbody>
						<?php
						foreach($transaction_data as $transaction){
							$date = setDate($transaction->date,"m/d/Y");
							$type = ucwords($transaction->type);
							$reference_id = $transaction->reference_id;
							$amount = $transaction->amount;
							$status = strtoupper($transaction->status);
							
							?>
							<tr>
								<td><?php echo $date; ?></td>
								<td><?php echo $type; ?></td>
								<td><?php echo $reference_id; ?></td>
								<td align="right">$<?php echo setNumberFormat($amount); ?></td>
								<td><?php echo $status; ?></td>
							</tr>
							<?php
						}
						?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<?php
		
		$succ=1;
	}
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_top_upgrade_user_info'){
	
	$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	$full_name		= $rows["full_name"];
	$user_email		= $rows["user_email"];
	$image_name		= $rows["image_name"];
	if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
		$user_img_url = SITEURL."img/uploads/user_images/".$image_name;
	}else{
		$user_img_url = SITEURL."images/faces/default_face.png";
	}
	
	/**************************/
	$selectQuery 	= "SELECT * FROM `cxs_licensed_products` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	
	$card_id				= $rows["card_id"];
	$subscription_id		= $rows["subscription_id"];
	$subscription_number	= $rows["subscription_number"];
	$plan_name				= $rows["plan_name"];
	$plan_code				= $rows["plan_code"];
	
	$plan_price				= $rows["plan_price"];
	$interval_unit			= $rows["interval_unit"];
	$trial_ends_at			= setDate($rows["trial_ends_at"],"m/d/Y");
	?>
	<div class="row">
		<div class="col-md-12">
			<div class="table-responsive">
				<table class="table table-bordered">
					<tbody>
						<?php /*?><tr>
							<td width="25%">Company ID:</td>
							<td>
								<span class="td-cell-space"><?php echo $_SESSION['login_user_array']['company_id']; ?></span>
							</td>
						</tr><?php */?>
						<tr>
							<td width="25%">Company Name:</td>
							<td>
								<span class="td-cell-space"><?php echo getvalue("cxs_company","company_name"," WHERE id='".$_SESSION['login_user_array']['company_id']."'"); ?></span>
							</td>
						</tr>
						<tr>
							<td width="25%">Name:</td>
							<td>
								<div class="d-flex">
									<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
									<label class="mt-2"><?php echo $full_name; ?></label>
								</div>
							</td>
						</tr>
						<?php /*?><tr>
							<td>
								Subscription ID:
							</td>
							<td>
								<span class="td-cell-space"><?php echo $subscription_id; ?></span>
							</td>
						</tr><?php */?>
						<tr>
							<td>
								Subscription Number:
							</td>
							<td>
								<span class="td-cell-space"><?php echo $subscription_number; ?></span>
							</td>
						</tr>
						<tr>
							<td>
								Plan Code/Plan Name:
							</td>
							<td>
								<span class="td-cell-space"><?php echo $plan_code." / ".$plan_name; ?></span>
							</td>
						</tr>
						<tr>
							<td>
								Plan Price:
							</td>
							<td>
								<span class="td-cell-space">$<?php echo setNumberFormat($plan_price); ?></span>
							</td>
						</tr>
						<tr>
							<td>
								Plan Type:
							</td>
							<td>
								<span class="td-cell-space"><?php echo ($interval_unit=="months")?"Monthly":"Yearly"; ?></span>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			
		</div>
	</div>
	<div class="row mt-2">
		<div class="col-md-12 text-right">
			<?php
			if($card_id!=""){
				if(isset($_SESSION['company_account_status']) && $_SESSION['company_account_status']=="expire_and_inactive"){
				?>
				<a href="javascript:void(0);" class="btn btn-primary" id="btn_buy_new_license_home">Process Subscription</a>
				<?php
				}else{
				?>
				<a href="javascript:void(0);" class="btn btn-primary" id="btn_buy_new_license">Process Subscription</a>
				<?php 
				}
			}else{ ?>
				<a href="javascript:void(0);" class="btn btn-primary btn_update_payment_details">Enter Payment Information</a>
			<?php } ?>
		</div>
	</div>
	
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_buy_new_license_home'){
	
	$results = file_get_contents('zoho_plans.json');
	$results = json_decode($results, true);
	
	$suit_plans_arr 	= array("SUIT-YEARLY","SUIT-MONTHLY");
	$bundle_plans_arr 	= array("BUND-YEARLY","BUND-MONTHLY");
	
	$selectQuery 	= "SELECT * FROM `cxs_licensed_products` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$rows=mysqli_fetch_assoc($RunUserQuery);
	
	$top_card_id				= $rows["card_id"];
	$top_plan_code				= $rows["plan_code"];
	$top_plan_name				= $rows["plan_name"];
	$top_interval_unit			= $rows["interval_unit"];
	$top_zoho_subscription_status			= $rows["zoho_subscription_status"];
	
	/**********************************/
	$month_plan_str = "";
	$year_plan_str 	= "";
	
	$qty_option = '';
	$qty_option_counter = 1000;
	if($_SESSION['login_user_array']['user_plan']!="ENTERPRISE"){
		$qty_option_counter = 1;
	}
	for($i=0;$i<=$qty_option_counter;$i++){
		$i_txt = $i;
		if($i==0){
			$i_txt = "";
		}
		$qty_option .= '<option value="'.$i.'">'.$i_txt.'</option>';
	}
	/*********************************************************/
	$monthly_suit_plans 	= '';
	$monthly_bundle_plans 	= '';
	$monthly_other_plans 	= '';
	
	$yearly_suit_plans 		= '';
	$yearly_bundle_plans 	= '';
	$yearly_other_plans 	= '';
	
	$self_monthly_plans 	= '';
	$self_yearly_plans 		= '';
	
	if($_SESSION["login_user_array"]["user_plan"]=="ENTERPRISE"){
		$cnt = 0;
		foreach($results["plans"]["enterprise_plans"] as $result){
			$cnt++;
			$interval_str 	= "Monthly";
			$billed_str 	= "Billed Monthly";
			if($result["interval_unit"]=="years"){
				$billed_str = "Billed Yearly";
				$interval_str = "Yearly";
			}
			
			if($result["plan_name"]=="Project Management"){
				$image_url = SITEURL."images/shortcut-nav-icon/project.png";
			}else if($result["plan_name"]=="Time Tracking"){
				$image_url = SITEURL."images/shortcut-nav-icon/time-tracking.png";
			}else if($result["plan_name"]=="Attendance Tracking"){
				$image_url = SITEURL."images/shortcut-nav-icon/attendance.png";
			}else if($result["plan_name"]=="Issue Tracking"){
				$image_url = SITEURL."images/shortcut-nav-icon/issue.png";
			}else if($result["plan_name"]=="Expense Tracking"){
				$image_url = SITEURL."images/shortcut-nav-icon/expenses.png";
			}else if($result["plan_name"]=="Project & Time Bundle"){
				$image_url = SITEURL."images/shortcut-nav-icon/project-time-bundle.png";
			}else if($result["plan_name"]=="Complete Project Management Suite"){
				$image_url = SITEURL."images/shortcut-nav-icon/complete-suit-bundle.png";
			}
			
			$store_markup_descriptions = explode("|",$result["store_markup_description"]);
			$descr = '';
			if(count($store_markup_descriptions)>0){ 
				foreach($store_markup_descriptions as $feature){ 
					$descr .= '
						<li>
							<p>'.$feature.'</p>
						</li>
					';
				}
			}
			
			$data_content = '<h4>Features:</h4><ul>'.$descr.'</ul>';
			
			$plan_type = "mn";
			if($result["interval_unit"]=="years"){
				$plan_type = "yr";
			}
			
			$top_sel_class = "";
			$curr_plan_txt = "";
			if($_SESSION['login_user_array']["user_type"]=='Try') { 
				if($top_plan_code==$result["plan_code"]){
					$top_sel_class = "selected";
					$curr_plan_txt = ' <label class="my-2"> (Upgrading from Free Trial)</label>';
				}
			}
			
			$plan_str = '
				<tr id="plan_'.$result["plan_code"].'" class="'.$top_sel_class.'">
					<td class="table-user-info ml-plan-info">
						<div class="d-flex">
							<img class="img-sm rounded-circle mr-2 " src="'.$image_url.'" alt="">
							<label class="my-2">'.$result["plan_name"].'</label>
							<button type="button" class="btn btn-sm btn-eye-popover" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'.$data_content.'"><i class="fa fa-exclamation-circle"></i></button>
							'.$curr_plan_txt.'
							<div id="plan_status_'.$result["plan_code"].'"></div>
						</div>
					</td>
					<td align="right">
						$'.setNumberFormat($result["plan_price"]).'
						<input type="hidden" class="plan_state" id="plan_state_'.$result["plan_code"].'" value="0" />
					</td>
					<td align="right">
						<select id="plan_'.$result["plan_code"].'_qty" data-plan_code="'.$result["plan_code"].'" class="form-control dd_plan_code" onChange="setPlanTotal(\'buy\',this.value,\''.$plan_type.'\',\''.$result["plan_code"].'\',\''.$result["plan_price"].'\');">
							'.$qty_option.'
						</select>
					</td>
					<td id="plan_'.$result["plan_code"].'_total_amount" class="'.$plan_type.'_grand_total_amount" align="right">
						$0.00
					</td>
				</tr>
				';
			
			/*Monthly Plans*/
			if($result["interval_unit"]=="months"){
				/*Suit Plans*/
				if(in_array($result["plan_code"],$suit_plans_arr)){
					$monthly_suit_plans .= $plan_str;
				}
				/*Suit Plans*/
				
				/*Bundle Plans*/
				else if(in_array($result["plan_code"],$bundle_plans_arr)){
					$monthly_bundle_plans .= $plan_str;
				}
				/*Bundle Plans*/
				
				/*Other Plans*/
				else{
					$monthly_other_plans .= $plan_str;
				}
				/*Other Plans*/
			}
			/*Monthly Plans*/
			
			/*Yearly Plans*/
			else if($result["interval_unit"]=="years"){
				/*Suit Plans*/
				if(in_array($result["plan_code"],$suit_plans_arr)){
					$yearly_suit_plans .= $plan_str;
				}
				/*Suit Plans*/
				
				/*Bundle Plans*/
				else if(in_array($result["plan_code"],$bundle_plans_arr)){
					$yearly_bundle_plans .= $plan_str;
				}
				/*Bundle Plans*/
				
				/*Other Plans*/
				else{
					$yearly_other_plans.= $plan_str;
				}
				/*Other Plans*/
			}
			/*Yearly Plans*/
		}
		$month_plan_str = $monthly_suit_plans.$monthly_bundle_plans.$monthly_other_plans;
		$year_plan_str 	= $yearly_suit_plans.$yearly_bundle_plans.$yearly_other_plans;
	}else{
		$cnt = 0;
		foreach($results["plans"]["self_emp_plans"] as $result){

			$cnt++;
			$interval_str 	= "Monthly";
			$billed_str 	= "Billed Monthly";
			if($result["interval_unit"]=="years"){
				$billed_str = "Billed Yearly";
				$interval_str = "Yearly";
			}
			
			if($result["plan_name"]=="Self Employed Plan"){
				$image_url = SITEURL."images/shortcut-nav-icon/self-employed.png";
			}
			
			$store_markup_descriptions = explode("|",$result["store_markup_description"]);
			$descr = '';
			if(count($store_markup_descriptions)>0){ 
				foreach($store_markup_descriptions as $feature){ 
					$descr .= '
						<li>
							<p>'.$feature.'</p>
						</li>
					';
				}
			}
			
			$data_content = '<h4>Features:</h4><ul>'.$descr.'</ul>';
			
			$plan_type = "mn";
			if($result["interval_unit"]=="years"){
				$plan_type = "yr";
			}
			
			$top_sel_class = "";
			$curr_plan_txt = "";
			if($_SESSION['login_user_array']["user_type"]=='Try') { 
				if($top_plan_code==$result["plan_code"]){
					$top_sel_class = "selected";
					$curr_plan_txt = ' <label class="my-2"> (Upgrading from Free Trial)</label>';
				}
			}
			
			$plan_str = '
				<tr id="plan_'.$result["plan_code"].'" class="'.$top_sel_class.'">
					<td class="table-user-info ml-plan-info">
						<div class="d-flex">
							<img class="img-sm rounded-circle mr-2 " src="'.$image_url.'" alt="">
							<label class="my-2">'.$result["plan_name"].'</label>
							<button type="button" class="btn btn-sm btn-eye-popover" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'.$data_content.'"><i class="fa fa-exclamation-circle"></i></button>
							'.$curr_plan_txt.'
							<div id="plan_status_'.$result["plan_code"].'"></div>
						</div>
					</td>
					<td align="right">
						$'.setNumberFormat($result["plan_price"]).'
						<input type="hidden" class="plan_state" id="plan_state_'.$result["plan_code"].'" value="0" />
					</td>
					<td align="right">
						<select id="plan_'.$result["plan_code"].'_qty" data-plan_code="'.$result["plan_code"].'" class="form-control dd_plan_code" onChange="setPlanTotal(\'buy\',this.value,\''.$plan_type.'\',\''.$result["plan_code"].'\',\''.$result["plan_price"].'\');">
							'.$qty_option.'
						</select>
					</td>
					<td id="plan_'.$result["plan_code"].'_total_amount" class="'.$plan_type.'_grand_total_amount" align="right">
						$0.00
					</td>
				</tr>
				';
			
			/*Monthly Plans*/
			if($result["interval_unit"]=="months"){
				$self_monthly_plans .= $plan_str;
			}
			/*Monthly Plans*/
			
			/*Yearly Plans*/
			else if($result["interval_unit"]=="years"){
				$self_yearly_plans.= $plan_str;
			}
			/*Yearly Plans*/
		}
	}
	
	/**************************************/
	
	if($top_card_id==""){
	?>
	<div class="row">
		<div class="col-md-12">
			<div class="alert alert-fill-light font-weight-bold" role="alert"> 
				<i class="typcn typcn-warning"></i> ATTENTION: Please update your card on file if you wish to use a different card for this purchase and for recurring payments in future. 
			</div>
		</div>
	</div>
	<?php } ?>
	
	<?php 
	if($_SESSION['login_user_array']["user_type"]=='Try') { 
		$top_interval_unit_text = ($top_interval_unit=="months")?"Monthly":"Yearly";
	?>
	<div class="row">
		<div class="col-md-12">
			<h4 class="ml-3">You are currently using "<?php echo $top_plan_name." (".$top_interval_unit_text.")"; ?>", you may select additional plan licenses from below for your team members now or you can decide this later.</h4>
		</div>
	</div>
	<?php } ?>
	<div class="rowv mt-2">
		<div class="col-md-12">
			<ul class="nav nav-tabs" role="tablist">
				<li class="nav-item">
					<a class="nav-link <?php echo ($top_interval_unit=="months" || $top_zoho_subscription_status=="live")?"active":""; ?>" id="tab-11" data-toggle="tab" href="#tab11" role="tab" aria-controls="tab-11" aria-selected="<?php echo ($top_interval_unit=="months" || $top_zoho_subscription_status=="live")?"true":"false"; ?>">Monthly</a>
				</li>
				<li class="nav-item">
					<a class="nav-link <?php echo ($top_interval_unit=="years" && $top_zoho_subscription_status=="trial")?"active":""; ?>" id="tab-22" data-toggle="tab" href="#tab22" role="tab" aria-controls="tab-22" aria-selected="<?php echo ($top_interval_unit=="years" && $top_zoho_subscription_status=="trial")?"true":"false"; ?>">Yearly</a>
				</li>
			</ul>
			<div class="tab-content">	
				<div class="tab-pane fade <?php echo ($top_interval_unit=="months" || $top_zoho_subscription_status=="live")?"show active":""; ?>" id="tab11" role="tabpanel" aria-labelledby="tab-11">
					
					<div class="table-responsive">
						<table class="table table-bordered">
							<thead class="table-info">
								<tr>
									<th>Subscription Plans</th>
									<th width="10%">Price ($)</th>
									<th width="12%">License Qty.</th>
									<th width="16%">Total Amount ($)</th>
								</tr>
							</thead>
							<tbody>
								<?php
								if($_SESSION['login_user_array']['user_plan']=="ENTERPRISE"){
									echo $month_plan_str;
								}else{
									echo $self_monthly_plans;
								}
								?>
								<tr>
									<td colspan="3" align="right"><strong class="td-cell-space">Grand Total:</strong></td>
									<td align="right"><strong id="mn_grand_total_amount">$0.00</strong></td>
								</tr>
							</tbody>
						</table>
					</div>
					
				</div>
				<div class="tab-pane fade <?php echo ($top_interval_unit=="years" && $top_zoho_subscription_status=="trial")?"show active":""; ?>" id="tab22" role="tabpanel" aria-labelledby="tab-22">
					
					<div class="table-responsive">
						<table class="table table-bordered">
							<thead class="table-info">
								<tr>
									<th>Subscription Plans</th>
									<th width="10%">Price ($)</th>
									<th width="15%">License Qty.</th>
									<th width="17%">Total Amount ($)</th>
								</tr>
							</thead>
							<tbody>
								<?php
								if($_SESSION['login_user_array']['user_plan']=="ENTERPRISE"){
									echo $year_plan_str;
								}else{
									echo $self_yearly_plans;
								}
								?>
								<tr>
									<td colspan="3" align="right"><strong class="td-cell-space">Grand Total:</strong></td>
									<td align="right"><strong id="yr_grand_total_amount">$0.00</strong></td>
								</tr>
							</tbody>
						</table>
					</div>
					
				</div>
			</div>
			
			<div class="row mt-4">
				<div class="col-md-6">
					<div class="form-check" id="div_agree">
						<label class="form-check-label text-black-50">
						<input type="checkbox" class="form-check-input" id="chkAgree">
						<i class="input-helper" id="chkAgree1"></i> 
						I agree to <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
						</label>
					</div>
				</div>
				<div class="col-md-6 text-right">
					<?php
					$card_id = getvalue("cxs_licensed_products","card_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
					if($card_id!=""){
						if(($_SESSION['login_user_array']['user_plan']!="ENTERPRISE" && $_SESSION['login_user_array']['user_type']=="Try") || $_SESSION['login_user_array']['user_plan']=="ENTERPRISE"){
						?>
							<a href="javascript:void(0);" class="btn btn-primary" id="btn_buy_new_license_process">Process Subscription</a>
						<?php 
						}
					}else{
					?>
					<div class="alert alert-fill-danger font-weight-bold" role="alert"> 
						<a href="javascript:void(0);" class="btn btn-primary btn_update_payment_details">Enter Payment Information</a>
					</div>
					
					<?php } ?>
				</div>
			</div>
			
		</div>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_next_payment_details'){
	
	?>
	<table id="sub_table" class="table table-bordered mt-2">
		<thead class="table-info">
			<tr>
				<th>Plan</th>
				<th width="10%">Plan Type</th>
				<th width="10%">Payment Date</th>
				<th width="20%">Total Licenses</th>
				<th width="10%">Amount</th>
				<th width="10%">Payment Method</th>
			</tr>
		</thead>
		<tbody>
			<?php 
			require_once "connect_zoho_api.php";
			/*********************/
			$customer_card_id = getvalue("cxs_licensed_products","card_id"," WHERE company_id='".$_SESSION['login_user_array']['company_id']."'");
			
			$card_results = getSubscriptionData("customers/".$_SESSION['login_user_array']['company_id']."/cards/".$customer_card_id);
			
			$card_type = "-";
			//print_r($card_results);die;
			if($card_results->code==0){
				if(isset($card_results->card->card_type)){
					$card_type = $card_results->card->card_type;
				}
			}
			/*********************/
			
			/**/
			$selectQuery 	= "SELECT * FROM `cxs_manage_licenses` WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			
			$license_arr 	= array();
			if($StdNumRows>0){
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$license_arr[$rows["plan_code"]] = $rows["total_licenses"];
				}
			}
			/**/
			
			$sub_results = getSubscriptionData("subscriptions/?customer_id=".$_SESSION['login_user_array']['company_id']."&filter_by=SubscriptionStatus.LIVE");
			/*echo "<pre>";
			print_r($sub_results);die;*/
			
			if($sub_results->code==0){
				foreach($sub_results->subscriptions as $sub_result){
					$plan_type = ($sub_result->interval_unit=="months")?"Monthly":"Yearly";
					?>
					<tr>
						<td><?php echo $sub_result->plan_name; ?></td>
						<td><?php echo $plan_type; ?></td>
						<td><?php echo setDate($sub_result->next_billing_at,"m/d/Y"); ?></td>
						<td align="right"><?php echo $license_arr[$sub_result->plan_code]; ?></td>
						<td align="right">$<?php echo setNumberFormat($sub_result->amount); ?></td>
						<td><?php echo ucwords($card_type); ?></td>
					</tr>
					<?php
				}
			}
			?>
		</tbody>
	</table>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_plan_confirmation'){
	$action = $_POST['action'];
	
	$months_plan_confirm_str = "";
	$yearly_plan_confirm_str = "";
	
	if($action=="buy"){
		if(isset($_SESSION['plan_confirm_buy'])){
			$subject = "COEXSYS - Subscription Purchase Confirmation";
			$mail_body = file_get_contents(getSiteUrl().'/mailbody/plan_confirmation_buy.php?full_name='.urlencode($_SESSION['login_user_array']['full_name']).'&user_email='.urlencode($_SESSION['login_user_array']['user_email']).'&'.http_build_query(array("data"=>$_SESSION['plan_confirm_buy'])), false, CONTEXT);
			sendEmail($_SESSION['login_user_array']['user_email'], $_SESSION['login_user_array']['full_name'], $subject, $mail_body);
			$plan_confirm_arr = $_SESSION['plan_confirm_buy'];
			unset($_SESSION['plan_confirm_buy']);
			?>
			<div class="row mb-4">
				<div class="col-md-12">
					<p>Thank you for your purchases. Your credit card has been charged and purchase receipt has been emailed to you at <strong><?php echo $_SESSION['login_user_array']['user_email']; ?></strong></p>
					<p>Below is the list of subscriptions you have purchased today:</p>
				</div>
			</div>
			<?php
		}
	}else{
		if(isset($_SESSION['plan_confirm_remove'])){
			require_once "connect_zoho_api.php";
			$results = getSubscriptionData("customers/".$_SESSION['login_user_array']['company_id']);
			$total_credit_amount = 0;
			
			if($results->code==0){
				$total_credit_amount = $results->customer->unused_credits;
			}
			
			$subject = "COEXSYS - Subscription Removal Confirmation";
			$mail_body = file_get_contents(getSiteUrl().'/mailbody/plan_confirmation_remove.php?full_name='.urlencode($_SESSION['login_user_array']['full_name']).'&user_email='.urlencode($_SESSION['login_user_array']['user_email']).'&total_credit_amount='.$total_credit_amount.'&'.http_build_query(array("data"=>$_SESSION['plan_confirm_remove'])), false, CONTEXT);
			sendEmail($_SESSION['login_user_array']['user_email'], $_SESSION['login_user_array']['full_name'], $subject, $mail_body);
			
			$plan_confirm_arr = $_SESSION['plan_confirm_remove'];
			unset($_SESSION['plan_confirm_remove']);
			?>
			<div class="row mb-4">
				<div class="col-md-12">
					<p>This is a confirmation that your request to remove licenses has been processed. A sales credit of $<?php echo setNumberFormat($total_credit_amount); ?> will be issued and emailed to you. We will automatically apply this sales credit towards future billing.</p>
					<p>You have elected to remove licenses for followings plans as of today:</p>
				</div>
			</div>
			<?php
			
		}
	}
	
	foreach($plan_confirm_arr as $plan_confirm_data){
		$plan_confirm_str ='
				<tr>
					<td class="table-user-info ml-plan-info">
						<div class="d-flex">
							<label class="my-2">'.$plan_confirm_data["name"].'</label>
						</div>
					</td>
					<td align="right">
						$'.setNumberFormat($plan_confirm_data["price"]).'
					</td>
					<td align="right">
						'.$plan_confirm_data["qty"].'
					</td>
					<td align="right">
						$'.setNumberFormat($plan_confirm_data["total_price"]).'
					</td>
				</tr>
			';
		if($plan_confirm_data["type"]=="months"){
			$months_plan_confirm_str .= $plan_confirm_str;
		}else{
			$yearly_plan_confirm_str .= $plan_confirm_str;
		}
	}
	
		
	if($months_plan_confirm_str!=""){
	?>
	<div class="row">
		<div class="col-md-12">
			<div class="d-flex justify-content-between">
				<h4>Monthly Subscriptions <?php echo ($action=="buy")?"Purchased":"Removed" ?></h4>
			</div>
			<div class="table-responsive mt-2">
				<table class="table table-bordered">
					<thead class="table-info">
						<tr>
							<th>Subscription Plans</th>
							<th width="10%">Price ($)</th>
							<th width="15%">License Qty.</th>
							<th width="17%">Total Amount ($)</th>
						</tr>
					</thead>
					<tbody>
						<?php echo $months_plan_confirm_str; ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<?php 
	}
	
	if($yearly_plan_confirm_str!=""){
	?>
	<div class="row <?php if($months_plan_confirm_str!=""){ echo "mt-3";} ?>">
		<div class="col-md-12">
			<div class="d-flex justify-content-between">
				<h4>Yearly Subscriptions <?php echo ($action=="buy")?"Purchased":"Removed" ?></h4>
			</div>
			<div class="table-responsive mt-2">
				<table class="table table-bordered">
					<thead class="table-info">
						<tr>
							<th>Subscription Plans</th>
							<th width="10%">Price ($)</th>
							<th width="15%">License Qty.</th>
							<th width="17%">Total Amount ($)</th>
						</tr>
					</thead>
					<tbody>
						<?php echo $yearly_plan_confirm_str; ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<?php
	}
	?>
	<div class="row mt-4">
		<div class="col-md-12">
			<p><strong>IMPORTANT</strong>: Please visit <a href="manage-licenses.php" class="common-edit-link">Manage Licenses</a> page to see your license details and also to access your customer portal</p>
			<p>Please contact <a href="mailto:service@coexsys.com" class="common-edit-link">service@coexsys.com</a>, or reach out to us via chat or call us at <a href="tel:1-800-COEXSYS" class="common-edit-link">1-800-COEXSYS</a>.
		</div>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_license_requests'){
	?>
	<div class="row">
		<div class="col-md-12">
			<div class="table-responsive">
				<table class="table table-bordered" id="table_license_requests">
					<thead class="table-info">
						<tr>
							<th>Requester</th>
							<th width="10%">Requested on</th>
							<th width="20%">Application Requested</th>
							<th width="30%">Licenses</th>
							<th width="10%">Action</th>
						</tr>
					</thead>
					<tbody>
						<?php
						$selectQuery 	= "
							SELECT 
								l.*,
								u.full_name, u.image_name 
							FROM 
								`cxs_license_requests` l 
							INNER JOIN
								`cxs_user` u
							ON
								u.user_id = l.requestor_user_id
							WHERE 
								l.status='SENT' AND l.company_id='".$_SESSION['login_user_array']['company_id']."'
							ORDER BY
								l.request_id DESC
						";		
						$RunUserQuery	= mysqli_query($conn, $selectQuery);
						$StdNumRows 	= mysqli_num_rows($RunUserQuery);
						
						if($StdNumRows>0){
							/**/
							$plan_usage_state = getPlanTotalUsageState();
							//echo "<pre>";print_r($plan_usage_state);die;
							/**/
							while($rows=mysqli_fetch_assoc($RunUserQuery)){
								$full_name 	= htmlentities($rows["full_name"]);
								$image_name = htmlentities($rows["image_name"]);
								if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
									$user_img_url = SITEURL."img/uploads/user_images/".$image_name;
								}else{
									$user_img_url = SITEURL."images/faces/default_face.png";
								}
								
								/*Current Plans*/
								$current_plan_apps = "";
								$current_plan_app_arr = array();
								$selectQuery1 	= "SELECT * FROM `cxs_licensed_products_subscription` WHERE user_id='".$rows["requestor_user_id"]."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
								$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
								$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
								if($StdNumRows1>0){
									while($rows1=mysqli_fetch_assoc($RunUserQuery1)){
										$plan_name = $rows1["plan_name"];
										$plan_code = $rows1["plan_code"];
										$current_plan_app_arr[] = implode(",",$plan_application_arr[$plan_name]);
									}
									$current_plan_apps = implode(",",$current_plan_app_arr);
								}
								/*Current Plans*/
								
								$requested_on = setDate($rows["creation_date"],"m/d/Y");
								$req_app = $application_full_name[$rows["application_requested"]];
								$req_app_plans = array();
								
								foreach($application_plan_arr[$rows["application_requested"]] as $req_app_plan){
									$cnt = (isset($plan_usage_state[$req_app_plan]))?$plan_usage_state[$req_app_plan]["total_licenses_available"]:"0";
									$approve_action = "";
									if($cnt>0){
										$approve_action = '<a href="javascript:void(0);" class="btn ml-0 mr-2 pl-0 pr-0 pt-1" title="Approve" onclick="updateLicenseRequests(\''.$rows["request_id"].'\',\''.$req_app.'\',\'approve\',\''.$req_app_plan.'\',\''.$current_plan_apps.'\');"><i class="fa fa-check"></i></a>';
									}
									$req_app_plans[] = "<li>".str_replace("##","-",$req_app_plan)." (".$cnt." Lic. Available) ".$approve_action."</li>";
								}
								$req_app_plans = implode(" ",$req_app_plans);
								$status 	= htmlentities($rows["status"]);
								?>
								<tr>
									<td>
										<div class="d-flex">
											<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
											<label class="mt-2"><?php echo $full_name; ?></label>
										</div>
									</td>
									<td><?php echo $requested_on; ?></td>
									<td><?php echo $req_app; ?></td>
									<td><?php echo "<ul>".$req_app_plans."</ul>"; ?></td>
									<td>
										<?php
										if($status=="SENT"){
										?>
											<a href="javascript:void(0);" class="btn ml-0 mr-2 pl-0 pr-0" title="Reject" onclick="updateLicenseRequests('<?php echo $rows["request_id"]; ?>','<?php echo $req_app; ?>','reject');"><i class="fa fa-times"></i></a>
										<?php	
										}else{
											echo $status;
										}
										?>
										
									</td>
								</tr>
								<?php
							}
						}
						?>
					</tbody>
					
				</table>
			</div>
		</div>
	</div>
	<?php
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'update_license_request'){
	
	//parse_str($_POST['form1'],$formArr1);
	
	$req_id 		= $_POST['req_id'];
	$application 	= $_POST['application'];
	$action 		= $_POST['action'];
	$plan_data 		= $_POST['plan_data'];
	
	$req_user_id 	= getvalue("cxs_license_requests","requestor_user_id"," WHERE request_id='".$req_id."'");
	
	$succ 		= 0;
	$msg 		= "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	/*$application_full_name	= array_flip($application_full_name);
	$application_requested	= $application_full_name[$application];*/
	
	if($req_id>0 && $application!="" && $action!=""){
		if($action=="approve"){
			$status = "APPROVED";
		}else{
			$status = "REJECTED";
		}
		
		/*Get Current Plan Data*/
		$plan_data_arr = array();
		$selectQuery 	= "SELECT * FROM `cxs_licensed_products_subscription` WHERE user_id='".$req_user_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$plan_name = $rows["plan_name"];
				$plan_code = $rows["plan_code"];
				$plan_data_arr[] = $plan_name." ## ".$plan_code;
			}
		}
		/*Get Current Plan Data*/
		
		$plan_data_arr[] = $plan_data;
		//print_r($plan_data_arr);die;
		$result = updateUserSubscription($req_user_id,$plan_data_arr);
		
		if($result["succ"]=="1"){
			
			updateLicenseRequestStatus($req_user_id,$status,$application);
			
			$succ = 1;
		}else{
			$succ 	= 0;
			$msg 	= $result["msg"];
		}
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'send_company_close_account_request'){
	
	$succ = 0;
	$msg = "";
	
	$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
	$date = new DateTime("now", new DateTimeZone($currTz) );
	$curTime = $date->format('Y-m-d H:i:s');
	
	if(getTotalRecord("cxs_company","id"," WHERE is_close_request='Y' AND id='".$_SESSION['login_user_array']['company_id']."'")>0){
		$msg = "Company Account Close Request already sent.";
	}else{
		
		$insArr = array();
		$insArr['is_close_request']			= "Y";
		$insArr['close_request_by_user_id']	= $_SESSION['login_user_array']['user_id'];
		$insArr['close_request_datetime']	= $curTime;
		
		$insArr['last_update_date']	= $curTime;
		$insArr['updated_timezone']	= $currTz;
		$insArr['last_udpated_by']	= isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
		
		updatedata("cxs_company",$insArr," WHERE id='".$_SESSION['login_user_array']['company_id']."'");
		$succ = 1;
		$msg = "ATTENTION: Your account closure request has been received. A Coexsys representative will be in touch soon.";
	}
	
	echo json_encode(array("succ" => $succ,"msg"=>$msg));
   	exit;
}
?>