<?php
    include("conn.php");
    include("functions.php");
    if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
		login_from_cookie();
	}
    if(!isset($_POST['is_html']))
    {
        header('Content-Type: application/json'); 
    }
    function check_time_overlap($start_time1, $end_time1, $start_time2, $end_time2) 
    {
        echo "\n cal overlap\n";
        echo "\n start_time1 ".$start_time1;
        echo "\n end_time1 ".$end_time1;
        echo "\n start_time2 ".$start_time2;
        echo "\n end_time2 ".$end_time2;
        
	return (($start_time1) <=  ($end_time2) && ($start_time2) < ($end_time1) ? true : false);
    }
    if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_total_days')
    {
        $start_date = isset($_POST['start_date'])?trim($_POST['start_date']):''; 
        $end_date = isset($_POST['end_date'])?trim($_POST['end_date']):'';         
        $data_list = array();
        
        if($start_date!='')
        {
            $start_date = date("m/d/Y",strtotime($start_date));
            $start_date = date("Y-m-d",strtotime($start_date));
        }
        if($end_date!='')
        {
            $end_date = date("m/d/Y",strtotime($end_date));
            $end_date = date("Y-m-d",strtotime($end_date));
        }
        $TotalDays = differenceInDays($start_date,$end_date);
        
        $holiday_date_array = array();
        $holiday_name_array = array();
        $qry = "select *from cxs_holiday where cxs_holiday.company_id = '".$_SESSION['login_user_array']['company_id']."' and (holiday_date >='".$start_date."' AND holiday_date <= '".$end_date."') ";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            while($row = mysqli_fetch_assoc($result))
            {
                $holiday_date_array[] = $row['holiday_date'];
                $holiday_name_array[] = $row['holiday_name'];
            }
        }
        
        //echo " total :".$start_date."  ".$end_date."  ".$TotalDays;
        $days_list = array();
        //$temp_date = $start_date;
        for($i=0;$i<$TotalDays;$i++)
        {
            $temp_date = date('Y-m-d', date(strtotime("+".$i." day", strtotime($start_date))));
            $holiday_position = -1;
            if(sizeof($holiday_date_array)>0)
            {   
                foreach ($holiday_date_array as $key => $value) 
                {
                    if($temp_date==$value)
                    {
                        $holiday_position = $key;
                        break;
                    }
                }
            }
            if($holiday_position==-1)
            {
                $row['hidden_date'] = $temp_date;
                $row['display_date'] = date("m/d",strtotime($temp_date));
                $row['display_day'] = date('l', strtotime($temp_date)); 
                $row['is_holiday'] = ""; 
                $row['holiday_name'] = "";                 
            }
            else
            {
                $row['hidden_date'] = $temp_date;
                $row['display_date'] = date("m/d",strtotime($temp_date));
                $row['display_day'] = date('l', strtotime($temp_date)); 
                $row['is_holiday'] = "Y"; 
                $row['holiday_name'] = $holiday_name_array[$holiday_position]; 
            }
            
            $days_list[] = $row;
        }
       
        
        $data_list['TotalDays'] = $TotalDays;
        $succ=1;
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"days_list"=>$days_list));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'check_schedule_data')
    {
        parse_str($_POST['form1'],$formArr1);                   
        $clock_in = isset($formArr1['regular_from_time'])?$formArr1['regular_from_time']:'';
        $clock_out = isset($formArr1['regular_to_time'])?$formArr1['regular_to_time']:'';
        $break_in = isset($formArr1['break_from_time'])?$formArr1['break_from_time']:'';
        $break_out = isset($formArr1['break_to_time'])?$formArr1['break_to_time']:'';
        $meal_in = isset($formArr1['meal_from_time'])?$formArr1['meal_from_time']:'';
        $meal_out = isset($formArr1['meal_to_time'])?$formArr1['meal_to_time']:'';
        $ot_in = isset($formArr1['overtime_from_time'])?$formArr1['overtime_from_time']:'';
        $ot_out = isset($formArr1['overtime_to_time'])?$formArr1['overtime_to_time']:'';
        
        $scheduler_name = isset($_POST["scheduler_name"])?$_POST["scheduler_name"]:'';
        $from_date = isset($_POST["from_date"])?$_POST["from_date"]:'';
        $to_date = isset($_POST["to_date"])?$_POST["to_date"]:'';
        
        $login_user_timezone = $_SESSION['login_user_array']['user_timezone'];
        $date = new DateTime("now", new DateTimeZone($login_user_timezone) );
        $curTime = $date->format('Y-m-d H:i:s');  
        
        $clock_id = isset($formArr1['h_scheduleid_reg'])?$formArr1['h_scheduleid_reg']:'';
        $break_id = isset($formArr1['h_scheduleid_break'])?$formArr1['h_scheduleid_break']:'';
        $meal_id = isset($formArr1['h_scheduleid_meal'])?$formArr1['h_scheduleid_meal']:'';
        $ot_id = isset($formArr1['h_scheduleid_ot'])?$formArr1['h_scheduleid_ot']:'';
        
        $flag = 1;
        $msg = "";
        $text_clock_out_time = "";
        $TotalDays = 0;
        if($from_date!='' && $to_date!='')
        {
            $from_date = date("m/d/Y",strtotime($from_date));
            $to_date = date("m/d/Y",strtotime($to_date));
            
            
            $date1 = date('Y-m-d', strtotime($from_date));
            $date2 = date('Y-m-d', strtotime($to_date));
           
            $TotalDays = dateDiffInDays($date1,$date2);
            $TotalDays++;     
        }    
        
      /*  if($TotalDays > 0)
        {
            $calendar_date = date('Y-m-d', strtotime($date1)); 
            for($i=0;$i<$TotalDays;$i++)
            {
                $calendar_date_display_array[$i] = $calendar_date;           
                $calendar_date = date('Y-m-d', strtotime($calendar_date . ' +1 day'));
            }
        }
        */
        $text_clock_in_time = "";
        $text_break_in_time = "";
        $text_break_out_time = "";
        $text_meal_in_time = "";
        $text_meal_out_time = "";
        $text_ot_in_time = "";
        $text_ot_out_time = "";
        $row = array();
        $data_list[] = array();
        $succ = 0;
        if($TotalDays > 0)
        {
            $calendar_date = date('Y-m-d', strtotime($date1)); 
            $flag = 1;  
            
            
            //print_r($clock_in);
                foreach($clock_in as $key=>$value)
                {
                    
                    if($clock_in[$key]!='')
                    {
                        $text_clock_in_time = date("Y-m-d h:i a",strtotime($calendar_date." ".$clock_in[$key]));                        
                        if($clock_out[$key]!='')
                        {
                            $text_clock_out_time_temp = date('Y-m-d h:i a',strtotime($calendar_date. " ". $clock_out[$key]));                        
                            $difference = differenceInMinutes($text_clock_in_time,$text_clock_out_time_temp);
                            if($difference<0)
                            {
                                $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                $text_clock_out_time_temp = $new_date." ".$clock_out[$key];
                            }
                        }
                    }
                    if(isset($break_in[$key]) && $break_in[$key]!='')
                    {   
                        $text_break_in_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $break_in[$key]));
                        $difference = differenceInMinutes($text_clock_in_time,$text_break_in_time);
                        if($difference<0)
                        {
                            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                            $text_break_in_time = $new_date." ".$break_in[$key];                        
                        }
                    }

                    if(isset($break_out[$key]) && $break_out[$key]!='')
                    {  
                        $text_break_out_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $break_out[$key]));
                        $difference = differenceInMinutes($text_clock_in_time,$text_break_out_time);
                        if($difference<0)
                        {
                            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                            $text_break_out_time = $new_date." ".$break_out[$key];
                        }
                        
                        if(isset($break_in[$key]) && $break_in[$key]!='' && isset($break_out[$key]) && $break_out[$key]!='')
                        {
                            $row = array();
                            $row['schedule_time_category'] = "Break Time";                            
                            $time_duration = differenceInHours($text_break_in_time,$text_break_out_time);
                            $row['time_duration']=$time_duration;
                            $data_list[] = $row;
                        }
                    }
                    if(isset($meal_in[$key]) && $meal_in[$key]!='')
                    {   
                        $text_meal_in_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $meal_in[$key]));
                        $difference = differenceInMinutes($text_clock_in_time,$text_meal_in_time);
                        if($difference<0)
                        {
                            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                            $text_meal_in_time = $new_date." ".$meal_in[$key];
                        }
                    }

                    if(isset($meal_out[$key]) && $meal_out[$key]!='')
                    {  
                        $text_meal_out_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $meal_out[$key]));
                        $difference = differenceInMinutes($text_clock_in_time,$text_meal_out_time);
                        if($difference<0)
                        {
                            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                            $text_meal_out_time = $new_date." ".$meal_out[$key];
                        }
                        
                        if(isset($meal_in[$key]) && $meal_in[$key]!='' && isset($meal_out[$key]) && $meal_out[$key]!='')
                        {
                            $row = array();
                            $row['schedule_time_category'] = "Meal Time";                            
                            $time_duration = differenceInHours($text_meal_in_time,$text_meal_out_time);
                            $row['time_duration']=$time_duration;
                            $data_list[] = $row;
                        }
                    }
                    if(isset($ot_in[$key]) && $ot_in[$key]!='')
                    {   
                        $text_ot_in_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $ot_in[$key]));
                        $difference = differenceInMinutes($text_clock_in_time,$text_ot_in_time);
                        if($difference<0)
                        {
                            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                            $text_ot_in_time = $new_date." ".$ot_in[$key];
                        }
                    }

                    if(isset($ot_out[$key]) && $ot_out[$key]!='')
                    {  
                        $text_ot_out_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $ot_out[$key]));
                        $difference = differenceInMinutes($text_clock_in_time,$text_ot_out_time);
                        if($difference<0)
                        {
                            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                            $text_ot_out_time = $new_date." ".$ot_out[$key];
                        }
                        
                        if(isset($ot_in[$key]) && $ot_in[$key]!='' && isset($ot_out[$key]) && $ot_out[$key]!='')
                        {
                            $row = array();
                            $row['schedule_time_category'] = "OverTime";
                            $time_duration = differenceInHours($text_ot_in_time,$text_ot_out_time);
                            $row['time_duration']=$time_duration;
                            $data_list[] = $row;
                        }
                    }
                    if(isset($clock_out[$key]) && $clock_out[$key]!='')
                    {
                        $text_clock_out_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $clock_out[$key]));                        
                        $difference = differenceInMinutes($text_clock_in_time,$text_clock_out_time);
                        if($difference<0)
                        {
                            $date1_slot =  date('a',strtotime($text_clock_in_time));
                            $date2_slot =  date('a',strtotime($text_clock_out_time));
                            
                            if($date1_slot==$date2_slot)
                            {
                                $flag=0;
                                $msg = "Clock out time is not valid.";
                                break;
                            }
                            $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                            $text_clock_out_time = $new_date." ".$clock_out[$key];
                        }
                        
                        
                    }
                    
                     /* CHECK VALIDATION */
                    if($break_in[$key]!='' && $flag==1)
                    {
                        if(date("Y-m-d H:i",strtotime($text_break_in_time)) > date("Y-m-d H:i",strtotime($text_clock_in_time)))
                        {
                            $flag = 1;
                        }
                        else
                        {
                            $flag = 0;
                            //$msg = "Out for Break of dated ".date("m/d/Y",strtotime($calendar_date))." is not valid.";
                            $msg = "Out for Break is not valid.";
                            break;
                        }
                        
                        if($flag==1)
                        {
                            if($meal_in[$key]!='' && $meal_out[$key]!='')
                            {
                                $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_meal_in_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)),date("Y-m-d H:i",strtotime($text_break_in_time)));
                                if($is_between==1)
                                {
                                    $flag=0;
                                    //$msg = "Out for Meal of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                                    $msg = "Out for Meal is not valid.";
                                    break;
                                }
                                else if($is_between==0)
                                {
                                    $flag=1;
                                }
                            }
                        }
                    }
                    /*** break validation 1 over ***/
                    /*** break validation 2 ***/
                    if($break_in[$key]!='' && $break_out[$key]!='' && $flag == 1)
                    {
                        if (date("Y-m-d H:i",strtotime($text_break_out_time)) > date("Y-m-d H:i",strtotime($text_break_in_time)) )
                        {
                            $flag = 1;
                        }
                        else 
                        {
                            $flag = 0;
                            //$msg = "Break period of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                            $msg = "Break period is not valid.";
                            break;
                        }
                        if($flag==1)
                        {
                           
                            $is_after = check_DateTimeafter_twodt(date("Y-m-d H:i",strtotime($text_break_in_time)),date("Y-m-d H:i",strtotime($text_break_out_time)),date("Y-m-d H:i",strtotime($text_clock_in_time)));
                            if($is_after==1)
                            {
                                $flag = 0;
                                //$msg = "Break period of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                                $msg = "Break period is not valid.";
                                break;
                            }                        
                        }
                        if($flag==1)
                        {
                            $is_after = check_DateTimeafter_twodt(date("Y-m-d H:i",strtotime($text_break_in_time)),date("Y-m-d H:i",strtotime($text_break_out_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)));                    
                            $flag=$is_after;
                            if($flag==0)
                            {
                                //$msg = "Break period of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                                $msg = "Break period is not valid.";
                                break;
                            }
                        }
                    }
                    /*** validation 2 over ***/
                    
                    
                    /*** Meal validation 1 over ***/
                    if($meal_in[$key]!='' && $flag==1)
                    {
                        if(date("Y-m-d H:i",strtotime($text_meal_in_time)) > date("Y-m-d H:i",strtotime($text_clock_in_time)))
                        {
                            $flag = 1;
                        }
                        else
                        {
                            $flag = 0;
                            //$msg = "Out for Break of dated ".date("m/d/Y",strtotime($calendar_date))." is not valid.";
                            $msg = "Out for Meal is not valid.";
                            break;
                        }
                        if($flag==1)
                        {
                            if($break_in[$key]!='' && $break_out[$key]!='')
                            {
                                $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_break_in_time)),date("Y-m-d H:i",strtotime($text_break_out_time)),date("Y-m-d H:i",strtotime($text_meal_in_time)));
                                if($is_between==1)
                                {
                                    $flag=0;
                                    //$msg = "Out for Meal of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                                    $msg = "Out for Meal is not valid.";
                                    break;
                                }
                                else if($is_between==0)
                                {
                                    $flag=1;
                                }
                            }
                        }
                    }                    
                    /*** Meal validation 1 over ***/
                    
                    /*** Meal validation 2 ***/
                    if($meal_in[$key]!='' && $meal_out[$key]!='' && $flag == 1)
                    {
                        if (date("Y-m-d H:i",strtotime($text_meal_out_time)) > date("Y-m-d H:i",strtotime($text_meal_in_time)) )
                        {
                            $flag = 1;
                        }
                        else 
                        {
                            $flag = 0;
                            //$msg = "Break period of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                            $msg = "Meal period is not valid.";
                            break;
                        }
                        if($flag==1)
                        {
                            $is_after = check_DateTimeafter_twodt(date("Y-m-d H:i",strtotime($text_meal_in_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)),date("Y-m-d H:i",strtotime($text_clock_in_time)));
                            if($is_after==1)
                            {
                                $flag = 0;
                                //$msg = "Break period of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                                $msg = "Meal period is not valid.";
                                break;
                            }                        
                        }
                        if($flag==1)
                        {
                            $is_after = check_DateTimeafter_twodt(date("Y-m-d H:i",strtotime($text_meal_in_time)),date("Y-m-d H:i",strtotime($text_meal_out_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)));
                            $flag=$is_after;
                            if($flag==0)
                            {
                                //$msg = "Break period of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                                $msg = "Meal period is not valid.";
                                break;
                            }
                        }
                    }
                    /*** Meal validation 2 over ***/
                    
                    
                    
                     /*** Overtime validation 1 over ***/
                    if($ot_in[$key]!='' && $flag==1)
                    {
                        if(date("Y-m-d H:i",strtotime($text_ot_in_time)) > date("Y-m-d H:i",strtotime($text_clock_in_time)))
                        {
                            $flag = 1;
                        }
                        else
                        {
                            $flag = 0;
                            //$msg = "Out for Break of dated ".date("m/d/Y",strtotime($calendar_date))." is not valid.";
                            $msg = "Overtime is not valid.";
                            break;
                        }
                        if($flag==1)
                        {
                            if($ot_in[$key]!='' && $ot_out[$key]!='')
                            {
                                $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_ot_in_time)),date("Y-m-d H:i",strtotime($text_ot_out_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)));
                                if($is_between==1)
                                {
                                    $flag=0;
                                    //$msg = "Out for Meal of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                                    $msg = "Overtime is not valid.";
                                    break;
                                }
                                else if($is_between==0)
                                {
                                    $flag=1;
                                }
                            }
                        }
                    }
                    /*** Overtime validation 1 over ***/
                    /*** Overtime validation 2 ***/
                    if($ot_in[$key]!='' && $ot_out[$key]!='' && $flag == 1)
                    {
                        if (date("Y-m-d H:i",strtotime($text_ot_out_time)) > date("Y-m-d H:i",strtotime($text_ot_in_time)) )
                        {
                            $flag = 1;
                        }
                        else 
                        {
                            $flag = 0;
                            //$msg = "Break period of dated ".date("m/d/Y",strtotime($value))." is not valid.";
                            $msg = "Overtime period is not valid.";
                            break;
                        }
                        
                        if($flag==1)
                        {
                            //$is_after = check_DateTimeafter_twodt(date("Y-m-d H:i",strtotime($text_ot_in_time)),date("Y-m-d H:i",strtotime($text_ot_out_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)));
                            $is_after = check_DateTimeafter_twodt(date("Y-m-d H:i",strtotime($text_clock_in_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)),date("Y-m-d H:i",strtotime($text_ot_in_time)));
                            if($is_after==0)
                            {
                                $flag = 0;
                                $msg = "Overtime period is not valid.";
                                break;
                            }
                            if($is_after==1)
                            {
                                $is_after = check_DateTimeafter_twodt(date("Y-m-d H:i",strtotime($text_clock_in_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)),date("Y-m-d H:i",strtotime($text_ot_out_time)));  
                                if($is_after==0)
                                {
                                    $flag = 0;
                                    $msg = "Overtime period is not valid.";
                                    break;
                                }
                            }
                        }
                    }
                    /*** Overtime validation 2 over ***/
                    
                    /*
                    if($key>0)
                    {
                        if( $clock_in[$key]!='' && $clock_out[$key]!='' && $clock_in[$key-1]!=''  && $clock_out[$key-1]!='')
                        {
                            if($prev_clock_in!='' && $prev_clock_out!='' && $text_clock_in_time!='' && $text_clock_out_time!='' )
                            {
                                $is_between = check_DateTimebetween_twodt(date("Y-m-d H:i",strtotime($text_clock_in_time)),date("Y-m-d H:i",strtotime($text_clock_out_time)),date("Y-m-d H:i",strtotime($prev_clock_in)));
                                if($is_between==1)
                                {
                                    $flag=0;                                    
                                    $msg = "Start Regular time ".$text_clock_in_time." is not valid.";
                                    break;
                                }
                                else if($is_between==0)
                                {
                                    $flag=1;
                                }
                            }
                            $prev_clock_in = "";
                            $prev_clock_out = "";
                        }
                    }
                    
                    if($flag==0)
                    {
                        break;
                    }
                    if($clock_in[$key]!= '' && $clock_out[$key]!='')
                    {
                        $prev_clock_in = $text_clock_in_time;
                        $prev_clock_out = $text_clock_out_time;
                    }
                    else
                    {
                        $prev_clock_in = "";
                        $prev_clock_out = "";
                    }*/
                }
        }
        
        if($flag==1)
        {
          /*  $holiday_date_array = array();
            $holiday_name_array = array();
            $qry = "select *from cxs_holiday where cxs_holiday.company_id = '".$_SESSION['login_user_array']['company_id']."' and (holiday_date >='".$start_date."' AND holiday_date <= '".$end_date."') ";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result)>0)
            {
                while($row = mysqli_fetch_assoc($result))
                {
                    $holiday_date_array[] = $row['holiday_date'];
                    $holiday_name_array[] = $row['holiday_name'];
                }
            }
            */
            $data_list=array();
            $calendar_date = date('Y-m-d', strtotime($date1)); 
            for($i=0;$i<$TotalDays;$i++)
            {
             /*   
                $holiday_position = -1;
                if(sizeof($holiday_date_array)>0)
                {   
                    foreach ($holiday_date_array as $key => $value) 
                    {
                        if($calendar_date==$value)
                        {
                            $holiday_position = $key;
                            break;
                        }
                    }
                }
             */   
               /* if($holiday_position>0)
                {
                    $row = array();
                    $row['schedule_time_category'] = "Leave Time";    
                    $row['schedule_date'] = $calendar_date;
                    $row['schedule_datetime_start'] = "";
                    $row['schedule_datetime_end'] = "";
                    $row['time_duration']="";
                    $data_list[] = $row;
                }
                else
                {*/
                    foreach($clock_in as $key=>$value)
                    {
                        if($clock_in[$key]!='' && $clock_out[$key]!='')
                        {
                            /*$text_clock_in_time = date("Y-m-d h:i a",strtotime($calendar_date." ".$clock_in[$key]));
                            $text_clock_out_time = date('Y-m-d h:i a',strtotime($calendar_date. " ". $clock_out[$key]));                        
                            */
                            $text_clock_in_time = date("Y-m-d H:i:s",strtotime($calendar_date." ".$clock_in[$key]));
                            $text_clock_out_time = date('Y-m-d H:i:s',strtotime($calendar_date. " ". $clock_out[$key]));
                            $difference = differenceInMinutes($text_clock_in_time,$text_clock_out_time);
                            if($difference<0)
                            {
                                $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                $text_clock_out_time = date("Y-m-d H:i:s",strtotime($new_date." ".$clock_out[$key]));
                            }

                            $row = array();
                            $row['schedule_time_category'] = "Regular Time";    
                            $row['schedule_date'] = $calendar_date;
                            $row['schedule_datetime_start'] = $text_clock_in_time;
                            $row['schedule_datetime_end'] = $text_clock_out_time;
                            $time_duration = differenceInHours($text_clock_in_time,$text_clock_out_time);
                            /*$whole = floor($n);      // 1
                            $fraction = $n - $whole; // .25*/

                            $whole = floor($time_duration);      // 1
                            $fraction = $time_duration - $whole; // .50
                            $whole = sprintf("%02d", $whole);
                            if($fraction==0)
                            {
                                $fraction = '00';
                            }
                            else if($fraction==.5)
                            {
                                $fraction = '30';
                            }
                            $row['time_duration']=$whole.":".$fraction;
                            $data_list[] = $row;
                        }

                        if($break_in[$key]!='' && $break_out[$key]!='')
                        {
                            $text_break_in_time = date("Y-m-d H:i:s",strtotime($calendar_date." ".$break_in[$key]));
                            $text_break_out_time = date("Y-m-d H:i:s",strtotime($calendar_date. " ". $break_out[$key]));                        
                            $difference = differenceInMinutes($text_break_in_time,$text_break_out_time);
                            if($difference<0)
                            {
                                $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                $text_break_out_time = date("Y-m-d H:i:s",strtotime($new_date." ".$break_out[$key]));
                            }

                            $row = array();
                            $row['schedule_time_category'] = "Break Time";    
                            $row['schedule_date'] = $calendar_date;
                            $row['schedule_datetime_start'] = $text_break_in_time;
                            $row['schedule_datetime_end'] = $text_break_out_time;
                            $time_duration = differenceInHours($text_break_in_time,$text_break_out_time);

                            $whole = floor($time_duration);      // 1
                            $fraction = $time_duration - $whole; // .50
                            $whole = sprintf("%02d", $whole);
                            if($fraction==0)
                            {
                                $fraction = '00';
                            }
                            else if($fraction==.5)
                            {
                                $fraction = '30';
                            }
                            $row['time_duration']=$whole.":".$fraction;

                            $data_list[] = $row;
                        }

                        if($meal_in[$key]!='' && $meal_out[$key]!='')
                        {
                            $text_meal_in_time = date("Y-m-d H:i:s",strtotime($calendar_date." ".$meal_in[$key]));
                            $text_meal_out_time = date("Y-m-d H:i:s",strtotime($calendar_date. " ". $meal_out[$key]));                        
                            $difference = differenceInMinutes($text_meal_in_time,$text_meal_out_time);
                            if($difference<0)
                            {
                                $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                $text_meal_out_time = date("Y-m-d H:i:s",strtotime($new_date." ".$meal_out[$key]));
                            }

                            $row = array();
                            $row['schedule_time_category'] = "Meal Time";    
                            $row['schedule_date'] = $calendar_date;
                            $row['schedule_datetime_start'] = $text_meal_in_time;
                            $row['schedule_datetime_end'] = $text_meal_out_time;
                            $time_duration = differenceInHours($text_meal_in_time,$text_meal_out_time);

                            $whole = floor($time_duration);      // 1
                            $fraction = $time_duration - $whole; // .50
                            $whole = sprintf("%02d", $whole);
                            if($fraction==0)
                            {
                                $fraction = '00';
                            }
                            else if($fraction==.5)
                            {
                                $fraction = '30';
                            }
                            $row['time_duration']=$whole.":".$fraction;

                            $data_list[] = $row;
                        }

                        if($ot_in[$key]!='' && $ot_out[$key]!='')
                        {
                            $text_ot_in_time = date("Y-m-d H:i:s",strtotime($calendar_date." ".$ot_in[$key]));
                            $text_ot_out_time = date("Y-m-d H:i:s",strtotime($calendar_date. " ". $ot_out[$key]));                        
                            $difference = differenceInMinutes($text_ot_in_time,$text_ot_out_time);
                            if($difference<0)
                            {
                                $new_date    = date('Y-m-d', date(strtotime("+ 1 day", strtotime($calendar_date))));
                                $text_ot_out_time = date("Y-m-d H:i:s",strtotime($new_date." ".$ot_out[$key]));
                            }

                            $row = array();
                            $row['schedule_time_category'] = "OverTime";    
                            $row['schedule_date'] = $calendar_date;
                            $row['schedule_datetime_start'] = $text_ot_in_time;
                            $row['schedule_datetime_end'] = $text_ot_out_time;
                            $time_duration = differenceInHours($text_ot_in_time,$text_ot_out_time);

                            $whole = floor($time_duration);      // 1
                            $fraction = $time_duration - $whole; // .50
                            $whole = sprintf("%02d", $whole);
                            if($fraction==0)
                            {
                                $fraction = '00';
                            }
                            else if($fraction==.5)
                            {
                                $fraction = '30';
                            }
                            $row['time_duration']=$whole.":".$fraction;
                            $data_list[] = $row;
                        }
                    }
            /*    } */
                $calendar_date = date('Y-m-d', strtotime($calendar_date . ' +1 day'));
            }
        }
        $succ = $flag;
        
        
        
        //print_r($data_list);
        echo json_encode(array("succ" => $succ,"msg"=>$msg,"data_list"=>$data_list));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'save_schedule_data')
    {
		
        //parse_str($_POST['form1'],$formArr1);                   
        /*
        $clock_in = isset($formArr1['regular_from_time'])?$formArr1['regular_from_time']:'';
        $clock_out = isset($formArr1['regular_to_time'])?$formArr1['regular_to_time']:'';
        $break_in = isset($formArr1['break_from_time'])?$formArr1['break_from_time']:'';
        $break_out = isset($formArr1['break_to_time'])?$formArr1['break_to_time']:'';
        $meal_in = isset($formArr1['meal_from_time'])?$formArr1['meal_from_time']:'';
        $meal_out = isset($formArr1['meal_to_time'])?$formArr1['meal_to_time']:'';
        $ot_in = isset($formArr1['overtime_from_time'])?$formArr1['overtime_from_time']:'';
        $ot_out = isset($formArr1['overtime_to_time'])?$formArr1['overtime_to_time']:'';
        
        */
		
		$clock_in 	= array();
        $clock_out 	= array();
        $break_in 	= array();
        $break_out 	= array();
        $meal_in 	= array();
        $meal_out 	= array();
        $ot_in 		= array();
        $ot_out 	= array();
		
        $schedule_date 	= isset($_POST['schedule_date'])?$_POST['schedule_date']:'';
        $scheduler_name = isset($_POST["txt_scheduler_name"])?$_POST["txt_scheduler_name"]:'';
        $entry_mode 	= isset($_POST["entry_mode"])?$_POST["entry_mode"]:'';
        
        $clock_in 	= isset($_POST['regular_from_time'])?explode(",",$_POST['regular_from_time']):array();
        $clock_out 	= isset($_POST['regular_to_time'])?explode(",",$_POST['regular_to_time']):array();
        $break_in 	= isset($_POST['break_from_time'])?explode(",",$_POST['break_from_time']):array();
        $break_out 	= isset($_POST['break_to_time'])?explode(",",$_POST['break_to_time']):array();
        $meal_in 	= isset($_POST['meal_from_time'])?explode(",",$_POST['meal_from_time']):array();
        $meal_out 	= isset($_POST['meal_to_time'])?explode(",",$_POST['meal_to_time']):array();
        $ot_in 		= isset($_POST['overtime_from_time'])?explode(",",$_POST['overtime_from_time']):array();
        $ot_out 	= isset($_POST['overtime_to_time'])?explode(",",$_POST['overtime_to_time']):array();
        
        $login_user_timezone = $_SESSION['login_user_array']['user_timezone'];
        $date = new DateTime("now", new DateTimeZone($login_user_timezone) );
        $curTime = $date->format('Y-m-d H:i:s');  
        
        /*
        echo "\n Clock In";
        print_r($clock_in);
        
        echo "\n Clock Out";
        print_r($clock_out);
        
        echo "\n Break In";
        print_r($break_in);
        
        echo "\n Break out";
        print_r($break_out);
        
        
        echo "\n meal In";
        print_r($meal_in);
         echo "\n meal Out";
        print_r($meal_out);
        
        echo "\n ot in";
        print_r($ot_in);
        echo "\n ot out";
        print_r($ot_out);
        
        echo "\n schedule";
        print_r($schedule_date);
        
        exit();*/
        $flag = 1;
        $msg = "";
        
        if($entry_mode=="")
        {
            $qry = "select * from cxs_schedules where scheduler_name = '".$scheduler_name."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                $msg = "Scheduler name ".$scheduler_name." already exist. Please enter another name.";
                $flag = 0;
            }
        }
        else if($entry_mode=="edit")
        {
            $qry = "delete from cxs_schedules where scheduler_name = '".$scheduler_name."' and company_id = '".$_SESSION['login_user_array']['company_id']."'";
            $result = mysqli_query($conn,$qry);            
        }
        $text_clock_out_time = "";
        $text_clock_in_time = "";
        $text_break_in_time = "";
        $text_break_out_time = "";
        $text_meal_in_time = "";
        $text_meal_out_time = "";
        $text_ot_in_time = "";
        $text_ot_out_time = "";
        if($flag==1)
        {
            if(sizeof($clock_in)>0)
            {
                foreach($clock_in as $key => $value)
                {
                    if($key%2==1)
                    {
                        $insArr = array();   
                        $entry_startDate  = "Null";
                        $entry_endDate  = "Null";
                        $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        $insArr['last_update_date']= $curTime;
                        $insArr['updated_timezone']=$login_user_timezone;
                        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 

                        $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
                        $insArr['creation_date'] = $curTime;
                        $insArr['created_timezone']=$login_user_timezone;

                        $insArr['scheduler_name'] = $scheduler_name;
                        $entry_startDate = date('Y-m-d H:i:s',strtotime($clock_in[$key]));
                        $insArr['schedule_datetime_start'] = $entry_startDate;
                        $insArr['schedule_time_category'] = "Regular Time";
                        $insArr['schedule_datetime_end'] = "Null";
                        $insArr['schedule_date'] = $clock_in[$key-1];
                        if($clock_out[$key]!='')
                        {
                            $entry_endDate = date('Y-m-d H:i:s',strtotime($clock_out[$key]));
                            $insArr['schedule_datetime_end'] = $entry_endDate;                    
                        }
                        insertdata("cxs_schedules_temp",$insArr);
                    }
                }
            }
            
            if(sizeof($break_in)>0)
            {
                foreach($break_in as $key => $value)
                {
                    if($key%2==1)
                    {
                        $insArr = array();   
                        $entry_startDate  = "Null";
                        $entry_endDate  = "Null";
                        $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        $insArr['last_update_date']= $curTime;
                        $insArr['updated_timezone']=$login_user_timezone;
                        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 


                        $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
                        $insArr['creation_date'] = $curTime;
                        $insArr['created_timezone']=$login_user_timezone;
                        $insArr['scheduler_name'] = $scheduler_name;
                        $entry_startDate = date('Y-m-d H:i:s',strtotime($break_in[$key]));
                        $insArr['schedule_datetime_start'] = $entry_startDate;
                        $insArr['schedule_time_category'] = "Break Time";                       
                        $insArr['schedule_datetime_end'] = "Null";
                        $insArr['schedule_date'] = $break_in[$key-1];
                        if($break_out[$key]!='' )
                        {
                            $entry_endDate = date('Y-m-d H:i:s',strtotime($break_out[$key]));
                            $insArr['schedule_datetime_end'] = $entry_endDate;                    
                        }
                        insertdata("cxs_schedules_temp",$insArr);
                    }
                }
            }
            
            if(sizeof($meal_in)>0)
            {
                foreach($meal_in as $key => $value)
                {
                    if($key%2==1)
                    {
                        $insArr = array();   
                        $entry_startDate  = "Null";
                        $entry_endDate  = "Null";
                        $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        $insArr['last_update_date']= $curTime;
                        $insArr['updated_timezone']=$login_user_timezone;
                        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 


                        $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
                        $insArr['creation_date'] = $curTime;
                        $insArr['created_timezone']=$login_user_timezone;
                        $insArr['scheduler_name'] = $scheduler_name;
                        $entry_startDate = date('Y-m-d H:i:s',strtotime($meal_in[$key]));
                        $insArr['schedule_datetime_start'] = $entry_startDate;
                        $insArr['schedule_time_category'] = "Meal Time";                       
                        $insArr['schedule_datetime_end'] = "Null";
                        $insArr['schedule_date'] = $meal_in[$key-1];
                        if($meal_out[$key]!='')
                        {
                            $entry_endDate = date('Y-m-d H:i:s',strtotime($meal_out[$key]));
                            $insArr['schedule_datetime_end'] = $entry_endDate;                    
                        }
                        insertdata("cxs_schedules_temp",$insArr);
                    }
                }
            }
            if(sizeof($ot_in)>0)
            {
                foreach($ot_in as $key => $value)
                {
                    if($key%2==1)
                    {
                        $insArr = array();   
                        $entry_startDate  = "Null";
                        $entry_endDate  = "Null";
                        $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                        $insArr['last_update_date']= $curTime;
                        $insArr['updated_timezone']=$login_user_timezone;
                        $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 


                        $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
                        $insArr['creation_date'] = $curTime;
                        $insArr['created_timezone']=$login_user_timezone;
                        $insArr['scheduler_name'] = $scheduler_name;
                        $entry_startDate = date('Y-m-d H:i:s',strtotime($ot_in[$key]));
                        $insArr['schedule_datetime_start'] = $entry_startDate;
                        $insArr['schedule_time_category'] = "Overtime";                       
                        $insArr['schedule_datetime_end'] = "Null";
                        $insArr['schedule_date'] = $ot_in[$key-1];
                        if($ot_out[$key]!='')
                        {
                            $entry_endDate = date('Y-m-d H:i:s',strtotime($ot_out[$key]));
                            $insArr['schedule_datetime_end'] = $entry_endDate;                    
                        }
                        insertdata("cxs_schedules_temp",$insArr);
                    }
                }
            }
            
            
            $qry = "select * from cxs_schedules_temp where company_id= '".$_SESSION['login_user_array']['company_id']."' and created_by = '".$_SESSION['login_user_array']['user_email']."' and scheduler_name = '".$scheduler_name."'"
                 . "Order by schedule_date, schedule_datetime_start,CASE schedule_time_category WHEN 'Regular Time' THEN 1 WHEN 'Break Time' THEN 2 WHEN 'Meal Time' THEN 3 WHEN'Overtime' THEN 4 END";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                while($row = mysqli_fetch_assoc($result))
                {  
                    $insArr = array();                       
                    $insArr['last_udpated_by'] = $row['last_udpated_by']; 
                    $insArr['last_update_date']= $row['last_update_date'];
                    $insArr['updated_timezone']=$row['updated_timezone'];
                    $insArr['company_id'] = $row['company_id']; 

                    $insArr['created_by'] = $row['created_by'];
                    $insArr['creation_date'] = $row['creation_date'];
                    $insArr['created_timezone']=$row['created_timezone'];
                    $insArr['scheduler_name'] = $row['scheduler_name'];                    
                    $insArr['schedule_datetime_start'] = $row['schedule_datetime_start'];
                    $insArr['schedule_time_category'] = $row['schedule_time_category'];                       
                    $insArr['schedule_datetime_end'] = $row['schedule_datetime_end'];
                    $insArr['schedule_date'] = $row['schedule_date'];                    
                    $insArr['schedule_datetime_end'] = $row['schedule_datetime_end'];                    
                    
                    if($row['schedule_datetime_start']!='' && $row['schedule_datetime_end']!=''  &&  $row['schedule_datetime_start']!='0000-00-00 00:00:00' && $row['schedule_datetime_end']!='0000-00-00 00:00:00')
                    {
                        insertdata("cxs_schedules",$insArr);
                    }
                }
            }
            $qry = "Delete from cxs_schedules_temp where company_id= '".$_SESSION['login_user_array']['company_id']."' and created_by = '".$_SESSION['login_user_array']['user_email']."' and scheduler_name = '".$scheduler_name."'";
            $result = mysqli_query($conn,$qry);
        }        
        $succ = $flag;
        if($flag==1)
        {
            $msg = "Employee Schedule has been created successfully.";
        }
        echo json_encode(array("succ" => $succ,"msg"=>$msg));
        exit;
    }
    
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'set_calendar_view123') 
    {
        $succ=0;
        
        $from_date = isset($_POST["from_date"])?$_POST["from_date"]:'';
        $to_date = isset($_POST["to_date"])?$_POST["to_date"]:'';
        $data_list = array();
        $query_1="";
        
        $TotalDays = 0;
        if($from_date!='' && $to_date!='')
        {
            $from_date = date("m/d/Y",strtotime($from_date));
            $to_date = date("m/d/Y",strtotime($to_date));
            
            
            $date1 = date('Y-m-d', strtotime($from_date));
            $date2 = date('Y-m-d', strtotime($to_date));
            $TotalDays = dateDiffInDays($date1,$date2);
            $TotalDays++;    
        }
        if($TotalDays > 0)
        {
            $calendar_date = date('Y-m-d', strtotime($date1));
            $counter = 0;
            for($i=0;$i<$TotalDays;$i++)
            {
                $counter++;
                $row['schedule_fill_date'] = date("D M j",strtotime($row['schedule_date'])); 
                
                $calendar_date = date('Y-m-d', strtotime($calendar_date . ' +1 day'));
            }
        }
            $counter = 0;
            while($row = mysqli_fetch_assoc($result))
            { 
                $counter++;
                /*$datetime1 = new DateTime($row['schedule_datetime_start']);
                $datetime2 = new DateTime($row['schedule_datetime_end']);
                $interval = $datetime1->diff($datetime2);
                $time_duration = $interval->format('%h.%i');                //Hours*/
                //$row['schedule_fill_date'] = date('Y-m-d',strtotime($row['schedule_fill_date']));
                
                $row['schedule_fill_date'] = date("D M j",strtotime($row['schedule_date'])); 
                
                $row['weekly_start_time'] = "";
                $row['weekly_end_time'] = "";
                
                if( !is_null($row['schedule_datetime_start']) && $row['schedule_datetime_start']!='0000-00-00 00:00:00')
                {
                    $row['weekly_start_time'] = date('h:i A',strtotime($row['schedule_datetime_start']));
                    $row['schedule_datetime_start'] = date('m-d-Y h:i A',strtotime($row['schedule_datetime_start']));
                }
                else 
                {
                    $row['schedule_datetime_start'] = "";
                }
                if(!is_null($row['schedule_datetime_end']) && $row['schedule_datetime_end']!='0000-00-00 00:00:00')
                {
                    $row['weekly_end_time'] = date('h:i A',strtotime($row['schedule_datetime_end']));
                    $row['schedule_datetime_end'] = date('m-d-Y h:i A',strtotime($row['schedule_datetime_end']));
                }
                else 
                {
                    $row['schedule_datetime_end'] = "";
                }
                
                //$row['time_duration'] = $time_duration;
                
                $row['time_duration']=$row['TotalTimeDuration'];
                
                
                
                
                if($_POST["to_date"]=='')
                {
                    if($counter==$TotalRecords)
                    {
                        /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                        $data_content_eye_icon = show_eye_icon_data_format($row);
                        $row['data_content_eye_icon'] = $data_content_eye_icon;
                    }
                    else
                    {
                        $row['data_content_eye_icon'] = "";
                    }
                }
                else 
                {
                    /*$data_content_eye_icon = show_eye_icon_data("cxs_employee_schedules","schedule_id",$row['schedule_id']);*/
                    $data_content_eye_icon = show_eye_icon_data_format($row);
                    $row['data_content_eye_icon'] = $data_content_eye_icon;
                }
                
                $data_list[] = $row;
            }
        
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"TotalRecords"=>$TotalRecords,"qry"=>$qry));        
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'assign_schedule_to_user')
    {
        
        $user_list_id_array = isset($_POST['user_list_id'])?$_POST['user_list_id']:'';
        $scheduler_name = isset($_POST['scheduler_name'])?$_POST['scheduler_name']:'';
        
        $login_user_timezone = $_SESSION['login_user_array']['user_timezone'];
        $date = new DateTime("now", new DateTimeZone($login_user_timezone) );
        $curTime = $date->format('Y-m-d H:i:s');  
        
        $succ = 0;
        $user_employee_id_list = array();
        $employee_exempt_list = array();
        
        
        $schedule_start_date = getvalue("cxs_schedules","schedule_date"," where scheduler_name = '".$scheduler_name."' and company_id ='".$_SESSION['login_user_array']['company_id']."' order by schedule_id limit 1");
        $schedule_end_date = getvalue("cxs_schedules","schedule_date"," where scheduler_name = '".$scheduler_name."' and company_id ='".$_SESSION['login_user_array']['company_id']."' order by schedule_id desc limit 1");

        
        foreach ($user_list_id_array as $key => $value) 
        {
            //$employee_id = getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$value."'");
            $qry = "select employee_id,exempt_flag from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$value."'";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                $row = mysqli_fetch_assoc($result);
                $employee_id = $row['employee_id'];
                $exempt_flag = $row['exempt_flag'];
                
                $user_employee_id_list[] = $employee_id;
                $employee_exempt_list[] = $exempt_flag;
            }
            
        }
        
           
        foreach ($user_list_id_array as $key => $value) 
        {
            $delete_qry = "delete from cxs_employee_schedules where user_id = '".$user_list_id_array[$key]."' and (schedule_date >='".$schedule_start_date."' and schedule_date <= '".$schedule_end_date."')";
            $result_delete = mysqli_query($conn,$delete_qry);
        
            $qry = "select * from cxs_schedules where scheduler_name = '".$scheduler_name."' and company_id ='".$_SESSION['login_user_array']['company_id']."' order by schedule_id";
            $result = mysqli_query($conn,$qry);
            if(mysqli_num_rows($result) > 0)
            {
                while($row = mysqli_fetch_assoc($result))
                {   
                    /********/                    
                    $insArr = array();                       
                    $insArr['last_udpated_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:''; 
                    $insArr['last_update_date']= $curTime;
                    $insArr['updated_timezone']=$login_user_timezone;
                    $insArr['company_id'] = isset($_SESSION['login_user_array']['company_id'])?$_SESSION['login_user_array']['company_id']:0; 
                    $insArr['created_by'] = isset($_SESSION['login_user_array']['user_email'])?$_SESSION['login_user_array']['user_email']:'';
                    $insArr['creation_date'] = $curTime;
                    $insArr['created_timezone']=$login_user_timezone;

                    $insArr['employee_id'] = $user_employee_id_list[$key];   
                    $insArr['user_id'] = $user_list_id_array[$key];

                    //$entry_startDate = date('Y-m-d H:i:s',strtotime($value. " ". $clock_in[$key]));
                    $insArr['schedule_datetime_start'] = $row['schedule_datetime_start'];
                    $insArr['schedule_time_category'] = $row['schedule_time_category'];   
                    $insArr['schedule_type'] = 'w';   
                    $insArr['schedule_datetime_end'] = $row['schedule_datetime_end'];
                    $insArr['schedule_date'] = $row['schedule_date'];  
                    
                    
                    if($employee_exempt_list[$key]=="N")
                    {
                        insertdata("cxs_employee_schedules",$insArr);                      
                    }
                    else
                    {
                        if($row['schedule_time_category']=="Regular Time")
                        {
                            insertdata("cxs_employee_schedules",$insArr);  
                        }
                    }                    
                }
            }
        }
        
        /*** SEND EMAIL***/
        foreach ($user_list_id_array as $key => $value) 
        {
            $subject = $scheduler_name." Schedule";
           
            $company_id = $_SESSION['login_user_array']['company_id'];
            $mail_body = file_get_contents(getSiteUrl().'/mailbody/employee_scheduling.php?user_id='.$value.'&scheduler_name='.urlencode($scheduler_name).'&company_id='.urlencode($company_id), false, CONTEXT);
            //$mail_body = file_get_contents(getSiteUrl().'/mailbody/employee_scheduling.php?user_id='.$value, false, CONTEXT);
          
            $qry = "select * from cxs_user where user_id = '".$value."'";
            $result = mysqli_query($conn,$qry);
            $row = mysqli_fetch_assoc($result);
            $to_email_address = $row['user_email'];
            $to_email_name = $row['full_name'];
            //$service_email="service@coexsys.com";
            //$to_email_address="applisoft4u@gmail.com";  
            //$to_email_name = "applisoft";
            sendEmail($to_email_address, $to_email_name, $subject, $mail_body);
        }
        /**** ****/
        
        
        $succ=1;
        echo json_encode(array("succ" => $succ,"s"=>$scheduler_name));        
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'add_more_row') 
    {
        $total_rows = isset($_POST["total_rows"])?$_POST["total_rows"]:0;
        $Row = $total_rows+1;
     ?> 
        <tr id="<?php echo"row_".$Row; ?>">
            <td>
                <div class="text-center">                                                    
                    <div class="schedule_group">
                        <select class="js-example-basic-single dropdown_regular" style1="width:100%;"  id="<?php echo 'regular_from_time'.$Row;?>" name="regular_from_time[]">
                          <option value="">-Select-</option>
                          <?php
                            $selected_time = "";
                            $is_selected = "";
                            if(isset($break_in_array[$Row-1]))
                            {
                                $selected_time = $break_in_array[$Row-1];
                            }
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));
                                if(strtoupper($selected_time) == $start_time)
                                {
                                    $is_selected = "selected";
                                }
                                else
                                {
                                    $is_selected = "";
                                }
                                echo "<option value='".$start_time."'".$is_selected." >".$start_time."</option>";
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } ?>
                          ?>
                        </select>
                    </div>    
                    <input type="hidden" name="h_scheduleid_reg[]" value="">
                </div>    
            </td>
            <td>
                <div class="schedule_group">
                    <select class="js-example-basic-single" style1="width:100%;"  id="<?php echo 'regular_to_time'.$Row;?>" name="regular_to_time[]">
                      <option value="">-Select-</option>
                      <?php
                            $selected_time = "";
                            $is_selected = "";
                            if(isset($break_out_array[$Row-1]))
                            {
                                $selected_time = $break_out_array[$Row-1];
                            }
                          $start_time = '00:00';
                          for($i=1; $i <= 48; $i++)
                          {   
                            $start_time = date('h:i A',strtotime($start_time));
                            if(strtoupper($selected_time) == $start_time)
                            {
                                $is_selected = "selected";
                            }
                            else
                            {
                                $is_selected = "";
                            }
                            echo "<option value='".$start_time."'". $is_selected.">".$start_time."</option>";
                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                            $start_time = $new_time;                                                        
                          } ?>
                      ?>
                    </select>
                </div>    
            </td>
            <td>
                <div class="text-center">
                    <div class="schedule_group">
                        <select class="js-example-basic-single dropdown_regular custom-select-lg111" style1="width:100%;"  id="<?php echo 'break_from_time'.$Row;?>" name="break_from_time[]">
                          <option value="">-Select-</option>
                          <?php
                            $selected_time = "";
                            $is_selected = "";
                            if(isset($break_in_array[$Row-1]))
                            {
                                $selected_time = $break_in_array[$Row-1];
                            }
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));
                                if(strtoupper($selected_time) == $start_time)
                                {
                                    $is_selected = "selected";
                                }
                                else
                                {
                                    $is_selected = "";
                                }
                                echo "<option value='".$start_time."'".$is_selected." >".$start_time."</option>";
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } ?>
                          ?>
                        </select>     
                    </div>    
                    <input type="hidden" name="h_scheduleid_break[]" value="">
                </div>
            </td>
            <td>
                <div class="schedule_group">
                    <select class="js-example-basic-single custom-select-lg111" style1="width:100%;"  id="<?php echo 'break_to_time'.$Row;?>" name="break_to_time[]">
                      <option value="">-Select-</option>
                      <?php
                            $selected_time = "";
                            $is_selected = "";
                            if(isset($break_out_array[$Row-1]))
                            {
                                $selected_time = $break_out_array[$Row-1];
                            }
                          $start_time = '00:00';
                          for($i=1; $i <= 48; $i++)
                          {   
                            $start_time = date('h:i A',strtotime($start_time));
                            if(strtoupper($selected_time) == $start_time)
                            {
                                $is_selected = "selected";
                            }
                            else
                            {
                                $is_selected = "";
                            }
                            echo "<option value='".$start_time."'". $is_selected.">".$start_time."</option>";
                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                            $start_time = $new_time;                                                        
                          } ?>
                      ?>
                    </select>
                </div>
            </td>
            <td>
                <div class="text-center">
                    <div class="schedule_group">
                        <select class="js-example-basic-single dropdown_regular custom-select-lg111" style1="width:100%;"  id="<?php echo 'meal_from_time'.$Row;?>" name="meal_from_time[]">
                          <option value="">-Select-</option>
                          <?php
                            $selected_time = "";
                            $is_selected = "";
                            if(isset($break_in_array[$Row-1]))
                            {
                                $selected_time = $break_in_array[$Row-1];
                            }
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));
                                if(strtoupper($selected_time) == $start_time)
                                {
                                    $is_selected = "selected";
                                }
                                else
                                {
                                    $is_selected = "";
                                }
                                echo "<option value='".$start_time."'".$is_selected." >".$start_time."</option>";
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } ?>
                          ?>
                        </select>
                    </div>    
                    <input type="hidden" name="h_scheduleid_meal[]" value="">
                </div>
            </td>

            <td>
                <div class="schedule_group">
                    <select class="js-example-basic-single custom-select-lg111" style1="width:100%;"  id="<?php echo 'meal_to_time'.$Row;?>" name="meal_to_time[]">
                      <option value="">-Select-</option>
                      <?php
                            $selected_time = "";
                            $is_selected = "";
                            if(isset($break_out_array[$Row-1]))
                            {
                                $selected_time = $break_out_array[$Row-1];
                            }
                          $start_time = '00:00';
                          for($i=1; $i <= 48; $i++)
                          {   
                            $start_time = date('h:i A',strtotime($start_time));
                            if(strtoupper($selected_time) == $start_time)
                            {
                                $is_selected = "selected";
                            }
                            else
                            {
                                $is_selected = "";
                            }
                            echo "<option value='".$start_time."'". $is_selected.">".$start_time."</option>";
                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                            $start_time = $new_time;                                                        
                          } ?>
                      ?>
                    </select>
                </div>    
            </td>
            <td>
                <div class="text-center">
                    <div class="schedule_group">
                        <select class="js-example-basic-single dropdown_regular custom-select-lg111" style1="width:100%;"  id="<?php echo 'overtime_from_time'.$Row;?>" name="overtime_from_time[]">
                          <option value="">-Select-</option>
                          <?php
                            $selected_time = "";
                            $is_selected = "";
                            if(isset($break_in_array[$Row-1]))
                            {
                                $selected_time = $break_in_array[$Row-1];
                            }
                            $start_time = '00:00';
                            for($i=1; $i <= 48; $i++)
                            {   
                                $start_time = date('h:i A',strtotime($start_time));
                                if(strtoupper($selected_time) == $start_time)
                                {
                                    $is_selected = "selected";
                                }
                                else
                                {
                                    $is_selected = "";
                                }
                                echo "<option value='".$start_time."'".$is_selected." >".$start_time."</option>";
                                $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                $start_time = $new_time;                                                        
                            } ?>
                          ?>
                        </select>                                                        
                    </div>    
                    <input type="hidden" name="h_scheduleid_ot[]" value="">
                </div>
            </td>
            <td>
                <div class="schedule_group">
                <select class="js-example-basic-single custom-select-lg111" style1="width:100%;"  id="<?php echo 'overtime_to_time'.$Row;?>" name="overtime_to_time[]">
                  <option value="">-Select-</option>
                  <?php
                        $selected_time = "";
                        $is_selected = "";
                        if(isset($break_out_array[$Row-1]))
                        {
                            $selected_time = $break_out_array[$Row-1];
                        }
                      $start_time = '00:00';
                      for($i=1; $i <= 48; $i++)
                      {   
                        $start_time = date('h:i A',strtotime($start_time));
                        if(strtoupper($selected_time) == $start_time)
                        {
                            $is_selected = "selected";
                        }
                        else
                        {
                            $is_selected = "";
                        }
                        echo "<option value='".$start_time."'". $is_selected.">".$start_time."</option>";
                        $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                        $start_time = $new_time;                                                        
                      } ?>
                  ?>
                </select>
                </div>       
            </td>

        <td>
            <div class="d-sm-flex justify-content-center">
                <?php //if($Row!=1) { ?>                                                    
                    <div class="form-check pl-1">
                        <i class="fa fa-copy same_as_above" aria-hidden="true" title="Same as above"></i> 
                    </div>

                <?php //} ?>
                <div class="form-check pl-1">
                    <i class="fa fa-eraser clear_row" aria-hidden="true" title="Clear"></i> 
                </div>
                <div class="form-check pl-1">
                    <i class="fa fa-plus add_more" aria-hidden="true" title="Add More"></i> 
                </div>                                                
            </div>                                    
        </td>
    </tr>  
    <?php
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'create_assignment_tab_data') 
    {?>
        <div class="row mb-4">
            <div class="col-md-3">
                <label>Scheduler</label>
                <?php
                    $qry = "select distinct scheduler_name from cxs_schedules where company_id='".$_SESSION['login_user_array']['company_id']."' order by scheduler_name ";
                    /*if($_SESSION['login_user_array']['user_role']=="Admin")
                    {
                        $qry = "select scheduler_name from cxs_schedules where company_id='".$_SESSION['login_user_array']['company_id']."' order by scheduler_name ";
                    }
                    else
                    {
                        $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");                                                     
                        $qry = " select * from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' and (supervisor_id = '".$supervisor_id."' or employee_id = '".$supervisor_id."') order by first_name,last_name ";
                    }*/

                ?>
                <select class="js-example-basic-single" style="width:100%;" id="combo_scheduler" name="combo_scheduler">
                   <option value="">-Select-</option>
                   <?php
                       if($qry!="")
                        {
                            $result = mysqli_query($conn,$qry);
                            $TotalRecords = mysqli_num_rows($result);
                            if(mysqli_num_rows($result)>0)
                            {
                               while($row = mysqli_fetch_assoc($result))
                               {?>
                                   <option value='<?php echo $row['scheduler_name']; ?>'> <?php echo $row['scheduler_name']; ?></option>
                       <?php   }
                            }
                        }
                   ?>
               </select>
                <div id="div_employee_msg"></div>
            </div>
            <diiv class="col-md-2">
                <div class="mt-4 align-items-center">
                    <input type="button" class="btn btn-primary btn-sm1" id="cmdViewEdit" value="View / Edit">
                </div>    
            </diiv>
        </div>

        <div class="row" id="div_employe_data">
            <div class="col-md-6 ">
                <div class="table-responsive">
                    <table class="table table-bordered" id="table_employee" > <!-- style="margin-left: auto;margin-right: auto;" check_all_assign_task --> 
                        <thead>
                            <tr class="table-info">  
                                <th width="5%">
                                    <div class="form-check check-table mr-21">
                                        <label class="form-check-label">
                                        <input type="checkbox" class="form-check-input" id="check_all_employee" value="">
                                        <i class="input-helper"></i></label>
                                    </div>
                                </th>
                                <th style="width: 60%;">Employee Name</th>
                                <th style="width: 15%;">Exempt</th>
                                <th style="width: 20%;">Overtime,Break & Meal Schedules</th>
                            </tr>    
                        </thead>
                        <tfoot>
                            <tr>                                                          
                                <th></th>
                                <th class="searc">Employee Name</th>
                                <th class="searc">Exempt</th>
                                <th class="searc">Schedules</th>                                                                                    
                            </tr>                                                        
                        </tfoot>
                        <tbody>
                            <?php
                                if($_SESSION['login_user_array']['user_role']=="Admin")
                                {
                                    $qry = "select cxs_user.*,cxs_employee.exempt_flag from cxs_employee inner join cxs_user on cxs_user.user_id = cxs_employee.user_id where  cxs_user.user_id IN (SELECT user_id FROM cxs_licensed_products WHERE attendance_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."' order by full_name ";
                                }
                                else
                                {
                                    $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");                                                     
                                    $qry = " select cxs_user.*,cxs_employee.exempt_flag from cxs_employee inner join cxs_user on cxs_user.user_id = cxs_employee.user_id  where  cxs_user.user_id IN (SELECT user_id FROM cxs_licensed_products WHERE attendance_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."' and (supervisor_id = '".$supervisor_id."' or employee_id = '".$supervisor_id."') order by full_name ";
                                }
                                $counter= 0;
                                //$qry = "select * from cxs_user where company_id='".$_SESSION['login_user_array']['company_id']."' order by full_name ";
                                //echo $qry;
                                if($qry!="")
                                {
                                    $result = mysqli_query($conn,$qry);
                                    $TotalRecords = mysqli_num_rows($result);
                                    if(mysqli_num_rows($result)>0)
                                    {
                                        while($rows = mysqli_fetch_assoc($result))
                                        {
                                            $counter++;
                                             $full_name 		= $rows["full_name"];
                                            $user_image_name= $rows["image_name"];
                                            $user_email 	= $rows["user_email"];
                                            $user_id = $rows["user_id"];
                                            if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
                                                    $user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
                                            }else{
                                                    $user_img_url = SITEURL."images/faces/default_face.png";
                                            }
                                            $exempt_title = "Non-Exempt";
                                            $applicable_title = "Applicable";
                                            if($rows['exempt_flag']=="Y")
                                            {
                                                $exempt_title = "Exempt";
                                                $applicable_title = "Not Applicable";
                                            }

                                            ?>
                                        <tr id="<?php echo $counter; ?>">
                                            <td class="table-action">
                                                <!--<div class="mx-auto"><div class="form-check mr-2"><label class="form-check-label"><input type="checkbox" class="form-check-input check_employee" name="<?php echo 'check_'.$counter; ?>" id="<?php echo 'check_'.$counter; ?>" value="1"></label></div></div>-->
                                                <div class="mx-auto">
                                                    <div class="form-check mr-2">
                                                        <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input check_employee" name="<?php echo 'check_'.$counter; ?>" id="<?php echo 'check_'.$counter; ?>" value="1">
                                                        <i class="input-helper"></i></label>
                                                        <input type="hidden" id="<?php echo "h_user_id".$counter; ?>" value="<?php echo $user_id; ?>">
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                               <div class="d-flex">
                                                        <img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
                                                        <label class="mt-2"><?php echo $full_name; ?></label>

                                                </div>
                                            </td>
                                            <td> <?php echo $exempt_title; ?> </td>
                                            <td> <?php echo $applicable_title; ?> </td>
                                        </tr>
                                <?php   }
                                    }
                                }     
                            ?>
                        </tbody>
                    </table>
                </div>
                <div id="asign_schedule_detail" class="mt-2 mb-2"></div>
<!--                                                                    <div id="results"></div>-->


            </div>    
        </div>                                                            
        <button type="button" class="btn btn-primary mt-2" id="cmd_assign" title="Assign">Assign</button>
    <?php    
    }
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'getScheduleData') 
    {
        $scheduler_name = isset($_POST["scheduler_name"])?$_POST["scheduler_name"]:'';
        $succ = 0;
        $data_list = array();
        $start_date = "";
        $end_date = "";
        $qry = "select * from cxs_schedules where scheduler_name = '".$scheduler_name."' and company_id = '".$_SESSION['login_user_array']['company_id']."' order by schedule_id";
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result) > 0)
        {
            $counter = 0;            
            $succ = 1;
            while($row = mysqli_fetch_assoc($result))
            { 
                if($counter==0)
                {
                    $start_date = $row['schedule_date'];
                }
                $end_date = $row['schedule_date'];
                $text_in_time = $row['schedule_datetime_start'];
                $text_out_time = $row['schedule_datetime_end'];
                $time_duration = differenceInHours($text_in_time,$text_out_time);
                $whole = floor($time_duration);      // 1
                $fraction = $time_duration - $whole; // .50
                $whole = sprintf("%02d", $whole);
                if($fraction==0)
                {
                    $fraction = '00';
                }
                else if($fraction==.5)
                {
                    $fraction = '30';
                }
                $row['time_duration']=$whole.":".$fraction;
                $data_list[] = $row;
                $counter++;
            }
        }
        
        if($start_date!='' && $end_date !='')
        {
            $start_date = date('m/d/Y',strtotime($start_date));
            $end_date = date('m/d/Y',strtotime($end_date));
        }
        echo json_encode(array("succ" => $succ,"data_list"=>$data_list,"start_date"=>$start_date,"end_date"=>$end_date));
        exit;
    }
    
    else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_schedule_assign_userlist')
    {
        
        $user_list_id_array = array();
        $scheduler_name = isset($_POST['scheduler_name'])?$_POST['scheduler_name']:'';
        
        $succ = 0;
        
        
        $schedule_start_date = getvalue("cxs_schedules","schedule_date"," where scheduler_name = '".$scheduler_name."' and company_id ='".$_SESSION['login_user_array']['company_id']."' order by schedule_id limit 1");
        $schedule_end_date = getvalue("cxs_schedules","schedule_date"," where scheduler_name = '".$scheduler_name."' and company_id ='".$_SESSION['login_user_array']['company_id']."' order by schedule_id desc limit 1");
        
        $TotalRecords = 0;
        $TotalScheduleRecords = 0;
        $TotalAssignUsers = 0;
        $qry = "SELECT COUNT(schedule_id) AS total_records  FROM cxs_schedules WHERE scheduler_name = '".$scheduler_name."' AND schedule_time_category = 'Regular Time' and company_id ='".$_SESSION['login_user_array']['company_id']."'";        
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            $row = mysqli_fetch_assoc($result);
            $TotalRecords = $row['total_records'];
        }
        
        $qry = "SELECT count(schedule_id) as total_schedule_records,user_id from cxs_employee_schedules WHERE DATE(schedule_datetime_start) >='".$schedule_start_date."' AND DATE(schedule_datetime_start) <= '".$schedule_end_date."' and schedule_time_category = 'Regular Time' and company_id ='".$_SESSION['login_user_array']['company_id']."' GROUP BY user_id ";        
        $result = mysqli_query($conn,$qry);
        if(mysqli_num_rows($result)>0)
        {
            while($row = mysqli_fetch_assoc($result))
            {
                if($row['total_schedule_records']==$TotalRecords)
                {
                    array_push($user_list_id_array, $row['user_id']);
                    $TotalAssignUsers++;
                }
            }
        }
        
        $succ=1;        
        echo json_encode(array("succ" => $succ,"user_list"=>$user_list_id_array,"TotalAssignUsers"=>$TotalAssignUsers));
        exit;
    }
    /*
     * 
     * $row['schedule_time_category'] = "OverTime";    
                        $row['schedule_date'] = $calendar_date;
                        $row['schedule_datetime_start'] = $text_ot_in_time;
                        $row['schedule_datetime_end'] = $text_ot_out_time;
                        $time_duration = differenceInHours($text_ot_in_time,$text_ot_out_time);
                        
                        $whole = floor($time_duration);      // 1
                        $fraction = $time_duration - $whole; // .50
                        $whole = sprintf("%02d", $whole);
                        if($fraction==0)
                        {
                            $fraction = '00';
                        }
                        else if($fraction==.5)
                        {
                            $fraction = '30';
                        }
                        $row['time_duration']=$whole.":".$fraction;
                        $data_list[] = $row;
     */
    ?>