<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
$page = "attendance-approval";
$Isallowed_page = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
if($Isallowed_page!="Y")
{
    header("location:".SITEURL."dashboard/");
}

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");
$notification_uid = isset($_GET['sub_uid'])?$_GET['sub_uid']:'';
if($notification_uid!=""){
    $notification_uid = getvalue("cxs_user","user_id"," WHERE md5(user_id)='".$notification_uid."'");
}
$notification_search_date = isset($_GET['date_on'])?$_GET['date_on']:'';
?>
<!DOCTYPE html>
<html lang="en">

<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Attendance Time Card  Approvals</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>

<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<style>
.style1
{
    font-weight: bold;
    font-size: 13px;
}
.modal {
    overflow-y:auto;
    overflow-x:auto;
}
</style>
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <?php include_once("modal_approval.php");  ?>        
        <!-- partial -->
            <div class="main-panel">
                <div class="rploader"><img src="images/89.gif" alt=""></div>
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb breadcrumb-help">
                                          <li class="breadcrumb-item">Attendance Tracking</li>
                                          <li class="breadcrumb-item">Approvals</li>
                                        </ol>
                                    </nav>                                    
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Manage Attendance Time Card Approvals</h4>   
                                        <?php if($_SESSION['login_user_array']['user_role']!='User')  { ?>
                                            <button type="button" class="btn btn-primary btn-sm" id="cmdApprovalWorkbench">Approval Workbench</button>
                                        <?php } ?>    
                                    </div>
                                    
                                    <ul class="nav nav-tabs" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link active" id="manage-approval-tab-head1" data-toggle="tab" href="#manage-approval-tab1" role="tab" aria-controls="manage-approval-tab1" aria-selected="true">Attendance Time Card Pending Approval</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="manage-approval-tab-head2" data-toggle="tab" href="#manage-approval-tab2" role="tab" aria-controls="manage-approval-tab2" aria-selected="false">Approval History</a>
                                        </li>
                                    </ul>

                                    <div class="tab-content">

                                        <div class="tab-pane fade show active" id="manage-approval-tab1" role="tabpanel" aria-labelledby="manage-approval-tab-head1">
                                            <div class="row mb-4">
                                                <div class="col-md-3">
                                                    <label>Name</label>
                                                    <?php
                                                        if($_SESSION['login_user_array']['user_role']=="Admin")
                                                        {
                                                            $qry = "select full_name,user_id from cxs_user where user_id IN (SELECT user_id FROM cxs_licensed_products WHERE projects_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND company_id='".$_SESSION['login_user_array']['company_id']."' order by full_name ";
                                                        }
                                                        else
                                                        {
                                                            $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'"); 
                                                            $qry = "select cxs_user.full_name,cxs_user.user_id from cxs_user inner join cxs_employee on cxs_employee.user_id =  cxs_user.user_id where cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.supervisor_id = '".$supervisor_id."' or cxs_employee.employee_id = '".$supervisor_id."')";
                                                            /*** Approve only his under employee **/
                                                            $qry = "
                                                            select 
                                                                cxs_user.full_name,cxs_user.user_id 
                                                            from 
                                                                cxs_user 
                                                            inner join 
                                                                cxs_employee 
                                                            on 
                                                                cxs_employee.user_id =  cxs_user.user_id 
                                                            where 
                                                            cxs_user.user_id IN (SELECT user_id FROM cxs_licensed_products WHERE projects_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.supervisor_id = '".$supervisor_id."') order by full_name";
                                                        }
                                                    ?>
                                                    <select class="js-example-basic-single" style="width:100%;" id="combo_user" name="combo_user">
                                                       <option value="">-Select-</option>
                                                       <?php
                                                           if($qry!="")
                                                            {
                                                                $result = mysqli_query($conn,$qry);
                                                                $TotalRecords = mysqli_num_rows($result);
                                                                if(mysqli_num_rows($result)>0)
                                                                {
                                                                   while($row = mysqli_fetch_assoc($result))
                                                                   {
                                                                       $is_selected = "";
                                                                       
                                                                       if($row['user_id']== $_SESSION['login_user_array']['user_id'])
                                                                       {
                                                                           $is_selected = "selected";
                                                                       }
                                                                       ?>
                                                                       <option value='<?php echo $row['user_id']; ?>' <?php echo $is_selected; ?> > <?php echo $row['full_name']; ?></option>
                                                           <?php   }
                                                                }
                                                            }
                                                       ?>
                                                   </select>                                                    
                                                </div>
                                                <div class="col-md-1">
                                                    <div class="form-group">
                                                        <div>&nbsp;&nbsp;</div>
                                                        <button type="button" class="btn btn-primary   mt-2" title="Search" id = "cmdSearch_PendingApproval" >Search </button>                                                       
                                                    </div>
                                                </div>
                                            </div>
<!--                                            <div class="loading-div-tab-1">
                                                    <img src="images/89.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
                                            </div>-->
                                            <div id="results_tab_1" class=""></div>
                                        </div>
                                        
                                        <div class="tab-pane fade " id="manage-approval-tab2" role="tabpanel" aria-labelledby="manage-approval-tab-head2">
                                            
                                            <div class="row mb-4">
                                                <div class="col-md-3">
                                                    <label>Name</label>
                                                    <?php
                                                        if($_SESSION['login_user_array']['user_role']=="Admin")
                                                        {
                                                            $qry = "select full_name,user_id from cxs_user where user_id IN (SELECT user_id FROM cxs_licensed_products WHERE attendance_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND company_id='".$_SESSION['login_user_array']['company_id']."' order by full_name ";
                                                        }
                                                        else
                                                        {
                                                            $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'"); 
                                                           
                                                            $qry = "select cxs_user.full_name,cxs_user.user_id from cxs_user inner join cxs_employee on cxs_employee.user_id =  cxs_user.user_id where cxs_user.user_id IN (SELECT user_id FROM cxs_licensed_products WHERE attendance_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.supervisor_id = '".$supervisor_id."' or cxs_employee.employee_id = '".$supervisor_id."') order by full_name";
                                                            
                                                            if($_SESSION['login_user_array']['user_role']=="Admin")
                                                            {
                                                                $qry = "select full_name,user_id from cxs_user where user_id IN (SELECT user_id FROM cxs_licensed_products WHERE attendance_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND company_id='".$_SESSION['login_user_array']['company_id']."' order by full_name ";
                                                            }
                                                            else
                                                            {
                                                                $supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'"); 
                                                                /*$qry = "select cxs_user.full_name,cxs_user.user_id from cxs_user inner join cxs_employee on cxs_employee.user_id =  cxs_user.user_id where cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.supervisor_id = '".$supervisor_id."' or cxs_employee.employee_id = '".$supervisor_id."')";*/
                                                                /*** Approve only his under employee **/
                                                                $qry = "select cxs_user.full_name,cxs_user.user_id from cxs_user inner join cxs_employee on cxs_employee.user_id =  cxs_user.user_id where cxs_user.user_id IN (SELECT user_id FROM cxs_licensed_products WHERE attendance_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."') AND cxs_user.company_id='".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.supervisor_id = '".$supervisor_id."') order by full_name";
                                                            }
                                                        } 
                                                    ?>
                                                    <select class="js-example-basic-single" style="width:100%;" id="combo_user_approval_history" name="combo_user_approval_history">
                                                       <option value="">-Select-</option>
                                                       <?php
                                                           if($qry!="")
                                                            {
                                                                $result = mysqli_query($conn,$qry);
                                                                $TotalRecords = mysqli_num_rows($result);
                                                                if(mysqli_num_rows($result)>0)
                                                                {
                                                                   while($row = mysqli_fetch_assoc($result))
                                                                   {
                                                                       $is_selected = "";
                                                                       
                                                                       if($row['user_id']== $_SESSION['login_user_array']['user_id'])
                                                                       {
                                                                           $is_selected = "selected";
                                                                       }
                                                                       ?>
                                                                       <option value='<?php echo $row['user_id']; ?>' <?php echo $is_selected; ?> > <?php echo $row['full_name']; ?></option>
                                                           <?php   }
                                                                }
                                                            }
                                                       ?>
                                                   </select>                                                    
                                                </div>
                                                <div class="col-md-2">
                                                    <label>From Date: </label>                                                        
                                                    <div class="input-group date datepicker">
                                                        <input type="text" class="form-control requirefieldcls1  " id="text_fromdate"  value="<?php echo $text_search_from_default; ?>" autocomplete="off">
                                                        <span class="input-group-addon input-group-append border-left">
                                                          <span class="typcn typcn-calendar-outline input-group-text"></span>
                                                        </span>
                                                    </div>
                                                    <div  class="mt-2" style="font-size: 0.875rem;font-weight: 400;"><span class="mt-2" id="span_fromdate" ></span></div>
                                                </div>    

                                                <div class="col-md-2">
                                                    <label>To Date: </label>                                                        
                                                    <div  class="input-group date datepicker">
                                                        <input type="text" class="form-control requirefieldcls1" id="text_todate" value="<?php echo $text_search_to_default; ?>" autocomplete="off" >
                                                        <span class="input-group-addon input-group-append border-left">
                                                          <span class="typcn typcn-calendar-outline input-group-text"></span>
                                                        </span>
                                                    </div>
                                                    <div  class="mt-2" style="font-size: 0.875rem;font-weight: 400;"><span class="mt-2" id="span_todate" ></span></div>
                                                </div>
                                                <div class="col-md-1">
                                                    <div class="form-group">
                                                        <div>&nbsp;&nbsp;&nbsp;&nbsp;</div>
                                                        <button type="button" class="btn btn-primary   mt-2" title="Search" id = "cmdSearch" >Search </button>
                                                    </div>
                                                </div>
                                                <div class="col-md-1">
                                                    <i class="fa fa-info-circle ml-3" style="cursor:pointer;" title="Date range is based on Attendance Date submitted by employees."></i>
                                                </div>
                                                
                                            </div>
                                            
<!--                                            <div class="loading-div-tab-2">
                                                    <img src="images/89.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
                                            </div>-->
                                            <div id="results_tab_2" class=""></div>
                                        </div>
                                        
                                    </div>    
                                <?php        
                                    if(isset($_GET["nid"]) && $_GET["nid"]>0)
                                    {
                                        $nid = intval($_GET["nid"]);
                                        readNotification($nid);
                                    }    
                                ?> 
                                </div>
                            </div>
                        </div>    
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>  
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>  
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script> 

<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script> 
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script> 
<script src="<?php echo SITEURL; ?>js/select2.js"></script> 
<script src="<?php echo SITEURL; ?>js/custom.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<!-- endinject -->  
<script> 
    $('#text_attendance_date').datepicker(
    {
        format:'mm/dd/yyyy',
        defaultDate: '',
        autoclose : true
    });
    setDatePicker('#text_fromdate','#text_todate');
     
    $(document).ready(function()
    {
        var sub_uid = "<?php echo $notification_uid; ?>";        
        
        if(sub_uid!='')
        {
            var IsExists = false;
            $('#combo_user option').each(function()
            {
                if (this.value == sub_uid)
                {
                    IsExists = true;
                    return IsExists;
                }
                
            });
            
            if(IsExists==true)
            {
                $("#combo_user").val(sub_uid);
                $("#combo_user").select2();
               /* 
                $("#combo_user_approval_history").val(sub_uid);
                $("#combo_user_approval_history").select2();
                */
                
                $("#cmdSearch_PendingApproval").click();
            }
            else
            {
                $("#cmdSearch_PendingApproval").click();
            }
            
        }
    });
    
   
    
    function getPendingApprovalAttendanceData(){
        
        var selected_user_id = $("#combo_user").val();        
        /*var search_date = '<?php echo $notification_search_date;?>';*/
        var search_date = '';
        
	$.ajax({
		url: SITEURL+"aj/attendance-approval/",
		method: "POST",
		data: {REQUEST: 'get_pending_approval_attendance_entry_data',selected_user_id:selected_user_id,is_html:true,search_date:search_date},
		beforeSend: function() {
            $(".rploader").fadeIn(800);
            $("#results_tab_1").fadeOut(500);
			//$(".loading-div-tab-1").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				//$(".loading-div-tab-1").hide();
                $(".rploader").fadeOut(800);                        
				$("#results_tab_1").html(response);
                                $('[data-toggle="popover"]').popover();
				$("#results_tab_1").fadeIn(500);
				dataTableCreateCommonOrderOff_thispage("table_manage_pending_approval");
				$("#table_manage_pending_approval_filter").hide();
                                <?php $notification_search_date = "";?>
			},1000);
		}
	});
}
    
    function getApprovalHistoryAttendanceData(){
        
        var selected_user_id = $("#combo_user_approval_history").val();
        var text_fromdate = $("#text_fromdate").val();
        var text_todate = $("#text_todate").val();
	$.ajax({
		url: SITEURL+"aj/attendance-approval/",
		method: "POST",
		data: {REQUEST: 'get_approval_history_attendance_entry_data',text_fromdate:text_fromdate,text_todate:text_todate,selected_user_id:selected_user_id,is_html:true},
		beforeSend: function() {
			$("#results_tab_2").fadeOut(500);
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function()
                        {
                            $(".rploader").fadeOut(800);
                            $("#results_tab_2").html(response);
                            
                            if($("#h_warning").length >0)
                            {
                                alert($("#h_warning").val());
                                $("#results_tab_2").fadeIn(500);
                            }
                            else
                            {
                                $('[data-toggle="popover"]').popover();
                                $("#results_tab_2").fadeIn(500);
                                dataTableCreateCommonOrderOff_thispage("table_manage_approval_history");
                                $("#table_manage_approval_history_filter").hide();
                            }
                            
                            
                            
			},1000);
		}
	});
    }
    
    function dataTableCreateCommonOrderOff_thispage(tablename)
        {
            if ($.fn.DataTable.isDataTable("#"+tablename)) 
            {
                $('#'+tablename).DataTable().clear().destroy();
            }
            var table = $('#'+tablename).DataTable(
            {
                /*"searching": false,*/

                columnDefs: [ 
                      { targets: [0,-1], orderable: false},                    
                      ],
                      "order": [],
                "dom": 'lBfrtip',  
                "pageLength": 50,
                 buttons: [                  
                     [{
                              extend: 'excel',
                              footer: true
                          },
                         {
                              extend: 'pdf',
                              footer: true
                              /* orientation: 'landscape',
                                pageSize: 'LEGAL'*/
                          }, {
                                  text: 'Email',
                                  action: function ( e, dt, node, config ) {
                                  //$("#modal_email").show(); 
                                  show_emaimodal();
                                  }
                          }]]
            }); 
    
         
        $('#'+tablename+' tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	table.
            order([])            
            .draw();
        var length = table.page.info().recordsTotal;
        return (length);
    }
    function dataTableCreateCommonOrderOff_thispage111(tablename)
        {
            if ($.fn.DataTable.isDataTable("#"+tablename)) 
            {
                $('#'+tablename).DataTable().clear().destroy();
            }
            var table = $('#'+tablename).DataTable(
            {
                /*"searching": false,*/

                columnDefs: [ 
                      { targets: [1,-1], orderable: false},                    
                      ],
                      "order": [],
                "dom": 'lBfrtip',              
                 buttons: [                  
                     [{
                              extend: 'excel',
                              footer: true
                          },
                         {
                              extend: 'pdf',
                              footer: true
                          }, {
                                  text: 'Email',
                                  action: function ( e, dt, node, config ) {
                                  //$("#modal_email").show(); 
                                  show_emaimodal();
                                  }
                          }]]
            }); 
    
         
        $('#'+tablename+' tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	table.
            order([])            
            .draw();
        var length = table.page.info().recordsTotal;
        return (length);
    }
    
    
    $("#combo_user_approval_history").change(function()
    {
       /*getApprovalHistoryAttendanceData();
       getPendingApprovalAttendanceData();*/
    });
    
    $("#cmdApprovalWorkbench").click(function()
    {
        $("#text_attendance_date").val('');
        $("#text_attendance_date_string").text('');
        $("#accordion_attendance").empty();
       $("#modal_approve_workbench") .modal('show');       
    });
    
    
    /*
    dataTableCreateCommonOrderOff("table_manage_pending_approval");
    $("#table_manage_pending_approval_filter").hide();
    dataTableCreateCommonOrderOff("table_manage_approval_history");
    $("#table_manage_approval_history_filter").hide();
    */
    
    $('body').on('click', '.approve', function()         
    {
        var a = $(this).parents('tr').find('input[type="hidden"]').attr('id') ;
        var current_key = parseInt(a);
        
        var current_key = a.replace(/[^0-9]/gi, ''); // Replace everything that is not a number with nothing
        current_key = parseInt(current_key); // Always hand in the correct base since 010 != 10 in js

        $("#h_userid").val($("#h_userid"+current_key).val());
        $("#h_calendar_date").val($("#h_calendar_date"+current_key).val());
        $("#h_selected_id").val("");
        $("#h_approve_status").val("A");
        $("#h_approve_comment").val("");
        $("#h_current_row").val(current_key);
        /*$("#modalConfirm").modal('show');
        $("#confirm_div").text('Do you want to approve this attendance?');*/
        $("#cmdModalConfirm_Ok").click();
        
       
    });
    
    
    
    $('body').on('click', '.reject', function()
    {
        var a = $(this).parents('tr').find('input[type="hidden"]').attr('id') ;
        var current_key = parseInt(a);
        
        var current_key = a.replace(/[^0-9]/gi, ''); // Replace everything that is not a number with nothing
        current_key = parseInt(current_key); // Always hand in the correct base since 010 != 10 in js

        $("#h_userid").val($("#h_userid"+current_key).val());
        $("#h_calendar_date").val($("#h_calendar_date"+current_key).val());
        $("#h_selected_id").val("");
        $("#h_approve_status").val("R");
        $("#h_approve_comment").val("");
        $("#h_current_row").val(current_key);
        /*$("#modalConfirm").modal('show');
        $("#confirm_div").text('Do you want to reject this attendance?');*/
        $("#cmdModalConfirm_Ok").click();
        /*getPendingApprovalAttendanceData();
        getApprovalHistoryAttendanceData();*/
    });
    /*
    $("#text_fromdate, #text_todate").change(function()
       {
           if($("#text_fromdate").val()!='' && $("#text_todate").val()!='')
           {
               $.ajax({
                url: "ajax3_timeoff.php",
                method: "POST",
                data: {REQUEST: 'check_date_validation',text_fromdate:$("#text_fromdate").val(),text_todate:$("#text_todate").val()},
                beforeSend: function() 
                {
                        $(".rploader").fadeIn(800);
                },
                success: function (response)
                {  
                    setTimeout(function()
                    {
                        $(".rploader").fadeOut(800);
                        if(response.succ==0)
                        {
                            alert(response.msg);                            
                            $("#text_todate").focus();
                        }
                        else
                        {
                            /*
                            getApprovalHistoryAttendanceData();
                            getPendingApprovalAttendanceData();
                            **
                        }
                    },1000);   
                }
                });
           }
       }); 
       */
    /*
        $("#manage-approval-tab-head2").click(function()
        {
            getApprovalHistoryAttendanceData();
            getPendingApprovalAttendanceData();
        });
     */
        
        $("#cmdSearch").click(function()
        {
            getApprovalHistoryAttendanceData();
            //getPendingApprovalAttendanceData();
        });
        
        $("#cmdSearch_PendingApproval").click(function()
        {
            getPendingApprovalAttendanceData();
        });
        
    </script>
</body>

</html>
