<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
    header("location:admin.php");
}
$Isallowed_page = getvalue("cxs_licensed_products", "attendance_flag", " WHERE user_id='" . $_SESSION['login_user_array']['user_id'] . "'");
if ($Isallowed_page != "Y") {
    header("location:admin.php");
}
$ipaddress = GetIPAddress();
$currTz = isset($_SESSION['login_user_array']['user_timezone']) ? $_SESSION['login_user_array']['user_timezone'] : "";
$current_user_id = isset($_SESSION['login_user_array']['user_id']) ? $_SESSION['login_user_array']['user_id'] : "";
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Coexsys | Today's Clock In / Out</title>
    <!-- base:css -->
    <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
    <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css" />
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/custom.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="images/main_logo_mini.png" />

    <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

    <script src="vendors/js/vendor.bundle.base.js"></script>
    <script src="vendors/timezone/jstz.min.js"></script>
    <script src="vendors/timezone/moment.min.js"></script>
    <script src="vendors/timezone/moment-timezone.min.js"></script>'

    <style>
        /*    .col-center 
    {
        float: none !important;
        margin: 0 auto !important;
        
    }*/



        @media screen and (min-width: 1224px) {

            .full-height {
                height: 100%;
                font-size: 1.0rem !important;
                font-weight: 600 !important;
            }
        }

        /*
.btn-outline-primary{
	color: #fff;
	background-color: #b53549;
	border-color: #b53549;
}
.btn-outline-primary:hover{
	color: #fff;
	background-color: #d9a0a9;
	border-color: #d9a0a9;
}

*/
        .btn-outline-primary {
            color: #b53549;
            border-color: #b53549;
        }

        .btn-outline-primary:hover {
            color: #fff;
            background-color: #b53549;
            border-color: #b53549;
        }

        .btn-outline-primary:not(:disabled):not(.disabled):active,
        .btn-outline-primary:not(:disabled):not(.disabled).active,
        .show>.btn-outline-primary.dropdown-toggle {
            color: #fff;
            background-color: #b53549;
            border-color: #b53549;
        }

        .badge-primary {
            color: #000;
            background-color: #f5dfe3;
        }


        .alert-fill-info {
            color: #000000;
            background-color: #d3d3d3;
            border-color: #d3d3d3;
        }

        /*
.form-check .form-check-label input[type="checkbox"] + .input-helper:before, .form-check .form-check-label input[type="checkbox"] + .input-helper:after {
    position: absolute;
    top: 0;
    left: 10px;
}
*/
        .form-check .form-check-label input[type="checkbox"]+.input-helper::after {
            left: 4px !important;
        }
    </style>
</head>

<body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
        <?php include_once("top.php"); ?>
        <div class="container-fluid page-body-wrapper">
            <?php include_once("left.php");  ?>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb breadcrumb-help">
                                            <li class="breadcrumb-item"><a href="admin.php">Attendance</a></li>
                                            <li class="breadcrumb-item active" aria-current="page">Today's Clock In / Out</li>
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between pb-2">

                                    </div>
                                    <?php
                                    $supervisor_id_caution = 1;
                                    /* deafult supervisor_id is exist so set 1 */
                                    $login_user_plan = strtolower($_SESSION['login_user_array']["user_plan"]);

                                    if (strtolower($_SESSION['login_user_array']["user_plan"]) == "enterprise" && $_SESSION['login_user_array']["user_role"] != "Admin") {
                                        $supervisor_id_caution = getvalue("cxs_employee", "supervisor_id", "where user_id ='" . $_SESSION['login_user_array']["user_id"] . "'");
                                        if ($supervisor_id_caution == 0 || $supervisor_id_caution == "") { ?>
                                            <div class="alert alert-fill-info font-weight-bold" role="alert"> <i class="typcn typcn-warning"></i> ATTENTION: Your account does not have a supervisor assigned. Please contact Administrator before continuing with attendance. </div>
                                            <?php
                                        }
                                    }
                                    ?>
                                    <div class="row">
                                        <div class="col-xs-12 col-md-6 col-center">
                                            <div class="card">
                                                <div class="card-body text-center" style="border: 1px solid #212529;" id="div_entries">
                                                    <!--                                                    <h4 class="card-title mb-3 text-primary  " style="text-transform: none;"><?php echo date("h:i a");  ?></h4>
                                                    <h6 class="card-title mb-3 text-primary  "><?php echo date('l') . date(', F d, Y') . " PDT"; ?></h6>
                                                    -->
                                                    <h4 class="card-title mb-3 text-primary" id="display_CTime" style="text-transform: none;"></h4>
                                                    <h6 class="card-title mb-3 text-primary" id="display_CDate"></h6>
                                                    <p class="mb-0 text-youtube font-weight-bold"><span id="span_msg"></span></p>
                                                    <p class="mb-0 text-info cr-point font-weight-bold holiday_work"><span id="span_allow_entry"></span></p>

                                                    <?php
                                                    if ($_SESSION['login_user_array']['user_plan'] == "SELFEMPLOYED") { ?>
                                                        <div class="row">

                                                            <div class="col-md-2 col-center">
                                                                <div class="form-check">
                                                                    <label class="form-check-label" style="line-height: 0.8;">
                                                                        <input type="checkbox" class="form-check-input" id="chk_leave">
                                                                        Leave
                                                                        <i class="input-helper"></i>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    <?php } ?>


                                                    <div class="row d-flex1 mt-3 mb-21">
                                                        <div class="col-md-5 col-center grid-margin mb-1">
                                                            <input type='button' class='btn btn-outline-primary btn-block full-height1 pb-5 pt-5 cr-point1 save_reocrd' id="btnClockIn" value="Clock In" disabled>
                                                            <h6 class=" btn-block badge badge-primary" id="lblclockin">&nbsp;&nbsp;</h6>
                                                        </div>
                                                        <div class="col-md-5 col-center grid-margin mb-1">
                                                            <input type='button' class='btn btn-outline-primary btn-block full-height1 pb-5 pt-5 cr-point1 save_reocrd' id="btnClockOut" value="Clock Out" disabled>
                                                            <h6 class=" btn-block badge badge-primary" id="lblclockout">&nbsp;&nbsp;</h6>
                                                        </div>

                                                        <div class="col-md-5 col-center grid-margin mb-1">
                                                            <input type='button' class='btn btn-outline-primary btn-block full-height1 pb-5 pt-5 cr-point1 save_reocrd' id="btnStartBreak" value="Out for Break" disabled>
                                                            <h6 class=" btn-block badge badge-primary" id="lblbreakin">&nbsp;&nbsp;</h6>
                                                        </div>
                                                        <div class="col-md-5 col-center grid-margin mb-1">
                                                            <input type='button' class='btn btn-outline-primary btn-block full-height1 pb-5 pt-5 cr-point1 save_reocrd' id="btnStopBreak" value="Back from Break" disabled>
                                                            <h6 class=" btn-block badge badge-primary" id="lblbreakout">&nbsp;&nbsp;</h6>
                                                        </div>

                                                        <div class="col-md-5 col-center mb-41 pb-2">
                                                            <input type='button' class='btn btn-outline-primary btn-block full-height1 pb-5 pt-5 cr-point1 save_reocrd' id="btnStartMeal" value="Out for Meal" disabled>
                                                            <h6 class=" btn-block badge badge-primary" id="lblmealin">&nbsp;&nbsp;</h6>
                                                        </div>
                                                        <div class="col-md-5 col-center mb-41 pb-2">
                                                            <input type='button' class='btn btn-outline-primary btn-block full-height1 pb-5 pt-5 cr-point1 save_reocrd' id="btnStopMeal" value="Back from Meal" disabled>
                                                            <h6 class=" btn-block badge badge-primary" id="lblmealout">&nbsp;&nbsp;</h6>
                                                        </div>

                                                    </div>
                                                    <p class="mb-0 text-youtube font-weight-bold">Last Event : <span id="span_lastevent"></span></p>
                                                    <!--<p class="mb-0 text-youtube font-weight-bold">Last Event : Punch out at Monday, December 9,2019 PDT</p>-->
                                                </div>
                                                <div class="card-body text-center">
                                                    <input type="button" class="btn btn-primary btn-sm" id="cmdAttendanceHistory" value="My Attendance History">
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal1" tabindex="-1" role="dialog">
        <div class="modal-dialog swal-modal" role="document">
            <div class="modal-content">
                <div class="modal-body pt-0">
                    <div class="swal-icon swal-icon--warning">
                        <span class="swal-icon--warning__body">
                            <span class="swal-icon--warning__dot"></span>
                        </span>
                    </div>

                    <div class="swal-title" style="color: maroon;">Stop</div>
                    <div class="swal-text" id="lbl_msg"></div>
                </div>
                <!--<div class="modal-footer">              
                  <button type="button" class="btn btn-primary btn-icon"  id="cmd_modal2_save" title="Save Record"><i class="fa fa-save"></i></button> <!-- data-dismiss="modal" --
                </div>
                -->
                <div class="swal-footer">
                    <div class="swal-button-container">
                        <button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalOK">OK</button>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="modal2" tabindex="-1" role="dialog">
        <div class="modal-dialog swal-modal" role="document">
            <div class="modal-content">
                <div class="modal-body pt-0">
                    <div class="swal-icon swal-icon--warning">
                        <span class="swal-icon--warning__body">
                            <span class="swal-icon--warning__dot"></span>
                        </span>
                    </div>
                    <center>
                        <div class="swal-title"></div>
                        <div class="swal-text" id="div_msg"></div>
                        <input type="hidden" id="h_action" value="">
                        <input type="hidden" id="h_current_field" value="">
                        <input type="hidden" id="h_device_nickname" value="">
                    </center>
                </div>
                <!--<div class="modal-footer">              
                  <button type="button" class="btn btn-primary btn-icon"  id="cmd_modal2_save" title="Save Record"><i class="fa fa-save"></i></button> <!-- data-dismiss="modal" --
                </div>
                -->
                <div class="swal-footer">
                    <div class="swal-button-container">
                        <button class="swal-button swal-button--confirm btn btn-primary" id="cmdModal2OK">OK</button>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- container-scroller -->
    <!-- base:js -->

    <script src="js/off-canvas.js"></script>
    <script src="js/hoverable-collapse.js"></script>
    <script src="js/template.js"></script>
    <script src="js/settings.js"></script>
    <script src="js/todolist.js"></script>
    <script src="js/tooltips.js"></script>
    <script src="js/popover.js"></script>

    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
    <script src="datatables.net-bs4/jszip.min.js"></script>
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <!-- endinject -->
    <script>
        function get_current_timezone() {
            if (!sessionStorage.getItem('timezone')) {
                var tz = jstz.determine() || 'UTC';
                sessionStorage.setItem('timezone', tz.name());
            }
            var currTz = sessionStorage.getItem('timezone');

            var date = moment().format("YYYY-MM-DD");
            var time = moment().format("H:mm:ss");
            var curTime = date + " " + time;

            var timezone_values = [currTz, curTime];
            return (timezone_values);
        }

        currTz = '<?php echo $currTz; ?>';

        function update() {
            $('#display_CTime').html(moment().format('h:mm:ss a'));

            $('#display_CDate').html(moment().format('dddd, MMMM DD, YYYY') + " " + currTz);
        }
        setInterval(update, 1000);


        $(document).ready(function() {
            $("#div_entries :input").attr("disabled", true);
            var supervisor_id_caution = "<?php echo $supervisor_id_caution; ?>";
            var login_user_plan = "<?php echo $login_user_plan; ?>";
            if ((supervisor_id_caution != 0 && supervisor_id_caution != "")) {
                $.ajax({
                    url: "ajax2_clock_inout.php",
                    method: "POST",
                    data: {
                        REQUEST: 'validation_clockinout'
                    },
                    success: function(response) {

                        if (response.succ == 0 && response.msg == "" && login_user_plan == "enterprise") {
                            $("#lbl_msg").text("You are not authorized to use this page on this device.  Please contact your Administrator.");
                            $("#modal1").modal("show");
                        } else if (response.succ == 0 && response.msg != "") {
                            alert(response.msg);
                            window.location.href = "working-hours.php";
                            /*$("#lbl_msg").text(response.msg);
                            $("#modal1").modal("show");*/
                        } else {
                            $("#div_entries :input").attr("disabled", false);

                            $("#h_device_nickname").val(response.device_nickname);
                            $("#btnClockIn").removeClass("btn-light disabledbutton");
                            $("#btnClockOut").removeClass("btn-light disabledbutton");
                            $("#btnStartBreak").removeClass("btn-light disabledbutton");
                            $("#btnStopBreak").removeClass("btn-light disabledbutton");
                            $("#btnStartMeal").removeClass("btn-light disabledbutton");
                            $("#btnStopMeal").removeClass("btn-light disabledbutton");


                            var arr_list = get_current_timezone();
                            currTz = '<?php echo $currTz; ?>';
                            curTime = arr_list[1];
                            <?php
                            $date = new DateTime("now", new DateTimeZone($currTz));
                            $curTime = $date->format('Y-m-d H:i:s');
                            $curDate = $date->format('Y-m-d');
                            ?>
                            curTime = '<?php echo $curTime; ?>';
                            curDate = '<?php echo $curDate; ?>';

                            console.log(curTime);

                            $.ajax({
                                url: "ajax2_clock_inout.php",
                                method: "POST",
                                data: {
                                    REQUEST: 'check_clock_inout_status',
                                    current_date: curTime
                                },
                                beforeSend: function() {
                                    $(".rploader").fadeIn(800);
                                },
                                success: function(response1) {

                                    $(".rploader").fadeOut(800);
                                    if (jQuery.isEmptyObject(response1.get_data) && response1.msg != '') {
                                        $("#span_msg").text(response1.msg);
                                    }
                                    if (response1.msg != '' && response1.is_holiday == "Y" && jQuery.isEmptyObject(response1.get_data)) {
                                        $("#span_allow_entry").text("(I am working on this day)");

                                    }
                                    $("#span_lastevent").text(response1.last_event_string);
                                    if (response1.msg != '' && jQuery.isEmptyObject(response1.get_data)) {
                                        clock_button_status("no event");
                                    } else if (response1.is_pto == "Y") {
                                        clock_button_status("no event");
                                        $("#chk_leave").attr("disabled", false);
                                        if (response1.pto_date == curDate) {
                                            $("#chk_leave").prop("checked", true);
                                        } else {
                                            $("#chk_leave").prop("checked", false);
                                        }

                                    } else {
                                        clock_button_status(response1.last_time_type);
                                    }

                                    if (!jQuery.isEmptyObject(response1.get_data)) {
                                        /*if(response1.last_time_type!='clock_out' && response1.last_time_type!='overtime_out')*/
                                        {
                                            $.each(response1.get_data, function(key, value) {
                                                var calendar_date = value.calendar_date;
                                                if (value.time_type == 'clock' || value.time_type == 'overtime') {
                                                    if (value.time_type == "clock") {
                                                        $("#lblclockin").html(value.time_in_stamp);
                                                        $("#lblclockout").html(value.time_out_stamp);
                                                    } else if (value.time_type == "overtime") {
                                                        $("#lblclockout").html(value.time_out_stamp);
                                                    }
                                                }
                                                if (value.time_type == 'break') {
                                                    $("#lblbreakin").html(value.time_in_stamp);
                                                    $("#lblbreakout").html(value.time_out_stamp);
                                                }
                                                if (value.time_type == 'meal') {
                                                    $("#lblmealin").html(value.time_in_stamp);
                                                    $("#lblmealout").html(value.time_out_stamp);
                                                }

                                                if (calendar_date == curDate && (response1.last_time_type == "clock_out" || response1.last_time_type == "overtime_out")) {
                                                    clock_button_status("no event");
                                                }
                                            });
                                        }
                                    }

                                }
                            });
                        }
                    }
                });
            }
        });

        function clock_button_status(last_time_type) {
            $("#div_entries :input").attr("disabled", true);
            $("#chk_leave").attr("disabled", false);
            $("#btnClockIn").addClass("btn-light disabledbutton");
            //$("#btnClockIn").removeClass("btn-primary");
            $("#btnClockOut").addClass("btn-light disabledbutton");
            $("#btnStartBreak").addClass("btn-light disabledbutton");
            $("#btnStopBreak").addClass("btn-light disabledbutton");
            $("#btnStartMeal").addClass("btn-light disabledbutton");
            $("#btnStopMeal").addClass("btn-light disabledbutton");

            if (last_time_type == "" || last_time_type == "clock_out" || last_time_type == "overtime_out") {

                $("#btnClockIn").attr("disabled", false);
                $("#btnClockIn").removeClass("btn-light disabledbutton");
                //$("#btnClockIn").addClass("btn-primary");
            } else if (last_time_type == "clock_in" || last_time_type == "break_out" || last_time_type == "meal_out") {
                $("#btnStartBreak").attr("disabled", false);
                $("#btnStartMeal").attr("disabled", false);
                $("#btnClockOut").attr("disabled", false);

                $("#btnStartBreak").removeClass("btn-light disabledbutton");
                $("#btnStartMeal").removeClass("btn-light disabledbutton");
                $("#btnClockOut").removeClass("btn-light disabledbutton");

            } else if (last_time_type == "break_in") {
                $("#btnStopBreak").attr("disabled", false);

                $("#btnStopBreak").removeClass("btn-light disabledbutton");
            } else if (last_time_type == "meal_in") {
                $("#btnStopMeal").attr("disabled", false);

                $("#btnStopMeal").removeClass("btn-light disabledbutton");
            }
        }

        $("#cmdModalOK").click(function() {
            $("#modal1").modal("hide");
            window.location.href = "admin.php";
        });


        $('#modal1').on('hidden.bs.modal', function(e) {
            window.location.href = "admin.php";
        });

        $(".save_reocrd").click(function() {
            var current_value = $(this).val();
            $(this).attr("disabled", true);

            var field_value = "";
            if (current_value == "Clock In") {
                field_value = "clock_in";
            } else if (current_value == "Clock Out") {
                field_value = "clock_out";
            } else if (current_value == "Start Break" || current_value == "Out for Break") {
                field_value = "break_in";
            } else if (current_value == "Stop Break" || current_value == "Back from Break") {
                field_value = "break_out";
            } else if (current_value == "Start Meal" || current_value == "Out for Meal") {
                field_value = "meal_in";
            } else if (current_value == "Stop Meal" || current_value == "Back from Meal") {
                field_value = "meal_out";
            }

            var arr_list = get_current_timezone();
            currTz = arr_list[0];
            curTime = arr_list[1];


            var msg = "<center>Your " + current_value + " has been recorded as per below.<br><b>" + $('#display_CTime').text() + "<br>" + $('#display_CDate').text() + "</b></center>";
            $("#modal2").modal("show");
            $("#div_msg").html(msg);
            $("#h_action").val("save");
            $("#h_current_field").val(field_value);

        });


        $("#cmdModal2OK").click(function() {
            if ($("#h_action").val() == "save") {
                /*var arr_list = get_current_timezone();
                currTz = arr_list[0];
                curTime = arr_list[1];*/
                $.ajax({
                    url: "ajax2_clock_inout.php",
                    method: "POST",
                    data: {
                        REQUEST: 'save_clock_inout_data',
                        field_value: $("#h_current_field").val(),
                        device_nickname: $("#h_device_nickname").val()
                    },
                    beforeSend: function() {
                        $(".rploader").fadeIn(800);
                    },
                    success: function(response) {
                        if (response.succ == 1) {
                            clock_button_status($("#h_current_field").val());
                            if (!jQuery.isEmptyObject(response.get_data)) {

                                $.each(response.get_data, function(key, value) {
                                    if (value.time_type == 'clock') {
                                        $("#lblclockin").html(value.time_in_stamp);
                                        $("#lblclockout").html(value.time_out_stamp);
                                    }
                                    if (value.time_type == 'break') {
                                        $("#lblbreakin").html(value.time_in_stamp);
                                        $("#lblbreakout").html(value.time_out_stamp);
                                    }
                                    if (value.time_type == 'meal') {
                                        $("#lblmealin").html(value.time_in_stamp);
                                        $("#lblmealout").html(value.time_out_stamp);
                                    }
                                });
                            }
                            if (response.msg == "") {
                                location.reload(true);
                            } else {
                                alert(response.msg);
                                location.reload(true);
                            }
                        }
                        $(".rploader").fadeOut(800);
                    }
                });
            }
            $("#modal2").modal("hide");
            $("#h_action").val("");
            $("#h_current_field").val("");
        });
        $("#cmdAttendanceHistory").click(function() {
            window.open("time-card.php?uid=<?php echo $current_user_id; ?>");
        });

        $('body').on('click', '.holiday_work', function() {
            $("#div_entries :input").attr("disabled", false);
            $("#btnClockIn").removeClass("btn-light disabledbutton");
            $("#btnClockOut").addClass("btn-light disabledbutton");
            $("#btnStartBreak").addClass("btn-light disabledbutton");
            $("#btnStopBreak").addClass("btn-light disabledbutton");
            $("#btnStartMeal").addClass("btn-light disabledbutton");
            $("#btnStopMeal").addClass("btn-light disabledbutton");
            $("#span_allow_entry").text("");
        });


        $("#chk_leave").click(function() {
            var ischecked = $(this).is(':checked');
            if (ischecked) {

                $.ajax({
                    url: "ajax2_clock_inout.php",
                    method: "POST",
                    data: {
                        REQUEST: 'save_clock_inout_data',
                        field_value: "time_off",
                        device_nickname: $("#h_device_nickname").val()
                    },
                    beforeSend: function() {
                        $(".rploader").fadeIn(800);
                    },
                    success: function(response) {
                        $(".rploader").fadeOut(800);
                        if (response.succ == 1) {
                            location.reload(true);
                        }
                    }
                });
            } else {
                $(".rploader").fadeIn(800);
                setTimeout(function() {
                    clock_button_status("");
                    $(".rploader").fadeOut(800);
                }, 1000);
            }

        });
    </script>
</body>

</html>