<?php
    require_once "conn.php";
    check_login();
    if (CheckCommonSetupEntries()==0)
    {
        header("location:admin.php");
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Employee Schedules</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
    <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
    <link rel="stylesheet" href="vendors/dropify/dropify.min.css">    
    
    
    
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Attendance Tracking</li>                                            
                                            <li class="breadcrumb-item"><a href="#">Employee Schedules</a></li>  
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h2 class="card-title add_title">Employee</h2>                                        
                                    </div>
                                    
                                    <div class="d-flex flex-wrap justify-content-center">
                                         
                                        
                                        <div class="form-group form-inline">
                                            <div class="d-flex flex-wrap pr-1 pb-2">                                            
                                                <button type="button" class="btn btn-primary btn-sm " title="Previous Record" id = "cmdDailyPrev"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                <label class="badge mb-0 pt-1">Daily 2/1</label>
                                                <button type="button" class="btn btn-primary  btn-sm " title="Next Record" id = "cmdDailyNext"><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                            </div>
                                            <div class=" d-flex flex-wrap pb-2">                                            
                                                <button type="button" class="btn btn-primary btn-sm " title="Previous Record" id = "cmdWeeklyPrev"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                <label class="badge mb-0 pt-1">Weekly 2/1-2-10</label>
                                                <button type="button" class="btn btn-primary  btn-sm " title="Next Record" id = "cmdWeeklyNext" ><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <div class="table-responsive">
                                        <table class="table table-bordered" id = "table-scheduling-dashboard">
                                            <thead>
                                                <tr>
                                                    <th>Employee</th>
                                                    <th>Employee Name</th>
                                                    <th>Sun, Feb 2 <br>0 hrs</th>
                                                    <th>Sun, Feb 3 <br>0 hrs</th>
                                                    <th>Sun, Feb 4 <br>0 hrs</th>
                                                    <th>Sun, Feb 5 <br>0 hrs</th>
                                                    <th>Sun, Feb 6 <br>0 hrs</th>
                                                    <th>Sun, Feb 7 <br>0 hrs</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td class="py-1 text-center">
                                                      <img src="images/faces/default_face.png" alt="image">
                                                    </td>
                                                    <td>Bob John1</td>
                                                    <td></td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                
                                                <tr>
                                                    <td class="py-1 text-center">
                                                      <img src="images/faces/default_face.png" alt="image">
                                                    </td>
                                                    <td>Bob John2</td>
                                                    <td></td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                
                                                <tr>
                                                    <td class="py-1 text-center">
                                                      <img src="images/faces/default_face.png" alt="image">
                                                    </td>
                                                    <td>Bob John2</td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    
                                                </tr>
                                                
                                                <tr>
                                                    <td class="py-1 text-center">
                                                      <img src="images/faces/default_face.png" alt="image">
                                                    </td>
                                                    <td>Bob John3</td>
                                                    <td></td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                
                                                <tr>
                                                    <td class="py-1 text-center">
                                                      <img src="images/faces/default_face.png" alt="image">
                                                    </td>
                                                    <td>Bob John4</td>                                                    
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                
                                                <tr>
                                                    <td class="py-1 text-center">
                                                      <img src="images/faces/default_face.png" alt="image">
                                                    </td>
                                                    <td>Bob John5</td>                                                    
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td></td>
                                                    <td class='context-menu-access bg-info text-center' >8:00 am - 5:00 pm</td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                
                                            </tbody>
                                        </table>                                              
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>   
         <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
        <!-- container-scroller ends-->
    </div>
        <!-- container-scroller page-body-wrapper ends-->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
 
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    <script src="vendors/dropify/dropify.min.js"></script>   
    
    <script src="js/dropify.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
  <!-- endinject -->  
    
</body>

</html>
