<?php
    require_once "conn.php";
    check_login();
    if (CheckCommonSetupEntries()==0)
    {
        header("location:admin.php");
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Employee Scheduling</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
   <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<!--  <link href="datepicker/datepicker.css" rel="stylesheet">-->
<link href="bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet">
        
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!--<link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">-->
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  <link rel="stylesheet" href="vendors/fullcalendar/fullcalendar.min.css">
  <script src="vendors/js/vendor.bundle.base.js"></script>
<!--  <style>
      .ui-widget-header .ui-icon {
background-image: url(images/ui-icons_222222_256x240.png);
}
  </style>-->
  <style>
th 
{
  vertical-align: bottom;
  text-align: center;
}

th span 
{
  -ms-writing-mode: tb-rl;
  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
  transform: rotate(180deg);
  white-space: nowrap;
}
/*
.loader-container {
    width: 100%;
    height: 100%;
    position: fixed;
    background-color: #fff;
    top: 0;
    left: 0;
    z-index: 99999;
}*/


#modalCategory .modal-dialog{
    overflow-y: initial !important
}
#modalCategory .modal-body{
    max-height: calc(100vh - 200px);
    overflow-y: auto;
}

  </style>
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    
                    <div class="rploader"><img src="images/89.gif" alt=""></div>
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Attendance Tracking</li>                                            
                                            <li class="breadcrumb-item"><a href="#">Employee Scheduling</a></li>  
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h2 class="card-title add_title">Employee</h2>                                        
                                    </div>
<!--                                    <div class="loader-container" style="display: none1;">
                                        <div class="loader-circle">
                                            <div class="loader">
                                                    <div class="loader-dot"></div>
                                                    <div class="loader-dot"></div>
                                                    <div class="loader-dot"></div>
                                                    <div class="loader-dot"></div>
                                                    <div class="loader-dot"></div>
                                                    <div class="loader-dot"></div>
                                            </div>
                                        </div>
                                    </div>-->
                                    
<!--                                        <div class="row">
                                            <div class="col-xl-4 col-md-12 ">
                                                
                                                <div class="form-group">
                                                    <label>Employee</label>
                                                    <select class="js-example-basic-single " style="width:100%;"  id="combo_employee" name="combo_employee">
                                                       <option value="">-Select-</option>
                                                       <?php
                                                           $qry = "select * from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' order by first_name,last_name ";
                                                           $result = mysqli_query($conn,$qry);
                                                           if(mysqli_num_rows($result)>0)
                                                           {
                                                               while($row = mysqli_fetch_assoc($result))
                                                               {?>
                                                                   <option value='<?php echo $row['employee_id']; ?>'> <?php echo $row['last_name'].', '.$row['first_name']; ?></option>
                                                       <?php   }
                                                           }
                                                       ?>
                                                   </select>
                                                    <div id="div_employee_msg"></div>
                                                </div> 
                                                
                                            </div>
                                            <div class="col-xl-4 col-md-12 mt-4 d-flex justify-content-center">
                                                <div class="form-inline">
                                                    <div class="form-check pb-2 pr-3">
                                                      <label class="form-check-label">
                                                        <input type="radio" class="form-check-input" name="employee_schedule" id="radio_daily" checked> Daily
                                                      <i class="input-helper"></i></label>
                                                    </div>


                                                    <div class="form-check pb-2 pr-3">
                                                      <label class="form-check-label">
                                                        <input type="radio" class="form-check-input" name="employee_schedule" id="radio_weekly" > Weekly
                                                      <i class="input-helper"></i></label>
                                                    </div>

                                                </div>
                                            </div>       
                                            <div class="col-xl-4 col-md-12 mt-4 d-flex justify-content-center ">
                                                <div class="form-inline">
                                                    <div class="d-flex flex-wrap pr-1 pb-2" id="div_daily">                                            
                                                        <button type="button" class="btn btn-primary btn-sm " title="Previous Record" id = "cmdDailyPrev"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                        <label class="badge mb-0 pt-1" id="label_daily">Daily 2/1</label>
                                                        <button type="button" class="btn btn-primary  btn-sm " title="Next Record" id = "cmdDailyNext"><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                                    </div>
                                                    <div class="d-flex flex-wrap pb-2" id="div_weekly">                                            
                                                        <button type="button" class="btn btn-primary btn-sm " title="Previous Record" id = "cmdWeeklyPrev" style="display:none;"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                        <label class="badge mb-0 pt-1 " id="label_weekly" style="display:none;"></label>
                                                        <button type="button" class="btn btn-primary  btn-sm " title="Next Record" id = "cmdWeeklyNext" style="display:none;" ><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                                    </div>
                                                    <input type="hidden" id="h_dailystart_date" value="">
                                                    <input type="hidden" id="h_weekstart_date" value="">
                                                </div>
                                            </div>
                                        </div>-->
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div class="form-group row col-md-4">
                                            <label>Employee</label>
                                            <select class="js-example-basic-single " style="width:100%;"  id="combo_employee" name="combo_employee">
                                               <option value="">-Select-</option>
                                               <?php
                                                   $qry = "select * from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' order by first_name,last_name ";
                                                   $result = mysqli_query($conn,$qry);
                                                   if(mysqli_num_rows($result)>0)
                                                   {
                                                       while($row = mysqli_fetch_assoc($result))
                                                       {?>
                                                           <option value='<?php echo $row['employee_id']; ?>'> <?php echo $row['last_name'].', '.$row['first_name']; ?></option>
                                               <?php   }
                                                   }
                                               ?>
                                           </select>
                                            <div id="div_employee_msg"></div>
                                        </div>
                                        
                                        <div class="form-inline">
                                            <div class="form-check pb-2 pr-3">
                                              <label class="form-check-label">
                                                <input type="radio" class="form-check-input" name="employee_schedule" id="radio_daily" checked> Daily
                                              <i class="input-helper"></i></label>
                                            </div>


                                            <div class="form-check pb-2 pr-3">
                                              <label class="form-check-label">
                                                <input type="radio" class="form-check-input" name="employee_schedule" id="radio_weekly" > Weekly
                                              <i class="input-helper"></i></label>
                                            </div>

                                        </div>
                                        
                                        <div class="form-inline">
                                            <div class="d-flex flex-wrap pr-1 pb-2" id="div_daily">                                            
                                                <button type="button" class="btn btn-primary btn-sm " title="Previous Record" id = "cmdDailyPrev"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                <label class="badge mb-0 pt-1" id="label_daily">Daily 2/1</label>
                                                <button type="button" class="btn btn-primary  btn-sm " title="Next Record" id = "cmdDailyNext"><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                            </div>
                                            <div class="d-flex flex-wrap pb-2" id="div_weekly">                                            
                                                <button type="button" class="btn btn-primary btn-sm " title="Previous Record" id = "cmdWeeklyPrev" style="display:none;"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                <label class="badge mb-0 pt-1 " id="label_weekly" style="display:none;"></label>
                                                <button type="button" class="btn btn-primary  btn-sm " title="Next Record" id = "cmdWeeklyNext" style="display:none;" ><i class="typcn typcn-chevron-right" aria-hidden="true"></i> </button>
                                            </div>
                                            <input type="hidden" id="h_dailystart_date" value="">
                                            <input type="hidden" id="h_weekstart_date" value="">
                                        </div>
                                        
                                        
                                    </div>


                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h2 class="card-title add_title mt-3" id = "lblDateTitle" style="text-transform: initial;" ></h2>
                                        <div class="form-inline">
                                            <h2 class="card-title add_title mt-3">Employee : <span id="span_selected_employee"></span></h2>
                                            <img class="img-sm rounded-circle mb-md-0 ml-2 mr-2" id = "user_img" src="images/faces/default_face.png" alt="profile image">
                                        </div>
                                    </div>
                                    
                                    
                                    
                                    
                                    <div class="table-responsive">
                                        <table class="table table-bordered" id ="tableDaily">
                                            <thead>
                                            <tr class="table-info">                                                
                                                <th  colspan='2' originalh-title='12:00 AM'><span>12:00 AM - 01:00 AM</span></th>
                                                <?php
                                                    for($hour=1; $hour <= 23; $hour++)
                                                    {
                                                        if($hour>12)
                                                        {
                                                            $hour1 = $hour-12;
                                                            
                                                        }
                                                        else
                                                        {
                                                            $hour1 = $hour;
                                                        }
                                                        $hour2=$hour1+1;
                                                        if(($hour+1)>12)
                                                        {
                                                            $hour2 = ($hour+1)-12;
                                                            
                                                        }
                                                        $hour1 = str_pad($hour1, 2, '0', STR_PAD_LEFT);
                                                        //echo "<th colspan='2'><span>".($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM")."</span></th>";  
                                                        $title_value = ($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM");
                                                        $hour2 = str_pad($hour2, 2, '0', STR_PAD_LEFT);
                                                        if($hour<=22)
                                                        {
                                                            echo "<th colspan='2' originalh-title='".$title_value."'><span>".($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM")." - ".(($hour+1) >= 12 ? $hour2.":00 PM": $hour2.":00 AM")."</span></th>";
                                                        }
                                                        else
                                                        {
                                                            echo "<th colspan='2' originalh-title='".$title_value."'><span>".($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM")." - ".(($hour+1) >= 12 ? $hour2.":00 AM": $hour2.":00 AM")."</span></th>";
                                                        }
                                                        
                                                    }
                                                ?>
                                                <th>Action</td>
                                            </tr>
                                            </thead>
                                            <tbody>
                                                <tr class="table-light11" id="tr_daily_1" >                                                
                                                    <?php
                                                        $start_time = '00:00';

                                                        for($hour=1; $hour <= 24; $hour++)
                                                        {

                                                            $start_time = date('h:i A',strtotime($start_time));
                                                            //echo "<td class='context-menu-access ' id ='cell".$hour."'><div customerid='1'>&nbsp;</div></td>";
                                                            echo "<td class='tdvalue' original-title='".$start_time."' ></td>";

                                                            $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));
                                                            echo "<td class='tdvalue' original-title='".$new_time."' ></td>";

                                                            $start_time = $new_time;
                                                            $start_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));

                                                        } ?>
                                                        <!--<td class='context-menu-access ' ><div customerid='1'>&nbsp;</div></td>-->
                                                        <td class="text-center"><button type='button' id='cmdEyeIcon' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='' > <i class=' fa fa-eye'></i> </button></td>
                                                </tr>
                                            </tbody>
                                        </table>      
                                        
                                        
                                        <table class="table table-bordered" id ="tableWeekly" style="display:none;">
                                            <thead>
                                                <tr class="table-info ">
                                                    <td class="text-center pt-3 pb-3" width="13%">Sun Feb 2 <br>0 hrs</td>
                                                    <td class="text-center pt-3 pb-3" width="13%">Sun Feb 3 <br>0 hrs</td>
                                                    <td class="text-center pt-3 pb-3" width="13%">Sun Feb 4 <br>0 hrs</td>
                                                    <td class="text-center pt-3 pb-3" width="13%">Sun Feb 5 <br>8:00 hrs</td>
                                                    <td class="text-center pt-3 pb-3" width="13%">Sun Feb 6 <br>8:00 hrs</td>
                                                    <td class="text-center pt-3 pb-3" width="13%">Sun Feb 7 <br>8:00 hrs</td>
                                                    <td class="text-center pt-3 pb-3" width="13%">Sun Feb 8 <br>8:00 hrs</td>
                                                    <!--<td><button type='button' class='btn btn-default' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content=' Created By:    <br> Updated By:  <br> Creation Date:   <br> Last Update Date:  ' > <i class=' fa fa-eye'></i> </button></td>-->
                                                    <td class="text-center pt-3 pb-3" >Action</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                
                                            </tbody>
                                        </table>     
                                    </div>
                                    
                                    
                                    <div class="mt-3">
                                        <button type="button" class="btn btn-primary btn-sm" id="cmdCreateSchedule">Create Schedule </button>
                                        <input type="hidden" id="h_allow_daily_overtime" value="">
                                        <input type="hidden" id="h_allow_daily_doubletime" value="">
                                        <input type="hidden" id="h_allow_weekly_overtime" value="">
                                        <input type="hidden" id="h_allow_weekly_doubletime" value="">
                                    </div>
                                    
                                    <div class="template-demo text-right">
<!--                                        <button type="button" class="btn btn-primary btn-sm pr-2 pb-2" id="cmdWeekSchedule"> Apply this schedule to whole week </button>
                                        
                                        <button type="button" class="btn btn-primary btn-sm pr-2 pb-2" id="cmdMonthSchedule"> Apply this schedule to whole month </button>
                                        -->
                                        <button type="button" class="btn btn-primary btn-sm pr-2 pb-2" id="cmdDirectReports"> Apply this schedule to direct reports </button>
                                        
                                        <button type="button" class="btn btn-primary btn-sm pr-2 pb-2" id="cmdNotify"> Notify  </button>
                                    </div>
                                    
                                    
                                    <div class="row pt-3" id="divDaily1">                                        
                                        <div class="col-xs-12 col-md-4 ">
                                            <h5 class="border pt-2 pb-2"> <span id="span_selected_employee1"></span> is scheduled to work for: </h5>
                                            <div class="border">
                                                <p class="ml-2"><lable id="lblRegularTime">0 hours</lable> Regular Time</p>
                                                <p class="ml-2"><lable id="lblOverTime">0 hours</lable> Overtime</p>
                                                <p class="ml-2"><lable id="lblDoubleTime">0 hours</lable> Double Time</p>
                                                <p class="ml-2"><lable id="lblMealTime">0 hours</lable> Meal Time</p>
                                                <p class="ml-2"><lable id="lblBreakTime">0 hours</lable> Break Time</p>
                                                <p class="ml-2"><lable id="lblleaves">0 hours</lable> Leave/RDO</p>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="modal fade" id="modal_calendar"  role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
                        <div class="modal-dialog swal-modal modal-xl pl-2 pr-2" role="document" >  <!-- style="overflow-y: initial !important" -->
                            <div class="modal-content">                
                                <div class="modal-body pt-0">
                                    
                                    <div class="swal-icon swal-icon--warning">
                                        <span class="swal-icon--warning__body">
                                          <span class="swal-icon--warning__dot"></span>
                                        </span>
                                    </div>

<!--                                    <div class=" border1" id="div_calendar">
                                        <h4 class="card-title">Time Entry - Calendar View</h4>
                                        <div id="calendar" class="full-calendar"></div>
                                        <div class="text-right pt-3" >
                                            <button class="btn btn-primary btn-sm">Save</button>
                                        </div>   
                                    </div>-->
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div class="swal-title" id="div_employee1"></div>
                                        <div class="swal-title" id="div_period1">
                                            <div class="row">
                                                <div class="col-md-2"></div>
                                                <div class="col-md-5 form-inline1">
                                                    <label>From Date: </label>                                                        
                                                    <div class="input-group date datepicker">
                                                        <input type="text" class="form-control weekly_date " id="text_fromdate" >
                                                        <span class="input-group-addon input-group-append border-left">
                                                          <span class="typcn typcn-calendar-outline input-group-text"></span>
                                                        </span>
                                                    </div>
                                                    <div  class="mt-2" style="font-size: 0.875rem;font-weight: 400;"><span class="mt-2" id="span_fromdate" ></span></div>
                                                </div>    

                                                <div class="col-md-5 form-inline1">
                                                    <label>To Date: </label>                                                        
                                                    <div  class="input-group date datepicker  ">
                                                        <input type="text" class="form-control weekly_date" id="text_todate"  >
                                                        <span class="input-group-addon input-group-append border-left">
                                                          <span class="typcn typcn-calendar-outline input-group-text"></span>
                                                        </span>
                                                    </div>
                                                    <div  class="mt-2" style="font-size: 0.875rem;font-weight: 400;"><span class="mt-2" id="span_todate" ></span></div>
                                                </div>    
                                            </div>    
                                        </div>
                                    </div>

                                    <div id="div_calendar1">
                                        <div class="table-responsive">
                                            <table class="table table-bordered" id="table_calendar" style="width:100%">
                                                <tr></tr>
                                            </table>
                                        </div>
                                    </div>

                                </div>
                                
                                <div class="swal-footer">
                                    <div class="swal-button-container">
                                        <button class="swal-button swal-button--cancel btn btn-danger" id="cmdCalendarCancel">Cancel</button>                        
                                    </div>
                                    <div class="swal-button-container">
                                        <button class="swal-button swal-button--confirm btn btn-primary" id="cmdCalendarOK">OK</button>                        
                                    </div>      
                                </div>
                                
                                
                            </div>
                        </div>
                    </div>
                    
                    
                    <div class="modal fade" id="modal_schedule"  role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
                        <div class="modal-dialog swal-modal modal-lg" role="document" style="overflow-y: initial !important">
                          <div class="modal-content">                
                            <div class="modal-body pt-0" style="max-height: calc(100vh - 200px);overflow-y: auto;">
                                <div class="swal-icon swal-icon--warning">
                                    <span class="swal-icon--warning__body">
                                      <span class="swal-icon--warning__dot"></span>
                                    </span>
                                </div>
                                
                                <div class="d-flex flex-wrap justify-content-between">
                                    <div class="swal-title" id="div_employee"></div>
                                    <div class="swal-title" id="div_period"></div>  
                                    <input type="hidden" id="h_fromdate_single" value="">
                                    <input type="hidden" id="h_fromdate" value="">
                                    <input type="hidden" id="h_todate" value="">
                                </div>
                                <div class="d-flex flex-wrap justify-content-between" id="div_for_weekly">
                                    <div></div>
                                    <div>
                                        <div class="form-check">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input" id="chk_fiil_date_range" checked="">
                                                Fill the date range
                                              <i class="input-helper" ></i>
                                            </label>
                                        </div>
                                    </div>    
                                </div>    
                                <div class="row justify-content-center">
                                    <div class="col-sm-12 col-md-11 col-lg-11">
                                    
                                        <div class="not-valid-tip text-center mb-3" id="div_msg"></div>    
                                        <div class="table-responsive">
                                            <table class="table1 table-bordered1" id="table_emp_schedule_entry">
                                                <tbody>
                                                    <tr id="tr_regular_time">
                                                        <td>
                                                            <div class="form-group mr-3">
                                                                <span class="text-primary mb-1 font-weight-bold mt-3">Regular Time</span>
                                                                <input type="hidden" id="h_scheduleid_reg" name="h_scheduleid_reg" value="">
                                                            </div>    
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-3">
                                                                <div class="input-group">
                                                                    <div class="input-group-prepend">
                                                                      <span class="input-group-text">Start </span>
                                                                    </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_regular" style="width:100%;"  id="regular_from_time" name="regular_from_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                        </select>
                                                                    </div>    
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_regular_from_time" class="not-valid-tip"></span></div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-3">
                                                                <div class="input-group">
                                                                  <div class="input-group-prepend">
                                                                    <span class="input-group-text">End </span>
                                                                  </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_regular" style="width:100%;"  id="regular_to_time" name="regular_to_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                        </select>
                                                                    </div>    
                                                                    <input type="hidden" id="h_regular_duration" value="">
                                                                    <input type="hidden" id="h_new_date" value="">
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_regular_to_time" class="not-valid-tip"></span></div>
                                                        </td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" id="div_regtime_from"></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" id="div_regtime_to"></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" id="div_reg_hour"></div></td>
                                                    </tr>

                                                    <tr id="tr_break_time">
                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <span class="text-primary mb-1 font-weight-bold mt-3">Break Time</span>
                                                                <input type="hidden" id="h_scheduleid_breaktime" name="h_scheduleid_breaktime" value="">
                                                            </div>    
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                  <div class="input-group-prepend">
                                                                    <span class="input-group-text">Start </span>
                                                                  </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_break" style="width:100%;"  id="break_from_time" name="break_from_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                        </select>
                                                                    </div>    
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_break_from_time" class="not-valid-tip"></span></div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                  <div class="input-group-prepend">
                                                                    <span class="input-group-text">End </span>
                                                                  </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_break" style="width:100%;"  id="break_to_time" name="break_to_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                        </select>
                                                                    </div>    
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_break_to_time" class="not-valid-tip"></span></div>
                                                        </td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" id="div_breakime_from"></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" id="div_breaktime_to"></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" id="div_break_hour"></div></td>
                                                        <td><div class="form-group mr-2"> <button class="btn btn-primary1 btn-sm font-weight-bold  " id ="cmdMoreBreak" title="Add More Break Time" style="display:none;">...</button></div></td>
                                                    </tr>


                                                    <tr id="tr_meal_time">
                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <span class="text-primary mb-1 font-weight-bold mt-3">Meal Time</span>
                                                                <input type="hidden" id="h_scheduleid_mealtime" name="h_scheduleid_mealtime" value="">
                                                            </div>    
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                  <div class="input-group-prepend">
                                                                    <span class="input-group-text">Start </span>
                                                                  </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_meal" style="width:100%;"  id="meal_from_time" name="meal_from_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                        </select>
                                                                    </div>    
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_meal_from_time" class="not-valid-tip"></span></div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                    <div class="input-group-prepend">
                                                                      <span class="input-group-text">End </span>
                                                                    </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_meal" style="width:100%;"  id="meal_to_time" name="meal_to_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                        </select>
                                                                    </div>    
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_meal_to_time" class="not-valid-tip"></span></div>
                                                        </td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2"> <button class="btn btn-primary1 btn-sm font-weight-bold  " id ="cmdMoreMeal" title="Add More Meal Time" style="display:none;">...</button></div></td>
                                                    </tr>

                                                    <tr id="tr_overtime_time">
                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <span class="text-primary mb-1 font-weight-bold mt-3">OverTime</span>
                                                                <input type="hidden" id="h_scheduleid_ot" name="h_scheduleid_ot" value="">
                                                            </div>    
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                    <div class="input-group-prepend">
                                                                      <span class="input-group-text">Start </span>
                                                                    </div>

                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_overtime" style="width:100%;"  id="overtime_from_time" name="overtime_from_time">
                                                                            <option value="">-Select-</option>
                                                                            <?php
                                                                                $start_time = '00:00';
                                                                                for($i=1; $i <= 48; $i++)
                                                                                {   
                                                                                    $start_time = date('h:i A',strtotime($start_time));
                                                                                    echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                    $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                    $start_time = $new_time;                                                        
                                                                                } ?>
                                                                            ?>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_overtime_from_time" class="not-valid-tip"></span></div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                  <div class="input-group-prepend">
                                                                    <span class="input-group-text">End </span>
                                                                  </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_overtime" style="width:100%;"  id="overtime_to_time" name="overtime_to_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                      </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_overtime_to_time" class="not-valid-tip"></span></div>
                                                        </td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                    </tr> 

                                                    <tr id="tr_double_time">
                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <span class="text-primary mb-1 font-weight-bold mt-3">Double Time</span>
                                                                <input type="hidden" id="h_scheduleid_dt" name="h_scheduleid_dt" value="">
                                                            </div>    
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                  <div class="input-group-prepend">
                                                                    <span class="input-group-text">Start </span>
                                                                  </div>

                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_double" style="width:100%;" id="double_time_from_time" name="double_time_from_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                      </select>
                                                                    </div>    
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_double_time_from_time" class="not-valid-tip"></span></div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                    <div class="input-group-prepend form-inline">
                                                                      <span class="input-group-text">End </span>
                                                                    </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_double"  style="width:100%;" id="double_time_to_time" name="double_time_to_time">
                                                                          <option value="">- Select -</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                      </select>
                                                                    </div>       
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_double_time_to_time" class="not-valid-tip"></span></div>
                                                        </td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                    </tr>
                                                    
                                                    <tr id="tr_leave_time">
                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <span class="text-primary mb-1 font-weight-bold mt-3">Leave Time</span>
                                                                <input type="hidden" id="h_scheduleid_leave" name="h_scheduleid_leave" value="">
                                                            </div>    
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                  <div class="input-group-prepend">
                                                                    <span class="input-group-text">Start </span>
                                                                  </div>

                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_settime" style="width:100%;" id="leave_time_from_time" name="leave_time_from_time">
                                                                          <option value="">-Select-</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                      </select>
                                                                    </div>    
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_leave_time_from_time" class="not-valid-tip"></span></div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group mr-2">
                                                                <div class="input-group">
                                                                    <div class="input-group-prepend form-inline">
                                                                      <span class="input-group-text">End </span>
                                                                    </div>
                                                                    <div>
                                                                        <select class="js-example-basic-single dropdown_settime"  style="width:100%;" id="leave_time_to_time" name="leave_time_to_time">
                                                                          <option value="">- Select -</option>
                                                                          <?php
                                                                              $start_time = '00:00';
                                                                              for($i=1; $i <= 48; $i++)
                                                                              {   
                                                                                  $start_time = date('h:i A',strtotime($start_time));
                                                                                  echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                                  $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                                  $start_time = $new_time;                                                        
                                                                              } ?>
                                                                          ?>
                                                                      </select>
                                                                    </div>       
                                                                </div>
                                                            </div>
                                                            <div  class="mt-2"><span id="span_leave_time_to_time" class="not-valid-tip"></span></div>
                                                        </td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                        <td><div class="form-group mr-2 font-weight-bold  mt-1" ></div></td>
                                                    </tr>
                                                    
                                                </tbody>
                                            </table>
                                        
                                        
                                               
                                        </div>
                                    </div>    
                                </div>
                                

                                <div class="swal-text" style="">
                                    
                                </div>
                                
                            </div>                         
                            <div class="swal-footer">
                                <div class="swal-button-container">
                                    <button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalCancel">Cancel</button>                        
                                </div>
                                <div class="swal-button-container">
                                    <button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalUpdate">Update</button>                        
                                </div>      
                            </div>
                          </div>
                        </div>
                    </div> 
                    
                    
                    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
                        <div class="modal-dialog swal-modal" role="document">
                          <div class="modal-content">                
                            <div class="modal-body pt-0">
                                <div class="swal-icon swal-icon--warning">
                                    <span class="swal-icon--warning__body">
                                      <span class="swal-icon--warning__dot"></span>
                                    </span>
                                </div>

                                <div class="swal-title" style="">Are you sure?</div>
                                <div class="swal-text" style="">Are you sure to delete this record?</div>
                                <input type="hidden" id="h_deleteid" value="">
                                <input type="hidden" id="h_current_row" value="">
                            </div>
                         
                            <div class="swal-footer">
                                <div class="swal-button-container">
                                    <button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalDelete_Cancel">Cancel</button>                        
                                </div>
                                <div class="swal-button-container">
                                    <button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalDelete_Delete">OK</button>                        
                                </div>      
                            </div>
                          </div>
                        </div>
                    </div> 
                    
                    <div class="modal fade" id="modalCategory"  role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
                        <div class="modal-dialog swal-modal" role="document" >
                          <div class="modal-content">                
                              <div class="modal-body pt-0" >
                                <div class="swal-icon swal-icon--warning">
                                    <span class="swal-icon--warning__body">
                                      <span class="swal-icon--warning__dot"></span>
                                    </span>
                                </div>

                                <div class="swal-title" id="div_morecategory_name"> </div>
                                <div class="swal-text1">
                                    <div class="row">
                                        <input type="hidden" id="h_more_category" value="">
                                        <div class="col-md-6">
                                            <div class="form-group mr-2">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                      <span class="input-group-text">Start </span>
                                                    </div>

                                                    <div>
                                                        <select class="js-example-basic-single " style="width:100%;"  id="combo_more_strart" name="combo_more_strart">
                                                            <option value="">-Select-</option>
                                                            <?php
                                                                $start_time = '00:00';
                                                                for($i=1; $i <= 48; $i++)
                                                                {   
                                                                    $start_time = date('h:i A',strtotime($start_time));
                                                                    echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                    $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                    $start_time = $new_time;                                                        
                                                                } ?>
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div  class="mt-2"><span id="span_more_start" class="not-valid-tip"></span></div>
                                        </div>
                                        
                                        <div class="col-md-6">
                                            <div class="form-group mr-2">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                      <span class="input-group-text">End </span>
                                                    </div>

                                                    <div>
                                                        <select class="js-example-basic-single " style="width:100%;"  id="combo_more_end" name="combo_more_end">
                                                            <option value="">-Select-</option>
                                                            <?php
                                                                $start_time = '00:00';
                                                                for($i=1; $i <= 48; $i++)
                                                                {   
                                                                    $start_time = date('h:i A',strtotime($start_time));
                                                                    echo "<option value='".$start_time."'>".$start_time."</option>";
                                                                    $new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));                                                     
                                                                    $start_time = $new_time;                                                        
                                                                } ?>
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div  class="mt-2"><span id="span_more_start" class="not-valid-tip"></span></div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                         
                            <div class="swal-footer">
                                <div class="swal-button-container">
                                    <button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalCategory_Cancel">Cancel</button>                        
                                </div>
                                <div class="swal-button-container">
                                    <button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalCategory_OK">OK</button>                        
                                </div>      
                            </div>
                          </div>
                        </div>
                    </div> 
                    
                </div>
            </div>   
         <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
        <!-- container-scroller ends-->
    </div>
        <!-- container-scroller page-body-wrapper ends-->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="js/custom.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script>
     <script src="vendors/moment/moment.min.js"></script>
  <script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>  
    <script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
    <script src="vendors/fullcalendar/fullcalendar.min.js"></script>
  <!-- endinject -->  
    <script>
      
    $('.datepicker').datepicker(
      {
          format:'mm/dd/yyyy ',
          defaultDate: '',
          autoclose : true,
          todayHighlight: true
      });
    curTime = moment().format('h:mm A');
    $("#combo_employee").change(function()
    {
        form_element_correct($("#div_employee_msg"));
        var selected_text = $("#combo_employee option:selected").text();
        $("#tableWeekly tbody").empty();
        
        if($("#combo_employee").val()=="")
        {
            selected_text = "";
            $("#cmdNotify").text("Notify ");
        }
        else
        {
            var pos = selected_text.indexOf(",");
            pos = parseInt(pos);
            var sub = selected_text.substr(pos+1)+" "+selected_text.substr(0, pos);;
            
            $("#cmdNotify").text("Notify "+sub);
        }
        $("#span_selected_employee").text(selected_text);
        $("#span_selected_employee1").text(selected_text);
        
        
         $('.tdvalue').each(function(n1) 
            { 
                $("#tr_daily_1").find("td:eq("+n1+")").css("background-color", "#FFFFFF");
                $("#tr_daily_1").find("td:eq("+n1+")").removeAttr("title");
            });
        
        if(selected_text!="")
        {
            GetUserImage();
            FillMainGridFromDB_Data();
        }
        
     });
 
 function GetUserImage()
 {
     $.ajax({
         url:"ajax2.php",
         method:"POST",
         data:{REQUEST:'GetUserImage',Employeeid:$("#combo_employee").val()},
          beforeSend: function() 
        {
                $(".rploader").fadeIn(800);
        },
         success:function(response)
         {
              setTimeout(function(){
            $(".rploader").fadeOut(800);
             console.log(response);
             if(response.succ==1)
             {  
                if (response.image_name=="")
                {
                    $('#user_img').attr('src', 'images/faces/default_face.png');    
                }
                else
                {
                    $('#user_img').attr('src', 'img/uploads/user_images/'+response.image_name);
                }    
             }
             },2000);
         }
    });
 }
 $(document).ready(function()
 {
    var date1 = moment().format('MM/DD');  
    var  date2 = new Date(moment().locale("en").add(6, 'd').format("MM/DD/YYYY"));
    date3 = moment(date2).format('MM/DD');    
    
    $("#div_weekly").children().hide();
    $("#label_daily").text("Daily "+date1);
    $("#label_weekly").text("Weekly "+date1+" - "+date3);
    
    $("#h_dailystart_date").val(moment().format('YYYY-MM-DD'));
    $("#h_weekstart_date").val(moment().format('YYYY-MM-DD'));
    
    $("#lblDateTitle").html(moment().format('dddd, MMMM Do YYYY').replace(/(\d)(st|nd|rd|th)/g, '$1<sup>$2</sup>'));
    $("#table1_filter").hide();
    
    $("#text_fromdate").val(moment().format('MM/DD/YYYY'));
    $("#text_todate").val(moment(date2).format('MM/DD/YYYY'));
    change_weeklygrid_column();  
    
    
    $.ajax({
            url: "ajax2.php",
            method: "POST",
            data: {REQUEST: 'get_company_ot_data'},
            success: function (response)
            {  
                console.log(response);
                if(response.succ==1)
                {
                    $("#h_allow_daily_overtime").val(response.is_daily_overtime);
                    $("#h_allow_daily_doubletime").val(response.is_daily_doubletime);
                    $("#h_allow_weekly_overtime").val(response.is_weekly_overtime);
                    $("#h_allow_weekly_doubletime").val(response.is_weekly_doubletime);
                }
            }
        });
    
 });

$("#radio_daily").click(function()
{
    $("#div_daily").children().show();
    $("#div_weekly").children().hide();
    $("#lblDateTitle").html(moment($("#h_dailystart_date").val()).format('dddd, MMMM Do YYYY').replace( /(\d)(st|nd|rd|th)/g, '$1<sup>$2</sup>'));
    $("#tableDaily").show();
    $("#tableWeekly").hide();    
    FillMainGridFromDB_Data();
    $("#divDaily1").show();
});


$("#radio_weekly").click(function()
{
    $("#div_daily").children().hide();
    $("#div_weekly").children().show();    
    $("#lblDateTitle").html($("#label_weekly").html());
    $("#tableWeekly").show();
    $("#tableDaily").hide();    
    FillMainGridFromDB_Data();
    $("#divDaily1").hide();
});


$("#cmdDailyNext").click(function()
{
    var date1 = $("#h_dailystart_date").val();
    var date2 = new Date(moment(date1).locale("en").add(1, 'd').format("MM/DD/YYYY"));
    var date3 = moment(date2).format('YYYY-MM-DD');  
   $("#h_dailystart_date").val(date3);
   $("#label_daily").text("Daily "+moment(date3).format('MM/DD'));
   $("#lblDateTitle").html(moment($("#h_dailystart_date").val()).format('dddd, MMMM Do YYYY').replace( /(\d)(st|nd|rd|th)/g, '$1<sup>$2</sup>'));
   FillMainGridFromDB_Data();
});
$("#cmdDailyPrev").click(function()
{
    var date1 = $("#h_dailystart_date").val();
    var date2 = new Date(moment(date1).locale("en").subtract(1, 'd').format("MM/DD/YYYY"));    
    var date3 = moment(date2).format('YYYY-MM-DD');
   $("#h_dailystart_date").val(date3);
   $("#label_daily").text("Daily "+moment(date3).format('MM/DD'));
   $("#lblDateTitle").html(moment($("#h_dailystart_date").val()).format('dddd, MMMM Do YYYY').replace( /(\d)(st|nd|rd|th)/g, '$1<sup>$2</sup>'));
   FillMainGridFromDB_Data();   
});

$("#cmdWeeklyNext").click(function()
{
    var date1 = $("#h_weekstart_date").val();
    var date2 = new Date(moment(date1).locale("en").add(7, 'd').format("YYYY-MM-DD"));
    var date3 = moment(date2).format('YYYY-MM-DD');  
    var date4 = new Date(moment(date3).locale("en").add(6, 'd').format("YYYY-MM-DD"));
    $("#h_weekstart_date").val(date3);
    $("#label_weekly").text("Weekly "+moment(date3).format('MM/DD')+" - "+moment(date4).format('MM/DD'));
    $("#lblDateTitle").text(moment($("#h_weekstart_date").val()).format('dddd, MMMM DD YYYY'));
    $("#lblDateTitle").text($("#label_weekly").text());
    
    $("#text_fromdate").val(moment(date2).format('MM/DD/YYYY'));
    $("#text_todate").val(moment(date4).format('MM/DD/YYYY'));
    change_weeklygrid_column();
    FillMainGridFromDB_Data();
});


$("#cmdWeeklyPrev").click(function()
{
    var date1 = $("#h_weekstart_date").val();
    var date2 = new Date(moment(date1).locale("en").subtract(7, 'd').format("YYYY-MM-DD"));
    var date3 = moment(date2).format('YYYY-MM-DD');  
    var date4 = new Date(moment(date3).locale("en").add(6, 'd').format("YYYY-MM-DD"));
    $("#h_weekstart_date").val(date3);
    $("#label_weekly").text("Weekly "+moment(date3).format('MM/DD')+" - "+moment(date4).format('MM/DD'));
    $("#lblDateTitle").text($("#label_weekly").text());
    
    $("#text_fromdate").val(moment(date2).format('MM/DD/YYYY'));
    $("#text_todate").val(moment(date4).format('MM/DD/YYYY'));
    change_weeklygrid_column();
    FillMainGridFromDB_Data();
});


$("#cmdCreateSchedule").click(function()
{
   var selected_value = $("#combo_employee").val();
   form_element_correct($("#div_employee_msg"));
   if(selected_value=="")
   {
       form_element_empty_err($("#div_employee_msg"));
   }
   else
   {
       $("#div_employee").html("<span>"+"Employee : "+$("#span_selected_employee").text()+"</span>"); 
       $("#div_employee1").html("<span>"+"Employee : "+$("#span_selected_employee").text()+"</span>"); 
       $("#div_period").html("<span>"+$("#lblDateTitle").html()+"</span>");
        if($('#radio_daily').is(':checked'))
        {
            $("#div_period").show();
            $("#div_period").children().show();            
            $("#div_msg").text("");
            $("#div_msg").change();
            
            $("#h_fromdate").val($("#h_dailystart_date").val());
            $("#h_todate").val($("#h_dailystart_date").val());
            
            test_date = $("#h_dailystart_date").val();
            test_date = moment(test_date).format('YYYY-MM-DD');            
            $("#h_fromdate_single").val(test_date); 
            
            $("#modal_schedule").modal('show');
            $("#div_for_weekly").children().hide();
            $("#tr_regular_time").find("select").val("");
            $("#tr_regular_time").find("select").select2();                     
            $("#tr_regular_time").find("td:eq(3) div:first").text('');
            $("#tr_regular_time").find("td:eq(4) div:first").text('');
            $("#tr_regular_time").find("td:eq(5) div:first").text('');
            
            disableRows();
            FillPopupGridFromDB_Data();
        }  
        else if($('#radio_weekly').is(':checked'))
        {
            $("#modal_calendar").modal('show');
            $("#div_for_weekly").children().show();
            //$(".weekly_date").change();
           CreateCalendar_view();
        }
    }
});
   /* $('#modal_calendar').on('show.bs.modal', function() {
        $(".weekly_date").change();
    });*/
$('#cmdModalCancel').click(function()
{
    $("#modal_schedule").modal("hide");
});



$('#cmdModalUpdate').click(function()
{
    var format = 'MM-DD-YYYY hh:mm A';   
    var regular_start = $("#tr_regular_time").find("td:eq(3) div:first").text();
    var regular_end = $("#tr_regular_time").find("td:eq(4) div:first").text();
    
    var overtime_start = $("#tr_overtime_time").find("td:eq(3) div:first").text();
    var overtime_end = $("#tr_overtime_time").find("td:eq(4) div:first").text();
    
    var double_start = $("#tr_double_time").find("td:eq(3) div:first").text();
    var double_end = $("#tr_double_time").find("td:eq(4) div:first").text();
    
    var max_end_time = regular_end;
    
    if(overtime_end!='')
    {
        max_end_time = overtime_end;
    }
    
    if(double_end!='')
    {
        max_end_time = double_end;
    }
    
    $('#table_emp_schedule_entry tbody tr').each(function(n) 
    {
        if(n==1 || n==2 || n>4)
        {
            var col1 = $(this).find("td:eq(3) div:first").text();
            var col2 = $(this).find("td:eq(4) div:first").text();
            beforeTime = moment(regular_start, format);
            afterTime = moment(max_end_time, format);
            flag = "Y";
            
            if(col1!='' && col2!='')
            {
                time = moment(col1,format);

                if (time.isBetween(beforeTime, afterTime)) 
                {
                    time = moment(col2,format);
                    if (time.isBetween(beforeTime, afterTime)) 
                    {
                        flag="Y";
                    }
                    else
                    {
                        if(time.isSame(afterTime))
                        {
                            flag="Y";
                        }
                        else
                        {
                            flag="N";
                        }    
                    }
                }
                else
                {
                    flag="N";
                }
            }
            if(flag=="N")
            {
                msg = $(this).find("td:eq(0) span:first").text()+" not in range";
                $("#div_msg").text(msg);
                return false;
            }
        }
        
    });
    
    if(flag=="Y")
    {
        var arr_list = get_current_timezone();
        currTz = arr_list[0];
        curTime = arr_list[1];
        
        var time_category = new Array(); 
        var db_from_time = new Array();
        var db_to_time = new Array();
        var from_time = new Array();
        var to_time = new Array();
        var schedule_id = new Array();
        var IsSecondaryRow = new Array();
        
        var schedule_type = "";
        if($('#radio_daily').is(':checked')) 
        {
            schedule_type = "d";
//            FromDate = $("#h_dailystart_date").val();
//            ToDate = $("#h_dailystart_date").val();
            
            
        }
        else
        {
            schedule_type = "w";
//            FromDate = $("#text_fromdate").val();
//            ToDate = $("#text_todate").val();
//            
//            FromDate = moment(FromDate).format('YYYY-MM-DD');
//            ToDate = moment(ToDate).format('YYYY-MM-DD');
            
        }
        FromDate = $("#h_fromdate").val();
        ToDate = $("#h_todate").val();
            
        $('#table_emp_schedule_entry tbody tr').each(function(n) 
        {
            from_time.push($(this).find("td:eq(1) select:first").val());
            to_time.push($(this).find("td:eq(2) select:first").val());
            db_from_time.push($(this).find("td:eq(3) div:first").text());
            db_to_time.push($(this).find("td:eq(4) div:first").text());
            time_category.push($(this).find("td:eq(0) span:first").text()); 
            //selected_id = $(this).find("td:eq(0) span:first").text()
            var selected_id = $(this).find('td:eq(0) input[type="hidden"]').val();
            schedule_id.push(selected_id); 
            if(n>5)
            {
                IsSecondaryRow.push('Y'); 
            }
            else
            {
                IsSecondaryRow.push('N'); 
            }
        });
        
        $.ajax({
            url: "ajax2.php",
            method: "POST",
            data: {REQUEST: 'save_employee_schedule_data',employee_id:$("#combo_employee").val(),db_from_time: db_from_time,db_to_time:db_to_time,time_category:time_category,schedule_type:schedule_type,currTz:currTz,curTime:curTime,FromDate:FromDate,ToDate:ToDate,from_time:from_time,to_time:to_time,schedule_id:schedule_id,IsSecondaryRow:IsSecondaryRow},
            success: function (response)
            {  
                if(response.succ==1)
                {
                    FillMainGridFromDB_Data(); 
                    $("#modal_schedule").modal("hide");
                }
            }
        });
        
    }
});

 $('.form_time').datetimepicker({
    format: 'LT',
    timeFormat: 'h:mm:ss p' 
  });
   
    function FillPopupGridFromDB_Data()
    {
        if($('#radio_daily').is(':checked')) 
        {   
            selected_date = $("#h_dailystart_date").val(); 
            FillPopup_SingleDate(selected_date);
        }
    }
    
    function FillPopup_SingleDate(single_selected_date)
    {              
        $.ajax({
                url: "ajax2.php",
                method: "POST",
                data: {REQUEST: 'get_employee_schedule_data', employee_id: $("#combo_employee").val(),selected_date:single_selected_date},
                success: function (response)
                {  
                    console.log(response);
                    if (!jQuery.isEmptyObject(response.data_list))
                    {
                        enableRows();
                        var tr = "";
                        $.each( response.data_list, function( key, value ) 
                        {
                            var from_time = moment(value.schedule_datetime_start).format("hh:mm A");
                            var to_time = moment(value.schedule_datetime_end).format("hh:mm A");
                            var time_category = value.schedule_time_category;
                            var id = value.schedule_id;
                            var cell4 = moment(value.schedule_datetime_start).format("MM-DD-YYYY hh:mm A");
                            var cell5 = moment(value.schedule_datetime_end).format("MM-DD-YYYY hh:mm A");
                            Addrow(from_time,to_time,time_category,"exist",id,cell4,cell5,value.IsSecondaryRow);
                        });
                    }    
                }
        });    
    }
    
    function FillMainGridFromDB_Data()
    {
        $('.tdvalue').each(function(n1) 
        { 
            $("#tr_daily_1").find("td:eq("+n1+")").css("background-color", "#FFFFFF");
            $("#tr_daily_1").find("td:eq("+n1+")").removeAttr("title");
        });
        $("#tableWeekly tbody").empty();
        $("#cmdEyeIcon").attr('data-content', "");
        if ($("#combo_employee").val()=="")
        {
            return false;
        }
        if($('#radio_daily').is(':checked')) 
        {    
            selected_date = $("#h_dailystart_date").val();
            
            $.ajax({
                    url: "ajax2.php",
                    method: "POST",
                    data: {REQUEST: 'get_employee_schedule_data', employee_id: $("#combo_employee").val(),selected_date:selected_date},
                    success: function (response)
                    {  
                        console.log(response);
                        if(response.succ==1)
                        {
                            if (!jQuery.isEmptyObject(response.data_list))
                            {
                                
                                $.each( response.data_list, function( key, value ) 
                                {
                                    //row1 += "<li><span>"+value.time_type+" - "+value.display_time+"</span></li>";
                                    var col1 = moment(value.schedule_datetime_start).format("hh:mm A");
                                    var col2 = moment(value.schedule_datetime_end).format("hh:mm A");
                                    var col3 = value.schedule_time_category;
                            
                                    backcolor = setGridBackColor(col3);
                                    var startTime=moment(value.schedule_datetime_start, "YYYY-MM-DD HH:mm:ss a");
                                    var endTime=moment(value.schedule_datetime_end, "YYYY-MM-DD HH:mm:ss a");
                                    var duration = moment.duration(endTime.diff(startTime));
                                    var hours = parseInt(duration.asHours());
                                    var minutes = parseInt(duration.asMinutes())-hours*60;   
                                    var result = endTime.diff(startTime, 'hours') + " hours and " +minutes+" minutes";

                                    var TotalMinutes = endTime.diff(startTime, 'minutes');                
                                    var numcells = parseInt(TotalMinutes)/30;                
                                    numcells = parseInt(numcells);
                                    
                                    $('.tdvalue').each(function(n1) 
                                    {  
                                        var mainCol = $(this).attr('original-title');
                                        if(col1==mainCol)
                                        {
                                            var startCellIndex = n1;
                                            for(i=0;i<numcells;i++)
                                            {
                                                currentCell = parseInt(startCellIndex)+parseInt(i);
                                                if(currentCell>47)
                                                {
                                                    currentCell=currentCell-48;
                                                }
                                                $("#tr_daily_1").find("td:eq("+currentCell+")").css("background-color", backcolor);
                                                $("#tr_daily_1").find("td:eq("+currentCell+")").attr("title",col3+ " @"+col1+" - "+col2);                            
                                            }
                                            setScheduleLabels(col3,result);
                                            return false;
                                        }
                                    });
                                    $("#cmdEyeIcon").attr('data-content', value.data_content_eye_icon);
                                });
                                
                                
                            }
                        }
                    }
                });
            
        }
        else if($('#radio_weekly').is(':checked')) 
        {  
            selected_date = $("#h_weekstart_date").val();
           
//            $.ajax({
//                    url: "ajax2.php",
//                    method: "POST",
//                    data: {REQUEST: 'get_employee_schedule_data_weekly', employee_id: $("#combo_employee").val(),selected_date:selected_date},
//                    success: function (response)
//                    {  
//                        console.log(response);
//                        if(response.succ==1)
//                        {    
//                            var col1 = "";
//                            var col2 = "";
//                                $.each( response.data_list, function( key, value ) 
//                                {
//                                    $('#tableWeekly thead tr').each(function(n) 
//                                    {  
//                                        
//                                        tr="<tr>";
//                                        
//                                        title_date = moment(value.col1_datetime_start).format('ddd MMM DD') ;
//                                        col_text = $(this).find("td:eq(0)").text();
//                                        backcolor = "#ffffff";
//                                        col1 = "";
//                                        col2 = "";
//                                        
//                                        if(col_text==title_date)
//                                        {
//                                            col1 = moment(value.col1_datetime_start).format("hh:mm A");
//                                            col2 = moment(value.col1_datetime_end).format("hh:mm A");
//                                            backcolor = setGridBackColor(value.col1_time_category);                                            
//                                            tr+="<td class = 'font-weight-bold text-white' bgcolor='"+backcolor+"' title='"+value.col1_time_category+"@ "+col1+" - "+col2+"'>"+col1+" - "+col2+"</td>";
//                                        }
//                                        else
//                                        {
//                                            tr+="<td></td>";
//                                        }
//                                        title_date = moment(value.col2_datetime_start).format('ddd MMM DD') ;
//                                        col_text = $(this).find("td:eq(1)").text();
//                                        backcolor = "#ffffff";
//                                        col1 = "";
//                                        col2 = "";
//                                        if(col_text==title_date)
//                                        {
//                                            col1 = moment(value.col2_datetime_start).format("hh:mm A");
//                                            col2 = moment(value.col2_datetime_end).format("hh:mm A");
//                                            backcolor = setGridBackColor(value.col2_time_category);
//                                            tr+="<td class = 'font-weight-bold text-white' bgcolor='"+backcolor+"' title='"+value.col1_time_category+"@ "+col1+" - "+col2+"'>"+col1+" - "+col2+"</td>";
//                                        }
//                                        else
//                                        {
//                                            tr+="<td></td>";
//                                        }
//                                        title_date = moment(value.col3_datetime_start).format('ddd MMM DD') ;
//                                        col_text = $(this).find("td:eq(2)").text();
//                                        backcolor = "#ffffff";
//                                        col1 = "";
//                                        col2 = "";
//                                        if(col_text==title_date)
//                                        {
//                                            col1 = moment(value.col3_datetime_start).format("hh:mm A");
//                                            col2 = moment(value.col3_datetime_end).format("hh:mm A");
//                                            backcolor = setGridBackColor(value.col3_time_category);
//                                            tr+="<td class = 'font-weight-bold text-white' bgcolor='"+backcolor+"' title='"+value.col3_time_category+"@ "+col1+" - "+col2+"'>"+col1+" - "+col2+"</td>";
//                                        }
//                                        else
//                                        {
//                                            tr+="<td></td>";
//                                        }
//                                        title_date = moment(value.col4_datetime_start).format('ddd MMM DD') ;
//                                        col_text = $(this).find("td:eq(3)").text();
//                                        backcolor = "#ffffff";
//                                        col1 = "";
//                                        col2 = "";
//                                        if(col_text==title_date)
//                                        {
//                                            col1 = moment(value.col4_datetime_start).format("hh:mm A");
//                                            col2 = moment(value.col4_datetime_end).format("hh:mm A");
//                                            backcolor = setGridBackColor(value.col4_time_category);
//                                            tr+="<td class = 'font-weight-bold text-white' bgcolor='"+backcolor+"' title='"+value.col4_time_category+"@ "+col1+" - "+col2+"'>"+col1+" - "+col2+"</td>";
//                                        }
//                                        else
//                                        {
//                                            tr+="<td></td>";
//                                        }
//                                        title_date = moment(value.col5_datetime_start).format('ddd MMM DD') ;
//                                        col_text = $(this).find("td:eq(4)").text();
//                                        backcolor = "#ffffff";
//                                        col1 = "";
//                                        col2 = "";
//                                        if(col_text==title_date)
//                                        {
//                                            col1 = moment(value.col5_datetime_start).format("hh:mm A");
//                                            col2 = moment(value.col5_datetime_end).format("hh:mm A");
//                                            backcolor = setGridBackColor(value.col5_time_category);
//                                            tr+="<td class = 'font-weight-bold text-white' bgcolor='"+backcolor+"' title='"+value.col5_time_category+"@ "+col1+" - "+col2+"'>"+col1+" - "+col2+"</td>";
//                                        }
//                                        else
//                                        {
//                                            tr+="<td></td>";
//                                        }
//                                        
//                                        title_date = moment(value.col6_datetime_start).format('ddd MMM DD') ;
//                                        col_text = $(this).find("td:eq(5)").text();
//                                        backcolor = "#ffffff";
//                                        col1 = "";
//                                        col2 = "";
//                                        if(col_text==title_date)
//                                        {
//                                            col1 = moment(value.col6_datetime_start).format("hh:mm A");
//                                            col2 = moment(value.col6_datetime_end).format("hh:mm A");
//                                            backcolor = setGridBackColor(value.col6_time_category);                                        
//                                            tr+="<td class = 'font-weight-bold text-white' bgcolor='"+backcolor+"' title='"+value.col6_time_category+"@ "+col1+" - "+col2+"'>"+col1+" - "+col2+"</td>";                                        
//                                        }
//                                        else
//                                        {
//                                            tr+="<td></td>";
//                                        }
//                                        title_date = moment(value.col7_datetime_start).format('ddd MMM DD') ;
//                                        col_text = $(this).find("td:eq(6)").text();
//                                        backcolor = "#ffffff";
//                                        col1 = "";
//                                        col2 = "";
//                                        if(col_text==title_date)
//                                        {
//                                            col1 = moment(value.col7_datetime_start).format("hh:mm A");
//                                            col2 = moment(value.col7_datetime_end).format("hh:mm A");
//                                            backcolor = setGridBackColor(value.col7_time_category);
//                                            tr+="<td class = 'font-weight-bold text-white' bgcolor='"+backcolor+"' title='"+value.col7_time_category+"@ "+col1+" - "+col2+"'>"+col1+" - "+col2+"</td>";
//                                        }
//                                        else
//                                        {
//                                            tr+="<td></td>";
//                                        }
//                                       
//                                        datacontent.push(value.datacontent);
//                                        //tr += "<td><button type='button'  class='btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent' title='' > <i class=' fa fa-eye'></i> </button></td>";
//                                        
//                                        tr += "<td class='text-center'><button type='button' class='btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='' > <i class=' fa fa-eye'></i> </button></td>";
//                                        tr+="</tr>";
//                                        $("#tableWeekly tbody").append(tr);
//                                        
//                                        
//                                    });
//                                });
//                                
//                                setTitle();
//                                
//                            }
//                        }
//            });            
        }
    }
    function setGridBackColor(TimeCategory)
    {
        if(TimeCategory=="Regular Time")
        {
            backcolor = "#90EE90";                    
        }
        else if(TimeCategory=="Meal Time")
        {
            backcolor = "#A9A9A9";
        }
        else if(TimeCategory=="Break Time")
        {
            backcolor = "#fed8b1";
        }
        else if(TimeCategory=="OverTime")
        {
            backcolor = "#ffbbbc";
        }
        //Leave Timeelse if(TimeCategory=="Leave/RDO")
        else if(TimeCategory=="Leave Time")
        {
            backcolor = "#808080";
        }
        else if(TimeCategory=="Double Time")
        {
            backcolor = "#20368f";
        }
        
        return backcolor;
    }
    
    function setScheduleLabels(TimeCategory,Result)
    {
        if(TimeCategory=="Regular Time")
        {
            $("#lblRegularTime").text(Result);
        }
        else if(TimeCategory=="OverTime")
        {
            $("#lblOverTime").text(Result);
        }
        else if(TimeCategory=="Meal Time")
        {
            $("#lblMealTime").text(Result);
        }
        else if(TimeCategory=="Break Time")
        {
            $("#lblBreakTime").text(Result);
        }
        else if(TimeCategory=="Leave/RDO")
        {
            $("#lblleaves").text(Result);
        }
        else if(TimeCategory=="Double Time")
        {
            $("#lblDoubleTime").text(Result);
        }
        
    }
    function Addrow(from_time,to_time,time_category,mode,id,cell4,cell5,IsSecondaryRow)
    {
        if(time_category=="Regular Time" && from_time!='')
        {
            $("#h_scheduleid_reg").val(id);
            $("#regular_from_time").val(from_time);
            $("#regular_to_time").val(to_time);
            $("#regular_from_time").select2();
            $("#regular_to_time").select2();
            $(".dropdown_regular").change();            
        }
        else if(time_category=="Break Time" && from_time!='' && IsSecondaryRow=="N")
        {
            $("#h_scheduleid_breaktime").val(id);
            $("#break_from_time").val(from_time);
            $("#break_to_time").val(to_time);
            $("#break_from_time").select2();
            $("#break_to_time").select2();
            $(".dropdown_break").change();            
        }
        else if(time_category=="Meal Time" && from_time!='' && IsSecondaryRow=="N")
        {
            $("#h_scheduleid_mealtime").val(id);
            $("#meal_from_time").val(from_time);
            $("#meal_to_time").val(to_time);
            $("#meal_from_time").select2();
            $("#meal_to_time").select2();
            $(".dropdown_meal").change();            
        }
        else if(time_category=="OverTime" && from_time!='')
        {
            $("#h_scheduleid_ot").val(id);
            $("#overtime_from_time").val(from_time);
            $("#overtime_to_time").val(to_time);
            $("#overtime_from_time").select2();
            $("#overtime_to_time").select2();
            $(".dropdown_overtime").change();
        }
        else if(time_category=="Double Time" && from_time!='')
        {
            $("#h_scheduleid_dt").val(id);
            $("#double_time_from_time").val(from_time);
            $("#double_time_to_time").val(to_time);
            $("#double_time_from_time").select2();
            $("#double_time_to_time").select2();        
            $(".dropdown_double").change();            
        }
        else if(time_category=="Leave Time" && from_time!='')
        {
            $("#h_scheduleid_leave").val(id);
            $("#leave_time_from_time").val(from_time);
            $("#leave_time_to_time").val(to_time);
            $("#leave_time_from_time").select2();
            $("#leave_time_to_time").select2();        
            $(".dropdown_settime").change();            
        }
        else
        {
            start_value = from_time;
            end_value = to_time; 
            LastDateTime = moment(cell5).format("YYYY-MM-DD HH:mm");;
            $.ajax({
                    url: "ajax2.php",
                    method: "POST",
                    data: {REQUEST: 'add_schedule_entry', start_time: start_value,end_time: end_value,add_category:time_category,LastDateTime:LastDateTime,selected_id:id},
                    success: function (response)
                    {  
                        if(response.succ==1)
                        {
                            $('#table_emp_schedule_entry tbody').append(response.tr);   
                            $('select').select2();
                        }
                    }
            });
        }
    }
    
     
    $(document). on("click", ".delete_record" , function()
    {
        var selected_id = $(this).parents('tr').find('input[type="hidden"]').val();  
        var current_row =  $(this).closest('tr').attr('id'); // table row ID 
        $("#h_deleteid").val(selected_id);
        $("#h_current_row").val(current_row);
        $('#modalDelete').modal('show');
    });
    
    
    $('#cmdModalDelete_Cancel').click(function()
        {
            $("#h_deleteid").val('');
            $("#modalDelete").modal("hide");
        });
        
    $('#cmdModalDelete_Delete').click(function()
    {      
        var current_row = $("#h_current_row").val();                        
        if ( $( "#"+current_row ).is( ".new" ) ) 
        {
            $("#"+current_row).remove();
            $('#modalDelete').modal('hide');
        }
        else
        {
            var deleteid = $("#h_deleteid").val();
            $.ajax({
                    url: "ajax2.php",
                    method: "POST",
                    data: {REQUEST: 'delete_employee_schedule_data', schedule_id: deleteid,employee_id: $("#combo_employee").val()},
                    success: function (response)
                    {  
                        if(response.succ==1)
                        {
                            $("#"+current_row).remove();
                            $('#modalDelete').modal('hide');
                        }
                    }
            });
        }
    });    
  
    function change_weeklygrid_column()
    {
        $('#tableWeekly thead tr').each(function(n) 
        {  
            date1 =   moment($("#h_weekstart_date").val()).format('YYYY-MM-DD');       
            display_date = date1;
            for(i=0;i<=6;i++)
            {
                display_date = moment(date1, "YYYY-MM-DD").add('days', i);   
                display_date = moment(display_date).format('ddd MMM DD');         
                $(this).find("td:eq("+i+")").text(display_date);            
            }
        });
    }
    
    
    function disableRows()
    {
        $("#table_emp_schedule_entry tbody tr").each(function(n) 
        {
            if(n>0)
            {
                $(this).find("select").attr("disabled", "disabled");
                $(this).find("select").val("");
                $(this).find("select").select2();                     
                $(this).find("td:eq(3) div:first").text('');
                $(this).find("td:eq(4) div:first").text('');
                $(this).find("td:eq(5) div:first").text('');
            }               
            if(n>5)
            {
                 $(this).remove();
            }
            
        });
        $("#cmdMoreBreak").hide();
        $("#cmdMoreMeal").hide();
        //$(this).closest('tr').find(":input:not(:first)").attr('disabled', !this.checked);
    }
    function enableRows()
    {
        $("#table_emp_schedule_entry tbody tr").each(function(n) 
        {
            if(n!=4)
            {
                $(this).find("select").attr("disabled", false);
            }    
        });
        
        if($('#radio_daily').is(':checked')) 
        {
            if($("#h_allow_daily_overtime").val()=="N")
            {
                $("#tr_overtime_time").find("select").attr("disabled", true);
            }
        }
        else if($('#radio_weekly').is(':checked')) 
        {
            if($("#h_allow_weekly_overtime").val()=="N")
            {
                $("#tr_overtime_time").find("select").attr("disabled", true);
            }
        }
    }
    
    $("#div_msg").change(function()
    {
        if($("#div_msg").text()=="")
        {
            $("#cmdModalUpdate").attr("disabled",false);
        }
        else
        {
            $("#cmdModalUpdate").attr("disabled",true);
        }
    });
    $(".dropdown_regular").change(function()
    {
        if($("#regular_to_time").val()=="" || $("#regular_to_time").val()=="")
        {
            disableRows();
            $("#div_regtime_from").text("");
            $("#div_regtime_to").text("");
            $("#div_reg_hour").text("");    
            $("#div_msg").text("");    
            $("#div_msg").change();
        }        
        else
        {
            //var time = moment($("#h_new_date").val()+ " "+StartTime,format);
            
            
            var from_date = $("#h_fromdate_single").val();            
            var startTime=moment(from_date+" "+$("#regular_from_time").val(), "YYYY-MM-DD HH:mm:ss a"); 
            //var startTime=moment($("#regular_from_time").val(), "HH:mm:ss a"); 
            var endTime=moment(from_date+" "+$("#regular_to_time").val(), "YYYY-MM-DD HH:mm:ss a");
            var duration = moment.duration(endTime.diff(startTime));
            $("#h_regular_duration").val(duration.asHours());
            
            if($('#radio_daily').is(':checked')) 
            {
                cell4 = moment($("#h_dailystart_date").val()).format('MM-DD-YYYY')+" "+$("#regular_from_time").val();
                if(parseInt(duration.asHours())<0)
                {
                    var newDate = new Date(moment($("#h_dailystart_date").val()).locale("en").add(1, 'd').format("YYYY-MM-DD"));     
                    cell5 = moment(newDate).format('MM-DD-YYYY')+" "+$("#regular_to_time").val();
                    $("#h_new_date").val(moment(newDate).format('MM-DD-YYYY'));
                }
                else
                {
                    cell5 = moment($("#h_dailystart_date").val()).format('MM-DD-YYYY')+" "+$("#regular_to_time").val();
                    $("#h_new_date").val(moment($("#h_dailystart_date").val()).format('MM-DD-YYYY'));
                }
                
                $("#div_regtime_from").text(cell4);
                $("#div_regtime_to").text(cell5);
                
                
                var startTime=moment(cell4, "MM-DD-YYYY HH:mm:ss a");
                var endTime=moment(cell5, "MM-DD-YYYY HH:mm:ss a");
                duration = moment.duration(endTime.diff(startTime));
               
                var hours = parseInt(duration.asHours());
                var minutes = parseInt(duration.asMinutes())-hours*60;   
                var result = endTime.diff(startTime, 'hours') + " hours and " +minutes+" minutes";
                
                $("#div_reg_hour").text(result);               
            }
            else if($('#radio_weekly').is(':checked')) 
            {
                cell4 = moment($("#h_weekstart_date").val()).format('MM-DD-YYYY')+" "+$("#regular_from_time").val();
                if(parseInt(duration.asHours())<0)
                {
                    var newDate = new Date(moment($("#h_weekstart_date").val()).locale("en").add(1, 'd').format("YYYY-MM-DD"));     
                    cell5 = moment(newDate).format('MM-DD-YYYY')+" "+$("#regular_to_time").val();
                    $("#h_new_date").val(moment(newDate).format('MM-DD-YYYY'));
                }
                else
                {
                    cell5 = moment($("#h_weekstart_date").val()).format('MM-DD-YYYY')+" "+$("#regular_to_time").val();
                    $("#h_new_date").val(moment($("#h_weekstart_date").val()).format('MM-DD-YYYY'));
                }
                
                $("#div_regtime_from").text(cell4);
                $("#div_regtime_to").text(cell5);
                
                
                var startTime=moment(cell4, "MM-DD-YYYY HH:mm:ss a");
                var endTime=moment(cell5, "MM-DD-YYYY HH:mm:ss a");
                duration = moment.duration(endTime.diff(startTime));
               
                var hours = parseInt(duration.asHours());
                var minutes = parseInt(duration.asMinutes())-hours*60;   
                var result = endTime.diff(startTime, 'hours') + " hours and " +minutes+" minutes";
                
                $("#div_reg_hour").text(result);               
            }
            enableRows();            
        }        
    });
    
     //dropdown_meal
    $(".dropdown_break").change(function()
    {
        break_meal_logic("tr_break_time", "dropdown_break");
    });
    
    $(".dropdown_meal").change(function()
    {
        break_meal_logic("tr_meal_time", "dropdown_meal");
    });
    
    $(".dropdown_overtime").change(function()
    {
         var flag=false;
        $("#tr_overtime_time td:eq(3) div:first").text('');
        $("#tr_overtime_time td:eq(4) div:first").text('');
        $("#tr_overtime_time td:eq(5) div:first").text('');
        $("#div_msg").text("");
        $("#div_msg").change();
        
        var cell1 = $("#tr_overtime_time td:eq(1) select:first").val();
        var cell2 = $("#tr_overtime_time td:eq(2) select:first").val();
        if(cell1=="" || cell2=="")
        {
            flag = false;            
        }        
        else
        {
            var col2 = $("#div_regtime_to").text();
            var format = 'MM-DD-YYYY hh:mm A';
            var cell4 = $("#h_new_date").val()+ " "+cell1;
            var cell5 = $("#h_new_date").val()+ " "+cell2;      
                  
            flag = moment(cell4).isSameOrAfter(col2, format); // true
            if(flag==true)
            {
                flag = moment(cell5).isAfter(col2, format); 
            }
            if(flag==false)
            {
                $("#div_msg").text("Overtime must after Regular Time");
                $("#div_msg").change();
                
                $("#tr_double_time").find("select").attr("disabled", "disabled");
                
                $('#double_time_from_time option:eq(0)').prop('selected', true);  // To select via value
                $('#double_time_from_time').select2();
                
                 $('#double_time_to_time option:eq(0)').prop('selected', true);  // To select via value
                $('#double_time_to_time').select2();
                
                
                $("#tr_double_time td:eq(3) div:first").text('');
                $("#tr_double_time td:eq(4) div:first").text('');
                $("#tr_double_time td:eq(5) div:first").text('');
                
                //$('#selectBox :nth-child(4)').prop('selected', true); // To select via index
                //$('#selectBox option:eq(3)').prop('selected', true);  // To select via value
                
            }
            if(flag==true)
            {
                $("#tr_overtime_time td:eq(3) div:first").text(cell4);
                $("#tr_overtime_time td:eq(4) div:first").text(cell5);
                CalculateTimeDuration("tr_overtime_time",cell4,cell5);
                $("#tr_double_time").find("select").attr("disabled", false);
                
                
                if($('#radio_daily').is(':checked')) 
                {
                    if($("#h_allow_daily_doubletime").val()=="N")
                    {
                        $("#tr_double_time").find("select").attr("disabled", true);
                    }
                }
                else if($('#radio_weekly').is(':checked')) 
                {
                    if($("#h_allow_weekly_doubletime").val()=="N")
                    {
                        $("#tr_double_time").find("select").attr("disabled", true);
                    }
                }
                
                
            }
        }
    });
    
    $(".dropdown_overtime").change(function()
    {
         var flag=false;
        $("#tr_overtime_time td:eq(3) div:first").text('');
        $("#tr_overtime_time td:eq(4) div:first").text('');
        $("#tr_overtime_time td:eq(5) div:first").text('');
        $("#div_msg").text("");
        $("#div_msg").change();
        
        var cell1 = $("#tr_overtime_time td:eq(1) select:first").val();
        var cell2 = $("#tr_overtime_time td:eq(2) select:first").val();
        if(cell1=="" || cell2=="")
        {
            flag = false;            
        }        
        else
        {
            var col2 = $("#div_regtime_to").text();
            var format = 'MM-DD-YYYY hh:mm A';
            var cell4 = $("#h_new_date").val()+ " "+cell1;
            var cell5 = $("#h_new_date").val()+ " "+cell2;      
                  
            flag = moment(cell4).isSameOrAfter(col2, format); // true
            if(flag==true)
            {
                flag = moment(cell5).isAfter(col2, format); 
            }
            if(flag==false)
            {
                $("#div_msg").text("Overtime must after Regular Time");
                $("#div_msg").change();
                
                $("#tr_double_time").find("select").attr("disabled", "disabled");
                
                $('#double_time_from_time option:eq(0)').prop('selected', true);  // To select via value
                $('#double_time_from_time').select2();
                
                 $('#double_time_to_time option:eq(0)').prop('selected', true);  // To select via value
                $('#double_time_to_time').select2();
                
                
                $("#tr_double_time td:eq(3) div:first").text('');
                $("#tr_double_time td:eq(4) div:first").text('');
                $("#tr_double_time td:eq(5) div:first").text('');
                
            }
            if(flag==true)
            {
                $("#tr_overtime_time td:eq(3) div:first").text(cell4);
                $("#tr_overtime_time td:eq(4) div:first").text(cell5);
                CalculateTimeDuration("tr_overtime_time",cell4,cell5);
                $("#tr_double_time").find("select").attr("disabled", false);
                
            }
        }
    });
    
    
    $(".dropdown_double").change(function()
    {
        var flag=false;
        $("#tr_double_time td:eq(3) div:first").text('');
        $("#tr_double_time td:eq(4) div:first").text('');
        $("#tr_double_time td:eq(5) div:first").text('');
        $("#div_msg").text("");
        $("#div_msg").change();
        
        var cell1 = $("#tr_double_time td:eq(1) select:first").val();
        var cell2 = $("#tr_double_time td:eq(2) select:first").val();
        if(cell1=="" || cell2=="")
        {
            flag = false;            
        }        
        else
        {
            var col2 = $("#tr_overtime_time  td:eq(4) div:first").text();
            //var col2 = $("#div_regtime_to").text();
            var format = 'MM-DD-YYYY hh:mm A';
            var cell4 = $("#h_new_date").val()+ " "+cell1;
            var cell5 = $("#h_new_date").val()+ " "+cell2;      
                  
            flag = moment(cell4).isSameOrAfter(col2, format); // true
            if(flag==true)
            {
                flag = moment(cell5).isAfter(col2, format); 
            }
            if(flag==false)
            {
                $("#div_msg").text("Double time must after Overime");
                $("#div_msg").change();
                
                $("#tr_double_time td:eq(3) div:first").text('');
                $("#tr_double_time td:eq(4) div:first").text('');
                $("#tr_double_time td:eq(5) div:first").text('');
            }
            if(flag==true)
            {
                $("#tr_double_time td:eq(3) div:first").text(cell4);
                $("#tr_double_time td:eq(4) div:first").text(cell5);
                CalculateTimeDuration("tr_double_time",cell4,cell5);
            }
        }
    });
    
    
    function break_meal_logic(row_id,class_name)
    {
        var flag="";
        $("#"+row_id+" td:eq(3) div:first").text('');
        $("#"+row_id+" td:eq(4) div:first").text('');
        $("#"+row_id+" td:eq(5) div:first").text('');
        $("#div_msg").text("");  
        $("#div_msg").change();
        var cell1 = $("#"+row_id+" td:eq(1) select:first").val();
        var cell2 = $("#"+row_id+" td:eq(2) select:first").val();
        var category_name = "";
        if(class_name=="dropdown_break")
        {
            category_name = "Break Time";
        }
        else if(class_name=="dropdown_meal")
        {
            category_name = "Meal Time";
        }
        //if($("#break_from_time").val()=="" || $("#break_to_time").val()=="")
        if(cell1=="" || cell2=="")
        {
            flag = "N";
        }        
        else
        {
            flag = Check_TimeBetween_RegularTime(cell1,cell2,category_name);
        }        
        
        if(flag=="N")
        {
            if(category_name=="Break Time")
            {
                $("#cmdMoreBreak").hide();
                $("#cmdMoreBreak").attr("disabled",true);
            }
            else if(category_name=="Meal Time")
            {
                $("#cmdMoreMeal").hide();
                $("#cmdMoreMeal").attr("disabled",true);                
            }
        }
        if(flag=="Y")
        {           
            var cell4 = $("#h_new_date").val()+ " "+cell1;
            var cell5 = $("#h_new_date").val()+ " "+cell2;            
            
            $("#"+row_id+" td:eq(3) div:first").text(cell4);
            $("#"+row_id+" td:eq(4) div:first").text(cell5);
            CalculateTimeDuration(row_id,cell4,cell5);
            if(category_name=="Break Time")
            {
                $("#cmdMoreBreak").show();
                $("#cmdMoreBreak").attr("disabled",false);
            }    
            if(category_name=="Meal Time")
            {
                $("#cmdMoreMeal").show();
                $("#cmdMoreMeal").attr("disabled",false);
            }    
            
        }        
    }
    function Check_TimeBetween_RegularTime(StartTime,EndTime,CategoryName)
    {
        var col1 = $("#div_regtime_from").text();
        var col2 = $("#div_regtime_to").text();
        var format = 'MM-DD-YYYY hh:mm A';
        var time = moment($("#h_new_date").val()+ " "+StartTime,format);
        var flag = "";
        var  beforeTime = moment(col1, format),
          afterTime = moment(col2, format);

        if (time.isBetween(beforeTime, afterTime)) 
        {
            flag="Y";
        }
        else
        {
            flag="N";
        }
        if(flag=="Y")
        {
            time = moment($("#h_new_date").val()+ " "+EndTime,format);
            if (time.isBetween(beforeTime, afterTime))
            {
                flag="Y";
            }
            else
            {
                flag="N";
            }
        }
        
        if(flag=="N")
        {
            $("#div_msg").text(CategoryName+" must between Regular Time");
            $("#div_msg").change();
        }
        else
        {
            $("#div_msg").text("");
            $("#div_msg").change();
        }
        return flag;
    }
    
    function CalculateTimeDuration(rowid,cell4,cell5)
    {
        var startTime=     moment(cell4, "MM-DD-YYYY HH:mm:ss a");
        var endTime=moment(cell5, "MM-DD-YYYY HH:mm:ss a");
        duration = moment.duration(endTime.diff(startTime));

        var hours = parseInt(duration.asHours());
        var minutes = parseInt(duration.asMinutes())-hours*60;   
        var result = endTime.diff(startTime, 'hours') + " hours and " +minutes+" minutes";
        if(rowid!='')
        {
            $("#"+rowid+" td:eq(5) div:first").text(result);
        }
        else
        {
            return(result);
        }
    }
    $("#cmdMoreBreak").click(function()
    {
        $("#div_morecategory_name").text("New Break Time");
        $("#h_more_category").val("Break Time");
        $('#modalCategory').modal('show');
    });
    
    $("#cmdMoreMeal").click(function()
    {
        $("#div_morecategory_name").text("New Meal Time");
        $("#h_more_category").val("Meal Time");
        $('#modalCategory').modal('show');
    });
    
    
    $("#cmdModalCategory_OK").click(function()
    {
        var start_value = $("#combo_more_strart").val();
        var end_value = $("#combo_more_end").val();
        var selected_date = $("#h_dailystart_date").val();
        var LastDateTime = "";
        var cell = "";
        if($("#h_more_category").val()=="Break Time")
        {
            cell = moment($("#tr_break_time").find("td:eq(4)").text()).format('MM-DD-YYYY HH:mm');
            LastDateTime=moment(cell).format('YYYY-MM-DD HH:mm');
        }        
        else if($("#h_more_category").val()=="Meal Time")
        {
            cell = moment($("#tr_meal_time").find("td:eq(4)").text()).format('MM-DD-YYYY HH:mm');
            LastDateTime=moment(cell).format('YYYY-MM-DD HH:mm');
        }
        
        if(start_value!="" && end_value!="")
        {
            $.ajax({
                    url: "ajax2.php",
                    method: "POST",
                    data: {REQUEST: 'add_schedule_entry', start_time: start_value,end_time: end_value,add_category:$("#h_more_category").val(),LastDateTime:LastDateTime},
                    success: function (response)
                    {  
                        if(response.succ==1)
                        {
                            $('#table_emp_schedule_entry tbody').append(response.tr); 
                            $('select').select2();
                            $("#modalCategory").modal("hide");
                        }
                    }
            });
            
            $('select').select2();
            $("#modalCategory").modal("hide");
        }
        
    });
    
    $('#cmdModalCategory_Cancel').click(function()
    {
        //$("#h_more_category").val('');
        $("#modalCategory").modal("hide");
    });
    $(document).on('click', '.open_modal_schedule', function()
    {
        selected_date = $(this).find('input[type="hidden"]').val();  
        
        
        
        $("#div_period").show();
        $("#div_period").children().show();            
        $("#div_msg").text("");
        $("#div_msg").change();
        
        $("#h_fromdate").val($("#text_fromdate").val());
        $("#h_todate").val($("#text_todate").val());
        $("#h_fromdate_single").val(selected_date);
        
        
        
        $("#modal_schedule").modal('show');
            
        $("#div_period").html("<span>"+ moment(selected_date).format('dddd, MMMM Do YYYY').replace( /(\d)(st|nd|rd|th)/g, '$1<sup>$2</sup>') +"</span>");
            
            
            /*
            $("#label_daily").text("Daily "+moment(date3).format('MM/DD'));
            $("#lblDateTitle").html(moment($("#h_dailystart_date").val()).format('dddd, MMMM Do YYYY').replace( /(\d)(st|nd|rd|th)/g, '$1<sup>$2</sup>'));
            */
            $("#tr_regular_time").find("select").val("");
            $("#tr_regular_time").find("select").select2();                     
            $("#tr_regular_time").find("td:eq(3) div:first").text('');
            $("#tr_regular_time").find("td:eq(4) div:first").text('');
            $("#tr_regular_time").find("td:eq(5) div:first").text('');

            disableRows();            
            selected_date1 = moment(selected_date).format('YYYY-MM-DD');
            FillPopup_SingleDate(selected_date1);
    });
    
    $("#chk_fiil_date_range").change(function()
    {
        if($(this).prop("checked") == true)
        {
            $("#h_fromdate").val($("#text_fromdate").val());
            $("#h_todate").val($("#text_todate").val());

        }
        else
        {
            $("#h_fromdate").val($("#h_fromdate_single").val());
            $("#h_todate").val($("#h_fromdate_single").val());
        }
    });
    $(document).on('change', '.dropdown_settime', function()
    {
        if($(this).val()=="")
        {
            var object_element = $(this).closest('tr');//$(this).parents('tr').find('input[type="hidden"]').val();  //$(this).closest('tr').attr('id');
            object_element.find("td:eq('3')").text('');
            object_element.find("td:eq('4')").text('');
            object_element.find("td:eq('5')").text('');
        }
        
        else
        {
            $(this).closest('tr').find("td:eq(3) div:first").text('');
            $(this).closest('tr').find("td:eq(4) div:first").text('');
            $(this).closest('tr').find("td:eq(5) div:first").text('');

            $("#div_msg").text("");
            $("#div_msg").change();
            var cell1 = $(this).closest('tr').find("td:eq(1) select:first").val();// $("#tr_double_time td:eq(1) select:first").val();
            var cell2 = $(this).closest('tr').find("td:eq(2) select:first").val();
            
            if(cell1=="" || cell2=="")
            {
                flag = false;            
            }
            else
            {
                var col2 = $("#div_regtime_to").text();
                //var col2 = $("#tr_overtime_time  td:eq(4) div:first").text();
                var format = 'MM-DD-YYYY hh:mm A';
                var category_name = $(this).closest('tr').find("td:eq(0) span:first").text();
                //flag = Check_TimeBetween_RegularTime(cell1,cell2,category_name);
                flag = "Y";
                if(flag=="Y")
                {
                    var cell4 = $("#h_new_date").val()+ " "+cell1;
                    var cell5 = $("#h_new_date").val()+ " "+cell2;            

                    $(this).closest('tr').find("td:eq(3) div:first").text(cell4);
                    $(this).closest('tr').find("td:eq(4) div:first").text(cell5);                    
                    a = CalculateTimeDuration("",cell4,cell5);
                    $(this).closest('tr').find("td:eq(5) div:first").text(a);                   
                }                
            }
        }
        
        
    });
    
    $(".weekly_date").change(function()
    {
        CreateCalendar_view();
       
    });
    function CreateCalendar_view()
    {
         $("#table_calendar tbody").empty();
        
        //if($(this).val()!="")
        {
            if($("#text_fromdate").val()!='' && $("#text_todate").val()!='')
            {
                var start = moment($("#text_fromdate").val(), "MM/DD/YYYY");
                var end = moment($("#text_todate").val(), "MM/DD/YYYY");
                start = moment(start).format('YYYY-MM-DD');
                end = moment(end).format('YYYY-MM-DD');
                start = moment(start, "YYYY-MM-DD");
                end = moment(end, "YYYY-MM-DD");
                //Difference in number of days
                var TotalDays = moment.duration(end.diff(start)).asDays();                
                TotalDays = parseFloat(TotalDays)+1;
                                
                var TotalRows = 1;
                TotalRows = TotalDays / 7; 
                TotalRows = parseInt(TotalRows);
                extra_cells = TotalDays % 7;   
                if(extra_cells>0)
                {
                    TotalRows++;
                }    
          
               
                var new_date = start;
                counter=1;
                $("#table_calendar tbody").empty();
                for(i=1;i<=TotalRows;i++)
                {
                    tr = "<tr>";
                    for(j=1;j<=7;j++)
                    {
                        if(i==TotalRows && j>extra_cells && extra_cells!=0)
                        {
                            tr += "<td></td>";
                        }
                        else
                        {
                            display_date = moment(new_date).format('MM/DD');
                            display_day = moment(new_date).format('ddd');
                            hidden_date = moment(new_date).format('YYYY/MM/DD');
                            tr += "<td class='open_modal_schedule cr-point'>"+
                            "<input type='hidden' value='"+hidden_date+"'> <div class='d-sm-flex justify-content-between font-weight-bold'><div>"+display_day+"</div><div>"+display_date+"</div></div>";        


                            tr += "</td>";
                            //new_date = new Date(moment(new_date).locale("en").add(1, 'd').format("YYYY-MM-DD"));
                            //display_date = moment(date1, "YYYY-MM-DD").add('days', i);   
                            new_date = moment(new_date, "YYYY-MM-DD").add('days', 1);   
                            counter++;
                        }
                    }
                    tr += "</tr>";
                    $("#table_calendar").append(tr);
                }
                
                setCalendar_Value();
                
              
            }    
        }
    }
    function setCalendar_Value()
    {
        var text_fromdate = $("#text_fromdate").val();
        var text_todate = $("#text_todate").val();
        var text_fromdate = moment(text_fromdate).format("YYYY-MM-DD");
        var text_todate = moment(text_todate).format("YYYY-MM-DD");

         $.ajax({
                url: "ajax2.php",
                method: "POST",
                data: {REQUEST: 'get_employee_schedule_data_weekly', employee_id: $("#combo_employee").val(),from_date:text_fromdate,to_date:text_todate},
                success: function (response)
                {  
                    if (!jQuery.isEmptyObject(response.data_list))
                    {
                        $.each( response.data_list, function( key, value ) 
                        {
                            //console.log(value);
                            //if(value.schedule_fill_date )
                            $('.open_modal_schedule').each(function(n1) 
                            {
                                selected_date = $(this).find('input[type="hidden"]').val();  
                                if(selected_date==value.schedule_fill_date)
                                {
                                    td="<div class = 'd-sm-flex justify-content-between pt-2 pb-2'><div class='badge badge-info1'>"+value.schedule_time_category+": </div><div class='badge badge-info'>"+value.time_duration+" Hours</div></div>";
                                    $(this).append(td);
                                    return false;
                                }
                            });
                                
                                
                                
                        });

                    }
                    }
                });
    }
  
  
</script>
</body>

</html>
