<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}

$projects_flag		= "";
$user_name 			= "";
$user_image_name 	= "";
$user_img_url		= "";
$pay_period 		= "";
$expense_report_id	= "";
$expense_report_name= "";
$current_year 		= date("Y");
$current_month		= date("m");
$is_all_approved	= 'N';
$is_read_only		= false;

$attendance_flag 	= getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");

if(isset($_SESSION['expense_images_arr'])){
	unset($_SESSION['expense_images_arr']);
}

if(isset($_GET['expense_report_name']) && $_GET['expense_report_name']!="" && 
	isset($_GET['pay_period']) && $_GET['pay_period']!="" &&
	isset($_GET['user_id']) && $_GET['user_id']!=""){
	$expense_report_name= $_GET['expense_report_name'];
	$pay_period 		= $_GET['pay_period'];
	$user_id 			= $_GET['user_id'];
	
	$user_id 			= getvalue("cxs_user","user_id"," WHERE md5(user_id)='".$user_id."'");
	
	$selectQuery 	= "SELECT * FROM `cxs_expense_entry_header` WHERE expense_report_name='".$expense_report_name."' AND user_id='".$user_id."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows			= mysqli_fetch_assoc($RunUserQuery);
		
		$pay_period			= $rows["pay_period"];
		$is_all_approved	= $rows["is_approved"];
		$expense_report_id 	= $rows["expense_report_id"];
		if($user_id!=$_SESSION['login_user_array']['user_id']){
			$is_read_only		= true;
			
			/*****************Save Log - Expense Report Viewed*****************/
			$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
			$date = new DateTime("now", new DateTimeZone($currTz) );
			$curTime = $date->format('Y-m-d H:i:s');
			
			$module_name 		= "expense_report";
			$module_field_id	= $expense_report_id;
			$notes				= "Expense Report : ".$expense_report_name." viewed by ".$_SESSION['login_user_array']['user_email']." on ".$curTime;
			saveLogs($module_name,$module_field_id,$notes);
			/*****************Save Log - Expense Report Viewed*****************/
		}
		if(isset($_GET["nid"]) && $_GET["nid"]>0){
			$nid = intval($_GET["nid"]);
			readNotification($nid);
		}
	}else{
		header("location:".SITEURL."expense-tracking/expenses/");
	}
}else{
	$user_id 			= $_SESSION['login_user_array']["user_id"];
	$where = "";
	if(isset($_GET['expense_report_id']) && $_GET['expense_report_id']>0){
		$expense_report_id = intval($_GET['expense_report_id']);
		$where = " AND expense_report_id='".$expense_report_id."'";
	}
	
	if(getTotalRecord("cxs_expense_entry_header","expense_report_id"," WHERE user_id='".$user_id."' $where ")>0){
		$selectQuery1 	= "SELECT MAX(expense_report_id) AS expense_report_id FROM `cxs_expense_entry_header` WHERE user_id='".$user_id."' $where ORDER BY expense_report_id DESC";
		$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
		$rows1			= mysqli_fetch_assoc($RunUserQuery1);
		$expense_report_id 	= $rows1["expense_report_id"];
		
		/*******************/
		$selectQuery 	= "SELECT * FROM `cxs_expense_entry_header` WHERE expense_report_id='".$expense_report_id."'";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$rows			= mysqli_fetch_assoc($RunUserQuery);
		
		$pay_period			= $rows["pay_period"];
		$is_all_approved	= $rows["is_approved"];
		$expense_report_name= $rows["expense_report_name"];
		/*******************/
	}else{
		$pay_period 		= date('M-Y'); 
		$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$user_id."'";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$rows			= mysqli_fetch_assoc($RunUserQuery);
		
		$full_name = $rows["full_name"];
		$full_name_arr = explode(" ",$full_name);
		$first_name = $full_name_arr[0];
		$last_name 	= $full_name_arr[1];

		$report_number 		= "01";
		$expense_report_name= strtoupper($first_name)."-".date("Y").date("m")."-".$report_number;
	}
}

$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id='".$user_id."'";
$RunUserQuery	= mysqli_query($conn, $selectQuery);
$rows1			= mysqli_fetch_assoc($RunUserQuery);

$user_name 			= $rows1["full_name"];
$user_image_name 	= $rows1["image_name"];
if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
	$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
}else{
	$user_img_url = SITEURL."images/faces/default_face.png";
}

/**************Report Status**************/
$report_status = "Pending";
if($expense_report_id>0){
	if($is_all_approved=='Y'){
		$report_status = "Closed";
	}else if(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE is_rejected='Y' AND header_id='".$expense_report_id."'")>0){
		$report_status = "Working";
	}else if(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE is_submitted='Y' AND (is_rejected='N' OR is_approved='N') AND header_id='".$expense_report_id."'")>0){
		$report_status = "Submitted";
	}else if(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE is_submitted='N' AND is_rejected='N' AND is_approved='N' AND header_id='".$expense_report_id."'")>0){
		$report_status = "Working";
	}
}
/**************Report Status**************/

//print_r($_SESSION['login_user_array']);die;
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Enter Expense Report</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
.popover {
	z-index:9999;
}
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#table_expense_details .simple-tree-table-icon{
	display: inline-block;
	width: auto !important;
	vertical-align: top;
	margin-top: 0px !important;
}
#table_expense_details .exp-col-block{
	display: inline-block;
	width: 70%;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Expense</li>
										<li class="breadcrumb-item">Enter Expenses</li>
									</ol>
								</nav>
								
								<div class="d-sm-flex justify-content-center justify-content-sm-between pt-2">
									<div class="card-title mb-0">Enter Expenses</div>
									<?php if(!$is_read_only){ ?>
									<div id="msg_new_expense_entry"></div>
									<div>
										Previous Expense Reports: 
										<select class="js-example-basic-single w-25 select2-hidden-accessible " name="combo_expense_entry_name" id="combo_expense_entry_name" tabindex="-1" aria-hidden="true" title="Select Expense Entry or Add New Expense Entry" onChange="loadExpenseEntry(this.value);">
											<option value="">--Select Expense Report--</option>
											<?php
                                            $qry = "SELECT expense_report_id, expense_report_name FROM `cxs_expense_entry_header`  WHERE user_id ='".$_SESSION['login_user_array']['user_id']."' ORDER BY expense_report_name";
                                            $result = mysqli_query($conn,$qry);
                                            if(mysqli_num_rows($result)>0){
                                                while($row = mysqli_fetch_assoc($result)){
                                                    ?>
													<option value="<?php echo $row['expense_report_id']; ?>" <?php if($expense_report_id!="" && $expense_report_id==$row['expense_report_id']){?> selected <?php } ?>><?php echo $row['expense_report_name']; ?></option>
													<?php
                                                }
                                            }
                                        ?>
										</select>
										<button class="btn btn-primary btn-icon" title="Add New Expense Entry" id = "cmdAddNewExpenseEntry"><i class="fa fa-plus"></i> </button>
									</div>
									<?php } ?>
								</div>
								
							</div>
						</div>
					</div>
					
					<?php if($expense_report_id>0){ ?>
					<div class="col-xl-12 d-flex grid-margin stretch-card exp-section">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<div class="col-md-3">
										<div class="d-flex">
											<img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="<?php echo $user_img_url; ?>" alt="">
											<h4 class="card-title  mb-3 mt-2 ml-3"><?php echo $user_name; ?></h4>
										</div>
									</div>
									<div class="col-md-4">
										<div class="d-flex mt-2">
											<h4>Pay Period: </h4>
											<h4 class="pl-1">
											<?php 
											echo $pay_period;
											?>
											</h4>
										</div>
										<div class="d-flex pt-2">
											<h4 class="pt-1">Expense Report:</h4>
											<h4 class="pl-1 pt-1">
												<?php
												echo $expense_report_name;
												?>
											</h4>
											<label class="ml-3 badge badge-light"><?php echo $report_status; ?></label>
										</div>
									</div>
									<div class="col-md-3">
										<div class="d-flex">
											<?php
											$supervisor_full_name 	= "";
											$supervisor_img_url		= SITEURL."images/faces/default_face.png";
											
											$supervisor_id = getvalue("cxs_employee","supervisor_id"," WHERE user_id='".$user_id."'");
											if($supervisor_id>0){
												$supervisor_user_id = getvalue("cxs_employee","user_id"," WHERE employee_id='".$supervisor_id."'");
												$selectQuery_s = "SELECT full_name,image_name FROM `cxs_user`	WHERE user_id='".$supervisor_user_id."'";
												$RunUserQuery_s	= mysqli_query($conn, $selectQuery_s);
												$rows_s			= mysqli_fetch_assoc($RunUserQuery_s);
												
												$supervisor_full_name 	= $rows_s["full_name"];
												$supervisor_image_name 	= $rows_s["image_name"];
												if($supervisor_image_name!="" && file_exists("img/uploads/user_images/".$supervisor_image_name)){
													$supervisor_img_url = SITEURL."img/uploads/user_images/".$supervisor_image_name;
												}
												?>
												<h4 class="mt-2">Supervisor: </h4>
												<img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="<?php echo $supervisor_img_url; ?>" alt="">
												<h4 class="pl-1 mt-2">
													<?php
													echo $supervisor_full_name;
													?>
												</h4>
												<?php
											}
											?>
										</div>
									</div>
									<div class="col-md-2 text-right">
										<?php
										$last_update_date = "";
										$tooltip_title = "";
										if(getTotalRecord("cxs_expense_entry_detail","header_id"," WHERE user_id='".$user_id."'")>0){
											$last_update_date = getvalue("cxs_expense_entry_detail","last_update_date"," WHERE user_id='".$user_id."' ORDER BY expense_report_detail_id DESC LIMIT 1");
											$last_update_date = setDate($last_update_date,"m/d/Y H:i:s");
											$tooltip_title = "Last time you were here on ".$last_update_date;
										}
										?>
										<h3><i class="fa fa-info-circle" title="<?php echo $tooltip_title; ?>"></i></h3>
									</div>
								</div>
								<div class="row pt-3 mt-3">
									
									<div class="col-md-4 mt-3">
										<?php if(getTotalRecord("cxs_expense_submission_emp","Approval_Id"," WHERE User_Id='".$user_id."' AND Expense_Submission_Flag='Y'")>0){ ?>
										<i class="fa fa-check"></i> You are approved to submit Expense Reports 
										<?php } ?>
									</div>
									
									<div class="col-md-4 mt-3">
										<?php if(getTotalRecord("cxs_expense_approval_emp","Approval_Id"," WHERE User_Id='".$user_id."' AND Expense_Approval_Flag='Y'")>0){ ?>
										<i class="fa fa-check"></i> You are authorized to approve Expense Reports 
										<?php } ?>
									</div>
									
									<div class="col-md-4 mt-3"> <i class="fa fa-check"></i> You can not approve your own Expense Reports </div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card exp-section">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<div class="col-md-4">
										<div class="card-title">Enter Expense Details</div>
									</div>
									<div class="col-md-5 " id="div_middle1">
										<div class="d-flex flex-wrap  pb-2 center-box">
											<?php
											if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ 

												$exp_working_count 	= "0";
												$exp_submitted_count= "0";
												$exp_approved_count = "0";
												$exp_rejected_count = "0";
												
												$where = " WHERE user_id='".$user_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
												if($expense_report_id!="" && $expense_report_id>0){
													$where .= " AND header_id='".$expense_report_id."'";
												}
												
												$exp_working_count 	= intval(getvalue("cxs_expense_entry_detail","count(expense_report_detail_id)",$where." AND is_submitted='N'"));
												$exp_submitted_count= intval(getvalue("cxs_expense_entry_detail","count(expense_report_detail_id)",$where." AND is_submitted='Y' AND is_approved='N' AND is_rejected='N'"));
												$exp_approved_count = intval(getvalue("cxs_expense_entry_detail","count(expense_report_detail_id)",$where." AND is_approved='Y'"));
												$exp_rejected_count = intval(getvalue("cxs_expense_entry_detail","count(expense_report_detail_id)",$where." AND is_rejected='Y'"));
												?>
												
												<div id="project_step1" class="badge step_button_color <?php if($exp_working_count<=0){ ?> disabled-color <?php } ?> mb-3" <?php  if($exp_working_count>0){ ?> onClick="getExpEntryData('working',1);" <?php } ?>> Working (<?php echo $exp_working_count; ?>)</div>
												<div id="project_step1_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
												<div id="project_step2" class="badge step_button_color <?php if($exp_submitted_count<=0){ ?> disabled-color <?php } ?> mb-3" <?php if($exp_submitted_count>0){ ?> onClick="getExpEntryData('submitted',2);" <?php } ?>>Submitted (<?php echo $exp_submitted_count; ?>)</div>
												<div id="project_step2_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
												<div id="project_step3" class="badge step_button_color <?php if($exp_rejected_count<=0){ ?> disabled-color <?php } ?> mb-3" <?php if($exp_rejected_count>0){ ?> onClick="getExpEntryData('rejected',3);" <?php } ?>>Rejected (<?php echo $exp_rejected_count; ?>)</div>
												<div id="project_step3_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
												<div id="project_step4" class="badge step_button_color <?php if($exp_approved_count<=0){ ?> disabled-color <?php } ?> mb-3"  <?php if($exp_approved_count>0){ ?>onClick="getExpEntryData('approved',4);" <?php } ?>>Approved (<?php echo $exp_approved_count; ?>)</div>

											<?php } ?>
										</div>
									</div>
								</div>
								<div class=" border1" id="div_form">
									<!-- START ACCORDIAN -->
									<div class="accordion mt-3" id="accordion" role="tablist">
										<div class="card">
											<div class="card-header" role="tab" id="heading-1"> 
												<a class="collapsed acco-tab-section-title" style="margin-bottom: 0px !important;" data-toggle="collapse" href="#collapse-1" aria-expanded="true" aria-controls="collapse-1"> Expense Details </a> 
											</div>
											<div id="collapse-1" class="collapse show" role="tabpanel" aria-labelledby="heading-1" data-parent="#accordion">
												<div class="card-body">
													<hr>
													<?php 
													if(!$is_read_only){
														if($is_all_approved!='Y'){ 
														?>
														<form id="expense_detail_draft_form" method="post">
															<input id="h_selectedid" name="h_selectedid" type='hidden' value="">
															<input type="hidden" id="text_pay_period" name="text_pay_period" value="<?php echo $pay_period; ?>">
															<input type="hidden" id="text_expense_report_name" name="text_expense_report_name" value="<?php echo $expense_report_name; ?>">
															<input type="hidden" id="h_amt_ceiling" name="h_amt_ceiling" value="">
															
															<div class="row">
																<div class="col-md-3">
																	<label >Expenditure Type</label>
																	<select id="combo_expenditure_id" name="combo_expenditure_id" class="form-control js-example-basic-single" onChange="getExpTypeData(this.value);" style="width:100%;">
																		<option value="">--Please Select--</option>
																		<?php
																		$selectQuery 	= "SELECT * FROM `cxs_expenditure_types` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY exp_type_name ASC";		
																		$RunUserQuery	= mysqli_query($conn, $selectQuery);
																		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																		if($StdNumRows>0){
																			while($rows=mysqli_fetch_assoc($RunUserQuery)){
																			?>
																			<option value="<?php echo $rows['expenditure_id']; ?>"><?php echo stripslashes($rows['exp_type_name']); ?></option>
																			<?php
																			}
																		}
																		?>
																	</select>
																</div>
																<div class="col-md-5">
																	<label >Description</label>
																	<textarea id="text_description" name="text_description" class="form-control requirefieldcls" rows="1"></textarea>
																</div>
																<div class="col-md-2">
																	<label>Date Expense Occurred</label>
																	<input type="text" id="text_expense_date" name="text_expense_date" class="form-control requirefieldcls form_datetime" autocomplete="off">
																</div>
																<div class="col-md-2">
																	<div class="d-flex  ">
																		<div class="form-group">
																			<label>Amount</label>
																			<input type="text" id="text_amount" name="text_amount" class="form-control currency-numeric requirefieldcls" value="$">
																		</div>
																	</div>
																</div>
															</div>
															<hr>
															<div class="row">
																<?php 
																$projects_flag = getvalue("cxs_licensed_products","projects_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
																if($projects_flag=='Y'){
																?>
																<div class="col-md-2 mt-4">
																	<button type="button" class="btn btn-primary mt-2" id="cmdProjectsTasks">Projects/Tasks</button>
																</div>
																<div class="col-md-3 mt-4">
																	<div class="mt-3" id="selected_task" style="font-style:italic;">[ No task(s) selected. ]</div>
																</div>
																<?php
																}else{
																?>
																<div class="col-md-5 mt-4">
																	<div class="flag-notice">
																		In order to access Projects, Please <a href="javascript:void(0);">subscribe</a> to Project Application
																	</div>
																</div>
																<?php
																}
																?>
																
																
															</div>
															<hr>
															<div class="row">
																<div class="col-md-8">
																	<div class="d-flex">
																		<div class="file-upload-wrapper pr-2">
																			<div id="fileuploader">Upload</div>
																		</div>
																		<span class="pt-4"> (.jpg, .png and .gif formats only)</span> </div>
																	<div class="d-flex" id="entry_img_block">
																		
																	</div>
																</div>
																<div class="col-md-4 text-right">
																	<button id="btn_clear_form" class="btn btn-primary btn-icon" type="button" title="Create New Expense" onClick="clearForm();"><i class="fa fa-plus"></i> </button>
																	<button type="button" id="cmd_expense_detail_save_draft" class="btn btn-primary">Save Expense Line</button>
																</div>
															</div>
															
															<div class="row">
																<div class="col-md-12 my-3 not-valid-tip" id="div_msg"></div>
															</div>
															<?php 
															/****************Modal Area***************/
															if($projects_flag=='Y'){ 
															?>
															<div class="modal fade" id="project_task_modal" tabindex="-1" role="dialog" aria-hidden="true">
																<div class="modal-dialog mt-2 modal-lg swal-modal" role="document">
																	<div class="modal-content">
																		<div class="modal-header">
																			<h5 class="modal-title">Tasks : <input type="text" class="form-control modal-form-control-inline ml-3" id="text_expense_task_keyword"><a href="javascript:void(0);" class="btn btn-primary ml-1" id="cmdSearchExpenseTasks">Search</a></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
																		</div>
																		<div class="modal-body pt-0">
																			<div class="text-center">
																				<div class="loading-div-project_task">
																					<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
																				</div>
																			</div>
																			<div id="results_project_task" class=""></div>
																		</div>
																		<div class="modal-footer">
																			<button type="button" class="btn btn-primary" id="cmd_assign_task" title="Assign Task">Assign</button>
																			<button type="button" class="btn btn btn-light" data-dismiss="modal" title="Close">Close</button>
																		</div>
																	</div>
																</div>
															</div>
															<?php 
															} 
															/****************Modal Area***************/
															?>
														</form>
														<?php 
														}else{
														?>
														<div class="row">
															<div class="col-md-12">
																<div class="alert alert-danger mb-4" role="alert">
																	Expense Entry for this report is closed.
																  </div>
															</div>
														</div>
														<?php 
														}
													}
													?>
													<hr>
													<form id="expense_detail_save_all_form" method="post" action="#">
														<div class="loading-div">
															<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;margin-top:10%;padding-left:48%;" >
														</div>
														<div id="results" class=""></div>
													</form>
												</div>
											</div>
										</div>
									</div>
									<!-- END ACCORDIAN -->
								</div>
								<div class=" border1" id="div_calendar">
									<h4 class="card-title">Time Entry - Calendar View</h4>
									<div id="calendar" class="full-calendar"></div>
									<div class="text-right pt-3" >
										<button class="btn btn-primary btn-sm">Save</button>
									</div>
								</div>
								<div class="text-right pt-3" id="div_record_save">
								</div>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card exp-section acco-tab-section">
						<div class="card">
							<div class="card-body">
								<div class="accordion mt-3" id="accordion1" role="tablist">
									<div class="card">
										<div class="card-header" role="tab" id="heading-11"> 
											<div class="d-flex flex-wrap justify-content-between mx-3" style="line-height:30px;width:90%;">
												<div class="card-title acco-tab-section-title" style="margin-bottom:10px;">My Period To Date Expenses</div>
												<div style="margin-bottom:10px;display: flex;">
													<a href="javascript:void(0);" class="btn btn-sm btn-outline-primary mb-2 mr-2 current_period chart-btn" onClick="loadExpenseChart('current_period');">Current Period</a>
													<a href="javascript:void(0);" class="btn btn-sm btn-outline-primary mb-2 mr-2 periods_to_date chart-btn" onClick="loadExpenseChart('periods_to_date');">Periods to Date</a>
													<a href="javascript:void(0);" class="btn btn-sm btn-outline-primary mb-2 mr-2 year_to_date chart-btn" onClick="loadExpenseChart('year_to_date');">Year to Date</a>
												</div>
											</div>
											<a class="collapsed arrow-btn" data-toggle="collapse" href="#collapse-11" aria-expanded="true" aria-controls="collapse-11"> &nbsp; </a> 
										</div>
										<div id="collapse-11" class="collapse show" role="tabpanel" aria-labelledby="heading-11" data-parent="#accordion">
											
											<div id="chart_area" class="card-body"></div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card exp-section">
						<div class="card">
							<div class="card-body">
								<div class="accordion mt-3" id="accordion2" role="tablist">
									<div class="card">
										<div class="card-header" role="tab" id="heading-22"> 
										<a class="collapsed" data-toggle="collapse" href="#collapse-22" aria-expanded="true" aria-controls="collapse-22"> &nbsp; </a> </div>
										<div id="collapse-22" class="collapse show" role="tabpanel" aria-labelledby="heading-22" data-parent="#accordion">
											<div class="m-3">
												<ul class="nav nav-tabs" role="tablist">
													<li class="nav-item"> <a class="nav-link active" id="time-entry-tab-head1" data-toggle="tab" href="#time-entry-tab1" role="tab" aria-controls="time-entry-tab1" aria-selected="true">Activity Trail</a> </li>
													<li class="nav-item"> <a class="nav-link" id="time-entry-tab-head2" data-toggle="tab" href="#time-entry-tab2" role="tab" aria-controls="time-entry-tab2" aria-selected="false">Attendance</a> </li>
													<li class="nav-item"> <a class="nav-link" id="time-entry-tab-head3" data-toggle="tab" href="#time-entry-tab3" role="tab" aria-controls="time-entry-tab3" aria-selected="false">Projects/Tasks</a> </li>
													<li class="nav-item"> <a class="nav-link" id="time-entry-tab-head4" data-toggle="tab" href="#time-entry-tab4" role="tab" aria-controls="time-entry-tab4" aria-selected="false">Time Tracking</a> </li>
													
													<li class="nav-item"> <a class="nav-link" id="time-entry-tab-head5" data-toggle="tab" href="#time-entry-tab5" role="tab" aria-controls="time-entry-tab5" aria-selected="false">Messages</a> </li>
													<li class="nav-item"> <a class="nav-link" id="time-entry-tab-head6" data-toggle="tab" href="#time-entry-tab6" role="tab" aria-controls="time-entry-tab6" aria-selected="false">Submission History</a> </li>
												</ul>
												<div class="tab-content">
													<div class="tab-pane fade show active" id="time-entry-tab1" role="tabpanel" aria-labelledby="time-entry-tab-head1">
														<div class="table-responsive">
																<table class="table table-striped">
																	<tbody>
																		<?php
																		$selectQuery 	= "
																			SELECT 
																				l.*,u.full_name,u.image_name,u.user_email
																			FROM 
																				`cxs_logs` l
																			INNER JOIN
																				`cxs_user` u
																			ON
																				l.created_by=u.user_email
																			WHERE 
																				l.module_field_id='".$expense_report_id."' 
																			ORDER BY 
																				l.log_id DESC
																			";		
																		$RunUserQuery	= mysqli_query($conn, $selectQuery);
																		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																		if($StdNumRows>0){
																			while($rows=mysqli_fetch_assoc($RunUserQuery)){
																				$full_name 		= $rows["full_name"];
																				$user_image_name= $rows["image_name"];
																				$user_email 	= $rows["user_email"];
																				
																				if($user_image_name!="" && file_exists("img/uploads/user_images/".$user_image_name)){
																					$user_img_url = SITEURL."img/uploads/user_images/".$user_image_name;
																				}else{
																					$user_img_url = SITEURL."images/faces/default_face.png";
																				}
																				$notes = $rows["notes"]; 
																				$creation_date= setDate($rows["creation_date"],"F jS Y h:i A");
																				$created_timezone = $rows["created_timezone"];
																				
																				
																				$activity_txt = $notes." at ".$creation_date." ".$created_timezone;
																			?>
																			<tr>
																				<td>
																					<div class="message-body">
																						<div class="sender-details">
																							<img class="img-sm rounded-circle mr-3" src="<?php echo $user_img_url; ?>" alt="">
																							<div class="details">
																								<p class="sender-email">
																								<?php echo $full_name; ?> <a href="mailto:<?php echo $user_email; ?>"><?php echo $user_email; ?></a></p>
																								<p class="msg-subject"><?php echo $activity_txt; ?></p>
																							</div>
																						</div>
																					</div>
																				</td>
																			</tr>
																			<?php
																			}
																		}
																		?>
																	</tbody>
																</table>
															</div>
													</div>
													<div class="tab-pane fade" id="time-entry-tab2" role="tabpanel" aria-labelledby="time-entry-tab-head2">
														<?php if($attendance_flag=="Y"){ ?>
														<div class="table-responsive">
															<table class="table table-bordered" id="table_attendance_data">
																<thead>
																	<tr class="table-info">
																		<th>Attendance Date</th>
																		<th>Attendance Time Card</th>
																		<th width="18%">Time Range</th>
																		<th>Duration</th>
																		<th>Submitted On</th>
																		<th>Submitted By</th>
																		<th>Status</th>
																		<th>Action</th>
																	</tr>
																</thead>
					
																<tfoot>
																	<tr>
																		<th class="searc">Date</th>
																		<th class="searc">Time Card</th>
																		<th class="searc">Time Range</th>
																		<th class="searc">Duration</th>
																		<th class="searc">Submitted On</th>
																		<th class="searc">Submitted By</th>
																		<th class="searc">Status</th>
																		<th></th>
																	</tr>
																</tfoot>
																	
																<tbody>
																	
					
																</tbody>
															</table>
															<table id="table2" class="table1 table-bordered mt-4" align="right" >
															<thead>
																<tr class="table-info ">
																	<th class="pl-2 pr-2 pt-2 pb-2"></th>
																	<th class="pl-2 pr-2 pt-2 pb-2">Duration</th>
																</tr>    
															</thead>
															<tbody>
																<tr>
																	<td class="pl-2 pr-2 pt-2 pb-2">Total Clock Time Hours</td>
																	<td class="pl-2 pr-2 pt-2 pb-2 text-right" id="td_clocktimehours"></td>
																</tr>
																<tr>
																	<td class="pl-2 pr-2 pt-2 pb-2">Total Break Time Hours</td>
																	<td class="pl-2 pr-2 pt-2 pb-2 text-right" id="td_breaktimehours"></td>
																</tr>
																<tr>
																	<td class="pl-2 pr-2 pt-2 pb-2">Total Meal Time Hours</td>
																	<td class="pl-2 pr-2 pt-2 pb-2 text-right" id="td_mealtimehours"></td>
																</tr>
																<tr>
																	<td class="pl-2 pr-2 pt-2 pb-2">Total PTO Days</td>
																	<td class="pl-2 pr-2 pt-2 pb-2 text-right" id="td_timeoffdays"></td>
																</tr>
															</tbody>
														</table>
														</div>
														<?php }else{ ?>
														<div class="row">
															<div class="col-md-12">
																<div class="flag-notice">
																	You are not licensed for Attendance Tracking. <a href="javascript:void(0);">Click here to Subscribe</a>
																</div>
															</div>
														</div>
														<?php }?>
													</div>
													<div class="tab-pane fade" id="time-entry-tab3" role="tabpanel" aria-labelledby="time-entry-tab-head3">
														
													</div>
													<div class="tab-pane fade" id="time-entry-tab4" role="tabpanel" aria-labelledby="time-entry-tab-head4">
														
													</div>
													<div class="tab-pane fade" id="time-entry-tab5" role="tabpanel" aria-labelledby="time-entry-tab-head5">
														<div class="timeline">
															<div class="timeline-wrapper timeline-wrapper-warning">
																<div class="timeline-badge"></div>
																<div class="timeline-panel">
																	<div class="timeline-heading">
																		<h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>
																	</div>
																	<div class="timeline-body pt-3">
																		<p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
																		<div class="d-flex flex-wrap justify-content-between pb-3 ">
																			<label><i class="fa fa-upload pr-3"></i> 19</label>
																			<h6>19 OCt 2019</h6>
																		</div>
																	</div>
																</div>
															</div>
															<div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
																<div class="timeline-badge"></div>
																<div class="timeline-panel">
																	<div class="timeline-heading">
																		<h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>
																	</div>
																	<div class="timeline-body pt-3">
																		<p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
																		<div class="d-flex flex-wrap justify-content-between pb-3 ">
																			<label><i class="fa fa-upload pr-3"></i> 19</label>
																			<h6>19 OCt 2019</h6>
																		</div>
																	</div>
																</div>
															</div>
															<div class="timeline-wrapper timeline-wrapper-warning">
																<div class="timeline-badge"></div>
																<div class="timeline-panel">
																	<div class="timeline-heading">
																		<h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>
																	</div>
																	<div class="timeline-body pt-3">
																		<p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
																		<div class="d-flex flex-wrap justify-content-between pb-3 ">
																			<label><i class="fa fa-upload pr-3"></i> 19</label>
																			<h6>19 OCt 2019</h6>
																		</div>
																	</div>
																</div>
															</div>
															<div class="timeline-wrapper timeline-inverted timeline-wrapper-success">
																<div class="timeline-badge"></div>
																<div class="timeline-panel">
																	<div class="timeline-heading">
																		<h6 class=" pl-3 timeline-title">BOOTSTRAP 4 BETA</h6>
																	</div>
																	<div class="timeline-body pt-3">
																		<p>Two years in the making, we finally have our first beta release of Bootstrap 4.</p>
																		<div class="d-flex flex-wrap justify-content-between pb-3 ">
																			<label><i class="fa fa-upload pr-3"></i> 19</label>
																			<h6>19 OCt 2019</h6>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="tab-pane fade" id="time-entry-tab6" role="tabpanel" aria-labelledby="time-entry-tab-head6">
														<div class="table-responsive expense-table">
															<table id="table_expense_submission_history" class="table table-border">
																<thead>
																	<tr class="table-info">
																		<th>Expenditure Type</th>
																		<th>Description</th>
																		<th>Date Expense Occurred</th>
																		<th>Amount</th>
																		<th>&nbsp;</th>
																	</tr>
																</thead>
																<tbody>
																	<?php
																	$where = "";
																	if($expense_report_id!="" && $expense_report_id>0){
																		$where .= " AND eh.expense_report_id='".$expense_report_id."' ";
																	}
																	$selectQuery 	= "
																			SELECT 
																				eh.*,e.*,t.exp_type_name 
																			FROM 
																				`cxs_expense_entry_header` eh
																			INNER JOIN
																				`cxs_expense_entry_detail` e
																			ON
																				eh.expense_report_id=e.header_id
																			INNER JOIN
																				`cxs_expenditure_types` t
																			ON
																				e.expenditure_type_id = t.expenditure_id
																			WHERE
																				e.user_id='".$user_id."' AND e.company_id='".$_SESSION['login_user_array']['company_id']."'
																				$where
																			ORDER BY 
																				e.expense_report_detail_id DESC
																		";		
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if($StdNumRows>0){
																		while($rows=mysqli_fetch_assoc($RunUserQuery)){
																			$header_id 					= $rows['header_id'];
																			$expense_report_detail_id 	= $rows['expense_report_detail_id'];
																			$exp_type_name 	= $rows['exp_type_name'];
																			$description 	= htmlspecialchars_decode(nl2br($rows['description']));
																			$expense_date 	= setDate($rows['expense_date'],"m/d/Y");
																			$amount 		= $rows['amount'];
																			$is_submitted 	= $rows['is_submitted'];
																			$is_approved 	= $rows['is_approved'];
																			$is_rejected 	= $rows['is_rejected'];
																			$data_content_eye_icon = show_eye_icon_data("cxs_expense_entry_detail","expense_report_detail_id",$expense_report_detail_id);
																		?>
																		<tr data-node-id="<?php echo $expense_report_detail_id; ?>">
																			<td><?php echo $exp_type_name;?></td>
																			<td><?php echo $description;?></td>
																			<td><?php echo $expense_date;?></td>
																			<td>$<?php echo setNumberFormat($amount);?></td>
																			<td class="table-action status-icon">
																				<?php
																				if($is_submitted=="N" && $is_approved=="N" && $is_rejected=="N"){ //Working
																				?>
																					Working
																				<?php
																				}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="N"){ //Submitted
																				?>
																					Submitted
																				<?php
																				}else if($is_submitted=="Y" && $is_approved=="Y" && $is_rejected=="N"){ //Approved
																				?>
																					Approved
																				<?php
																				}else if($is_submitted=="Y" && $is_approved=="N" && $is_rejected=="Y"){ //Rejected
																				?>
																					Rejected
																				<?php
																				}
																				?>
																			</td>
																		</tr>
																		<?php 
																		$selectQuery2 	= "
																			SELECT 
																				ap.*, ex.submitted_date
																			FROM 
																				cxs_approval_activity ap 
																			INNER JOIN
																				cxs_expense_entry_detail ex
																			ON
																				ap.expense_report_detail_id = ex.expense_report_detail_id
																			WHERE 
																				ex.expense_report_detail_id='".$expense_report_detail_id."' 
																			ORDER BY 
																				ap.action_datetime DESC
																		";		
																		$RunUserQuery2	= mysqli_query($conn, $selectQuery2);
																		$StdNumRows2 	= mysqli_num_rows($RunUserQuery2);
																		if($StdNumRows2>0){
																			while($rows2=mysqli_fetch_assoc($RunUserQuery2)){
																				$action_datetime= setDate($rows2["action_datetime"],"F jS Y h:i A");
																				$action_type= $rows2["action_type"];
																				$comment 	= stripslashes($rows2["comment"]);
																				if($action_type=="APPROVED"){
																					$row_class = "exp-entry-approved-back";
																				}else if($action_type=="REJECTED"){
																					$row_class = "exp-entry-rejected-back";
																				}else if($action_type=="SUBMITTED"){
																					$row_class = "exp-entry-submitted-back";
																				}else{
																					$row_class = "exp-entry-working-back";
																				}
																				?>
																				<tr data-node-id="<?php echo $expense_report_detail_id; ?>.1" data-node-pid="<?php echo $expense_report_detail_id; ?>">
																					
																					<td>&nbsp;</td>
																					<td>
																						<?php echo $action_datetime." PST"; ?>
																					</td>
																					<td class="<?php echo $row_class; ?>">
																						<?php echo ucwords(strtolower($action_type)); ?>
																					</td>
																					<td colspan="2">
																						<?php echo $comment; ?>
																					</td>
																				</tr>
																				<?php
																				}
																			}
																		}
																	}	
																	?>
																</tbody>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<?php } ?>
					
					
					
					
					
					
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="modal_new_expense_entry" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="modal2_label">Add New Expense Report</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="form_new_expense_entry" method="post">
					<div class="row col-12 ">
						<div class="col-4 pt-4 pl-0 pr-0">Year :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<select id="combo_new_entry_year" name="combo_new_entry_year" class="form-control js-example-basic-single " style="width:100%;">
								<option value="">--Please Select--</option>
								<?php
								for($y=2020;$y<=2030;$y++){
									?>
									<option value="<?php echo $y; ?>" <?php if($y==$current_year){ ?> selected <?php } ?>><?php echo $y; ?></option>
									<?php
								}
								?>
							</select>
						</div>
						<div class="col-4 pt-4 pl-0 pr-0">Month :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<select id="combo_new_entry_month" name="combo_new_entry_month" class="form-control js-example-basic-single " style="width:100%;">
								<option value="">--Please Select--</option>
								<?php
								for($m=1;$m<=12;$m++){
									$mm = str_pad($m, 2, 0, STR_PAD_LEFT);
									?>
									<option value="<?php echo $mm; ?>" <?php if($mm==$current_month){ ?> selected <?php } ?>><?php echo $mm; ?></option>
									<?php
								}
								?>
							</select>
						</div>
						<div class="col-12 pt-4 pl-0 pr-0 col-center not-valid-tip" id="modal_msg_new_expense_entry"></div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary btn-icon"  id="cmd_modal_new_expense_entry_save" title="Save Record"><i class="fa fa-save"></i></button>
				<!-- data-dismiss="modal" -->
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="selected_projects_tasks_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Selected Tasks</h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="selected_projects_tasks_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<input type="hidden" id="is_active_project_task_modal" value="0" />
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.resize.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.categories.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.fillbetween.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.stack.js"></script>
<script src="<?php echo SITEURL; ?>vendors/flot/jquery.flot.pie.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
       
    $('.form_datetime').datepicker(
	{
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true
	});
        
        
    var data = [{
      data: 18000,
      color: '#FABA66',
      label: 'Regular Timeentry'
    },
    {
      data: 20000,
      color: '#F36368',
      label: 'Overtime'
    },
    {
      data: 13000,
      color: '#76C1FA',
      label: 'Leave'
    }
  ];
   var data_hours = [{
      data: 18000,
      color: '#FABA66',
      label: 'Straight Time'
    },
    {
      data: 20000,
      color: '#F36368',
      label: 'Overtime'
    },
    {
      data: 13000,
      color: '#76C1FA',
      label: 'Leave'
    }
  ];

  if ($("#chart_period_todate1").length) {
    $.plot("#chart_period_todate1", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }

  if ($("#chart_period_todate2").length) {
    $.plot("#chart_period_todate2", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  if ($("#chart_period_todate3").length) {
    $.plot("#chart_period_todate3", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
            
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  if ($("#chart_period_todate4").length) {
    $.plot("#chart_period_todate4", data, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3 / 6,
            formatter: labelFormatter,
            background: {
              opacity: 0.5
            }
            
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  
  
    if ($("#chart_hours").length) {
    $.plot("#chart_hours", data_hours, {
      series: {
        pie: {
          show: true,
          radius: 1,
          label: {
            show: true,
            radius: 3/6 ,
            formatter: labelFormatter1,
            background: {
              opacity: 0.5
            }
            
          }
        }
      },
      legend: {
        show: false
      }
    });
  }
  
  function labelFormatter(label, series) 
  {
      return "<div style='font-size:8pt; text-align:center; padding:2px; color:white;'>" + label + "<br/>" + Math.round(series.percent) + "%</div>";    
  }

function labelFormatter1(label, series) 
  {
      return "<div style='font-size:7pt; text-align:center; padding:2px; color:white;'>" + label + "<br/>" + Math.round(series.percent) + "%</div>";    
  }
  
    $(document).ready(function()
    {
       $("#div_form").show();
       $("#div_calendar").hide();
    });
    
    $("#title_form").click(function()
    {
        $("#div_form").show();
        $("#div_calendar").hide(); 
        
        $("#div_middle1").children().show();
        $("#div_middle2").children().show();
        $("#div_record_save").children().show();
        $("#title_divform").show();
    });
    
    $("#title_calendar").click(function()
    {
        $("#div_form").hide();
        $("#div_calendar").show(); 
        
        $("#div_middle1").children().hide();
        $("#div_middle2").children().hide();
        $("#div_record_save").children().show();
        $("#title_divform").hide();
    });
    
    
    
 (function($) {
  'use strict';
  $(function() {
    if ($('#calendar').length) {
      $('#calendar').fullCalendar({
        header: {
          left: 'prev,next today',
          center: 'title',
          right: 'month,basicWeek,basicDay'
        },
        defaultDate: '2017-07-12',
        navLinks: true, // can click day/week names to navigate views
        editable: true,
        eventLimit: true, // allow "more" link when too many events
        events: [{
            title: 'All Day Event',
            start: '2017-07-08'
          },
          {
            title: 'Long Event',
            start: '2017-07-01',
            end: '2017-07-07'
          },
          {
            id: 999,
            title: 'Repeating Event',
            start: '2017-07-09T16:00:00'
          },
          {
            id: 999,
            title: 'Repeating Event',
            start: '2017-07-16T16:00:00'
          },
          {
            title: 'Conference',
            start: '2017-07-11',
            end: '2017-07-13',
            url: 'http://google.com/'
          },
          {
            title: 'Meeting',
            start: '2017-07-12T10:30:00',
            end: '2017-07-12T12:30:00'
          },
          {
            title: 'Lunch',
            start: '2017-07-12T12:00:00'
          }
        ]
      })
    }
  });
})(jQuery);
    
  

    //'ajax': 'https://api.myjson.com/bins/16lp6',
/* Formatting function for row details - modify as you need */
function format ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border "  bgcolor="#ECECEC" >'+
            
        '<thead><tr>'+     
            '<th></th>'+
            '<th class="ml-0 pl-0">Time In</th>'+
            '<th class="ml-0 pl-0">Time Out</th>'+
            '<th class="ml-0 pl-0">Break Time Start</th>'+
            '<th class="ml-0 pl-0">Break Time End</th>'+
            '<th class="ml-0 pl-0">Start Meal</th>'+
            '<th class="ml-0 pl-0">Stop Meal</th>'+
            '<th class="ml-0 pl-0">Overt Time Start</th>'+
            '<th class="ml-0 pl-0">Overt Time End</th>'+
        '</tr></thead><tbody>'+
        
        '<tr>'+     
            '<td></td>'+
            '<td class="ml-0 pl-0">'+d.time_in+'</td>'+            
            '<td class="ml-0 pl-0">'+d.time_out+'</td>'+
            '<td class="ml-0 pl-0">'+d.break_time_start+'</td>'+            
            '<td class="ml-0 pl-0">'+d.break_time_end+'</td>'+
            '<td class="ml-0 pl-0">'+d.start_meal+'</td>'+            
            '<td class="ml-0 pl-0">'+d.stop_meal+'</td>'+
            '<td class="ml-0 pl-0">'+d.overtime_start+'</td>'+            
            '<td class="ml-0 pl-0">'+d.overtime_end+'</td>'+
        '</tr></tbody>'+        
    '</table></div>';
}


$(document).ready(function()
{
 
   /*var table = $('#table_attendance_tab').DataTable({
        "ajax": "json/time-card-json.txt",
        'columns': [
            {
                'className': 'details-control',
                'orderable':  false,
                'data': null,                
                'defaultContent': ''
            },
            { 
              'orderable': false,              
              'defaultContent': '<button class="btn btn-primary btn-sm notes1 mt-5 mb-5">Note</button> '
            },
            { 'data': 'date' },
            { 'data': 'total' },
            { 'data': 'note','visible':false },
        ],
        "buttons": [['excel' ,'pdf'],{text: 'Email'}],
        'order': [[2, 'asc']],
        'searching':false,
        'paging':false
    });

    // Add event listener for opening and closing details
    $('#table_attendance_tab tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format(row.data())).show();
            tr.addClass('shown');
        }
    });*/
});


(function($) {
	'use strict';
	if ($("#fileuploader").length) {
		var uploadObj = $("#fileuploader").uploadFile({
			url: SITEURL+"aj/upload-attachment/expense-image/",
			multiple:true,
			fileName:"myfile",
			acceptFiles:"image/*",
			sequential:true,
			sequentialCount:1,
			maxFileSize:1024*200	
		});
	}
})(jQuery);



</script>
<script>
$(document).ready(function(){
	/**/
	if($("#cmd_expense_detail_save_draft").length>0){
		$('#combo_expenditure_id').select2();
		$("#text_amount").numeric();
		/**********************/
		$('#text_amount').on('blur focus', function() {
			var value = this.value.replace("$","");
			value = value.replace(/,/g, '');
			if(value!=""){
				this.value = "$"+parseFloat(value).toLocaleString('en-US', {
					style: 'decimal',
					maximumFractionDigits: 2,
					minimumFractionDigits: 2
				});
			}
		});
		/**********************/
		$(".currency-numeric").bind("keypress", function (e) {
			var keyCode = e.which ? e.which : e.keyCode;
			if (!((keyCode >= 48 && keyCode <= 57) || (keyCode==36) || (keyCode==190))) {
				return false;
			}
		});
	}
	/**********************/
	getExpEntryData();
	/*********************/
	$('#cmdAddNewExpenseEntry').click(function(){
		/**/
		$("#combo_new_entry_year,#combo_new_entry_month").select2('destroy'); 
		$("#combo_new_entry_year").val('<?php echo $current_year; ?>');
		$("#combo_new_entry_month").val('<?php echo $current_month; ?>');
		$("#combo_new_entry_year,#combo_new_entry_month").select2(); 
		$("#modal_msg_new_expense_entry").text('');
		/**/
		$('#modal_new_expense_entry').modal('show')
	});
	/********************/
	$('#table_expense_submission_history').simpleTreeTable({
		expander: $('#expander'),
		collapser: $('#collapser'),
		opened:'none', 
		storeKey: 'simple-tree-table-basic'
	});
	/********************/
	if($("#combo_expense_entry_name").val()>0){
		loadExpenseChart('current_period');
	}
	/********************/
	<?php if($attendance_flag=="Y"){ ?>
	if($("#combo_expense_entry_name").val()>0){
		loadExpenseAttendanceData();
	}
	<?php } ?>
	/********************/
	$("#cmdSearchExpenseTasks").click(function(){
		getProjectsTasks('false','expense');
	});
});
function getExpTypeData(id,isEdit=false){
	if($(".check_all_task:checked").length){
		$(".check_all_task").prop("checked",false);
		getCountOfSelectedTask();
	}
	$.ajax({
			type: 'post',
			url: SITEURL+"aj/expenses/",
			data: {REQUEST: 'get_setup_exp_types_data', expenditure_id: id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function(response){
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==1){
						if(!isEdit){
							$("#text_description").val(response.data_arr['description']);
							//$("#text_amount").val(response.data_arr['uom']);
						}
						$("#h_amt_ceiling").val(response.data_arr['amt_ceiling']);
					}
				},1000);
			}
		});
}
/*************************************************************************************/
if($("#cmd_expense_detail_save_draft").length>0){
	$("#cmd_expense_detail_save_draft").click(function (){
		disableButton("#cmd_expense_detail_save_draft");
		var flag = true;
		var h_amt_ceiling = "";
		form_element_correct($("#combo_expenditure_id").siblings(".select2"));
		form_element_correct($("#text_description"));
		form_element_correct($("#text_expense_date"));
		form_element_correct($("#text_amount"));
		h_amt_ceiling = parseFloat($("#h_amt_ceiling").val());
		
		$("#div_msg").text("");
		
		if($("#combo_expenditure_id").val()==""){
			form_element_empty_err($("#combo_expenditure_id").siblings(".select2"));               
			flag = false;
		}
		if($("#text_description").val()==""){
			form_element_empty_err($("#text_description"));               
			flag = false;
		}
		if($("#text_expense_date").val()==""){
			form_element_empty_err($("#text_expense_date"));               
			flag = false;
		}
		if($("#text_amount").val()==""){
			form_element_empty_err($("#text_amount"));               
			flag = false;
		}
		if($("#text_amount").val()!=""){
			var text_amount = $("#text_amount").val();
			text_amount = text_amount.replace("$","");
			text_amount = text_amount.replace(/,/gi,"");
			if(text_amount>h_amt_ceiling){
				//alert("You can not submit this expense more than $"+h_amt_ceiling);
				<?php 
				if($_SESSION['login_user_array']["user_plan"]!="SELFEMPLOYED"){
				?>
				alert("Your expense amount exceeds the budget allocated for this expenditure type and this task. Please contact your Project Manager.");
				<?php
				}else{
				?>
				alert("Your expense amount exceeds the budget allocated for this expenditure type and this task.");
				<?php
				} 
				?>
				
				$("#text_amount").val("");
				$("#text_amount").focus();             
				flag = false;
			}
		}
		
		if(flag==false){
			disableButton("#cmd_expense_detail_save_draft");
		}
		var formdata = $('#expense_detail_draft_form').serialize(); 
		
		if(flag == true){
			$.ajax({
				url: SITEURL+"aj/expenses/",
				method: "POST",
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				data: {REQUEST: 'save_expense_detail_draft_data',form1: formdata},
				success: function (response){ 
					setTimeout(function(){
						disableButton("#cmd_expense_detail_save_draft");
						$(".rploader").fadeOut(800);
						if(response.succ==0){
							$("#div_msg").text("Something went wrong.");
						}else{
							location.reload();
						}
					},10000); 
				}
			});
		}
	});
}
/*************************************************************************************/
function editData(){
	$('.edit').click(function(){
		//$("#is_active_project_task_modal").val("0");
		form_element_correct($("input"));
		form_element_correct($("select"));
		$("#div_msg").text("");
		$("#entry_img_block").html("");
		var selected_id = $(this).next().val();    
		$("#h_selectedid").val(selected_id);
		
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'get_expense_detail_draft_data', expense_report_detail_id: $("#h_selectedid").val()},
			success: function (response){  
				//console.log(response);
				if(response.succ==1){
					$("#combo_expenditure_id").val(response.data_arr['expenditure_type_id']);
					getExpTypeData(response.data_arr['expenditure_type_id'],true);
					$('#combo_expenditure_id').select2();
					$("#text_amount").val("$"+parseFloat(response.data_arr['amount']).toLocaleString('en-US', { style: 'decimal', maximumFractionDigits: 2, minimumFractionDigits: 2 }));
					$("#text_description").val(response.data_arr['description']);
					$("#text_expense_date").val(GetFormattedDate(response.data_arr['expense_date']));
					//$("#exp_type_uom").html(response.uom);
					//alert(response.data_img_arr[0]);
					for(var i=0;i<response.data_img_arr['length'];i++){
						$("#entry_img_block").append('<img class="entry-list-image cr-point" src="'+SITEURL+'img/uploads/expense_images/'+response.data_img_arr[i]+'" id="exp_img_'+i+'" title = "Click to delete" alt="" onClick=" deleteExpenseEntryImage(\''+response.data_img_arr[i]+'\',\''+i+'\');" />');
						$("#entry_img_block").append('<input type="hidden" id="h_entry_image_arr" name="h_entry_image_arr[]" value="'+SITEURL+'img/uploads/expense_images/'+response.data_img_arr[i]+'">');
					}
					$(".ajax-file-upload-container").html("");
					$('html, body').animate({
						scrollTop: $("#expense_detail_draft_form").offset().top-130
					}, 2000);
					getProjectsTasks('false','expense',selected_id);
				}
			}
		});     
	});
}
function deleteExpenseEntry(expense_report_detail_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'delete_expense_entry_data', expense_report_detail_id: expense_report_detail_id},
			success: function (response){  
				if(response.succ==1){
					location.reload(); 
				}
			}
		});
	}
}
function deleteExpenseEntryImage(image_name,id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		$("#exp_img_"+id).fadeOut();
		$("#expense_detail_draft_form").append('<input type="hidden" name="delete_expense_image_arr[]" value="'+image_name+'">');
	}
}
/*************************************************************************************/
function exp_submit_all(){
	$("#cmd_expense_detail_save_all").click(function (){
		var flag = true;
		<?php if($_SESSION['login_user_array']["user_plan"]!="SELFEMPLOYED"){ ?>
			form_element_correct($("#combo_approve_by_user_id").siblings(".select2"));
			
			if($("#combo_approve_by_user_id").val()==""){
				form_element_empty_err($("#combo_approve_by_user_id").siblings(".select2"));               
				flag = false;
			}
		<?php } ?>
		var formdata = $('#expense_detail_save_all_form').serialize(); 
		var expense_report_id = '<?php echo $expense_report_id; ?>';
		
		if(flag == true){
			$.ajax({
				url: SITEURL+"aj/expenses/",
				method: "POST",
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				data: {REQUEST: 'save_expense_detail_save_all_data',expense_report_id1:expense_report_id,form1: formdata},
				success: function (response){
					if(response.succ==0){
						$(".rploader").fadeOut(800);
						if(response.is_budgted_task==false){
							alert(response.expense_exceed_msg);
						}else if(response.expense_exceed==false){
							alert(response.expense_exceed_msg);
						}
						$("#div_msg").text(response.expense_exceed_msg);
					}else{
						location.reload();
					}    
				}
			});
		}
	});
}
/*************************************************************************************/
function getExpEntryData(status="",num){
	if($("#cmd_expense_detail_save_draft").length>0){
		clearForm();
	}
	var expense_report_id;
	if($("#combo_expense_entry_name").length>0){
		expense_report_id = $("#combo_expense_entry_name").val();
	}else{
		expense_report_id = '<?php echo $expense_report_id; ?>';
	}
	if(status!=""){
		$('html, body').animate({
			scrollTop: $("#table_expense_details").offset().top-130
		}, 1000);
	}
	if(expense_report_id>0){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'get_expense_entry_data',is_html:true,expense_report_id1:expense_report_id,status1:status,user_id1:<?php echo $user_id; ?>},
			beforeSend: function() {
				$("#results").fadeOut(500);
				$(".loading-div").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".loading-div").hide();
					$("#results").html(response);
					$('#table_expense_details').simpleTreeTable({
						expander: $('#expander'),
						collapser: $('#collapser'),
						opened:'none',
						storeKey: 'simple-tree-table-basic'
					});
					$(".table-action").find(".simple-tree-table-handler").hide();
					$(".exp-col-block .simple-tree-table-icon").remove();
					$("#results").fadeIn(500);
					editData();
					exp_submit_all()
					$('[data-toggle="popover"]').popover();
					$("#combo_approve_by_user_id").select2();
					setDropdownRequiredBackground();
				},1000);
			}
		});
	}
}
/*************************************************************************************/
function clearForm(){
	$("#expense_detail_draft_form")[0].reset();
	$('#combo_expenditure_id').select2();
	//$("#exp_type_uom").html("");
	$("#h_amt_ceiling").val("");
	$(".ajax-file-upload-container").html("");
	$("#entry_img_block").html("");
	$("#h_selectedid").val("");
}
$("#btn_clear_form").click(function(){
	setTimeout(function(){
		//$("#is_active_project_task_modal").val("0");
		getProjectsTasks("false","invoice");
	},1000);
	
});
/****************************/
$("#cmd_modal_new_expense_entry_save").click(function (){
	var flag = true;
	form_element_correct($("#combo_new_entry_year"));
	form_element_correct($("#combo_new_entry_month"));
	$("#modal_msg_new_expense_entry").text("");
	
	if($("#combo_new_entry_year").val()==""){
		form_element_empty_err($("#combo_new_entry_year"));               
		flag = false;
	}
	if($("#combo_new_entry_month").val()==""){
		form_element_empty_err($("#combo_new_entry_month"));               
		flag = false;
	}
	
	var formdata = $('#form_new_expense_entry').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'save_new_expense_entry_data',form1: formdata},
			success: function (response){ 
				if(response.succ==0){
					$("#modal_msg_new_expense_entry").text(response.msg);
				}else{
					//alert(response.expense_report_id);
					$('#modal_new_expense_entry').modal('hide');
					window.location.href=SITEURL+'expense-tracking/expenses/'+response.expense_report_id+'/';
					
				}    
			}
		});
	}
});
/*************************************************************************************/
function loadExpenseEntry(expense_report_id){
	if(expense_report_id>0){
		window.location.href='?expense_report_id='+expense_report_id;
	}else{
		$(".exp-section").remove();
	}
}
/*************************************************************************************/
function loadExpenseChart(chart_type){
	$(".chart-btn").removeClass("active");
	if(chart_type=="current_period"){
		$(".current_period").addClass("active");
		$("#chart_area").html('<div class="row"><div class="col-md-12"><div class="loading-div"><img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" ></div></div></div>');
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'get_enter_expense_entry_chart_data',chart_type1:chart_type,pay_period1:'<?php echo $pay_period; ?>',user_id1:'<?php echo $user_id; ?>'},
			beforeSend: function() {
				$(".loading-div").fadeIn(800);
			},
			success: function (response){ 
				setTimeout(function(){ 
					$(".loading-div").hide();
				},1000);
				setTimeout(function(){
					$("#chart_area").html('<div class="row"><div class="col-md-3 border"><div class="text-center exp-chart-title"><?php echo $pay_period; ?></div><div class="flot-chart-container"><div id="chart_current_period" class="flot-chart" ></div></div></div></div>');
					/*var data = [{
							data: 100,
							label: 'Regular Timeentry'
						},
						{
							data: 50,
							label: 'Overtime'
						},
						{
							data: 25,
							label: 'Leave'
						}
					];*/
					$.plot("#chart_current_period", response.data_label, {
						series: {
							pie: {
								show: true,
								radius: 1,
								label: {
									show: true,
									radius: 3 / 6,
									formatter: labelFormatter,
									background: {
										opacity: 0.5
									}
								}
							}
						},
						legend: {
							show: true
						}
					});
					/*var legend_data = $(".legend").html();
					$(".legend").remove();
					$('.flot-chart').append('<div class="legend">'+legend_data+'</div>');
					$(".legend").show();*/
				},1500);
			}
		});
	}else if(chart_type=="periods_to_date"){
		$(".periods_to_date").addClass("active");
		$("#chart_area").html('<div class="row"><div class="col-md-12"><div class="loading-div"><img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" ></div></div></div>');
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'get_enter_expense_entry_chart_data',chart_type1:chart_type,user_id1:'<?php echo $user_id; ?>'},
			beforeSend: function() {
				$(".loading-div").fadeIn(800);
			},
			success: function (response){
				setTimeout(function(){ 
					$(".loading-div").hide();
				},1000);
				setTimeout(function(){
					var pay_period_arr = response.main_data;
					//alert(pay_period_arr['pay_period'].length);
					$("#chart_area").html('<div class="row"></div>');
					var counter = 0;
					
					$.each(response.main_data, function(index, item) {
						counter++;
						var pay_period = item['pay_period'];
						$("#chart_area .row").append('<div class="col-md-3 border"><div class="text-center exp-chart-title">'+pay_period+'</div><div class="flot-chart-container"><div id="chart_periods_to_date_'+counter+'" class="flot-chart" ></div></div></div>');
						$.plot("#chart_periods_to_date_"+counter, item.data_label, {
							series: {
								pie: {
									show: true,
									radius: 1,
									label: {
										show: true,
										radius: 3 / 6,
										formatter: labelFormatter,
										background: {
											opacity: 0.5
										}
									}
								}
							},
							legend: {
								show: true
							}
						});
					});
					/*$("#chart_area").mCustomScrollbar({
						theme:"light-2",  // custom scroll theme set
						axis:"x" // horizontal scrollbar
					});*/
				},2000);
			}
		});
	}else if(chart_type=="year_to_date"){
		$(".year_to_date").addClass("active");
		$("#chart_area").html('<div class="row"><div class="col-md-12"><div class="loading-div"><img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" ></div></div></div>');
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'get_enter_expense_entry_chart_data',chart_type1:chart_type,user_id1:'<?php echo $user_id; ?>'},
			beforeSend: function() {
				$(".loading-div").fadeIn(800);
			},
			success: function (response){ 
				setTimeout(function(){ 
					$(".loading-div").hide();
				},1000);
				setTimeout(function(){
					$("#chart_area").html('<div class="row"><div class="col-md-3 border"><div class="text-center exp-chart-title"><?php echo "Year-".date("Y"); ?></div><div class="flot-chart-container"><div id="chart_year_to_date" class="flot-chart" ></div></div></div></div>');
					/*var data = [{
							data: 100,
							label: 'Regular Timeentry'
						},
						{
							data: 50,
							label: 'Overtime'
						},
						{
							data: 25,
							label: 'Leave'
						}
					];*/
					$.plot("#chart_year_to_date", response.data_label, {
						series: {
							pie: {
								show: true,
								radius: 1,
								label: {
									show: true,
									radius: 3 / 6,
									formatter: labelFormatter,
									background: {
										opacity: 0.5
									}
								}
							}
						},
						legend: {
							show: true
						}
					});
				},1500);
			}
		});
	}
}
/*************************************************************************************/
function loadExpenseAttendanceData(){
	$.ajax({
		url: SITEURL+"aj/expenses/",
		method: "POST",
		data: {REQUEST: 'get_enter_expense_entry_attendance_data',selected_user_id:'<?php echo $user_id; ?>',pay_period:'<?php echo $pay_period; ?>'},
	   	beforeSend: function() {
	   	},
		success:function(response){
			setTimeout(function(){
				if(response.succ==1){  
					//console.log(response);
					$("#td_clocktimehours").text(response.ClockTimeHours+ " hrs");
					$("#td_breaktimehours").text(response.BreakTimeHours+ " hrs");
					$("#td_mealtimehours").text(response.MealTimeHours+ " hrs");
					$("#td_timeoffdays").text(response.TimeOffDays+ " day(s)");
					
					if (!jQuery.isEmptyObject(response.data))
					{
						$.each( response.data, function( key, value ) 
						{
							Addrow(value);                                
						});
						setTitle();
					}  
				}
				dataTableCreateCommonOrderOn("table_attendance_data",0);
				$("#table_attendance_data_filter").hide();
			},1000);
		}
	});     
}
/*********************************************************/
function Addrow(value)
{
    td1 = '<td>'+value.calendar_date+'</td>';
    td2 = '<td>'+value.time_card+'</td>';
    td3 = '<td>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+
            '<div class="badge font-weight-bold">From </div> <div class="badge">'+value.time_in_stamp+'</div>';
        if(value.card_reason!='' || value.missed_in_reason!='' || value.missed_out_reason!='' )
        {
            if(value.card_reason!='')
            {
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_reason+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
            else
            {
                var comment = value.missed_in_reason+"<br />"+value.missed_out_reason;
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
        } 
        else
        {
            td3 += '<div class="badge">&nbsp;&nbsp;</div>';
        }
    td3 +=   '</div>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+            
            '<div class="badge font-weight-bold">To </div> <div class="badge">'+value.time_out_stamp+'</div>'+
            '<div class="badge">&nbsp;&nbsp;</div>'+
        '</div>'+
        '</td>';   
  
    td4 = '<td>'+value.TimeDuration+'</td>';
    td5 = '<td>'+value.submitted_on+'</td>';
    td6 = '<td>'+value.submitted_by+'</td>';
    if(value.card_status_note!='')
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div><div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_status_note+'"> <i class="typcn typcn-document-text"></i> </button> </div></td>';
    }
    else
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div></td>';
    }
    if(value.card_status_note=="")
    {
        td8 = '<td></td>'; 
    }
    else
    {
        td8 = '<td class="text-center"><input type="hidden" value="'+value.card_status_note+'"> <button type="button" class="btn btn-primary h_note">...</button> </td>';
    }
    var data_content = value.data_content_eye_icon;
    var rowCount = $('#table_attendance_data tbody tr').length; 
    rowCount++;
    func1 = 'edit_record('+value.session_id+','+rowCount+')';
    if(value.card_status=="Rejected" && value.time_card!= "PTO (Out of Office)")
    {
        button1 = '<button class="btn  ml-0 mr-2 pl-0 pr-0" title="Edit Record" onclick="'+func1+'"><i class="fa fa-pencil" aria-hidden="true"></i></button>';
    }
    else
    {
        button1 = '';
    }
    td9 = '<td class="text-center">'+
            '<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+data_content+'" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>'+
            button1+'</td>';
                            
           
    tr = '<tr id="row'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td9+'</tr>';
    $("#table_attendance_data").append(tr);
    
}
/*********************************************************/
function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
} 
/*********************************************************/
function getProjectsTasks(is_show,type,id=""){
	var search_keyword 			= "";
	search_keyword = $("#text_expense_task_keyword").val();
	if($("#combo_expenditure_id").val()==""){
		alert("Please select expenditure type.");
		$("#combo_expenditure_id").focus();
	}
	// if(is_show=='true'){
	// 	$('#project_task_modal').modal('show');
	// }
	// var is_active_project_task_modal = false;
	// if($("#is_active_project_task_modal").val()=="1" && search_keyword==""){
	// 	is_active_project_task_modal = true;
	// 	$(".expense-project-main").mCustomScrollbar('destroy');
	// 	setTimeout(function(){
	// 		$(".expense-project-main").mCustomScrollbar({  // custom scroll bar plugin
	// 			theme:"light-2",  // custom scroll theme set
	// 			axis: "y",     // custom scroll ver,hor scroll
	// 		});
	// 	},1500);
	// }
	if($("#combo_expenditure_id").val()>0){
		if(is_show=='true'){
			$('#project_task_modal').modal('show');
		}
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			data: {REQUEST: 'get_enter_expense_entry_projects_tasks_data',is_html:true,type1:type,id1:$("#h_selectedid").val(),search_keyword1:search_keyword,expenditure_type_id:$("#combo_expenditure_id").val()},
			beforeSend: function() {
				$("#results_project_task").html("");
				$(".loading-div-project_task").fadeIn(800);
			},
			success: function (response){  
				$(".loading-div-project_task").fadeOut(500);
				setTimeout(function(){
					//$("#is_active_project_task_modal").val("1");
					$("#results_project_task").html(response);
					
					$(".expense-project-main").mCustomScrollbar({  // custom scroll bar plugin
						theme:"light-2",  // custom scroll theme set
						axis: "y",     // custom scroll ver,hor scroll
					});
					
					$(".check_all").change(function(){
						var project_id = $(this).val();
						if (this.checked) {
							$(".check_project_task_"+project_id).each(function() {
								this.checked=true;
							});
						} else {
							$(".check_project_task_"+project_id).each(function() {
								this.checked=false;
							});
						}
					});
					var toggler = document.getElementsByClassName("caret");
					var g;
					
					for (g = 0; g < toggler.length; g++) {
					  toggler[g].addEventListener("click", function() {
						this.parentElement.querySelector(".nested").classList.toggle("active");
						this.classList.toggle("caret-down");
					  });
					}
					$(".check_all_task").change(function(){
						var project_id = $(this).data("project_id");
						if (this.checked) {
							$(".check_single_task_"+$(this).val()).parent().parent().siblings("ul").find("input[type=checkbox]").each(function() {
								this.checked=true;
							});
							//alert($("#check_all_"+project_id).parent().parent().parent().parent(".xli_"+project_id).html());
							if($("#check_all_"+project_id).parent().parent().parent(".xli_"+project_id).children().find(".check_all_task:checked").length==$("#check_all_"+project_id).parent().parent().parent(".xli_"+project_id).children().find(".check_all_task").length){
								$("#check_all_"+project_id).prop('checked', true);
							}
						} else {
							$(".check_single_task_"+$(this).val()).parent().parent().siblings("ul").find("input[type=checkbox]").each(function() {
								this.checked=false;
							});
							if($("#check_all_"+project_id).parent().parent().parent(".xli_"+project_id).children().find(".check_all_task:checked").length!=$("#check_all_"+project_id).parent().parent().parent(".xli_"+project_id).children().find(".check_all_task").length){
								$("#check_all_"+project_id).prop('checked', false);
							}
						}
					});
					if(is_show=='false'){
						getCountOfSelectedTask();
					}
				},1000);
				
			}
		});
	}
}
function getCountOfSelectedTask(){
	var l = $(".check_all_task:checked").length;
	var task_ids = $(".check_all_task:checked").map(function(){
      return $(this).val();
    }).get();
	$("#combo_task_ids").val(task_ids);
	if(l==0){
		l = "No";
	}
	$("#selected_task").text("[ "+l+" task(s) selected. ]");
	//$('#project_task_modal').modal('hide');
}
$("#cmdProjectsTasks").click(function(){
	getProjectsTasks("true","expense");
});
$("#cmd_assign_task").click(function(){
	getCountOfSelectedTask();
	$('#project_task_modal').modal('hide');
});
/*********************************************************/
function getSelectedProjectTasks(id,type){
	$("#selected_projects_tasks_div").html("");
	$.ajax({
		url: SITEURL+"aj/expenses/",
		method: "POST",
		data: {REQUEST: 'get_selected_projects_tasks_data',is_html:true,id1:id,type1:type},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$('#selected_projects_tasks_modal').modal('show');
				$("#selected_projects_tasks_div").html(response);
				//dataTableCreateCommon('table_team_members');
				var table = $('#table_selected_projects_tasks').DataTable( {
				  "info": false,
				  "paging":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				$('#table_selected_projects_tasks tfoot th.searc').each( function () {
						var title = $(this).text();
						$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				}); 
				// Apply the search
				table.columns().every( function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});  
				/**/
				$("#table_selected_projects_tasks_filter").hide();
			},1000);
		}
	});
}
</script>
</body>
</html>
