<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
$expense_flag = getvalue("cxs_licensed_products","expense_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
$projects_flag = getvalue("cxs_licensed_products","projects_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
if($expense_flag!="Y" || ($expense_flag=="Y" && $projects_flag=="Y")){
	header("location:".SITEURL."dashboard/");
	die;
}
//print_r($_SESSION['login_user_array']);die;
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Setup Expenditure Types</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Expense</li>
										<li class="breadcrumb-item active" aria-current="page">Setup Expenditure Types</li>
									</ol>
								</nav>
								<div class=" border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Setup Expenditure Types</h4>
										<div class="text-right">
											<!--<button type="button" class="btn btn-primary btn-sm" id = "btnIssueProject">Import</button>-->
											<?php
											if($_SESSION['login_user_array']['user_role']=='Admin'){
											?>
											<button class="btn btn-primary btn-icon" title="Add Setup Expenditure Type Entry" id = "cmdAddSetupExpTypes"><i class="fa fa-plus"></i> </button>
											<?php
											}
											?>
										</div>
									</div>
									
									<div class="table-responsive">
										<table class="table table-bordered" id="table_recent_exp">
											<thead>
												<tr class='table-info'>
													<th>Expenditure Type Name</th>
													<th>Category</th>
													<th>Amount Ceiling</th>
													<th>Description</th>
													<th>Enabled</th>
													<th width="9%">Action</th>
												</tr>
											</thead>
											<tfoot>
												<tr>
													<th class="searc">Expenditure Type Name</th>
													<th class="searc">Category</th>
													<th class="searc">Amount Ceiling</th>
													<th class="searc">Description</th>
													<th></th>
													<th></th>
												</tr>
											</tfoot>
											<tbody>
												<?php
												$qry = "SELECT * FROM `cxs_expenditure_types` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY exp_type_name ASC";
												$result = mysqli_query($conn,$qry);
												if(mysqli_num_rows($result)>0){
													while($row = mysqli_fetch_assoc($result)){
														$expenditure_id = $row['expenditure_id'];
														$exp_type_name 	= $row['exp_type_name'];
														$exp_category 	= $row['exp_category'];
														$amt_ceiling 	= "$".setNumberFormat($row['amt_ceiling']);
														$description 	= $row['description'];
														//$minimum_unit 	= $row['minimum_unit'];
														
														$enabled_flag 	= $row['enabled_flag'];
														
														$data_content_eye_icon = show_eye_icon_data("cxs_expenditure_types","expenditure_id",$expenditure_id);
													?>
													<tr>
														<td><?php echo $exp_type_name; ?></td>
														<td><?php echo $exp_category; ?></td>
														<td align="right"><?php echo $amt_ceiling; ?></td>
														<td><?php echo $description; ?></td>
														<td>
															<label class="toggle2 mt-2" style="display:block;" title="<?php echo ($enabled_flag=="Y")?"Enabled":"Disabled"; ?>">
																<span style="margin-left:5px;visibility:hidden;"><?php echo $enabled_flag; ?></span>
																<input type="checkbox" class="check_tgl" id ="chk_tgl" <?php echo ($enabled_flag=="Y")?"checked":""; ?>>
																<span class="sld_table round"></span>
															</label>
														</td>
														<td>
															<div class='text-center'>
																<?php
																if($_SESSION['login_user_array']['user_role']!='User'){
																?>
																	<button class='btn edit ml-0 mr-2 pl-0 pr-0' title='Edit Record' data-toggle='modal' data-target='#setup_exp_types_modal_save'><i class='fa fa-pencil' aria-hidden='true'></i></button>
																	<input name = "h_selected_id" type='hidden' value="<?php echo $expenditure_id; ?>">
																	<?php /*?><button class='btn delete_record ml-0 mr-2 pl-0 pr-0' title='Delete Record'><i class='fa fa-trash-o' aria-hidden='true'></i></button><?php */?>
																<?php } ?>
																<button type='button' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' > <i class=' fa fa-eye'></i> </button>
															</div>
														</td>
													</tr>
													<?php
													}
												}
												?>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="setup_exp_types_modal_save" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="setup_exp_types_modal_save_label">Setup Expenditure Types</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="setup_exp_types_form" method="post">
					<input type="hidden" id = "h_selectedid" name="h_selectedid" value="">
					<input type="hidden" id = "h_new_cat" name="h_new_cat" value="">
					<div class="row col-12">
						<div class="col-4 pt-4 pl-0 pr-0">Expenditure Type Name :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<input type="text" class="form-control" id="text_exp_type_name" name="text_exp_type_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Enter a unique Expenditure Type here.">
						</div>
						
						<div class="col-4 pt-4 pl-0 pr-0">Category :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<select class="form-control pt-3 pb-2" id="combo_exp_category" name="combo_exp_category" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Select an Expenditure Category from the drop-down box." onChange="check_custom_category(this.value);" style="width:100%;">
								<option value="">--Please Select--</option>
								<?php
								$selectQuery 	= "SELECT * FROM `cxs_expenditure_type_category` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY exp_type_category_name";		
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$StdNumRows 	= mysqli_num_rows($RunUserQuery);
								if($StdNumRows>0){
									while($rows=mysqli_fetch_assoc($RunUserQuery)){
									?>
									<option value="<?php echo $rows['exp_type_category_name']; ?>"><?php echo stripslashes($rows['exp_type_category_name']); ?></option>
									<?php
									}
								}
								?>
								<option value="Add Custom">--Add Custom--</option>
							</select>
						</div>
						
						<div class="col-4 pt-4 pl-0 pr-0">Amount Ceiling :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<input type="text" class="form-control currency-numeric" id="text_amt_ceiling" name="text_amt_ceiling" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Optionally enter a $ amount if the expenditure type is tied to direct spending.  This is the maximum $ amount allowed for this expenditure type." value="$">
						</div>
						
						<div class="col-4 pt-4 pl-0 pr-0">Description :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<input type="text" class="form-control" id="text_description" name="text_description" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Optionally enter more details here.">
						</div>
						
						<div class="col-4 pt-4 pl-0 pr-0">Enabled :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<label class="toggle" style="display:block;" title="Enabled">
								<input type="checkbox" class="check_tgl" id="check_enabled_flag" name="check_enabled_flag" value="1" checked>
								<span class="sld round"></span>
							</label>
						</div>
						<div class="col-12 pt-4 pl-0 pr-0 col-center not-valid-tip" id="div_msg"></div>
						
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary btn-icon"  id="cmd_setup_exp_types_modal_save" title="Save Record"><i class="fa fa-save"></i></button>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="setup_exp_types_modal_delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-body pt-0">
				<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
				<div class="swal-title">Are you sure?</div>
				<div class="swal-text">You won't be delete this record?</div>
				<input type="hidden" id="h_deleteid" value="">
			</div>
			<div class="swal-footer">
				<div class="swal-button-container">
					<button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalCancel">Cancel</button>
				</div>
				<div class="swal-button-container">
					<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalDelete">OK</button>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="custom_category_modal_save" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="setup_exp_types_modal_save_label">Add Expenditure Type Custom Category</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="custom_category_form" method="post">
					<div class="row col-12">
						<div class="col-4 pt-4 pl-0 pr-0">Expenditure Type Custom Category Name :</div>
						<div class="col-8 pt-4 pl-0 pr-0">
							<input type="text" class="form-control" id="text_exp_type_custom_category_name" name="text_exp_type_custom_category_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Enter a unique Custom Category Name.">
						</div>
						<div class="col-12 pt-4 pl-0 pr-0 col-center not-valid-tip" id="div_msg_custom_category"></div>
						
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary btn-icon"  id="cmd_custom_category_modal_save" title="Save Record"><i class="fa fa-save"></i></button>
			</div>
		</div>
	</div>
</div>

<?php require_once 'email_popup.php';?>
<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".check_tgl").change(function(){
		if(this.checked){
			$(this).parent().attr("title","Enabled");
		}else{
			$(this).parent().attr("title","Disabled");
		}
	});
	/**/
	$('#combo_exp_category').select2();
	//dataTableCreateCommonOrderOn("table_recent_exp");
	/**/
	var table = $('#table_recent_exp').DataTable( {
      /*"searching": false,*/
      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				'excel',
				'pdf',
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
    
         
	$('#table_recent_exp tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
	// Apply the search
	 table.columns().every(function (){
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
									.search( this.value )
									.draw();
			}
		});
	}); 
	var sortBy = 0;
	table.order([sortBy, 'asc'])
		.draw();
	
	/**/
	$("#table_recent_exp_filter").hide();
	/**********************/
	$('#text_amt_ceiling').on('blur focus', function() {
		var value = this.value.replace("$","");
		value = value.replace(/,/g, '');
		if(value!=""){
			this.value = "$"+parseFloat(value).toLocaleString('en-US', {
				style: 'decimal',
				maximumFractionDigits: 2,
				minimumFractionDigits: 2
			});
		}
	});
	/**********************/
	$(".currency-numeric").bind("keypress", function (e) {
		var keyCode = e.which ? e.which : e.keyCode;
		if (!((keyCode >= 48 && keyCode <= 57) || (keyCode==36) || (keyCode==190))) {
			return false;
		}
	});
	
});
var doughnutPieData = {
	datasets: [{
		data: [30, 40],
		backgroundColor: [
		'rgba(54, 162, 235, 0.5)',
		'rgba(255, 206, 86, 0.5)',
		'rgba(75, 192, 192, 0.5)',
		'rgba(153, 102, 255, 0.5)',
		'rgba(255, 159, 64, 0.5)',
		'rgba(255, 99, 132, 0.5)',
		
		],
		borderColor: [
			'rgba(54, 162, 235, 1)',
			'rgba(255, 206, 86, 1)',
			'rgba(75, 192, 192, 1)',
			'rgba(153, 102, 255, 1)',
			'rgba(255, 159, 64, 1)',
			'rgba(255,99,132,1)'
		],
}],

// These labels appear in the legend and in the tooltips when hovering different arcs
labels: [      
		'Blue',
		'Yellow',
	]
};

var doughnutPieOptions = {
	responsive: true,
	animation: {
		animateScale: true,
		animateRotate: true
	}
};

if ($("#pieChart_expense_payperiod_project1").length) 
{
	var pieChartCanvas = $("#pieChart_expense_payperiod_project1").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
		type: 'pie',
		data: doughnutPieData,
		options: doughnutPieOptions
	});
}

if ($("#pieChart_expense_project_project1").length) 
{
	var pieChartCanvas = $("#pieChart_expense_project_project1").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
		type: 'pie',
		data: doughnutPieData,
		options: doughnutPieOptions
	});
}

if ($("#pieChart_expense_teammember_project1").length) 
{
	var pieChartCanvas = $("#pieChart_expense_teammember_project1").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
		type: 'pie',
		data: doughnutPieData,
		options: doughnutPieOptions
	});
}

if ($("#pieChart_expense_teammember_project2").length) 
{
	var pieChartCanvas = $("#pieChart_expense_teammember_project2").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
		type: 'pie',
		data: doughnutPieData,
		options: doughnutPieOptions
	});
}

if ($("#pieChart_expense_teammember_project3").length) 
{
	var pieChartCanvas = $("#pieChart_expense_teammember_project3").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
		type: 'pie',
		data: doughnutPieData,
		options: doughnutPieOptions
	});
}

if ($("#pieChart_expense_teammember_project4").length) 
{
	var pieChartCanvas = $("#pieChart_expense_teammember_project4").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
		type: 'pie',
		data: doughnutPieData,
		options: doughnutPieOptions
	});
}

</script>
<script>
$(document).ready(function(){
	$('#cmdAddSetupExpTypes').click(function(){
		$("#setup_exp_types_form")[0].reset();
		form_element_correct($("input"));
		form_element_correct($("select"));
		$("#div_msg").text("");
		$('#setup_exp_types_modal_save').modal('show');
	});
	/********************/
	$("#cmd_setup_exp_types_modal_save").click(function (){
		save_exp_types_data();
	});
});
function save_exp_types_data(){
	disableButton("#cmd_setup_exp_types_modal_save");
	var flag = true;
	form_element_correct($("#text_exp_type_name"));
	form_element_correct($("#combo_exp_category"));
	form_element_correct($("#text_amt_ceiling"));
	form_element_correct($("#text_description"));
	
	$("#div_msg").text("");
	
	if($("#text_exp_type_name").val()==""){
		form_element_empty_err($("#text_exp_type_name"));               
		flag = false;
	}
	if($("#combo_exp_category").val()==""){
		form_element_empty_err($("#combo_exp_category"));               
		flag = false;
	}
	if($("#text_amt_ceiling").val()==""){
		form_element_empty_err($("#text_amt_ceiling"));               
		flag = false;
	}
	if($("#text_description").val()==""){
		form_element_empty_err($("#text_description"));               
		flag = false;
	}
	
	if(flag==false){
		disableButton("#cmd_setup_exp_types_modal_save");
	}

	var formdata = $('#setup_exp_types_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			cache: false,
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_setup_exp_types_data',form1: formdata},
			success: function (response){
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					disableButton("#cmd_setup_exp_types_modal_save");
					if(response.succ==0){
						$("#div_msg").text(response.msg);
					}else{
						window.location.href=""; 
						$('#setup_exp_types_modal_save').modal('hide');
					}  
				},1000);  
			}
		});
	}
}

/********************/

$('.edit').click(function(){
	form_element_correct($("input"));
	form_element_correct($("select"));
	$("#div_msg").text("");
	var selected_id = $(this).next().val();    
	$("#h_selectedid").val(selected_id);
	$("#setup_exp_types_modal_save_label").text("Update Setup Expenditure Types");
	
	$.ajax({
		url: SITEURL+"aj/expenses/",
		method: "POST",
		cache: false,
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		data: {REQUEST: 'get_setup_exp_types_data', expenditure_id: $("#h_selectedid").val()},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				if(response.succ==1){
					$("#text_exp_type_name").val(response.data_arr['exp_type_name']);
					$("#combo_exp_category").select2("destroy");
					$("#combo_exp_category").val(response.data_arr['exp_category']);
					$("#combo_exp_category").select2();
					$("#text_amt_ceiling").val("$"+parseFloat(response.data_arr['amt_ceiling']).toLocaleString('en-US', { style: 'decimal', maximumFractionDigits: 2, minimumFractionDigits: 2 }));
					$("#text_description").val(response.data_arr['description']);
					//$("#text_minimum_unit").val(response.data_arr['minimum_unit']);
					//$("#combo_uom").val(response.data_arr['uom']);
					$("#check_enabled_flag").prop("checked",response.data_arr['enabled_flag']=="Y"?true:false);
					$('#setup_exp_types_modal_save').modal('show');
				}
			},1000);
		}
	});     
});

/***********************/

$('.delete_record').click(function(){
	var selected_id = $(this).prev().val();    
	$("#h_deleteid").val(selected_id);
	 $('#setup_exp_types_modal_delete').modal('show');
	
});
$('#cmdModalCancel').click(function(){
	$("#h_deleteid").val('');
	$("#setup_exp_types_modal_delete").modal("hide");
});
$('#cmdModalDelete').click(function(){
	$.ajax({
		url: SITEURL+"aj/expenses/",
		method: "POST",
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		data: {REQUEST: 'delete_setup_exp_types_data', expenditure_id: $("#h_deleteid").val()},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				if(response.succ==1){
					location.reload(); 
				}
			},1000);
		}
	});
});

/**********************/

$('#cmdEmail').click(function(){
	var thehtml = sendemail(3);            
	if(thehtml!='')
	{
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'data_table_email', recipients: $("#text_recepient").val(),subject_title:"Setup Expenditure Types List",html_data:thehtml},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==1)
					{
						$("#modal_email").modal("hide");
					}
				},1000);
			}
		});
	}
});
/***********************/
</script>
<script>
function check_custom_category(cat){
	if(cat=="Add Custom"){
		$("#custom_category_form")[0].reset();
		form_element_correct($("input"));
		$("#div_msg_custom_category").text("");
		$('#custom_category_modal_save').modal('show');
	}
}
$("#cmd_custom_category_modal_save").click(function (){
	disableButton("#cmd_custom_category_modal_save");
	var flag = true;
	form_element_correct($("#text_exp_type_custom_category_name"));
	
	$("#div_msg_custom_category").text("");
	
	if($("#text_exp_type_custom_category_name").val()==""){
		form_element_empty_err($("#text_exp_type_custom_category_name"));               
		flag = false;
	}

	if(flag==false){
		disableButton("#cmd_custom_category_modal_save");
	}
	
	var formdata = $('#custom_category_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			cache: false,
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'check_custom_category_data',form1: formdata},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					disableButton("#cmd_custom_category_modal_save");
					if(response.succ==0){
						$("#div_msg_custom_category").text(response.msg);
					}else{
						var exp_type_custom_category_name = $("#text_exp_type_custom_category_name").val();
						$('<option value="'+exp_type_custom_category_name+'">'+exp_type_custom_category_name+'</option>').insertBefore('#combo_exp_category > option:last');
						$("#h_new_cat").val("1");
						$("#combo_exp_category").val(exp_type_custom_category_name);
						$('#custom_category_modal_save').modal('hide');
						
					}
				},1000);
			}
		});
	}
});

/**************************************************************/

function check_custom_uom(uom){
	if(uom=="Add Custom"){
		$("#custom_uom_form")[0].reset();
		form_element_correct($("input"));
		$("#div_msg_custom_uom").text("");
		$('#custom_uom_modal_save').modal('show');
	}
}
$("#cmd_custom_uom_modal_save").click(function (){
	disableButton("#cmd_custom_uom_modal_save");
	var flag = true;
	form_element_correct($("#text_exp_type_custom_uom_name"));
	
	$("#div_msg_custom_uom").text("");
	
	if($("#text_exp_type_custom_uom_name").val()==""){
		form_element_empty_err($("#text_exp_type_custom_uom_name"));               
		flag = false;
	}

	if(flag==false){
		disableButton("#cmd_custom_uom_modal_save");
	}
	
	var formdata = $('#custom_uom_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/expenses/",
			method: "POST",
			cache: false,
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'check_custom_uom_data',form1: formdata},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					disableButton("#cmd_custom_uom_modal_save");
					if(response.succ==0){
						$("#div_msg_custom_uom").text(response.msg);
					}else{
						var exp_type_custom_uom_name = $("#text_exp_type_custom_uom_name").val();
						$('<option value="'+exp_type_custom_uom_name+'">'+exp_type_custom_uom_name+'</option>').insertBefore('#combo_uom > option:last');
						$("#h_new_uom").val("1");
						$("#combo_uom").val(exp_type_custom_uom_name);
						$('#custom_uom_modal_save').modal('hide');
						
					}
				},1000);
			}
		});
	}
});
</script>
</body>
</html>
