<?php
require_once "conn.php";
require_once "functions.php";
$password_validation = "Minimum 8 Characters. <br>At least 1 uppercase letter.<br>At least 1 lowercase letter.<br>At least 1 numeric value.<br>At least 1 special character.";
if(!isset($_REQUEST["user_id"]) || $_REQUEST["user_id"]==""){
  header("location:".SITEURL);
}
$user_id = trim($_REQUEST["user_id"]);
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Forget Password</title>
  <!-- base:css -->
  <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
  <link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
  <link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="<?php echo SITEURL; ?>images/shortcut icon.png" />
  <style>
    #forgot-or {
    font-weight: bold;
    width: 100%;
    text-align: center;
    border-bottom: 1px solid #ccc;
    line-height: 2px;
    margin: 20px 0;
  }
  </style>
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-stretch auth auth-img-bg bg-white ">
        <div class="row flex-grow">
          <div class="col-lg-6 d-flex align-items-center justify-content-center col-center">
            <div class="auth-form-transparent text-left p-3">
              <div class="brand-logo">
                <a href="index.php"><img src="<?php echo SITEURL; ?>images/main_logo.png" alt="logo" style="height: 70px;width: 70px;"></a>
              </div>

              <div id="div1">
                <h4 class="font-weight-light text-center"><b>Reset Password </b></h4>
                <form id="forgor_password_form" class="pt-3" method="POST">
                  <input type="hidden" id="str" name="str" value="<?php echo $user_id; ?>">
                  <div class="form-group" id="div_password">
                    <label>New Password</label>
                    <div class="input-group">
                      <div class="input-group-prepend bg-transparent">
                        <span class="input-group-text bg-transparent border-right-0 blue-border">
                          <i class="typcn typcn-lock-closed-outline text-primary"></i>
                        </span>
                      </div>
                      <input type="password" id="text_password" name="text_password" class="form-control form-control-lg border-left-0 blue-border" placeholder="Password" data-toggle="popover" data-trigger="focus" data-html="true" title="Password Validations" data-content="<?php echo $password_validation; ?>">
                    </div>
                  </div>

                  <div class="form-group" id="div_password">
                    <label>Re-enter Password</label>
                    <div class="input-group">
                      <div class="input-group-prepend bg-transparent">
                        <span class="input-group-text bg-transparent border-right-0 blue-border">
                          <i class="typcn typcn-lock-closed-outline text-primary"></i>
                        </span>
                      </div>
                      <input type="password" id="text_retype_password" name="text_retype_password" class="form-control form-control-lg border-left-0 blue-border" placeholder="Password" data-toggle="popover" data-trigger="focus" data-html="true" title="Password Validations" data-content="<?php echo $password_validation; ?>">
                    </div>
                  </div>


                  <div class="my-2 d-flex justify-content-between align-items-center">
                    <div class="form-check">
                      <!--<label class="form-check-label text-muted">
                              <input type="checkbox" class="form-check-input">
                              Keep me signed in
                              <i class="input-helper"></i>
                            </label>-->
                    </div>

                  </div>

                  <div class="my-3">
                    <button type="button" class="btn btn-primary btn-block btn-lg font-weight-medium auth-form-btn" id="cmdSend">
                      OK
                    </button>
                  </div>

                  <div class="text-right mt-4 font-weight-light">

                  </div>
                </form>
              </div>


            </div>
          </div>

        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- base:js -->
  <div class="rploader"><img src="<?php echo SITEURL; ?>images/89.gif" alt=""></div>
  <script>
    var SITEURL = '<?php echo SITEURL; ?>';
    var page_link_arr = "";
  </script>
  <script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
  <script src="<?php echo SITEURL; ?>js/custom.js"></script>
  <!-- endinject -->

  <!-- endinject -->
  <script>
  $("#cmdSend").click(function() {
    var flag = true;
    form_element_correct($("#text_team_name"));
	
    if($("#text_password").val()==""){
      form_element_empty_err($("#text_password"));               
      flag = false;
    }
    if($("#text_retype_password").val()==""){
      form_element_empty_err($("#text_retype_password"));               
      flag = false;
    }
    if($("#text_password").val()!=$("#text_retype_password").val()){
      alert("Retyped password should be same as New Password.");
      form_element_empty_err($("#text_retype_password"));               
      flag = false;
    }
    var formdata 		= $('#forgor_password_form').serialize(); 
    if(flag==true){
      $.ajax({
        url: SITEURL + "aj/login-otp/",
        method: "POST",
        data: {
          REQUEST: 'forget_password_step2',form1: formdata
        },
        beforeSend: function() {
          $(".rploader").fadeIn(800);
        },
        success: function(response) {
          setTimeout(function(){
            $(".rploader").fadeOut(800);
            if(response.succ==1)
            {
                alert(response.msg);
                window.location.href= '<?php echo SITEURL; ?>';
            }
            else
            {
                $("#cmdSend").addClass('error_ele');
                $("#cmdSend").after('<span role="alert" class="not-valid-tip">'+response.msg+'</span>');
            }
          },1500);
        }
      });
    }
  });
  </script>
</body>

</html>