<div id="report_project_and_task_status_div" class="border pt-3 pb-3 pl-3 pr-3">
	<div class="d-flex flex-wrap justify-content-between pb-3">
		<h4 class="card-title mb-3">Project & Task Status Report <i class="fa fa-info-circle ml-3" style="cursor:pointer;" title="Run this report to get summary status of Project and Task.  You can run this report to get high level picture on how your projects are preforming in terms of schedule and costs as of today."></i></h4>
	</div>
	<div class="row">
		<div class="col-md-12">
			<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
				<input type="hidden" id="h_user_plan" name="h_user_plan" value="<?php echo $_SESSION['login_user_array']['user_plan']; ?>" />
				<div class="row">
					<div class="col-md-6">
						<div class="form-group <?php echo (isset($_REQUEST['project_id']) && $_REQUEST['project_id']!="")?"d-none":""; ?>">
							<label>Project</label>
							<select class="js-example-basic-single form-control" name="combo_project_id" id="combo_project_id" style="width:100%;" >
								<option value="">All</option>
								<?php
								$first_project_id = "";
								$where_project = "";
								if($user_role=="User"){
									$where_project = "
										AND
										(
											project_id 
												IN 
												(
													SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
												)
										)
									";
								}else if($user_role=="Manager"){
									$where_project = "
										AND
										(
											project_id 
												IN 
												(
													SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
												)
										)
									";
								}
								$selectQuery 	= "
									SELECT 
										*
									FROM 
										`cxs_projects` 
									WHERE 
										company_id='".$_SESSION['login_user_array']['company_id']."' 
										$where_project
									ORDER BY 
										project_number
								";
								$selectQuery_filter = $selectQuery;
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$StdNumRows 	= mysqli_num_rows($RunUserQuery);
								$counter = 0;
								if($StdNumRows>0){
									while($rows=mysqli_fetch_assoc($RunUserQuery)){
										$counter++;
										if($counter==1){
											$first_project_id = $rows['project_id'];
										}
										$project_id		= $rows['project_id'];
										$project_number	= $rows['project_number'];
										$project_name	= $rows['project_name'];
									?>
									<option value="<?php echo $project_id; ?>"><?php echo $project_number." : ".$project_name; ?></option>
									<?php
									}
								}
								?>
							</select>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-2">
						<div class="form-group">
							<div class="form-check">
								<label class="form-check-label">
								<input type="checkbox" class="form-check-input check_all" name="check_task_level" id="check_task_level" value="1">
								Task Level<i class="input-helper"></i>
								</label>
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div class="form-group">
							<div class="form-check">
								<label class="form-check-label">
								<input type="checkbox" class="form-check-input check_all" name="check_include_costs" id="check_include_costs" value="1" checked="checked">
								Include Costs<i class="input-helper"></i>
								</label>
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div class="form-group">
							<div class="form-check">
								<label class="form-check-label">
								<input type="checkbox" class="form-check-input check_all" name="check_red_flag_tasks" id="check_red_flag_tasks" value="1">
								Red Flag Tasks<i class="input-helper"></i>
								</label>
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div class="form-group">
							<div class="form-check">
								<label class="form-check-label">
								<input type="checkbox" class="form-check-input check_all" name="check_yellow_flag_tasks" id="check_yellow_flag_tasks" value="1">
								Yellow Flag Tasks<i class="input-helper"></i>
								</label>
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div class="form-group">
							<div class="form-check">
								<label class="form-check-label">
								<input type="checkbox" class="form-check-input check_all" name="check_green_flag_tasks" id="check_green_flag_tasks" value="1">
								Green Flag Tasks<i class="input-helper"></i>
								</label>
							</div>
						</div>
					</div>
					
					<div class="col-md-2">
						<div class="form-group">
							<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large">Go</button>
						</div>
					</div>
				</div>
				
			</form>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<h4 id="project_lbl" class="card-title mb-2"></h4>
		</div>
	</div>
	<div class="d-flex justify-content-between">
		<div id="exp_col_div">
			<a href="javascript:void(0);" class="btn btn-sm btn-primary exp-col-btn" style="display:none;"><i class="fa fa-plus-square"></i> Expand All</a>
		</div>
		<div id="excel_btn_report_project_and_task_status" class="text-right mb-2"></div>
	</div>
	<div class="loading-div" style="display:none;">
		<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
	</div>
	<div id="results_report_project_and_task_status" class="" style="max-width:100%;"></div>
</div>