<?php
require_once "conn.php";
require_once "functions.php";

$password_validation = "Minimum 8 Characters. <br>At least 1 uppercase letter.<br>At least 1 lowercase letter.<br>At least 1 numeric value.<br>At least 1 special character.";

if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!="" && !isset($_SESSION['hostedpage_id'])){
	$hostedpage_id = $_REQUEST['hostedpage_id'];
	updateCardDetail($hostedpage_id);
}
if(isset($_SESSION['company_account_status'])){
	unset($_SESSION['company_account_status']);
}
if(isset($_SESSION['subid'])){
	unset($_SESSION['subid']);
}
if(isset($_SESSION['temp_user_id'])){
	unset($_SESSION['temp_user_id']);
}
if(isset($_SESSION['access_token']) && $_SESSION['access_token']!=""){
	unset($_SESSION['access_token']);
}
if(isset($_SESSION['temp_user_email'])){
	unset($_SESSION['temp_user_email']);
}
$login_message = "";                               
if (isset($_SESSION['loggin_user_msg']))
{
	if($_SESSION['loggin_user_msg']=='New Google User')
	{
		 $login_message = $_SESSION['loggin_user_msg'];                             
	}
	else
	{

	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Login</title>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css?s=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/zoho-pricing-table.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
</head>
<body>
<script>
	var SITEURL = "<?php echo SITEURL; ?>";
	var page_link_arr = "";
</script>
<div class="rploader"><img src="<?php echo SITEURL; ?>images/89.gif" alt=""></div>
<div class="container-scroller dashboard-page">
	<div class="container-fluid page-body-wrapper full-page-wrapper">
		<div class="content-wrapper d-flex align-items-stretch auth auth-img-bg">
			<div class="row flex-grow" id="div_signin">
				<div class="col-md-6 d-flex align-items-center justify-content-center">
					<div class="auth-form-transparent text-left p-3">
						<div class="mb-4"> <img src="<?php echo SITEURL; ?>images/main_logo.png" alt=""> </div>
						<h4>Already have an Account? Login Here</h4>
						<form class="pt-3">
							<div class="form-group">
								<label for="exampleInputEmail">Email Address (This will be your username)<code>*</code></label>
								<div class="input-group">
									<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="fa fa-envelope text-primary"></i> </span> </div>
									<input type="text" class="form-control form-control-lg border-left-0 blue-border" id="text_username" name="text_username" placeholder="Email Address" value="<?php if(isset($_COOKIE["cookie_username"])) { echo $_COOKIE["cookie_username"]; } else { echo ''; } ?>" autofocus >
									<div class="input-group"><span class="not-valid-tip" id="msg_username"></span></div>
								</div>
							</div>
							
							<div class="form-group">
								<label for="text_password_signin">Password<code>*</code></label>
								<div class="input-group">
									<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="fa fa-lock text-primary"></i> </span> </div>
									<input type="password" class="form-control form-control-lg border-left-0 blue-border" id="text_password_signin" name="text_password_signin" value="<?php if(isset($_COOKIE["cookie_password"])) { echo $_COOKIE["cookie_password"]; } else { echo "";} ?>" placeholder="Enter Password">
									<div class="input-group-append">
										<button class="btn btn-sm btn-primary font-weight-bold  border-left-0 blue-border show-pass-cls" type="button">
											<i class="fa fa-eye"></i>
										</button>
									</div>
									<div class="input-group"><span class="not-valid-tip" id="msg_password"></span></div>
								</div>
							</div>
							
							<div class="my-2 d-flex justify-content-between align-items-center">
								<div class="form-check">
									<label class="form-check-label text-black-50">
									<input type="checkbox" class="form-check-input" id="check-keep-me" name="check-keep-me" <?php if(isset($_COOKIE["cookie_username"])) { ?> checked <?php } ?>>
									Keep me signed in <i class="input-helper"></i> </label>
								</div>
								<a href="<?php echo SITEURL."reset-password/"; ?>" class="auth-link text-black">Sign In Help</a> </div>
							<div class="mb-2 d-flex" id="div_signin2">
								<button type="button" class="btn btn-primary font-weight-bold auth-form-btn flex-grow mr-1 cmdLogin" id="cmdLogin2">Sign In &nbsp;</button>
							</div>
							
						</form>
					</div>
				</div>
				<div class="col-lg-6 login-half-bg d-flex flex-row">
					<div class="text-white font-weight-medium text-center flex-grow align-self-center">
						<div class="row">
							<div class="col-md-12">
								<h4 class="text-black">Don't have an account?</h4>
								<a href="javascript:void(0);" class="btn btn-ylw font-weight-bold auth-form-btn flex-grow mr-1 lblSignup">Sign up here</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row flex-grow" style="display:none" id="div_OTP">
				<div class="col-md-6 d-flex align-items-center justify-content-center">
					<div class="auth-form-transparent text-left p-3">
						<div class="mb-4"> <img src="<?php echo SITEURL; ?>images/main_logo.png" alt=""> </div>
						<h4>One time Password (OTP) has been emailed to your email ID.  Please enter the OTP here.</h4>
						<form class="pt-3" >
							
							<div class="form-group">
								<label for="text_otp">OTP<code>*</code></label>
								<div class="input-group">
									<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="fa fa-lock text-primary"></i> </span> </div>
									<input type="password" class="form-control form-control-lg border-left-0 blue-border" id="text_otp" name="text_otp" value="" placeholder="Enter OTP">
									<div class="input-group-append">
										<button class="btn btn-sm btn-primary font-weight-bold  border-left-0 blue-border show-pass-cls" type="button">
											<i class="fa fa-eye"></i>
										</button>
									</div>
									<div class="input-group"><span class="not-valid-tip" id="msg_otp"></span></div>
								</div>
							</div>
							
							<div class="form-check">
								<label class="form-check-label text-black-50">
								<input type="checkbox" class="form-check-input " id="check_no_remind" name="check_no_remind" value="1">
								Do not remind me for next 45 days <i class="input-helper"></i> </label>
							</div>
							<div class="mb-2 d-flex">
								<button type="button" class="btn btn-primary font-weight-bold auth-form-btn flex-grow mr-1 " id="cmdOTPOk">OK &nbsp;</button>
								<button type="button" class="btn btn-gray font-weight-bold auth-form-btn flex-grow ml-1" id="cmdOTPCancel">Cancel</button>
							</div>
						</form>
					</div>
				</div>
				<div class="col-lg-6 login-half-bg d-flex flex-row">
					<div class="text-white font-weight-medium text-center flex-grow align-self-center">
						<div class="row">
							<div class="col-md-12">
								<h4>Don't have an account?</h4>
								<a href="javascript:void(0);" class="btn btn-ylw font-weight-bold auth-form-btn flex-grow mr-1 lblSignup">Sign up here</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row flex-grow" style="display:none" id="div_inactive">
				<div class="col-md-6 d-flex align-items-center justify-content-center">
					<div class="auth-form-transparent text-left p-3">
						<div class="row">
							<div class="col-md-12">
								<div class="mb-4"> <img src="<?php echo SITEURL; ?>images/main_logo.png" alt=""> </div>
							</div>
							<div class="col-md-4">
								<svg class="checkmark_error" style="float:left !important;" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52">
								  <circle class="checkmark__circle__error" cx="26" cy="26" r="25" fill="none"/>
								  <path class="checkmark__check" fill="none" d="M14.1 14.1l23.8 23.8 m0,-23.8 l-23.8,23.8"/>
								</svg>
							</div>
							<div class="col-md-8 error-page-divider  text-left">
								<h2 class="text-black">Something is not right!</h2>
								<h4 class="font-weight-light text-black" id="inactive_msg"></h4>
								<h4 class="font-weight-light text-black mt-3">Please contact <a href="mailto:service@coexsys.com" class="common-edit-link">service@coexsys.com</a> or Call at <a href="tel:1-800-COEXSYS" class="common-edit-link">1-800-COEXSYS</a>.</h4>
								
							</div>
							<div class="col-md-12 text-center mt-5"> 
								<a class="btn btn-primary font-weight-bold" href="javascript:void(0);" id="lblLogin2">Back to Login</a> 
							</div>
						</div>
					</div>
				</div>
				<div class="col-lg-6 login-half-bg d-flex flex-row">
					<div class="text-white font-weight-medium text-center flex-grow align-self-center">
						<div class="row">
							<div class="col-md-12">
								<h4>Don't have an account?</h4>
								<a href="javascript:void(0);" class="btn btn-ylw font-weight-bold auth-form-btn flex-grow mr-1 lblSignup">Sign up here</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row flex-grow" style="display:none" id="div_freset_pass">
				<div class="col-md-6 d-flex align-items-center justify-content-center">
					<div class="auth-form-transparent text-left p-3">
						<div class="mb-4"> <img src="<?php echo SITEURL; ?>images/main_logo.png" alt=""> </div>
						<h4>Reset Password</h4>
						<form class="pt-3">
							
							<?php /*?><div class="form-group" id="div_password_reset">
								<label for="text_password_reset">Password<code>*</code></label>
								<div class="input-group">
									<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="typcn typcn-lock-closed-outline text-primary"></i> </span> </div>
									<input type="password" class="form-control form-control-lg border-left-0 blue-border" id="text_password_reset" name="text_password_reset" value="" placeholder="Password">
									<div class="input-group"><span class="not-valid-tip" id="msg_password_reset"></span></div>
								</div>
							</div><?php */?>
							
							<div class="form-group">
								<label for="text_password_reset">Password<code>*</code></label>
								<div class="input-group">
									<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="fa fa-lock text-primary"></i> </span> </div>
									<input type="password" class="form-control form-control-lg border-left-0 blue-border" id="text_password_reset" name="text_password_reset" value="" placeholder="Enter Password">
									<div class="input-group-append">
										<button class="btn btn-sm btn-primary font-weight-bold  border-left-0 blue-border show-pass-cls" type="button">
											<i class="fa fa-eye"></i>
										</button>
									</div>
									<div class="input-group"><span class="not-valid-tip" id="msg_password_reset"></span></div>
								</div>
							</div>
							
							<?php /*?><div class="form-group" id="div_cpassword_reset">
								<label for="text_cpassword_reset">Confirm Password<code>*</code></label>
								<div class="input-group">
									<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="typcn typcn-lock-closed-outline text-primary"></i> </span> </div>
									<input type="password" class="form-control form-control-lg border-left-0 blue-border" id="text_cpassword_reset" name="text_cpassword_reset" value="" placeholder="Password">
								</div>
							</div>
							<div class="mb-2 d-flex">
								<button type="button" class="btn btn-primary auth-form-btn flex-grow mr-1" id="btn_reset_password">Submit</button>
							</div><?php */?>
							
							<div class="form-group">
								<label for="text_cpassword_reset">Confirm Password<code>*</code></label>
								<div class="input-group">
									<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="fa fa-lock text-primary"></i> </span> </div>
									<input type="password" class="form-control form-control-lg border-left-0 blue-border" id="text_cpassword_reset" name="text_cpassword_reset" value="" placeholder="Enter Confirm Password">
									<div class="input-group-append">
										<button class="btn btn-sm btn-primary font-weight-bold  border-left-0 blue-border show-pass-cls" type="button">
											<i class="fa fa-eye"></i>
										</button>
									</div>
								</div>
							</div>
							
							<div class="mb-2 d-flex">
								<button type="button" class="btn btn-primary font-weight-bold auth-form-btn flex-grow mr-1" id="btn_reset_password">Submit</button>
							</div>
							
						</form>
					</div>
				</div>
				<div class="col-lg-6 login-half-bg d-flex flex-row">
					<div class="text-white font-weight-medium text-center flex-grow align-self-center">
						<div class="row">
							<div class="col-md-12">
								<h4>Don't have an account?</h4>
								<a href="javascript:void(0);" class="btn btn-ylw font-weight-bold auth-form-btn flex-grow mr-1 lblSignup">Sign up here</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			
			<div class="row flex-grow" style="display:none" id="div_plans">
				<div class="col-md-12 d-flex align-items-center justify-content-center">
					<div class="auth-form-transparent p-3">
						<div class="mb-4"> <img src="<?php echo SITEURL; ?>images/main_logo.png" alt=""> </div>
						
						<div class="row">
							<div class="col-md-12 choose-plan-main text-center">
								<h4>Choose your plan</h4>
								<ul class="nav nav-pills nav-pills-success position-relative" id="pills-tab" role="tablist">
									<li class="nav-item">
										<a class="nav-link active" id="plan_type1_tab" data-toggle="pill" href="#plan_type1" role="tab" aria-controls="pills-home" aria-selected="true" style="padding: .5rem 2.65rem;">Enterprise</a>
									</li>
									<li class="nav-item">
										<a class="nav-link" id="plan_type2_tab" data-toggle="pill" href="#plan_type2" role="tab" aria-controls="pills-profile" aria-selected="false">Self Employed</a>
									</li>
								</ul>
							</div>
						</div>
						<div class="tab-content" id="pills-tabContent">
							<div class="tab-pane fade active show" id="plan_type1" role="tabpanel" aria-labelledby="plan_type1_tab">
								 <div id="enterprise_plans"></div>
							</div>
							<div class="tab-pane fade" id="plan_type2" role="tabpanel" aria-labelledby="plan_type2_tab">
								 <div id="self_employed_plans"></div>  
							</div>
						</div>
					</div>
				</div>
			</div>
			
		</div>
		<!-- content-wrapper ends -->
	</div>
	<!-- page-body-wrapper ends -->
</div> 
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="signup_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-sm2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Enter Subscription Details</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body">
				<div class="row auth">
					<div class="col-md-12 d-flex align-items-center justify-content-center">
						<div class="auth-form-transparent" style="width: 100%;">
							<form id="form1">
								<input type="hidden" id="h_loggin_user_msg" name="h_loggin_user_msg" value="<?php echo $login_message;?>">
								<input type="hidden" id="h_loggin_new_user" name="h_loggin_new_user" value="<?php echo isset($_SESSION['new_user_info'])?$_SESSION['new_user_info']['email']:'';?>">
								<input type="hidden" id="h_plan_type" name="h_plan_type" value="">
								<input type="hidden" id="h_plan_code" name="h_plan_code" value="">
								
								<div class="form-group" id="div_plan_url"></div>
								<div class="form-group" id="div_email">
									<label>Email<code>*</code></label>
									<div class="input-group">
										<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="fa fa-envelope text-primary"></i> </span> </div>
										<input type="email" id = "text_email" name = "text_email" class="form-control form-control-lg border-left-0 blue-border" placeholder="Email" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Email" data-original-title="" autocomplete="off" >
									</div>
								</div>
								<div class="form-group" id="div_company_name">
									<label>Company Name<code>*</code></label>
									<div class="input-group">
										<div class="input-group-prepend bg-transparent"> <span class="input-group-text bg-transparent border-right-0 blue-border"> <i class="fa fa-briefcase text-primary"></i> </span> </div>
										<input type="text" id = "text_company_name" name = "text_company_name" class="form-control form-control-lg border-left-0 blue-border" placeholder="Company Name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Company Name" data-original-title="" autocomplete="off" >
									</div>
								</div>
								<div class="form-check" id="div_agree">
									<label class="form-check-label text-black-50">
									<input type="checkbox" class="form-check-input " id="chkAgree">
									<i class="input-helper" id="chkAgree1"></i> 
									I agree to <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
									</label>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<div class="d-flex justify-content-between" style="width: 100%;">
					<button type="button" class="btn btn-gray font-weight-bold" data-dismiss="modal">Cancel</button>
					<button type="button" class="btn btn-ylw font-weight-bold" id="cmdNext1">Activate 14 days trial</button>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="top_upgrade_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-3" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Upgrade Plan</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body" id="top_upgrade_modal_body"></div>
		</div>
	</div>
</div>

<div class="modal fade" id="buy_new_license_modal" tabindex="-1" role="dialog" aria-hidden="true" style="overflow-y:scroll;">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Buy New Licenses</h5>
				<button type="button" class="close lic-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4" id="buy_new_lincese_home_body">
				
			</div>
		</div>
	</div>
</div>
<div class="modal fade modal-scrollx" id="plan_confirm_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="plan_confirm_title"></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body" id="top_plan_confirm_modal_body"></div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" onClick="window.location.href='<?php echo SITEURL."account/licenses/"; ?>'">Close</button>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>vendors/timezone/jstz.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/timezone/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/timezone/moment-timezone.min.js"></script>
<!-- endinject -->
<script>
$(document).ready(function() {
	$("#div2").hide();
	$("#div3").hide();
	$("#div_signup_heading").hide();
   	$("#div_OTP").hide();
	$("#div_inactive").hide();
	<?php if(isset($_REQUEST['bnl']) && $_REQUEST['bnl']=="true"){ ?>
	//buy_license_new_home();
	<?php } ?>
});

$(".lblSignup").click(function(){
	
	/**********************************/
	if($("#enterprise_plans").html()==""){
		$.ajax({
			url: "<?php echo SITEURL; ?>aj/common/",
			method: "POST",
			data: {REQUEST: 'get_enterprise_plans',is_html:true},
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{
				setTimeout(function(){
					$("#enterprise_plans").html(response);
					$(".rploader").fadeOut(500);
					$("#div_signin").hide();
					$("#div_freset_pass").hide();
					$("#div_inactive").hide();
					$("#div_OTP").hide();
					$("#div_plans").fadeIn(500);
					showPlan();
				},1000);
				
			}
		});
	}else{
		$("#div_signin").hide();
		$("#div_freset_pass").hide();
		$("#div_inactive").hide();
		$("#div_OTP").hide();
		$("#div_plans").fadeIn(500);
	}	
	/*******************/
	if($("#self_employed_plans").html()==""){
		$.ajax({
			url: "<?php echo SITEURL; ?>aj/common/",
			method: "POST",
			data: {REQUEST: 'get_self_employed_plans',is_html:true},
			success: function (response)
			{
				setTimeout(function(){
					$("#self_employed_plans").html(response);
					showPlan();
				},1000);
				
			}
		});
	}
	/*******************/
});

function showPlan(){
	var imgDefer = document.getElementsByTagName('img');
		for (var i=0; i<imgDefer.length; i++) {
			if(imgDefer[i].getAttribute('data-src')) {
				imgDefer[i].setAttribute('src',imgDefer[i].getAttribute('data-src'));
			} 
		} 
	
	$("#plan_type1_tab").click(function(){
		if($('#plan_type2_tab').hasClass("active")){
			$('#enterprise_plans .btn_plan').first().click();
		}
	});
	$("#plan_type2_tab").click(function(){
		if($('#plan_type1_tab').hasClass("active")){
			$('#self_employed_plans .btn_plan').first().click();
		}
	});
	$(".btn_plan").click(function(){
		$($(this).data("ot_div")).fadeOut(400);
		$("#div_"+$(this).data("plan_type")).fadeIn(500);
		$(".btn_plan").removeClass("active");
		$(this).addClass("active");
	});
	$(".sub-url").click(function(){
		$("#h_plan_code").val($(this).data("plan_code"));
		$("#h_plan_type").val($(this).data("plan_type"));
		$("#div_plan_url").html('Plan Selected : <span class="text-secondary"><strong>'+$(this).data("plan_name")+'</strong><br>('+$(this).data("plan_title")+' - '+$(this).data("interval_unit")+' $'+$(this).data("plan_price")+')</span>');
		
		form_element_correct($("#div_email"));
		form_element_correct($("#div_plan_url"));            
		form_element_correct($("#div_agree"));
		
		$("#signup_modal").modal("show");
	});
	$("#lblLogin,#lblLogin2,#lblLogin3").click(function()
	{
		$("#div_signup_heading").hide();
		$("#div_OTP").hide();
		$("#div_inactive").hide();
		$("#div_plans").hide();
		$("#div_signin").fadeIn(500);
	});
}

$("#lblLogin,#lblLogin2").click(function(){
	showSign();
});

function showSign(){
	$("#div_signup_heading").hide();
	$("#div_OTP").hide();
	$("#div_inactive").hide();
	$("#div_plans").hide();
	$("#div_signin").fadeIn(500);
}


$("#cmdBack").click(function()
{
	$("#div_signup_heading").hide();
	$("#div_signin").fadeIn(500);
});

/**********Login*************/
$(".cmdLogin").click(function()
{
	var flag = true;
	$("#msg_username").text("");
	$("#msg_password").text("");
	
	var p1 = $("#text_password_signin").val();
   if($("#text_username").val()=='')
   {
		$("#msg_username").text("User name is required.");            
		flag = false;
   }
	if(p1=='')
   {
		$("#msg_password").text("Password is required.");
		flag = false;
   }
   
   if(flag==true)
   {    
		var keep_sign_in = "";
		if ($('#check-keep-me').is(':checked')) 
		{
			keep_sign_in = "Y";
		}
		/*
		var arr_list = get_current_timezone();
		currTz = arr_list[0];
		curTime = arr_list[1];
		*/
		$.ajax({
			 url: "<?php echo SITEURL; ?>aj/login-otp/",
			 method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			 data: {REQUEST: 'check_user_login', username:$("#text_username").val(),upassword:$("#text_password_signin").val(),keep_sign_in:keep_sign_in},
			 success: function (response)
			 {
				//console.log(response);
				setTimeout(function(){
					$(".rploader").fadeOut(500);
					if(response.redirect_page!="" && response.redirect_page!='reset_password' && response.redirect_page!='inactive' && response.redirect_page!="-1" && response.redirect_page!="-2" && response.redirect_page!="-3" && response.redirect_page!="-4")
					{
						if(response.redirect_page=='expire')
						{
							$("#div_signin1").hide();
							$("#div_signin2").show(); 
							
							$("#msg_username").html('Your 14 Days trial expired. Please click <a href="javascript:void(0);" id="btn_upgrade" class="common-edit-link font-weight-bold">here</a> to upgrade.'); 
							$("#btn_upgrade,#btn_upgrade_link").click(function(){
								upgradePlan();
							});
						}
						else if(response.redirect_page=='OTP')
						{
							$("#div_OTP").show();
							$("#msg_otp").text("");
							$("#text_otp").val("");
							$("#div_signin").hide();
							
						}
						else
						{
							window.location.href = '<?php echo SITEURL; ?>'+response.redirect_page;
						}
					}
					else
					{
						if(response.redirect_page=="")
						{
							$("#msg_password").text("Incorrect User name or Password.");
							$("#text_password_signin").focus();
							return false;
						}
						else if(response.redirect_page=="-1")
						{
							$("#msg_username").text("Please logout current login."); 
							$("#text_username").focus();
							return false;
						}
						else if(response.redirect_page=="-2")
						{
							$("#msg_username").text('You have registered using your Google account.  Please click "Google" button below.'); 
							$("#text_username").focus();
							return false;
						}
						else if(response.redirect_page=="-3")
						{
							$("#msg_username").text('Your timezone is not set. Please contact your admin to set timezone first.'); 
							$("#text_username").focus();
							return false;
						}
						else if(response.redirect_page=="-4")
						{
							$("#div_signin").hide();
							$("#div_inactive #inactive_msg").text("Your company account has been inactivated.");
							$("#div_inactive").fadeIn(600);
							return false;
						}
						else if(response.redirect_page=='inactive')
						{
							$("#div_signin").hide();
							$("#div_inactive #inactive_msg").text("Your account has been inactivated.");
							$("#div_inactive").fadeIn(600);
							return false;
						}
						else if(response.redirect_page=='reset_password')
						{
							//window.location.href = response.redirect_page;
							$("#div_signin").hide();
							$("#div_freset_pass").fadeIn(600);
							return false;
						}
					}
				},1000);
				
			 }
		 }); 
	 }     
});
/**********Login*************/

/**********Signup*************/
$("#cmdNext1").click(function()
{
	var plan_url = $("#h_plan_url").val();
	var plan_type = $("#h_plan_type").val();
	var flag = true;
	var freeRegex = /^[\w-\.]+@([aol+\.]|[msn+\.]|[yandex+\.]|[hotmail+\.]|[yahoo+\.]|[gmail+\.])+[\w-]{2,4}$/;
	
	var user_email = $("#text_email").val();
	user_email = user_email.toLowerCase();
	
	form_element_correct($("#div_email"));
	form_element_correct($("#div_company_name"));
	form_element_correct($("#div_plan_url"));            
	form_element_correct($("#div_agree"));
	form_element_correct($("#div_msg_step2"));
	form_element_correct($("#div_msg_step3"));
	
	if($("#h_plan_url").val()=='')
	{
		$("#div_plan_url").addClass('error_ele mb-1');
		$("#div_plan_url").after('<span role="alert" class="not-valid-tip">Please select plan.</span>');  
		flag = false;
	}
	if(user_email=='')
	{
		$("#div_email").addClass('error_ele mb-1');
		$("#div_email").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
		$("#text_email").focus();
		flag = false;
	}
	if (!isEmail(user_email) )
	{
		$("#div_email").addClass('error_ele mb-1');
		$("#div_email").after('<span role="alert" class="not-valid-tip">Please enter valid Email Address.</span>');
		$("#text_email").focus();
		flag = false;
	}
	if($("#h_plan_type").val()=="enterprise" && user_email.match(freeRegex))
	{   
		$("#div_email").addClass('error_ele mb-1');
		$("#div_email").after('<span role="alert" class="not-valid-tip">Please enter your business email address</span>');
		$("#text_email").focus();
		flag = false;
	}
	if($("#text_company_name").val()=='')
	{
		$("#div_company_name").addClass('error_ele mb-1');
		$("#div_company_name").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
		$("#text_company_name").focus();
		flag = false;
	}
	if($("#chkAgree").prop("checked")==false)            
	{
		$("#div_agree").addClass('error_ele');
		$("#div_agree").after('<span role="alert" class="not-valid-tip">You have to agree to the Term and Conditions.</span>');  
		$("#chkAgree").focus();
		flag = false;
	}
	
	if(flag != false)
	{
		$.ajax({
			url: "<?php echo SITEURL; ?>aj/login-otp/",
			method: "POST",
			data: {REQUEST: 'check_user_exist', user_email:user_email,selected_id:'',from:"signup"},
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{
				if(response.succ==0)
				{
					setTimeout(function(){
						$(".rploader").fadeOut(500);
						$("#div_email").addClass('error_ele mb-1');
						$("#div_email").after('<span role="alert" class="not-valid-tip">The user account associated with this email address already exists. Please <a href="javascript:void(0);" id="lblLogin3" class="common-edit-link">login</a> or <a href="'+SITEURL+'reset-password/" class="common-edit-link">get password help</a></span>');
						$("#lblLogin3").click(function(){
							$("#signup_modal .close").click();
							showSign();
						});
						$("#text_email").focus();
						flag=false;
					},1000);
				}
				else if(response.succ==1 && flag==true)
				{
					var formdata = $('#form1').serialize();
					$.ajax({
						url: "<?php echo SITEURL; ?>aj/common/",
						method: "POST",
						data: {REQUEST: 'signup_process', form1: formdata},
						beforeSend: function() {
							$(".rploader").fadeIn(500);
						},
						success: function (response)
						{
							if(response.succ==0){
								setTimeout(function(){
									$(".rploader").fadeOut(500);
									$("#div_email").addClass('error_ele mb-1');
									$("#div_email").after('<span role="alert" class="not-valid-tip">The user account associated with this email address already exists. Please <a href="javascript:void(0);" id="lblLogin3" class="common-edit-link">login</a> or <a href="'+SITEURL+'reset-password/" class="common-edit-link">get password help</a></span>');
									$("#lblLogin3").click(function(){
										$("#signup_modal .close").click();
										showSign();
									});
									$("#text_email").focus();
									flag=false;
								},1000);
							}else if(response.succ==2){
								setTimeout(function(){
									$(".rploader").fadeOut(500);
									$("#div_company_name").addClass('error_ele mb-1');
									$("#div_company_name").after('<span role="alert" class="not-valid-tip">'+response.msg+'</span>');
									$("#text_company_name").focus();
								},1000);
							}else if(response.succ==1){
								setTimeout(function(){
									window.location.href=response.redirect_url;
								},1000);
							}
						}
					});
				}
			}
		});
	}            
});
/**********Signup*************/

/**********Reset Password*************/
$("#btn_reset_password").click(function(){
	
	var flag = true;
	form_element_correct($("#div_password_reset"));
	form_element_correct($("#div_cpassword_reset"));
	
	if($("#text_password_reset").val()==''){
		$("#div_password_reset").addClass('error_ele mb-1');
		$("#div_password_reset").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
		$("#text_password_reset").focus();
		flag = false;
	}
	if($("#text_cpassword_reset").val()==''){
		$("#div_cpassword_reset").addClass('error_ele mb-1');
		$("#div_cpassword_reset").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
		$("#text_cpassword_reset").focus();
		flag = false;
	}
	if($("#text_cpassword_reset").val()!=$("#text_password_reset").val()){
		$("#div_cpassword_reset").addClass('error_ele mb-1');
		$("#div_cpassword_reset").after('<span role="alert" class="not-valid-tip">Confirm password is match with your password.</span>');
		$("#text_cpassword_reset").focus();
		flag = false;
	}
	if(flag!= false){
		if(!CheckPassword($("#text_password_reset").val()))
		{
			$("#div_password_reset").addClass('error_ele mb-1');
			$("#div_password_reset").after('<span role="alert" class="not-valid-tip">Please enter valid Password.</span>');
			$("#text_password_reset").focus();
			flag = false;
		}
	}
	
	if(flag==true){
		$.ajax({
			url: "<?php echo SITEURL; ?>aj/common/",
			method: "POST",
			data: {REQUEST: 'reset_password', reset_password:$("#text_password_reset").val()},
			beforeSend: function() {
				$(".rploader").fadeIn(500);
			},
			success: function (response)
			{     
				setTimeout(function(){
					$(".rploader").fadeOut(500);
					if(response.succ==0)
					{
						alert(response.msg);
					}
					else if(response.succ==1 && response.redirect_page!="-1")
					{
						window.location.href='<?php echo SITEURL; ?>'+response.redirect_page;
					}else{
						alert("Something went wrong. Please try again.");
					}
				},1000);            
				
			}
		});
	}
	
});
/**********Reset Password*************/

function get_current_timezone1()
{
	if (!sessionStorage.getItem('timezone')) 
	{
		var tz = jstz.determine() || 'UTC';
		sessionStorage.setItem('timezone', tz.name());
	}         
	var currTz = sessionStorage.getItem('timezone');
	//console.log(currTz);

	var date = moment().format("YYYY-MM-DD");
	var time = moment().format("H:mm:ss");
	var curTime =date+" "+time;

	var timezone_values = [currTz,curTime];
	return (timezone_values);
}

/**********OTP*************/
$("#cmdOTPOk").click(function()
{
	$("#msg_otp").text("");
   
	if($("#text_otp").val()=='')
	{
		$("#msg_otp").text("OTP is required.");            
		return false;
	}
	var otp_no_remind = "0";
	if($("#check_no_remind").is(":checked")){
		var otp_no_remind = "1";
	}
	$.ajax({
	url:"<?php echo SITEURL; ?>aj/login-otp/",
	method:"POST",        
	data: {REQUEST: 'verify_otp',otp_value:$("#text_otp").val(), otp_no_remind:otp_no_remind},
	beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success:function(response)
		{
			setTimeout(function()
			{
				$(".rploader").fadeOut(800);
				if(response.succ==1)
				{
					$(".cmdLogin").click();
				}
				else
				{
					$("#msg_otp").text("Password not match.");  
				}
			},1000);
		}
	});
});

$("#cmdOTPCancel").click(function()
{
	$("#div_signin").show();
	$("#div_OTP").hide();
});
/**********OTP*************/

</script>
</body>
</html>
