<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
    header("location:".SITEURL."dashboard/");
} 
$Isallowed_page = getvalue("cxs_licensed_products", "attendance_flag", " WHERE user_id='" . $_SESSION['login_user_array']['user_id'] . "'");
if ($Isallowed_page != "Y") {
    header("location:".SITEURL."dashboard/");
}
if ($_SESSION['login_user_array']['user_role'] == 'User' || $_SESSION['login_user_array']['user_plan'] == "SELFEMPLOYED") {
    header("location:".SITEURL."dashboard/");
}
if (isset($_GET["nid"]) && $_GET["nid"] > 0) {
    $nid = intval($_GET["nid"]);
    readNotification($nid);
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Coexsys | IP Addresses</title>
    <!-- base:css -->
    <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
    <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css" />
    <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
    <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/dropify/dropify.min.css">
    <link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
    <link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
    <link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
    <link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

    <script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>

</head>

<body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
        <!-- partial:partials/_navbar.html -->
        <?php include_once("top.php"); ?>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:partials/_settings-panel.html -->
            <?php include_once("left.php");  ?>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb breadcrumb-help">
                                            <li class="breadcrumb-item">Attendance Tracking</li>
                                            <li class="breadcrumb-item active">IP address</li>
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between pb-2">
                                        <h2 class="card-title add_title">Enable IP Restriction </h2>
                                        <h2 class="show-help cr-point"><i class="fa fa-question-circle" aria-hidden="true"></i></h2>
                                    </div>
                                    <!--<p class="text-center">
                                        <label class="toggle"><input type="checkbox" id="chk_tgl" checked=""><span class="sld round"></span></label>
                                    </p>-->

                                    <form class="add_frm" method="post">

                                        <div class="row">
                                            <div class="col-md-12">
                                                <hr>
                                            </div>
                                            <?php
                                            $ipaddress = GetIPAddress();
                                            ?>
                                            <div class="col-md-2 mb-2 text-right">
                                                <label>Current IP Address :</label>
                                            </div>
                                            <div class="col-md-10 mb-2">
                                                <label><?php echo $ipaddress; ?></label>
                                            </div>
                                            <div class="col-md-2 text-right">
                                                <label>IP Address :</label>
                                            </div>
                                            <div class="col-md-1">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2 text-center card-title only-numeric ipaddress" tabindex="1" name="Ipaddr1" id="Ipaddr1" maxlength="3" autocomplete="off">
                                            </div>
                                            <div class="col-md-1">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2 text-center card-title " value="." readonly="true">
                                            </div>

                                            <div class="col-md-1">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2 text-center card-title only-numeric ipaddress" tabindex="2" name="Ipaddr2" id="Ipaddr2" maxlength="3" autocomplete="off">
                                            </div>
                                            <div class="col-md-1">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2 text-center card-title" value="." readonly="true">
                                            </div>

                                            <div class="col-md-1">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2 text-center card-title only-numeric ipaddress" tabindex="3" name="Ipaddr3" id="Ipaddr3" maxlength="3" autocomplete="off">
                                            </div>
                                            <div class="col-md-1">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2 text-center card-title" value="." readonly="true">
                                            </div>

                                            <div class="col-md-1">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2 text-center card-title only-numeric ipaddress" tabindex="4" name="Ipaddr4" id="Ipaddr4" maxlength="3" autocomplete="off">
                                            </div>
                                            <!--                                                <div class="col-md-1">    
                                                    <input type ="button" class="btn btn-primary btn-sm" value="Add New" id ="cmdAddIpAddr" name ="cmdAddIpAddr" tabindex="5">
                                                </div>    -->
                                        </div>
                                        <div class="row">
                                            <div class="col-md-2 text-right">
                                                <label>Device Name :</label>
                                            </div>

                                            <div class="col-md-5">
                                                <input type="text" class="form-control requirefieldcls pl-2 pr-2  card-title ipaddress" tabindex="5" name="Text_DeviceNickname" id="Text_DeviceNickname" maxlength="40" autocomplete="off">
                                            </div>
                                            <div class="col-md-1">
                                                <input type="button" class="btn btn-primary" value="Add New" id="cmdAddIpAddr" name="cmdAddIpAddr" tabindex="6">
                                            </div>
                                        </div>

                                        <div class="row row d-flex justify-content-center">
                                            <div class="col-xs-12 col-md-4 mb-2 col-center">
                                                <h3 class="card-title mb-2 text-center">Currently Restricted IP Addresses</h3>
                                                <div class="table-responsive">
                                                    <!--                                                                                <table id="table_ip_address" class="table table-bordered text-center">-->
                                                    <table id="table_ip_address" class="table table-bordered">
                                                        <thead>
                                                            <!--<tr class="table-info"><th>#</th><th>IP Address</th><th>Action</th></tr>-->
                                                            <!--                                                            <tr class="table-info"><th>IP Address</th><th>Action</th></tr>-->
                                                            <tr class="table-info">
                                                                <th>IP Address</th>
                                                                <th>Device Nick</th>
                                                                <th>Action</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>



                                        <div class="row">
                                            <div class="col-md-11 text-center">
                                                <label id="msg_save" class="badge badge-info"></label>
                                            </div>
                                            <div class="col-md-1 text-right">
                                                <input class="btn btn-primary btn-sm" type="button" value="Save" id="cmdSave" name="cmdSave">
                                            </div>
                                        </div>
                                    </form>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
        <div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog swal-modal" role="document">
                <div class="modal-content">
                    <div class="modal-body pt-0">
                        <div class="swal-icon swal-icon--warning">
                            <span class="swal-icon--warning__body">
                                <span class="swal-icon--warning__dot"></span>
                            </span>
                        </div>

                        <div class="swal-title">Help</div>
                        <div class="swal-text"></div>
                        <input type="hidden" id="h_deleteid" value="">
                    </div>

                    <div class="swal-footer">
                        <div class="swal-button-container">
                            <button class="swal-button swal-button--cancel btn btn-primary" id="cmdModalOK">OK</button>
                        </div>

                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
            <div class="modal-dialog swal-modal" role="document">
                <div class="modal-content">
                    <div class="modal-body pt-0">
                        <div class="swal-icon swal-icon--warning">
                            <span class="swal-icon--warning__body">
                                <span class="swal-icon--warning__dot"></span>
                            </span>
                        </div>

                        <div class="swal-title">Are you sure?</div>
                        <div class="swal-text">You won't be delete this record?</div>
                        <input type="hidden" id="h_deleteid" value="">
                        <input type="hidden" id="h_current_row" value="">
                    </div>
                    <div class="swal-footer">
                        <div class="swal-button-container">
                            <button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalCancel">Cancel</button>
                        </div>
                        <div class="swal-button-container">
                            <button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalDelete">OK</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- container-scroller ends-->
    </div>
    <!-- container-scroller page-body-wrapper ends-->
    <!-- base:js -->

    <script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
    <script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
    <script src="<?php echo SITEURL; ?>js/template.js"></script>
    <script src="<?php echo SITEURL; ?>js/settings.js"></script>
    <script src="<?php echo SITEURL; ?>js/todolist.js"></script>
    <script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
    <script src="<?php echo SITEURL; ?>js/popover.js"></script>

    <script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
    <script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>

    <link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
    <script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
    <script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
    <script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
    <script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
    <script src="<?php echo SITEURL; ?>js/select2.js"></script>
    <script src="<?php echo SITEURL; ?>vendors/dropify/dropify.min.js"></script>
    <script src="<?php echo SITEURL; ?>js/dropify.js"></script>
    <script src="<?php echo SITEURL; ?>js/custom.js"></script>
    <script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
    <script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
    <!-- endinject -->
    <script>
        var rowCount = $('#table_ip_address tbody tr').length;
        //'<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="aa" > <i class=" fa fa-eye"></i> </button>'+
        function Addrow(ip_addr, device_name, id, mode) {
            rowCount = rowCount + 1;
            var tr = "<tr  class='" + mode + "' id='row" + rowCount + "'>";
            //tr +=  '<td>'+rowCount+'</td>';
            tr += '<td>' + ip_addr + '</td>';
            tr += '<td>' + device_name + '</td>';
            if (mode == "new") {
                tr += '<td><button class="btn  btn-sm delete_record" type = "button" ><i class="fa fa-trash-o" aria-hidden="true"></i></button></td>';
            } else {
                tr += '<td><input type="hidden" value = "' + id + '"> <button class="btn  btn-sm delete_record" type = "button" ><i class="fa fa-trash-o" aria-hidden="true"></i></button></td>';
            }
            tr += '</tr>';
            $("#table_ip_address tbody").append(tr);
        }
        $(document).ready(function() {
            $.ajax({
                url: SITEURL+"aj/issue-tracking/2/",
                method: "POST",
                data: {
                    REQUEST: 'get_adm_ips'
                },
                success: function(response) {
                    console.log(response);
                    if (response.ip_addr_list.length>0) {
                        var tr = "";
                        $.each(response.ip_addr_list, function(key, value) {
                            //Addrow(value.ip_addr,value.id,"edit");
                            Addrow(value.ip_addr, value.device_nickname, value.id, "edit");
                            /* key1=parseInt(key)+1
                             td1 = '<td>'+key1+'</td>';
                             td2 = '<td>'+value.ip_addr+'</td>';
                             td3 = "<td><button type = 'button'  class='btn delete_record ml-0 mr-2 pl-0 pr-0' title='Delete Record'><i class='fa fa-trash-o' aria-hidden='true'></i></button></td>";
                             td3 = '<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>';
                             tr += '<tr id="row'+key1+'">'+td1+td2+td3+'</tr>';*/
                        });
                        //$('#table_ip_address').append(tr);
                    }
                }
            });



        });
        $(".ipaddress").keypress(function(event) {
            if (event.keyCode == 13) {
                var current_id = $(this).attr("id");
                if (current_id == "Ipaddr1") {
                    $("#Ipaddr2").focus();
                } else if (current_id == "Ipaddr2") {
                    $("#Ipaddr3").focus();
                } else if (current_id == "Ipaddr3") {
                    $("#Ipaddr4").focus();
                } else if (current_id == "Ipaddr4") {
                    $("#Text_DeviceNickname").focus();
                } else if (current_id == "Text_DeviceNickname") {
                    $("#cmdAddIpAddr").focus();
                }
            }
        });

        $("#Ipaddr1").keyup(function() {
            if ($("#Ipaddr1").val().length == 3) {
                $("#Ipaddr2").focus();
            }
        });
        $("#Ipaddr2").keyup(function() {
            if ($("#Ipaddr2").val().length == 3) {
                $("#Ipaddr3").focus();
            }
        });
        $("#Ipaddr3").keyup(function() {
            if ($("#Ipaddr3").val().length == 3) {
                $("#Ipaddr4").focus();
            }
        });
        $("#Ipaddr4").keyup(function() {
            if ($("#Ipaddr4").val().length == 3) {
                $("#Text_DeviceNickname").focus();
            }
        });

        $("#cmdAddIpAddr").click(function() {
            form_element_correct($("#Ipaddr1"));
            form_element_correct($("#Ipaddr2"));
            form_element_correct($("#Ipaddr3"));
            form_element_correct($("#Ipaddr4"));
            form_element_correct($("#Text_DeviceNickname"));
            form_element_correct($("#table_ip_address"));
            var flag = true;

            if ($("#Ipaddr1").val() == "") {
                //form_element_empty_err($("#Ipaddr1"));
                $("#Ipaddr1").addClass('error_ele');
                $("#Ipaddr1").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr1").focus();
                flag = false;
            }

            if ($("#Ipaddr2").val() == "") {
                //form_element_empty_err($("#Ipaddr2"));
                $("#Ipaddr2").addClass('error_ele');
                $("#Ipaddr2").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr2").focus();
                flag = false;
            }

            if ($("#Ipaddr3").val() == "") {
                //form_element_empty_err($("#Ipaddr3"));
                $("#Ipaddr3").addClass('error_ele');
                $("#Ipaddr3").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr3").focus();
                flag = false;
            }

            if ($("#Ipaddr4").val() == "") {
                //form_element_empty_err($("#Ipaddr4"));
                $("#Ipaddr4").addClass('error_ele');
                $("#Ipaddr4").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Ipaddr4").focus();
                flag = false;
            }
            if ($("#Text_DeviceNickname").val() == "") {
                //form_element_empty_err($("#Ipaddr4"));
                $("#Text_DeviceNickname").addClass('error_ele');
                $("#Text_DeviceNickname").after('<span role="alert" class="not-valid-tip">require</span>');
                $("#Text_DeviceNickname").focus();
                flag = false;
            }
            if (flag == true) {
                var ipaddr = $("#Ipaddr1").val() + "." + $("#Ipaddr2").val() + "." + $("#Ipaddr3").val() + "." + $("#Ipaddr4").val();
                var rowCount = $('#table_ip_address tr').length;
                var device_name = $("#Text_DeviceNickname").val();
                /*var td3 = "<td><button type = 'button' class='btn delete_record ml-0 mr-2 pl-0 pr-0' title='Delete Record'><i class='fa fa-trash-o' aria-hidden='true'></i></button></td>";
                //td3 = '<td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>';
                var row = "<tr><td>"+rowCount+"</td><td>"+ipaddr+"</td>"+td3+"</tr>";
                $("#table_ip_address tbody").append(row);*/

                //Addrow(ipaddr,"","new");
                Addrow(ipaddr, device_name, "", "new");
                clear_ipaddr_fields();
                $("#Ipaddr1").focus();
            }
        });


        function clear_ipaddr_fields() {
            $("#Ipaddr1").val('');
            $("#Ipaddr2").val('');
            $("#Ipaddr3").val('');
            $("#Ipaddr4").val('');
            $("#Text_DeviceNickname").val('');
        }


        $("#cmdSave").click(function() {
            var ip_addr_list = [];
            var devicename_list = [];
            $('#table_ip_address tbody tr').each(function(n) {
                var currentRow = $(this);
                var col2 = currentRow.find("td:eq(0)").html();
                ip_addr_list[n] = col2;
                var col_devicename = currentRow.find("td:eq(1)").html();
                devicename_list[n] = col_devicename;
            });


            if (ip_addr_list.length == 0) {
                $("#table_ip_address").addClass('error_ele  mb-2');
                $("#table_ip_address").after('<span role="alert" class="not-valid-tip">Enter IP Address</span>');
                $("#Ipaddr1").focus();
            } else {

                ip_addr_list = JSON.stringify(ip_addr_list);
                devicename_list = JSON.stringify(devicename_list);

                $.ajax({
                    url: SITEURL+"aj/issue-tracking/2/",
                    method: "POST",
                    data: {
                        REQUEST: 'save_adm_ips',
                        ip_addr_list: ip_addr_list,
                        devicename_list: devicename_list
                    },
                    success: function(response) {
                        console.log(response);
                        $("#msg_save").text("Record has been updated.");
                        $("#msg_save").show().delay(5000).fadeOut();
                    }
                });
            }
        });

        $(".show-help").click(function() {
            $("#modal1").modal('show');
        });

        $("#cmdModalOK").click(function() {
            $("#modal1").modal('hide');
        });


        $(document).on("click", ".delete_record", function() {
            var selected_id = $(this).parents('tr').find('input[type="hidden"]').val();
            var current_row = $(this).closest('tr').attr('id'); // table row ID 
            $("#h_deleteid").val(selected_id);
            $("#h_current_row").val(current_row);
            $('#modalDelete').modal('show');

        });
        $('#cmdModalCancel').click(function() {
            $("#h_deleteid").val('');
            $("#modalDelete").modal("hide");
        });

        $('#cmdModalDelete').click(function() {
            var current_row = $("#h_current_row").val();
            if ($("#" + current_row).is(".new")) {
                $("#" + current_row).remove();
                $('#modalDelete').modal('hide');
            } else {
                $.ajax({
                    url: SITEURL+"aj/issue-tracking/2/",
                    method: "POST",
                    data: {
                        REQUEST: 'delete_adm_ips',
                        ip_id: $("#h_deleteid").val()
                    },
                    success: function(response) {
                        if (response.succ == 1) {
                            $("#" + current_row).remove();
                            $('#modalDelete').modal('hide');
                        }
                    }
                });
            }
        });
    </script>
</body>
</html>