<?php
require_once "conn.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
    header("location:admin.php");
}
    $pageby = (isset($_GET['by']) && $_GET['by']!='')?$_GET['by']:'';
    $projects_licence_flag = getvalue("cxs_licensed_products","projects_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Issue Tracking Issue Log</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
    <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="rploader"><img src="images/89.gif" alt=""></div>
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Issue Tracking</li>
                                            <li class="breadcrumb-item active" aria-current="page">Issue Log <?php echo ucfirst($pageby); ?> </li>
                                        </ol>
                                    </nav>
                                    <?php if($pageby=="project") { ?>
                                    <div class="col-md-12 mt-5 pl-0 pr-0"> 
                                        <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;">    
                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Id :</label>
                                                <label class="pr-4">CXS001</label>
                                            </div>

                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Scheduled Start Date :</label>
                                                <label class="pr-4">04/06/2020</label>
                                            </div>

                                            <div class="form-group mb-0"> 
                                                <label class="pl-2">Project Scheduled End Date :</label>
                                                <label class="pr-4">04/06/2020</label>
                                            </div>    
                                        </div>
                                    </div>
                                    <?php } ?>
                                    
                                </div>
                            </div>
                        </div>
                        
                        <?php if($pageby=="project") { ?>
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                       <h4 class="card-title mb-3">Issue Log</h4>  
                                    </div>
                                    
                                    <div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
                                        <h4 class="card-title mb-3"> Project : DIGFC-IMAGING </h4>
                                        
                                        
                                        <div class="row">
                                            <div class="col-xl-12 border pt-2 pb-2 pl-2 pr-2">
                                                <div class="chart_overlay">
                                                <b>No data exists yet. Click here to create a new issue</b>
                                            </div>
                                                <canvas id="pieChart_project1" style="cursor: pointer;"></canvas>                                                
                                            </div>
                                        </div>
                                        
                                        
                                        <div>
                                            <select class="js-example-basic-single " style="width:100%;">
                                                <option value="My Projects"> My Projects</option>
                                                <option value="Project 1"> Project 1</option>
                                                <option value="Project 2"> Project 2</option>
                                                <option value="Project 3"> Project 3</option>
                                            </select>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                        <?php } ?> 
                        
                        <?php if($pageby=="snapshot") { ?>
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">
                                    <!--<div class="row mb-2">-->
                                        <div class="d-flex flex-wrap justify-content-between">
                                           <h4 class="card-title mb-3">Issue Log</h4>  

                                            <?php
                                                if ($projects_licence_flag=="Y")
                                                {   ?>
                                                    <h4 class="card-title mb-3" id="lbl_project_name"> </h4>

                                                    <div>
                                                        <select class="js-example-basic-single" id="combo_project"  style="width:100%;">
                                                            <?php
                                                                echo "<option value=''> -Select Project- </option>";
                                                                $qry = "select * from cxs_projects where company_id = '".$_SESSION['login_user_array']['company_id']."' order by project_name ";
                                                                $result = mysqli_query($conn,$qry);
                                                                if(mysqli_num_rows($result)>0)
                                                                {
                                                                    while($row = mysqli_fetch_assoc($result))
                                                                    {
                                                                        echo "<option value='".$row['project_id']."'> ".$row['project_name']."</option>";
                                                                    }
                                                                }
                                                            ?>                                                
                                                        </select>
                                                    </div>
                                            <?php
                                                }  ?>         
                                        </div>
                                    <!--</div>-->    
                                                                              
                                    <div class="row pt-2">
                                        <div class="col-xl-4 border pt-2 pb-2 pl-2 pr-2">                                                        
                                            <div class="chart_overlay">
                                                <b>No data exists yet. Click here to create a new issue</b>
                                            </div>
                                            <canvas id="pieChart_snapshot1" style="cursor: pointer;">                                                
                                            </canvas>
                                            <h6 class="align-items-center display_category">By Status</h6>
                                        </div>
                                        
                                        <div class="col-xl-4 border pt-2 pb-2 pl-2 pr-2">
                                            <div class="chart_overlay">
                                                <b>No data exists yet. Click here to create a new issue</b>
                                            </div>
                                            <canvas id="pieChart_snapshot2" style="cursor: pointer;"></canvas>
                                            <h6 class="align-items-center display_category">By Priority</h6>
                                        </div>
                                        
                                        <div class="col-xl-4 border pt-2 pb-2 pl-2 pr-2">
                                            <div class="chart_overlay">
                                                <b>No data exists yet. Click here to create a new issue</b>
                                            </div>
                                            <canvas id="pieChart_snapshot3" style="cursor: pointer;"></canvas>
                                            <h6 class="align-items-center display_category">By Timeline </h6>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php } ?>  
                        
                        
                        <?php if($pageby=="team") { ?>
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                       <h4 class="card-title mb-3">Issue Log</h4>  
                                    </div>
                                    <div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
                                        <div class="d-flex align-items-center1">
                                            <img class="img-sm rounded-circle mb-md-0 " src="images/faces/face3.jpg">
                                            <div class="ml-3">
                                                <p class="mb-0">John Smith</p>                                                                                    
                                            </div>
                                        </div>
                                        
                                        
                                        <div class="row">
                                            <div class="col-xl-12 border pt-2 pb-2 pl-2 pr-2">   
                                                <div class="chart_overlay">
                                                    <b>No data exists yet. Click here to create a new issue</b>
                                                </div>
                                                <canvas id="pieChart_team1" style="cursor: pointer;"></canvas>                                                
                                            </div>
                                        </div>
                                        
                                        
                                        <div>
                                            <select class="js-example-basic-single " style="width:100%;">
                                                <option value="My Team"> Team Member</option>
                                                <option value="Team 1"> Member 1</option>
                                                <option value="Team 2"> Member 2</option>
                                                <option value="Team 3"> Member 3</option>
                                            </select>
                                        </div>
                                    </div>
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>
                        <?php } ?>  
                        
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="text-right pb-2">
                                        <button class="btn btn-primary btn-icon" title="Add Issue" id="cmdAddIssue"><i class="fa fa-plus"></i></button>                                                                                
                                        <button class="btn btn-link" title="Import Data" id="cmdImportData"><img src="images/icons/import.png" style="width:30px;height:30px;"> </button>
                                        <input type="hidden" id="h_issue_data" value="">
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-bordered" id="table_it_by_project">
                                            <thead>
                                               <tr class='table-info'>
                                                    <th> Issue Number</th>
                                                    <th> Priority</th>
                                                    <th> Status</th>
                                                    <th> Urgency</th>
                                                    <th> Task Type</th>
                                                    <th> Assigned To</th>
                                                    <th> Short Description</th>                                                                                                        
                                                    <th> Schedule Start Date</th>
                                                    <th> Schedule End Date</th>
                                                    <th> Actual Start Date</th>
                                                    <th> Actual End Date</th>
                                                    <th> Closed By</th>
                                                    <th width="9%">Action</th>
                                               </tr>    
                                           </thead>
                                           <tfoot>
                                               <tr>
                                                    <th class="searc"> Issue Number</th>
                                                    <th class="searc"> Priority</th>
                                                    <th class="searc"> Status</th>
                                                    <th class="searc"> Urgency</th>
                                                    <th class="searc"> Task Type</th>
                                                    <th class="searc"> Assigned To</th>
                                                    <th class="searc"> Short Description</th>                                                                                                        
                                                    <th class="searc"> Schedule Start Date</th>
                                                    <th class="searc"> Schedule End Date</th>
                                                    <th class="searc"> Actual Start Date</th>
                                                    <th class="searc"> Actual End Date</th>
                                                    <th class="searc"> Closed By</th>
                                                    <th></th>
                                               </tr>    
                                           </tfoot>
                                           <tbody>
                                            
                                           </tbody>
                                        </table>
                                        
                                        
                                        
                                    </div>
                                </div>
                            </div>
                        </div>  
                        
                        
                    </div>                    
                    
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
        
        
    <div class="modal fade pr-0" id="modal_new_issue">
        <div class="modal-dialog modal-xl mt-0 " role="document">                
            <div class="modal-content" style="background: #e8eff9;">
                <div class="modal-header pb-1">
                    <h2 class="pl-3 modal-title" >Open An Issue Tracking</h2>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                          <span aria-hidden="true">&times;</span>                    
                    </button>
                </div>

                <div class="modal-body pt-2 ">
                    <?php
                    include 'issue-tracking.php'; 
                    ?>;
                </div>
            </div>
        </div>
    </div>    
        
        
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
  <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 
    
    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script> 
    <script src="vendors/chart.js/Chart.min.js"></script>
    
    
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/custom.js"></script>
    <script src="vendors/tinymce/tinymce.min.js"></script>
    <script src="js/issue-tracking-js.js"></script>
    
  <!-- endinject -->  
    <script>
        var doughnutPieData = {
    datasets: [{
      data: [30, 40,38],
      backgroundColor: [
        'rgba(54, 162, 235, 0.5)',
        'rgba(255, 206, 86, 0.5)',
        'rgba(75, 192, 192, 0.5)',
        'rgba(153, 102, 255, 0.5)',
        'rgba(255, 159, 64, 0.5)',
        'rgba(255, 99, 132, 0.5)',
        
      ],
      borderColor: [
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)',
        'rgba(153, 102, 255, 1)',
        'rgba(255, 159, 64, 1)',
        'rgba(255,99,132,1)'
      ],
    }],

    // These labels appear in the legend and in the tooltips when hovering different arcs
    labels: [      
      'Blue',
      'Yellow','Pink'
    ]
  };
  
  var doughnutPieOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    }
  };
  
    
    
    
    $(document).ready(function()
    { 
        getissuedata();
        $('#combo_project').trigger("change");
        
        
    });

    function getissuedata()
    {
        if ( $.fn.DataTable.isDataTable('#table_it_by_project') ) 
        {
            $('#table_it_by_project').DataTable().destroy();
        }
        $('#table_it_by_project tbody').empty();   
        
        var project_id = "0";
        if($("#combo_project").length)
        {
            project_id = $('#combo_project').val();
        }
        
        $.ajax({
            url: "ajax_issue_tracking.php",
            method: "POST",
            data: {REQUEST: 'get_issue_all_data',project_id:project_id},
            beforeSend: function() 
            {
                $(".rploader").fadeIn(800);
            },
                success:function(response)
                {
                    setTimeout(function(){
                    $(".rploader").fadeOut(800);
                    
                    if(response.succ==1)
                    {  
                        console.log(response);
                        if (!jQuery.isEmptyObject(response.issue_all_data))
                        {
                            $.each( response.issue_all_data, function( key, value ) 
                            {
                                Addrow(value);                                
                            });
                            setTitle();
                            $("#h_issue_data").val('Y');
                            
                        }
                        else
                        {
                            $("#h_issue_data").val('N');
                        }
                        sort_table(); 
                        
                        
                        var is_data_available = $("#h_issue_data").val();
                        if(is_data_available=="N")
                        {
                            $(".chart_overlay").show();
                            $(".display_category").hide();
                        }
                        else
                        {
                            $(".chart_overlay").hide();
                            $(".display_category").show();
                            if ($("#pieChart_project1").length) 
                            {
                                var pieChartCanvas = $("#pieChart_project1").get(0).getContext("2d");
                                var pieChart = new Chart(pieChartCanvas, {
                                  type: 'pie',
                                  data: doughnutPieData,
                                  options: doughnutPieOptions
                                });                            
                            }

                            if ($("#pieChart_team1").length) 
                            {
                                var pieChartCanvas = $("#pieChart_team1").get(0).getContext("2d");
                                var pieChart = new Chart(pieChartCanvas, {
                                  type: 'pie',
                                  data: doughnutPieData,
                                  options: doughnutPieOptions
                                });
                            }

                            if ($("#pieChart_snapshot1").length) 
                            {
                                var pieChartCanvas = $("#pieChart_snapshot1").get(0).getContext("2d");
                                var pieChart = new Chart(pieChartCanvas, {
                                  type: 'pie',
                                  data: doughnutPieData,
                                  options: doughnutPieOptions
                                });

                            }

                            if ($("#pieChart_snapshot2").length) 
                            {
                                var pieChartCanvas = $("#pieChart_snapshot2").get(0).getContext("2d");
                                var pieChart = new Chart(pieChartCanvas, {
                                  type: 'pie',
                                  data: doughnutPieData,
                                  options: doughnutPieOptions
                                });
                            }

                            if ($("#pieChart_snapshot3").length) 
                            {
                                var pieChartCanvas = $("#pieChart_snapshot3").get(0).getContext("2d");
                                var pieChart = new Chart(pieChartCanvas, {
                                  type: 'pie',
                                  data: doughnutPieData,
                                  options: doughnutPieOptions
                                });
                            }                        
                        }
                        
                    }
                    
                    },1000);
                }
        });   
    }
    
    function Addrow(value)
    {
        td1 = '<td>'+value.issue_number+'</td>';
        td2 = '<td>'+value.issue_priority+'</td>';
        td3 = '<td>'+value.issue_status+'</td>';
        td4 = '<td>'+value.issue_urgency+'</td>';
        
        td5 = '<td>'+value.task_type+'</td>';
        td6 = '<td>'+value.assigned_user_id+'</td>';
        td7 = '<td>'+value.issue_number+'</td>';
        td8 = '<td>'+value.schedule_start_date+'</td>';
        
        td9 = '<td>'+value.schedule_end_date+'</td>';
        td10 = '<td>'+value.actual_start_date+'</td>';
        td11 = '<td>'+value.actual_end_date+'</td>';
        td12 = '<td>'+value.resolved_by+'</td>';
        button1 = '<button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button>';
        button2 = '<button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button>';
                                                           
        
        
        var data_content = value.data_content_eye_icon;
        td13 = '<td class="text-center"> <input type="hidden" value="'+ value.issue_id+'">'+
            button1+button2+'<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+data_content+'" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>'+
            '</td>';
        
        rowCount = 1;
        tr = '<tr id="row'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td8+td9+td10+td11+td12+td13+'</tr>';
        $("#table_it_by_project").append(tr);
    }
    
    function setTitle()
    {
       $(".celldatacontent").each(function(index)
       {
           $(this).popover('show');
           $(this).popover('hide');
        });
    }
    function sort_table()
    {
        var table = $('#table_it_by_project').DataTable({
                        "searching": false,
                        columnDefs: [ 
                                { targets: [-1], orderable: false},                    
                                ],
                          "dom": 'lBfrtip',              
                           buttons: [
                               {
                                   extend: 'colvis',
                                   columns: ':lt(11)'
                               },
                               ['excel','pdf',{text: 'Email'}]]
                    }); 

                    $('#table_it_by_project tfoot th.searc').each( function () {
                        var title = $(this).text();
                        $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
                    });     

                    // Apply the search
                     table.columns().every( function () 
                     {
                            var that = this;
                            $( 'input', this.footer() ).on( 'keyup change', function () {
                                    if ( that.search() !== this.value ) {
                                            that
                                                .search( this.value )
                                                .draw();
                                    }
                            });
                    }); 
                    var sortBy = 2;
                    table.
                        order([sortBy, 'desc'])
                        .draw();
    }
$("#cmdAddIssue").click(function()
{
    OpenModalIssueDataBlank();
    $("#modal_new_issue") .modal('show');
});

    
    $(document).on("click",".edit-record",function()
    {
        var selected_id = $(this).parents('tr').find('input[type="hidden"]').val();
        $("#h_issue_id").val(selected_id);
        OpenModalIssueData(selected_id);
        $("#modal_new_issue").modal("show");        
    });


$("#modal_new_issue").on("hidden.bs.modal", function () {
    getissuedata(); 
});



$('#combo_project').on('click change', function() 
{
    var selected_project = $( "#combo_project option:selected" ).text();
    var project_id = $('#combo_project').val();
    if (project_id == "")
    {
        selected_project = "";
    }
    $("#lbl_project_name").text("Project : "+selected_project);
});

</script>
</body>

</html>
