
function viewAbsenceTimeOffData(project_id,defaultDate){
	$('#calendar').fullCalendar('destroy');
	$('#calendar').fullCalendar({
		header: {
			left: 'prev,next',
			center: 'title',
			right: 'month'
		},
		forceEventDuration:true,
		defaultDate: defaultDate,
		navLinks: true, // can click day/week names to navigate views
		editable: false,
		eventLimit: false, // allow "more" link when too many events
		viewRender: function(view, element) {
		  var b = $('#calendar').fullCalendar('getDate');
		  getCalendarData(b.format('L'),project_id);
		}
	});
}
function getCalendarData(date,project_id){
	$.ajax({
		type: "POST",
		url: SITEURL+"aj/projects/",
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		data: {REQUEST: 'view_absence_time_off_data',date:date,project_id: project_id},
		success: function(events){
			$('#calendar').fullCalendar('removeEvents');
			$('#calendar').fullCalendar('addEventSource', events.data_label);  
			$('#calendar').fullCalendar('rerenderEvents');
			setCalendarBg();
			
			setTimeout(function(){
				/**/
				var day1=day2=day3=day4=day5=day6=day7="";
				$(".absence-cal .fc-view-container tbody .fc-row").each(function(){
					
					var row_arr = [];
					var cnt = 0;
					$(this).find(".fc-content-skeleton tbody tr").each(function(){
						//alert($(this).html());
						if(cnt==0){
							day1=day2=day3=day4=day5=day6=day7="";
						}
						var day_cnt = 0;
						$(this).find("td").each(function(){
							day_cnt++;
							if(day_cnt==1){
								day1 +=$(this).html();
							}else if(day_cnt==2){
								day2 +=$(this).html();
							}else if(day_cnt==3){
								day3 +=$(this).html();
							}else if(day_cnt==4){
								day4 +=$(this).html();
							}else if(day_cnt==5){
								day5 +=$(this).html();
							}else if(day_cnt==6){
								day6 +=$(this).html();
							}else if(day_cnt==7){
								day7 +=$(this).html();
							}		  
						});
						cnt++;
					});
					$(this).find(".fc-content-skeleton tbody").html('<tr><td class="fc-event-container">'+day1+'</td><td class="fc-event-container">'+day2+'</td><td class="fc-event-container">'+day3+'</td><td class="fc-event-container">'+day4+'</td><td class="fc-event-container">'+day5+'</td><td class="fc-event-container">'+day6+'</td><td class="fc-event-container">'+day7+'</td></tr>');
					
				});
				/**/
				$(".rploader").fadeOut(800);
				$('[data-toggle="popover"]').popover();
				$("#modal_view_absence_time_off").modal("show");				
			},500);
		}
	});
}
function htmlDecode(input){
	var e = document.createElement('div');
	e.innerHTML = input;
	return e.childNodes[0].nodeValue;
}
function setCalendarBg(){
	//setTimeout(function(){
		$('.fc-title').each(function(){
			var a = $(this).html();
			$(this).parent().html('<span class="fc-title">'+htmlDecode($(this).html())+'</span>');
		});
		$('.cal-approved').each(function(){
			$(this).closest('a').addClass("cal-approved-back")
		});
		$('.cal-working').each(function(){
			$(this).closest('a').addClass("cal-working-back")
		});
		$('.cal-submitted').each(function(){
			$(this).closest('a').addClass("cal-submitted-back")
		});
		$('.cal-rejected').each(function(){
			$(this).closest('a').addClass("cal-rejected-back")
		});
		$('.cal-leave').each(function(){
			$(this).closest('a').addClass("cal-leave-back")
		});
	//},500);
}