/*Common Variable Declaration*/
var plan_application = [];
plan_application["Complete Project Management Suite"] = [
							"attendance",
							"timekeeping",
							"projects",
							"issue_tracking",
							"expense"
						];
plan_application["Project & Time Bundle"] = [
							"attendance",
							"projects",
							"timekeeping"
						];
plan_application["Project Management"] = [
							"projects"
						];
plan_application["Time Tracking"] = [
							"timekeeping"
						];
plan_application["Attendance Tracking"] = [
							"attendance"
						];
plan_application["Issue Tracking"] = [
							"issue_tracking"
						];
plan_application["Expense Tracking"] = [
							"expense"
						];

/*******************************
var res_pages = [
					 "manage-holidays.php", "manage-users.php", "subscriptions.php", "access-controls.php", "tech-support.php",
					 "feeds.php", "ip-address.php", "manage-employees.php", "employee-scheduling.php", "attendance-approval.php", "request-timeoff.php", "time-card.php", "supervisor-workbench.php", "leave-absence.php", "reports.php", "report_employee_schedules.php", "report_attendance.php", "report-emp-schedule-utilization.php",
					 "it-feeds.php", "it-issue-log.php", "it-reports.php", "report_project_issue_log.php", "report_issue_log_register.php",
					 "exp-feeds.php", "exp-types.php", "exp-setup.php", "exp-manage-approvals.php", "exp-enter-exp-report.php", "exp-spend-analysis.php", "expense-reports.php", "report_expense_entry.php", "report_expenditure_detail.php",
					 "pw-feeds.php", "manage-projects.php", "project-details.php", "pw-change-request.php", "project-workbench.php", "project-reports.php", "report_project_and_task_status.php", "report_progress_trend_analysis.php", "report_project_task_status_report_by_task_owner.php", "report_requirement_to_task_status.php", "report_team_performance.php", "report_kanban.php", "report_performance_benchmark.php", "report_project_schedule_excel_format.php, project-trend-analysis.php",
					 "tt-feeds.php", "tt-create-view-task.php", "tt-time-entry.php", "tt-time-keeping.php", "tt-manage-approvals.php", "tt-time-entry-reports.php", "report_timesheet_entry.php", "report_budgeted_actual_hours_by_projects.php", "report_time_entry_indirect_task_time.php", "report_time_entry_register.php",
					 "inv-manage-invoice.php", "inv-enter-invoice.php", "inv-setup.php", "inv-reports.php", "report_invoice.php", "report_invoice_payments.php"
					 ];
**********************************/

/*Common Variable Declaration*/

var is_err_scrolled = false;
function form_element_empty_err(element,is_err_scrolled=false)
{
    element.addClass('error_ele');
    element.after('<span role="alert" class="not-valid-tip">This field is required.</span>');        
    //j(this).after().addClass('home-inner-content');
    element.focus();
	
	if(is_err_scrolled == false){
		is_err_scrolled = true;
		scroll_to_div(element);	
	}
	
	
}

function form_element_correct(element)
{
	is_err_scrolled = false;
    element.removeClass('error_ele');
    element.next('span.not-valid-tip').remove();            
    //element.next('#Combo_Customer_new2').remove();     
}

function scroll_to_div(element,scroll_offset=100){
	$('html,body').animate({
	  scrollTop: element.offset().top - scroll_offset
	}, 1000);
}

$(".only-numeric").bind("keypress", function (e) {
    var keyCode = e.which ? e.which : e.keyCode
    if (!(keyCode >= 48 && keyCode <= 57)) {
      $(".error").css("display", "inline");
      return false;
    }else{
      $(".error").css("display", "none");
    }
});

function isEmail(email) 
{
    var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    return regex.test(email);
}

function dataTableCreateCommon(tablename)
{
    if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/
      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           ['excel','pdf',
            {
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }]]
    }); 
    
         
        $('#'+tablename+' tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        var sortBy = 2;
	table.
            order([sortBy, 'desc'])
            .draw();
        var length = table.page.info().recordsTotal;
        return (length);
  }






///function dataTableCreateCommonOrderOn(tablename,sort_field_num=2)
function dataTableCreateCommonOrderOff(tablename)
{
    if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/

      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
            "order": [],
      "dom": 'lBfrtip',              
       buttons: [                  
           ['excel','pdf', {
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }]]
    }); 
    
         
        $('#'+tablename+' tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	table.
            order([])            
            .draw();
        var length = table.page.info().recordsTotal;
        return (length);
  }


  function myPopup(myURL, title, myWidth, myHeight) 
    {
       var left = (screen.width - myWidth) / 2;
       var top = (screen.height - myHeight) / 4;
       var myWindow = window.open(myURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width=' + myWidth + ', height=' + myHeight + ', top=' + top + ', left=' + left);
    }
    
function CheckPassword(inputtxt)   
{
    var decimal=  /^(?=.*\d)(?=.*[A-Z])(?=.*[^A-Z0-9])(?!.*\s).{8,240}$/;
    if(inputtxt.match(decimal))
    {
        return true;
    }
    else
    {
        return false;
    }
}    

function check_image_file(input,ValidImageTypes)
{
    alert(ValidImageTypes);
    if($.inArray(input.files[0]["type"], ValidImageTypes) < 0)
    {
        var id = $(input).attr("id");
        $(input).attr("id").html('<span style="color:red">Please upload an image file.</span>');
            //$("#preview-avatar-profile").html('<span style="color:red">Please upload an image file.</span>');
            //$("#btn-crop").attr('disabled','disabled');
    }
}





function sendemail(last_index_no) 
{       
    var thehtml = "<tr>";
    $('#table1 thead tr').each(function()
    { 
        $(this).children().each(function(index)
        {
            if(index!=last_index_no)
            {
                thehtml += "<th>"+$(this).text()+"</th>";
            }    
        });
    });
    thehtml += "</th>";
    
    $('#table1 tbody tr').each(function()
    {   
        thehtml += "<tr>";
        $(this).children().each(function(index)
        {
            if(index!=last_index_no)
            {
                selectedRow = $(this).text();
                if(selectedRow.trim()=="")
                {
                    var checkbox_value = ($(this).find('input[type=checkbox]').prop("checked"));
                    if(checkbox_value==true)
                    {
                        selectedRow = "Observed";
                    }
                    else
                    {
                        selectedRow = "-";
                    }
                }
                thehtml += "<td>"+selectedRow+"</td>";
            }
        });
        thehtml += "</tr>";
    });
    //console.log(thehtml);
    return thehtml;
}

/*******    RAVI CODE START ****/
function dataTableCreateCommonOrderOn(tablename,sort_field_num=2)
{
    if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/
      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				'excel',
				'pdf',
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
    
         
        $('#'+tablename+' tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        var sortBy = sort_field_num;
	table.
            order([sortBy, 'desc'])
            .draw();
        var length = table.page.info().recordsTotal;
        return (length);
  }
function setTopNotification(){
    setTimeout(function(){
		if($("#top_notifiction").length){
			$("#top_notifiction").mCustomScrollbar({  // custom scroll bar plugin
				theme:"light-2",  // custom scroll theme set
				axis: "y",     // custom scroll ver,hor scroll
			});
		}
	},50);
}
$(document).ready(function(){
    
    
	$("#notificationDropdown").click(function(){
		$("#top_notifiction").mCustomScrollbar("destroy");
		setTopNotification();
	});
	setTopNotification();
	/*******************/
	$('#cmdViewAllNotification').click(function(){
		$("#top_notifiction_modal_area").html("");
		//$("#view_all_notification_modal .modal-content").css("max-height",$(window).height()+"px");
		$('#view_all_notification_modal').modal('show');
		$("#top_notifiction_modal_area").css("max-height",parseInt($(window).height()-150)+"px");
		getAllNotifications();
	});
	/*******************/
    if($(".custom-multiselect").length){
		setTimeout(function(){
			$(".multiselect-container").mCustomScrollbar({  // custom scroll bar plugin
				theme:"light-2",  // custom scroll theme set
				axis: "y",     // custom scroll ver,hor scroll
			});
		},500);	
	}
	/*******************/
	$(".show-pass-cls").click(function(){
		if($(this).children().hasClass("fa-eye")){
			$(this).parent().parent().find("input[type='password']").attr("type","text");
			$(this).children().removeClass("fa-eye").addClass("fa-eye-slash");
		}else{
			$(this).parent().parent().find("input[type='text']").attr("type","password");
			$(this).children().removeClass("fa-eye-slash").addClass("fa-eye");
		}
	});
});

function getAllNotifications(){
	$.ajax({
		url: SITEURL+"aj/expenses/",
		method: "POST",
		data: {REQUEST: 'get_all_notification_data',is_html:true},
		beforeSend: function() {
			$(".notification-pre-loader").fadeIn(800);
		},
		success: function (response){ 
			$(".notification-pre-loader").fadeOut(500);
			setTimeout(function(){
				$("#top_notifiction_modal_area").html(response);
			},800);
			setTimeout(function(){
				$("#top_notifiction_modal_area").mCustomScrollbar("destroy");
				$("#top_notifiction_modal_area").mCustomScrollbar({  // custom scroll bar plugin
					theme:"light-2",  // custom scroll theme set
					axis: "y",     // custom scroll ver,hor scroll
				});
			},1200);  
		}
	});
}
/*******    RAVI CODE END ****/

function dataTableForReportGroup(tablename)
{
    if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {    
     "ordering": false,
      "dom": 'lBfrtip',              
       buttons: [                  
           ['excel','pdf',
           {
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
            ]]
    }); 
    
      
	table.
            order([])            
            .draw();
        var length = table.page.info().recordsTotal;
        return (length);
  }
  
setDropdownRequiredBackground();
function setDropdownRequiredBackground(){
	if($("select.requirefieldcls").length) {
		$(".requirefieldcls").siblings().find('.select2-selection').attr("style","background-color: #FEFFBC !important;");
	}
	if($("select.combo-bold").length) {
		$(".combo-bold").siblings().find('.select2-selection').attr("style","font-weight: 600 !important;");
	}
	// Call DropdownRequiredBackground Function after its initialization when custom-multiselect field is required.
	if($("select.custom-multiselect.requirefieldcls").length>0){
		$("select.custom-multiselect.requirefieldcls").siblings().find('.multiselect').attr("style","background-color: #FEFFBC !important;");
	}
}

function GetAnyUserImage(element_id,user_id)
{
     var user_img = "";
     $.ajax({
         url:SITEURL+"aj/issue-tracking/2/",
         method:"POST",
         data:{REQUEST:'GetUserImagebyUserid',user_id:user_id},
         beforeSend: function() 
        {
                $(".rploader").fadeIn(800);
        },
         success:function(response)
         {
             setTimeout(function(){
            $(".rploader").fadeOut(800);
             console.log(response);
             if(response.succ==1)
             {  
                if (response.image_name=="")
                {
                    user_img = SITEURL+'images/faces/default_face.png';
                }
                else
                {
                    user_img = SITEURL+'img/uploads/user_images/'+response.image_name;
                }    
                 $('#'+element_id).attr('src', user_img);
             }
             },1000);
         }
    });
   
 }
 
 /*************/
function dataTableDefaultOrderOff(tablename) {
	if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
    var table = $('#'+tablename).DataTable(
    {
        /*"searching": false,*/
      columnDefs: [ 
            { targets: [0,-1], orderable: false},                    
            ],
      "dom": 'lBfrtip',              
       buttons: [                  
           [
				'excel',
				'pdf',
               	{
                   	text: 'Email',
                   	action: function ( e, dt, node, config ) {
                   	//$("#modal_email").show(); 
                   	show_emaimodal();
                	}
                }
           ]]
    }); 
    
         
	$('#'+tablename+' tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        
	var length = table.page.info().recordsTotal;
	return (length);
}
/*************/

$(document).ready(function(){
	
	$(".toggle-fullscreen").click(function () {
		toggleFullScreen();
	});
	$(".left-main-search li").each(function(){
		var k = $(this).text();
		k = k.replace(/\s+/g, " ");
		k = k.trim();
		k = k.replace(" ","-");
		k = k.toLowerCase();
		$(this).addClass(k);
	});
	$(".left-main-search li ul li a").each(function(){
		var k = $(this).text();
		k = k.replace(/\s+/g, " ");
		k = k.trim();
		k = k.replace(" ","-");
		k = k.toLowerCase();
		$(this).parent('li').addClass(k);
	});
	$(".left-search-text").keyup(function(){
		var keyword = $(this).val();
		keyword = keyword.replace(" ","-");
		keyword = keyword.trim();
		keyword = keyword.toLowerCase();
		$('.left-main-search li').removeClass("li-show").addClass("li-hide");
		$('.left-main-search li a').addClass("collapsed");
		$('.left-main-search li div').removeClass("show");
		
		$('.left-main-search li[class*="'+keyword+'"]').removeClass("li-hide").addClass("li-show");
		$('.left-main-search li[class*="'+keyword+'"] a').removeClass("collapsed");
		$('.left-main-search li[class*="'+keyword+'"] div').addClass("show");
		//alert(str);
		if(keyword.length == 0) {
			$('.left-main-search li').removeClass("li-hide").addClass("li-show");
			$('.left-main-search li a').addClass("collapsed");
			$('.left-main-search li div').removeClass("show");
		}		   
	});
	/*********************************************/
	setTimeout(function () {
		// var page_link_arr = [];
		// page_link_arr['invoicing/setup-client/'] = 'https://help.coexsys.com/billing-2/';
		// page_link_arr['invoicing/invoices/'] = 'https://help.coexsys.com/billing-2/';
		// page_link_arr['invoicing/reports/'] = 'https://help.coexsys.com/reports-2/';

		var href = document.location.href;
		var curr_page = href.replace(SITEURL,"");

		var help_page_url = "javascript:void(0);";
		var help_video_url = "javascript:void(0);";
		var target = "";
		if(typeof page_link_arr[curr_page] === 'undefined'){
		}else{
			help_page_url = page_link_arr[curr_page];
			help_page_url = help_page_url['help_page_link'];
			if(help_page_url!=""){
				$(".breadcrumb-help").append('<li  class="breadcrumb-help-icons"><a href="'+help_page_url+'" class="breadcrumb-help-que-icon" title="View How-To Guide" target="_blank"><img src="'+SITEURL+'images/icons/icons-question-mark1.png" width="20px;" /></a></li>');
			}
			
			help_video_url = page_link_arr[curr_page];
			help_video_url = help_video_url['help_video_link'];
			if(help_video_url!=""){
				$(".breadcrumb-help").append('<li class="breadcrumb-help-icons"><a href="'+help_video_url+'" class="breadcrumb-help-vid-icon" title="View Video Tutorial" target="_blank"><img src="'+SITEURL+'images/icons/video-help.png" width="24px;" /></a></li>');
			}
		}

		

		
	}, 1500);
	
	$("#top_setting").click(function(){
		if($("#top_setting_modal_body").html()==""){
			$.ajax({
				url:SITEURL+"aj/common/",
				method:"POST",
				data:{REQUEST:'get_top_user_info',is_html:true},
				beforeSend: function(){
					$(".rploader").fadeIn(800);
				},
				success:function(response){
					$("#top_setting_modal_body").html(response);
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						$("#top_setting_modal").modal("show");
						/*********************/
						if($("#btn_close_company_account").length){
							$("#btn_close_company_account").click(function(){
								sendCompanyCloseAccountRequest();
							});
						}
						/*********************/
					},1000);
				}
			});
		}else{
			$("#top_setting_modal").modal("show");
		}
	});
        
    $("#btn_quick_video").click(function(){
		if($("#modal_quick_video_content").html()==""){
			$.ajax({
				url:SITEURL+"aj/common/",
				method:"POST",
				data:{REQUEST:'get_modal_quick_start_video',is_html:true},
				beforeSend: function(){
					$(".rploader").fadeIn(800);
				},
				success:function(response){
					
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						$("#modal_quick_video_content").html(response);
						var width = $(window).width();
						var height = $(window).height();
						if(width>480){
							if(height>350){
								height = height - 200;
								$("#video_pop").attr("height",height+"px");
								if(width>=1650){
									$("#video_pop").attr("width","100%");
								}
							}
						}
						
						$("#modal_quick_start_video").modal("show");
						setTimeout(function(){
							var video_width = $("#video_pop").width();
							video_width = video_width + 50;
							$("#modal_quick_start_video .modal-dialog").attr("style","width:"+video_width+"px");
						},200);
					},1000);
				}
			});
		}else{
                      
			$("#modal_quick_start_video").modal("show");
		}                
	});
        
        
    $('body').on('change', '#check_not_show', function() 
    {
        var val1 = "N";
        if($(this).is(":checked")) 
        {
            val1 = "Y";
        }
        $.ajax({
			url: SITEURL+"aj/dashboard/",
			method: "POST",
			data: {REQUEST: 'show_video_again',val1:val1},
			beforeSend: function() {                           
							$(".rploader").fadeIn(800);
			},
			success: function (response){  
							setTimeout(function()
							{
									$(".rploader").hide();                                
							},1000);
			}
		});
    });
	/****************************/
	$(".btn_update_payment_details").click(function(){
		update_payment_details();
	});
	/****************************/
	$("#btn_upgrade,#btn_upgrade_link").click(function(){
		upgradePlan();
	});
	/**************/
	setTimeout(function(){
		$("#buy_new_license_modal .table tr.selected select").val("1");
	},1000);
});

/********************************************************/
function sendCompanyCloseAccountRequest(){
	var r = confirm("Are you sure want to close your company account?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/common/",
			method: "POST",
			data: {REQUEST: 'send_company_close_account_request'},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					alert(response.msg);
					if(response.succ==1){
						window.location.href='';
					}
				},1000);
			}
		});
	}
}
/********************************************************/

function upgradePlan(){
	if($("#top_upgrade_modal_body").html()==""){
		$.ajax({
			url:SITEURL+"aj/common/",
			method:"POST",
			data:{REQUEST:'get_top_upgrade_user_info',is_html:true},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				$("#top_upgrade_modal_body").html(response);
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					$("#top_upgrade_modal").modal("show");
					/****************************/
					$(".btn_update_payment_details").click(function(){
						update_payment_details();
					});
					/***************************/
					$("#btn_buy_new_license").click(function(){
						$("#top_upgrade_modal .close").click();
						$("#buy_new_license_modal").modal("show");
						/*****************/
						$("#buy_new_license_modal .dd_plan_code").each(function(){
							if($(this).val()>0){
								$(this).change();
							}
						});
					});
					
					$("#btn_buy_new_license_process").click(function(){
						validate_buy_new_license_process();
					});
				},1000);
			}
		});
	}else{
		$("#top_upgrade_modal").modal("show");
	}
	/******************/
	setTimeout(function(){
		if($("#btn_buy_new_license_home").length){
			$("#btn_buy_new_license_home").click(function(){
				buy_license_new_home();
			});
		}
	},1500);
	
}

function buy_license_new_home(){
	$.ajax({
		url:SITEURL+"aj/common/",
		method:"POST",
		data:{REQUEST:'get_buy_new_license_home',is_html:true},
		beforeSend: function(){
			$(".rploader").fadeIn(800);
		},
		success:function(response){
			$("#buy_new_lincese_home_body").html(response);
			setTimeout(function(){
				if($("#top_upgrade_modal").length){
					$("#top_upgrade_modal .close").click();
				}
				$(".rploader").fadeOut(800);
				/****************************/
				$("#buy_new_license_modal").modal("show");
				/*****************/
				$("#buy_new_license_modal .table tr.selected select").val("1");
				
				$("#buy_new_license_modal .dd_plan_code").each(function(){
					if($(this).val()>0){
						$(this).change();
					}
				});
				
				$("#btn_buy_new_license_process").click(function(){
					validate_buy_new_license_process();
				});
			},1000);
		}
	});
}

/********************************************************/

var shortcut_icon_title_create 		= "Create Shortcut on Dashboard";
var shortcut_icon_class_create 		= "create";
var shortcut_icon_image_url_create 	= SITEURL+"images/shortcut.png";

var shortcut_icon_title_remove 		= "Remove Shortcut from Dashboard";
var shortcut_icon_class_remove 		= "remove";
var shortcut_icon_image_url_remove 	= SITEURL+"images/remove-shortcut.png";
setTimeout(function () {
	var href = document.location.href;
	
	if($(".breadcrumb").length && !$(".breadcrumb").hasClass("no-shortcut")){
		
		var saved_pages = $(".rploader").data("shortcut_pages");
		saved_pages = saved_pages.split(",");
		
		var shortcut_icon_title 	= shortcut_icon_title_create;
		var shortcut_icon_class 	= shortcut_icon_class_create;
		var shortcut_icon_image_url = shortcut_icon_image_url_create;
		
		if($.inArray(href,saved_pages)>-1){
			shortcut_icon_title 	= shortcut_icon_title_remove;
			shortcut_icon_class 	= shortcut_icon_class_remove;
			shortcut_icon_image_url = shortcut_icon_image_url_remove;
		}
		$(".breadcrumb").find(".breadcrumb-item:last-child").append('<a href="javascript:void(0);" id="srt_btn" title="'+shortcut_icon_title+'" class="shortcut-icon ml-2 '+shortcut_icon_class+'"><img src="'+shortcut_icon_image_url+'" width="20px" alt=""></a>');
		$("#srt_btn").click(function(){
			shortcut_page();
		});
	}
}, 500);
function shortcut_page(){
	var confirm_msg = "";
	var op = "";
	var href = document.location.href;
	var pg_title = "";
	var pg_title = $("#srt_btn").parent().text();
	if($("#srt_btn").hasClass("create")){
		confirm_msg = "Are you sure you want to create shortcut of this page on dashborad?";
		op = "create";
	}else{
		confirm_msg = "Are you sure you want to remove shortcut of this page from dashborad?";
		op = "remove";
	}
	$.ajax({
		url:SITEURL+"aj/common/",
		method:"POST",
		data:{REQUEST:'set_shortcut_page',op:op,href:encodeURIComponent(href),pg_title:pg_title},
		beforeSend: function(){
			$(".rploader").fadeIn(800);
		},
		success:function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				if(response.succ==1){
					if($("#srt_btn").hasClass(shortcut_icon_class_create)){
						$("#srt_btn").removeClass(shortcut_icon_class_create);
						$("#srt_btn").html('<img src="'+shortcut_icon_image_url_remove+'" width="20px" alt="">');
						$("#srt_btn").addClass(shortcut_icon_class_remove);
						$("#srt_btn").attr("title",shortcut_icon_title_remove);
					}else{
						$("#srt_btn").removeClass(shortcut_icon_class_remove);
						$("#srt_btn").html('<img src="'+shortcut_icon_image_url_create+'" width="20px" alt="">');
						$("#srt_btn").addClass(shortcut_icon_class_create);
						$("#srt_btn").attr("title",shortcut_icon_title_create);
					}
				}else{
					alert("Something went wrong. Please try again.");
				}
			},1000);
		}
	});
}

function update_payment_details(){
	$.ajax({
		url:SITEURL+"aj/common/",
		method:"POST",
		data:{REQUEST:'update_payment_details'},
		beforeSend: function(){
			$(".rploader").fadeIn(800);
		},
		success:function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				if(response.succ==1 && response.redirect_url!=""){
					window.location.href = response.redirect_url;
				}else{
					alert("Something went wrong. Please try again.");
				}
			},1000);
		}
	});
}
/**************************************/
function validate_buy_new_license_process(){
	var flag = true;
	
	form_element_correct($("#buy_new_license_modal #div_agree"));
	if($("#buy_new_license_modal #chkAgree").prop("checked")==false)            
	{
		$("#buy_new_license_modal #div_agree").addClass('error_ele');
		$("#buy_new_license_modal #div_agree").after('<span role="alert" class="not-valid-tip">You have to agree to the Term and Conditions.</span>');  
		$("#buy_new_license_modal #chkAgree").focus();
		flag = false;
	}
	
	var is_qty = false;
	$("#buy_new_license_modal .dd_plan_code").each(function(){
		if($(this).val()>0){
			is_qty = true;
		}
	});
	
	if(is_qty==false){
		alert("Please select atleast one plan.");
		flag = false;
	}
	
	if(flag==true && $("#buy_new_license_modal .buy_plan").length){
		buy_new_license();
	}
}
function buy_new_license(){
	
	var buy_plan_code = $("#buy_new_license_modal .buy_plan").val();
	if(buy_plan_code!=""){
		$.ajax({
			url:SITEURL+"aj/common/",
			method:"POST",
			data:{REQUEST:'buy_new_licenses',plan_code:buy_plan_code,qty:$("#buy_new_license_modal #plan_"+buy_plan_code+"_qty").val()},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				setTimeout(function(){
					if(response.succ==1){
						$("#buy_new_license_modal #plan_state_"+buy_plan_code).val("");
						$("#buy_new_license_modal #plan_state_"+buy_plan_code).removeClass("buy_plan");
						$("#buy_new_license_modal #plan_status_"+buy_plan_code).html('<svg class="checkmark_mini" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52"><circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none"/><path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8"/></svg>');
						if($("#buy_new_license_modal .buy_plan").length){
							buy_new_license();
						}else{
							$(".rploader").fadeOut(800);
							setTimeout(function(){
								//window.location.href='manage-licenses.php';
								planConfirmation('buy');
							},800);
						}
					}else{
						alert("Something went wrong. Please try again.");
					}
				},1000);
			}
		});
	}
}
/*****************************************/
function setPlanTotal(op,qty,plan_type,plan_code,plan_price){
	
	var id_pre 		= "buy_new";
	var class_pre 	= "buy";
	if(op=="remove"){
		id_pre = "remove";
		class_pre = "remove";
	}
	
	var total_amount = 0;
	var grand_total_amount = 0;
	total_amount = parseInt(qty)*parseFloat(plan_price);
	
	if(qty>0){
		$("#"+id_pre+"_license_modal #plan_state_"+plan_code).addClass(class_pre+"_plan");
		$("#"+id_pre+"_license_modal #plan_state_"+plan_code).val(plan_code);
	}else{
		$("#"+id_pre+"_license_modal #plan_state_"+plan_code).removeClass(class_pre+"_plan");
		$("#"+id_pre+"_license_modal #plan_state_"+plan_code).val("");
	}
	
	$("#"+id_pre+"_license_modal #plan_"+plan_code+"_total_amount").text("$"+parseFloat(total_amount).toFixed(2));
	
	$("#"+id_pre+"_license_modal ."+plan_type+"_grand_total_amount").each(function(){
		var a = $(this).text();
		grand_total_amount += parseFloat(a.replace("$",""));
	});
	
	$("#"+id_pre+"_license_modal #"+plan_type+"_grand_total_amount").text("$"+parseFloat(grand_total_amount).toFixed(2));
}

function planConfirmation(action){
	var modal_title = "";
	if(action=="buy"){
		modal_title = "Subscription Purchase Confirmation";
	}else{
		modal_title = "Subscription Removal Confirmation";
	}
	$.ajax({
		url:SITEURL+"aj/common/",
		method:"POST",
		data:{REQUEST:'get_plan_confirmation',is_html:true,action:action},
		beforeSend: function(){
			$(".rploader").fadeIn(800);
		},
		success:function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#plan_confirm_title").text(modal_title);
				$("#top_plan_confirm_modal_body").html(response);
				$(".lic-close").click();
				$("#plan_confirm_modal").modal({
					backdrop: 'static',
					keyboard: false,
					show: true
				});
				$("#plan_confirm_modal .close").click(function(){
					window.location.href= SITEURL+"account/licenses/";
				});
			},1000);
		}
	});
}

/****************************************/
function getSubscriptions(search_plan_code=""){
    $.ajax({
		url: SITEURL+"aj/subscriptions/",
		method: "POST",
		data: {REQUEST: 'get_subscriptions_data',is_html:true,search_plan_code:search_plan_code},
		beforeSend: function() {
			$(".rploader").fadeIn(500);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(500);
				$("#subscription_result").mCustomScrollbar("destroy");
				$("#subscription_result").html(response);
				
				$('[data-toggle="popover"]').popover();
				
				var table = $('#table_subsriptions').DataTable( {
				  "info": false,
				  "autoWidth": false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				});
				$("#table_subsriptions_filter").hide();
				/***************************/
				$('#table_subsriptions tfoot th.searc').each( function () {
						var title = $(this).text();
						$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				}); 
				/***************************/
				// Apply the search
				table.columns().every( function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
			},500);
		}
	});
}
/****************************************/
function getUserSubscriptionData(id){
	$.ajax({
		url: SITEURL+"aj/subscriptions/",
		method: "POST",
		data: {REQUEST: 'get_user_subscription_data',is_html:true,user_id:id},
		beforeSend: function() {
			$(".rploader").fadeIn(500);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(500);
				$("#user_subscription_data_div").html(response);
				$("#user_subscription_data_modal").modal("show");
				/*******************/
				/*if($(".admin_plan_disable").length){
					$(".admin_plan_disable").change(function() {
			 			if(!this.checked) {
				 			alert($(this).parent().attr("title"));
							$(".admin_plan_disable").prop("checked", true);
						}
				   	});
				}else if($(".admin-curr-assign-class").length){
					$(".admin-curr-assign-class").change(function(){
						if($(".admin-curr-assign-class:checked").length==0){
							alert("Admin/Owner should have atleast one plan assigned.");
							$(this).prop("checked", true);
						}
					});
				}*/
			},1000);
		}
	});
}
/****************************************/
function hasDuplicates(array) {
	for (var i = 0; i < array.length; i++) {
		if (array.indexOf(array[i]) !== array.lastIndexOf(array[i])) {
		  return true;
		}
	}
	return false;
}
function updateUserSubscription(){
	var apps_str = "";
	$(".sub-class").each(function(){
		if(this.checked){
			var plan_data = $(this).val();
			plan_data = plan_data.split(" ## ");
			var plan_name = plan_data[0];
			var plan_apps = plan_application[plan_name];
			apps_str += plan_apps.join()+",";
			
		}
	});
	apps_str = apps_str.slice(0, -1);
	var flag = true;
	if(hasDuplicates(apps_str.split(","))){
		flag = false;
		alert("You can not assign plans with same application.");
	}
	
	if(flag==true){
		var r = confirm("Are you sure you want to update subscription?");
		if(r){
			var formdata = $('#form_subscription').serialize();
			$.ajax({
				url: SITEURL+"aj/subscriptions/",
				method: "POST",
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				data: {REQUEST: 'update_user_subscription',form1: formdata},
				success: function (response){ 
					setTimeout(function(){
						if(response.succ==1){
							alert("User subscription updated successfully.");
							$("#user_subscription_data_modal").modal("hide");
							
							if(is_load_sub_plan==true){
								getSubscriptionPlansDetails();
								getSubscriptions();
							}else{
								getSubscriptions();
							}
						}else{
							alert(response.msg);
							$(".rploader").fadeOut(800);
						}
					},1000); 
				}
			});
		}
	
	}
}
/*function updateUserSubscription(plan_data,user_id,action,curr_id){
	var action_txt = "Subscribe";
	if(action=="unsubscribe"){ action_txt = "Unubscribe"; }
	var r = confirm("Are you sure you want to update subscription to "+action_txt+"?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/subscriptions/",
			method: "POST",
			data: {REQUEST: 'update_user_subscription',plan_data:plan_data,user_id:user_id,action:action},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==1){
						alert("User subscription updated successfully.");
						$("#user_subscription_data_modal").modal("hide");
						
						if(is_load_sub_plan==true){
							getSubscriptionPlansDetails();
							getSubscriptions(true);
						}else{
							getSubscriptions();
						}
					}else{
						alert(response.msg);
					}
				},500);
			}
		});
	}else{
		//Toggle checkbox to old value
		if(action=="unsubscribe"){
			$("#"+curr_id).prop("checked", true)
		}else{
			$("#"+curr_id).prop("checked", false);
		}
	}
}*/
/**************************************/

function disableButton(selector){
	if($(selector).hasClass("disabled")){
		$(selector).removeClass("disabled");
	}else{
		$(selector).addClass("disabled");
	}
}

/**************************************/

// Fullscreen
function toggleFullScreen() {
	if (
	   (document.fullScreenElement && document.fullScreenElement !== null) ||
	   (!document.mozFullScreen && !document.webkitIsFullScreen)
	) {
	   if (document.documentElement.requestFullScreen) {
		  document.documentElement.requestFullScreen();
	   } else if (document.documentElement.mozRequestFullScreen) {
		  document.documentElement.mozRequestFullScreen();
	   } else if (document.documentElement.webkitRequestFullScreen) {
		  document.documentElement.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT);
	   } else if (document.documentElement.msRequestFullscreen) {
		  if (document.msFullscreenElement) {
			 document.msExitFullscreen();
		  } else {
			 document.documentElement.msRequestFullscreen();
		  }
	   }
	} else {
	   if (document.cancelFullScreen) {
		  document.cancelFullScreen();
	   } else if (document.mozCancelFullScreen) {
		  document.mozCancelFullScreen();
	   } else if (document.webkitCancelFullScreen) {
		  document.webkitCancelFullScreen();
	   }
	}
 }

 /******************************************/
 function setDatePicker(from_selector,to_selector){
	$(from_selector,to_selector).datepicker("remove");
	$(from_selector).datepicker({
		format: "mm/dd/yyyy",
		enableOnReadonly: true,
		todayHighlight: true,
		autoclose: true,
		orientation: "bottom"
	}).on('changeDate', function(ev) {

		$(to_selector).val("");
		$(to_selector).datepicker("remove");

		var newDate = new Date(ev.date);
		
		newDate.setDate(newDate.getDate());
		var dd = ('0'+ (newDate.getDate())).slice(-2);
		var mm = ('0'+(newDate.getMonth()+1)).slice(-2);
		var yy = newDate.getFullYear();
		var MyDateString = mm+"/"+dd+"/"+yy;
		
		$(to_selector).datepicker({
			format: "mm/dd/yyyy",
			enableOnReadonly: true,
			todayHighlight: true,
			autoclose: true,
			orientation: "bottom",
			startDate:MyDateString
		});
	});
	/******************/
	
	if($(from_selector).val()!="" && $(to_selector).val()!=""){
		
		$(to_selector).datepicker({
			startDate:$(from_selector).val()
		});
	}
}

if($(".by-effort-cls").length){
	$(".by-effort-cls").click(function(){
		if($(this).attr("title")!=""){
			alert($(this).attr("title"));
		}
	});
}