var doughnutPieData = {
    datasets: [{
      data: [30, 40],
      backgroundColor: [
        'rgba(54, 162, 235, 0.5)',
        'rgba(255, 206, 86, 0.5)',
        'rgba(75, 192, 192, 0.5)',
        'rgba(153, 102, 255, 0.5)',
        'rgba(255, 159, 64, 0.5)',
        'rgba(255, 99, 132, 0.5)',
        
      ],
      borderColor: [
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)',
        'rgba(153, 102, 255, 1)',
        'rgba(255, 159, 64, 1)',
        'rgba(255,99,132,1)'
      ],
    }],

    // These labels appear in the legend and in the tooltips when hovering different arcs
    labels: [      
      'Blue',
      'Yellow',
    ]
  };
  
  var doughnutPieOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    }
  };
  
    /*if ($("#pieChart_project1").length) 
    {
        var pieChartCanvas = $("#pieChart_project1").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_project2").length) 
    {
        var pieChartCanvas = $("#pieChart_project2").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_project3").length) 
    {
        var pieChartCanvas = $("#pieChart_project3").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_project4").length) 
    {
        var pieChartCanvas = $("#pieChart_project4").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }*/
    
    if ($("#pieChart_change_request").length) 
    {
        var pieChartCanvas = $("#pieChart_change_request").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
        
        $("#pieChart_change_request").click(function()
        {
            window.open("pw-change-request.php", '_blank');
        });
    }
    
    if ($("#pieChart_stakeholder_project1").length) 
    {
        var pieChartCanvas = $("#pieChart_stakeholder_project1").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_stakeholder_project2").length) 
    {
        var pieChartCanvas = $("#pieChart_stakeholder_project2").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_stakeholder_project3").length) 
    {
        var pieChartCanvas = $("#pieChart_stakeholder_project3").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_stakeholder_project4").length) 
    {
        var pieChartCanvas = $("#pieChart_stakeholder_project4").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
    if ($("#pieChart_project_issues").length) 
    {
        var pieChartCanvas = $("#pieChart_project_issues").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
          
        });
    }
    
    (function($) {
  'use strict';  
  $.contextMenu({
    selector: '.project-feeds',
    callback: function(key, options) 
    {
       // var m = "clicked: " + key;
       //  window.console && console.log(m) || alert(m);
       if(key=='create')
       {
           $(".create_announcement").click();
       }
    },
    items: {
      "create": {
        name: "Create Announcement",        
        accesskey: "c"
      }
  }
  });
  
  
  
  /*$.contextMenu({
    selector: '.project-task',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "WBS_view": {name: "WBS View"},
      "Canban_View": {name: "Canban View"},
      "Gantt_Chart": {name: "Gantt Chart"},"sep1": "---------",
      "Report_Task_Progress": {name: "Report Task Progress"},"sep2": "---------",
      "Message_to": {name: "Message to",
          "items": {
              "Message_to-key1": {
                "name": "Project Manager"
              },
              "Message_to--key2": {
                "name": "Team Members"
              },
              
            }
        },
      "sep3": "---------",
      "Run_Report": {name: "Run Report"},"sep4": "---------","Open_NewTab": {name: "Open in New Tab"}
      
  }
  });*/
  
  
  $.contextMenu({
    selector: '.project-attendance',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "View_Timecards": {name: "View Timecards"},
      "Request_Timeoff": {name: "Request a Time off"},
      "View_WorkSchedule": {name: "View Work Schedule"},
      "Report_ShiftHours": {name: "Report Shift Hours"},"sep1": "---------",
      "Enter_ProjectTime": {name: "Enter Project Time"},
      
      "View_Pending": {name: "View Pending"},"Send_Messageto": {name: "Send Message to"},"sep2": "---------",
      "View_AuditTrail": {name: "View Audit Trail"},"sep3": "---------","Open_NewTab": {name: "Open in New Tab"}
  }
  });
  
    $.contextMenu({
    selector: '.project-time',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "View_Timecards": {name: "View Timecards"},
      "Request_Timeoff": {name: "Request a Time off"},
      "View_WorkSchedule": {name: "View Work Schedule"},
      "Report_ShiftHours": {name: "Report Shift Hours"},"sep1": "---------",
      "Enter_ProjectTime": {name: "Enter Project Time"},
      
      "View_Pending": {name: "View Pending"},"Send_Messageto": {name: "Send Message to"},"sep2": "---------",
      "View_AuditTrail": {name: "View Audit Trail"},"sep3": "---------","Open_NewTab": {name: "Open in New Tab"}
  }
  });
  
  
  $.contextMenu({
    selector: '.project-expenses',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "Submit_New": {name: "Submit a new"},
      "Submit_Message": {name: "Submit Message to"},
      "View_OpenExpense": {name: "View Open Expense"},
      "Reports": {name: "Reports"},"sep1": "---------",
      "Open_NewTab": {name: "Open in New Tab"}
  }
  });
  
  
  
  $.contextMenu({
    selector: '.stakeholders-workbench',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "View_GroupMembers": {name: "View Group Members"},
      "View_Tasks": {name: "View Tasks"},
      "View_Requirements": {name: "View Requirements"},
      "View_Change": {name: "View Change"},
      "View_Issues": {name: "View Issues"},
      "Upload_Documents": {name: "Upload Documents"},
      "View_Risks": {name: "View Risks"},
      "View_Assumptions": {name: "View Assumptions"},"sep1": "---------",
      "Send_Message_To":{name:"Send Message To"},"sep2": "---------",
      "Open_NewTab": {name: "Open in New Tab"}
  }
  });
  
  
  $.contextMenu({
    selector: '.project-issues',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "Submit_New": {name: "Open a new issue"},
      "Send_Message_ProjectStakeholder": {name: "Send Message to Project Stakeholder"},      
      "sep1": "---------",
      "Open_NewTab": {name: "Open in New Tab"}
  }
  });
  

  $.contextMenu({
    selector: '.change-request',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "change_request": {name: "Open a New Change Request"},
      "sep1": "---------",
      "Message_to": {name: "Message to",
          "items": {
              "Message_to-key1": {
                "name": "Project Manager"
              },
              "Message_to--key2": {
                "name": "Team Members"
              },
              
            }
        },
        "sep2": "---------",
      "run_report": {name: "Run Report"},      
      "sep3": "---------",
      "Open_NewTab": {name: "Open in New Tab"}
  }
  });
  
  
  })(jQuery);
  
  
    $(".stakeholders-workbench").click (function()
    {
        window.open("pw-stakeholders.php", '_blank');
    });
    
    $(".create_announcement").click (function()
    {
        window.open("pw-feeds.php?tab=3", '_blank');
    });
  
    $(".project_feeds").click (function()
    {
        window.open("pw-feeds.php?tab=1", '_blank');
    });
    
    $(".project-taks").click (function()
    {
        window.open("pw-tasks.php", '_blank');
    });
    
    $(".pw-change-request").click (function()
    {
        window.open("pw-change-request.php", '_blank');
    });
    
    $(".pw-stakeholders").click (function()
    {
        window.open("pw-stakeholders.php", '_blank');
    });
   $(".pw-expense-budget").click (function()
    {
        window.open("pw-expense-budget.php", '_blank');
    });
    $(".pw-project-issue,#pieChart_project_issues").click (function()
    {
        window.open("pw-project-issue.php", '_blank');
    });
   
  /*
   function dataTableCreate(tablename)
  {
    if ($.fn.DataTable.isDataTable("#"+tablename)) 
    {
        $('#'+tablename).DataTable().clear().destroy();
    }
      var table = $('#'+tablename).DataTable({
                "searching": false,
              columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
              "dom": 'lBfrtip',              
               buttons: [                  
                   ['excel','pdf',{text: 'Email'}]]
	}); 
         
        $('#'+tablename+' tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () 
         {
		var that = this;
		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
                                    .search( this.value )
                                    .draw();
			}
		});
	}); 
        var sortBy = 2;
	table.
            order([sortBy, 'desc'])
            .draw();
        
  }*/