<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
if($_SESSION['login_user_array']['user_role']=='User')
{
	header("location:".SITEURL."dashboard/");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Leave Absence</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true"> 
					<div class="modal-dialog swal-modal modal-xl" role="document" style="max-width: 40%;" >
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title" id="modal1_label">Add Leave</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
							</div>
							
                                                            <div class="modal-body pb-0">
                                                                <form name="form1" id="form1"  method="post">
                                                                <div class="form-group row mb-1">
                                                                    <input type="hidden" id = "h_selectedid" name="h_selectedid" value="">
                                                                    <label class="col-sm-2 col-form-label">Leave</label>
                                                                    <div class="col-sm-9">
                                                                        <input type="text" class="form-control " id="text_leave" name="text_leave" autocomplete="off">
                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        &nbsp;&nbsp;
                                                                    </div>
                                                                    <div class="col-sm-9 col-center">
                                                                        <span class="not-valid-tip" id = "span_msg"></span>
                                                                    </div>    
                                                                </div>
                                                                
                                                                <div class="form-group row mb-1">
                                                                    
                                                                    <label class="col-sm-2 col-form-label">Enable</label>
                                                                    <div class="col-sm-9">
                                                                        <div class="form-check mt-3">
                                                                                <label class="form-check-label">
                                                                                <input type="checkbox" class="form-check-input checkbx"  id="check_enable_popup" name="check_enable_popup" value="1">
                                                                                <i class="input-helper"></i><i class="input-helper"></i><i class="input-helper"></i></label>
                                                                        </div>
                                                                    </div>                                                                    
                                                                </div>
                                                                </form>
                                                            </div>
                                                            
<!--								<div class="modal-body pt-0">
									<div class="row col-12 ">
										<input type="hidden" id = "h_selectedid" name="h_selectedid" value="">
										<div class="col-4 pt-4 pl-0 pr-0">Leave</div>
										<div class="col-8 pt-4 pl-0 pr-0">
											<input type="text" class="form-control " id="text_leave" name="text_leave" autocomplete="off">
										</div>
										<div class="col-4 pt-4 pl-0 pr-0">&nbsp;&nbsp;</div>
										<div class="col-8 pt-4 pl-0 pr-0"> <span class="not-valid-tip" id = "span_msg"></span> </div>
									</div>
									<div class="row col-12 ">
										<div class="col-4 pt-4 pl-0 pr-0">Enable</div>
										<div class="col-8 pt-4 pl-0 pr-0">
											<div class="form-check">
												<label class="form-check-label">
												<input type="checkbox" class="form-check-input checkbx"  id="check_enable_popup" name="check_enable_popup" value="1">
												<i class="input-helper"></i><i class="input-helper"></i><i class="input-helper"></i></label>
											</div>
										</div>
									</div>
								</div>-->
								<div class="modal-footer">
									<button type="button" class="btn btn-primary btn-icon"  title="Save Record" id="cmdSave" name="cmdSave"><i class="fa fa-save"></i></button>
									<!-- data-dismiss="modal" -->
								</div>
							
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item active" aria-current="page">Leave of Absence</li>
									</ol>
								</nav>
								<?php
                                    if($_SESSION['login_user_array']['user_role']=='Admin')
                                    {?>
								<div class="d-flex flex-wrap justify-content-between pb-2"> &nbsp;&nbsp;
									<div> <a class="btn btn-primary btn-sm" data-toggle="modal" href="javascript();" id="link_add_leave"  title="Add"> <i class="fa fa-plus" aria-hidden="true"></i> </a> </div>                                                                        
								</div>
								<?php   } ?>
								<div class="row">
									<div class="col-12">
										<div class="table-responsive">
											<table id="table1" class="table table-bordered">
												<thead>
													<tr class="table-info">
														<th class="text-center" width='5%'>Sr. No.</th>
														<th class="text-center">Leave</th>
														<th class="text-center" width="10%">Enable</th>
														<th class="text-center" width="5%">Actions</th>
													</tr>
												</thead>
												<tfoot>
													<tr>
														<th></th>
														<th class="searc">Leave</th>
														<th></th>
														<th></th>
													</tr>
												</tfoot>
												<tbody>
													<?php
                                                            $qry = "select * from cxs_leave where company_id = '".$_SESSION['login_user_array']['company_id']."' order by cxs_leave.id ";
                                                             $result = mysqli_query($conn,$qry);
                                                             if(mysqli_num_rows($result)>0)
                                                             {
                                                                 $counter = 1;
                                                                while($row = mysqli_fetch_assoc($result))
                                                                {
                                                                    $data_content_eye_icon = show_eye_icon_data("cxs_leave","id",$row['id']);
                                                         ?>
													<tr>
														<td><?php echo $counter; ?></td>
														<td><?php echo $row['leave_name']; ?></td>
														<td><div class ='d-flex flex-row'>
																<div class='form-check'>
																	<label class='form-check-label'>
																	<input type='checkbox' class='form-check-input checkbx' disabled="disabled" <?php echo ($row['enable_flag']=="Y")?"checked":""; ?>>
																	<i class='input-helper'></i><i class='input-helper'></i><i class='input-helper'></i> </label>
																</div>
															</div></td>
														<td width='9%'><div class='text-center'>
																<?php
                                                                        if($_SESSION['login_user_array']['user_role']=='Admin')
                                                                        {?>
																<button class='btn edit ml-0 mr-2 pl-0 pr-0' title='Edit Record' data-toggle='modal' data-target='#modal1'><i class='fa fa-pencil' aria-hidden='true'></i></button>
																<input name = "h_selected_id" type='hidden' value="<?php echo $row['id']; ?>">
																<!--<button class='btn delete_record ml-0 mr-2 pl-0 pr-0' title='Delete Record'><i class='fa fa-trash-o' aria-hidden='true'></i></button>-->
																<?php   } ?>
																<button type='button' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' > <i class=' fa fa-eye'></i> </button>
															</div></td>
													</tr>
													<?php   $counter++;
                                                                 }
                                                    }
                                                    
                                                ?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
       /*var table = $('#table1').DataTable({
                "searching": false,
              columnDefs: [ 
                    { targets: [-1], orderable: false},                    
                    ],
              "dom": 'lBfrtip',
              "buttons": [['excel' ,'pdf'],{text: 'Email'}]
	}); 
         
        $('#table1 tfoot th.searc').each( function () {
		var title = $(this).text();
		$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
	});     
        
        // Apply the search
	 table.columns().every( function () {
		var that = this;

		$( 'input', this.footer() ).on( 'keyup change', function () {
			if ( that.search() !== this.value ) {
				that
					.search( this.value )
					.draw();
			}
		});
	}); 
        var sortBy = 2;
	table.
		order([sortBy, 'desc'])
		.draw();
        */
           $(".rploader").fadeIn(800);
           setTimeout(function()
            {
                $(".rploader").fadeOut(800);
                dataTableCreateCommon("table1");
                $("#table1_filter").hide();    
            },1000);
        
       $("#cmdSave").click(function ()
        {
            var flag = true;
            form_element_correct($("#text_leave"));            
            $("#span_msg").text("");            
            if($("#text_leave").val()=="")
            {
                form_element_empty_err($("#text_leave"));//               
                flag = false;
            }
            
            
            var formdata = $('#form1').serialize();             
            if(flag == true)
            {
                $.ajax({
                    url: SITEURL+"aj/issue-tracking/2/",
                    method: "POST",
                    data: {REQUEST: 'save_leave_data', form1: formdata},
                    success: function (response)
                    {  
                        if(response.succ==0)
                        {
                            $("#span_msg").text(response.msg);
                        }
                        else
                        {
                            location.reload(); 
                            $('#modal1').modal('hide');
                        }    
                    }
                });
            }
        }); 
        
        $("#text_leave").change(function()
        {
            $("#span_msg").text("");  
        });
        $('.edit').click(function()
        {
            $("#text_leave").val('');
            $("#check_enable_popup").prop("checked",false);
            $("#h_selectedid").val("");
            $("#span_msg").text("");            
            var selected_id = $(this).next().val();    
            $("#h_selectedid").val(selected_id);
            $("#modal1_label").text("Update Leave");
            
            $.ajax({
                    url: SITEURL+"aj/issue-tracking/2/",
                    method: "POST",
                    data: {REQUEST: 'get_leave_data', leave_id: $("#h_selectedid").val()},
                    beforeSend: function() 
                {
                        $(".rploader").fadeIn(800);
                },
                    success: function (response)
                    {  
                        setTimeout(function()
                        {
                        $(".rploader").fadeOut(800);
                        
                        if(response.succ==1)
                        {
                            $("#text_leave").val(response.leave_data['leave_name']);                            
                            $("#check_enable_popup").prop("checked",response.leave_data['enable_flag']=="Y"?true:false);
                            $('#modal1').modal('show');
                        }
                        },1000); 
                    }
                });            
        });
        
        
        $('#link_add_leave').click(function()
        {
            $("#text_leave").val('');
            $("#check_enable_popup").prop("checked",false);
            $("#h_selectedid").val("");
            $("#span_msg").text("");
            $('#modal1').modal('show');
        });
        
    </script>
</body>
</html>
