<?php 
include("../conn.php"); 
include("../functions.php");

$titlebar = "Plan Removal Confirmation";

$user_email			= urldecode($_REQUEST['user_email']);
$full_name			= urldecode($_REQUEST['full_name']);
$total_credit_amount= $_REQUEST['total_credit_amount'];
$data = $_REQUEST['data'];

$months_plan_confirm_str = "";
$yearly_plan_confirm_str = "";

if(isset($_REQUEST['data'])){
	foreach($data as $plan_confirm_data){
		$plan_confirm_str ='
				<tr>
					<td style=" padding: 5px 5px;text-align: left;">
						<div class="d-flex">
							<label class="my-2">'.$plan_confirm_data["name"].'</label>
						</div>
					</td>
					<td style=" padding: 5px 5px;text-align: right;">
						$'.setNumberFormat($plan_confirm_data["price"]).'
					</td>
					<td style=" padding: 5px 5px;text-align: right;">
						'.$plan_confirm_data["qty"].'
					</td>
					<td style=" padding: 5px 5px;text-align: right;">
						$'.setNumberFormat($plan_confirm_data["total_price"]).'
					</td>
				</tr>
			';
		if($plan_confirm_data["type"]=="months"){
			$months_plan_confirm_str .= $plan_confirm_str;
		}else{
			$yearly_plan_confirm_str .= $plan_confirm_str;
		}
	}
}
?>
<!DOCTYPE html>
<head>
<title>Coexsys | <?php echo $titlebar; ?></title>

</head>
<body style=" background: #f4f4f4;
    color: #333;
    line-height: 28px;
	font-family: raleway, helveticaneue, helvetica neue, Helvetica, Arial, sans-serif;
    text-transform: none;
    font-size: 16px;">
	<div id="invoice" style="background: #fff;
    min-width: 670px;
    max-width: 900px;
    padding: 60px;
    margin: 0 auto 60px;
    border-radius: 4px;">
		<!-- Header -->
		<div class="row">
			<div class="col-md-6">
				<div id="logo" style="margin-bottom:25px;"><a href="<?php echo SITEURL; ?>"><img style=" max-height: 44px;" src="<?php echo SITEURL; ?>images/main_logo.png" alt=""></a></div>
			</div>
		</div>
		<div class="row" style="width:100%;display: inline-block;">
			<div class="col-md-12" style="width: 100%;float: left;"> 
				Dear <strong class="margin-bottom-5" style="font-weight: 600;color: #333;display: inline-block;"><?php echo $full_name; ?></strong>,
				<p style="margin: 0;
    padding-bottom: 20px;
    clear: both;">This is a confirmation that your request to remove licenses has been processed. A sales credit of $<?php echo setNumberFormat($total_credit_amount); ?> will be issued and emailed to you. We will automatically apply this sales credit towards future billing.</p>
			</div>
		</div>
		
		<div class="row" style="width:100%;display: inline-block;">
			<div class="col-md-12" style="width: 100%;float: left;"> 
				<p style="margin: 0;
    padding-bottom: 20px;
    clear: both;">You have elected to remove licenses for followings plans as of today:</p>
			</div>
		</div>
		
		<?php
		if($months_plan_confirm_str!=""){
		?>
			<div class="row" style="width:100%;display: inline-block;">
				<div class="col-md-12" style="width: 100%;float: left;"> 
					<p style="margin: 0;
		padding-bottom: 10px;
		clear: both;font-size:18px;">Monthly Subscriptions Purchased:</p>
				</div>
			</div>
			
			<div class="row" style="width:100%;display: inline-block;">
				<div class="col-md-12" style="width: 100%;float: left;">
					<table border="1" bordercolor="#ddd" class="margin-top-20" style="width: 100%;
				margin: 0 0 30px;
				border-spacing: 0;">
						<tr>
							<th style=" padding: 5px 5px;text-align: left;">Subscription Plans</th>
							<th style=" padding: 5px 5px;text-align: left;" width="10%">Price ($)</th>
							<th style=" padding: 5px 5px;text-align: left;" width="15%">License Qty.</th>
							<th style=" padding: 5px 5px;text-align: left;" width="17%">Total Amount ($)</th>
						</tr>
						<?php echo $months_plan_confirm_str; ?>
					</table>
				</div>
			</div>
		<?php
		}
		?>
		
		<?php
		if($yearly_plan_confirm_str!=""){
		?>
			<div class="row" style="width:100%;display: inline-block;">
				<div class="col-md-12" style="width: 100%;float: left;"> 
					<p style="margin: 0;
		padding-bottom: 20px;
		clear: both;font-size:18px;">Yearly Subscriptions Purchased:</p>
				</div>
			</div>
			
			<div class="row" style="width:100%;display: inline-block;">
				<div class="col-md-12" style="width: 100%;float: left;">
					<table border="1" bordercolor="#ddd" class="margin-top-20" style="width: 100%;
				margin: 0 0 30px;
				border-spacing: 0;">
						<tr>
							<th style=" padding: 5px 5px;text-align: left;">s</th>
							<th style=" padding: 5px 5px;text-align: left;" width="10%">Price ($)</th>
							<th style=" padding: 5px 5px;text-align: left;" width="15%">License Qty.</th>
							<th style=" padding: 5px 5px;text-align: left;" width="17%">Total Amount ($)</th>
						</tr>
						<?php echo $yearly_plan_confirm_str; ?>
					</table>
				</div>
			</div>
		<?php
		}
		?>
		
		<div class="row" style="width:100%;display: inline-block;">
			<div class="col-md-12" style="width: 100%;float: left;"> 
				<p style="margin: 0;
    padding-bottom: 20px;
    clear: both;"><strong>IMPORTANT</strong>: Please visit <a href="<?php echo SITEURL."account/licenses/"; ?>" style="text-decoration:underline !important;color:#0000CC !important;">Manage Licenses</a> page to see your license details and also to access your customer portal</p>
			</div>
		</div>
		<div class="row" style="width:100%;display: inline-block;">
			<div class="col-md-12" style="width: 100%;float: left;"> 
				<p style="margin: 0;
    padding-bottom: 20px;
    clear: both;">Please contact <a href="mailto:service@coexsys.com" style="text-decoration:underline !important;color:#0000CC !important;">service@coexsys.com</a>, or reach out to us via chat or call us at <a href="tel:1-800-COEXSYS" class="common-edit-link">1-800-COEXSYS</a>.</p>
			</div>
		</div>
		<div class="row" style="width:100%;display: inline-block;">
			<div class="col-md-12" style="width: 100%;float: left;"> 
				<p style="margin: 0;
    padding-bottom: 20px;
    clear: both;">Thank you.<br>Coexsys Customer Service.</p>
			</div>
		</div>
		<!-- Footer -->
		<?php //include("include_footer_mail.php"); ?>
	</div>
</body>
</html>