<?php 
include("../conn.php"); 
include("../functions.php"); 
$titlebar = "Timesheet Entry Submitted";
//print_r($_REQUEST);die;
$timesheet_id 		= intval($_REQUEST['timesheet_id']);
$timesheet_line_ids = urldecode($_REQUEST['timesheet_line_ids']);
$user_name			= urldecode($_REQUEST['user_name']);
$supervisor_name	= urldecode($_REQUEST['supervisor_name']);

$selectQuery 	= "SELECT * FROM `cxs_time_entry_header` WHERE timesheet_id='".$timesheet_id."'";
$RunUserQuery	= mysqli_query($conn, $selectQuery);
$rows			= mysqli_fetch_assoc($RunUserQuery);

$pay_period			= $rows["pay_period"];
$timesheet_name		= $rows["timesheet_name"];
$user_id 			= $rows["user_id"];
?>
<!DOCTYPE html>
<head>
<title>Coexsys | <?php echo $titlebar; ?></title>

</head>
<body style=" background: #f4f4f4;
    color: #333;
    line-height: 28px;
	font-family: raleway, helveticaneue, helvetica neue, Helvetica, Arial, sans-serif;
    text-transform: none;
    font-size: 16px;">
	<div id="invoice" style="background: #fff;
    min-width: 670px;
    max-width: 900px;
    padding: 60px;
    margin: 0 auto 60px;
    border-radius: 4px;">
		<!-- Header -->
		<div class="row">
			<div class="col-md-6">
				<div id="logo" style="margin-bottom:25px;"><a href="<?php echo SITEURL; ?>"><img style=" max-height: 44px;" src="<?php echo SITEURL; ?>/images/main_logo.png" alt=""></a></div>
			</div>
		</div>
		<div class="row" style="width:100%;display: inline-block;">
			<div class="col-md-12" style="width: 100%;float: left;"> 
				Hello <strong class="margin-bottom-5" style="font-weight: 600;color: #333;display: inline-block;"><?php echo $supervisor_name; ?></strong>,
				<p style="margin: 0;
    padding-bottom: 40px;
    clear: both;">Following timesheet entry has been submitted by <strong class="margin-bottom-5" style="font-weight: 600;color: #333;display: inline-block;"><?php echo $user_name; ?></strong></p>
			</div>
		</div>
		
		<div class="row" style="width:100%;display: inline-block;">
			<div class="col-md-12" style="width: 100%;float: left;">
				<table border="1" bordercolor="#ddd" class="margin-top-20" style="margin-top: 20px;width: 100%;
			margin: 0 0 30px;
			border-spacing: 0;">
					<tr>
						<th style=" padding: 5px 5px;text-align: left;">Date</th>
						<th style=" padding: 5px 5px;text-align: left;">Project</th>
						<th style=" padding: 5px 5px;text-align: left;">Task/Leave</th>
						<th style=" padding: 5px 5px;text-align: left;">Straight Time Hours</th>
						<th style=" padding: 5px 5px;text-align: left;">Overtime</th>
						<th style=" padding: 5px 5px;text-align: left;">Leave Hours</th>
						<th style=" padding: 5px 5px;text-align: left;">Comment</th>
						<th style=" padding: 5px 5px;text-align: left;">Status</th>
					</tr>
					<?php
					$total_working_hours 	= 0;
					$total_working_minutes	= 0;
					$total_submitted_hours 	= 0;
					$total_submitted_minutes= 0;
					$total_approved_hours 	= 0;
					$total_approved_minutes	= 0;
					
					$selectQuery 	= "
							SELECT 
								te.*,
								p.project_name, p.project_number, 
								t.task_name as task_name1, t.task_number,
								l.leave_name,
								tt.task_name as task_name2,
								ap.comment AS supervisor_comment
							FROM 
								`cxs_time_entry_header` th
							INNER JOIN
								`cxs_time_entry_lines` te
							ON
								th.timesheet_id=te.timesheet_id
							LEFT JOIN
								`cxs_projects` p
							ON
								te.project_id=p.project_id
							LEFT JOIN
								`cxs_projects_tasks` t
							ON
								te.task_id=t.task_id
							LEFT JOIN
								`cxs_leave` l
							ON
								te.leave_id=l.id
							LEFT JOIN
								`cxs_time_tracking_tasks` tt
							ON
								te.task_id=tt.task_id
							LEFT JOIN
								`cxs_time_entry_approval_activity` ap
							ON
								ap.timesheet_line_id=te.timesheet_line_id
							WHERE 
								th.timesheet_id='".$timesheet_id."' AND te.timesheet_line_id IN ($timesheet_line_ids) AND te.user_id='".$user_id ."'
							ORDER BY 
								te.timesheet_line_id
						";		
					$RunUserQuery	= mysqli_query($conn, $selectQuery);
					$StdNumRows 	= mysqli_num_rows($RunUserQuery);
					if($StdNumRows>0){
						while($rows=mysqli_fetch_assoc($RunUserQuery)){
							$timesheet_line_id	= $rows["timesheet_line_id"];
							$timesheet_id		= $rows["timesheet_id"];
							$project_id			= $rows["project_id"];
							$task_id			= $rows["task_id"];
							$leave_id			= $rows["leave_id"];
							
							$straight_time_hours	= $rows["straight_time_hours"];
							$straight_time_minutes	= $rows["straight_time_minutes"];
							$overtime_time_hours	= $rows["overtime_time_hours"];
							$overtime_time_minutes	= $rows["overtime_time_minutes"];
							$comment				= htmlspecialchars_decode(nl2br($rows['comment']));	
							$time_entry_status		= $rows["time_entry_status"];
							$time_entry_date		= setDate($rows["time_entry_date"],"m/d/Y");
							
							$project_name		= htmlentities($rows["project_name"]);
							$project_number		= htmlentities($rows["project_number"]);
							if($project_id>0){
								$task_name			= htmlentities($rows["task_name1"]);
								$task_number		= htmlentities($rows["task_number"]);
							}else{
								$task_name			= htmlentities($rows["task_name2"]);
							}
							$leave_name			= htmlentities($rows["leave_name"]);
							
							
							if($time_entry_status=="Working"){
								$total_working_hours 	+= ($straight_time_hours+$overtime_time_hours);
								$total_working_minutes	+= ($straight_time_minutes+$overtime_time_minutes);
							}else if($time_entry_status=="Submitted"){
								$total_submitted_hours 	+= ($straight_time_hours+$overtime_time_hours);
								$total_submitted_minutes+= ($straight_time_minutes+$overtime_time_minutes);
							}else if($time_entry_status=="Approved"){
								$total_approved_hours 	+= ($straight_time_hours+$overtime_time_hours);
								$total_approved_minutes	+= ($straight_time_minutes+$overtime_time_minutes);
							}
					?>	
					<tr>
						<td style=" padding: 5px 5px;text-align: left;">
							<?php echo $time_entry_date; ?>
						</td>
						<td>
							<?php
							if($task_id>0){
								echo $project_name;
							}else{
								echo "-";
							}
							?>
						</td>
						<td>
							<?php
							if($task_id>0){
								echo $task_name;
							}else{
								echo $leave_name;
							}
							?>
						</td>
						<td>
							<?php 
							echo $straight_time_hours." Hour(s) ".$straight_time_minutes." Minute(s)"; 
							?>
						</td>
						<td>
							<?php 
							echo $overtime_time_hours." Hour(s) ".$overtime_time_minutes." Minute(s)"; 
							?>
						</td>
						<td>-</td>
						<td align="center">
							<?php
							if($time_entry_status=="Approved"){
								$status_style = "background-color: #2b80ff;";
							}else if($time_entry_status=="Rejected"){
								$status_style = "background-color: #ff0000;";
							}else if($time_entry_status=="Submitted"){
								$status_style = "background-color: #17c964;";
							}else{
								$status_style = "background-color: #e6e6e6";
							}
							?>
							<label style="width:100%;color:#FFFFFF;
									margin-top:0;
									border-radius: 4px;
									font-size: 12px;
									line-height: 1;
									padding: .375rem .5625rem;
									font-weight: normal; <?php echo $status_style; ?>"><?php echo $time_entry_status; ?></label>
						</td>
						<td>
							<?php echo $comment; ?>
						</td>
					</tr>
					<?php
						}
					}
					?>
				</table>
			</div>
		</div>
		
		<div class="row">
			<div class="col-md-12"> 
				<a href="<?php echo SITEURL."time-tracking/timesheet/view/i/".$timesheet_id."/".$user_id."/"; ?>" class="print-button" style="line-height: 24px;
    font-size: 15px;
    font-weight: 600;
    color: #333;
    background-color: #e6e6e6;
    border-radius: 50px;
    padding: 10px 20px;
    display: block;
    text-align: center;
    margin: 0;
    max-width: 190px;
    transition: 0.3s;
    text-decoration: none !important;
    outline: none !important;">Click Here to View</a>
			</div>
		</div>
		<!-- Footer -->
		<?php //include("include_footer_mail.php"); ?>
	</div>
</body>
</html>