<?php
    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Holidays</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item"><a href="manage-holidays.php">Manage Holidays</a></li>                                          
                                        </ol>
                                    </nav>
                                    <div class="d-flex flex-wrap justify-content-between pb-2">
                                        <h4 class="card-title mb-3">Manage Holidays</h4>
                                        <div>
                                            <select class="js-example-basic-single w-20 select2-hidden-accessible ml-2 mr-2" name="combo_year" id="combo_year" tabindex="-1" aria-hidden="true">
                                                <option value="2020">2020</option>
                                                <option value="2021">2021</option>
                                                <option value="2022">2022</option>
                                                <option value="2023">2023</option>
                                                <option value="Add">Add Custom Year</option>
                                            </select>    
                                            <!--<a class="btn btn-success btn-sm" href="add-support-request.php" target="_blank">
                                                    <i class="fa fa-plus" aria-hidden="true"></i> 
                                            </a>-->
                                        </div>

                                    </div>

                                    <div class="row">                                       
                                        <div class="col-12">                                            
                                            <div class="table-responsive">
                                                <table id="table1" class="table table-bordered">
                                                    <thead>
                                                      <tr class="table-info">
                                                          <th class="text-center">Date</th>
                                                          <th class="text-center">Day</th>
                                                          <th class="text-center">Holiday</th>                                                              
                                                          <th class="text-center">Observed</th> 
                                                          <th class="text-center">Paid</th>
                                                          <th class="jsgrid-header-cell jsgrid-control-field jsgrid-align-center" style="width: 50px;"><input class="jsgrid-button jsgrid-mode-button jsgrid-insert-mode-button" type="button" title="Switch to inserting"></th>
                                                      </tr>
                                                    </thead>
                                                    
                                                    <tbody>
                                                        <tr>
                                                            <td>Attendances</td>
                                                            <td >19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td>
                                                            <td>
                                                                <div class="dropdown">
                                                                    <button type="button" class="btn btn-warning dropdown-toggle" id="dropdownMenuIconButton9" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                      <i class="typcn typcn-power"></i>
                                                                    </button>
                                                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuIconButton9" x-placement="top-start" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(0px, 0px, 0px);">
                                                                      <a class="dropdown-item" href="#">Update</a>
                                                                      <a class="dropdown-item" href="#">Close</a>                                                                      
                                                                    </div>
                                                                  </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>Projects</td>
                                                            <td >19</td>
                                                            <td>19</td>
                                                            <td>38</td>
                                                            <td>Yearly</td>
                                                            <td>$999.00</td>
                                                            <td><div class="dropdown">
                                                                    <button type="button" class="btn btn-warning dropdown-toggle" id="dropdownMenuIconButton9" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                      <i class="typcn typcn-power"></i>
                                                                    </button>
                                                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuIconButton9" x-placement="top-start" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(0px, 0px, 0px);">
                                                                      <a class="dropdown-item" href="#">Update</a>
                                                                      <a class="dropdown-item" href="#">Close</a>                                                                      
                                                                    </div>
                                                                  </div>
                                                            </td>
                                                        </tr>
                                                    </tbody>        
                                                </table>
                                            </div>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>    
        </div>
      
      
        <div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
            <div class="modal-dialog modal-sm" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel-3">Add Custom Year</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body pt-0">
                    <div class="row col-12 ">                        
                        <div class="col-4 pt-4 pl-0 pr-0">Enter Year</div>
                        <div class="col-8 pt-4 pl-0 pr-0">
                            <input type="text" class="form-control only-numeric" id="text_custom_year" name="text_custom_year"> 
                            <!--<span class="error" style="color: red; display: none">* Input digits (0 - 9)</span>-->
                        </div>

                    </div>
                </div>
                <div class="modal-footer">              
                  <button type="button" class="btn btn-primary"  id="cmd_modal_save">Save</button> <!-- data-dismiss="modal" -->
                </div>
              </div>
            </div>
        </div> 
      
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    <script src="js/custom.js"></script>
  <!-- endinject -->  
    <script>
       
        $(document).ready(function()
        {
            $('#table1').dataTable({
              "searching": false,
              "paging": true,
              "ordering": false
            });
        });    
        
        $('#combo_year').change(function()
        {
            $("#text_custom_year").val('');
            $('#modal1').modal('show')
        });
        
        $("#cmd_modal_save").click(function()
        {
            form_element_correct($("#text_custom_year"));
            if($("#text_custom_year").val()=='')
            {
                form_element_correct($("#text_custom_year"));
                form_element_empty_err($("#text_custom_year"));
                return false;
            }
            var flag_valid = "Y";
            var enterd_value = $("#text_custom_year").val();
            $("#combo_year option").each(function()
             {
                 // Add $(this).val() to your list
                 if($(this).val()==enterd_value)
                 {
                     form_element_correct($("#text_custom_year"));
                     //form_element_empty_err($("#text_custom_year"));
                     $("#text_custom_year").addClass('error_ele');
                     $("#text_custom_year").after('<span role="alert" class="not-valid-tip">Year already exist.</span>');        
                     //j(this).after().addClass('home-inner-content');
                     $("#text_custom_year").focus();
                     flag_valid="N";
                     return false;
                 }
             }); 
             
             if(flag_valid=="Y")
             {
                $("#combo_year").append('<option value="'+enterd_value+'">'+enterd_value+'</option>');
                $("#modal1").modal("hide");
             }
        });
    </script>
</body>

</html>
