<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
$card_update = "";
if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!="" && !isset($_SESSION['hostedpage_id'])){
//if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!=""){
	
	require_once "connect_zoho_api.php";
	
	$card_update = false;
	$hostedpage_id = $_REQUEST['hostedpage_id'];
	$_SESSION['hostedpage_id'] = $hostedpage_id;
	$results = getSubscriptionData("hostedpages/".$hostedpage_id);
	
	/*echo "<pre>";
	print_r($results);
	die;*/
	if($results->code=="0"){
		$card_id = $results->data->subscription->card->card_id;
		
		$insArr = array();
		$insArr['hostedpage_id'] 	= $hostedpage_id;
		$insArr['card_id'] 			= $card_id;		
		
		updatedata("cxs_licensed_products",$insArr," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
		$card_update = true;
	}
}

$results = file_get_contents('zoho_plans.json');
$results = json_decode($results, true);

/*echo "<pre>";
print_r($results);*/

$suit_plans_arr 	= array("SUIT-YEARLY","SUIT-MONTHLY");
$bundle_plans_arr 	= array("BUND-YEARLY","BUND-MONTHLY");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Licences</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/zoho-pricing-table.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<style>
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item active" aria-current="page">Manage Licences</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<?php
									if(isset($_REQUEST['hostedpage_id']) && $_REQUEST['hostedpage_id']!=""){
										if($card_update==true){
										?>
										<div class="col-md-12">
											<div class="alert alert-fill-success font-weight-bold" role="alert"> 
												<i class="typcn typcn-warning"></i> SUCCESS: Your payment details has been updated. 
											</div>
										</div>
										<?php
										}else{
										?>
										<div class="col-md-12">
											<div class="alert alert-fill-warning font-weight-bold" role="alert"> 
												<i class="typcn typcn-warning"></i> ERROR: Something went wrong. Please try again or contact <a href="mailto:service@coexsys.com" class="common-edit-link">service@coexsys.com</a> or Call at <a href="tel:1-800-COEXSYS" class="common-edit-link">1-800-COEXSYS</a>. . 
											</div>
										</div>
										<?php
										}
									}
									?>
									<div class="col-md-12">
										<div class="d-flex justify-content-between">
											<h4>Your next Payments</h4>
											<a href="javascript:void(0);" class="btn btn-sm btn-primary btn_update_payment_details">Update Payment Details</a>
										</div>
										<table class="table table-bordered mt-2">
											<thead class="table-info">
												<tr>
													<th width="40%">Plan</th>
													<th width="15%">Payment Date</th>
													<th width="15%">Amount</th>
													<th width="15%">Payment Method</th>
													<th width="15%">Payment Details</th>
												</tr>
											</thead>
											<tbody>
												<tr>
													<td>Complete Project Management Suite</td>
													<td>08/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												<tr>
													<td>Project & Time Bundle</td>
													<td>09/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												<tr>
													<td>Project Management</td>
													<td>18/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												<tr>
													<td>Time Tracking</td>
													<td>28/08/2021</td>
													<td>$0.00</td>
													<td>Card</td>
													<td>-</td>
												</tr>
												
											</tbody>
											
										</table>
									</div>
								</div>
								<div class="row mt-4">
									<div class="col-md-12">
										<ul class="nav nav-tabs" role="tablist">
											<li class="nav-item">
												<a class="nav-link active" id="tab-1" data-toggle="tab" href="#tab1" role="tab" aria-controls="tab-1" aria-selected="true">Manage Licences</a>
											</li>
											<li class="nav-item">
												<a class="nav-link" id="tab-2" data-toggle="tab" href="#tab2" role="tab" aria-controls="tab-2" aria-selected="false">Licence Requests</a>
											</li>
										</ul>
										<div class="tab-content">
											
											<div class="tab-pane fade show active" id="tab1" role="tabpanel" aria-labelledby="tab-1">
												<div class="row">
													<div class="col-md-12">
														<div class="d-flex justify-content-between">
															<div>
																&nbsp;
															</div>
															<div>
																<a href="javascript:void(0);" class="btn btn-sm btn-licence my-1" id="btn_buy_new_licence">Buy New Licences</a>
																<a href="javascript:void(0);" class="btn btn-sm btn-licence my-1" id="btn_remove_licence">Remove Licences</a>
																<a href="javascript:void(0);" class="btn btn-sm btn-primary my-1">Contact Support</a>
																<a href="javascript:void(0);" class="btn btn-sm btn-primary my-1">Access Customer Portal</a>
															</div>
														</div>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-3 offset-9 text-right">
														<div class="table-responsive">
															<table class="table table-bordered">
																<tr>
																	<td>Total Licences Available:</td>
																	<td>10</td>
																</tr>
																<tr>
																	<td>Licences Used:</td>
																	<td>5</td>
																</tr>
																<tr>
																	<td>Licences Unused:</td>
																	<td>5</td>
																</tr>
															</table>
														</div>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-12">
														<?php
														$monthly_suit_plans 	= '';
														$monthly_bundle_plans 	= '';
														$monthly_other_plans 	= '';
														
														$yearly_suit_plans 		= '';
														$yearly_bundle_plans 	= '';
														$yearly_other_plans 	= '';
														if($_SESSION["login_user_array"]["user_plan"]=="ENTERPRISE"){
															$cnt = 0;
															foreach($results["plans"]["enterprise_plans"] as $result){
																$cnt++;
																$interval_str 	= "Monthly";
																$billed_str 	= "Billed Monthly";
																if($result["interval_unit"]=="years"){
																	$billed_str = "Billed Yearly";
																	$interval_str = "Yearly";
																}
																
																if($result["plan_name"]=="Project Management"){
																	$image_url = "images/shortcut-nav-icon/project.png";
																}else if($result["plan_name"]=="Time Tracking"){
																	$image_url = "images/shortcut-nav-icon/time-tracking.png";
																}else if($result["plan_name"]=="Attendance Tracking"){
																	$image_url = "images/shortcut-nav-icon/attendance.png";
																}else if($result["plan_name"]=="Issue Tracking"){
																	$image_url = "images/shortcut-nav-icon/issue.png";
																}else if($result["plan_name"]=="Expense Tracking"){
																	$image_url = "images/shortcut-nav-icon/expenses.png";
																}else if($result["plan_name"]=="Project & Time Bundle"){
																	$image_url = "images/shortcut-nav-icon/project-time-bundle.png";
																}else if($result["plan_name"]=="Complete Project Management Suite"){
																	$image_url = "images/shortcut-nav-icon/complete-suit-bundle.png";
																}
																
																$sel_class = "";
																if($cnt==1){
																	$sel_class = "selected";
																}
																
																$plan_str = '
																	<div class="mn-licence-block '.$sel_class.' mt-3 mr-3">
																		<a class="mn-plan-img btn-plan" href="javascript:void(0);">
																			<img src="'.$image_url.'" class="img-lg" title="'.$result["plan_name"].'">
																			
																		</a>
																		<a class="mn-plan-title btn-plan mb-2" href="javascript:void(0);">'.$result["plan_name"].'</a> 
																		<h6 class="font-weight-normal"><a href="subscriptions.php" class="common-edit-link">Licenses Used: 10</a></h6>
																		<h6 class="font-weight-normal">Licenses Available: 20</h6>
																		<h6 class="font-weight-normal">Total Licenses: 30</h6>
																	</div>
																	';
																
																/*Monthly Plans*/
																if($result["interval_unit"]=="months"){
																	/*Suit Plans*/
																	if(in_array($result["plan_code"],$suit_plans_arr)){
																		$monthly_suit_plans .= $plan_str;
																	}
																	/*Suit Plans*/
																	
																	/*Bundle Plans*/
																	else if(in_array($result["plan_code"],$bundle_plans_arr)){
																		$monthly_bundle_plans .= $plan_str;
																	}
																	/*Bundle Plans*/
																	
																	/*Other Plans*/
																	else{
																		$monthly_other_plans .= $plan_str;
																	}
																	/*Other Plans*/
																}
																/*Monthly Plans*/
																
																/*Yearly Plans*/
																else if($result["interval_unit"]=="years"){
																	/*Suit Plans*/
																	if(in_array($result["plan_code"],$suit_plans_arr)){
																		$yearly_suit_plans .= $plan_str;
																	}
																	/*Suit Plans*/
																	
																	/*Bundle Plans*/
																	else if(in_array($result["plan_code"],$bundle_plans_arr)){
																		$yearly_bundle_plans .= $plan_str;
																	}
																	/*Bundle Plans*/
																	
																	/*Other Plans*/
																	else{
																		$yearly_other_plans.= $plan_str;
																	}
																	/*Other Plans*/
																}
																/*Yearly Plans*/
															}
														}else{
															
														}
														echo $monthly_suit_plans.$monthly_bundle_plans.$monthly_other_plans;
														?>
													</div>
												</div>
												<div class="row mt-3">
													<div class="col-md-12">
														<div class="mn-plan-details">
															<div class="row">
																<div class="col-md-12">
																	<h3 class="mt-2">Plan Selected : <span class="text-secondary"><strong id="plan_selected">Complete Project Management Suite</strong> (Enterprise Plan  - Monthly $1)</span></h3>
																	<h4 class="mt-5">Billing Details</h4>
																</div>
																<div class="col-md-6">
																	<div class="table-responsive">
																		<table class="table table-bordered">
																			<tr>
																				<td>Plan Name:</td>
																				<td>Complete Project Management Suit Bundle</td>
																			</tr>
																			<tr>
																				<td>Plan Type:</td>
																				<td>Monthly</td>
																			</tr>
																			<tr>
																				<td>Plan Status:</td>
																				<td>Active</td>
																			</tr>
																			<tr>
																				<td>Plan Features:</td>
																				<td>Expense, Project Management</td>
																			</tr>
																		</table>
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="table-responsive">
																		<table class="table table-bordered">
																			<tr>
																				<td>Billing</td>
																				<td></td>
																			</tr>
																			<tr>
																				<td>Next Billing Date:</td>
																				<td>25/09/2021</td>
																			</tr>
																			<tr>
																				<td>Renew Until Cancelled:</td>
																				<td>Yes</td>
																			</tr>
																			<tr>
																				<td>Amount:</td>
																				<td>$1</td>
																			</tr>
																		</table>
																	</div>
																</div>
																<div class="col-md-3">
																	<div class="table-responsive">
																		<table class="table table-bordered">
																			<tr>
																				<td>Card on File</td>
																				<td></td>
																			</tr>
																			<tr>
																				<td>Type:</td>
																				<td>Visa</td>
																			</tr>
																			<tr>
																				<td>Card Number:</td>
																				<td>**********444</td>
																			</tr>
																			<tr>
																				<td>Card Expiry Date:</td>
																				<td>08/2025</td>
																			</tr>
																		</table>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<div class="row mt-5">
													<div class="col-md-12">
														<h4>Licence Purchase History</h4>
													</div>
													<div class="col-md-6">
														<div class="table-responsive">
															<table class="table table-bordered">
																<thead class="table-info">
																	<tr>
																		<th width="45%">Name</th>
																		<th width="20%">Age</th>
																		<th width="20%">Nickname</th>
																		<th width="15%">Employee</th>
																	</tr>
																</thead>
																<tbody>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>25</td>
																		<td>John</td>
																		<td>-</td>
																	</tr>
																</tbody>
																
															</table>
														</div>
													</div>
												</div>
											</div>
											<div class="tab-pane fade" id="tab2" role="tabpanel" aria-labelledby="tab-2">
												<div class="row">
													<div class="col-md-12">
														<div class="table-responsive">
															<table class="table table-bordered">
																<thead class="table-info">
																	<tr>
																		<th width="40%">Name with Picture</th>
																		<th width="15%">Requested on</th>
																		<th width="20%">Request</th>
																		<th width="15%">Comment</th>
																		<th width="10%">Action</th>
																	</tr>
																</thead>
																<tbody>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																	<tr>
																		<td>John Doe</td>
																		<td>08/08/2021</td>
																		<td>-</td>
																		<td>-</td>
																		<td>-</td>
																	</tr>
																</tbody>
																
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					
				</div>
			</div>
		</div>
	</div>
</div>
<!-- main-panel ends -->
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="buy_new_licence_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Buy New Licences</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<?php
				$qty_option = '';
				for($i=0;$i<=1000;$i++){
					$qty_option .= '<option value="'.$i.'">'.$i.'</option>';
				}
				/*********************************************************/
				$monthly_suit_plans 	= '';
				$monthly_bundle_plans 	= '';
				$monthly_other_plans 	= '';
				
				$yearly_suit_plans 		= '';
				$yearly_bundle_plans 	= '';
				$yearly_other_plans 	= '';
				
				if($_SESSION["login_user_array"]["user_plan"]=="ENTERPRISE"){
					$cnt = 0;
					foreach($results["plans"]["enterprise_plans"] as $result){
						$cnt++;
						$interval_str 	= "Monthly";
						$billed_str 	= "Billed Monthly";
						if($result["interval_unit"]=="years"){
							$billed_str = "Billed Yearly";
							$interval_str = "Yearly";
						}
						
						if($result["plan_name"]=="Project Management"){
							$image_url = "images/shortcut-nav-icon/project.png";
						}else if($result["plan_name"]=="Time Tracking"){
							$image_url = "images/shortcut-nav-icon/time-tracking.png";
						}else if($result["plan_name"]=="Attendance Tracking"){
							$image_url = "images/shortcut-nav-icon/attendance.png";
						}else if($result["plan_name"]=="Issue Tracking"){
							$image_url = "images/shortcut-nav-icon/issue.png";
						}else if($result["plan_name"]=="Expense Tracking"){
							$image_url = "images/shortcut-nav-icon/expenses.png";
						}else if($result["plan_name"]=="Project & Time Bundle"){
							$image_url = "images/shortcut-nav-icon/project-time-bundle.png";
						}else if($result["plan_name"]=="Complete Project Management Suite"){
							$image_url = "images/shortcut-nav-icon/complete-suit-bundle.png";
						}
						
						$store_markup_descriptions = explode("|",$result["store_markup_description"]);
						$descr = '';
						if(count($store_markup_descriptions)>0){ 
							foreach($store_markup_descriptions as $feature){ 
								$descr .= '
									<li>
										<p>'.$feature.'</p>
									</li>
								';
							}
						}
						
						$data_content = '<h4>Features:</h4><ul>'.$descr.'</ul>';
						
						$plan_type = "mn";
						if($result["interval_unit"]=="years"){
							$plan_type = "yr";
						}
						
						$plan_str = '
							<tr id="plan_'.$result["plan_code"].'">
								<td class="table-user-info ml-plan-info">
									<div class="d-flex">
										<img class="img-sm rounded-circle mr-2 " src="'.$image_url.'" alt="">
										<label class="my-2">'.$result["plan_name"].'</label>
										<button type="button" class="btn btn-sm btn-eye-popover" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'.$data_content.'"><i class="fa fa-exclamation-circle"></i></button>
										<div id="plan_status_'.$result["plan_code"].'"></div>
									</div>
								</td>
								<td align="right">
									$'.$result["plan_price"].'
									<input type="hidden" class="plan_state" id="plan_state_'.$result["plan_code"].'" value="0" />
								</td>
								<td>
									<select id="plan_'.$result["plan_code"].'_qty" data-plan_code="'.$result["plan_code"].'" class="form-control dd_plan_code" onChange="setPlanTotal("buy",this.value,\''.$plan_type.'\',\''.$result["plan_code"].'\',\''.$result["plan_price"].'\');">
										'.$qty_option.'
									</select>
								</td>
								<td id="plan_'.$result["plan_code"].'_total_amount" class="'.$plan_type.'_grand_total_amount" align="right">
									$0.00
								</td>
							</tr>
							';
						
						/*Monthly Plans*/
						if($result["interval_unit"]=="months"){
							/*Suit Plans*/
							if(in_array($result["plan_code"],$suit_plans_arr)){
								$monthly_suit_plans .= $plan_str;
							}
							/*Suit Plans*/
							
							/*Bundle Plans*/
							else if(in_array($result["plan_code"],$bundle_plans_arr)){
								$monthly_bundle_plans .= $plan_str;
							}
							/*Bundle Plans*/
							
							/*Other Plans*/
							else{
								$monthly_other_plans .= $plan_str;
							}
							/*Other Plans*/
						}
						/*Monthly Plans*/
						
						/*Yearly Plans*/
						else if($result["interval_unit"]=="years"){
							/*Suit Plans*/
							if(in_array($result["plan_code"],$suit_plans_arr)){
								$yearly_suit_plans .= $plan_str;
							}
							/*Suit Plans*/
							
							/*Bundle Plans*/
							else if(in_array($result["plan_code"],$bundle_plans_arr)){
								$yearly_bundle_plans .= $plan_str;
							}
							/*Bundle Plans*/
							
							/*Other Plans*/
							else{
								$yearly_other_plans.= $plan_str;
							}
							/*Other Plans*/
						}
						/*Yearly Plans*/
					}
				}else{
					
				}
				?>
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Please update your card on file if you wish to use a different card for this purchase and for recurring payments in future. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<ul class="nav nav-tabs" role="tablist">
							<li class="nav-item">
								<a class="nav-link active" id="tab-11" data-toggle="tab" href="#tab11" role="tab" aria-controls="tab-11" aria-selected="true">Monthly</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" id="tab-22" data-toggle="tab" href="#tab22" role="tab" aria-controls="tab-22" aria-selected="false">Yearly</a>
							</li>
						</ul>
						<div class="tab-content">	
							<div class="tab-pane fade show active" id="tab11" role="tabpanel" aria-labelledby="tab-11">
								
								<div class="table-responsive">
									<table class="table table-bordered">
										<thead class="table-info">
											<tr>
												<th>Subscription Plan</th>
												<th width="10%">Price ($)</th>
												<th width="12%">Licence Qty.</th>
												<th width="16%">Total Amount ($)</th>
											</tr>
										</thead>
										<tbody>
											<?php
											echo $monthly_suit_plans.$monthly_bundle_plans.$monthly_other_plans;
											?>
											<tr>
												<td colspan="3" align="right"><strong class="td-cell-space">Grand Total:</strong></td>
												<td align="right"><strong id="mn_grand_total_amount">$0.00</strong></td>
											</tr>
										</tbody>
									</table>
								</div>
								
							</div>
							<div class="tab-pane fade" id="tab22" role="tabpanel" aria-labelledby="tab-22">
								
								<div class="table-responsive">
									<table class="table table-bordered">
										<thead class="table-info">
											<tr>
												<th>Subscription Plan</th>
												<th width="10%">Price ($)</th>
												<th width="15%">Licence Qty.</th>
												<th width="17%">Total Amount ($)</th>
											</tr>
										</thead>
										<tbody>
											<?php
											echo $yearly_suit_plans.$yearly_bundle_plans.$yearly_other_plans;
											?>
											<tr>
												<td colspan="3" align="right"><strong class="td-cell-space">Grand Total:</strong></td>
												<td align="right"><strong id="yr_grand_total_amount">$0.00</strong></td>
											</tr>
										</tbody>
									</table>
								</div>
								
							</div>
						</div>
						
						<div class="row mt-4">
							<div class="col-md-6">
								<div class="form-check" id="div_agree">
									<label class="form-check-label text-black-50">
									<input type="checkbox" class="form-check-input" id="chkAgree">
									<i class="input-helper" id="chkAgree1"></i> 
									I agree with the term of use and SLA <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
									</label>
								</div>
							</div>
							<div class="col-md-6 text-right">
								<?php
								$card_id = getvalue("cxs_licensed_products","card_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
								if($card_id!=""){
								?>
								<a href="javascript:void(0);" class="btn btn-primary" id="btn_buy_new_licence_process">Process Order</a>
								<?php }else{ ?>
								<div class="alert alert-fill-danger font-weight-bold" role="alert"> 
									Update your <a href="javascript:void(0);" class="common-edit-link btn_update_payment_details">Payment Details</a> to Process Order
								</div>
								
								<?php } ?>
							</div>
						</div>
						
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="remove_licence_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Remove Licences</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<?php
				$selectQuery 	= "SELECT * FROM `cxs_manage_licences` WHERE user_id='".$_SESSION['login_user_array']['user_id']."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$licence_arr = array();
				$plan_code_arr = array();
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$plan_code_arr[] = $rows["plan_code"];
						$licence_arr[$rows["plan_code"]] = array(
																	"subscription_id" => $rows["subscription_id"],
																	"licences_unused" => $rows["licences_unused"]
																);
					}
				}
				
				/*********************************************************/
				$suit_plans 	= '';
				$bundle_plans 	= '';
				$other_plans 	= '';
				
				if($_SESSION["login_user_array"]["user_plan"]=="ENTERPRISE"){
					$cnt = 0;
					foreach($results["plans"]["enterprise_plans"] as $result){
						if(in_array($result["plan_code"],$plan_code_arr)){
							$subscription_id = $licence_arr[$result["plan_code"]]["subscription_id"];
							$licences_unused = $licence_arr[$result["plan_code"]]["licences_unused"];
							
							$cnt++;
							$interval_str 	= "Monthly";
							$billed_str 	= "Billed Monthly";
							if($result["interval_unit"]=="years"){
								$billed_str = "Billed Yearly";
								$interval_str = "Yearly";
							}
							
							if($result["plan_name"]=="Project Management"){
								$image_url = "images/shortcut-nav-icon/project.png";
							}else if($result["plan_name"]=="Time Tracking"){
								$image_url = "images/shortcut-nav-icon/time-tracking.png";
							}else if($result["plan_name"]=="Attendance Tracking"){
								$image_url = "images/shortcut-nav-icon/attendance.png";
							}else if($result["plan_name"]=="Issue Tracking"){
								$image_url = "images/shortcut-nav-icon/issue.png";
							}else if($result["plan_name"]=="Expense Tracking"){
								$image_url = "images/shortcut-nav-icon/expenses.png";
							}else if($result["plan_name"]=="Project & Time Bundle"){
								$image_url = "images/shortcut-nav-icon/project-time-bundle.png";
							}else if($result["plan_name"]=="Complete Project Management Suite"){
								$image_url = "images/shortcut-nav-icon/complete-suit-bundle.png";
							}
							
							$store_markup_descriptions = explode("|",$result["store_markup_description"]);
							$descr = '';
							if(count($store_markup_descriptions)>0){ 
								foreach($store_markup_descriptions as $feature){ 
									$descr .= '
										<li>
											<p>'.$feature.'</p>
										</li>
									';
								}
							}
							
							$data_content = '<h4>Features:</h4><ul>'.$descr.'</ul>';
							
							$plan_type = "mn";
							$plan_type_txt = "Monthly";
							if($result["interval_unit"]=="years"){
								$plan_type = "yr";
								$plan_type_txt = "Yearly";
							}
							
							$qty_option = '';
							for($i=0;$i<=$licences_unused;$i++){
								$qty_option .= '<option value="'.$i.'">'.$i.'</option>';
							}
							
							$plan_str = '
								<tr id="plan_'.$result["plan_code"].'">
									<td class="table-user-info ml-plan-info">
										<div class="d-flex">
											<img class="img-sm rounded-circle mr-2 " src="'.$image_url.'" alt="">
											<label class="my-2">'.$result["plan_name"].' ('.$plan_type_txt.')</label>
											<button type="button" class="btn btn-sm btn-eye-popover" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'.$data_content.'"><i class="fa fa-exclamation-circle"></i></button>
											<div id="plan_status_'.$result["plan_code"].'"></div>
										</div>
									</td>
									<td align="right">
										$'.$result["plan_price"].'
										<input type="hidden" class="plan_state" id="plan_state_'.$result["plan_code"].'" value="0" />
										<input type="hidden" id="subscription_id_'.$result["plan_code"].'" value="'.$subscription_id.'" />
									</td>
									<td>
										<select id="plan_'.$result["plan_code"].'_qty" data-plan_code="'.$result["plan_code"].'" class="form-control dd_plan_code" onChange="setPlanTotal("remove",this.value,\''.$plan_type.'\',\''.$result["plan_code"].'\',\''.$result["plan_price"].'\');">
											'.$qty_option.'
										</select>
									</td>
									<td id="plan_'.$result["plan_code"].'_total_amount" class="'.$plan_type.'_grand_total_amount" align="right">
										$0.00
									</td>
								</tr>
								';
							
							/*Suit Plans*/
							if(in_array($result["plan_code"],$suit_plans_arr)){
								$suit_plans .= $plan_str;
							}
							/*Suit Plans*/
							
							/*Bundle Plans*/
							else if(in_array($result["plan_code"],$bundle_plans_arr)){
								$bundle_plans .= $plan_str;
							}
							/*Bundle Plans*/
							
							/*Other Plans*/
							else{
								$other_plans .= $plan_str;
							}
							/*Other Plans*/
						}
					}
				}else{
					
				}
				?>
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Select number of licences you wish to remove in the below section. 
						</div>
					</div>
					<div class="col-md-12">
						<div class="alert alert-fill-light font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: Please update your card on file if you wish to use a different card for this purchase and for recurring payments in future. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered">
								<thead class="table-info">
									<tr>
										<th>Subscription Plan</th>
										<th width="10%">Price ($)</th>
										<th width="12%">Licence Qty.</th>
										<th width="16%">Total Amount ($)</th>
									</tr>
								</thead>
								<tbody>
									<?php
									echo $suit_plans.$bundle_plans.$other_plans;
									?>
								</tbody>
							</table>
						</div>
						<div class="row mt-4">
							<div class="col-md-6">
								<div class="form-check">
									<label class="form-check-label text-black-50">
									<input type="checkbox" class="form-check-input " id="chkAgree">
									<i class="input-helper" id="chkAgree1"></i> 
									I agree with the term of use and SLA <a href="javascript:void(0);" style="display:inline-block;">Terms of Use</a>
									</label>
								</div>
							</div>
							<div class="col-md-6 text-right">
								<a href="javascript:void(0);" class="btn btn-primary" id="btn_remove_licence_process">Process Order</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="confirm_remove_licence_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog mt-2 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Attention!</h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-4">
				<div class="row">
					<div class="col-md-12">
						<div class="alert alert-fill-warning font-weight-bold" role="alert"> 
							<i class="typcn typcn-warning"></i> ATTENTION: You have elected to remove licences from following Plans. Please confirm. 
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered">
								<thead class="table-info">
									<tr>
										<th>Subscription Plan</th>
										<th width="20%">Licence Qty.</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>Project & Time Bundle</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="1">1</option>
												<option value="2" selected>2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Project Management</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="1">1</option>
												<option value="2">2</option>
												<option value="3" selected>3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
									<tr>
										<td>Time Tracking</td>
										<td>
											<select id="licence_qty" name="licence_qty" class="form-control">
												<option value="1" selected>1</option>
												<option value="2">2</option>
												<option value="3">3</option>
												<option value="4">4</option>
											</select>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="row mt-4">
							<div class="col-md-6">
								<a href="javascript:void(0);" class="btn btn-light" id="btn_remove_licence_cancel">Cancel</a>
							</div>
							<div class="col-md-6 text-right">
								<a href="javascript:void(0);" class="btn btn-primary" id="btn_remove_licence_confirm">I Confirm</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>

<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<!--<script src="datepicker/bootstrap-datepicker.js"></script>-->
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom.js?t=<?php echo time(); ?>"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$('[data-toggle="popover"]').popover();
	$(".btn-plan").click(function(){
		$(".mn-licence-block").removeClass("selected");
		$(this).parent().addClass("selected");
		$("#plan_selected").text($(this).parent().children(".mn-plan-title").text());
	});
	/***************************/
	$("#btn_buy_new_licence").click(function(){
		$("#buy_new_licence_modal").modal("show");
	});
	/***************************/
	$("#btn_remove_licence").click(function(){
		$("#remove_licence_modal").modal("show");
	});
	/***************************/
	/*$("#btn_remove_licence_process").click(function(){
		$("#confirm_remove_licence_modal").modal("show");
		$("#confirm_remove_licence_modal").attr("style","z-index:1052");
		
		$(".modal-backdrop").attr("style","z-index:1051");
		$('#confirm_remove_licence_modal').click(function() {
			$(".modal-backdrop").removeAttr("style");
			$("body").addClass("modal-open");
		});
		$(".custom-close, #btn_remove_licence_cancel").click(function(){
			$(".modal-backdrop").removeAttr("style");
			$("body").addClass("modal-open");
			$("#confirm_remove_licence_modal").modal("hide");
		});
		$('#confirm_remove_licence_modal > .modal-dialog').click(function(event){
			event.stopPropagation();
		});
	});*/
	/****************************/
	$(".btn_update_payment_details").click(function(){
	
		var r = confirm("Are you sure you want to update payment details?");
		if(r){
			$.ajax({
				url:"ajax_common.php",
				method:"POST",
				data:{REQUEST:'update_payment_details'},
				beforeSend: function(){
					$(".rploader").fadeIn(800);
				},
				success:function(response){
					setTimeout(function(){
						$(".rploader").fadeOut(800);
						if(response.succ==1 && response.redirect_url!=""){
							window.location.href = response.redirect_url;
						}else{
							alert("Something went wrong. Please try again.");
						}
					},1000);
				}
			});
		}
	});
});
/*****************************************/
function setPlanTotal(op,qty,plan_type,plan_code,plan_price){
	alert(op);
	var id_pre 		= "buy_new";
	var class_pre 	= "buy";
	if(op=="remove"){
		id_pre = "remove";
		class_pre = "remove";
	}
	alert(class_pre);
	var total_amount = 0;
	var grand_total_amount = 0;
	total_amount = parseInt(qty)*parseFloat(plan_price);
	
	if(qty>0){
		$("#"+id_pre+"_licence_modal #plan_state_"+plan_code).addClass(class_pre+"_plan");
		$("#"+id_pre+"_licence_modal #plan_state_"+plan_code).val(plan_code);
	}else{
		$("#"+id_pre+"_licence_modal #plan_state_"+plan_code).removeClass(class_pre+"_plan");
		$("#"+id_pre+"_licence_modal #plan_state_"+plan_code).val("");
	}
	
	$("#"+id_pre+"_licence_modal #plan_"+plan_code+"_total_amount").text("$"+parseFloat(total_amount).toFixed(2));
	
	$("#"+id_pre+"_licence_modal ."+plan_type+"_grand_total_amount").each(function(){
		var a = $(this).text();
		grand_total_amount += parseFloat(a.replace("$",""));
	});
	
	$("#"+id_pre+"_licence_modal #"+plan_type+"_grand_total_amount").text("$"+parseFloat(grand_total_amount).toFixed(2));
}
/****************************************/
$("#btn_buy_new_licence_process").click(function(){
	
	var flag = true;
	
	form_element_correct($("#buy_new_licence_modal #div_agree"));
	if($("#buy_new_licence_modal #chkAgree").prop("checked")==false)            
	{
		$("#buy_new_licence_modal #div_agree").addClass('error_ele');
		$("#buy_new_licence_modal #div_agree").after('<span role="alert" class="not-valid-tip">You have to agree to the Term and Conditions.</span>');  
		$("#buy_new_licence_modal #chkAgree").focus();
		flag = false;
	}
	
	var is_qty = false;
	$("#buy_new_licence_modal .dd_plan_code").each(function(){
		if($(this).val()>0){
			is_qty = true;
		}
	});
	
	if(is_qty==false){
		alert("Please select atleast one plan.");
		flag = false;
	}
	
	if(flag==true && $("#buy_new_licence_modal .buy_plan").length){
		buy_new_licence();
	}
});

function buy_new_licence(){
	
	var buy_plan_code = $("#buy_new_licence_modal .buy_plan").val();
	if(buy_plan_code!=""){
		$.ajax({
			url:"ajax_common.php",
			method:"POST",
			data:{REQUEST:'buy_new_licences',plan_code:buy_plan_code,qty:$("#buy_new_licence_modal #plan_"+buy_plan_code+"_qty").val()},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				setTimeout(function(){
					if(response.succ==1){
						$("#buy_new_licence_modal #plan_state_"+buy_plan_code).val("");
						$("#buy_new_licence_modal #plan_state_"+buy_plan_code).removeClass("buy_plan");
						$("#buy_new_licence_modal #plan_status_"+buy_plan_code).html('<svg class="checkmark_mini" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52"><circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none"/><path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8"/></svg>');
						if($("#buy_new_licence_modal .buy_plan").length){
							buy_new_licence();
						}else{
							$(".rploader").fadeOut(800);
							setTimeout(function(){
								window.location.href='';
							},800);
						}
					}else{
						alert("Something went wrong. Please try again.");
					}
				},1000);
			}
		});
	}
}

/*******************************************************/

$("#btn_remove_licence_process").click(function(){
	var flag = true;
	
	form_element_correct($("#remove_licence_modal #div_agree"));
	if($("#remove_licence_modal #chkAgree").prop("checked")==false)            
	{
		$("#remove_licence_modal #div_agree").addClass('error_ele');
		$("#remove_licence_modal #div_agree").after('<span role="alert" class="not-valid-tip">You have to agree to the Term and Conditions.</span>');  
		$("#remove_licence_modal #chkAgree").focus();
		flag = false;
	}
	
	var is_qty = true;
	$("#remove_licence_modal .dd_plan_code").each(function(){
		if($(this).val()>0){
			is_qty = true;
		}
	});
	
	if(is_qty==false){
		alert("Please select atleast one plan.");
		flag = false;
	}
	
	if(flag==true && $("#remove_licence_modal .remove_plan").length){
		remove_licence();
	}
});

function remove_licence(){
	
	var remove_plan_code = $("#remove_licence_modal .remove_plan").val();
	if(remove_plan_code!=""){
		$.ajax({
			url:"ajax_common.php",
			method:"POST",
			data:{REQUEST:'remove_licences',plan_code:remove_plan_code,qty:$("#remove_licence_modal #plan_"+remove_plan_code+"_qty").val(),subscription_id:$("#remove_licence_modal #subscription_id_"+remove_plan_code).val()},
			beforeSend: function(){
				$(".rploader").fadeIn(800);
			},
			success:function(response){
				setTimeout(function(){
					if(response.succ==1){
						$("#remove_licence_modal #plan_state_"+remove_plan_code).val("");
						$("#remove_licence_modal #plan_state_"+remove_plan_code).removeClass("remove_plan");
						$("#remove_licence_modal #plan_status_"+remove_plan_code).html('<svg class="checkmark_mini" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52"><circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none"/><path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8"/></svg>');
						if($("#remove_licence_modal .buy_plan").length){
							remove_licence();
						}else{
							$(".rploader").fadeOut(800);
							setTimeout(function(){
								window.location.href='';
							},800);
						}
					}else{
						alert("Something went wrong. Please try again.");
					}
				},1000);
			}
		});
	}
}
</script>
</body>
</html>
