<?php
    require_once "conn.php";
    check_login();    
    if ($_SESSION['login_user_array']['user_role']=="User")
    {
        header("Location: admin.php");
        exit();
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Pay Period</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
    <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
    <link rel="stylesheet" href="vendors/dropify/dropify.min.css">    
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
   <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <script src="vendors/js/vendor.bundle.base.js"></script>
  
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">
                        <div class="col-lg-12 grid-margin">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item active" aria-current="page">Pay Period</li>                                              
                                        </ol>
                                    </nav>
                                    <h2 class="card-title add_title">Manage Pay Period </h2>
                                    <form class="add_frm" method="post" id="form1" name="form1"> 
                                        <div class="row">
                                            <div class="col-md-12"><hr></div>
                                            
                                            <div class="col-md-12">                                               
                                                <div class="row">
                                                    
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>Time Card Period</label> 
                                                            <select class="js-example-basic-single w-100" name="combo_timecard" id="combo_timecard">
                                                                  <option value="Weekly"> Weekly  </option>
                                                                  <option value="Bi-Weekly"> Bi-Weekly</option>
                                                                  <option value="Monthly"> Monthly</option>
                                                                  <option value="Semi Monthly"> Semi Monthly</option>
                                                            </select> 
                                                        </div>
                                                    </div> 
                                                    
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>First Day of the Week</label> 
                                                            <select class="js-example-basic-single w-100" name="combo_week_firstday" id="combo_week_firstday">
                                                                  <option value="Sunday"  > Sunday</option>
                                                                  <option value="Monday"> Monday</option>
                                                                  <option value="Tuesday" > Tuesday</option>
                                                                  <option value="Wednesday"> Wednesday</option>
                                                                  <option value="Thursday" > Thursday</option>
                                                                  <option value="Friday" > Friday</option>
                                                                  <option value="Saturday"> Saturday</option>
                                                            </select> 
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="col-md-6">
                                                        <div class="d-flex flex-wrap justify-content-between">
                                                            <div class="form-group">
                                                                <label>Timesheet Rules</label> 
                                                                <div class="form-check">
                                                                    <label class="form-check-label" style="line-height: 0.8;">
                                                                        <input type="checkbox" class="form-check-input" id="chk_self_approve" name="chk_self_approve" value="1">
                                                                        Allow Employees to Self approve Attendance
                                                                      <i class="input-helper" ></i>
                                                                    </label>
                                                                </div>

                                                                <div class="form-check">
                                                                    <label class="form-check-label" style="line-height: 0.8;">
                                                                        <input type="checkbox" class="form-check-input" id="chk_approve_timekeeping" name="chk_approve_timekeeping" value="1">
                                                                        Allow Supervisor to PreApprove Time<!--Allow Employees to Self approve Timekeeping-->
                                                                      <i class="input-helper" ></i>
                                                                    </label>
                                                                </div>

                                                                <div class="form-check">
                                                                    <label class="form-check-label" style="line-height: 0.8;">
                                                                        <input type="checkbox" class="form-check-input" id="chk_edit_submitted" name="chk_edit_submitted" value="1">
                                                                        Allow Employees to correct past time <!--Allow Employees to edit submitted Time-->
                                                                      <i class="input-helper" ></i>
                                                                    </label>
                                                                </div>

                                                                <div class="form-check">
                                                                    <label class="form-check-label" style="line-height: 0.8;">
                                                                        <input type="checkbox" class="form-check-input" id="chk_edit_approve" name ="chk_edit_approve" value="1">                 
                                                                            Allow Employees to edit approved time
                                                                      <i class="input-helper" ></i>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            <div>
                                                               <button type='button' id='cmdEyeIcon' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='' > <i class=' fa fa-eye'></i> </button>
                                                            </div>
                                                        </div>    
                                                    </div>                                                     
                                                </div>
                                            </div>
                                            
					</div>	
                                        
                                        <div class="row">
                                            <div class="col-md-11 text-center">
                                                <label id="msg_save" class="badge badge-info" ></label>
                                            </div>
                                            <div class="col-md-1 text-right">
                                                <input class="btn btn-primary btn-sm" type="button" value="Save" name="cmdSave" id="cmdSave">
                                            </div>
                                        </div>
                                    </form>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>   
         <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
        <!-- container-scroller ends-->
    </div>
        <!-- container-scroller page-body-wrapper ends-->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    <script src="vendors/dropify/dropify.min.js"></script>   
    <script src="js/dropify.js"></script>
    <script src="js/custom.js"></script>
     <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
  <!-- endinject -->  
    <script>       
        $(document).ready(function()
        {
           $.ajax({
                url: "ajax2.php",
                method: "POST",
                data: {REQUEST: 'get_payperiod_data'},
                success: function (response)
                {  
                    console.log(response);
                    if (!jQuery.isEmptyObject(response.periods_data))
                    {
                        if(response.periods_data['user_role']=="Manager")
                        {
                            $("#form1 :input").prop("disabled", true);
                        }
                        $("#combo_timecard").val(response.periods_data['period_type']);
                        $('#combo_timecard').select2();  
                        $("#combo_week_firstday").val(response.periods_data['first_day_of_week']);
                        $('#combo_week_firstday').select2();  
                        $("#chk_self_approve").prop("checked",response.periods_data['self_approve_flag']=="Y"?true:false);
                        $("#chk_approve_timekeeping").prop("checked",response.periods_data['self_approve_timekeeping_flag']=="Y"?true:false);
                        $("#chk_edit_submitted").prop("checked",response.periods_data['edit_submitted_flag']=="Y"?true:false);
                        $("#chk_edit_approve").prop("checked",response.periods_data['edit_approved_flag']=="Y"?true:false);
                        $("#cmdEyeIcon").attr('data-content', response.data_content_eye_icon);
                        $("#combo_timecard").change();
                    }
                }
            });
        });   
        
       $("#cmdSave").click(function()
       {
            flag = 1;
            
            var formdata = $('#form1').serialize();     
            var selected_value = $("#combo_timecard").val();
            var selected_value1 = $("#combo_week_firstday").val();
            if((selected_value=="Weekly" || selected_value=="Bi-Weekly") && selected_value1 == "")
            {
                alert("Select First Day of the week");
                return false
            }
            
            var selected_value = $("#combo_timecard").val();
            var selected_value1 = $("#combo_week_firstday").val();
            if((selected_value=="Weekly" || selected_value=="Bi-Weekly") && selected_value1 == "")
            {
                //alert("Select First Day of the week");
                $("#msg_save").text("Select First Day of the week");
                flag = 0;
                return false;
            }
            
            if(flag == 1)
            {
                $.ajax({
                     url: "ajax2.php",
                     method: "POST",
                     data: {REQUEST: 'save_payperiod_data',form1: formdata},
                     success: function (response)
                     {  
                         console.log(response);
                         $("#msg_save").text("Record has been saved.");
                         $("#msg_save").show().delay(5000).fadeOut();
                     }
                 });
            }     
       });
       
       $("#combo_timecard").change(function()
       {
           var selected_value = $("#combo_timecard").val();
           if(selected_value=="Weekly" || selected_value=="Bi-Weekly")
           {
               $("#combo_week_firstday").attr("disabled",false);
               $("#combo_week_firstday").val('Sunday');
               $("#combo_week_firstday").select2();
           }
           else
           {
               $("#combo_week_firstday").val('');
               $("#combo_week_firstday").select2();
               $("#combo_week_firstday").attr("disabled",true);
           }
       });
       
    </script>
</body>

</html>
