<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}

$step						= 5;
$is_next_btn_disable		= false;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	
$combo_project_status		= "Draft";
$radio_track_progress_by 	= "";

$h_new_role						= "";

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
		
		if(getTotalRecord("cxs_projects_stakeholders","member_id"," WHERE project_id='".$h_project_id."'")<=0){
			$is_next_btn_disable	= true;
		}
	}else{
		header("location:".SITEURL."projects/");
	}
}

$h_assignment_id = "";
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<form id="step5_form" action="" method="post">
							<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
							<input type="hidden" name="h_task_ids" id="h_task_ids" value="" />
							<?php if($combo_project_status!="Closed"){ ?>
							<div class="row mt-3">
								<div class="col-md-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="row">
												<div class="col-md-3">
													<label>Team Assigned for this Project</label>
													<select name="combo_assign_tasks_team_id" id="combo_assign_tasks_team_id"  class="js-example-basic-single requirefieldcls" style="width:100%;" onChange="getTeamMemberTaskTable();getTeamMemberDropdown(this.value);">
														<option value="">---Please Select---</option>
														<?php
														$qry = "SELECT * FROM cxs_projects_team_header WHERE team_id IN (SELECT team_id FROM `cxs_projects_teams` WHERE project_id='".$h_project_id."') AND company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY team_name";
														$result = mysqli_query($conn,$qry);
														if (mysqli_num_rows($result)>0){
															while($row = mysqli_fetch_assoc($result)){
															?>
															<option value="<?php echo $row['team_id']; ?>"><?php echo $row['team_name']; ?></option>
															<?php
															}
														}
														?>
													</select>
												</div>
												<div class="col-md-3">
													<label>Team members of this Project</label>
													<select name="combo_assign_tasks_team_member_id[]" id="combo_assign_tasks_team_member_id"  class="form-control custom-multiselect" multiple="multiple">
														
													</select>
												</div>
												<div class="col-md-4">
													<label>Tasks</label>
													<select class="js-example-basic-single requirefieldcls" name="combo_assign_tasks_task_id" id="combo_assign_tasks_task_id" style="width:100%" onChange="getTeamMemberTaskTable();">
														<option value="0">---Select Task---</option>
														<option value="">All</option>
														<?php
														$selectQuery 	= "
															SELECT 
																* 
															FROM 
																`cxs_projects_tasks` 
															WHERE 
																task_id NOT IN (SELECT parent_task_id FROM `cxs_projects_tasks` ORDER BY task_id DESC) AND project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
															ORDER BY 
																task_name
															";		
														$RunUserQuery	= mysqli_query($conn, $selectQuery);
														$StdNumRows 	= mysqli_num_rows($RunUserQuery);
														if($StdNumRows>0){
															while($rows=mysqli_fetch_assoc($RunUserQuery)){
																$cnt++;
																$task_id 			= $rows["task_id"];
																$task_number 		= $rows["task_number"];
																$task_name 			= $rows["task_name"];	
															?>
															<option value="<?php echo $task_id; ?>"><?php echo $task_number.":".$task_name; ?></option>
															<?php
															}
														}
														?>
													</select>
												</div>
											</div>
											<div class="row">
												<div class="col-md-12" id="results_team_member_task_table">
												
												</div>
											</div>
											<div class="row">
												<div class="col-md-12 text-right">
													<button type="button" class="btn btn-primary" style="margin-top: 25px !important;" id="save_assign_tasks">Assign</button>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php } ?>
						</form>
						<div class="row">
							<div class="col-md-12 d-flex grid-margin stretch-card">
								<div class="card">
									<div class="card-body">
										<div class="row">
											<div class="col-md-12">
												<div class="text-center">
													<div class="loading-div-assign_tasks">
														<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
													</div>
												</div>
												<div id="results_assign_tasks" class=""></div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<?php
						if($combo_project_status!="Closed"){ 
							getProjectNextPrevButtons($step,$query_string); 
						}
						?>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<!-- Custom Attachment Type Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Attachment Type Modal -->
<div class="modal fade" id="inactive_member_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Inactive Member...Alert!</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body">
				<div class="row">
					<div class="col-md-12">
						<h4>The member will no longer be able to work on this task, do you want to reset his/her current progress to 0% and start over?</h4>
						<input type="hidden" id="h_inactive_member_id" name="h_inactive_member_id" value="" />
						<input type="hidden" id="h_inactive_task_id" name="h_inactive_task_id" value="" />
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary btn-icon mr-2 btn-inactive" data-is_reset_progress="Yes" title="Yes">Yes</button>
				<button type="button" class="btn btn-light btn-icon btn-inactive" data-is_reset_progress="No" title="No">No</button>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<input type="hidden" id="edit_row_cnt" value="">
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/************/
	setTimeout(function(){
		// Call DropdownRequiredBackground Function after its initialization when custom-multiselect field is required.
		setDropdownRequiredBackground();
	},800);
	/*********/
	getAssignmentTasksData('<?php echo $h_project_id; ?>');
	/************/
	$(".custom-multiselect").multiselect({
		includeSelectAllOption: false,
		numberDisplayed: 1,
		enableFiltering:true,
		onChange: function(option, checked, select) {
			//var team_id = $(option).val();
			getTeamMemberTaskTable();
		}
	});
	$(".multiselect-container").mCustomScrollbar({  // custom scroll bar plugin
		theme:"light-2",  // custom scroll theme set
		axis: "y",     // custom scroll ver,hor scroll
	});
	//setDropdownRequiredBackground();
	/************/
});
/*************************************/
function getTeamMemberTaskTable(){
	var team_id 		= $("#combo_assign_tasks_team_id").val();
	//var team_member_id 	= $("#combo_assign_tasks_team_member_id").val();
	var team_member_ids = new Array();
		$("#combo_assign_tasks_team_member_id option:selected").each(function() { 
			if($(this).val()!=""){
				team_member_ids.push($(this).val());
			}
		});
	var task_id 		= $("#combo_assign_tasks_task_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_team_member_task_table_data',is_html:true,team_id1:team_id,team_member_ids: team_member_ids,project_id:'<?php echo $h_project_id; ?>',task_id:task_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){ 
			$(".rploader").fadeOut(800); 
			setTimeout(function(){
				
				$("#results_team_member_task_table").html(response);
				$(".user-role").select2();
				$(".num").numeric();
				if($(".check_all_assign_task:checkbox:checked").length==$(".check_all_assign_task:checkbox").length){
					$("#check_all_assign_task").prop('checked', true);
				}else{
					$("#check_all_assign_task").prop('checked', false);
				}
				/**************/
				$("#check_all_assign_task").change(function() {
					if($(this).is(':checked')){
						$(".check_all_assign_task").prop('checked', true);
						$("#results_team_member_task_table input[type=text], #results_team_member_task_table select").removeAttr("disabled");
					}else{
						$(".check_all_assign_task").prop('checked', false);
						$("#results_team_member_task_table input[type=text], #results_team_member_task_table select").attr("disabled","disabled");
						$(".check_all_field").val("");
						$("select.check_all_field").select2();
					}
					getTotalAssignedHours();
				}); 
				/**************************/
				$(".check_all_assign_task").change(function() {
					var cnt = $(this).val();
					if($(this).is(':checked')){
						//$("#check_all_assign_task").prop('checked', true);
						$(".check_field_"+cnt).removeAttr("disabled");
					}else{
						//$("#check_all_assign_task").prop('checked', false);
						$(".check_field_"+cnt).attr("disabled","disabled");
						$(".check_field_"+cnt).val("");
						$("select.check_field_"+cnt).select2();
					}
					if($(".check_all_assign_task:checkbox:checked").length==$(".check_all_assign_task:checkbox").length){
						$("#check_all_assign_task").prop('checked', true);
					}else{
						$("#check_all_assign_task").prop('checked', false);
					}
					getTotalAssignedHours();
				}); 
				/*************************/
				$(".hours-txt").keyup(function(){
					getTotalAssignedHours();
				});
			},1000);
		}
	});
}
function getTotalAssignedHours(){
	var total_hours = 0;
	$(".check_all_assign_task:checkbox:checked").each(function(){
		var cnt = $(this).val();
		if($(".assigned_hours_"+cnt).val()!=""){
			total_hours = parseFloat(total_hours) + parseFloat($(".assigned_hours_"+cnt).val());
		}
	});
	$("#h_total_assigned_hours").val(total_hours);
}
/***************************************/
$("#save_assign_tasks").click(function (){
	disableButton("#save_assign_tasks");
	var flag = true;
	
	form_element_correct($("#combo_assign_tasks_team_id").siblings(".select2"));
	
	if($("#combo_assign_tasks_team_id").val()==""){
		form_element_empty_err($("#combo_assign_tasks_team_id").siblings(".select2"));
		flag = false;
	}
	
	if($(".check_all_assign_task:checkbox:checked").length==0){
		alert("Please select any task.");
		flag = false;
	}
	
	var role_flag = true;
	var hours_flag = true;
	var focus_id1 = "";
	var focus_id = "";
	$(".check_all_assign_task:checkbox:checked").each(function(){
		var cnt = $(this).val();
		if($(".role_"+cnt).val()==""){
			role_flag = false;
			if(focus_id==""){
				focus_id1 = ".role_"+cnt;
			}
		}
		if($(".assigned_hours_"+cnt).val()==""){
			hours_flag = false;
			if(focus_id==""){
				focus_id = ".assigned_hours_"+cnt;
			}
		}
	});
	
	if(role_flag==false){
		alert("Please select role.");
		flag = false;
		$(focus_id1).focus();
		$('html, body').animate({
			scrollTop: $(focus_id1).offset().top-150
		}, 1000);
	}else if(hours_flag==false){
		alert("Please enter hours.");
		flag = false;
		$(focus_id).focus();
		$('html, body').animate({
			scrollTop: $(focus_id).offset().top-150
		}, 1000);
	}

	if(flag==false){
		disableButton("#save_assign_tasks");
	}
	
	var formdata 		= $('#step5_form').serialize(); 
	
	if(flag == true && hours_flag==true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data:{REQUEST:'save_projects_assign_tasks_data',form1:formdata},
			success: function (response){ 
				setTimeout(function(){
					disableButton("#save_assign_tasks");
					$(".rploader").fadeOut(800);
					if(response.succ==2){
						alert(response.msg);
					}else if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						window.location.href=SITEURL+'projects/<?php echo setVar($_REQUEST['project_id']) ?>/resources/';
					}   
				},1000); 
			}
		});
	}
});
/***************************************/
function getAssignmentTasksData(project_id){
	
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_assignment_tasks_data',is_html:true,project_id1:project_id},
		beforeSend: function() {
			$("#results_assign_tasks").fadeOut(500);
			$(".loading-div-assign_tasks").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-assign_tasks").hide();
				$("#results_assign_tasks").html(response);
				$('#table_assign_tasks').simpleTreeTable({
					expander: $('#expander'),
					collapser: $('#collapser'),
					opened:'none',
					storeKey: 'simple-tree-table-basic'
				});
				$(".table-action,.rm-tree-btn").find(".simple-tree-table-handler").hide();
				$("#results_assign_tasks").fadeIn(500);
				$('[data-toggle="popover"]').popover();
				/***************/
				$("#cmd_assign_tasks_unassign").click(function(){
					if($(".assign_checkbox:checked").length>0){
						unassignMembers();
					}else{
						alert("Please select atleast one checkbox to unassign task.");
					}
				});
				/**************/
				$(".check_all").change(function() {
					var cnt = $(this).val();
					if($(this).is(':checked')){
						$(".check_"+cnt).prop('checked', true);
					}else{
						$(".check_"+cnt).prop('checked', false);
					}
				}); 
				/**************/
				$(".assign_checkbox").change(function(){
					var cnt = $(this).data("cnt");
					if($(".check_"+cnt+":checkbox:checked").length==$(".check_"+cnt+":checkbox").length){
						$("#check_all_"+cnt).prop('checked', true);
					}else{
						$("#check_all_"+cnt).prop('checked', false);
					}
				});
				/**************/
			},1000);
		}
	});
	
}
/**************************************/
function unassignMembers(){
	var r = confirm("Are you sure you want to unassign selected members?");
	if(r){
		var formdata = $('#assign_tasks_form').serialize();
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			cache: false,
			data: {REQUEST: 'assignment_tasks_unassign_data',form1: formdata,project_id1:$("#h_project_id").val()},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){ 
				$(".rploader").fadeOut(800);
				if(response.succ==0){
					alert("Something went wrong. Please try again.");
				}else{
					window.location.href="";
				}
			}
		});
	}
}
/**************************************/
function inactivateMemberConfirm(member_id,task_id){
	var r = confirm("Are you sure you want to inactive member?");
	if(r){
		/*var r1 = confirm("The member will no longer be able to work on this task, do you want to reset his/her current progress to 0% and start over?");
		if(r1){
			is_reset_progress = 'Yes';
		}else{
			is_reset_progress = 'No';
		}*/
		$("#h_inactive_member_id").val(member_id);
		$("#h_inactive_task_id").val(task_id);
		$("#inactive_member_modal").modal("show");
		
		$(".btn-inactive").click(function(){
			inactivateMember($(this).data("is_reset_progress"));
		});
	}
}

function inactivateMember(is_reset_progress){
	var member_id 			= $("#h_inactive_member_id").val();
	var task_id				= $("#h_inactive_task_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		cache: false,
		data: {REQUEST: 'assignment_tasks_inactive_member',project_id:'<?php echo $h_project_id; ?>',member_id: member_id,task_id: task_id,is_reset_progress:is_reset_progress},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){ 
			$(".rploader").fadeOut(800);
			if(response.succ==0){
				alert("Something went wrong. Please try again.");
			}else{
				$("#inactive_member_modal").modal("hide");
				getAssignmentTasksData('<?php echo $h_project_id; ?>');
			}
		}
	});
}
/***************************************/
function getTeamMemberDropdown(team_id){

	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_team_members_dropdown_data',is_html:true,team_id: team_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){ 
			$(".rploader").fadeOut(800);
			$("#combo_assign_tasks_team_member_id").multiselect('destroy');
			$("#combo_assign_tasks_team_member_id").html(response);
			$("#combo_assign_tasks_team_member_id").multiselect({
				includeSelectAllOption: false,
				numberDisplayed: 1,
				enableFiltering:true,
				onChange: function(option, checked, select) {
					//var team_id = $(option).val();
					getTeamMemberTaskTable();
				}
			}); 
			$(".multiselect-container").mCustomScrollbar({  // custom scroll bar plugin
				theme:"light-2",  // custom scroll theme set
				axis: "y",     // custom scroll ver,hor scroll
			});
		}
	});
}
</script>
</body>
</html>
