<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}
$step						= 6;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";
$combo_project_status		= "Draft";	
$radio_track_progress_by 	= "";

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
	}else{
		header("location:".SITEURL."projects/");
	}
}

$h_assumption_id				= "";
$text_assumption_number			= getUniqueId($text_project_number.".ASMP.","assumption_number","cxs_projects_assumptions"," WHERE project_id='".$h_project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'",4);
$text_assumption_description 	= "";

if(isset($_GET['assumption_id']) && $_GET['assumption_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects_assumptions` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND md5(assumption_id)='".setVar($_GET['assumption_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$h_assumption_id						= $rows["assumption_id"];
		$text_assumption_number 				= htmlentities($rows["assumption_number"]);
		$text_assumption_description 			= html_entity_decode($rows["description"]);
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css?t=<?php echo time(); ?>">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
.table td img, .jsgrid .jsgrid-table td img{
	border-radius:0% !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<div class="row  mt-3" >
							<div class="col-xl-12 d-flex grid-margin stretch-card">
								<div class="card">
									<div class="card-body">	
										<?php if($combo_project_status!="Closed"){ ?>
										<div class="text-right pt-2 pb-2" id="step3_buttons_grp">
											<button class="btn btn-primary btn-icon" title="Define Assumption" onClick="window.location.href='<?php echo SITEURL."projects/".md5($h_project_id)."/assumptions/?is_new=true"; ?>'"><i class="fa fa-plus"></i></button>
										</div>
										<?php } ?>
										<div class="text-center">
											<div class="loading-div-projects_assumptions">
												<img src="<?php echo SITEURL;?>images/891.gif" alt="Loading...">
											</div>
										</div>
										<div id="results_projects_assumptions" class=""></div>
									</div>
								</div>
							</div>
						</div>
						<?php
						if($combo_project_status!="Closed"){
							getProjectNextPrevButtons($step,$query_string);
						}
						?>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- Assumptions Add -->
<div class="modal fade pr-0" id="modal_projects_assumptions" tabindex="-1" role="dialog" >
	<div class="modal-dialog  modal-xl mt-0" role="document">
		<!--<form id='form1' >-->
		<div class="modal-content">
			<div class="modal-header">
				<h3 class="modal-title" id="modal2_label">
					PROJECT : <?php echo $text_project_name; ?>
					<?php echo setFlag($kpi_flag_arr); ?>
				</h3>
				<button type="button" class="close project-req-close" data-dismiss="modal" aria-label="Close" id="modal3_close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body ">
				<div class="col-md-12">
					<h3 class="card-title mb-3">6. Enter Assumptions</h3>
				</div>
				<form id="step6_form" action="" method="post">
					<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
					<input type="hidden" id="h_assumption_id" name="h_assumption_id" value="<?php echo $h_assumption_id; ?>">
					<input type="hidden" id="text_assumption_number" name="text_assumption_number" value="<?php echo $text_assumption_number; ?>">
					<div class="row  mt-3">
						<div class="col-xl-12 d-flex grid-margin stretch-card">
							<div class="card">
								<div class="card-body">
									<div class="d-flex flex-wrap justify-content-between">
										<h4 class="card-title mb-3">Assumption# <?php echo $text_assumption_number; ?></h4>
									</div>
									<textarea id="text_assumption_description" name="text_assumption_description"><?php echo $text_assumption_description; ?></textarea>
								</div>
							</div>
						</div>
					</div>
					<?php if($combo_project_status!="Closed"){ ?>
					<div class="text-right">
						<button type="button" class="btn btn-primary btn-sm cmd_project_assumptions_save mr-2" data-btn_type="save_and_add_new">Save & Add New Assumption</button>
						<button type="button" class="btn btn-primary btn-sm cmd_project_assumptions_save" data-btn_type="save_and_close"> Save & Close </button>
					</div>
					<?php } ?>
				</form>
			</div>
		</div>
	</div>
</div>
<!-- Requirements Add -->
<input type="hidden" id="edit_row_cnt" value="">
<input id="my-file" type="file" name="my-file" style="display: none;" accept="image/*" onChange="" />
<script src="<?php echo SITEURL;?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL;?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL;?>js/template.js"></script>
<script src="<?php echo SITEURL;?>js/settings.js"></script>
<script src="<?php echo SITEURL;?>js/todolist.js"></script>
<script src="<?php echo SITEURL;?>js/tooltips.js"></script>
<script src="<?php echo SITEURL;?>js/popover.js"></script>
<script src="<?php echo SITEURL;?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL;?>js/select2.js"></script>
<script src="<?php echo SITEURL;?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL;?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL;?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL;?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL;?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL;?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL;?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL;?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL;?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL;?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL;?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL;?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL;?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL;?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL;?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL;?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL;?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL;?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL;?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL;?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL;?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<script src="<?php echo SITEURL;?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/**********************/
	getProjectAssumptionsData('<?php echo $h_project_id; ?>');
	/**********************/
	<?php if((isset($_REQUEST['assumption_id']) && $_REQUEST['assumption_id']!="") || isset($_REQUEST['is_new']) && $_REQUEST['is_new']==true){ ?>
		$('#modal_projects_assumptions').modal('show');
	<?php } ?>
	/**********************/
	if ($("#text_assumption_description").length) {
		tinymce.init({
			selector: '#text_assumption_description',
			setup: function (editor) {
				editor.on('change', function () {
					editor.save();
				});
			},
			file_picker_callback: function (callback, value, meta) {
				if (meta.filetype == 'image') {
					var input = document.getElementById('my-file');
					input.click();
					input.onchange = function () {
						var file = input.files[0];
						var reader = new FileReader();
						reader.onload = function (e) {
							callback(e.target.result, {
								alt: file.name
							});
						};
						reader.readAsDataURL(file);
					};
				}
			},
			height: 500,
			theme: 'modern',
			plugins: [
				'advlist autolink lists link charmap print preview hr anchor pagebreak',
				'searchreplace wordcount visualblocks visualchars code fullscreen',
				'insertdatetime nonbreaking save table contextmenu directionality',
				'emoticons template paste textcolor colorpicker textpattern codesample toc help'
			],
			toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link ',
			toolbar2: 'print preview | forecolor backcolor emoticons | codesample help',
			image_advtab: true,
			templates: [{
				title: 'Test template 1',
				content: 'Test 1'
			},
			{
				title: 'Test template 2',
				content: 'Test 2'
			}
			
		  ],
		  content_css: []
		});
	}
	/**********************/
});
/*************************************/
function getProjectAssumptionsData(project_id){
	
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_projects_assumptions_data',is_html:true,project_id1:project_id},
		beforeSend: function() {
			$("#results_projects_assumptions").fadeOut(500);
			$(".loading-div-projects_assumptions").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-projects_assumptions").hide();
				$("#results_projects_assumptions").html(response);
				$("#results_projects_assumptions").fadeIn(500);
				/*******************/
				var table = $('#table_projects_assumptions').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_projects_assumptions tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_projects_assumptions_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
$(".cmd_project_assumptions_save").click(function (){
	disableButton(".cmd_project_assumptions_save");
	var btn_type = $(this).data("btn_type");
	var flag = true;
	
	form_element_correct($("#text_assumption_description"));
	
	if($("#text_assumption_description").val()==""){
		form_element_empty_err($("#text_assumption_description"));               
		flag = false;
	}

	if(flag==false){
		disableButton(".cmd_project_assumptions_save");
	}
	
	var formdata 		= $('#step6_form').serialize(); 
	var project_id 		= $("#h_project_id").val();
	var assumption_id 	= $("#h_assumption_id").val();
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data:{REQUEST:'save_project_assumptions_data',form1:formdata,project_id1:project_id,assumption_id1:assumption_id},
			success: function (response){ 
				setTimeout(function(){
					disableButton(".cmd_project_assumptions_save");
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						if(btn_type=="save_and_add_new"){
							window.location.href=SITEURL+'projects/<?php echo setVar($_REQUEST["project_id"]); ?>/assumptions/?is_new=true';
						}else{
							window.location.href=SITEURL+'projects/<?php echo setVar($_REQUEST["project_id"]); ?>/assumptions/';
						}
					}   
				},1000); 
			}
		});
	}
});
/***************************************/
function deleteProjectAssumptions(assumption_id){
	
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var project_id = $("#h_project_id").val();
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_projects_assumptions_data',assumption_id1:assumption_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					window.location.href="";
					//getStakeholderGroupsData($("#h_project_id").val());
				},1000);
			}
		});
	}
}
</script>
</body>
</html>
