<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:admin.php");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']<=0){
	header("location:manage-projects.php");
}

$step						= 2;
$is_next_btn_disable		= false;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	

$h_stakeholder_group_cnt		= 1;
$h_new_role						= "";
$h_new_functional_area			= "";

if(isset($_GET['project_id']) && $_GET['project_id']>0){
	$selectQuery 	= "
			SELECT 
				*
			FROM 
				`cxs_projects` 
			WHERE 
				project_id='".intval($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		
		if(getTotalRecord("cxs_projects_stakeholders","member_id"," WHERE project_id='".$h_project_id."'")<=0){
			$is_next_btn_disable	= true;
		}
	}else{
		header("location:manage-projects.php");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="css/bootstrap-multiselect.css">
<link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
.modal {
	overflow-y:auto;
}
/*
.multiselect-container>li>a>label {
  padding: 4px 20px 3px 20px;
}*/
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="manage-projects.php">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<form id="step2_form" action="" method="post">
							<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
							<input type="hidden" id="h_group_id" name="h_group_id" value="">
							<input type="hidden" id="h_new_role" name="h_new_role" value="">
							<input type="hidden" id="h_new_functional_area" name="h_new_functional_area" value="">
							<div class="row mt-3">
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<div class="row">
												<div class="col-md-4">
													<div class="form-group pr-3" style="width:100%;">
														<label>Stakeholder Group Name</label>
														<input type="text" id="text_stakeholder_groups_name" name="text_stakeholder_groups_name" class="form-control brow requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Stakeholder Group Name">
													</div>
												</div>
												<div class="col-md-8">
													<div class="form-group  pr-3" style="width:100%;">
														<label>Description</label>
														<textarea id="text_stakeholder_groups_description" name="text_stakeholder_groups_description" class="form-control brow requirefieldcls" rows="4" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Description"></textarea>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group pr-3" style="width:100%;">
														<label style="display: block;">Role</label>
														<select class="js-example-basic-single brow" name="combo_stakeholder_groups_role_id" id="combo_stakeholder_groups_role_id" style="width:100%;" onChange="check_custom_value('role',this.value);">
															<option value="">--Please Select--</option>
															<?php
															$selectQuery 	= "SELECT * FROM `cxs_role` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																?>
																<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
																<?php
																}
															}
															?>
															<option value="Add Custom">--Add Custom--</option>
														</select>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group" style="width:100%;">
														<label style="display: block;">Functional Area</label>
														<select class="js-example-basic-single brow" name="combo_stakeholder_groups_functional_area_id" id="combo_stakeholder_groups_functional_area_id" style="width:100%;" onChange="check_custom_value('functional_area',this.value);">
															<option value="">--Please Select--</option>
															<?php
															$selectQuery 	= "SELECT * FROM `cxs_functional_area` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																?>
																<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
																<?php
																}
															}
															?>
															<option value="Add Custom">--Add Custom--</option>
														</select>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-4">
													<div class="file-upload-wrapper mt-1">
														<div id="stakeholder_groups_file">Upload</div>
													</div>
													<input type="hidden" id="h_stakeholder_groups_file_name" name="h_stakeholder_groups_file_name" class="brow" value="">
												</div>
												<div class="col-md-4">
													<div class="form-group" style="display:none;margin-top: 20px;">
														<a href="" id="edit_stakeholder_group_file" target="_blank">
															<i class="fa fa-3x fa-file-o"></i>
														</a>
													</div>
												</div>
												<div class="col-md-4 text-right">
													<label>&nbsp;<br /></label>
													<button type="button" class="btn btn-primary" id="cmd_stakeholder_groups_save">Save</button>
												</div>
												<div class="col-md-12">
													<div class="text-center">
														<div class="loading-div-stakeholder_groups">
															<img src="images/891.gif" alt="Loading...">
														</div>
													</div>
													<div id="results_stakeholder_groups" class=""></div>
												</div>
											
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php getProjectNextPrevButtons($step,$query_string,$is_next_btn_disable); ?>
						</form>
						
						
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- Custom Attachment Type Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Attachment Type Modal -->
<!-- Stakeholders Modal -->
<div class="modal fade" id="stakeholders_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg swal-modal mt-2" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Stakeholders</h5>
				<button type="button" class="close stakeholder-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<form id="stakeholders_form" method="post">
					<input type="hidden" class="hbrow" id="h_stakeholders_member_id" name="h_stakeholders_member_id" value="" />
					<input type="hidden" class="hbrow" id="h_stakeholders_group_id" name="h_stakeholders_group_id" value="" />
					<input type="hidden" id="h_new_stakeholders_role" name="h_new_stakeholders_role" value="">
					<input type="hidden" id="h_new_stakeholders_functional_area" name="h_new_stakeholders_functional_area" value="">
					<div class="pt-3">
						<div class="row">
							<div class="col-md-2">
								<div class="form-group">
									<label>Salutation</label><br>
									<select class="js-example-basic-single brow" name="combo_stakeholders_salutation" id="combo_stakeholders_salutation" style="width:100%">
										<option value="">--Please Select--</option>
										<option value="Mrs">Mrs.</option>
										<option value="Ms">Ms.</option>
										<option value="Mr">Mr.</option>
										<option value="Sr">Sr.</option>
										<option value="Jr">Jr.</option>
									</select>
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group">
									<label>First Name</label><br>
									<input type="text" class="form-control requirefieldcls brow" id="text_stakeholders_first_name" name="text_stakeholders_first_name" value="" />
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group">
									<label>Last Name</label><br>
									<input type="text" class="form-control requirefieldcls brow" id="text_stakeholders_last_name" name="text_stakeholders_last_name" value="" />
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group">
									<label>Email</label><br>
									<input type="text" class="form-control brow" id="text_stakeholders_email" name="text_stakeholders_email" value="" />
								</div>
							</div>
							<div class="col-md-2">
								<div class="form-group">
									<label>Phone</label><br>
									<input type="text" class="form-control brow" id="text_stakeholders_phone" name="text_stakeholders_phone" value="" />
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group" style="width:100%;">
									<label style="display: block;">Functional Role</label>
									<select class="js-example-basic-single brow" name="combo_stakeholders_functional_role_id" id="combo_stakeholders_functional_role_id" style="width:100%;" onChange="check_custom_value('stakeholders_functional_area',this.value);">
										<option value="">--Please Select--</option>
										<?php
										$selectQuery 	= "SELECT * FROM `cxs_functional_area` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
										$RunUserQuery	= mysqli_query($conn, $selectQuery);
										$StdNumRows 	= mysqli_num_rows($RunUserQuery);
										if($StdNumRows>0){
											while($rows=mysqli_fetch_assoc($RunUserQuery)){
											?>
											<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
											<?php
											}
										}
										?>
										<option value="Add Custom">--Add Custom--</option>
									</select>
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group pr-3" style="width:100%;">
									<label style="display: block;">Role</label>
									<select class="js-example-basic-single brow" name="combo_stakeholders_project_role_id" id="combo_stakeholders_project_role_id" style="width:100%;" onChange="check_custom_value('stakeholders_role',this.value);">
										<option value="">--Please Select--</option>
										<?php
										$selectQuery 	= "SELECT * FROM `cxs_role` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
										$RunUserQuery	= mysqli_query($conn, $selectQuery);
										$StdNumRows 	= mysqli_num_rows($RunUserQuery);
										if($StdNumRows>0){
											while($rows=mysqli_fetch_assoc($RunUserQuery)){
											?>
											<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
											<?php
											}
										}
										?>
										<option value="Add Custom">--Add Custom--</option>
									</select>
								</div>
							</div>
							<?php /*?><div class="col-md-2">
								<div class="form-group">
									<label>Initial Password</label><br>
									<input type="password" class="form-control requirefieldcls brow" id="text_stakeholders_password" name="text_stakeholders_password" value="" />
								</div>
							</div>
							<div class="col-md-2">
								<div class="form-group">
									<label>Retype Initial Password</label><br>
									<input type="password" class="form-control requirefieldcls brow" id="text_stakeholders_retype_password" name="text_stakeholders_retype_password" value="" />
								</div>
							</div><?php */?>
						</div>
						<div class="row">
							<div class="col-md-4">
								<div class="file-upload-wrapper">
									<div id="stakeholder_member_image">Upload</div>
								</div>
								<input type="hidden" id="h_stakeholder_image_file_name" name="h_stakeholder_image_file_name" class="brow" value="">
							</div>
							<div class="col-md-2">
								<div class="form-group" style="display:none;margin-top: 4px;">
									<a href="" target="_blank">
										<img src="" id="edit_stakeholder_member_image" width="30%" />
									</a>
								</div>
							</div>
							<div class="col-md-2 text-right" style="color:#FF0000" id="modal_msg_stakeholders">
							
							</div>
							<div class="col-md-4 text-right">
								
								<button type="button" class="btn btn-primary btn-icon mt-3"  id="cmd_stakeholders_save" title="Save Record"><i class="fa fa-save"></i></button>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<div style="width:100%;">
					<div class="text-center">
						<div class="loading-div-stakeholders">
							<img src="images/891.gif" alt="Loading...">
						</div>
					</div>
					<div id="results_stakeholders" class=""></div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Stakeholders Modal -->
<input type="hidden" id="edit_row_cnt" value="">
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="datepicker/bootstrap-datepicker.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="js/bootstrap-multiselect.js"></script>
<script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="vendors/tinymce/tinymce.min.js"></script>
<script src="js/jquery.inputmask.js" type="text/javascript"></script>
<script src="js/custom.js"></script>
<!--<script src="js/manage-projects-js.js"></script>-->
<script type="text/javascript" src="js/jquery.numeric.min.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/*********/
	$("#text_stakeholders_phone").inputmask("mask", {"mask": "(999) 999-9999"});
	/*********/
	getStakeholderGroupsData('<?php echo $h_project_id; ?>');
});
/******************/
function getFunctionalArea(id){
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_functional_area_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#"+id).select2("destroy");
				$("#"+id).val("");
				if(id=="combo_stakeholder_groups_functional_area_id"){
					$("#combo_stakeholder_groups_functional_area_id").html(response);
				}else if(id=="combo_stakeholders_functional_role_id"){
					$("#combo_stakeholders_functional_role_id").html(response);
				}
				$("#"+id).select2();
			},1000);
		}
	});
}
/******************/
function getProjectRole(id){
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_project_role_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#"+id).select2("destroy");
				$("#"+id).val("");
				if(id=="combo_stakeholder_groups_role_id"){
					$("#combo_stakeholder_groups_role_id").html(response);
				}else if(id=="combo_stakeholders_project_role_id"){
					$("#combo_stakeholders_project_role_id").html(response);
				}
				$("#"+id).select2();
			},1000);
		}
	});
}
/*************************************/
function check_custom_value(type,cat){
	var selected_id = "";
	if(cat=="Add Custom"){
		$("#custom_value_form")[0].reset();
		form_element_correct($("#text_custom_value_name"));
		$("#div_msg_custom_value").text("");
		if(type=="attachment_type"){
			$("#custom_value_modal_save_label").text("Add Custom Attachment Type");
			$("#custom_value_modal_save_label2").text("Custom Attachment Type");
		}else if(type=="role" || type=="stakeholders_role"){
			$("#custom_value_modal_save_label").text("Add Custom Role");
			$("#custom_value_modal_save_label2").text("Custom Role");
		}else if(type=="functional_area" || type=="stakeholders_functional_area"){
			$("#custom_value_modal_save_label").text("Add Custom Functional Area");
			$("#custom_value_modal_save_label2").text("Custom Functional Area");
		}
		$('#custom_value_modal_save').modal('show');
		$("#custom_value_modal_save").attr("style","z-index:1052");
		$(".modal-backdrop").attr("style","z-index:1051");
		$("#h_custom_type").val(type);
		/*$('.modal-backdrop').click(function(){
			$(".modal-backdrop").removeAttr("style");
		});*/
		$('#custom_value_modal_save').click(function() {
			$(".modal-backdrop").removeAttr("style");
			setTimeout(function(){
				$("body").addClass("modal-open");
				if($("#h_custom_type").val()=="attachment_type"){
					selected_id = "combo_attachment_type";
				}else if($("#h_custom_type").val()=="role"){
					selected_id = "combo_stakeholder_groups_role_id";
				}else if($("#h_custom_type").val()=="functional_area"){
					selected_id = "combo_stakeholder_groups_functional_area_id";
				}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
					selected_id = "combo_stakeholders_functional_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}else if($("#h_custom_type").val()=="stakeholders_role"){
					selected_id = "combo_stakeholders_project_role_id";
					$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
				}
				$("#"+selected_id).select2("destroy");
				$("#"+selected_id).val("");
				$("#"+selected_id).select2();
			},500);
		});
		$('#custom_value_modal_save > .modal-dialog').click(function(event){
			event.stopPropagation();
		});
	}
}
$(".custom-close").click(function(){
	var selected_id = "";
	$("#custom_value_modal_save").modal("toggle");
	$(".modal-backdrop").removeAttr("style");
	
	setTimeout(function(){
		$("body").addClass("modal-open");
		if($("#h_custom_type").val()=="attachment_type"){
			selected_id = "combo_attachment_type";
		}else if($("#h_custom_type").val()=="role"){
			selected_id = "combo_stakeholder_group_role_id";
		}else if($("#h_custom_type").val()=="functional_area"){
			selected_id = "combo_stakeholder_group_functional_area_id";
		}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
			selected_id = "combo_stakeholders_functional_role_id";
			$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}else if($("#h_custom_type").val()=="stakeholders_role"){
			selected_id = "combo_stakeholders_project_role_id";
			$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
		}
	},500);
});
$("#cmd_custom_value_modal_save").click(function (){
	var flag = true;
	form_element_correct($("#text_custom_value_name"));
	
	$("#div_msg_custom_value").text("");
	
	if($("#text_custom_value_name").val()==""){
		form_element_empty_err($("#text_custom_value_name"));               
		flag = false;
		
	}
	//alert($("#text_custom_value_name").val());
	var formdata = $('#custom_value_form').serialize(); 
	
	if(flag == true){
		$.ajax({
			url: "ajax_project.php",
			method: "POST",
			cache: false,
			data: {REQUEST: 'check_custom_value_data',form1: formdata},
			success: function (response){ 
				if(response.succ==0){
					$("#div_msg_custom_value").text(response.msg);
				}else{
					var custom_value_name = $("#text_custom_value_name").val();
					if($("#h_custom_type").val()=="attachment_type"){
						$("#combo_attachment_type").select2("destroy");
						$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#combo_attachment_type > option:last');
						$("#h_new_attachment_type").val("1");
						$("#combo_attachment_type").val(custom_value_name);
						$("#combo_attachment_type").select2();
					}else if($("#h_custom_type").val()=="role"){
						$("#combo_stakeholder_groups_role_id").select2("destroy");
						$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#combo_stakeholder_groups_role_id > option:last');
						$("#h_new_role").val("1");
						$("#combo_stakeholder_groups_role_id").val(custom_value_name);
						$("#combo_stakeholder_groups_role_id").select2();
					}else if($("#h_custom_type").val()=="functional_area"){
						$("#combo_stakeholder_groups_functional_area_id").select2("destroy");
						$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#combo_stakeholder_groups_functional_area_id > option:last');
						$("#h_new_functional_area").val("1");
						$("#combo_stakeholder_groups_functional_area_id").val(custom_value_name);
						$("#combo_stakeholder_groups_functional_area_id").select2();
					}else if($("#h_custom_type").val()=="stakeholders_functional_area"){
						$("#combo_stakeholders_functional_role_id").select2("destroy");
						$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#combo_stakeholders_functional_role_id > option:last');
						$("#h_new_stakeholders_functional_area").val("1");
						$("#combo_stakeholders_functional_role_id").val(custom_value_name);
						$("#combo_stakeholders_functional_role_id").select2();
					}else if($("#h_custom_type").val()=="stakeholders_role"){
						$("#combo_stakeholders_project_role_id").select2("destroy");
						$('<option value="'+custom_value_name.trim()+'">'+custom_value_name.trim()+'</option>').insertBefore('#combo_stakeholders_project_role_id > option:last');
						$("#h_new_stakeholders_role").val("1");
						$("#combo_stakeholders_project_role_id").val(custom_value_name);
						$("#combo_stakeholders_project_role_id").select2();
					}
					$("#custom_value_modal_save").modal("toggle");
					setTimeout(function(){
						$("body").addClass("modal-open");
						$(".modal-backdrop").removeAttr("style");
						$("body").addClass("modal-open");
						if($("#h_custom_type").val()=="stakeholders_functional_area"){
							$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}else if($("#h_custom_type").val()=="stakeholders_role"){
							$('body').append('<div class="modal-backdrop fade show" style="z-index:1050"></div>');
						}
					},500);
					
				}    
			}
		});
	}
});
/***************************************/
(function($) {
	'use strict';
	if ($("#stakeholder_groups_file").length) {
		
		var uploadObj = $("#stakeholder_groups_file").uploadFile({
			url:"upload_attachment.php?type=stakeholder_groups_file",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"*",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
				var attachment_data_arr = data.split("~");
				$("#h_stakeholder_groups_file_name").val(attachment_data_arr[0]);
				//$("#stakeholder_groups_file input[type=file]").attr("disabled","disabled");
        	},
			onSelect:function(files) {  
			   var cnt = files.length;
			   if(cnt>0)
			   {
				  $(".ajax-file-upload-container").html("");
			   }
			},
			dynamicFormData: function() {
				var data ={ temp_file:$("#h_stakeholder_groups_file_name").val()}
				return data;
			}
		});
	}
})(jQuery);
/***************************************/
$("#cmd_stakeholder_groups_save").click(function (){
	var flag = true;
	
	form_element_correct($("#text_stakeholder_groups_name"));
	form_element_correct($("#text_stakeholder_groups_description"));
	
	if($("#text_stakeholder_groups_name").val()==""){
		form_element_empty_err($("#text_stakeholder_groups_name"));               
		flag = false;
	}
	if($("#text_stakeholder_groups_description").val()==""){
		form_element_empty_err($("#text_stakeholder_groups_description"));               
		flag = false;
	}
	
	var formdata 		= $('#step2_form').serialize(); 
	var project_id 		= $("#h_project_id").val();
	var group_id 		= $("#h_group_id").val();
	
	if(flag == true){
		$.ajax({
			url: "ajax_project.php",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_stakeholder_groups_data',form1: formdata,project_id1:project_id,group_id1:group_id},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						$("#step2_form").find(".brow").val("");
						$(".ajax-file-upload-container").html("");
						//$("#stakeholder_groups_file input[type=file]").removeAttr("disabled");
						
						$("#edit_stakeholder_group_file").attr("href","");
						$("#edit_stakeholder_group_file").parent().fadeOut(200);
						
						getFunctionalArea("combo_stakeholder_groups_functional_area_id");
						getProjectRole("combo_stakeholder_groups_role_id");
						getStakeholderGroupsData($("#h_project_id").val());
					}   
				},1000); 
			}
		});
	}
});
function editStakeholderGroups(group_id){
	//$("#table_invoice_payments").find(".edit-active-tr").removeClass("edit-active-tr");
	//$("#payment_row_"+payment_header_id).addClass("edit-active-tr");
	$("#h_group_id").val(group_id);
	
	$("#combo_stakeholder_groups_functional_area_id, #combo_stakeholder_groups_role_id").select2("destroy");
	
	$("#text_stakeholder_groups_name").val($("#text_stakeholder_groups_name_"+group_id).text().trim());
	$("#text_stakeholder_groups_description").val($("#text_stakeholder_groups_description_"+group_id).text().trim());
	
	$("#combo_stakeholder_groups_role_id").val("");
	if($("#combo_stakeholder_groups_role_id_"+group_id).data("val")>0){
		$("#combo_stakeholder_groups_role_id").val($("#combo_stakeholder_groups_role_id_"+group_id).data("val"));
	}
	
	$("#combo_stakeholder_groups_functional_area_id").val("");
	if($("#combo_stakeholder_groups_functional_area_id_"+group_id).data("val")>0){
		$("#combo_stakeholder_groups_functional_area_id").val($("#combo_stakeholder_groups_functional_area_id_"+group_id).data("val"));
	}
	
	$("#h_stakeholder_groups_file_name").val($("#h_stakeholder_groups_file_name_"+group_id).data("val"));
	
	$("#combo_stakeholder_groups_functional_area_id, #combo_stakeholder_groups_role_id").select2();
	
	$("#edit_stakeholder_group_file").attr("href","");
	$("#edit_stakeholder_group_file").parent().fadeOut(200);
	if($("#text_stakeholder_groups_file_name_"+group_id).val()!=""){
		$("#edit_stakeholder_group_file").attr("href",$("#text_stakeholder_groups_file_name_"+group_id).val());
		$("#edit_stakeholder_group_file").parent().fadeIn(800);
	}
}
function deleteStakeholderGroups(group_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var project_id = $("#h_project_id").val();
		$.ajax({
			url: "ajax_project.php",
			method: "POST",
			data: {REQUEST: 'delete_stakeholder_groups_data',group_id1:group_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					window.location.href="";
					//getStakeholderGroupsData($("#h_project_id").val());
				},1000);
			}
		});
	}
}
function getStakeholderGroupsData(project_id){
	
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_stakeholder_groups_data',is_html:true,project_id1:project_id},
		beforeSend: function() {
			$("#results_stakeholder_groups").fadeOut(500);
			$(".loading-div-stakeholder_groups").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-stakeholder_groups").hide();
				$("#results_stakeholder_groups").html(response);
				$("#results_stakeholder_groups").fadeIn(500);
				/**/
				//dataTableCreateOrderOff("table_stakeholder_groups");
				//$("#table_stakeholder_groups_filter").hide();
				/**/
				var table = $('#table_stakeholder_groups').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_stakeholder_groups tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_stakeholder_groups_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
(function($) {
	'use strict';
	if ($("#stakeholder_member_image").length) {
		var uploadObj = $("#stakeholder_member_image").uploadFile({
			url:"upload_attachment.php?type=stakeholder_member_image",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"image/*",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
				var attachment_data_arr = data.split("~");
				$("#h_stakeholder_image_file_name").val(attachment_data_arr[0]);
				//$("#stakeholder_member_image input[type=file]").attr("disabled","disabled");
        	},
			onSelect:function(files) {  
			   var cnt = files.length;
			   if(cnt>0)
			   {
				  $(".ajax-file-upload-container").html("");
			   }
			},
			dynamicFormData: function() {
				var data ={ temp_file:$("#h_stakeholder_image_file_name").val()}
				return data;
			}
		});
	}
})(jQuery);
/***************************************/
function stakeholderAddEdit(stakeholder_group_id){
	stakeholders_form_clean();
	$("#h_stakeholders_group_id").val(stakeholder_group_id);
	getStakeholdersData(stakeholder_group_id);
	$("#stakeholders_modal") .modal('show');
	$("#stakeholders_modal").attr("style","z-index:1051");
	$(".modal-backdrop").attr("style","z-index:1050");
	$('#stakeholders_modal').click(function() {
		$(".modal-backdrop").removeAttr("style");
		setTimeout(function(){
			$("body").addClass("modal-open");
		},500);
	});
	$('#stakeholders_modal > .modal-dialog').click(function(event){
		event.stopPropagation();
	});
}
$(".stakeholder-close").click(function(){
	$("#stakeholders_modal").modal("toggle");
	$(".modal-backdrop").removeAttr("style");
	setTimeout(function(){
		$("body").addClass("modal-open");
	},500);
	stakeholders_form_clean();
});
function stakeholders_form_clean(){
	/**/
	$("#modal_msg_stakeholders").text("");
	$("#h_stakeholders_member_id").val("");
	getFunctionalArea("combo_stakeholders_functional_role_id");
	getProjectRole("combo_stakeholders_project_role_id");
	/*if(payment_header_id>0){
		$("#h_payment_header_id").val("");
		$("#payment_row_"+payment_header_id).removeClass("edit-active-tr");
	}*/
	$("#stakeholders_form").find(".brow").val("");
	$("#combo_stakeholders_salutation").select2("destroy");
	$("#combo_stakeholders_salutation").val("");
	$("#combo_stakeholders_salutation").select2();
	/**/
	$("#edit_stakeholder_member_image").parent().attr("href","");
	$("#edit_stakeholder_member_image").attr("src","");
	$("#edit_stakeholder_member_image").parent().parent().fadeOut(800);
	/**/
	$(".ajax-file-upload-container").html("");
	//$("#stakeholder_member_image input[type=file]").removeAttr("disabled");
}
/***************************************/
function getStakeholdersData(stakeholder_group_id){
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_stakeholders_data',is_html:true,stakeholder_group_id1:stakeholder_group_id},
		beforeSend: function() {
			$("#results_stakeholders").fadeOut(500);
			$(".loading-div-stakeholders").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-stakeholders").hide();
				$("#results_stakeholders").html(response);
				$("#results_stakeholders").fadeIn(500);
				/**/
				//dataTableCreateOrderOff("table_stakeholders");
				//$("#table_stakeholders_filter").hide();
				/**/
				var table = $('#table_stakeholders').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_stakeholders tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				}); 
				   
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_stakeholders_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
$("#cmd_stakeholders_save").click(function (){
	var flag = true;
	$("#modal_msg_stakeholders").text("");
	
	form_element_correct($("#text_stakeholders_first_name"));
	form_element_correct($("#text_stakeholders_last_name"));
	form_element_correct($("#text_stakeholders_email"));
	form_element_correct($("#text_stakeholders_phone"));
	/*form_element_correct($("#text_stakeholders_password"));
	form_element_correct($("#text_stakeholders_retype_password"));*/
	
	if($("#text_stakeholders_first_name").val()==""){
		form_element_empty_err($("#text_stakeholders_first_name"));               
		flag = false;
	}
	if($("#text_stakeholders_last_name").val()==""){
		form_element_empty_err($("#text_stakeholders_last_name"));               
		flag = false;
	}
	if($("#text_stakeholders_email").val()!=""){
		if(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test($("#text_stakeholders_email").val())==false){
			form_element_empty_err($("#text_stakeholders_email"));               
			flag = false;
		}
	}
	if(!$("#text_stakeholders_phone").inputmask("isComplete") && $("#text_stakeholders_phone").val()!=""){
		form_element_empty_err($("#text_stakeholders_phone"));               
		flag = false;
	}
	/*if($("#text_stakeholders_password").val()==""){
		form_element_empty_err($("#text_stakeholders_password"));               
		flag = false;
	}
	if($("#text_stakeholders_retype_password").val()==""){
		form_element_empty_err($("#text_stakeholders_retype_password"));               
		flag = false;
	}
	if($("#text_stakeholders_password").val()!=$("#text_stakeholders_retype_password").val()){
		alert("Password and Retype password should same.");  
		$("#text_stakeholders_retype_password").focus();          
		flag = false;
	}*/
	
	var formdata 		= $('#stakeholders_form').serialize(); 
	var project_id 		= $("#h_project_id").val();
	var group_id 		= $("#h_stakeholders_group_id").val();
	var member_id 		= $("#h_stakeholders_member_id").val();
	if(flag == true){
		$.ajax({
			url: "ajax_project.php",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_stakeholders_data',form1: formdata,project_id1:project_id,group_id1:group_id,member_id1:member_id},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					$(".ajax-file-upload-container").html("");
					if(response.succ==0){
						$("#modal_msg_stakeholders").text(response.msg);
					}else if(response.succ==2){
						$("#modal_msg_stakeholders").text(response.msg);
					}else{
						$("#h_stakeholders_member_id").val("");
						getFunctionalArea("combo_stakeholders_functional_role_id");
						getProjectRole("combo_stakeholders_project_role_id");
						/*if(payment_header_id>0){
							$("#h_payment_header_id").val("");
							$("#payment_row_"+payment_header_id).removeClass("edit-active-tr");
						}*/
						$("#stakeholders_form").find(".brow").val("");
						$("#combo_stakeholders_salutation").select2("destroy");
						$("#combo_stakeholders_salutation").val("");
						$("#combo_stakeholders_salutation").select2();
						
						getStakeholdersData($("#h_stakeholders_group_id").val());
						getStakeholderGroupsData($("#h_project_id").val());
						/**/
						$(".btn_next").removeClass("btn-light").addClass("btn-primary");
						$(".btn_next").attr("href","manage-projects-requirements.php?project_id="+$("#h_project_id").val());
						/**/
						/**/
						$("#step2_line, #step3").removeClass("disabled-color");
						$("#step3").attr("onclick","window.location.href='manage-projects-requirements.php?project_id="+$("#h_project_id").val()+"'");
						/**/
						
						$("#edit_stakeholder_member_image").parent().attr("href","");
						$("#edit_stakeholder_member_image").attr("src","");
						$("#edit_stakeholder_member_image").parent().parent().fadeOut(800);
					}   
				},1000); 
			}
		});
	}
});
function editStakeholders(member_id){
	form_element_correct($("#text_stakeholders_first_name"));
	form_element_correct($("#text_stakeholders_last_name"));
	form_element_correct($("#text_stakeholders_email"));
	form_element_correct($("#text_stakeholders_phone"));
	/*form_element_correct($("#text_stakeholders_password"));
	form_element_correct($("#text_stakeholders_retype_password"));*/
	
	//$("#table_invoice_payments").find(".edit-active-tr").removeClass("edit-active-tr");
	//$("#payment_row_"+payment_header_id).addClass("edit-active-tr");
	$("#h_stakeholders_member_id").val(member_id);
	
	$("#combo_stakeholders_salutation, #combo_stakeholders_functional_role_id, #combo_stakeholders_project_role_id").select2("destroy");
	
	$("#combo_stakeholders_salutation").val($("#combo_stakeholders_salutation_"+member_id).text().trim());
	$("#text_stakeholders_first_name").val($("#text_stakeholders_first_name_"+member_id).text().trim());
	$("#text_stakeholders_last_name").val($("#text_stakeholders_last_name_"+member_id).text().trim());
	$("#text_stakeholders_email").val($("#text_stakeholders_email_"+member_id).text().trim());
	$("#text_stakeholders_phone").val($("#text_stakeholders_phone_"+member_id).text().trim());
	
	$("#combo_stakeholders_functional_role_id").val("");
	if($("#combo_stakeholders_functional_role_id_"+member_id).data("val")>0){
		$("#combo_stakeholders_functional_role_id").val($("#combo_stakeholders_functional_role_id_"+member_id).data("val"));
	}
	
	$("#combo_stakeholders_project_role_id").val("");
	if($("#combo_stakeholders_project_role_id_"+member_id).data("val")>0){
		$("#combo_stakeholders_project_role_id").val($("#combo_stakeholders_project_role_id_"+member_id).data("val"));
	}
	
	/*$("#text_stakeholders_password, #text_stakeholders_retype_password").val($("#text_stakeholders_password_"+member_id).val().trim());*/
	
	$("#combo_stakeholders_salutation, #combo_stakeholders_functional_role_id, #combo_stakeholders_project_role_id").select2();
	
	$("#edit_stakeholder_member_image").parent().attr("href",$("#text_stakeholder_image_name_"+member_id).val());
	$("#edit_stakeholder_member_image").attr("src",$("#text_stakeholder_image_name_"+member_id).val());
	$("#edit_stakeholder_member_image").parent().parent().fadeIn(800);
}
function deleteStakeholders(member_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var group_id = $("#h_stakeholders_group_id").val();
		$.ajax({
			url: "ajax_project.php",
			method: "POST",
			data: {REQUEST: 'delete_stakeholders_data',member_id1:member_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					getStakeholdersData($("#h_stakeholders_group_id").val());
					getStakeholderGroupsData($("#h_project_id").val());
				},1000);
			}
		});
	}
}
/*********************************/
</script>
</body>
</html>
