<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}

$step						= 2;
$is_next_btn_disable		= false;

$mode						= "add";
$h_project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	
$combo_project_status		= "Draft";
$radio_track_progress_by 	= "";

$h_stakeholder_group_cnt		= 1;
$h_new_role						= "";
$h_new_functional_area			= "";

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$mode						= "edit";
		$h_project_id				= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		$radio_track_progress_by	= $rows["track_progress_by"];
		
		if(getTotalRecord("cxs_projects_stakeholders","member_id"," WHERE project_id='".$h_project_id."'")<=0){
			$is_next_btn_disable	= true;
		}
	}else{
		header("location:".SITEURL."projects/");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects | <?php  echo $step_arr[$step]["title"];?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/dropify/dropify.min.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."projects/"; ?>">Manage Projects</a></li>
										<li class="breadcrumb-item active"><?php  echo $step_arr[$step]["title"];?></li>
									</ol>
								</nav>
								
								<div class="row">
									<?php include("include_manage_projects_header.php"); ?>
								</div>
							</div>
						</div>
						
						<form id="step2_form" action="" method="post" enctype="multipart/form-data">
							<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $h_project_id; ?>">
							<input type="hidden" id="h_group_id" name="h_group_id" value="">
							<input type="hidden" id="h_new_role" name="h_new_role" value="">
							<input type="hidden" id="h_new_functional_area" name="h_new_functional_area" value="">
							<div class="row mt-3">
								<div class="col-xl-12 d-flex grid-margin stretch-card">
									<div class="card">
										<div class="card-body">
											<?php 
											if($combo_project_status!="Closed"){ 
											?>
											<div class="row">
												<div class="col-md-4">
													<div class="form-group pr-3" style="width:100%;">
														<label>Stakeholder Group Name</label>
														<input type="text" id="text_stakeholder_groups_name" name="text_stakeholder_groups_name" class="form-control brow requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Stakeholder Group Name">
													</div>
												</div>
												<div class="col-md-8">
													<div class="form-group  pr-3" style="width:100%;">
														<label>Description</label>
														<textarea id="text_stakeholder_groups_description" name="text_stakeholder_groups_description" class="form-control brow requirefieldcls" rows="4" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Description"></textarea>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group pr-3" style="width:100%;">
														<label style="display: block;">Role</label>
														<select class="js-example-basic-single brow" name="combo_stakeholder_groups_role_id" id="combo_stakeholder_groups_role_id" style="width:100%;" onChange="check_custom_value('role',this.value);">
															<option value="">--Please Select--</option>
															<?php
															$selectQuery 	= "SELECT * FROM `cxs_role` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																?>
																<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
																<?php
																}
															}
															?>
															<option value="Add Custom">--Add Custom--</option>
														</select>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group" style="width:100%;">
														<label style="display: block;">Functional Area</label>
														<select class="js-example-basic-single brow" name="combo_stakeholder_groups_functional_area_id" id="combo_stakeholder_groups_functional_area_id" style="width:100%;" onChange="check_custom_value('functional_area',this.value);">
															<option value="">--Please Select--</option>
															<?php
															$selectQuery 	= "SELECT * FROM `cxs_functional_area` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
															$RunUserQuery	= mysqli_query($conn, $selectQuery);
															$StdNumRows 	= mysqli_num_rows($RunUserQuery);
															if($StdNumRows>0){
																while($rows=mysqli_fetch_assoc($RunUserQuery)){
																?>
																<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
																<?php
																}
															}
															?>
															<option value="Add Custom">--Add Custom--</option>
														</select>
													</div>
												</div>
												<div class="col-md-2">
													<button type="button" class="btn btn-primary" id="cmd_stakeholder_groups_save" style="margin-top: 30px;">Save</button>
												</div>
											</div>
											<?php 
											} 
											?>

											<div class="row">
												<div class="col-md-12">
													<div class="text-center">
														<div class="loading-div-stakeholder_groups">
															<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
														</div>
													</div>
													<div id="results_stakeholder_groups" class=""></div>
												</div>
											
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php getProjectNextPrevButtons($step,$query_string,$is_next_btn_disable); ?>
						</form>
						
						
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- Custom Value Modal -->
<?php include("include_manage_projects_custom_attachment.php"); ?>
<!-- Custom Value Modal -->
<!-- Stakeholders Modal -->
<div class="modal fade" id="stakeholders_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg swal-modal mt-2" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Stakeholders</h5>
				<button type="button" class="close stakeholder-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<?php if($combo_project_status!="Closed"){ ?>
			<div class="modal-body pt-0">
				<form id="stakeholders_form" method="post" enctype="multipart/form-data">
					<input type="hidden" class="hbrow" id="h_stakeholders_member_id" name="h_stakeholders_member_id" value="" />
					<input type="hidden" class="hbrow" id="h_stakeholders_group_id" name="h_stakeholders_group_id" value="" />
					<input type="hidden" id="h_new_stakeholders_role" name="h_new_stakeholders_role" value="">
					<input type="hidden" id="h_new_stakeholders_functional_area" name="h_new_stakeholders_functional_area" value="">
					
					<div class="pt-3">
						<div class="row">
							<div class="col-md-2">
								<div class="form-group">
									<label>Salutation</label><br>
									<select class="js-example-basic-single brow" name="combo_stakeholders_salutation" id="combo_stakeholders_salutation" style="width:100%">
										<option value="">--Please Select--</option>
										<option value="Mrs">Mrs.</option>
										<option value="Ms">Ms.</option>
										<option value="Mr">Mr.</option>
										<option value="Sr">Sr.</option>
										<option value="Jr">Jr.</option>
									</select>
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group">
									<label>First Name</label><br>
									<input type="text" class="form-control requirefieldcls brow" id="text_stakeholders_first_name" name="text_stakeholders_first_name" value="" />
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group">
									<label>Last Name</label><br>
									<input type="text" class="form-control requirefieldcls brow" id="text_stakeholders_last_name" name="text_stakeholders_last_name" value="" />
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group">
									<label>Email</label><br>
									<input type="text" class="form-control brow" id="text_stakeholders_email" name="text_stakeholders_email" value="" />
								</div>
							</div>
							<div class="col-md-2">
								<div class="form-group">
									<label>Phone</label><br>
									<input type="text" class="form-control brow" id="text_stakeholders_phone" name="text_stakeholders_phone" value="" />
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group" style="width:100%;">
									<label style="display: block;">Functional Role</label>
									<select class="js-example-basic-single brow" name="combo_stakeholders_functional_role_id" id="combo_stakeholders_functional_role_id" style="width:100%;" onChange="check_custom_value('stakeholders_functional_area',this.value);">
										<option value="">--Please Select--</option>
										<?php
										$selectQuery 	= "SELECT * FROM `cxs_functional_area` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
										$RunUserQuery	= mysqli_query($conn, $selectQuery);
										$StdNumRows 	= mysqli_num_rows($RunUserQuery);
										if($StdNumRows>0){
											while($rows=mysqli_fetch_assoc($RunUserQuery)){
											?>
											<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
											<?php
											}
										}
										?>
										<option value="Add Custom">--Add Custom--</option>
									</select>
								</div>
							</div>
							<div class="col-md-3">
								<div class="form-group pr-3" style="width:100%;">
									<label style="display: block;">Role</label>
									<select class="js-example-basic-single brow" name="combo_stakeholders_project_role_id" id="combo_stakeholders_project_role_id" style="width:100%;" onChange="check_custom_value('stakeholders_role',this.value);">
										<option value="">--Please Select--</option>
										<?php
										$selectQuery 	= "SELECT * FROM `cxs_role` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY name";		
										$RunUserQuery	= mysqli_query($conn, $selectQuery);
										$StdNumRows 	= mysqli_num_rows($RunUserQuery);
										if($StdNumRows>0){
											while($rows=mysqli_fetch_assoc($RunUserQuery)){
											?>
											<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['name']); ?></option>
											<?php
											}
										}
										?>
										<option value="Add Custom">--Add Custom--</option>
									</select>
								</div>
							</div>
							<?php /*?><div class="col-md-2">
								<div class="form-group">
									<label>Initial Password</label><br>
									<input type="password" class="form-control requirefieldcls brow" id="text_stakeholders_password" name="text_stakeholders_password" value="" />
								</div>
							</div>
							<div class="col-md-2">
								<div class="form-group">
									<label>Retype Initial Password</label><br>
									<input type="password" class="form-control requirefieldcls brow" id="text_stakeholders_retype_password" name="text_stakeholders_retype_password" value="" />
								</div>
							</div><?php */?>
						</div>
						<div class="row">
							<div class="col-md-4">
								<!--<div class="file-upload-wrapper">
									<div id="stakeholder_member_image">Upload</div>
								</div>
								<input type="hidden" id="h_stakeholder_image_file_name" name="h_stakeholder_image_file_name" class="brow" value="">-->
								<label>Upload Photo</label> 
								<input type="file" name="stakeholder_member_image" id="stakeholder_member_image" class="dropify" data-default-file="" data-allowed-file-extensions='["jpg", "jpeg", "png"]'>
							</div>
							<div class="col-md-2">
								<div class="form-group" style="display:none;margin-top: 4px;">
									<a href="" target="_blank">
										<img src="" id="edit_stakeholder_member_image" width="30%" />
									</a>
								</div>
							</div>
							<div class="col-md-2 text-right" style="color:#FF0000" id="modal_msg_stakeholders">
							
							</div>
							<div class="col-md-4 text-right">
								
								<button type="button" class="btn btn-primary btn-icon mt-3"  id="cmd_stakeholders_save" title="Save Record"><i class="fa fa-save"></i></button>
							</div>
						</div>
					</div>
					
				</form>
			</div>
			<?php } ?>
			<div class="modal-footer">
				<div style="width:100%;">
					<div class="text-center">
						<div class="loading-div-stakeholders">
							<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
						</div>
					</div>
					<div id="results_stakeholders" class=""></div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Stakeholders Modal -->
<input type="hidden" id="edit_row_cnt" value="">
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/dropify/dropify.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/add_custom_value_fn.js"></script>
<script src="<?php echo SITEURL; ?>js/absence_time_off.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".num").numeric();
	/*********/
	$("#text_stakeholders_phone").inputmask("mask", {"mask": "(999) 999-9999"});
	/*********/
	getStakeholderGroupsData('<?php echo $h_project_id; ?>');
	
});
(function($) {
	'use strict';
	$('#stakeholder_member_image').dropify();    
})(jQuery);
/******************/
function getFunctionalArea(id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_functional_area_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#"+id).select2("destroy");
				$("#"+id).val("");
				if(id=="combo_stakeholder_groups_functional_area_id"){
					$("#combo_stakeholder_groups_functional_area_id").html(response);
				}else if(id=="combo_stakeholders_functional_role_id"){
					$("#combo_stakeholders_functional_role_id").html(response);
				}
				$("#"+id).select2();
			},1000);
		}
	});
}
/******************/
function getProjectRole(id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_project_role_data',is_html:true},
		success: function (response){  
			setTimeout(function(){
				$("#"+id).select2("destroy");
				$("#"+id).val("");
				if(id=="combo_stakeholder_groups_role_id"){
					$("#combo_stakeholder_groups_role_id").html(response);
				}else if(id=="combo_stakeholders_project_role_id"){
					$("#combo_stakeholders_project_role_id").html(response);
				}
				$("#"+id).select2();
			},1000);
		}
	});
}
/***************************************/
$("#cmd_stakeholder_groups_save").click(function (){
	var flag = true;
	
	form_element_correct($("#text_stakeholder_groups_name"));
	form_element_correct($("#text_stakeholder_groups_description"));
	
	if($("#text_stakeholder_groups_name").val()==""){
		form_element_empty_err($("#text_stakeholder_groups_name"));               
		flag = false;
	}
	if($("#text_stakeholder_groups_description").val()==""){
		form_element_empty_err($("#text_stakeholder_groups_description"));               
		flag = false;
	}
	
	var formdata 		= $('#step2_form').serialize(); 
	var project_id 		= $("#h_project_id").val();
	var group_id 		= $("#h_group_id").val();
	
	//alert($("#text_custom_value_name").val());
	//var formdata = $('#custom_value_form').serialize(); 
	var form_data = new FormData();
	var form_data1 = $('#step2_form').serializeArray();
	$.each(form_data1, function (key, input) {
		form_data.append(input.name, input.value);
	});
	
	form_data.append("REQUEST", "save_stakeholder_groups_data");
	form_data.append("project_id", project_id);
	form_data.append("group_id", group_id);
	
	if(flag == true){
		disableButton("#cmd_stakeholder_groups_save");
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			cache: false,
			contentType: false,
			processData: false,
			async: false,
			data: form_data,
			success: function (response){ 
				setTimeout(function(){
					disableButton("#cmd_stakeholder_groups_save");
					$(".rploader").fadeOut(800);
					
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						$("#step2_form").find(".brow").val("");
						//$("#stakeholder_groups_file input[type=file]").removeAttr("disabled");
						
						getFunctionalArea("combo_stakeholder_groups_functional_area_id");
						getProjectRole("combo_stakeholder_groups_role_id");
						getStakeholderGroupsData($("#h_project_id").val());
					}   
				},1000); 
			}
		});
	}
});
function editStakeholderGroups(group_id){
	//$("#table_invoice_payments").find(".edit-active-tr").removeClass("edit-active-tr");
	//$("#payment_row_"+payment_header_id).addClass("edit-active-tr");
	$("#h_group_id").val(group_id);
	
	$("#combo_stakeholder_groups_functional_area_id, #combo_stakeholder_groups_role_id").select2("destroy");
	
	$("#text_stakeholder_groups_name").val($("#text_stakeholder_groups_name_"+group_id).text().trim());
	$("#text_stakeholder_groups_description").val($("#text_stakeholder_groups_description_"+group_id).text().trim());
	
	$("#combo_stakeholder_groups_role_id").val("");
	if($("#combo_stakeholder_groups_role_id_"+group_id).data("val")>0){
		$("#combo_stakeholder_groups_role_id").val($("#combo_stakeholder_groups_role_id_"+group_id).data("val"));
	}
	
	$("#combo_stakeholder_groups_functional_area_id").val("");
	if($("#combo_stakeholder_groups_functional_area_id_"+group_id).data("val")>0){
		$("#combo_stakeholder_groups_functional_area_id").val($("#combo_stakeholder_groups_functional_area_id_"+group_id).data("val"));
	}
	
	$("#combo_stakeholder_groups_functional_area_id, #combo_stakeholder_groups_role_id").select2();
	
	scroll_to_div($("#step2_form"));
}

function deleteStakeholderGroups(group_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var project_id = $("#h_project_id").val();
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_stakeholder_groups_data',group_id1:group_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					window.location.href="";
					//getStakeholderGroupsData($("#h_project_id").val());
				},1000);
			}
		});
	}
}
function getStakeholderGroupsData(project_id){
	
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_stakeholder_groups_data',is_html:true,project_id1:project_id},
		beforeSend: function() {
			$("#results_stakeholder_groups").fadeOut(500);
			$(".loading-div-stakeholder_groups").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-stakeholder_groups").hide();
				$("#results_stakeholder_groups").html(response);
				$("#results_stakeholder_groups").fadeIn(500);
				/**/
				//dataTableCreateOrderOff("table_stakeholder_groups");
				//$("#table_stakeholder_groups_filter").hide();
				/**/
				var table = $('#table_stakeholder_groups').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_stakeholder_groups tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_stakeholder_groups_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
function stakeholderAddEdit(stakeholder_group_id){
	stakeholders_form_clean();
	$("#h_stakeholders_group_id").val(stakeholder_group_id);
	getStakeholdersData(stakeholder_group_id);
	$("#stakeholders_modal") .modal('show');
	$("#stakeholders_modal").attr("style","z-index:1051");
	$(".modal-backdrop").attr("style","z-index:1050");
	$('#stakeholders_modal').click(function() {
		$(".modal-backdrop").removeAttr("style");
		setTimeout(function(){
			$("body").addClass("modal-open");
		},500);
	});
	$('#stakeholders_modal > .modal-dialog').click(function(event){
		event.stopPropagation();
	});
}
$(".stakeholder-close").click(function(){
	$("#stakeholders_modal").modal("toggle");
	$(".modal-backdrop").removeAttr("style");
	setTimeout(function(){
		$("body").addClass("modal-open");
	},500);
	stakeholders_form_clean();
});
function stakeholders_form_clean(){
	/**/
	$("#modal_msg_stakeholders").text("");
	$("#h_stakeholders_member_id").val("");
	getFunctionalArea("combo_stakeholders_functional_role_id");
	getProjectRole("combo_stakeholders_project_role_id");
	/*if(payment_header_id>0){
		$("#h_payment_header_id").val("");
		$("#payment_row_"+payment_header_id).removeClass("edit-active-tr");
	}*/
	$("#stakeholders_form").find(".brow").val("");
	$("#combo_stakeholders_salutation").select2("destroy");
	$("#combo_stakeholders_salutation").val("");
	$("#combo_stakeholders_salutation").select2();
	/**/
	setDropifyImage('stakeholder_member_image','');
}
/***************************************/
function getStakeholdersData(stakeholder_group_id){
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_stakeholders_data',is_html:true,project_id1:'<?php echo $h_project_id; ?>',stakeholder_group_id1:stakeholder_group_id},
		beforeSend: function() {
			$("#results_stakeholders").fadeOut(500);
			$(".loading-div-stakeholders").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-stakeholders").hide();
				$("#results_stakeholders").html(response);
				$("#results_stakeholders").fadeIn(500);
				/**/
				//dataTableCreateOrderOff("table_stakeholders");
				//$("#table_stakeholders_filter").hide();
				/**/
				var table = $('#table_stakeholders').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_stakeholders tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				}); 
				   
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_stakeholders_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
$("#cmd_stakeholders_save").click(function (){
	disableButton("#cmd_stakeholders_save");
	var flag = true;
	$("#modal_msg_stakeholders").text("");
	
	form_element_correct($("#text_stakeholders_first_name"));
	form_element_correct($("#text_stakeholders_last_name"));
	form_element_correct($("#text_stakeholders_email"));
	form_element_correct($("#text_stakeholders_phone"));
	/*form_element_correct($("#text_stakeholders_password"));
	form_element_correct($("#text_stakeholders_retype_password"));*/
	
	if($("#text_stakeholders_first_name").val()==""){
		form_element_empty_err($("#text_stakeholders_first_name"));               
		flag = false;
	}
	if($("#text_stakeholders_last_name").val()==""){
		form_element_empty_err($("#text_stakeholders_last_name"));               
		flag = false;
	}
	if($("#text_stakeholders_email").val()!=""){
		if(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test($("#text_stakeholders_email").val())==false){
			form_element_empty_err($("#text_stakeholders_email"));               
			flag = false;
		}
	}
	if(!$("#text_stakeholders_phone").inputmask("isComplete") && $("#text_stakeholders_phone").val()!=""){
		form_element_empty_err($("#text_stakeholders_phone"));               
		flag = false;
	}
	
	if(flag==false){
		disableButton("#cmd_stakeholders_save");
	}
	
	var form_data = new FormData();
	var form_data1 = $('#stakeholders_form').serializeArray();
	$.each(form_data1, function (key, input) {
		form_data.append(input.name, input.value);
	});
	var ins = document.getElementById('stakeholder_member_image').files.length;
	for (var x = 0; x < ins; x++) 
	{
		form_data.append("stakeholder_member_image", document.getElementById('stakeholder_member_image').files[x]);
	}
	form_data.append("REQUEST", "save_stakeholders_data");
	form_data.append("project_id", $("#h_project_id").val());
	form_data.append("group_id", $("#h_stakeholders_group_id").val());
	form_data.append("member_id", $("#h_stakeholders_member_id").val());
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			cache: false,
			contentType: false,
			processData: false,
			async: false,
			data: form_data,
			success: function (response){ 
				setTimeout(function(){
					disableButton("#cmd_stakeholders_save");
					$(".rploader").fadeOut(800);
					setDropifyImage('stakeholder_member_image','');
					if(response.succ==0){
						$("#modal_msg_stakeholders").text(response.msg);
					}else if(response.succ==2){
						$("#modal_msg_stakeholders").text(response.msg);
					}else{
						$("#h_stakeholders_member_id").val("");
						getFunctionalArea("combo_stakeholders_functional_role_id");
						getProjectRole("combo_stakeholders_project_role_id");
						/*if(payment_header_id>0){
							$("#h_payment_header_id").val("");
							$("#payment_row_"+payment_header_id).removeClass("edit-active-tr");
						}*/
						$("#stakeholders_form").find(".brow").val("");
						$("#combo_stakeholders_salutation").select2("destroy");
						$("#combo_stakeholders_salutation").val("");
						$("#combo_stakeholders_salutation").select2();
						
						getStakeholdersData($("#h_stakeholders_group_id").val());
						getStakeholderGroupsData($("#h_project_id").val());
						/**/
						$(".btn_next").removeClass("btn-light").addClass("btn-primary");
						$(".btn_next").attr("href",SITEURL+"projects/<?php echo setVar($_REQUEST["project_id"]); ?>/requirements/");
						/**/
						/**/
						$("#step2_line, #step3").removeClass("disabled-color");
						$("#step3").attr("onclick","window.location.href="+SITEURL+"projects/<?php echo setVar($_REQUEST["project_id"]); ?>'/requirements/'");
						/**/
						
						$("#edit_stakeholder_member_image").parent().attr("href","");
						$("#edit_stakeholder_member_image").attr("src","");
						$("#edit_stakeholder_member_image").parent().parent().fadeOut(800);
					}   
				},1000); 
			}
		});
	}
});
function editStakeholders(member_id){
	form_element_correct($("#text_stakeholders_first_name"));
	form_element_correct($("#text_stakeholders_last_name"));
	form_element_correct($("#text_stakeholders_email"));
	form_element_correct($("#text_stakeholders_phone"));
	/*form_element_correct($("#text_stakeholders_password"));
	form_element_correct($("#text_stakeholders_retype_password"));*/
	
	//$("#table_invoice_payments").find(".edit-active-tr").removeClass("edit-active-tr");
	//$("#payment_row_"+payment_header_id).addClass("edit-active-tr");
	$("#h_stakeholders_member_id").val(member_id);
	
	$("#combo_stakeholders_salutation, #combo_stakeholders_functional_role_id, #combo_stakeholders_project_role_id").select2("destroy");
	
	$("#combo_stakeholders_salutation").val($("#combo_stakeholders_salutation_"+member_id).text().trim());
	$("#text_stakeholders_first_name").val($("#text_stakeholders_first_name_"+member_id).text().trim());
	$("#text_stakeholders_last_name").val($("#text_stakeholders_last_name_"+member_id).text().trim());
	$("#text_stakeholders_email").val($("#text_stakeholders_email_"+member_id).text().trim());
	$("#text_stakeholders_phone").val($("#text_stakeholders_phone_"+member_id).text().trim());
	
	$("#combo_stakeholders_functional_role_id").val("");
	if($("#combo_stakeholders_functional_role_id_"+member_id).data("val")>0){
		$("#combo_stakeholders_functional_role_id").val($("#combo_stakeholders_functional_role_id_"+member_id).data("val"));
	}
	
	$("#combo_stakeholders_project_role_id").val("");
	if($("#combo_stakeholders_project_role_id_"+member_id).data("val")>0){
		$("#combo_stakeholders_project_role_id").val($("#combo_stakeholders_project_role_id_"+member_id).data("val"));
	}
	
	$("#combo_stakeholders_salutation, #combo_stakeholders_functional_role_id, #combo_stakeholders_project_role_id").select2();
	
	setDropifyImage('stakeholder_member_image',$("#text_stakeholder_image_name_"+member_id).val());
}
function deleteStakeholders(member_id){
	var r = confirm("Are you sure you want to delete?");
	if(r){
		var group_id = $("#h_stakeholders_group_id").val();
		$.ajax({
			url: SITEURL+"aj/projects/",
			method: "POST",
			data: {REQUEST: 'delete_stakeholders_data',member_id1:member_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					getStakeholdersData($("#h_stakeholders_group_id").val());
					getStakeholderGroupsData($("#h_project_id").val());
				},1000);
			}
		});
	}
}
/*********************************/
function setDropifyImage(id,imageurl){
	
	var drEvent = $('#'+id).dropify(
	{
	  defaultFile: imageurl
	});
	drEvent = drEvent.data('dropify');
	drEvent.resetPreview();
	drEvent.clearElement();
	drEvent.settings.defaultFile = imageurl;
	drEvent.destroy();
	drEvent.init();
}
</script>
</body>
</html>
