<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
//print_r($_SESSION["login_user_array"]["user_id"]);die;
$text_search_project_number 			= "";
$text_search_project_name 				= "";
$combo_search_team_ids 					= array();
$combo_search_project_manager_user_ids 	= array();
$text_search_schedule_start_date 		= "";
$text_search_schedule_end_date 			= "";
$text_search_actual_start_date 			= "";
$text_search_actual_end_date 			= "";
$combo_search_project_group_ids 		= array();
$combo_search_project_status			= "";
$check_search_is_overdue_project 		= "";

if(getTotalRecord("cxs_projects_search_paramters","id"," WHERE user_id='".$_SESSION["login_user_array"]["user_id"]."'")>0){
	$selectQuery 	= "SELECT * FROM `cxs_projects_search_paramters` WHERE user_id='".$_SESSION["login_user_array"]["user_id"]."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$text_search_project_number 			= $rows["project_number"];
		$text_search_project_name 				= $rows["project_name"];
		$combo_search_team_ids 					= explode(",",$rows["team_ids"]);
		$combo_search_project_manager_user_ids 	= explode(",",$rows["project_manager_user_ids"]);
		$text_search_schedule_start_date		= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
		$text_search_schedule_end_date			= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
		$text_search_actual_start_date			= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
		$text_search_actual_end_date			= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
		$combo_search_project_group_ids 		= explode(",",$rows["project_group_ids"]);
		$combo_search_project_status			= $rows["project_status"];
		$check_search_is_overdue_project 		= $rows["is_overdue_project"];
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Manage Projects</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css?t=1"/>
  <link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/ti-icons/css/themify-icons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css?t=<?php echo time(); ?>">
<!-- for multiselect -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<style>
.modal {
	overflow-y:auto;
}
/*
.multiselect-container>li>a>label {
  padding: 4px 20px 3px 20px;
}*/
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
.dataTables_length{
	float: left !important;
}
div.dt-buttons{
	float: left !important;
	left: 50px;
}
.dataTables_info{
	display: inline-block;
}
.dataTables_paginate{
	display: inline-block;
	margin-left: 100px;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active">Manage Projects</li>
									</ol>
								</nav>
								<div class="text-right pb-2">
									<button class="btn btn-primary btn-icon mr-2" title="Add Project" onClick="window.location.href='<?php echo SITEURL."projects/add/"; ?>'"><i class="fa fa-plus"></i></button>
									<button class="btn btn-primary btn-icon mr-2" title="Import Project" onClick="window.location.href='<?php echo SITEURL."projects/import/"; ?>'"><i class="fa fa-upload"></i></button>
									<button class="btn btn-primary btn-icon" title="Search Project" id="cmdBtnSearch"><i class="fa fa-filter"></i></button>
								</div>
								<div class="row mb-2">
									<div class="col-md-12">
										<h2>My Projects</h2>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12">
										<div class="text-center">
											<div class="loading-div-projects">
												<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
											</div>
										</div>
									</div>
									<div class="col-md-12" id="results_projects" style="max-width:100%;">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="project_view_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="project_view_data_title"></h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="project_view_data_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="search_project_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg mt-3 swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="project_view_data_title">Search Project</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body py-1">
				<form id="search_form" action="" method="post">
					<div class="row">
						<div class="col-md-4">
							<div class="form-group">
								<label>Project Number</label>
								<input id="text_search_project_number" name="text_search_project_number" type="text" class="form-control" value="<?php echo $text_search_project_number; ?>">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label>Project Name</label>
								<input id="text_search_project_name" name="text_search_project_name" type="text" class="form-control" value="<?php echo $text_search_project_name; ?>">
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group" style="width:100%;">
								<label style="display: block;">Teams</label>
								<select name="combo_search_team_ids[]" id="combo_search_team_ids"  class="form-control custom-multiselect" multiple="multiple" style="width:100%; background: #ffffff !important;border: solid 1px !important; border-color: #dad9d8 !important;">
									<?php
									$qry = "SELECT * FROM cxs_projects_team_header WHERE company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY team_name";
									$result = mysqli_query($conn,$qry);
									if (mysqli_num_rows($result)>0){
										while($row = mysqli_fetch_assoc($result)){
										?>
										<option value="<?php echo $row['team_id']; ?>" <?php if(in_array($row['team_id'],$combo_search_team_ids)){ ?> selected <?php } ?>><?php echo $row['team_name']; ?></option>
										<?php
										}
									}
									?>
								</select>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group" style="width:100%;">
								<label style="display: block;">Project Manager</label>
								<select name="combo_search_project_manager_user_ids[]" id="combo_search_project_manager_user_ids"  class="form-control custom-multiselect" multiple="multiple" style="width:100%; background: #ffffff !important;border: solid 1px !important; border-color: #dad9d8 !important;">
									<?php
									$qry = "select * from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY full_name";
									$result = mysqli_query($conn,$qry);
									if (mysqli_num_rows($result)>0){
										while($row = mysqli_fetch_assoc($result)){
										?>
										<option value="<?php echo $row['user_id']; ?>" <?php if(in_array($row['user_id'],$combo_search_project_manager_user_ids)){ ?> selected <?php } ?>><?php echo $row['full_name']; ?></option>
										<?php
										}
									}
									?>
								</select>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group" style="width:100%;">
								<label style="display: block;">Stakeholder Groups</label>
								<select name="combo_search_project_group_ids[]" id="combo_search_project_group_ids"  class="form-control custom-multiselect" multiple="multiple" style="width:100%; background: #ffffff !important;border: solid 1px !important; border-color: #dad9d8 !important;">
									<?php
									$qry = "SELECT * FROM `cxs_projects_stakeholder_groups` WHERE company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY group_name";
									$result = mysqli_query($conn,$qry);
									if(mysqli_num_rows($result)>0){
										while($row = mysqli_fetch_assoc($result)){
										?>
										<option value="<?php echo $row['group_id']; ?>" <?php if(in_array($row['group_id'],$combo_search_project_group_ids)){ ?> selected <?php } ?>><?php echo htmlentities($row['group_name']); ?></option>
										<?php
										}
									}
									?>
								</select>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group pr-3">
								<label>Schedule Start Date</label>
								<input id="text_search_schedule_start_date" name="text_search_schedule_start_date" type="text" class="form-control form_datetime" value="<?php echo $text_search_schedule_start_date; ?>">
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<label>Schedule End Date</label>
								<input id="text_search_schedule_end_date" name="text_ssearch_chedule_end_date" type="text" class="form-control form_datetime" value="<?php echo $text_search_schedule_end_date; ?>">
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group pr-3">
								<label>Actual Start Date</label>
								<input id="text_search_actual_start_date" name="text_search_actual_start_date" type="text" class="form-control form_datetime" value="<?php echo $text_search_actual_start_date; ?>">
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<label>Actual End Date</label>
								<input id="text_search_actual_end_date" name="text_search_actual_end_date" type="text" class="form-control form_datetime" value="<?php echo $text_search_actual_end_date; ?>">
							</div>
						</div>
						
						<div class="col-md-3">
							<div class="form-group">
								<label>Project Status</label>
								<select class="js-example-basic-single" name="combo_search_project_status" id="combo_search_project_status" style="width:100%">
								<option value="">--Please Select--</option>
								<option class="Red" value="Draft" <?php if($combo_search_project_status=="Draft"){ ?> selected <?php } ?>>Draft</option>
								<option class="Blue" value="Planning" <?php if($combo_search_project_status=="Planning"){ ?> selected <?php } ?>>Planning</option>
								<option class="Green" value="Execute" <?php if($combo_search_project_status=="Execute"){ ?> selected <?php } ?>>Execute</option>
								<option class="Yellow" value="Closed" <?php if($combo_search_project_status=="Closed"){ ?> selected <?php } ?>>Closed</option>
							</select>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<label>&nbsp;</label>
								<div class="form-check">
									<label class="form-check-label">
									<input id="check_search_is_overdue_project" name="check_search_is_overdue_project" value="1" type="checkbox" class="form-check-input" <?php if($check_search_is_overdue_project==1){ ?> checked <?php } ?>>
									Overdue Project Only <i class="input-helper" ></i> </label>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<div class="mr-5">
					<div class="form-check">
						<label class="form-check-label">
						<input id="check_is_save_for_future_use" name="check_is_save_for_future_use" value="1" type="checkbox" class="form-check-input">
						Save for future use <i class="input-helper" ></i> </label>
					</div>
				</div>
				<button type="button" class="btn btn-primary"  id="cmd_feed_filter_modal_apply" title="Apply" onClick="getProjectsData(true);">Search</button>
				<button type="button" class="btn btn-light" title="Clear" onClick="getProjectsData();">Clear</button>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="project_contact_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="project_contact_data_title"></h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="project_contact_data_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php include("include_share_project_link_modal.php"); ?>
<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	getProjectsData();
	/************/
	$(".custom-multiselect").multiselect({
		includeSelectAllOption: true,
		numberDisplayed: 1,
		enableFiltering:true
	});
	/************/
	$('.form_datetime').datepicker({
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true
	});
});
function getProjectsData(is_filter=false){
	var formdata = "";
	$(".close").click();
	if(is_filter==true){
		formdata 		= $('#search_form').serialize();
	}
	$("#results_projects").mCustomScrollbar("destroy");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_projects_data',is_html:true,is_filter1:is_filter,form1: formdata},
		beforeSend: function() {
			$("#results_projects").fadeOut(500);
			$(".loading-div-projects").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-projects").hide();
				$("#results_projects").html(response);
				$("#results_projects").fadeIn(500);
				dataTableCreateCommonOrderOn("table_projects",0);
				$("#table_projects_filter").hide();
				$('[data-toggle="popover"]').popover();
				
				setTimeout(function(){
					$("#results_projects").mCustomScrollbar({  // custom scroll bar plugin
						theme:"light-2",  // custom scroll theme set
						axis: "x",     // custom scroll ver,hor scroll
					});
				},900);
			},1000);
		}
	});
}
/**************************/
function viewProjectData(project_id,type){
	$("#project_view_data_div").html("");
	if(type=="get_project_manager_data"){
		$("#project_view_data_title").html("Project Managers of <span class='text-secondary'>"+$("#project_name_"+project_id).text()+" ("+$("#project_number_"+project_id).text()+")"+"</span>");
	}else if(type=="get_project_summary_data"){
		$("#project_view_data_title").html("Project Summary of <span class='text-secondary'>"+$("#project_name_"+project_id).text()+" ("+$("#project_number_"+project_id).text()+")"+"</span>");
	}
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: type,is_html:true,project_id1:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$('#project_view_data_modal').modal('show');
				$("#project_view_data_div").html(response);
				//dataTableCreateCommon('table_team_members');
				if(type!="get_project_summary_data"){
					var table = $('#table_project_manager').DataTable( {
					  "info": false,
					  "paging":false,
					  "autoWidth":false,
					  "dom": 'lBfrtip',              
					   buttons: [                  
						   [
								/*'excel',*/
								/*'pdf',*/
								{
									text: 'Email',
									action: function ( e, dt, node, config ) {
									//$("#modal_email").show(); 
									show_emaimodal();
									}
								}
						   ]]
					}); 
					$('#table_project_manager tfoot th.searc').each( function () {
							var title = $(this).text();
							$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
					}); 
					// Apply the search
					table.columns().every( function (){
						var that = this;
						$( 'input', this.footer() ).on( 'keyup change', function () {
							if ( that.search() !== this.value ) {
								that
													.search( this.value )
													.draw();
							}
						});
					});  
					/**/
					$("#table_project_manager_filter").hide();
					/**/
					$('[data-toggle="popover"]').popover();
				}
			},1000);
		}
	});
}
/*****************************/
$('#cmdBtnSearch').click(function(){
	$('#search_project_modal').modal('show');
});
/*****************************/
function viewProjectContactData(project_id){
	
	$("#project_contact_data_div").html("");
	$("#project_contact_data_title").html("Project Contact details of <span class='text-secondary'>"+$("#project_name_"+project_id).text()+" ("+$("#project_number_"+project_id).text()+")"+"</span>");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: "get_project_contact_data",is_html:true,project_id:project_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$('#project_contact_data_modal').modal('show');
				$("#project_contact_data_div").html(response);
				//dataTableCreateCommon('table_team_members');
				var table = $('.table_gen').DataTable( {
					  "info": false,
					  "searching": false,
					  "paging":false,
					  "autoWidth":false,
					  "dom": 'lBfrtip',              
					   buttons: [                  
						   [
								'pdf',
								{
									text: 'Email',
									action: function ( e, dt, node, config ) {
									//$("#modal_email").show(); 
									show_emaimodal();
									}
								}
						   ]]
					}); 
			},1000);
		}
	});
}
</script>
</body>
</html>