    <div class="modal fade pr-0" id="modal_approve_workbench">
        <div class="modal-dialog modal-xl mt-0 " role="document">                
            <div class="modal-content">
                <div class="modal-header pb-1">
                    <h3 class="modal-title" id="modal2_label">Approve Attendance Time Cards</h3>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                          <span aria-hidden="true">&times;</span>                    
                    </button>
                </div>

                <div class="modal-body pt-2 ">                                    
                    <div class="row">
                        <div class="col-md-4">
                            <button type="button" class="btn btn-primary btn-sm " id = "btnCollapseAll" title ="Collapse All"><i class="fa fa-compress"></i></button>
                            <button type="button" class="btn btn-primary btn-sm " id = "btnShowAll" title ="Show All"><i class="fa fa-expand"></i></button>
                        </div>
                        <div class="col-md-4">
                            <div class="text-center">
                                <div><label>Attendance Date</label></div>
                                <div class="form-inline" style="display: inline-block;">
                                    <i class="fa fa-arrow-circle-o-left pr-2 change_attendance_date" style="font-size: 2rem;" id="prev_attendance_date"></i>                                                        
                                       <input type="text" class="form-control form_datetime text-center" id="text_attendance_date" name="text_attendance_date" autocomplete="off">
                                       <input type ="hidden" value="" id="h_attendance_date">
                                    <i class="fa fa-arrow-circle-o-right pl-2 change_attendance_date" style="font-size: 2rem;" id="next_attendance_date"></i>
                                </div>

                                 <div class="mt-3"><h4 class="pr-3" id="text_attendance_date_string"> </h4> </div>
                            </div> 
                        </div>
                        <div class="col-md-4 text-right">
                            <button type="button" class="btn btn-primary btn-sm mr-3 all_user_approve_all" disabled>Approve All</button>
                            <button type="button" class="btn btn-primary btn-sm mr-3 all_user_reject_all"  disabled>Reject All</button>   
                        </div>
                    </div>



                    <!-- START ACCORDIAN -->


                        <div class="accordion" id="accordion_attendance" role="tablist">

                        </div>  

                    <!-- END ACCORDIAN -->
                </div>     
            </div>
        </div>
    </div>   

    <div class="modal fade" id="modalConfirm" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
        <div class="modal-dialog swal-modal" role="document">
          <div class="modal-content">                
            <div class="modal-body pt-0">
                <div class="swal-icon swal-icon--warning">
                    <span class="swal-icon--warning__body">
                      <span class="swal-icon--warning__dot"></span>
                    </span>
                </div>

                <div class="swal-title">Are you sure?</div>
                <div class="swal-text" id="confirm_div">Are you sure to delete this record?</div>
                <input type="hidden" id="h_userid" value="">
                <input type="hidden" id="h_calendar_date" value=""> 
                <input type="hidden" id="h_selected_id" value=""> 
                <input type="hidden" id="h_approve_status" value=""> 
                <input type="hidden" id="h_approve_comment" value=""> 
                <input type="hidden" id="h_entry_category" value=""> 
                <input type="hidden" id="h_click_cls" value="">
            </div>

            <div class="swal-footer">                
                <div class="swal-button-container">
                    <button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalConfirm_Ok">OK</button>                        
                </div>
                <div class="swal-button-container">
                    <button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalConfirm_Cancel">Cancel</button>                        
                </div>
            </div>
          </div>
        </div>
    </div> 

<script>
    $("#cmdModalConfirm_Cancel").click(function()
    {
        $("#h_userid").val("");
        $("#h_calendar_date").val("");
        $("#h_selected_id").val("");
        $("#h_approve_status").val("");
        $("#h_approve_comment").val("");
        $("#modalConfirm").modal('hide');
    });
    
    $("#cmdModalConfirm_Ok").click(function() 
    {
        $.ajax({
                url: SITEURL+"aj/attendance-approval/",
                method: "POST",
                data: {REQUEST: 'attendance_approve', user_id: $("#h_userid").val(),calendar_date: $("#h_calendar_date").val(),selected_id: $("#h_selected_id").val(),set_status:$("#h_approve_status").val(),set_comment:$("#h_approve_comment").val(),entry_category:$("#h_entry_category").val()},
                beforeSend: function() 
                {
                        $(".rploader").fadeIn(800);
                },
                success: function (response)
                {  
                    $(".rploader").fadeOut(800);
                    console.log(response.qry);
                    if($("#h_calendar_date").val()!='' && $("#h_userid").val()!='')
                    {
                        if(response.succ==1)
                        {
                            var uri = window.location.toString();
                            if (uri.indexOf("?") > 0) 
                            {
                                var clean_uri = uri.substring(0, uri.indexOf("?"));
                                window.history.replaceState({}, document.title, clean_uri);
                            }
                            
                            //var current_page = location.pathname.split('/').slice(-1)[0];
                            var page = '<?php echo $page; ?>';
                            
                            if(page=="attendance-approval")
                            {
                                console.log($("#h_current_row").val());
                                var v1 = "action_col_"+$("#h_current_row").val();
                                var v2 = "span_"+$("#h_current_row").val();
                                $("#"+v1+" :input").attr("disabled", true);
                                $("#"+v1).children().hide();
                                
                                if($("#h_approve_status").val()=="A")
                                {
                                    $("#"+v2).text("Approved");
                                }
                                else if($("#h_approve_status").val()=="R")
                                {
                                    $("#"+v2).text("Rejected");
                                }                                
                                $("#h_current_row").val("");
                                
                                
                                if($("#h_click_cls").val()!='')
                                {
                                    $("#text_attendance_date").change();
                                }
                            }
                            else if(page=="supervisor-workbench")
                            {
                                console.log($("#h_current_row").val());
                                var v1 = $("#h_current_row").val();
                                
                                if($("#h_approve_status").val()=="A")
                                {
                                    if($("#h_entry_category").val()=="timeoff")
                                    {
                                        if($("#span_timeoff_status"+v1).text()!='')
                                        {
                                            $("#span_timeoff_status"+v1).text("Approved");
                                             $("#span_timeoff_status"+v1).css("color", "red");
                                            $("#div_actions_timeoff"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_timeoff"+v1).children().hide();
                                            
                                            $('.time_off_data').each(function()
                                            {
                                                if($(this).val()==response.get_timeoff_id)
                                                {
                                                    var current_row_id = $(this).attr('id'); 
                                                    current_row_id = current_row_id.match(/\d+/g);
                                                    
                                                    if(current_row_id!=v1)
                                                    {
                                                        $("#span_timeoff_status"+current_row_id).text("Approved");
                                                        $("#span_timeoff_status"+current_row_id).css("color", "red");
                                                        $("#div_actions_timeoff"+current_row_id+" :input").attr("disabled", true);
                                                        $("#div_actions_timeoff"+current_row_id).children().hide();
                                                    }
                                                }                                               
                                            });
                                            
                                        }
                                    }
                                    else
                                    {
                                        if($("#span_submitted_status"+v1).text()!='')
                                        {
                                            $("#span_submitted_status"+v1).text("Approved");
                                             $("#span_submitted_status"+v1).css("color", "red");
                                            $("#div_actions_submitted"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_submitted"+v1).children().hide();
                                            /*$('#div_actions_submitted'+v1).children().first().hide();*/
                                            /*$('#div_actions_submitted'+v1+":nth-child(1)").hide();  
                                            $('#div_actions_submitted'+v1+":nth-child(2)").hide(); */
                                        }
                                        if($("#span_missed_status"+v1).text()!='')
                                        {
                                            $("#span_missed_status"+v1).text("Approved");
                                             $("#span_missed_status"+v1).css("color", "red");
                                            $("#div_actions_missed"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_missed"+v1).children().hide();
                                        }
                                        /*if($("#span_last_status"+v1).text()!='')
                                        {
                                            $("#span_last_status"+v1).text("Approved");
                                            $("#span_last_status"+v1).css("color", "red");
                                            $("#div_actions_last"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_last"+v1).children().hide();
                                        }*/
                                    }
                                    
                                }
                                else if($("#h_approve_status").val()=="R")
                                {
                                    if($("#h_entry_category").val()=="timeoff")
                                    {
                                        if($("#span_timeoff_status"+v1).text()!='')
                                        {
                                            $("#span_timeoff_status"+v1).text("Rejected");
                                            $("#span_timeoff_status"+v1).css("color", "red");
                                            $("#div_actions_timeoff"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_timeoff"+v1).children().hide();
                                            
                                            $('.time_off_data').each(function()
                                            {
                                                if($(this).val()==response.get_timeoff_id)
                                                {
                                                    var current_row_id = $(this).attr('id'); 
                                                    current_row_id = current_row_id.match(/\d+/g);
                                                    
                                                    if(current_row_id!=v1)
                                                    {
                                                        $("#span_timeoff_status"+current_row_id).text("Rejected");
                                                        $("#span_timeoff_status"+current_row_id).css("color", "red");
                                                        $("#div_actions_timeoff"+current_row_id+" :input").attr("disabled", true);
                                                        $("#div_actions_timeoff"+current_row_id).children().hide();
                                                    }
                                                }                                               
                                            });
                                            
                                            
                                        }
                                    }
                                    else
                                    {
                                        if($("#span_submitted_status"+v1).text()!='')
                                        {
                                            $("#span_submitted_status"+v1).text("Rejected");
                                            $("#span_submitted_status"+v1).css("color", "red");
                                            $("#div_actions_submitted"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_submitted"+v1).children().hide();

                                            //$( "div_actions_submitted"+v1+":nth-child(1)").hide();
                                        }
                                        if($("#span_missed_status"+v1).text()!='')
                                        {
                                            $("#span_missed_status"+v1).text("Rejected");
                                            $("#span_missed_status"+v1).css("color", "red");
                                            $("#div_actions_missed"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_missed"+v1).children().hide();
                                        }
                                        if($("#span_last_status"+v1).text()!='')
                                        {
                                            $("#span_last_status"+v1).text("Rejected");
                                            $("#span_last_status"+v1).css("color", "red");
                                            $("#div_actions_last"+v1+" :input").attr("disabled", true);
                                            $("#div_actions_last"+v1).children().hide();
                                        }
                                    }
                                    
                                    
                                    
                                }                                
                                $("#h_current_row").val("");
                            }
                           /*location.reload();*/
                        }
                    }
                    else if(($("#h_selected_id").val()!='')   ||  ($("#h_calendar_date").val()!='' &&  $("#h_userid").val()=='' && $("#h_selected_id").val()==''))  
                    {
                        if(response.succ==1)
                        {
                            $("#text_attendance_date").change();
                        }
                    }
                    else if($("#h_click_cls").val()!='')
                    {
                        if(response.succ==1)
                        {
                            $("#text_attendance_date").change();
                        }
                    }
                    $("#h_click_cls").val('all_user_reject_all');
                    $("#h_userid").val("");
                    $("#h_calendar_date").val("");
                    $("#h_selected_id").val("");
                    $("#h_approve_status").val("");
                    $("#h_approve_comment").val("");
                    $("#h_click_cls").val('');
                    $("#modalConfirm").modal('hide');
                }
        });
    });
    
    /******************************************************/
    
    $("#btnCollapseAll").click(function()
    {
        $( "div .collapse" ).each(function( i ) {
           if($(this).hasClass("show")) 
           {
               $(this).removeClass("show");
           }
        });
    });
    
        
     
    $("#btnShowAll").click(function()
    {
        $( "div .collapse" ).each(function( i ) 
        {
           if(!$(this).hasClass("show")) 
           {
               $(this).addClass("show");
           }
        });        
    });
    
    
     $("#text_attendance_date").change(function()
    {
        var selected_date = $("#text_attendance_date").val();
        $("#h_attendance_date").val(selected_date);
        $("#accordion_attendance").html('');
        $("#text_attendance_date_string").text('');
        
        
        $.ajax({
                url: SITEURL+"aj/attendance-tracking/3/",
                method:"POST",
                data:{REQUEST:'get_user_attendance',"selected_date":selected_date},
                beforeSend: function() 
                {
                    $(".rploader").fadeIn(800);
                },
                success:function(response)
                {
                    setTimeout(function(){
                    $(".rploader").fadeOut(800);     
                    $("#accordion_attendance").empty();
                    if(response.succ==1)
                    {  
                        console.log(response);
                        $("#text_attendance_date_string").text(response.selected_date1);
                        if (!jQuery.isEmptyObject(response.data_list))
                        {
                            update_approve_workbench(response.data_list);
                        }
                    }
                    },800);
                }
           });    
    });
    
    
    function update_approve_workbench(data_list)
    {
        var v1 = '';
        var all_user_buttons = "";
        var prev_user_id = "";
        var all_card_status = "";
        var last_key = "";
        
        $.each( data_list, function( key, value ) 
        {
            if(prev_user_id!=value.user_id && key > 0)
            {
                v1+='<tr><td colspan="5" >'+
                        '<div class="form-group">'+
                            '<label>Approver Comments</label>'+
                            '<div class = "input-group"><textarea class="form-control requirefieldcls approver_comment" isdisabled rows="3">'+value.time_card_comment+'</textarea>'+
                            '</div>'+
                        '</div>'+                                   
                        '</td>';
                        v1 +=''+
                        '</tr>';
                            
                v1 +=    '</tbody></table>'+
                                '</div>'+
                            '</div>'+    
                        '</div>';
                v1 += '</div>';
                
                
                if(all_card_status=="disabled")
                {
                    v1 = v1.replace("isdisabled",all_card_status);
                    v1 = v1.replace("isdisabled",all_card_status);
                    v1 = v1.replace("isdisabled",all_card_status);
                }
                else
                {
                    v1 = v1.replace("isdisabled","");
                    v1 = v1.replace("isdisabled","");
                    v1 = v1.replace("isdisabled","");
                    all_user_buttons = "N";
                }
                
            }    
            if(prev_user_id!=value.user_id)
            {
            v1 += '<div class="card">';
                v1 += '<div class="card-header" role="tab" id="heading-'+key+'">';
                v1 += '<a class="collapsed" data-toggle="collapse" href="#collapse-'+key+'" aria-expanded="true" aria-controls="collapse-'+key+'">'+
                                '<div class="row ">'+
                                    '<div class="col-md-4">'+
                                        '<div class="d-flex">'+
                                            '<img class="img-sm rounded-circle mb-md-0 " src="'+value.img_src+'" alt="profile image">'+
                                            '<h4 class="card-title  mb-3 mt-2 ml-3">'+value.full_name+'\'s Attendance Time Card </h4>'+
                                        '</div>'+
                                    '</div>'+
                                '</div>'+
                        '</a>';
                v1 += '<div class="pt-3">'+
                        '<input type="hidden" value ="'+value.user_id+'">'+
                    '<button type="button" class="btn btn-primary btn-sm user_wise_approveall" id="ApproveAll'+key+'" isdisabled >Approve All</button> '+
                    '<button type="button" class="btn btn-primary btn-sm user_wise_rejectall" id="RejectAll'+key+'" isdisabled >Reject All</button>'+ 
                '</div>';
                v1 += '</div>';
                   
                //var card_status = "Pending";
                all_card_status = "disabled";
               
                v1+='<div id="collapse-'+key+'" class="collapse show" role="tabpanel" aria-labelledby="heading-'+key+'" data-parent="#accordion_attendance">'+                
                        '<div class="card-body">'+
                            '<div class="table-responsive">'+
                                '<table class="table" id="table'+key+'">'+
                                    '<thead><tr><th></th><th>Missed Attendance</th><th>Missed Attendance Comment</th><th>Status</th><th>Action</th></tr></thead>'+
                                    '<tbody>';
            }                        
            v1+='<tr>';
            if(value.time_inout==null)
            {
                v1 += '<td ><div class="form-inline"><h5 class="m-2 badge badge-light style1" >'+value.time_type+'</h5><h5> '+value.time_in+'</h5></div></td>';
            }
            else
            {
                v1 += '<td ><div class="form-inline"><h5 class="m-2 badge badge-light style1" >'+value.time_type+'</h5><h5> '+value.time_inout+' ('+value.TimeDuration+' hrs)</h5></div></td>';
            }
            
            v1 +='<td><div class="pl-2"><h5>'+value.is_missed_in+'</h5></div><div class="pl-2"><h5>'+value.is_missed_out+'</h5></div></td>'+
            '<td><div class="pl-2"><h5>'+value.missed_in_reason+'</h5></div><div class="pl-2"><h5>'+value.missed_out_reason+'</h5></div></td>';                                            
            v1 +='<td><h5>'+value.time_card_status+'</h5></td>';
            v1+='<td><input type="hidden" value="'+value.session_id+'">';


            if(value.time_card_status=="Pending" || value.time_card_status=="Resubmit") /*if(value.clock_time_card_status!="A")*/
            {
                all_card_status = "N";
                v1+= '<div class="pl-2"><button type="button" class="btn btn-primary btn-sm mr-2 p-2 approve_row ">Approve</button><button type="button" class="btn btn-primary btn-sm p-2 reject_row">Reject</button></div>';
            } 
            else
            {
                v1+= '<div class="pl-2"><button type="button" class="btn btn-primary btn-sm mr-2 p-2" disabled>Approve</button><button type="button" class="btn btn-primary btn-sm p-2" disabled>Reject</button></div>';
            }
            v1+='</td></tr>';                                    
                                    
                            
            prev_user_id = value.user_id;
            last_key = key;
        });
        
        /* THIS CODE IS FOR LAST ROW */
        v1+='<tr><td colspan="5" >'+
                '<div class="form-group">'+
                    '<label>Approver Comments</label>'+
                    '<div class = "input-group"><textarea class="form-control requirefieldcls approver_comment" isdisabled rows="3">'+data_list[last_key]['time_card_comment']+'</textarea>'+
                    '</div>'+
                '</div>'+                                   
                '</td>';
                v1 +='<td><div></div></td>'+
                '</tr>';

        v1 +=    '</tbody></table>'+
                        '</div>'+
                    '</div>'+    
                '</div>';
        v1 += '</div>';
        
        if(all_card_status=="disabled")
        {
            v1 = v1.replace("isdisabled",all_card_status);
            v1 = v1.replace("isdisabled",all_card_status);
            v1 = v1.replace("isdisabled",all_card_status);
        }
        else
        {
            v1 = v1.replace("isdisabled","");
            v1 = v1.replace("isdisabled","");
            v1 = v1.replace("isdisabled","");
            all_user_buttons = "N";
        }
        /* ********************* */
        $("#accordion_attendance").html(v1);
        if(all_user_buttons=="N")
        {
            $(".all_user_approve_all").attr("disabled",false);
            $(".all_user_reject_all").attr("disabled",false);
        }
        else
        {
            $(".all_user_approve_all").attr("disabled",true);
            $(".all_user_reject_all").attr("disabled",true);
        }    
    }
    
    $(document).on('click', '.approve_row', function(event)   
    {
        var selected_id = $(this).closest('td').find('input[type="hidden"]').val();        
        var approve_comment;        
        approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').find(".approver_comment").val();
        }    
        
        
        $("#h_selected_id").val(selected_id);
        $("#h_approve_status").val("A");
        $("#h_userid").val("");
        $("#h_calendar_date").val("");
        $("#h_approve_comment").val(approve_comment);
        /*$("#modalConfirm").modal('show');
        $("#confirm_div").text('Do you want to approve this attendance?');*/
        $("#cmdModalConfirm_Ok").click();
    });
    
    $(document).on('click', '.reject_row', function(event)   
    {
        var selected_id = $(this).closest('td').find('input[type="hidden"]').val();
         var approve_comment;        
        approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').next('tr').find(".approver_comment").val();
        }    
        if(typeof approve_comment === "undefined")
        {
            approve_comment = $(this).closest('tr').next('tr').find(".approver_comment").val();
        }    
        
        $("#h_selected_id").val(selected_id);
        $("#h_approve_status").val("R");
        $("#h_approve_comment").val(approve_comment);
        $("#h_userid").val("");
        $("#h_calendar_date").val("");
        /*
        $("#modalConfirm").modal('show');
        $("#confirm_div").text('Do you want to reject this attendance?');*/
        $("#cmdModalConfirm_Ok").click();
    });
    
    $(document).on('click', '.user_wise_approveall', function(event)   
    {   
        userid =  $(this).parent().find('input[type="hidden"]').val();
        var selected_date = $("#text_attendance_date").val();        
        var table_id = $(this).parent().parent().next('div').children().children().children().closest('table').attr('id');
        var last_row = $('#'+table_id+' tr:last');
        var approve_comment = last_row.find("textarea").val();
        var title = $(this).parent().prev().children().children().children().children().closest('h4').text();
        if(title.length > 0 )
        {
            // title = title.replace("'s Attendance Time Card","");
        }
        
        $("#h_userid").val(userid);
        $("#h_calendar_date").val(selected_date);
        $("#h_selected_id").val("");
        $("#h_approve_status").val("A");
        $("#h_approve_comment").val(approve_comment);
        $("#h_click_cls").val('user_wise_approveall');
        $("#modalConfirm").modal('show');
        
        
        $("#confirm_div").html('Do you want to approve all attendance of <b>'+ title+'</b> of Dated <b>'+ $("#text_attendance_date_string").text() +'</b> ?');
    });
    
     $(document).on('click', '.user_wise_rejectall', function(event)   
    {
        userid =  $(this).parent().find('input[type="hidden"]').val();
        var selected_date = $("#text_attendance_date").val();        
        var table_id = $(this).parent().parent().next('div').children().children().children().closest('table').attr('id');
        var last_row = $('#'+table_id+' tr:last');
        var approve_comment = last_row.find("textarea").val();
        var title = $(this).parent().prev().children().children().children().children().closest('h4').text();
        if(title.length > 0 )
        {
            // title = title.replace("'s Attendance Time Card","");
        }
        
        $("#h_userid").val(userid);
        $("#h_calendar_date").val(selected_date);
        $("#h_selected_id").val("");
        $("#h_approve_status").val("R");
        $("#h_approve_comment").val(approve_comment);
        $("#h_click_cls").val('user_wise_rejectall');
        $("#modalConfirm").modal('show');
        
        
        $("#confirm_div").html('Do you want to reject all attendance of <b>'+ title+'</b> of Dated <b>'+ $("#text_attendance_date_string").text() +'</b> ?');
    });
    
    
    $(document).on('click', '.all_user_approve_all', function(event)   
    {   
        var selected_date = $("#text_attendance_date").val();                
        $("#h_userid").val("");
        $("#h_calendar_date").val(selected_date);
        $("#h_selected_id").val("");
        $("#h_approve_status").val("A");
        $("#h_approve_comment").val('');
        $("#h_click_cls").val('all_user_approve_all');
        $("#modalConfirm").modal('show');
        
        $("#confirm_div").html('Do you want to approve all employee attendance of Dated <b>'+ $("#text_attendance_date_string").text() +'</b> ?');
    });
    
    $(document).on('click', '.all_user_reject_all', function(event)   
    {   
        var selected_date = $("#text_attendance_date").val();                
        $("#h_userid").val("");
        $("#h_calendar_date").val(selected_date);
        $("#h_selected_id").val("");
        $("#h_approve_status").val("R");
        $("#h_approve_comment").val('');
        $("#h_click_cls").val('all_user_reject_all');
        $("#modalConfirm").modal('show');
        
        $("#confirm_div").html('Do you want to approve all employee attendance of Dated <b>'+ $("#text_attendance_date_string").text() +'</b> ?');
    });
    
    $(".change_attendance_date").click(function()
    {
        $("#text_attendance_date").val('');
        var current_id = $(this).attr('id');
        //var selected_date = $("#text_attendance_date").val();        
        var selected_date = $("#h_attendance_date").val();        
        
        if(selected_date=="")
        {
            return false;
        }
        if (current_id == "prev_attendance_date")
        {
            action = "minus";
        }
        else if (current_id == "next_attendance_date")
        {
            action = "add";
        }
        
        $.ajax({
            url: SITEURL+"aj/attendance-approval/",
            method: "POST",
            data: {REQUEST: 'day_incdec', "selected_date":selected_date,"no_of_days":1,"action":action},
            beforeSend: function() 
            {
                $(".rploader").fadeIn(800);
            },
            success: function (response)
            {  
                setTimeout(function(){
                $(".rploader").fadeOut(800);  
                if(response.succ==1)
                {
                    $("#text_attendance_date").val(response.display_date1);
                    $("#h_attendance_date").val(response.display_date1);
                    $("#text_attendance_date").change();
                }
                },2000);
            }
        });
    });
    
    $('#modal_approve_workbench').on('hidden.bs.modal', function (e) 
    {
       // location.reload(); 
        
        
        var uri = window.location.toString();
        if (uri.indexOf("?") > 0) 
        {
            var clean_uri = uri.substring(0, uri.indexOf("?"));
            window.history.replaceState({}, document.title, clean_uri);
        }
         location.reload();         
        
    });
    
</script>