<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0){
	header("location:admin.php");
}
if(!isset($_REQUEST['page']) || $_REQUEST['page']==""){
	header("location:admin.php");
}

$page = $_REQUEST['page'];

if($page=="invoice"){
	if(!isset($_REQUEST['invoice_id']) || $_REQUEST['invoice_id']<=0 || $_REQUEST['invoice_id']==""){
		header("location:inv-manage-invoice.php");
	}
	$invoice_id = intval($_REQUEST['invoice_id']);
	$invoice_template = file_get_contents("template/template_invoice.html");
	
	/*****************Get Data*********************/
	$header_id 		= $invoice_id;
	$selectQuery 	= "SELECT * FROM `cxs_invoice_header` WHERE invoice_id='".$header_id."'";			
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows == 0 ){
		header("Location:inv-manage-invoice.php");
	}
	
	$rows 	= mysqli_fetch_array($RunUserQuery);
	
	$text_invoice_number	= htmlentities($rows['invoice_number']);
	$combo_client_id		= htmlentities($rows['client_id']);
	
	$selectQuery1 	= "SELECT * FROM `cxs_clients` WHERE id='".$combo_client_id."'";			
	$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
	$rows1 	= mysqli_fetch_array($RunUserQuery1);
	
	$text_client_name		= $rows1["client_name"];
	//$text_bill_to_full_address	= $rows1["bill_to_address"].", ".$rows1["bill_to_city"]." ".$rows1["bill_to_zip"].", ".$rows1["bill_to_state"].", ".$rows1["bill_to_country"];
	$text_bill_to_address 	= $rows1["bill_to_address"];
	$text_bill_to_city 		= $rows1["bill_to_city"];
	$text_bill_to_zip 		= $rows1["bill_to_zip"];
	$text_bill_to_state 	= $rows1["bill_to_state"];
	$text_bill_to_country 	= $rows1["bill_to_country"];
	//$text_ship_to_full_address 	= $rows1["ship_to_address"].", ".$rows1["ship_to_city"]." ".$rows1["ship_to_zip"].", ".$rows1["ship_to_state"].", ".$rows1["ship_to_country"];
	$text_ship_to_address 	= $rows1["ship_to_address"];
	$text_ship_to_city 		= $rows1["ship_to_city"];
	$text_ship_to_zip 		= $rows1["ship_to_zip"];
	$text_ship_to_state 	= $rows1["ship_to_state"];
	$text_ship_to_country 	= $rows1["ship_to_country"];
	
	//$text_bill_to_full_address	= str_replace(", ,",", ",$text_bill_to_full_address);
	//$text_ship_to_full_address 	= str_replace(", ,",", ",$text_ship_to_full_address);

	$combo_payment_term_id	= htmlentities($rows['payment_term_id']);
	$text_payment_term		= getvalue("cxs_payment_terms","payment_term_name"," WHERE payment_term_id='".$combo_payment_term_id."'");
	$text_invoice_date		= setDate($rows['invoice_date'],'m/d/Y');
	$text_payment_due_date	= setDate($rows['payment_due_date'],'m/d/Y');
	//$check_is_paid			= htmlentities($rows['is_paid']);
	$text_invoice_description 	= htmlentities($rows['invoice_description']);
	/*****************Get Data*********************/
	
	//$invoice_template = str_replace("#InvoiceNo#",$text_invoice_number,$invoice_template);
	$print_arr = array(
					"InvoiceNo" 	=> $text_invoice_number,
					"ClientName" 	=> $text_client_name,
					"InvoiceDate" 	=> $text_invoice_date,
					"PaymentDueDate"=> $text_payment_due_date,
					"BillToAddress" => $text_bill_to_address,
					"BillToCity" 	=> $text_bill_to_city,
					"BillToState" 	=> $text_bill_to_state,
					"BillToZipCode" => $text_bill_to_zip,
					"ShipToAddress" => $text_ship_to_address,
					"ShipToCity" 	=> $text_ship_to_city,
					"ShipToState" 	=> $text_ship_to_state,
					"ShipToZipCode" => $text_ship_to_zip,
					"PaymentTerm" 	=> $text_payment_term,
					"Description" 	=> $text_invoice_description,
				);
	
	$invoice_template = getPrintData($invoice_template,"#",$print_arr);
	
	$line_total_amount = 0;
	$selectQuery 	= "SELECT * FROM `cxs_invoice_line` WHERE  invoice_header_id='".$header_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY invoice_line_id,line_number";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$c = 0;
	if($StdNumRows>0){
		$print_arr1 = array();
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$c++;
			$invoice_line_id		= $rows["invoice_line_id"];
			$text_line_number 		= htmlentities($rows["line_number"]);	
			$combo_line_type_id 	= htmlentities($rows["line_type_id"]);	
			$text_amount 			= $rows["amount"];
			$line_total_amount		+= $text_amount;
			$text_line_description 	= htmlentities($rows["line_description"]);	
			$combo_task_id			= htmlentities($rows["task_id"]);
			
			$SrNo 			= $c;
			$ProjectTask 	= $combo_task_id;
			$LineDescription= $text_line_description;
			$Type 			= htmlentities(getvalue("cxs_line_type","name"," WHERE id='".$combo_line_type_id."'"));
			$Amount 		= $text_amount;
			
			$print_arr1[] = array(
							"SrNo".$c 				=> $SrNo,
							"ProjectTask".$c 		=> $ProjectTask,
							"LineDescription".$c	=> $LineDescription,
							"Type".$c 				=> $Type,
							"Amount".$c 			=> "$".setNumberFormat($Amount),
						);
			
		}
		foreach($print_arr1 as $print_arr){
			$invoice_template = getPrintData($invoice_template,"#",$print_arr);
		}
	}
	if($c<10){
		for($i=$c+1;$i<=10;$i++){
			$invoice_template = str_replace('<tr><td>#SrNo'.$i.'#</td><td>#ProjectTask'.$i.'#</td><td>#LineDescription'.$i.'#</td><td>#Type'.$i.'#</td><td align="right">#Amount'.$i.'#</td></tr>',"",$invoice_template);
		}
	}
	$invoice_template = str_replace("#TotalAmount#","$".setNumberFormat($line_total_amount),$invoice_template);
	echo $invoice_template;
}
?>