<?php
require_once "conn.php";
require_once "functions.php";

$text_project_number 		= "";
$text_project_name			= "";
$text_description 			= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	
$combo_project_status		= "";

$project_managers = "";
$project_sponsors = "";

$kpi_flag			= "";
$schedule_variance 	= 0;
$cost_variance 		= 0;
$etc_value 			= 0;
$flag_code			= "";
$flag_color 		= "";
$td_flag_class		= "";
$resource_flag		= "GREEN";
$resource_flag_color= "#22B14C";
$td_resource_class	= "td-green-class";

$project_id = $_REQUEST['project_id'];

if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE MD5(project_id)='".$project_id."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$project_id					= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$text_schedule_start_date	= setDate($rows["schedule_start_date"],"m/d/Y");
		$text_schedule_end_date		= setDate($rows["schedule_end_date"],"m/d/Y");
		$text_actual_start_date		= setDate($rows["actual_start_date"],"m/d/Y");
		$text_actual_end_date		= setDate($rows["actual_end_date"],"m/d/Y");
		$combo_project_status		= $rows["project_status"];
		
		/****************/
		if(strtotime(date("Y-m-d"))>strtotime($rows["schedule_start_date"])){
			if(getTotalRecord("cxs_projects_task_assignment","assignment_id"," WHERE project_id='".$project_id."'")==0){
				$resource_flag		= "RED";
				$resource_flag_color= "#ED1B23";
				$td_resource_class	= "td-red-class";
			}
		}
		/****************/
		
		/****************/
		$kpi_data_arr_hours = getKPIArray($project_id,0,"hours");
		$kpi_data_arr_labor = getKPIArray($project_id,0,"labor");
		//print_r($kpi_data_arr_labor);die;
		$kpi_data_arr_non_labor = getKPIArray($project_id,0,"non_labor");
		
		if(is_array($kpi_data_arr_hours) && count($kpi_data_arr_hours)>0){
			
			$schedule_variance 	= $kpi_data_arr_hours["schedule_variance"];
			$cost_variance 		= $kpi_data_arr_hours["cost_variance"];
			
			$kpi_flag = getKPIFlag($project_id,0);
			
			$flag_code = $kpi_flag["flag_code"];
			
			if($kpi_flag["flag_code"]=="green"){
				$flag_color = "#22B14C";
				$td_flag_class = "td-green-class";
			}else if($kpi_flag["flag_code"]=="yellow"){
				$flag_color = "#FFC90E";
				$td_flag_class = "td-yellow-class";
			}else if($kpi_flag["flag_code"]=="red"){
				$flag_color = "#ED1B23";
				$td_flag_class = "td-red-class";
			}
		}
		/****************/
		
		if(getTotalRecord("cxs_projects_manager","project_manager_id"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'")>0){
			$selectQuery 	= "
				SELECT 
					u.full_name
				FROM 
					`cxs_projects_manager` pm 
				INNER JOIN
					`cxs_user` u
				ON
					pm.user_id=u.user_id
				WHERE 
					pm.project_id='".$project_id."' AND pm.company_id='".$_SESSION['login_user_array']['company_id']."'
			";
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				$project_managers = array();
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$project_managers[] = $rows["full_name"];
				}
				$project_managers = implode(", ",$project_managers);
			}
		}
		
		if(getTotalRecord("cxs_projects_stakeholders"," member_id"," WHERE project_id='".$project_id."' AND project_role_id='7' AND company_id='".$_SESSION['login_user_array']['company_id']."'")>0){
			$selectQuery 	= "
				SELECT 
					CONCAT(first_name,' ',last_name) AS full_name
				FROM 
					`cxs_projects_stakeholders`
				WHERE 
					project_id='".$project_id."' AND project_role_id='7' AND company_id='".$_SESSION['login_user_array']['company_id']."'
			";
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				$project_sponsors = array();
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$project_sponsors[] = $rows["full_name"];
				}
				$project_sponsors = implode(", ",$project_sponsors);
			}
		}
	}else{
		if(isset($_SESSION['login_user_array']['user_id'])){
			header("location:".SITEURL."dashboard/");
		}else{
			header("location:".SITEURL);
		}
	}
}else{
	if(isset($_SESSION['login_user_array']['user_id'])){
		header("location:".SITEURL."dashboard/");
	}else{
		header("location:".SITEURL);
	}
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Print Project Status</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
/* .flot-chart-container {
    min-height: 0px !important;
      }*/
     .popover {
	z-index:9999;
}
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
tr > .td-green-class{
    background-color: #22B14C !important;
    font-weight: 600;
}
tr > .td-yellow-class{
    background-color: #FFC90E !important;
    font-weight: 600;
}
tr > .td-red-class{
    background-color: #ED1B23 !important;
    font-weight: 600;
}
</style>
<style type="text/css" media="print">

@media print
{
	 @page {
	   margin-top: 0;
	   margin-bottom: 0;
	   
	 }
	 body  {
	   padding-top: 72px;
	 }
} 
</style>
</head>
<body class="sidebar-light sidebar-icon-only"  style="background-color:#FFFFFF;">
<div class="container-fluid">
	<div class="row">
		<div class="col-md-12 text-center pt-3 pb-5">
			<a class="btn btn-success btn-sm mr-3 mb-2" href="javascript:void(0);" onClick="printReport();">Print</a>
		</div>
	</div>
	<div id="printableArea">
		<div style="width:100%;margin:0 auto;" class="print-page">
			<div class="row">
				<div class="col-md-12">
					<img src="<?php echo SITEURL; ?>images/logo-p.png" class="print-page-logo" style="width:80px;height:100%;border-radius:0;" />
				</div>
			</div>
			<div class="row mt-4">
				<div class="col-md-12">
					<table class="table table-bordered">
						<tbody>
							<tr>
								<td width="33%"><h5><?php echo $text_project_name; ?></h5></td>
								<td width="33%" align="center">
									<h4>Project Status Report</h4>
									<small>As of <?php echo date("m/d/Y"); ?></small>
								</td>
								<td width="33%" align="right">
									<h5>Schedule Start Date: <?php echo $text_schedule_start_date; ?></h5>
									<h5>Schedule End Date: <?php echo $text_schedule_end_date; ?></h5>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="table-responsive expense-table mt-2">
						<table class="table table-bordered">
							<tbody>
								<tr>
									<td width="20%">Project Manager(s):</td>
									<td colspan="5"><?php echo $project_managers; ?></td>
								</tr>
								<tr>
									<td>Project Sponsor(s):</td>
									<td colspan="5"><?php echo $project_sponsors; ?></td>
								</tr>
								<tr>
									<td colspan="6">Project Description: <?php echo $text_description; ?></td>
								</tr>
								<tr>
									<td>Resource:</td>
									<td class="<?php echo $td_resource_class; ?>"><?php echo $resource_flag; ?></td>
									<td>Schedule:</td>
									<td class="<?php echo $td_flag_class; ?>"><?php echo strtoupper($flag_code); ?></td>
									<td>Costs:</td>
									<td class="<?php echo $td_flag_class; ?>"><?php echo strtoupper($flag_code); ?></td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="table-responsive expense-table mt-2">
						<table class="table table-bordered">
							<thead>
								<tr class="table-info">
									<th>Milestones</th>
									<th>Actual Start Date</th>
									<th>Schedule Start Date</th>
									<th>% Complete</th>
									<th>Task Description and Sub-Tasks</th>
								</tr>
							</thead>
							<tbody>
								<?php
								$selectQuery 	= "
									SELECT 
										*
									FROM 
										`cxs_projects_tasks` 
									WHERE 
										parent_task_id=0 AND project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
									ORDER BY 
										task_id
									";		
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$StdNumRows 	= mysqli_num_rows($RunUserQuery);
								
								if($StdNumRows>0){
									while($rows=mysqli_fetch_assoc($RunUserQuery)){
										$task_id					= $rows["task_id"];
										$text_task_number			= htmlentities($rows["task_number"]);
										$text_task_name				= htmlentities($rows["task_name"]);
										$text_task_description		= htmlentities($rows["task_description"]);
										$combo_task_status			= htmlentities($rows["task_status"]);
										$text_budgeted_hours		= htmlentities($rows["budgeted_hours"]);
										$text_task_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
										$text_task_schedule_end_date	= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
										$text_task_actual_start_date	= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
										$text_task_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
										
										$selectQuery2 	= "
											SELECT 
												completion_percentage
											FROM 
												`cxs_projects_wb_tasks` 
											WHERE 
												task_id IN (SELECT task_id FROM `cxs_projects_tasks` WHERE cxs_projects_tasks.task_id!='".$task_id."' AND cxs_projects_tasks.parent_task_id!='0' AND cxs_projects_tasks.project_id='".$project_id."') AND project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
											ORDER BY 
												task_id
											";		
										$RunUserQuery2	= mysqli_query($conn, $selectQuery2);
										$StdNumRows2 	= mysqli_num_rows($RunUserQuery2);
										
										$complete_per = 0;
										if($StdNumRows2>0){
											while($rows2=mysqli_fetch_assoc($RunUserQuery2)){
												$complete_per += $rows2["completion_percentage"];
											}
											$complete_per = setNumberFormat($complete_per/$StdNumRows2);
										}
										
										$sub_tasks = array();
										/**/
										$selectQuery1 	= "
											SELECT 
												task_number,task_name
											FROM 
												`cxs_projects_tasks` 
											WHERE 
												task_id!='".$task_id."' AND parent_task_id!='0' AND project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
											ORDER BY 
												task_id
											";		
										$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
										$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
										
										if($StdNumRows1>0){
											while($rows1=mysqli_fetch_assoc($RunUserQuery1)){
												$text_task_number			= htmlentities($rows1["task_number"]);
												$text_task_name				= htmlentities($rows1["task_name"]);
												$sub_tasks[] = $text_task_number." : ".$text_task_name;
											}
										}
										/**/
									?>
									<tr>
										<td valign="top"><?php echo $text_task_number." : ".$text_task_name; ?></td>
										<td valign="top"><?php echo $text_task_actual_start_date; ?></td>
										<td valign="top"><?php echo $text_task_schedule_start_date; ?></td>
										<td valign="top"><?php echo $complete_per; ?></td>
										<td valign="top">
											<ul>
												<?php 
												if(count($sub_tasks)>0){
													foreach($sub_tasks as $task){
														echo "<li>".$task."</li>";
													}
												}
												?>
											</ul>
										</td>
									</tr>
									<?php
									}
								}else{
								?>
								<tr>
									<td colspan="5">No record found.</td>
								</tr>
								<?php
								}
								?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="table-responsive expense-table mt-2">
						<table class="table table-bordered">
							<thead>
								<tr class="table-info">
									<th style="text-align:center">Planned Activities for Next Phases</th>
								</tr>
							</thead>
							<tbody>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="table-responsive expense-table mt-2">
						<table class="table table-bordered">
							<thead>
								<tr class="table-info">
									<th>Key Risks</th>
									<th>Probability</th>
									<th>Impact</th>
									<th>Severity</th>
								</tr>
							</thead>
							<tbody>
								<?php
								$selectQuery 	= "SELECT * FROM `cxs_projects_risks_header` WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$StdNumRows 	= mysqli_num_rows($RunUserQuery);
								if($StdNumRows>0){
									while($rows=mysqli_fetch_assoc($RunUserQuery)){
										$h_risk_id							= $rows["risk_id"];
										$text_risk_title 					= htmlentities($rows["risk_title"]);
										$text_risk_number 					= htmlentities($rows["risk_number"]);
										$combo_risk_occurrence_probability 	= htmlentities($rows["risk_occurrence_probability"]);
										$combo_risk_occurrence_impact 		= htmlentities($rows["risk_occurrence_impact"]);
										$combo_risk_severity				= htmlentities($rows["risk_severity"]);
									?>
									<tr>
										<td><?php echo $text_risk_title; ?></td>
										<td><?php echo $combo_risk_occurrence_probability; ?></td>
										<td><?php echo $combo_risk_occurrence_impact; ?></td>
										<td><?php echo $combo_risk_severity; ?></td>
									</tr>
									<?php
									}
								}else{
								?>
								<tr>
									<td colspan="4">No record found.</td>
								</tr>
								<?php
								}
								?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
			
		</div>
	</div>
</div>
<div id="previewImage" style="display:none;"></div>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
function printReport(){
	
	var printContents = document.getElementById('printableArea').innerHTML;
	var originalContents = document.body.innerHTML;
	
	document.body.innerHTML = printContents;
	window.print();
	document.body.innerHTML = originalContents;
	
	/*
	//Custom PDF file generate
	
	var element = $("#printableArea"); // global variable
	var getCanvas; // global variable
	var file_name = '<?php echo $file_name; ?>';
	
	html2canvas(element, {
		background :'#FFFFFF',
	 	onrendered: function (canvas) {
			$("#previewImage").append(canvas);
			getCanvas = canvas;
		   
			var imgData = canvas.toDataURL("image/jpeg", 1.0);
			if(canvas.width > canvas.height){
				pdf = new jsPDF('l', 'mm', [(canvas.width), (canvas.height)+80]);
			}
			else{
				pdf = new jsPDF('p', 'mm', [(canvas.height)+80, (canvas.width)]);
			}
			pdf.addImage(imgData, 'JPEG', 0, 0,canvas.width,canvas.height);
			pdf.save(file_name);
		 }
	 });
	 */
}
</script>
</body>
</html>
