<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if(!isset($_REQUEST['project_id']) || $_REQUEST['project_id']==""){
	header("location:".SITEURL."projects/");
}
$user_role 					= $_SESSION['login_user_array']['user_role'];
$project_id 				= "";	
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";	
$data_content_eye_icon		= "";
$bac = $eac = $etc = $pv = $ev = $ac = $cv = $sv = $cpi = $spi = 0;

if(isset($_GET['project_id']) && $_GET['project_id']!=""){
	$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE md5(project_id)='".setVar($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$project_id					= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$track_progress_by			= htmlentities($rows["track_progress_by"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date		= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
		$text_schedule_end_date			= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
		$text_actual_start_date			= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
		$text_actual_end_date			= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
		$text_project_status			= htmlentities($rows["project_status"]);
		$data_content_eye_icon 			= show_eye_icon_data("cxs_projects","project_id",$project_id);

		/****************/
		$kpi_data_arr_hours = getKPIArray($project_id,0,"hours");
		$kpi_data_arr_labor = getKPIArray($project_id,0,"labor");
		$kpi_data_arr_non_labor = getKPIArray($project_id,0,"non_labor");
		
		// print_r($kpi_data_arr_hours);
		// echo "<br><br>";
		// print_r($kpi_data_arr_labor);
		// echo "<br><br>";
		// print_r($kpi_data_arr_non_labor);die;
		if($track_progress_by=="by_effort_and_cost"){
			if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){
				$bac= $kpi_data_arr_hours["bac_amt"]+$kpi_data_arr_labor["bac_amt"]+$kpi_data_arr_non_labor["bac_amt"];

				$eac= $kpi_data_arr_hours["eac_amt"]+$kpi_data_arr_labor["eac_amt"]+$kpi_data_arr_non_labor["eac_amt"];

				$etc= $kpi_data_arr_hours["etc_amt"]+$kpi_data_arr_labor["etc_amt"]+$kpi_data_arr_non_labor["etc_amt"];

				$pv = $kpi_data_arr_hours["planned_value_amt"]+$kpi_data_arr_labor["planned_value_amt"]+$kpi_data_arr_non_labor["planned_value_amt"];

				$ev = $kpi_data_arr_hours["earned_value_amt"]+$kpi_data_arr_labor["earned_value_amt"]+$kpi_data_arr_non_labor["earned_value_amt"];

				$ac = $kpi_data_arr_hours["actual_cost_amt"]+$kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"];

				$cv = $kpi_data_arr_hours["cost_variance"]+$kpi_data_arr_labor["cost_variance"]+$kpi_data_arr_non_labor["cost_variance"];

				$sv = $kpi_data_arr_hours["schedule_variance"]+$kpi_data_arr_labor["schedule_variance"]+$kpi_data_arr_non_labor["schedule_variance"];

				$cpi= $kpi_data_arr_hours["cpi_value"]+$kpi_data_arr_labor["cpi_value"]+$kpi_data_arr_non_labor["cpi_value"];

				$spi= $kpi_data_arr_hours["spi_value"]+$kpi_data_arr_labor["spi_value"]+$kpi_data_arr_non_labor["spi_value"];

			}
		}else{
			if(count($kpi_data_arr_hours)>0){
				$bac= $kpi_data_arr_hours["bac_hr"];
				$eac= $kpi_data_arr_hours["eac_hr"];
				$etc= $kpi_data_arr_hours["etc_hr"];
				$pv = $kpi_data_arr_hours["planned_value_hr"];
				$ev = $kpi_data_arr_hours["earned_value_hr"];
				$ac = $kpi_data_arr_hours["actual_cost_hr"];
				$cv = $kpi_data_arr_hours["cost_variance"];
				$sv = $kpi_data_arr_hours["schedule_variance"];
				$cpi= $kpi_data_arr_hours["cpi_value"];
				$spi= $kpi_data_arr_hours["spi_value"];
			}
		}
		

		/****************/
	}else{
		header("location:".SITEURL."projects/");
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Details</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<link href="<?php echo SITEURL; ?>vendors/orgchart/orgchart.css" rel="stylesheet" type="text/css"/>
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<style>
.toggle {
	position: relative;
	display: inline-block;
	width: 40px;
	height: 20px;
}
.toggle input {
	opacity: 0;
	width: 0;
	height: 0;
}
.sld {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
 -webkit-transition: .4s;
 transition: .4s;
}
.sld:before {
	position: absolute;
	content: "";
	height: 15px;
	width:  16px;
	left: -2px;
	bottom: 3px;
	background-color: white;
 -webkit-transition: .4s;
 transition: .4s;
}
input:checked + .sld {
	background-color: #2196F3;
}
input:focus + .sld {
	box-shadow: 0 0 1px #2196F3;
}
input:checked + .sld:before {
	-webkit-transform: translateX(26px);
	-ms-transform: translateX(26px);
	transform: translateX(26px);
}
/* Rounded sliders */
.sld.round {
	border-radius: 34px;
}
.sld.round:before {
	border-radius: 50%;
}
.border {
	border: 1px solid #22c0e8;
	margin: 6px;
	border-left: 0px;
	border-right: 0px;
	border-top: 0px;
}
.main-card .card .card-body{
	padding:0.4rem !important;
}
.main-card .tab-content{
	padding:1rem !important;
}
.table_gen_left td{
	background: #f6f8fa !important;
}
.table_gen_left td.active{
	background: #cccccc !important;
}
.accordion .card .card-header a::before{
	right:-60px;
}
.accordion .card .card-header{
	padding: 1rem;
}
.first-tree-li::before{
	border:none !important;
	display: none !important;
}
.project-task-wbs-main .nested{
	top: -25px !important;
	position: relative;
}
.project-task-wbs-main ul.checktree li::before{
	height:2em;
}
.nested li{
	top: 24px;
	position: relative;
}
.project-task-wbs-main .nested{
	width:110%;
	margin-left:10px;
}
.checktree{
	padding-left:0px;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item">
											<a href="<?php echo ($user_role=="user")?"javascript:void(0);":SITEURL."projects/"; ?>">Manage Projects</a>
										</li>
										<li class="breadcrumb-item active">Project Details</li>
									</ol>
								</nav>
								<div class="accordion " id="accordion" role="tablist">
									<div class="card">
										<div class="card-header" role="tab" id="heading-1">
											<?php
											$kpi_flag = getKPIFlag($project_id,0);
											?>
											<h4 class="card-title mb-0">
												 <a class="collapsed" data-toggle="collapse" href="#project_details_div" aria-expanded="false" aria-controls="collapse-1"  style="display:inline-block">PROJECT : <?php echo $text_project_name; ?><?php if($kpi_flag!=""){ ?>
												<a href="<?php echo SITEURL."projects/earned-value-analysis/".md5($project_id)."/"; ?>" title="<?php echo $kpi_flag["title"]; ?>" target="_blank" class="mr-0" style="display:inline-block"><img class="kpi-flag" src="<?php echo SITEURL."images/".$kpi_flag["image"]; ?>" alt=""></a>
												<?php } ?></a>
												
											</h4>
											<input type="hidden" id="h_project_id" name="h_project_id" value="<?php echo $project_id; ?>" />
										</div>
										<div id="project_details_div" class="collapse" role="tabpanel" aria-labelledby="heading-6" data-parent="#accordion">
											<div class="card-body">
												<div class="row pb-3">
													<div class="col-md-12">
														<div class="table-responsive mt-4">
															<table class="table table-bordered">
																<thead>
																	<tr class="table-info">
																		<th colspan="6">Project Summary</th>
																	</tr>
																</thead>
																<tbody>
																	<tr>
																		<th width="12%">Project Number :</th>
																		<td colspan="2" width="40%">
																			<strong style="font-size:20px;"><?php echo $text_project_number; ?></strong>
																		</td>
																		<th width="12%">Project Name :</th>
																		<td colspan="2">
																			<strong style="font-size:20px;"><?php echo $text_project_name; ?></strong>
																		</td>
																	</tr>
																	<tr>
																		<th width="12%">Description :</th>
																		<td colspan="5"><?php echo $text_description; ?></td>
																	</tr>
																	<tr>
																		<th width="12%">Project Manager :</th>
																		<td colspan="2">
																		<?php
																		$project_managers = "";
																		$selectQuery 	= "SELECT * FROM `cxs_user` WHERE  user_id IN (SELECT user_id FROM `cxs_projects_manager` WHERE project_id='".$project_id."') AND company_id='".$_SESSION['login_user_array']['company_id']."'";		
																		$RunUserQuery	= mysqli_query($conn, $selectQuery);
																		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																		$total_paid_amount = 0;
																		if($StdNumRows>0){
																			$count=0;
																			while($rows=mysqli_fetch_assoc($RunUserQuery)){
																				$count++;
																				$text_user_email 	= htmlentities($rows["user_email"]);
																				$text_full_name 	= htmlentities($rows["full_name"]);	
																				$project_managers .= $text_full_name.", ";
																			}
																		}
																		echo trim($project_managers,", ");
																		?>
																		</td>
																		<th width="12%">Project Status :</th>
																		<td colspan="2"><?php echo $text_project_status; ?></td>
																	</tr>
																	<tr>
																		<th width="12%">Schedule Start Date :</th>
																		<td colspan="2"><?php echo $text_schedule_start_date; ?></td>
																		<th width="12%">Schedule End Date :</th>
																		<td colspan="2"><?php echo $text_schedule_end_date; ?></td>
																	</tr>
																	<tr>
																		<th width="12%">Actual Start Date :</th>
																		<td colspan="2"><?php echo $text_actual_start_date; ?></td>
																		<th width="12%">Actual End Date :</th>
																		<td colspan="2"><?php echo $text_actual_end_date; ?></td>
																	</tr>
																	<tr>
																		<th width="12%">SV :</th>
																		<td width="24%"><?php echo setNumberFormat($sv,"2",".",""); ?></td>
																		<th width="12%">SPI :</th>
																		<td width="12%"><?php echo setNumberFormat($spi,"2",".",""); ?></td>
																		<th width="12%">EAC :</th>
																		<td width="20%"><?php echo setNumberFormat($eac,"2",".",""); ?></td>
																	</tr>
																	<tr>
																		<th width="12%">Action :</th>
																		<td colspan="5">
																			<?php if($user_role!="user" && $text_project_status!="Closed"){ ?>
																			<a href="<?php echo SITEURL."projects/edit/".$project_id."/"; ?>" class="btn edit ml-0 mr-1 pl-0 pr-0" title="Edit Record"><i class="fa fa-pencil"></i></a>
																			<?php } ?>
																			<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>' ><i class=' fa fa-eye'></i></button>
																			
																		</td>
																	</tr>
																</tbody>
															</table>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
								
								
								<div class="row pb-3 main-card">
									<div class="col-md-12">
										<div class="card">
											<div class="card-body">
												<div class="row pl-3">
													<div class="form-inline">
														<div class="form-check pr-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="project_navigator" id="radio1" value="Task View">
															Task View <i class="input-helper"></i></label>
														</div>
														<div class="form-check pr-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="project_navigator" id="radio2" value="Resources View" >
															Resources View <i class="input-helper"></i></label>
														</div>
														<div class="form-check pr-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="project_navigator" id="radio3" value="Requirements View" >
															Requirements View <i class="input-helper"></i></label>
														</div>
														<div class="form-check pr-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="project_navigator" id="radio4" value="Change Requests View" >
															Change Requests View <i class="input-helper"></i></label>
														</div>
														<div class="form-check pr-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="project_navigator" id="radio5" value="Stakeholders View" >
															Stakeholders View <i class="input-helper"></i></label>
														</div>
														<div class="form-check pr-3">
															<label class="form-check-label">
															<input type="radio" class="form-check-input" name="project_navigator" id="radio6" value="Risks View" >
															Risks View <i class="input-helper"></i></label>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="row main-card">
									<div class="col-md-4">
										<div id="results_project_navigator1"></div>
									</div>
									<div class="col-md-8">
										<div id="results_analysis_details"></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="project_view_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="project_view_data_title"></h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="project_view_data_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="team_member_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="team_member_modal_title"></h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="team_members_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="stakeholders_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg swal-modal mt-2" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Stakeholders</h5>
				<button type="button" class="close stakeholder-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div class="text-center">
							<div class="loading-div-stakeholders">
								<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<div id="results_stakeholders"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
	$('.current_subscriber').click(function()
	{
		//h_current_module
		/*"p:nth-child(2)"
		$(this)."p:nth-child(2)"
		$(".fieldname:nth-child(1)")
		$(this).closest('.sector_order').find(':first-child');
		*/
		//var v1 = $(this).parent().parent().parent().children(':first-child').text();
		//var v1 = $(this).parent().text();
	   // console.log(v1);
		window.open('current_subscriber.php', '_blank');
		//window.location.href='current_subscriber.php','_blank';
	});
	
	$(document).ready(function(){
		$('.accordion .table').dataTable({
			"searching": false,
			"paging":false,
			"info":false,
			columnDefs: [ 
				{ targets: [-1], orderable: false},                    
				],
			"autoWidth":false,
			"dom": 'lBfrtip',
			"buttons": [['excel' ,'pdf'],{text: 'Email'}]
		});
	});   
	
	
	var doughnutPieData = {
	datasets: [{
	  data: [30, 40],
	  backgroundColor: [
		'rgba(54, 162, 235, 0.5)',
		'rgba(255, 206, 86, 0.5)',
		'rgba(75, 192, 192, 0.5)',
		'rgba(153, 102, 255, 0.5)',
		'rgba(255, 159, 64, 0.5)',
		'rgba(255, 99, 132, 0.5)',

	  ],
	  borderColor: [
		'rgba(54, 162, 235, 1)',
		'rgba(255, 206, 86, 1)',
		'rgba(75, 192, 192, 1)',
		'rgba(153, 102, 255, 1)',
		'rgba(255, 159, 64, 1)',
		'rgba(255,99,132,1)'
	  ],
	}],

	// These labels appear in the legend and in the tooltips when hovering different arcs
	labels: [      
	  'Blue',
	  'Yellow',
	]
  };

  var doughnutPieOptions = {
	responsive: true,
	animation: {
	  animateScale: true,
	  animateRotate: true
	}
  };

	if ($("#project_piechart").length) 
	{
		var pieChartCanvas = $("#project_piechart").get(0).getContext("2d");
		var pieChart = new Chart(pieChartCanvas, {
		  type: 'pie',
		  data: doughnutPieData,
		  options: doughnutPieOptions
		});
	}

</script>
<script>

function showTeamMembers(team_id){
	$("#team_members_div").html("");
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_team_members_data',is_html:true,team_id1:team_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#team_member_modal_title").html("Team members of <span class='text-secondary'>"+$("#team_"+team_id).text()+"</span>");
				$('#team_member_modal').modal('show');
				$("#team_members_div").html(response);
				//dataTableCreateCommon('table_team_members');
				var table = $('#table_team_members').DataTable( {
				  "info": false,
				  "paging":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				$('#table_team_members tfoot th.searc').each( function () {
						var title = $(this).text();
						$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				}); 
				// Apply the search
				table.columns().every( function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});  
				/**/
				$("#table_team_members_filter").hide();
			},1000);
		}
	});
}
</script>
<script>
$(document).ready(function(){
	/**************************/
	$("input:radio[name=project_navigator]").change(function(){
		getAnalysisProjectNavigatorData($("#h_project_id").val());
	});
	/**************************/
});

function getAnalysisProjectNavigatorData(project_id){
	var project_navigator = $("input:radio[name=project_navigator]:checked").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST:'get_analysis_project_navigator_data',is_html:true,project_navigator:project_navigator,project_id:project_id},
		beforeSend: function() {
			$("#results_analysis_details").html("");
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_project_navigator1").html(response);
				$('[data-toggle="popover"]').popover();
				if(project_navigator=="Task View"){
					$(".nav-analysis-link").click(function(){
						var task_id = $(this).data("id");
						getAnalysisTaskDetails(task_id);
					});
					//alert(window.innerWidth);
					/***************************************/
					var toggler = document.getElementsByClassName("caret");
					var g;
					
					for (g = 0; g < toggler.length; g++) {
					  toggler[g].addEventListener("click", function() {
						this.parentElement.querySelector(".nested").classList.toggle("active");
						this.classList.toggle("caret-down");
						if(this.className!="caret first-caret d-none caret-down"){
							if(this.className=="caret caret-down"){
								//expand
								$(this).next().children().children().children(".btn-exp-task").html('<i class="fa fa-minus"></i>');
								$(this).next().children().children().children(".btn-exp-task").attr("title","Collapse All");
							}else{
								//collapse
								$(this).next().children().children().children(".btn-exp-task").html('<i class="fa fa-plus"></i>');
								$(this).next().children().children().children(".btn-exp-task").attr("title","Expand All");
							}
						}
					  });
					}						
					/*************************/
					$(".first-caret").click();
					/***************************/
					$(".exp-col-btn").click(function() { 
						if($(this).text() == " Collapse All") { 
							$(".nested.active span").removeClass("caret-down");
							$("ul.nested.active ul").removeClass("active");
							$(this).text(" Expand All"); 
							$(this).prepend('<i class="fa fa-plus-square"></i>');
						}else{ 
							$(".nested.active span.caret-down").parent().children("ul").removeClass("active");
							$(".nested.active span").removeClass("caret-down");
							$(this).text(" Collapse All");
							$(this).prepend('<i class="fa fa-minus-square"></i>');
							$(".nested.active .caret").click();
						}
					});
					/***************************/
					$(".caret").click(function(){
						if($(this).parent().parent().parent().parent().outerWidth()>400){
							$('.checktree').parent().scrollLeft(parseInt($(this).parent().parent().parent().parent().outerWidth())-400);
						}
					});
					/***************************/
					$(".btn-exp-task").click(function() { 
						if($(this).attr("title") == "Collapse All") { 
							$(this).parent().parent().parent().parent().children(".nested.active span").removeClass("caret-down");
							$(this).parent().parent().parent().parent().children("ul.nested.active ul").removeClass("active");
							$(this).parent().parent().parent().next().find(".caret").removeClass("caret-down")
							$(this).parent().parent().parent().parent().find(".nested").removeClass("active")
							$(this).html("<i class='fa fa-plus'></i>");
							$(this).parent().parent().parent().parent().find(".btn-exp-task").html("<i class='fa fa-plus'></i>");
							$(this).attr("title","Expand All");
							$(this).parent().parent().parent().parent().find(".btn-exp-task").attr("title","Expand All");
							$(this).parent().parent().parent().parent().children("span").removeClass("caret-down");
						}else{ 
							$(this).parent().parent().parent().parent().children(".nested.active span.caret-down").parent().children("ul").removeClass("active");
							$(this).parent().parent().parent().parent().children(".nested.active span").removeClass("caret-down");
							$(this).html("<i class='fa fa-minus'></i>");
							$(this).attr("title","Collapse All");
							
							//$(this).parent().parent().parent().parent().children("ul .nested.active .caret").click();
							$(this).parent().parent().parent().next().addClass("active");
							$(this).parent().parent().parent().next().find(".caret").click();
							$(this).parent().parent().parent().parent().find(".btn-exp-task").attr("title","Collapse All");
							$(this).parent().parent().parent().parent().find(".btn-exp-task").html("<i class='fa fa-minus'></i>");
							$(this).parent().parent().parent().parent().children("span").addClass("caret-down");
						}
						if($(this).parent().parent().parent().parent().outerWidth()>400){
							$('.checktree').parent().scrollLeft(parseInt($(this).parent().parent().parent().parent().outerWidth())-400);
						}
					});
					
				}else if(project_navigator=="Resources View"){
					$(".nav-analysis-link").click(function(){
						var member_id = $(this).data("id");
						var user_id = $(this).data("user_id");
						getAnalysisResourceDetails(member_id,user_id);
					});
				}else if(project_navigator=="Requirements View"){
					$(".nav-analysis-link").click(function(){
						var req_id = $(this).data("id");
						getAnalysisRequirementDetails(req_id);
					});
				}else if(project_navigator=="Change Requests View"){
					$(".nav-analysis-link").click(function(){
						var combo_change_req_id = $(this).data("id");
						getAnalysisChangeRequestDetails(combo_change_req_id);
					});
				}else if(project_navigator=="Stakeholders View"){
					$(".nav-analysis-link").click(function(){
						var stakeholder_group_id = $(this).data("id");
						getAnalysisStakeholderGroupDetails(stakeholder_group_id);
					});
				}else if(project_navigator=="Risks View"){
					$(".nav-analysis-link").click(function(){
						var risk_id = $(this).data("id");
						getAnalysisRiskDetails(risk_id);
					});
				}
				$(".nav-analysis-link").click(function(){
					$(".table_gen_left td").removeClass("active");
					$(this).parent().addClass("active");
				});
			},500);
			setTimeout(function(){
				var table = $('.table_gen_left').DataTable( {
				"searching": false,
				"aaSorting":[],
				"dom": 'lBfrtip',
				"paging":false,              
				buttons: [[]]
				});
				
			},1000);
		}
	});
}
/***************************************/
function getAnalysisTaskDetails(task_id){
	var project_id = $("#h_project_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST:'get_analysis_task_details_data',is_html:true,project_id:project_id,task_id:task_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#results_analysis_details").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
function getAnalysisStakeholdersData(stakeholder_group_id){
	$("#stakeholders_modal").modal('show');
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST: 'get_analysis_stakeholders_data',is_html:true,stakeholder_group_id1:stakeholder_group_id},
		beforeSend: function() {
			$("#results_stakeholders").fadeOut(500);
			$(".loading-div-stakeholders").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-stakeholders").hide();
				$("#results_stakeholders").html(response);
				$("#results_stakeholders").fadeIn(500);
				setTimeout(function(){
					var table = $('.table_gen2').DataTable( {
						"info": false,
						"paging":false,
						autoWidth: false,             
						buttons: [                  
							[
								/*'excel',
								'pdf',*/
								{
									text: 'Email',
									action: function ( e, dt, node, config ) {
									//$("#modal_email").show(); 
									show_emaimodal();
									}
								}
							]
						]
					}); 
					$(".dataTables_filter").hide();
				},1000);
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisResourceDetails(member_id,user_id){
	var project_id = $("#h_project_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST:'get_analysis_resource_details_data',is_html:true,project_id:project_id,member_id:member_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#results_analysis_details").offset().top-100
				},1500);
				loadExpenseAttendanceData(project_id,user_id);
			},500);
			setTimeout(function(){
				
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
function loadExpenseAttendanceData(project_id,user_id){
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		data: {REQUEST: 'get_time_entry_entry_attendance_data',project_id:project_id,user_id:user_id},
		success:function(response){
			setTimeout(function(){
				if(response.succ==1){  
					//console.log(response);
					$("#td_clocktimehours").text(response.ClockTimeHours+ " hrs");
					$("#td_breaktimehours").text(response.BreakTimeHours+ " hrs");
					$("#td_mealtimehours").text(response.MealTimeHours+ " hrs");
					$("#td_timeoffdays").text(response.TimeOffDays+ " day(s)");
					
					if (!jQuery.isEmptyObject(response.data))
					{
						$.each( response.data, function( key, value ) 
						{
							Addrow(value);                                
						});
						setTitle();
					}  
				}
				dataTableCreateCommonOrderOn("table_attendance_data",0);
				$("#table_attendance_data_filter").hide();
			},1000);
		}
	});     
}
/***********************************************************/
function Addrow(value)
{
    td1 = '<td>'+value.calendar_date+'</td>';
    td2 = '<td>'+value.time_card+'</td>';
    td3 = '<td>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+
            '<div class="badge font-weight-bold">From </div> <div class="badge">'+value.time_in_stamp+'</div>';
        if(value.card_reason!='' || value.missed_in_reason!='' || value.missed_out_reason!='' )
        {
            if(value.card_reason!='')
            {
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_reason+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
            else
            {
                var comment = value.missed_in_reason+"<br />"+value.missed_out_reason;
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
        } 
        else
        {
            td3 += '<div class="badge">&nbsp;&nbsp;</div>';
        }
    td3 +=   '</div>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+            
            '<div class="badge font-weight-bold">To </div> <div class="badge">'+value.time_out_stamp+'</div>'+
            '<div class="badge">&nbsp;&nbsp;</div>'+
        '</div>'+
        '</td>';   
  
    td4 = '<td>'+value.TimeDuration+'</td>';
    td5 = '<td>'+value.submitted_on+'</td>';
    td6 = '<td>'+value.submitted_by+'</td>';
    if(value.card_status_note!='')
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div><div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_status_note+'"> <i class="typcn typcn-document-text"></i> </button> </div></td>';
    }
    else
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div></td>';
    }
    if(value.card_status_note=="")
    {
        td8 = '<td></td>'; 
    }
    else
    {
        td8 = '<td class="text-center"><input type="hidden" value="'+value.card_status_note+'"> <button type="button" class="btn btn-primary h_note">...</button> </td>';
    }
    var data_content = value.data_content_eye_icon;
    var rowCount = $('#table_attendance_data tbody tr').length; 
    rowCount++;
    func1 = 'edit_record('+value.session_id+','+rowCount+')';
    if(value.card_status=="Rejected" && value.time_card!= "PTO (Out of Office)")
    {
        button1 = '<button class="btn  ml-0 mr-2 pl-0 pr-0" title="Edit Record" onclick="'+func1+'"><i class="fa fa-pencil" aria-hidden="true"></i></button>';
    }
    else
    {
        button1 = '';
    }
    td9 = '<td class="text-center">'+
            '<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+data_content+'" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>'+
            button1+'</td>';
                            
           
    tr = '<tr id="row'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td9+'</tr>';
    $("#table_attendance_data").append(tr);
    
}
/**********************************************************/
function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
}
/***************************************/
function getAnalysisChangeRequestDetails(change_req_id){
	var project_id = $("#h_project_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST:'get_analysis_change_request_details_data',is_html:true,project_id:project_id,change_req_id:change_req_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#results_analysis_details").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisRequirementDetails(req_id){
	var project_id = $("#h_project_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST:'get_analysis_requirement_details_data',is_html:true,project_id:project_id,req_id:req_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#results_analysis_details").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisStakeholderGroupDetails(stakeholder_group_id){
	var project_id = $("#h_project_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST:'get_analysis_stakeholder_group_details_data',is_html:true,project_id:project_id,stakeholder_group_id:stakeholder_group_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#results_analysis_details").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
/***************************************/
function getAnalysisRiskDetails(risk_id){
	var project_id = $("#h_project_id").val();
	$.ajax({
		url: SITEURL+"aj/projects/",
		method: "POST",
		data: {REQUEST:'get_analysis_risk_details_data',is_html:true,project_id:project_id,risk_id:risk_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_analysis_details").html(response);
				$('[data-toggle="popover"]').popover();
				$('html, body').animate({
					scrollTop: $("#results_analysis_details").offset().top-100
				},1500);
				
			},500);
			setTimeout(function(){
				var table = $('.table_gen').DataTable( {
					"info": false,
					"paging":false,
					autoWidth: false,             
					buttons: [                  
						[
							/*'excel',
							'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
						]
					]
				}); 
				$(".dataTables_filter").hide();
			},1000);
		}
	});
}
</script>
</body>
</html>