<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}
if($_SESSION['login_user_array']['user_role']=="User"){
	header("location:".SITEURL."dashboard/");
}

$qry = "SELECT * FROM cxs_licensed_products WHERE user_id='".$_SESSION['login_user_array']['user_id']."'";
$result = mysqli_query($conn,$qry);
$row = mysqli_fetch_assoc($result);

$attendance_flag 	= $row['attendance_flag'];
$issue_tracking_flag= $row['issue_tracking_flag'];
$timekeeping_flag 	= $row['timekeeping_flag'];
$projects_flag 		= $row['projects_flag'];
$expense_flag 		= $row['expense_flag'];
$invoicing_flag 	= $row['invoicing_flag'];
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Reports</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<style>
.myclass1 {
	padding: 0.25rem 0 !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active">Project Reports</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 mx-auto">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<div class="col-md-6 grid-margin">
										<div class="card">
											<div class="card-body">
												<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
													<h4 class="card-title mb-3">Project Reports</h4>
												</div>
												<div class="row">
													<div class="col-md-12">
														<ul class="expense-report-list">
															<li>
																<a href="<?php echo SITEURL."projects/reports/project-and-task-status/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project & Task Status Report</a>
																<a href="<?php echo SITEURL."projects/reports/project-and-task-status/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."projects/reports/progress-trend-analysis/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Progress Trend Analysis Report</a>
																<a href="<?php echo SITEURL."projects/reports/progress-trend-analysis/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."projects/reports/project-task-status-by-task-owner/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Task by Task Owner Status Report</a>
																<a href="<?php echo SITEURL."projects/reports/project-task-status-by-task-owner/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."projects/reports/requirement-to-task-status/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Requirement to Task Status Report</a>
																<a href="<?php echo SITEURL."projects/reports/requirement-to-task-status/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."projects/reports/team-performance/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Team Peformance Report</a>
																<a href="<?php echo SITEURL."projects/reports/team-performance/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."projects/reports/kanban/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Kanban Report</a>
																<a href="<?php echo SITEURL."projects/reports/kanban/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."projects/reports/performance-benchmark/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Performance Benchmark Report</a>
																<a href="<?php echo SITEURL."projects/reports/performance-benchmark/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."projects/reports/schedule-excel-format/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Schedule – Excel Format</a>
																<a href="<?php echo SITEURL."projects/reports/schedule-excel-format/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															
														</ul>
													</div>
												</div>
											</div>
										</div>
									</div>
									
									<div class="col-md-6 grid-margin">
										<div class="card">
											<div class="card-body">
												<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
													<h4 class="card-title mb-3">Attendance Tracking Reports</h4>
												</div>
												<?php
												if($attendance_flag=="Y"){
												?>
												<div class="row">
													<div class="col-md-12">
														<ul class="expense-report-list">
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/employee-schedules/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i> Employee Schedules</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/employee-schedules/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/time-card/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Time Card Report</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/time-card/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/daily-regular-time/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Regular Time Report</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/daily-regular-time/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/employee-schedule-utilization/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Employee Schedules Utilization Reports</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/employee-schedule-utilization/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/break-time/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Break Time Report</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/break-time/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/meal-time/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Meal Time Report</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/meal-time/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/over-time/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Daily Overtime Report</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/over-time/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/leave-usage/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Leave Usage Report</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/leave-usage/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."attendance-tracking/reports/missed-time/?p=true"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Missed Time Cards Report</a>
																<a href="<?php echo SITEURL."attendance-tracking/reports/missed-time/?p=true"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
														</ul>
													</div>
												</div>
												<?php
												}else{ 
												?>
												<div class="row">
													<div class="col-md-12">
														<div class="flag-notice">
															In order to access Attendance Tracking Reports, Please <a href="javascript:void(0);">subscribe</a> to Attendance Tracking Application
														</div>
													</div>
												</div>
												<?php } ?>
											</div>
										</div>
									</div>
									
									<div class="col-md-6 grid-margin">
										<div class="card">
											<div class="card-body">
												<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
													<h4 class="card-title mb-3">Timekeeping Reports</h4>
												</div>
												<?php
												if($timekeeping_flag=="Y"){
												?>
												<div class="row">
													<div class="col-md-12">
														<ul class="expense-report-list">
															<li>
																<a href="<?php echo SITEURL."time-tracking/reports/timesheet/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Print Timesheet Report</a>
																<a href="<?php echo SITEURL."time-tracking/reports/timesheet/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."time-tracking/reports/budgeted-actual-hours-by-projects/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Budgeted/Actual Hours by Project Report</a>
																<a href="<?php echo SITEURL."time-tracking/reports/budgeted-actual-hours-by-projects/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."time-tracking/reports/indirect-task-time/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Indirect Task Time Report</a>
																<a href="<?php echo SITEURL."time-tracking/reports/indirect-task-time/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."time-tracking/reports/register/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Time Entry Register Report</a>
																<a href="<?php echo SITEURL."time-tracking/reports/register/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
														</ul>
													</div>
												</div>
												<?php
												}else{ 
												?>
												<div class="row">
													<div class="col-md-12">
														<div class="flag-notice">
															In order to access Timekeeping Reports, Please <a href="javascript:void(0);">subscribe</a> to Timekeeping Application
														</div>
													</div>
												</div>
												<?php } ?>
											</div>
										</div>
									</div>
									
									<div class="col-md-6 grid-margin">
										<div class="card">
											<div class="card-body">
												<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
													<h4 class="card-title mb-3">Project Expense Reports</h4>
												</div>
												<?php
												if($expense_flag=="Y"){
												?>
												<div class="row">
													<div class="col-md-12">
														<ul class="expense-report-list">
															<li>
																<a href="<?php echo SITEURL."expense-tracking/reports/project-expenditure/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Expenditure Report</a>
																<a href="<?php echo SITEURL."expense-tracking/reports/project-expenditure/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."expense-tracking/reports/project-expense-register/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Expense Report Register</a>
																<a href="<?php echo SITEURL."expense-tracking/reports/project-expense-register/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>				
														</ul>
													</div>
												</div>
												<?php
												}else{ 
												?>
												<div class="row">
													<div class="col-md-12">
														<div class="flag-notice">
															In order to access Project Expense Reports, Please <a href="javascript:void(0);">subscribe</a> to Expense Tracking Application
														</div>
													</div>
												</div>
												<?php } ?>
											</div>
										</div>
									</div>
									
									<div class="col-md-6 grid-margin">
										<div class="card">
											<div class="card-body">
												<div class="d-flex flex-wrap justify-content-between mt-3 pb-2">
													<h4 class="card-title mb-3">Project Issue Tracking Reports</h4>
												</div>
												<?php
												if($issue_tracking_flag=="Y"){
												?>
												<div class="row">
													<div class="col-md-12">
														<ul class="expense-report-list">
															<li>
																<a href="<?php echo SITEURL."issue-tracking/reports/projects/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Project Issue Log Report</a>
																<a href="<?php echo SITEURL."issue-tracking/reports/projects/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
															<li>
																<a href="<?php echo SITEURL."issue-tracking/reports/register/"; ?>"><i class="typcn typcn-globe-outline ml-0 mr-2"></i>Issue Log Register</a>
																<a href="<?php echo SITEURL."issue-tracking/reports/register/"; ?>" target="_blank" class="btn-new-tab" title="Open in new tab"><i class="fa fa-external-link"></i></a>
															</li>
														</ul>
													</div>
												</div>
												<?php
												}else{ 
												?>
												<div class="row">
													<div class="col-md-12">
														<div class="flag-notice">
															In order to access Project Issue Tracking, Please <a href="javascript:void(0);">subscribe</a> to Issue Tracking Application
														</div>
													</div>
												</div>
												<?php } ?>
											</div>
										</div>
									</div>

								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>
</html>