<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:admin.php");
}
$view_mode					= true;
$h_project_id 				= "";
$project_id 				= "";
$task_id 					= "";
$text_project_name 			= "";
$text_project_number 		= "";	
$text_description 			= "";
$combo_team_id 				= "";
$text_schedule_start_date 	= "";	
$text_schedule_end_date 	= "";

if(isset($_GET['task_id']) && $_GET['task_id']>0){
	$task_id 				= intval($_GET['task_id']);
}

if(isset($_GET['project_id']) && $_GET['project_id']>0){
	$mode = "edit";
	$selectQuery 	= "
			SELECT 
				*
			FROM 
				`cxs_projects` 
			WHERE 
				project_id='".intval($_GET['project_id'])."' AND company_id='".$_SESSION['login_user_array']['company_id']."'";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$h_project_id	= $rows["project_id"];
		$project_id		= $rows["project_id"];
		/****************/
		$kpi_flag_arr = getKPIFlag($rows["project_id"],0);
		/****************/
		$h_project_id				= $rows["project_id"];
		$project_id					= $rows["project_id"];
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$combo_team_id				= htmlentities($rows["team_id"]);
		$text_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
		$text_schedule_end_date		= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
		$text_actual_start_date		= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
		$text_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
	}else{
		header("location:manage-projects.php");
	}
}else{
	header("location:manage-projects.php");
}

$timekeeping_flag = getvalue("cxs_licensed_products","timekeeping_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
$attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");

$currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
$date = new DateTime("now", new DateTimeZone($currTz) );
$curDate 	= $date->format('m/d/Y');
$pay_period	= $date->format('M-Y');
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Tasks Treeview</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link href="datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom.css">
<!-- for multiselect -->
<link rel="stylesheet" href="css/bootstrap-multiselect.css">
<link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<link href="orgchart/orgchart.css?t=<?php echo time(); ?>" rel="stylesheet" type="text/css"/>
<style>
.modal {
	overflow-y:auto;
}
/*
.multiselect-container>li>a>label {
  padding: 4px 20px 3px 20px;
}*/
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
#tableStep2_2_length {
	padding-bottom:40px;
}
.popover {
	z-index:9999;
}
.view-org-task .bg-success{
	background-color: #C1E1C1 !important;
}
.view-org-task .bg-danger{
	background-color: #FF5733 !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="manage-projects.php">Manage Projects</a></li>
										<li class="breadcrumb-item active">Project Tasks Treeview</li>
									</ol>
								</nav>
							</div>
						</div>
						<div class="row mt-3">
							<div class="col-xl-12 d-flex grid-margin stretch-card">
								<div class="card">
									<div class="card-body">
										<div class="row">
											<div class="col-md-12">
												<div class="d-flex flex-wrap justify-content-between mb-3">
													<h3 class="modal-title">
													PROJECT : 
													<span id="header_project_name" style="text-transform: uppercase;"><?php echo $text_project_name; ?> 
													<?php 
													if(count($kpi_flag_arr)>0){
														echo setFlag($kpi_flag_arr);
													} 
													?>
													</span>
													</h3>
													<div>
														<a href="javascript:void(0);" class="text-dark mr-2"><span class="legend-overdue"></span> Overdue</a> <a href="javascript:void(0);" class="text-dark mr-2"><span class="legend-completed"></span> Completed</a> <a href="javascript:void(0);" class="text-dark mr-2"><span class="legend-warning"></span> Legend1</a> <a href="javascript:void(0);" class="text-dark "><span class="legend-white"></span> Legend2</a>
													</div>
												</div>
											</div>
											<div class="col-md-12" id="step_project_id">
												<div class="d-sm-flex justify-content-center justify-content-sm-between border p-3" style="border-color: #000000 !important;" >
													<label class="pl-2">Project Id : <?php echo $text_project_number; ?></label>
													<label class="pl-2">Project Scheduled Start Date : <span id="header_schedule_start_date"><?php echo $text_schedule_start_date; ?></span></label>
													<label class="pl-2">Project Scheduled End Date : <span id="header_schedule_end_date"><?php echo $text_schedule_end_date; ?></span></label>
												</div>
											</div>
										</div>
										
										<div class="row">
											<?php if(!isset($_REQUEST['task_id'])){ ?>
											<?php /*?><div class="col-md-12">
												<div class="project-node">
													<p>
														<span class="tree-block bg-white">
															<strong style="display:block;line-height: 30px;">
																<?php echo $text_project_name; ?>
																<?php 
																if(count($kpi_flag_arr)>0){
																	echo setFlag($kpi_flag_arr); 
																}
																?>
															</strong>
															
														<i style="display:inline-block;font-size:0.675rem;line-height: 13px;"><br>Sch. St. Dt. : <?php echo $text_schedule_start_date; ?> - Sch. End Dt. : <?php echo $text_schedule_end_date; ?>
															</i>
															<a href="javascript:void(0);" class="btn btn-sm btn-task-assignee" title="Project Managers Details" onClick="viewProjectManagers('<?php echo $project_id; ?>');"><i class="fa fa-user"></i></a>
														</span>
													</p>
												</div>
											</div><?php */?>
											<?php } ?>
											<div class="col-md-12">
												<div class="text-center">
													<div class="loading-div-view_org_project_task">
														<img src="images/891.gif" alt="Loading...">
													</div>
												</div>
											</div>
										</div>
										<?php /*?><div id="results_view_org_project_task"></div><?php */?>
										<div style="width:960px;margin:150px auto;">
											<ul id="tree-data" style="display:none">
												<li id="root">
												</li>
											</ul>
											<div id="tree-view"></div>
										</div>
									</div>
								</div>
							</div>
							
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade" id="modal_task_members" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="task_members_modal_title"></h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="task_members_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="modal fade" id="modal_project_manager" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Project Manager Details</h5>
				<button type="button" class="close custom-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="row">
					<div class="col-md-12">
						<div id="project_manager_div"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php include("include_wb_task_data_modal.php"); ?>
<?php /**********Modal Area***********/ ?>
<input type="hidden" id="edit_row_cnt" value="">
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="datepicker/bootstrap-datepicker.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="js/bootstrap-multiselect2.js"></script>
<script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="vendors/tinymce/tinymce.min.js"></script>
<script src="js/jquery.inputmask.js" type="text/javascript"></script>
<script src="js/custom.js"></script>
<!--<script src="js/manage-projects-js.js"></script>-->

<script type="text/javascript" src="orgchart/orgchart.js?t=<?php echo time(); ?>"></script>
<script type="text/javascript" src="js/jquery.numeric.min.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	getViewOrgProjectsTasks('<?php echo $project_id; ?>');
});
function getViewOrgProjectsTasks(project_id){
	$('#view_org_project_task_modal').modal('show');
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'view_org_projects_tasks_data',is_html:true,project_id:project_id,task_id:'<?php echo $task_id; ?>'},
		success: function (response){  
			$(".loading-div-view_org_project_task").fadeOut(500);
			setTimeout(function(){
				$("#root").html(response);
				$(".btn_wbs_edit").click(function(){
					var task_id = $(this).data('val');
					$("#modal_edit_task").modal("show");
					getWorkbenchTaskDetails(task_id);
					
				});
				// create a tree
					$("#tree-data").jOrgChart({
						chartElement: $("#tree-view"), 
						nodeClicked: nodeClicked
					});
			},1000);
		}
	});
}

// lighting a node in the selection
function nodeClicked(node, type) {
	node = node || $(this);
	$('.jOrgChart .selected').removeClass('selected');
	node.addClass('selected');
}

/*******************************/
function viewMemberOfTasks(task_id){
	$("#team_members_div").html("");
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_project_task_member_data',is_html:true,project_id:'<?php echo $project_id; ?>',task_id:task_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#task_members_modal_title").html("Members");
				$('#modal_task_members').modal('show');
				$("#task_members_div").html(response);
				//dataTableCreateCommon('table_team_members');
				var table = $('#table_task_members').DataTable( {
				  "info": false,
				  "paging":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$("#table_task_members_filter").hide();
			},1000);
		}
	});
}
/**********************************************/
function viewProjectManagers(project_id){
	$("#project_manager_div").html("");
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_project_manager_data',is_html:true,project_id1:'<?php echo $project_id; ?>'},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$('#modal_project_manager').modal('show');
				$("#project_manager_div").html(response);
				//dataTableCreateCommon('table_team_members');
				var table = $('#table_project_manager').DataTable( {
				  "info": false,
				  "paging":false,
				  "autoWidth":false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				$('#table_project_manager tfoot th.searc').each( function () {
						var title = $(this).text();
						$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				}); 
				// Apply the search
				table.columns().every( function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});  
				/**/
				$("#table_project_manager_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
</script>
<?php include("include_wb_task_data_js_function.php"); ?>
</body>
</html>
