<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if(CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
if($_SESSION['login_user_array']['user_role']=="User"){
	header("location:".SITEURL."dashboard/");
}
$project_id = "";
if(isset($_REQUEST['project_id']) && $_REQUEST['project_id']!=""){
	$project_id = setVar($_REQUEST['project_id']);
	$project_id = getvalue("cxs_projects","project_id"," WHERE md5(project_id)='".$project_id."'");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Trend Analysis</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/highchart/css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<style>
.myclass1 {
	padding: 0.25rem 0 !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item active">Project Trend Analysis</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 mx-auto">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<div class="col-md-12">
										<ul class="nav nav-tabs" role="tablist">
											<li class="nav-item"> <a class="nav-link active text-center" id="tab1" data-toggle="tab" href="#tab1_content" role="tab" aria-controls="tab1_content" aria-selected="false">Project & Task Status</a> </li>
											<li class="nav-item"> <a class="nav-link text-center" id="tab2" data-toggle="tab" href="#tab2_content" role="tab" aria-controls="tab2_content" aria-selected="true">Progress Trend Analysis</a> </li>
											<li class="nav-item"> <a class="nav-link text-center" id="tab3" data-toggle="tab" href="#tab3_content" role="tab" aria-controls="tab3_content" aria-selected="true">Team Peformance</a> </li>
											<li class="nav-item"> <a class="nav-link text-center" id="tab4" data-toggle="tab" href="#tab4_content" role="tab" aria-controls="tab4_content" aria-selected="true">Performance Benchmark</a> </li>
										</ul>
										<div class="tab-content tab-content-vertical tab-content-vertical-custom pl-0 pr-0 pb-0">
											<div class="tab-pane fade active show" id="tab1_content" role="tabpanel" aria-labelledby="tab1">
												<?php include("include_report_project_and_task_status.php"); ?>
											</div>
											<div class="tab-pane fade " id="tab2_content" role="tabpanel" aria-labelledby="tab2">
												<?php include("include_report_progress_trend_analysis.php"); ?>
											</div>
											<div class="tab-pane fade " id="tab3_content" role="tabpanel" aria-labelledby="tab3">
												<?php include("include_report_team_peformance.php"); ?>
											</div>
											<div class="tab-pane fade " id="tab4_content" role="tabpanel" aria-labelledby="tab4">
												<?php include("include_report_performance_benchmark.php"); ?>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/highcharts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/series-label.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/exporting.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/export-data.js"></script>
<script src="<?php echo SITEURL; ?>vendors/highchart/js/accessibility.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/project_trend_analysis.js"></script>
<script>
$(document).ready(function() {
	$("select[name=combo_project_id]").select2("destroy");
	$("select[name=combo_project_id]").val('<?php echo $project_id; ?>');
	$("select[name=combo_project_id]").change();
});
</script>
</body>
</html>