<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
//$week_arr = getWeeksArr(strtotime("28-08-2021"),strtotime("29-09-2021"));
//echo "<pre>";	print_r($week_arr);die;
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Task Gantt Chart</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="vendors/owl-carousel/owl.carousel.min.css">
<link rel="stylesheet" href="vendors/owl-carousel/owl.theme.default.min.css">
<link rel="stylesheet" href="css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom.css">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<style>
.page-body-wrapper {
	padding-top: 0px;
}
.sidebar-icon-only .main-panel {
	width: calc(100% - 0px);
}
.td-cell-space2 {
	display:block;
	margin:5px 10px;
}


.table1 {
  table-layout: fixed; 
  width: 100%;
}
.table1 td, .table1 th {
  vertical-align: top;
  padding: 0px;
  width: 150px;
  height:45px;
}
.table-info th{
	height:56px;
	position:fixed;
	top:0px;
}
.fix {
  position: absolute;
  margin-left: -500px;
  width: 500px !important;
}
.outer {
  position: relative;
}
.inner {
  overflow-x: scroll;
  overflow-y: visible;
  width: auto; 
  margin-left: 500px;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<div class="rploader"><img src="images/89.gif" alt=""></div>
	<!-- partial:partials/_navbar.html -->
	<?php //include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php //include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="project-workbench.php">Project Workbench</a></li>
										<li class="breadcrumb-item active" aria-current="page">Project Task Gantt Chart</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<?php
								$wb_gantt_chart_class = "gantt-chart-inprogress";
								$wb_gantt_chart_actual_class = "gantt-chart-completed";
								$project_id = $_REQUEST['project_id'];
								
								$selectQuery 	= "
									SELECT 
										schedule_start_date, schedule_end_date
									FROM 
										`cxs_projects`
									WHERE 
										MD5(project_id)='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
									";		
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$rows = mysqli_fetch_assoc($RunUserQuery);
								
								$schedule_start_date	= $rows["schedule_start_date"];
								$schedule_end_date		= $rows["schedule_end_date"];
								
								$week_arr = getWeeksArr($schedule_start_date,$schedule_end_date);
								//echo "<pre>"; print_r($week_arr);die;
								
								$is_data = false;
								
								/*echo count($week_arr);
								echo "<br>";
								echo count($week_arr)%7;
								die;*/
								//52=5000
								?>
								<div class="row">
									<div class="col-md-12 text-right"> <a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);"><span>Excel</span></a> </div>
									<div class="col-md-12" id="results">
										<div class="outer">
											<div class="inner">
												<table class="table table-bordered table1" width="100%">
													<thead>
														<tr class="table-info">
															<th class="fix">
																<span class="td-cell-space2">Task</span>
															</th>
															<?php
															foreach($week_arr as $week_data){
																$start_date = setDate($week_data["start"],'m/d/y');
																$end_date 	= setDate($week_data["end"],'m/d/y');
															?>
																<th><?php echo $start_date." - ".$end_date; ?></th>
															<?php
															}
															?>
														</tr>
													</thead>
													<tbody>
													<?php
													/***********************************/
													$selectQuery 	= "
														SELECT 
															*
														FROM 
															`cxs_projects_tasks`
														WHERE 
															MD5(project_id)='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
														";		
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													if($StdNumRows>0){
														while($rows = mysqli_fetch_assoc($RunUserQuery)){
															$is_data 	= false;
															$task_id 				= $rows["task_id"];
															$task_name 				= $rows["task_name"];
															$schedule_start_date	= $rows["schedule_start_date"];
															$schedule_end_date		= $rows["schedule_end_date"];
															?>
															<tr>
																<td class="fix">
																	<span class="td-cell-space2"><?php echo $task_name; ?><br><small>(Schedule)</small></span>
																</td>
																<?php
																foreach($week_arr as $week_data){
																	$start_date = setDate($week_data["start"],'Y-m-d');
																	$end_date 	= setDate($week_data["end"],'Y-m-d');
																	
																?>
																	<td>
																		<?php 
																		if(strtotime($start_date)>=strtotime($schedule_start_date) && strtotime($end_date)<=strtotime($schedule_end_date)){ ?>
																		<div class="gantt_chart <?php echo $wb_gantt_chart_class; ?>" title="Schedule Task Duration" style="width:100%"></div>
																		<?php } ?>
																	</td>
																<?php
																}
																?>
															</tr>
															<tr>
																<td class="fix">
																	<span class="td-cell-space2"><?php echo $task_name; ?><br><small>(Actual)</small></span>
																</td>
																<?php
																foreach($week_arr as $week_data){
																	$start_date = setDate($week_data["start"],'Y-m-d');
																	$end_date 	= setDate($week_data["end"],'Y-m-d');
																	$selectQuery1 	= "
																		SELECT 
																			activity_id
																		FROM 
																			`cxs_projects_wb_activity_trail`
																		WHERE 
																			MD5(project_id)='".$project_id."' AND task_id='".$task_id."' AND source='WB' AND (field_name='Actual Start Date' OR field_name='Actual End Date') AND new_value>='".$start_date."' AND new_value<='".$end_date."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
																		";
																	$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
																	$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
																?>
																	<td class="td-m">
																		<?php if($StdNumRows1>0){ ?>
																		<div class="gantt_chart <?php echo $wb_gantt_chart_actual_class; ?>" title="Actual Task Duration" style="width:100%;"></div>
																		<?php } ?>
																	</td>
																<?php
																}
																?>
																
															</tr>
															<tr bgcolor="eecfd4">
																<td class="fix empty-cell">&nbsp;
																	
																</td>
																<?php
																foreach($week_arr as $week_data){
																	$start_date = setDate($week_data["start"],'m/d/Y');
																	$end_date 	= setDate($week_data["end"],'m/d/Y');
																?>
																	<td class="empty-cell">&nbsp;
																		
																	</td>
																<?php
																}
																?>
															</tr>
															<?php
														}
													}
													?>
													</tbody>
												</table>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="vendors/js/vendor.bundle.base.js"></script>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/chart.js/Chart.min.js"></script>
<script src="dist/jquery.table2excel.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	setTimeout(function(){
		if($(".scroll-table").length){
			$("#results").mCustomScrollbar({  // custom scroll bar plugin
				theme:"light-2",  // custom scroll theme set
				axis: "x",     // custom scroll ver,hor scroll
			});
		}
	},1000);
	
	$(".buttons-excel").click(function(e){
		$("#results .gantt-chart-completed").each(function(){
			$(this).parent().attr("bgcolor","4CAF50");
		});
		$("#results .gantt-chart-inprogress").each(function(){
			$(this).parent().attr("bgcolor","FF9800");
		});
		$("#results br").each(function(){
			$(this).remove();
		});
		
		$("#results").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Project Task Gantt Chart</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
				exclude: ".noExl",
				name: "Project Task Gantt Chart",
				filename: "Project Task Gantt Chart.xls",
				fileext: ".xls",
				preserveColors: true,
				/*exclude_img: true,
				exclude_links: true,
				exclude_inputs: true*/
			});
		$(".texcl").remove();
		$("#results .gantt-chart-completed").each(function(){
			$(this).parent().removeAttr("bgcolor");
		});
		$("#results .gantt-chart-inprogress").each(function(){
			$(this).parent().removeAttr("bgcolor");
		});
		$("#results small").each(function(){
			$(this).prepend("<br>");
		});
	});
});
</script>
</body>
</html>
