<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
//$week_arr = getWeeksArr(strtotime("28-08-2021"),strtotime("29-09-2021"));
//echo "<pre>";	print_r($week_arr);die;
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Task Gantt Chart</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="vendors/owl-carousel/owl.carousel.min.css">
<link rel="stylesheet" href="vendors/owl-carousel/owl.theme.default.min.css">
<link rel="stylesheet" href="css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom.css">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<style>
.page-body-wrapper {
	padding-top: 0px;
}
.sidebar-icon-only .main-panel {
	width: calc(100% - 0px);
}
.td-cell-space2 {
	display:block;
	margin:5px 10px;
}

</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<div class="rploader" style="display:block;"><img src="images/89.gif" alt=""></div>
	<!-- partial:partials/_navbar.html -->
	<?php //include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php //include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="project-workbench.php">Project Workbench</a></li>
										<li class="breadcrumb-item active" aria-current="page">Project Task Gantt Chart</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<?php
								$wb_gantt_chart_class = "gantt-chart-inprogress";
								$wb_gantt_chart_actual_class = "gantt-chart-completed";
								$project_id = $_REQUEST['project_id'];
								
								$selectQuery 	= "
									SELECT 
										project_number, project_name, description, schedule_start_date, schedule_end_date
									FROM 
										`cxs_projects`
									WHERE 
										MD5(project_id)='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
									";		
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$rows = mysqli_fetch_assoc($RunUserQuery);
								
								$text_project_number 	= $rows["project_number"];
								$text_project_name		= $rows["project_name"];
								$description			= htmlentities($rows["description"]);
								$schedule_start_date	= $rows["schedule_start_date"];
								$schedule_end_date		= $rows["schedule_end_date"];
								
								$week_arr = getWeeksArr($schedule_start_date,$schedule_end_date);
								//echo "<pre>"; print_r($week_arr);die;
								
								$is_data = false;
								
								/*echo count($week_arr);
								echo "<br>";
								echo count($week_arr)%7;
								die;*/
								//52=5000
								?>
								<div class="row">
									<div class="col-md-8"> 
										<h3 class="mb-0 font-weight-bold">
											PROJECT : <?php echo $text_project_name; ?>
											<br>
											<small><?php echo $description; ?></small>
										</h3>
									</div>
									<div class="col-md-4 text-right">
										<a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);"><span>Excel</span></a> 
									</div>
								</div>
								<div class="row mt-2">
									<div class="col-md-12" id="results">
										<div class="gantt-chart-main-container">
											<table class="table table-bordered table-gantt-chart">
												<thead>
													<tr class="table-info" style="border:1px solid #fbdbe0;">
														<th class="fix">
															<div style="width:300px;padding:10px;vertical-align:top;">
															&nbsp;
															</div>
														</th>
														<?php
														foreach($week_arr as $week_data){
															$start_date = setDate($week_data["start"],'m/d/y');
															$end_date 	= setDate($week_data["end"],'m/d/y');
														?>
															<th>
																<div style="width:150px;padding:8px;">
																	<?php echo $start_date." - ".$end_date; ?>
																</div>
															</th>
														<?php
														}
														?>
													</tr>
												</thead>
												<tbody>
												<?php
												/***********************************/
												$selectQuery 	= "
													Select * from
													(
													SELECT 
														*,
														(SELECT AVG(completion_percentage) FROM cxs_projects_wb_tasks WHERE cxs_projects_wb_tasks.task_id=cxs_projects_tasks.task_id) AS avg_completion_percentage, (select task_id from cxs_projects_tasks a where a.parent_task_id = cxs_projects_tasks.task_id LIMIT 1) as expr_parent
													FROM 
														`cxs_projects_tasks`
													WHERE 
														MD5(project_id)='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
													) as b where expr_parent is null order by task_name";		
												$RunUserQuery	= mysqli_query($conn, $selectQuery);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows = mysqli_fetch_assoc($RunUserQuery)){
														$is_data 	= false;
														$task_project_id		= $rows["project_id"];
														$task_id 				= $rows["task_id"];
														$task_name 				= $rows["task_name"];
														$schedule_start_date	= $rows["schedule_start_date"];
														$schedule_end_date		= $rows["schedule_end_date"];
														$avg_completion_percentage	= ($rows["avg_completion_percentage"]>0)?$rows["avg_completion_percentage"]:0;
														?>
														<tr>
															<th class="fix">
																<div style="width:100%;border-top:1px solid #fbdbe0;">
																	<span class="td-cell-space2">
																	<?php echo $task_name; ?><br><small>(Schedule)</small>
																	</span>
																</div>
															</th>
															<?php
															foreach($week_arr as $week_data){
																$start_date = setDate($week_data["start"],'Y-m-d');
																$end_date 	= setDate($week_data["end"],'Y-m-d');
																
															?>
																<td>
																	<?php 
																	if(strtotime($start_date)>=strtotime($schedule_start_date) && strtotime($end_date)<=strtotime($schedule_end_date)){ ?>
																	<div class="gantt_chart <?php echo $wb_gantt_chart_class; ?>" title="Schedule Task Duration" style="width:100%"></div>
																	<?php } ?>
																</td>
															<?php
															}
															?>
														</tr>
														<tr>
															<th class="fix">
																<div style="width:100%;">
																<span class="td-cell-space2"><?php echo $task_name; ?><br><small>(Actual - <?php echo setNumberFormat($avg_completion_percentage)."% Completed"; ?>)</small></span>
																</div>
																<div style="width:100%;padding-left:10px;border-bottom:1px solid #fbdbe0;">
																	<?php
																	$qry 	= "
																		SELECT 
																			ta.assignment_id, ta.member_id, ta.comment, ta.hours, ta.active_status,
																			th.team_name, w.completion_percentage,
																			u.full_name, u.image_name,
																			tm.billing_rate, tm.billing_currency
																		FROM 
																			`cxs_projects_task_assignment` ta
																		INNER JOIN
																			`cxs_projects_team_header` th
																		ON
																			th.team_id = ta.team_id
																		INNER JOIN
																			`cxs_projects_team_members` tm
																		ON
																			tm.assignement_id = ta.member_id
																		LEFT JOIN
																			`cxs_projects_wb_tasks` w
																		ON
																			ta.task_id=w.task_id
																		INNER JOIN
																			`cxs_user` u
																		ON
																			u.user_id = tm.member_userid
																		WHERE
																			ta.task_id='".$task_id."' AND ta.project_id='".$task_project_id."' AND ta.company_id='".$_SESSION['login_user_array']['company_id']."'
																	";
																	$res = mysqli_query($conn, $qry);
																	if(mysqli_num_rows($res)>0){
																		while($rows1=mysqli_fetch_assoc($res)){
																			$member_id	= $rows1["member_id"];
																			$team_name 	= htmlentities($rows1["team_name"]);
																			$full_name 	= htmlentities($rows1["full_name"]);
																			$image_name = htmlentities($rows1["image_name"]);
																			if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
																				$user_img_url = "img/uploads/user_images/".$image_name;
																			}else{
																				$user_img_url = "images/faces/default_face.png";
																			}
																			
																			$completion_percentage 	= ($rows1["completion_percentage"]>0?$rows1["completion_percentage"]:0);
																			$team_name 			= htmlentities($rows1["team_name"]);
																			?>
																			<a href="javascript:void(0);" title="<?php echo $full_name." - ".$completion_percentage."% Completed"; ?>">
																				<img class="img-sm rounded-circle" src="<?php echo $user_img_url; ?>" alt="" />
																			</a>
																			<?php
																		}
																	}
																	?>
																</div>
															</th>
															<?php
															foreach($week_arr as $week_data){
																$start_date = setDate($week_data["start"],'Y-m-d');
																$end_date 	= setDate($week_data["end"],'Y-m-d');
																$selectQuery1 	= "
																	SELECT 
																		activity_id
																	FROM 
																		`cxs_projects_wb_activity_trail`
																	WHERE 
																		MD5(project_id)='".$project_id."' AND task_id='".$task_id."' AND source='WB' AND (field_name='Actual Start Date' OR field_name='Actual End Date') AND new_value>='".$start_date."' AND new_value<='".$end_date."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
																	";
																$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
																$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
															?>
																<td class="td-m">
																	<?php if($StdNumRows1>0){ ?>
																	<div class="gantt_chart <?php echo $wb_gantt_chart_actual_class; ?>" title="Actual Task Duration" style="width:100%;"></div>
																	<?php } ?>
																</td>
															<?php
															}
															?>
															
														</tr>
														<tr bgcolor="eecfd4">
															<th class="fix">
																<div style="width:100%;background:#eecfd4;">&nbsp;</div>
															</th>
															<?php
															foreach($week_arr as $week_data){
																$start_date = setDate($week_data["start"],'m/d/Y');
																$end_date 	= setDate($week_data["end"],'m/d/Y');
															?>
																<td>&nbsp;
																	
																</td>
															<?php
															}
															?>
														</tr>
														<?php
													}
												}
												?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="vendors/js/vendor.bundle.base.js"></script>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/chart.js/Chart.min.js"></script>
<script src="dist/jquery.table2excel.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$(".rploader").fadeOut(500);
	var width = $(window).width();
	var height = $(window).height();
	var height1 = $(document).outerHeight();
	height = height - 300;
	
	var table_height = $(".table-gantt-chart").height();
	if(table_height>height){
		$(".gantt-chart-main-container").attr("style","height:"+height+"px");
	}else{
		$(".gantt-chart-main-container").attr("style","overflow-y:hidden");
	}
	/**********************************/
	setTimeout(function(){
		/*if($(".scroll-table").length){
			$("#results").mCustomScrollbar({  // custom scroll bar plugin
				theme:"light-2",  // custom scroll theme set
				axis: "x",     // custom scroll ver,hor scroll
			});
		}*/
	},1000);
	
	$(".buttons-excel").click(function(e){
		$("#results .gantt-chart-completed").each(function(){
			$(this).parent().attr("bgcolor","4CAF50");
		});
		$("#results .gantt-chart-inprogress").each(function(){
			$(this).parent().attr("bgcolor","FF9800");
		});
		$("#results br").each(function(){
			$(this).remove();
		});
		
		$("#results").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Project Task Gantt Chart</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
				exclude: ".noExl",
				name: "Project Task Gantt Chart",
				filename: "Project Task Gantt Chart.xls",
				fileext: ".xls",
				preserveColors: true,
				/*exclude_img: true,
				exclude_links: true,
				exclude_inputs: true*/
			});
		$(".texcl").remove();
		$("#results .gantt-chart-completed").each(function(){
			$(this).parent().removeAttr("bgcolor");
		});
		$("#results .gantt-chart-inprogress").each(function(){
			$(this).parent().removeAttr("bgcolor");
		});
		$("#results small").each(function(){
			$(this).prepend("<br>");
		});
	});
});
</script>
</body>
</html>
