<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Project Task Gantt Chart</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="vendors/owl-carousel/owl.carousel.min.css">
<link rel="stylesheet" href="vendors/owl-carousel/owl.theme.default.min.css">
<link rel="stylesheet" href="css/custom_toggle.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/custom.css">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<style>
.page-body-wrapper {
	padding-top: 0px;
}
.sidebar-icon-only .main-panel {
	width: calc(100% - 0px);
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<div class="rploader"><img src="images/89.gif" alt=""></div>
	<!-- partial:partials/_navbar.html -->
	<?php //include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php //include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Projects</li>
										<li class="breadcrumb-item"><a href="project-workbench.php">Project Workbench</a></li>
										<li class="breadcrumb-item active" aria-current="page">Project Task Gantt Chart</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<?php
								$project_id = $_REQUEST['project_id'];
								$is_data = false;
								/***********************************/
								$selectQuery 	= "
									SELECT 
										*
									FROM 
										`cxs_projects_tasks`
									WHERE 
										MD5(project_id)='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
									";		
								$RunUserQuery	= mysqli_query($conn, $selectQuery);
								$StdNumRows 	= mysqli_num_rows($RunUserQuery);
								$schedule_start_date 	= "";
								$schedule_end_date		= "";
								$schedule_start_date1 	= "";
								$schedule_end_date1		= "";
								if($StdNumRows>0){
									while($rows = mysqli_fetch_assoc($RunUserQuery)){
										$is_data = false;
										if($rows["schedule_start_date"]!="0000-00-00"){
											$schedule_start_date 	= strtotime($rows["schedule_start_date"]);
										}else{
											$schedule_start_date 	= strtotime(date("Y-m-d"));
										}
										
										$schedule_start_date1 	= strtotime('-3 days',$schedule_start_date);
										$schedule_start_date2 	= strtotime('-3 days',$schedule_start_date);
										$schedule_start_date3 	= strtotime('-3 days',$schedule_start_date);
										
										if($rows["schedule_end_date"]!="0000-00-00"){
											$schedule_end_date		= strtotime($rows["schedule_end_date"]);
											$schedule_end_date1		= strtotime($rows["schedule_end_date"]);
										}else{
											$schedule_end_date		= strtotime(date("Y-m-d"));
											$schedule_end_date1		= strtotime(date("Y-m-d"));
										}
										
										/***********************************/
										$selectQuery 	= "
											SELECT 
												*
											FROM 
												`cxs_projects_wb_tasks`
											WHERE 
												MD5(project_id)='".$project_id."' AND task_id='".$rows["task_id"]."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
											";
										$RunUserQuery1	= mysqli_query($conn, $selectQuery);
										$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
										$wb_actual_start_date 	= "";
										$wb_actual_end_date		= "";
										$wb_actual_end_date1	= "";
										$wb_gantt_chart_class = "gantt-chart-inprogress";
										if($StdNumRows1>0){
											if($rows["actual_start_date"]!="0000-00-00" && $rows["actual_end_date"]!="0000-00-00"){
												$is_data = true;
											}
											$rows = mysqli_fetch_assoc($RunUserQuery1);
											$wb_actual_start_date 	= strtotime($rows["actual_start_date"]);
											if($rows["actual_end_date"]!="0000-00-00"){
												$wb_gantt_chart_class = "gantt-chart-completed";
												$wb_actual_end_date		= strtotime($rows["actual_end_date"]);
												$wb_actual_end_date1	= strtotime('+3 days',strtotime($rows["actual_end_date"]));
												$wb_actual_end_date2	= strtotime('+3 days',strtotime($rows["actual_end_date"]));
											}else{
												$wb_actual_end_date		= strtotime(date("Y-m-d"));
												$wb_actual_end_date1	= strtotime('+3 days',strtotime(date("Y-m-d")));
												$wb_actual_end_date2	= strtotime('+3 days',strtotime(date("Y-m-d")));
											}
										}
										/*echo date("d-m-Y",$schedule_start_date1)."==".$schedule_start_date2."==".$schedule_start_date3;
										echo "<br>";
										echo $wb_actual_end_date."==".$wb_actual_end_date1."==".$wb_actual_end_date2;
										die;*/
										if($is_data==true){
										?>
										<div class="table-responsive mt-5">
											<table width="100%" class="table table-gantt-chart">
												<thead>
													<tr class="table-info">
														<th></th>
														<?php
														if($is_data==true){
															while( $schedule_start_date1 <= $wb_actual_end_date1 ) {
																?>
																<th><?php echo date('m/d',$schedule_start_date1); ?></th>
																<?php
																$schedule_start_date1 = strtotime('+1 day',$schedule_start_date1);
															}
														}
														?>
														
													</tr>
												</thead>
												<tbody>
													<tr>
														<td><span class="td-cell-space">Schedule Duration</span></td>
														<?php
														if($is_data==true){
															while( $schedule_start_date3 <= $schedule_end_date1 ) {
																if($schedule_start_date3>=$schedule_start_date && $schedule_start_date3<=$schedule_end_date1){
																?>
																<td><div class="gantt_chart gantt-chart-schedule" title="Scheduled Task Duration" style="width:100%"></div></td>
																<?php
																}else{
																?>
																<td></td>
																<?php
																}
																$schedule_start_date3 = strtotime('+1 day',$schedule_start_date3);
															}
														}
														?>
													</tr>
													<tr>
														<td><span class="td-cell-space">Actual Duration</span></td>
														<?php
														if($is_data==true){
															while($schedule_start_date2 <= $wb_actual_end_date2 ) {
																
																if($schedule_start_date2 >= $wb_actual_start_date && $schedule_start_date2<=$wb_actual_end_date){
																?>
																<td><div class="gantt_chart <?php echo $wb_gantt_chart_class; ?>" title="Actual Task Duration" style="width:100%"></div></td>
																<?php
																}else{
																?>
																<td></td>
																<?php
																}
																$schedule_start_date2 = strtotime('+1 day',$schedule_start_date2);
															}
														}
														?>
													</tr>
												</tbody>
											</table>
										</div>
										<?php
										}
									}
								}
								?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="vendors/js/vendor.bundle.base.js"></script>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/chart.js/Chart.min.js"></script>
<script src="dist/jquery.table2excel.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	
});
</script>
</body>
</html>
