<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Projects</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
  <link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
 <!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
  <link href="https://davidstutz.de/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" rel="stylesheet"/>
  <link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
  <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  <link rel="stylesheet" href="css/custom_toggle.css">
  <style>
     td.details-control 
     {
        background: url('images/icons/details_open.png') no-repeat center center;
        cursor: pointer;
    }
    tr.shown td.details-control 
    {
        background: url('images/icons/details_close.png') no-repeat center center;
    }
  </style>
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">                                            
                                            <li class="breadcrumb-item">Projects</li>
                                            <li class="breadcrumb-item"><a href="project-workbench.php">Project Workbench</a></li>                                            
                                            <li class="breadcrumb-item"><a href="pw-stakeholders.php">Stakeholders Workbench</a></li>
                                            <li class="breadcrumb-item active">CCB Workbench</li>
                                        </ol>
                                    </nav>
                                    
                                    <div class="col-md-12 mb-4 pl-0 pr-0" > 
                                        <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;" >    
                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Id :</label>
                                                <label  class="pr-4">CXS001</label>
                                            </div>

                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Scheduled Start Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>

                                            <div class="form-group mb-0"> 
                                                <label class="pl-2">Project Scheduled End Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>    
                                        </div>
                                    </div>
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3">PROJECT:  DI-GFC IMAGING</h4>
                                        <div>
                                            <button class="btn btn-primary btn-sm">Excel</button>
                                            <button class="btn btn-primary btn-sm">PDF</button>
                                            <button class="btn btn-primary btn-sm">Email</button>
                                        </div>
                                    </div>                                    
                                </div>
                            </div>
                        </div>
                    
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="d-flex flex-wrap justify-content-between mb-3">
                                        <h4 class="card-title mb-3">Open Change Request</h4>                                          
                                    </div>
                                    <select class="js-example-basic-single" style="width:100%;">
                                        <option> Change Request 1:  Change Requests</option>
                                        <option> Change Request 1:  Change Requests</option>
                                        <option> Change Request 1:  Change Requests</option>
                                    </select>
                               </div>
                            </div>
                        </div>
                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="d-flex flex-wrap justify-content-between mb-3">
                                        <h4 class="card-title mb-3">Change Control Board Members</h4>  
                                        <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>                                       
                                    </div>
                                    <div class="row">
                                        <?php
                                            for($i=1;$i<=10;$i++) { ?>
                                        <div class="col-md-6 mb-4 ">
                                            <div class="row change-control-board">
                                                <div class="col-md-3  mr-0  pr-1">
                                                    <figure class="rounded-circle ">
                                                        <img class=" rounded-circle mb-md-0 mr-2"src="images/faces/face3.jpg" alt="image">
                                                        <div class="pl-3">John Smith</div>
                                                    </figure>
                                                    
                                                </div>
                                                <div class="col-md-3 ml-0 mr-0 pl-1 pr-1">
                                                    <div class="form-group">
                                                        <p><label>Action</label></p>
                                                        <select class="form-control">
                                                            <option>Approve</option>
                                                            <option>Reject</option>
                                                            <option>Investigate</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6 ml-0 mr-0 pl-1 pr-1">
                                                    <div class="form-group">
                                                        <label>Comment</label>
                                                        <textarea class="form-control" rows="5"></textarea>
                                                    </div>    
                                                </div>    
                                            </div>    
                                            
                                        </div>
                                        
                                    <?php } ?>
                                        
                                        
                                    </div>    
                                    <div class="text-right">
                                        <button class="btn btn-primary btn-sm">Save</button>
                                    </div>   
                                </div>
                            </div>
                        </div>    
                        
                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="d-flex flex-wrap justify-content-between mb-3" >
                                        <h4 class="card-title mb-3"></h4>
                                    </div>
                                    
                                    <div class="table-responsive">
                                        <table class="table table-striped">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>

                                                              <p class="text-muted">January 27 at 04:40 PM</p>
                                                            </div>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                    
                                    
                            </div>
                        </div>
                        
                            
                        
                            
                    </div>
                </div>    
            </div>    
        </div>
      
      
         <!--  Modal New option -->
        <div class="modal fade pr-0" id="modal_stakeholder_requirements">
            <div class="modal-dialog  modal-xl mt-0" role="document">
                <div class="modal-content">
                    <div class="modal-header pb-2">
                        <h2 class="pl-3 modal-title" >Stakeholder Requirements</h2>
                        
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                              <span aria-hidden="true">&times;</span>                    
                        </button>
                    </div>
                    
                    <div class="modal-body pt-2">
                            <?php
                                include_once 'pw-stakeholders-requirements.php';
                            ?>
                    </div>
                </div>
            </div>
        </div>
         
      
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
     <script src="vendors/select2/select2.min.js"></script>     
    <script src="js/select2.js"></script> 
 <!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
    <script src="vendors/moment/moment.min.js"></script>
  <script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>  
    <script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>

    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
    
    <script src="js/bootstrap-multiselect.js"></script>
    <script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
   <!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script>    
    <script src="vendors/tinymce/tinymce.min.js"></script>
    <script src="vendors/chart.js/Chart.min.js"></script>
    <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
    
    <script src="vendors/raphael/raphael.min.js"></script>
    <script src="vendors/morris.js/morris.min.js"></script>
    <script src="js/morris.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>

</html>
<script>
   $.contextMenu({
    selector: '.stakeholders-feeds',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "excel": {name: "Export to Excel"},
      "pdf": {name: "PDF"},
      "email": {name: "Email"}
  }
  });
  
  
  $.contextMenu({
    selector: '.stakeholders-groups',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "send_message": {name: "Send Message"},
      "announce": {name: "Announce"},
      "chat": {name: "Chat"},
      "CCB_Workbench": {name: "CCB Workbench"}
  }
  });
  
  
  $.contextMenu({
    selector: '.stakeholders-requirements',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "see_details": {name: "See Details"},
      "announce": {name: "Announce"},
      "chat": {name: "Chat"},"download_documents": {name: "Download Documents"},
      "CCB_Workbench": {name: "CCB Workbench"}
  }
  });
  
  
  $(".stakeholders-requirements").click(function()
  {
     $("#modal_stakeholder_requirements").modal("show");
  });
  $.contextMenu({
    selector: '.stakeholders-change-request',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "new": {name: "Open a New CR"},"sep1": "---------",
      "report": {name: "Generate Report"},
      "approve": {name: "Approve a CR"},"comment": {name: "Comment"},
      "announcement": {name: "Announcement"},"CCB_Workbench": {name: "CCB Workbench"}
  }
  });
  
  var doughnutPieData = {
    datasets: [{
      data: [30, 40],
      backgroundColor: [
        'rgba(54, 162, 235, 0.5)',
        'rgba(255, 206, 86, 0.5)',
        'rgba(75, 192, 192, 0.5)',
        'rgba(153, 102, 255, 0.5)',
        'rgba(255, 159, 64, 0.5)',
        'rgba(255, 99, 132, 0.5)',
        
      ],
      borderColor: [
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)',
        'rgba(153, 102, 255, 1)',
        'rgba(255, 159, 64, 1)',
        'rgba(255,99,132,1)'
      ],
    }],

    // These labels appear in the legend and in the tooltips when hovering different arcs
    labels: [      
      'Blue',
      'Yellow',
    ]
  };
  
  var doughnutPieOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    }
  };
  
  if ($("#pieChart_stakeholders-project-issues").length) 
    {
        var pieChartCanvas = $("#pieChart_stakeholders-project-issues").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
  $.contextMenu({
    selector: '.stakeholders-project-issues',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "Submit_New": {name: "Open a new issue"},
      "Send_Message_ProjectStakeholder": {name: "Send Message to Project Stakeholder"}
  }
  });
  
  
  $.contextMenu({
    selector: '.change-control-board',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "message": {name: "Send a message",
          "items": {
              "Message_to-key1": {
                "name": "Project Manager"
              },
              "Message_to--key2": {
                "name": "Team Members"
              },
              
            }
        }
  }
  });
  
  (function($) {
  'use strict';
  if ($("#fileuploader").length) {
    $("#fileuploader").uploadFile({
      url: "YOUR_FILE_UPLOAD_URL",
      fileName: "myfile"
    });
  }
})(jQuery);
  
</script>    
