<?php
    require_once "conn.php";
    check_login();
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Projects</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
  <link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
 <!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">--
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css" rel="stylesheet" />-->
  <link href="https://davidstutz.de/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" rel="stylesheet"/>
  <link rel="stylesheet" href="vendors/jquery-file-upload/uploadfile.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
    <link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">

  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
  <link rel="stylesheet" href="css/custom_toggle.css">
  <style>
     td.details-control {
    background: url('images/icons/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('images/icons/details_close.png') no-repeat center center;
}
.sld:before {
  height: 11px;
    width: 11px;     
}

.toggle {
    width: 35px;}
  </style>
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Projects</li>
                                            <li class="breadcrumb-item"><a href="project-workbench.php">Project Workbench</a></li>                                            
                                            <li class="breadcrumb-item active">Stakeholders Workbench</li>  
                                            
                                        </ol>
                                    </nav>
                                    
                                    <div class="col-md-12 mb-4 pl-0 pr-0" > 
                                        <div class="d-sm-flex justify-content-center justify-content-sm-between pt-2 pb-2 border" style="border-color: #000000 !important;" >    
                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Id :</label>
                                                <label  class="pr-4">CXS001</label>
                                            </div>

                                            <div class="form-group mb-0">
                                                <label class="pl-2">Project Scheduled Start Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>

                                            <div class="form-group mb-0"> 
                                                <label class="pl-2">Project Scheduled End Date :</label>
                                                <label  class="pr-4">04/06/2020</label>
                                            </div>    
                                        </div>
                                    </div>
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3">PROJECT:  DI-GFC IMAGING</h4>
                                        <button class="btn btn-primary btn-sm ccb_workbench ">CCB Workbench</button>
                                    </div>                                    
                                </div>
                            </div>
                        </div>
                    
                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                        <div class="d-flex flex-wrap justify-content-between mb-3">
                                            <h4 class="card-title mb-3">FEEDS</h4>  
                                            <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>                                       
                                        </div>
                                        <div class="table-responsive">
                                            <table class="table">
                                                <thead>
                                                    <tr class="table-info">                                                            
                                                        <th> Assigned Resource</th>
                                                        <th> Project Role</th>
                                                        <th> Actual Date Started</th>
                                                        <th> % Completed</th>
                                                        <th> Last Updated</th>
                                                        <th> Hours Worked</th>
                                                        <th> Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php for($i=1;$i<=5;$i++)
                                                    { ?>
                                                    <tr class="stakeholders-feeds">
                                                        <td>
                                                          <div class="d-flex">
                                                            <img class="img-sm rounded-circle mb-md-0 mr-2" src="images/faces/face3.jpg" alt="profile image">
                                                            
                                                            <div class="pt-2"> John Smith</div>
                                                              
                                                            
                                                          </div>
                                                        </td>
                                                        <td>Developer</td>
                                                        <td>MM/DD/YYYY</td>
                                                        <td>50</td>
                                                        <td>MM/DD/YYYY</td>
                                                        <td>10</td>
                                                        <td>Request Status</td>
                                                    </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>  
                                        
                                </div>
                            </div>
                        </div>    
                        
                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="d-flex flex-wrap justify-content-between mb-3">
                                        <h4 class="card-title mb-3">My Group</h4>  
                                        <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>                                       
                                    </div>
                                    
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-12">
                                                            <div class="row portfolio-grid">
                                                                <?php for($i=1;$i<=5;$i++) { ?>
                                                                    <div class="col-xl-2 col-lg-2 col-md-2 col-sm-6 col-12">
                                                                      <figure class="rounded-circle  effect-text-in stakeholders-groups">
                                                                        <img   src="images/faces/face2.jpg" alt="image"/>
                                                                        
                                                                        <figcaption>
                                                                          <h4>Lisa Smith</h4>
                                                                          <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit</p>
                                                                        </figcaption>
                                                                      </figure>
                                                                    </div>
                                                                    <div class="col-xl-2 col-lg-2 col-md-2 col-sm-6 col-12">
                                                                      <figure class="effect-text-in stakeholders-groups">
                                                                        <img src="images/faces/face3.jpg" alt="image"/>
                                                                        <figcaption>
                                                                          <h4>John Smith1</h4>
                                                                          <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit</p>
                                                                        </figcaption>
                                                                      </figure>
                                                                    </div>
                                                                <?php } ?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>    
                                        
                                    </div>
                                    
                                    
                                </div>
                            </div>
                        
                            <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="d-flex flex-wrap justify-content-between mb-3">
                                        <h4 class="card-title mb-3">Stakeholder Requirements</h4>  
                                        <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link stakeholders-requirements" style="font-size: 20px;"></i></button>
                                    </div>
                                    
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-12">
                                                            <div class="row portfolio-grid">
                                                                <?php for($i=1;$i<=5;$i++) { ?>
                                                                    <div class="col-xl-2 col-lg-2 col-md-2 col-sm-6 col-12 mb-2">
                                                                        <div class="text-center stakeholders-requirements" style="cursor: pointer;">
                                                                            <i class="fa fa-file-pdf-o" style="font-size: xxx-large;"></i>
                                                                            <p class="pt-2">REQ. PROJECT 1</p>
                                                                        </div>    
                                                                    </div>
                                                                    <div class="col-xl-2 col-lg-2 col-md-2 col-sm-6 col-12 mb-2">
                                                                        <div class="text-center stakeholders-requirements" style="cursor: pointer;">
                                                                            <i class="fa fa-file-pdf-o" style="font-size: xxx-large;"></i>
                                                                            <p class="pt-2">REQ. PROJECT 1.1</p>
                                                                        </div>    
                                                                    </div>
                                                                <?php } ?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>    
                                        
                                    </div>
                                    
                                    
                                </div>
                            </div>
                        
                            <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <div class="d-flex flex-wrap justify-content-between mb-3">
                                        <h4 class="card-title mb-3">Change Requests</h4>  
                                        <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>                                       
                                    </div>
                                    
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    
                                                    <div class="table-responsive pt-3">                                                                                             
                                                        <table class="table table-bordered">
                                                            <thead>
                                                                <tr class='table-info'>
                                                                     <th> Change Request</th>
                                                                     <th> Change Statement</th>
                                                                     <th>Priority</th>
                                                                     <th>Scope Impact</th>
                                                                     <th>Status</th>
                                                                     <th>Change Type</th>
                                                                     <th>Submitted By</th>
                                                                     <th>Approved By</th>
                                                                     <th>Approve / Reject</th>
                                                                     <th style="width:9%">Action</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr class="stakeholders-change-request1">
                                                                    <td>CHG.PROJECT.1</td>
                                                                    <td>This is a change</td>
                                                                    <td>High</td>
                                                                    <td>High</td>
                                                                    <td>Approved</td>
                                                                    <td>Scope</td>
                                                                    <td>John Smith</td>
                                                                    <td>John Smith2</td>
                                                                    <td><div class="text-center"><label class="toggle" ><input type="checkbox" id ="chk_tgl" checked><span class="sld round"></span></label></div></td>
                                                                    <td>
                                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                                    </td>
                                                                </tr>

                                                                <tr class="stakeholders-change-request">
                                                                    <td>CHG.PROJECT.1</td>
                                                                    <td>This is a change</td>
                                                                    <td>High</td>
                                                                    <td>High</td>
                                                                    <td>Approved</td>
                                                                    <td>Scope</td>
                                                                    <td>John Smith</td>
                                                                    <td>John Smith2</td>
                                                                    <td><div class="text-center"><label class="toggle" ><input type="checkbox" id ="chk_tgl" checked><span class="sld round"></span></label></div></td>                                                                    
                                                                    <td>
                                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                                    </td>
                                                                </tr>

                                                                <tr class="stakeholders-change-request">
                                                                    <td>CHG.PROJECT.1</td>
                                                                    <td>This is a change</td>
                                                                    <td>High</td>
                                                                    <td>High</td>
                                                                    <td>Approved</td>
                                                                    <td>Scope</td>
                                                                    <td>John Smith</td>
                                                                    <td>John Smith2</td>
                                                                    <td><div class="text-center"><label class="toggle" ><input type="checkbox" id ="chk_tgl" checked><span class="sld round"></span></label></div></td>                                                                    
                                                                    <td>
                                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                                    </td>
                                                                </tr>

                                                                <tr class="stakeholders-change-request">
                                                                    <td>CHG.PROJECT.1</td>
                                                                    <td>This is a change</td>
                                                                    <td>High</td>
                                                                    <td>High</td>
                                                                    <td>Approved</td>
                                                                    <td>Scope</td>
                                                                    <td>John Smith</td>
                                                                    <td>John Smith2</td>
                                                                    <td><div class="text-center"><label class="toggle" ><input type="checkbox" id ="chk_tgl" checked><span class="sld round"></span></label></div></td>                                                                    
                                                                    <td>
                                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="View Record"><i class="fa fa-info" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                    
                                                </div>
                                            </div>
                                        </div>
                                    </div>    
                                        
                                    </div>
                                    
                                    
                                </div>
                            </div>
                        
                            <div class="col-xl-6 d-flex grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="d-flex flex-wrap justify-content-between">
                                           <h4 class="card-title mb-3">Project Issues</h4>  

                                           <div>
                                               <div class="row">
                                                   <div class="col-md-10 pl-0">
                                                        <select class="js-example-basic-single" style="width:100%;">
                                                            <option> Project 1</option>
                                                            <option> Project 2</option>                                                        
                                                        </select>
                                                   </div>
                                                   <div class="col-md-1">
                                                       <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                                   </div>
                                               </div>                                           
                                           </div>
                                        </div>

                                        <div class="mt-3 mr-3 mb-3 ml-3">
                                            <canvas class = "stakeholders-project-issues" id="pieChart_stakeholders-project-issues"></canvas>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        
                            <div class="col-xl-6 d-flex grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="d-flex flex-wrap justify-content-between">
                                           <h4 class="card-title mb-3">My Documents</h4>  
                                        </div>   
                                        <div class="d-flex flex-wrap justify-content-between">
                                            <div class="file-upload-wrapper">
                                                <div id="fileuploader">Upload</div>
                                            </div>
                                            <div class="pt-3"><button class="btn btn-primary btn-sm">Upload</button></div>
                                        </div>
                                        
                                        <div class="table-responsive">                                                            
                                            <table id="" class="table table-bordered">
                                                <thead>
                                                    <tr class="table-info">
                                                        <th>Seq.</th>                                                            
                                                        <th>File Name</th>                                                            
                                                        <th>Action</th>
                                                    </tr>    
                                                </thead>    
                                                <tbody>
                                                    <tr>
                                                        <td>1</td>                                                            
                                                        <td>Charter.pdf</td>                                                            
                                                        <td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
                                                    </tr>
                                                     <tr>
                                                        <td>1</td>                                                            
                                                        <td>Charter.pdf</td>                                                            
                                                        <td class="text-center"><i class="fa fa-trash-o delete_record" aria-hidden="true" title="Delete Record" style="cursor: pointer;"></i></td>
                                                    </tr>
                                                </tbody>
                                            </table>    
                                        </div>
                                           
                                    
                                </div>
                            </div>
                        </div>    
                        
                        
                        
                         <div class="col-xl-6 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3">Relevant Risks</h4>
                                        <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                    </div>
                                     <div id="morris-bar-example"></div>
                                </div>
                            </div>
                        </div>
                        
                        
                        <div class="col-xl-6 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3">Assumptions</h4>
                                        <button type="button" class="btn mt-0 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                    </div>
                                    <div class="table-responsive">                                                            
                                        <table id="" class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Project Id</th>
                                                    <th>Assumption</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>ASMPT.Project Number1</td>
                                                    <td class="LightGrey">Assumption Narrative</td>
                                                    <td>
                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="Disabled"><i class="fa fa-ban" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                    </td>
                                                </tr>
                                                
                                                <tr>
                                                    <td>ASMPT.Project Number2</td>
                                                    <td class="LightGrey">Assumption Narrative</td>
                                                    <td>
                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="Disabled"><i class="fa fa-ban" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                    </td>
                                                </tr>
                                                
                                                <tr>
                                                    <td>ASMPT.Project Number3</td>
                                                    <td class="LightGrey">Assumption Narrative</td>
                                                    <td>
                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="Disabled"><i class="fa fa-ban" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                    </td>
                                                </tr>
                                                
                                                <tr>
                                                    <td>ASMPT.Project Number4</td>
                                                    <td class="LightGrey">Assumption Narrative</td>
                                                    <td>
                                                        <div class="text-center"><button class="btn edit ml-0 mr-2 pl-0 pr-0 edit-record" title="Edit Record"><i class="fa fa-pencil" aria-hidden="true"></i></button><button class="btn  ml-0 mr-2 pl-0 pr-0 view-record" title="Disabled"><i class="fa fa-ban" aria-hidden="true"></i></button><button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content=" Created By:    <br> Updated By:  <br> Creation Date:  <br> Last Update Date:  " data-original-title="" title=""> <i class=" fa fa-eye"></i> </button> </div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>    
                                </div>
                            </div>
                        </div>
                        
                    </div>
                </div>    
            </div>    
        </div>
      
      
         <!--  Modal New option -->
        <div class="modal fade pr-0" id="modal_stakeholder_requirements">
            <div class="modal-dialog  modal-xl mt-0" role="document">
                <div class="modal-content">
                    <div class="modal-header pb-2">
                        <h2 class="pl-3 modal-title" >Stakeholder Requirements</h2>
                        
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                              <span aria-hidden="true">&times;</span>                    
                        </button>
                    </div>
                    
                    <div class="modal-body pt-2">
                            <?php
                                include_once 'pw-stakeholders-requirements.php';
                            ?>
                    </div>
                </div>
            </div>
        </div>
         
          
      
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
     <script src="vendors/select2/select2.min.js"></script>     
    <script src="js/select2.js"></script> 
 <!--   <script src="datepicker/bootstrap-datepicker.js"></script>-->
    <script src="vendors/moment/moment.min.js"></script>
  <script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>  
    <script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>

    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <!--<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">-->
    
    <script src="js/bootstrap-multiselect.js"></script>
    <script src="vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
   <!-- <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script-->
    <script src="datatables.net-bs4/buttons.colVis.min.js"></script>    
    <script src="vendors/tinymce/tinymce.min.js"></script>
    <script src="vendors/chart.js/Chart.min.js"></script>
    <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
    
    <script src="vendors/raphael/raphael.min.js"></script>
    <script src="vendors/morris.js/morris.min.js"></script>
   <!--<script src="js/morris.js"></script>-->
    <script src="js/jquery.mCustomScrollbar.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
</body>

</html>
<script>
   $.contextMenu({
    selector: '.stakeholders-feeds',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "excel": {name: "Export to Excel"},
      "pdf": {name: "PDF"},
      "email": {name: "Email"}
  }
  });
  
  
  $.contextMenu({
    selector: '.stakeholders-groups',
    callback: function(key, options) 
    {
        if(key=="CCB_Workbench")
        {
            window.open("pw-ccb-workbench.php", '_blank');
        }
    },
    items: {
      "send_message": {name: "Send Message"},
      "announce": {name: "Announce"},
      "chat": {name: "Chat"},
      "CCB_Workbench": {name: "CCB Workbench"}
  }
  });
  
  
  $.contextMenu({
    selector: '.stakeholders-requirements',
    callback: function(key, options) 
    {
        if(key=="CCB_Workbench")
        {
            window.open("pw-ccb-workbench.php", '_blank');
        }
    },
    items: {
      "see_details": {name: "See Details"},
      "announce": {name: "Announce"},
      "chat": {name: "Chat"},"download_documents": {name: "Download Documents"},
      "CCB_Workbench": {name: "CCB Workbench"}
  }
  });
  
  
  $(".stakeholders-requirements").click(function()
  {
     $("#modal_stakeholder_requirements").modal("show");
  });
  
  
  
$(".ccb_workbench").click(function()
{
   window.open("pw-ccb-workbench.php", '_blank');
});


  $.contextMenu({
    selector: '.stakeholders-change-request',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
        if(key=="CCB_Workbench")
        {
            window.open("pw-ccb-workbench.php", '_blank');
        }
    },
    items: {
      "new": {name: "Open a New CR"},"sep1": "---------",
      "report": {name: "Generate Report"},
      "approve": {name: "Approve a CR"},"comment": {name: "Comment"},
      "announcement": {name: "Announcement"},"CCB_Workbench": {name: "CCB Workbench"}
  }
  });
  
  var doughnutPieData = {
    datasets: [{
      data: [30, 40],
      backgroundColor: [
        'rgba(54, 162, 235, 0.5)',
        'rgba(255, 206, 86, 0.5)',
        'rgba(75, 192, 192, 0.5)',
        'rgba(153, 102, 255, 0.5)',
        'rgba(255, 159, 64, 0.5)',
        'rgba(255, 99, 132, 0.5)',
        
      ],
      borderColor: [
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)',
        'rgba(153, 102, 255, 1)',
        'rgba(255, 159, 64, 1)',
        'rgba(255,99,132,1)'
      ],
    }],

    // These labels appear in the legend and in the tooltips when hovering different arcs
    labels: [      
      'Blue',
      'Yellow',
    ]
  };
  
  var doughnutPieOptions = {
    responsive: true,
    animation: {
      animateScale: true,
      animateRotate: true
    }
  };
  
  if ($("#pieChart_stakeholders-project-issues").length) 
    {
        var pieChartCanvas = $("#pieChart_stakeholders-project-issues").get(0).getContext("2d");
        var pieChart = new Chart(pieChartCanvas, {
          type: 'pie',
          data: doughnutPieData,
          options: doughnutPieOptions
        });
    }
    
  $.contextMenu({
    selector: '.stakeholders-project-issues',
    callback: function(key, options) 
    {
        //var m = "clicked: " + key;
        // window.console && console.log(m) || alert(m);
    },
    items: {
      "Submit_New": {name: "Open a new issue"},
      "Send_Message_ProjectStakeholder": {name: "Send Message to Project Stakeholder"}
  }
  });
  
  (function($) {
  'use strict';
  if ($("#fileuploader").length) {
    $("#fileuploader").uploadFile({
      url: "YOUR_FILE_UPLOAD_URL",
      fileName: "myfile"
    });
  }
})(jQuery);



  if ($("#morris-bar-example").length) {
    Morris.Bar({
      element: 'morris-bar-example',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: '2006',
          a: 100,
          b: 90
        },
        {
          y: '2007',
          a: 75,
          b: 65
        },
        {
          y: '2008',
          a: 50,
          b: 40
        },
        {
          y: '2009',
          a: 75,
          b: 65
        },
        {
          y: '2010',
          a: 50,
          b: 40
        },
        {
          y: '2011',
          a: 75,
          b: 65
        },
        {
          y: '2012',
          a: 100,
          b: 90
        }
      ],
      xkey: 'y',
      ykeys: ['a', 'b'],
      labels: ['Open', 'Closed']
    });
  }
</script>    
