<?php
    require_once "conn.php";
    $password_validation = "Minimum 8 Characters. <br>At least 1 uppercase letter.<br>At least 1 lowercase letter.<br>At least 1 numeric value.<br>At least 1 special character.";
    //echo "session".$_SESSION['user_type_for_email'];
    //$actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
    
    
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Register</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-stretch auth auth-img-bg">
        <div class="row flex-grow">
          <div class="col-lg-12 d-flex align-items-center justify-content-center bg-white ">
              <div class="auth-form-transparent text-left p-3" style="width: 90%;">
                <div class="brand-logo">
                  <img src="images/main_logo.png" alt="logo" style="height: 70px;width: 70px;">
                </div>
                <h6 class="font-weight-light pb-3">Join us today! It takes only few steps</h6>                
                <div class="d-flex flex-wrap  pb-2 center-box">                    
                    <div id="step1" class="badge badge-pill badge-outline-info">1</div>
                    <div id="step1_line" class="border-class mr-custom1 disabled-color"></div>
                    <div id="step2" class="badge badge-pill badge-outline-info disabled-color">2</div>
                    <div id="step2_line" class="border-class mr-custom1 disabled-color"></div>
                    <div id="step3" class="badge badge-pill badge-outline-info disabled-color">3</div>
                </div>
                
               
                <div id="div1">                     
                    <form class="pt-3" id="form1">
                        <div class="row">                             
                            
                            <div class="col-lg-7 col-center">
                                <div class="form-inline">
                                    <div class="form-check pb-2 pr-3">
                                      <label class="form-check-label"><b>
                                              <input type="radio" class="form-check-input" name="select_plan" id="radio_selfemployed" checked="checked" value="SELFEMPLOYED">
                                        Self Employed Plan
                                      <i class="input-helper"></i></b></label>
                                    </div>
                                    <div class="form-check pb-2 pr-3">
                                        <label class="form-check-label"><b>
                                        <input type="radio" class="form-check-input" name="select_plan" id="radio_enterprise" value="ENTERPRISE">
                                            Enterprise Plan
                                            <i class="input-helper"></i></b></label>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-7 col-center">
                                <div class="form-group" id="div_email">
                                    <label>Email</label>
                                    <div class="input-group">
                                        <div class="input-group-prepend bg-transparent">
                                          <span class="input-group-text bg-transparent border-right-0">
                                            <i class="typcn typcn-mail text-primary"></i>
                                          </span>
                                        </div>
                                        <input type="email" id = "text_email" name = "text_email" class="form-control form-control-lg border-left-0 requirefieldcls1" placeholder="Email" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Email" data-original-title="" >
                                      
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-7 col-center">
                                <div class="form-group" id="div_password">
                                    <label>Password</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-lock-closed-outline text-primary"></i>
                                        </span>
                                      </div>
                                      <input type="password" id = "text_password" name = "text_password" class="form-control form-control-lg border-left-0"  placeholder="Password" data-toggle="popover" data-trigger="focus" data-html="true" title="Password Validations" data-content="<?php echo $password_validation; ?>">                    
                                    </div>
                                </div>
                            </div>
                            
                            
                            
                            <div class="col-lg-7 col-center">
                                <div class="form-group" id="div_companyname">
                                    <label>Company Name</label>
                                    <div class="input-group">
                                      <div class="input-group-prepend bg-transparent">
                                        <span class="input-group-text bg-transparent border-right-0">
                                          <i class="typcn typcn-edit text-primary"></i>
                                        </span>
                                      </div>
                                      <input type="text" id = "text_companyname" name = "text_companyname"  class="form-control form-control-lg border-left-0 " placeholder="Company Name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Company Name" data-original-title="" >
                                    </div>
                                </div>
                            </div>
                            
                            
                            <div class="col-lg-7 col-center">
                                <div class="mb-4">
                                    <div class="form-check" id="div_agree">
                                        <label class="form-check-label text-muted">
                                          <input type="checkbox" class="form-check-input " id="chkAgree">
                                          I agree to all Terms & Conditions
                                          <i class="input-helper" id="chkAgree1"></i>
                                        </label>                                        
                                    </div>
                                </div>
                            </div> 
                            
                            <div class="col-lg-12 d-flex justify-content-center align-items-center">
                                <input type="button" class="btn btn-primary" id="cmdNext1" value="Next" >
                            </div>                            
                        </div>                            
                        <div class="text-center mt-4 font-weight-light">
                          Already have an account? <a href="index.php" class="text-primary">Login</a>
                        </div>                  
                    </form>
                </div>
                <div id="div2">  
                    <form class="pt-3" id="form2">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="d-flex1  justify-content-center align-items-center">
                                    <h3 class="font-weight-light text-center">Select Applications</h3><br>
                                    <div class="row">
                                        
                                        <div class="col-lg-12">
                                            <div class="d-flex  justify-content-center align-items-center">
                                                
                                                <div class="products">                                                    
                                                    <div class="blocks" > 
                                                        <div class="alink-cls border-class1 mb-2">                                                 
                                                            <img src="images/icons/Attendance.png" class="img-lg rounded pt-2">
                                                            <h4 class="text-center pt-3">Attendance</h4>                                                            
                                                            <input type="checkbox" class="blocks-chk" name="check_application_list[]" id="chk-attendance" value ="Attendance" style="display:none;">                                                            
                                                        </div>
                                                        <div class="text-center"></div>
                                                    </div>
                                                    
                                                    <div class="blocks"> 
                                                        <div class="alink-cls border-class1 mb-2">                                                 
                                                            <img src="images/icons/Attendance.png" class="img-lg rounded pt-2">
                                                            <h4 class="text-center pt-3">Issue Tracking</h4>                                                            
                                                            <input type="checkbox" class="blocks-chk" name="check_application_list[]" id="chk-issue-track" value ="Issue Tracking" style="display:none;">                                                            
                                                        </div>
                                                        <div class="text-center"></div>
                                                    </div>
                                                    
                                                    <div class="blocks">
                                                        <div class="alink-cls border-class1 mb-2">                                    
                                                            <img src="images/icons/TimeTracking.png" class="img-lg rounded pt-2">
                                                            <h4 class="text-center pt-3">Time Tracking</h4>                                                            
                                                            <input type="checkbox" class="blocks-chk" name="check_application_list[]" id="chk-time-tracking" value ="Time Tracking" style="display:none;">                                                            
                                                        </div>
                                                        <div class="text-center"></div>
                                                    </div>
                                                    
                                                    <div class="blocks">
                                                        <div class="alink-cls border-class1 mb-2">                                                 
                                                            <img src="images/icons/projects.png" class="img-lg rounded pt-2">
                                                            <h4 class="text-center pt-3">Projects</h4>                                                            
                                                            <input type="checkbox" class="blocks-chk" name="check_application_list[]" id="chk-projects" value ="Projects" style="display:none;">
                                                        </div>
                                                        <div class="text-center"></div>
                                                    </div>

                                                    <div class="blocks">
                                                        <div class="alink-cls border-class1 mb-2">                                                                        
                                                            <img src="images/icons/ManageUsers.png" class="img-lg rounded pt-2">
                                                            <h4 class="text-center pt-3">Expenses</h4>                                                            
                                                            <input type="checkbox" class="blocks-chk" name="check_application_list[]" id="chk-expense" value ="Expenses" style="display:none;">                                                            
                                                        </div>
                                                        <div class="text-center"></div>
                                                    </div>

                                                    <div class="blocks" id="block-invoice">
                                                        <div class="alink-cls border-class1 mb-2">                                                 
                                                            <img src="images/icons/Invoice.png" class="img-lg rounded pt-2">
                                                            <h4 class="text-center pt-3">Invoicing</h4>                                                            
                                                            <input type="checkbox" class="blocks-chk" name="check_application_list[]" id="chk-invoice" value ="Invoicing" style="display:none;">
                                                        </div>
                                                        <div class="text-center"></div>
                                                    </div>  
                                                </div>
                                                   
                                            </div>   
                                        </div>
                                        <div class="col-lg-12 d-flex justify-content-center align-items-center mt-2" >
                                            <span id="div_msg_step2"></span>         
                                        </div> 
                                    </div>
                                    
                                    <div class="col-lg-12 d-flex justify-content-center align-items-center mt-5">
                                        <input type="button" class="btn btn-primary mr-2" value="Back" id="cmdBack1" name="cmdBack1">
                                        <input type="button" class="btn btn-primary" value="Next" id="cmdNext2" name="cmdNext2">
                                    </div>  
                                    
                                </div>
                            </div>
                        </div>
                    </form>    
                </div>
                
                
                <div id="div3">
                    <div class="row">
                        
                            <div class="col-md-12 grid-margin">
                                <h3 class="font-weight-light text-center mt-3 mb-3">Select Try or Buy</h3>
                                
                                <form id="form3">
                                    <div class="d-flex  justify-content-center align-items-center mb-3">
                                        <div id="div_trybuy">
                                            <div class="blocks" id="div_try">    
                                                <div class="alink-cls border-class1  mb-2">                                                 
                                                    <img src="images/icons/ManageUsers.png" class="img-lg rounded pt-2">
                                                    <h4 class="text-center pt-3">14 Days Trial</h4>
                                                    <p class="text-center" style="display:none;">
                                                        <input type="radio" class="select-option" name="tryorbuy" value="Try" id="option_try">
                                                    </p>
                                                </div>
                                                <div class="text-center"></div>
                                            </div>

                                            <div class="blocks" id="div_buy"> 
                                                <div class="alink-cls border-class1 mb-2">                                                 
                                                    <img src="images/icons/Attendance.png" class="img-lg rounded pt-2">
                                                    <h4 class="text-center pt-3">Buy</h4>
                                                    <p class="text-center" style="display:none;">
                                                        <input type="radio" class="select-option" name="tryorbuy" value="Buy" id="option_buy">
                                                    </p>
                                                </div>
                                                <div class="text-center"></div>
                                            </div>
                                        </div>

                                        <input type="hidden" id="h_selected_plan" name="h_selected_plan" value="">
                                    </div>
                                </form>
                                
                                <div class="col-lg-12 d-flex justify-content-center align-items-center mt-2" >
                                    <span id="div_msg_step3"></span>         
                                </div> 
                                
                                <div class="d-flex flex-wrap justify-content-center align-items-center mt-2 mb-2">
                                        <input type="button" class="btn btn-primary mr-3" value="Back" id="cmdBack2" name="cmdBack2">
                                        <input type="button" class="btn btn-primary mr-3" value="Finish" id="cmdFinish" >
                                </div>
                                
                                <div class="card bg-twitter d-flex align-items-center mb-3" id="div_msg">
                                    <div class="card-body">                                    
                                        <div class="d-flex flex-row align-items-center">
                                            <i class="typcn typcn-info text-white icon-md"></i>
                                            <div class="ml-3">
                                                <h4 class="text-white">Email is on the way!</h4>
                                                <p class="mt-2 text-white card-text" id="finish_msg">Thank you for the signing up. We have sent a verification email to your registered email address (email@email.com). Please verify the sign up and activate your 14 days trial.</p>
                                            </div>
                                        </div>
                                        
                                        
                                    </div>
                                </div>
                                
                                <div class="text-center">
                                    <button class="btn btn-primary btn-sm" id="cmdFinish_Login">Login</button>
                                </div>
                            </div>
                        
                    </div> 
                </div>
            </div>
          </div>
          <!--<div class="col-lg-6 register-half-bg d-flex flex-row">
            <p class="text-white font-weight-medium text-center flex-grow align-self-end"></p>
          </div>-->
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- base:js -->
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  <script src="js/custom.js"></script>
  <!-- endinject -->  
    <script>
        jQuery(document).ready(function($) 
        {
            //$("#form1").hide();
            $("#div2").hide();
            $("#div3").hide();
            $("#div_msg").children().hide();
            $("#cmdFinish_Login").hide();
            
        });
        
       
        $("#cmdNext1").click(function()
        {
            var flag = true;
            var select_plan = $('input[name="select_plan"]:checked').val();
            form_element_correct($("#div_email"));
            form_element_correct($("#div_password"));            
            form_element_correct($("#div_companyname"));            
            form_element_correct($("#div_agree"));
            form_element_correct($("#div_msg_step2"));
            form_element_correct($("#div_msg_step3"));
            
            if($("#text_email").val()=='')
            {
                $("#div_email").addClass('error_ele mb-1');
                $("#div_email").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
                $("#text_email").focus();
                flag = false;
            }
            if($("#text_password").val()=='')
            {
                $("#div_password").addClass('error_ele mb-1');
                $("#div_password").after('<span role="alert" class="not-valid-tip">This field is required.</span>');
                $("#text_password").focus();
                flag = false;
            }            
            if(select_plan == 'ENTERPRISE' && $("#text_companyname").val()=='')
            {
                $("#div_companyname").addClass('error_ele mb-1');
                $("#div_companyname").after('<span role="alert" class="not-valid-tip">This field is required.</span>');  
                $("#text_companyname").focus();
                flag = false;
            }
            
            if($("#chkAgree").prop("checked")==false)            
            {
                $("#div_agree").addClass('error_ele');
                $("#div_agree").after('<span role="alert" class="not-valid-tip">You have to agree to the Term and Conditions.</span>');  
                $("#chkAgree").focus();
                flag = false;
            }
            
            if(flag != false)
            {
                if (!isEmail($("#text_email").val()) )
                {
                    $("#div_email").addClass('error_ele mb-1');
                    $("#div_email").after('<span role="alert" class="not-valid-tip">Please enter valid Email Address.</span>');
                    $("#text_email").focus();
                    flag = false;
                }
            }
            if(flag != false)
            {    
            
                if(!CheckPassword($("#text_password").val()))
                {
                    $("#div_password").addClass('error_ele mb-1');
                    $("#div_password").after('<span role="alert" class="not-valid-tip">Please enter valid Password.</span>');
                    $("#text_password").focus();
                    flag = false;
                }
            }
            
            if(flag != false)
            {
                $.ajax({
                    url: "ajax_login_otp.php",
                    method: "POST",
                    data: {REQUEST: 'check_user_exist', user_email:$("#text_email").val(),selected_id:''},
                    success: function (response)
                    {                  
                        if(response.succ==0)
                        {
                            $("#div_email").addClass('error_ele mb-1');
                            $("#div_email").after('<span role="alert" class="not-valid-tip">Email already exist. Please enter another email.</span>');
                            $("#text_email").focus();
                            flag=false;
                        }
                        else if(response.succ==1 && flag==true)
                        {
                            if (flag==true)
                            {
                                $("#step1_line").removeClass("disabled-color");
                                $("#step2").removeClass("disabled-color");                
                                $("#div1").hide();
                                $("#div3").hide();
                                $("#div2").show();

                                if($('input[name="select_plan"]:checked').val()=="SELFEMPLOYED")
                                {
                                    $(".blocks").each(function()
                                    {
                                        if($(this).attr("id")!="div_try"  &&  $(this).attr("id")!="div_buy")
                                        {
                                            $(this).children(":first").addClass("border-class2");
                                            $(this).addClass("disabledbutton");        
                                            $(this).children(":last").html("Included");
                                        }    
                                    });
                                    $(".blocks-chk").each(function()
                                    {
                                        $(this).prop("checked",true);
                                    });

                                }
                                else if($('input[name="select_plan"]:checked').val()=="ENTERPRISE")
                                {

                                    $(".blocks").each(function()
                                    {
                                        $("#block-invoice").hide();

                                        if($(this).attr("id")!="block-invoice" && $(this).attr("id")!="div_try"  &&  $(this).attr("id")!="div_buy")
                                        {
                                            if($(this).children(":first").hasClass("border-class2"))
                                            {
                                                $(this).children(":first").removeClass("border-class2")
                                            }
                                            if($(this).hasClass("disabledbutton"))
                                            {
                                                $(this).removeClass("disabledbutton");
                                            }    
                                            $(this).children(":last").html("");
                                        }    
                                    });
                                    $(".blocks-chk").each(function()
                                    {
                                        $(this).prop("checked",false);                        
                                    });
                                }
                            }
                        }
                    }
                });
            }
            
            
            
        });
        
        $("#cmdNext2").click(function()
        {
            form_element_correct($("#div_msg_step2"));
            
            var IsApprove = "N";
            $(".blocks-chk").each(function()
            {
                //if($(this).is(':checked'))
                //if($(this).prop('checked')==true)
                var currentid = $(this).attr("id");                
               // if ($("#"+currentid).is(":checked"))
                if($("#"+currentid). prop("checked") == true)
                {
                    IsApprove="Y";
                    return false;
                }
            });
            
            if(IsApprove=="N")
            {
                $("#div_msg_step2").addClass('error_ele mb-1');
                $("#div_msg_step2").after('<span role="alert" class="not-valid-tip">At least one application is required.</span>');
                $("#div_msg_step2").focus();
                return false;
            }
            if(IsApprove=="Y")
            {
                $("#step2_line").removeClass("disabled-color");
                $("#step3").removeClass("disabled-color");
                $("#div1").hide();
                $("#div2").hide();
                $("#div3").show();
            }
            
        });
        $("#cmdBack1").click(function()
        {
            $("#step1_line").addClass("disabled-color");
            $("#step2").addClass("disabled-color");
            $("#div1").show();
            $("#div2").hide();
            $("#div3").hide();
        });
        
        
        $("#cmdBack2").click(function()
        {
            $("#step2_line").addClass("disabled-color");
            $("#step3").addClass("disabled-color");
            $("#div1").hide();
            $("#div2").show();
            $("#div3").hide();
        });
        
        $(".blocks").click(function()
        {
            
            var selected_text = "";
            if($('input[name="select_plan"]:checked').val()=="SELFEMPLOYED")
            {
                selected_text = "Included";
            }
            else if ($('input[name="select_plan"]:checked').val()=="ENTERPRISE")
            {
                selected_text = "Selected";
            }
            
            if($(this).attr("id")!="div_try"  &&  $(this).attr("id")!="div_buy")
            {
                $(this).children(":first").toggleClass("border-class2");  
                if($(this).children(":first").hasClass("border-class2"))
                {
                    var select_checkbox = $(this).children(":first").children(":last").attr("id");                   
                    $("#"+select_checkbox).prop( "checked", true );                    
                    $(this).children(":last").html(selected_text);
                    form_element_correct($("#div_msg_step2"));
                }    
                else
                {
                    var select_checkbox = $(this).children(":first").children(":last").attr("id");                   
                    $("#"+select_checkbox).prop( "checked", false);
                    $(this).children(":last").html("");
                }
            }
            else if($(this).attr("id")=="div_try"  ||  $(this).attr("id")=="div_buy")
            {
                form_element_correct($("#div_msg_step3"));
                if($(this).attr("id")=="div_try" )
                {
                    $(this).children(":first").addClass("border-class2");  
                    $("#div_buy").children(":first").removeClass("border-class2");  
                    $("#option_try"). prop("checked", true);
                }
                else if($(this).attr("id")=="div_buy" )
                {
                    $(this).children(":first").addClass("border-class2");  
                    $("#div_try").children(":first").removeClass("border-class2");  
                    $("#option_buy").prop("checked", true);
                }
                
                var finish_msg = "";
                var selectOption = $('input[name="tryorbuy"]:checked').val();                
                if(selectOption=="try")
                {
                    $("#cmdFinish").text("Finish");
                    finish_msg = "Thank you for the signing up. We have sent a verification email to your registered email address - "+ $("#text_email").val() +". Please verify the sign up and activate your 14 days trial.";
                }
                else if(selectOption=="buy")
                {
                    $("#cmdFinish").text("ProceedToPayment");
                    finish_msg = "Thank you for the signing up. We have sent a verification email to your registered email address - "+ $("#text_email").val() +". Please verify the sign up and activate your buy product.";
                }
                $("#finish_msg").text(finish_msg);
                $("#h_selected_plan").val(selectOption);   
            }
        });
        
        
        $("#cmdFinish").click(function()
        {
            form_element_correct($("#div_msg_step3"));
            if($("#h_selected_plan").val()=='')
            {
                $("#div_msg_step3").addClass('error_ele mb-1');
                $("#div_msg_step3").after('<span role="alert" class="not-valid-tip">Select Buy or Try.</span>');
                $("#div_msg_step3").focus();
                return false;
            }
            
            if($("#h_selected_plan").val()!='')
            {
                var arr_list = get_current_timezone();
                currTz = arr_list[0];
                curTime = arr_list[1];
                
                var formdata1 = $("#form1").serialize();
                var formdata2 = $("#form2").serialize();
                var formdata3 = $("#form3").serialize();

                $.ajax({
                    url: "ajax1.php",
                    method: "POST",
                    data: {REQUEST: 'register_user', form1: formdata1,form2: formdata2,form3: formdata3,currTz:currTz,curTime:curTime},
                    success: function (response)
                    {
                        //console.log(response);
                        $("#div_msg").children().show();
                        $("#cmdFinish_Login").show();
                        $("#cmdBack2").attr("disabled",true);
                        $("#cmdFinish").attr("disabled",true);
                    }
                });
            }
        });
        
        $("#cmdFinish_Login").click(function()
        {
            window.location.href = "index.php";
        });
    </script>
</body>

</html>
