<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
if(isset($_REQUEST['p']) && $_REQUEST['p']=="true"){
	$attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
	if($attendance_flag!="Y"){
		header("location:".SITEURL."dashboard/");
	}
}

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");

$report_title = "Employee Schedules Utilization Report";

?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | <?php echo $report_title; ?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<style>
#table1 td 
{
    vertical-align: top;
}

#table1 td{ height: 35px !important; };
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Attendance Tracking</li>
										<li class="breadcrumb-item" aria-current="page"><a href="<?php echo SITEURL."attendance-tracking/reports/"; ?>">Reports</a></li>
                                        <li class="breadcrumb-item active" aria-current="page"><?php echo $report_title; ?></li>
									</ol>
								</nav>
								<div class="border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
											<h4 class="card-title mb-3"><?php echo $report_title; ?></h4>
									</div>
									<div class="row">
										<div class="col-md-12">
											<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">                                                                                
												<div class="row">
													<div class="col-md-2">
														<div class="form-group">
															<label>Employee Name</label>
															<select class="js-example-basic-single form-control srch_dd" name="search_employee_user_id" id="search_employee_user_id">
																	<option value="">--Select All--</option>
																	<?php
																	if($_SESSION['login_user_array']['user_role']=="Admin")
																	{
																		$qry = "select * from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."' order by full_name ";
																	}
																	else
																	{
																		if(isset($_REQUEST['p']) && $_REQUEST['p']=="true"){
																			$qry = "SELECT * FROM `cxs_user` WHERE user_id IN (SELECT member_userid FROM `cxs_projects_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='".$_SESSION['login_user_array']['user_id']."' AND pm.company_id = '".$_SESSION['login_user_array']['company_id']."')) AND company_id = '".$_SESSION['login_user_array']['company_id']."' order by full_name ";
																		}else{
																			$supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");                            
																			$qry = "select * from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.employee_id = '".$supervisor_id."'  or cxs_employee.supervisor_id = '".$supervisor_id."') order by full_name ";
																		}
																	}
																	
																	$selectQuery 	= $qry;/*"SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";*/
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if($StdNumRows>0)
																	{
																		while($rows=mysqli_fetch_assoc($RunUserQuery))
																		{
																			$user_id 	= $rows["user_id"];                                                                                                           
																			$full_name 	= $rows["full_name"];
																		?>
																		<option value="<?php echo $user_id; ?>"><?php echo stripslashes($full_name); ?></option>
																		<?php
																		}
																	}
																	?>
															</select>
															<span class = "not-valid-tip" id="emp_msg"></span>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Date - From</label>
															<div id="datepicker-popup" class="input-group date datepicker">
																<input type="text" class="form-control srch_txt" name="text_fromdate" id="text_fromdate" value="<?php echo $text_search_from_default; ?>" autocomplete="off">
																<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
															</div>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Date - To</label>
															<div id="datepicker-popup2" class="input-group date datepicker">
																<input type="text" class="form-control srch_txt" name="text_todate" id="text_todate" value="<?php echo $text_search_to_default; ?>" autocomplete="off">
																<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
															</div>
														</div>
													</div>

													
													<div class="col-md-2">
														<div class="form-group pt-3">
															<button type="button" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
														</div>
													</div>
												</div>
												<div class="row">                                                                                          
													<div class="table-responsive">

														<table class="table table-bordered" id="table1">
															<thead style="display: none;">
																<tr class="table-info">
																	<th>Calendar Date</th>
																	<th>Employee Schedule</th>
																	<th>Actual Shift</th>
																	<th>Status</th>                                                                                                    
																	<th>Shift Difference</th>
																	<th>Supervisor Comment</th>
																	<th>Supervisor Comment</th>
																</tr>
															</thead>
															<tbody>


															</tbody>
														</table>
													</div>                                                                                
												</div>    
											</div>    
											</form>
										</div>
									</div>
<!--									<div class="loading-div" style="display:none;">
										<img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
									</div>-->
									<div id="results" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
        <?php require_once 'email_popup.php';?>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<!-- endinject -->
<script type="text/javascript">
$(document).ready(function() 
{
	// $('.datepicker').datepicker({
	// 	format: "mm/dd/yyyy",
	// 	enableOnReadonly: true,
	// 	todayHighlight: true,
	// 	autoclose: true,
	// 	orientation: "bottom"
	// });
    setDatePicker('#text_fromdate','#text_todate');	        
});     


$("#cmdSearchRecord").click(function()
{
    if ( $.fn.DataTable.isDataTable('#table1') ) 
    {
        $('#table1').DataTable().destroy();
    }
    $('#table1 tbody').empty();   
       /* 
    flag = 1;   
    if(flag==1)
    {
        getReportData();       
    }
    */
    
    if($("#text_fromdate").val()!='' && $("#text_todate").val()!='')
    {
        $.ajax({
         url: SITEURL+"aj/timeoff/",
         method: "POST",
         data: {REQUEST: 'check_date_validation',text_fromdate:$("#text_fromdate").val(),text_todate:$("#text_todate").val()},
         beforeSend: function() 
         {
                 $(".rploader").fadeIn(800);
         },
         success: function (response)
         {  
             setTimeout(function()
             {
                 $(".rploader").fadeOut(800);
                 if(response.succ==0)
                 {
                     flag = 0;
                     alert(response.msg);
                     /*$("#text_todate").val("");*/
                     $("#text_todate").focus();
                 }
                 else
                 {
                     getReportData();
                 }
             },1000);   
         }
         });
    }
});
/*********************************/
function getReportData()
{
    var selected_user_id = $("#search_employee_user_id").val();
    var text_fromdate = $("#text_fromdate").val();
    var text_todate = $("#text_todate").val();
    
    $.ajax({
		url: SITEURL+"aj/attendance-tracking/3/",
		method: "POST",
		data: {REQUEST: 'get_emp_schedule_utilization',selected_user_id:selected_user_id,text_fromdate:text_fromdate, text_todate:text_todate,p:"<?php echo (isset($_REQUEST['p']) && $_REQUEST['p']=="true")?"true":"" ?>"},
		beforeSend: function(){
			/*$(".loading-div").fadeIn(800);*/
                        $(".rploader").fadeIn(800);
		},
		success: function (response)
		{  
			setTimeout(function()
			{
				/*$(".loading-div").hide();
                                 console.log(response); 
                                 * */
				$(".rploader").fadeOut(800);
				
				if(response.succ==1)
				{
					if (!jQuery.isEmptyObject(response.data))
					{
						$.each( response.data, function( key, value ) 
						{
							if(value.full_name!=undefined)
							{
								AddHeadingRow(value);
							}
							/*else if(value.Total_RegularTimeHours!=undefined)
							{
								AddLastRow(value);
							}*/
							else
							{
								Addrow(value);
							}
						});
						setTitle();
					}
				}
				/*dataTableForReportGroup("table1");
				$("#table1_filter").hide();                           */


				
				var tablename = "table1";
				
				if ($.fn.DataTable.isDataTable("#"+tablename)) 
				{
					$('#'+tablename).DataTable().clear().destroy();
				}
				var table = $('#'+tablename).DataTable(
				{    
				 "ordering": false,
				 "searching": false,
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
						{
							extend:'excel',
							exportOptions: 
							{
								columns: [0,1,2,3,4,6] 
							}
						},
						{
							extend: 'pdf',
							orientation: 'landscape',
							pageSize: 'LEGAL',
							exportOptions: 
							{
								stripNewlines: false,
								columns: [0,1,2,3,4,6] 
							},
							
							customize : function(doc) {
								doc.content[1].table.widths = [ '10%', '18%', '18%',  '18%', '18%', '18%'];
							}
							
							
							
						},
						
					   {
									text: 'Email',
									action: function ( e, dt, node, config ) 
									{
									//$("#modal_email").show(); 
									show_emaimodal();
									}
						}
						]]
				}); 


					table.
						order([])            
						.draw();
					var length = table.page.info().recordsTotal;
					return (length);



			},500);
		}
	});        
}
function AddHeadingRow(value)
{ 
    td1 = '<td  colspan="8"  align="center" style=" border-right-width: 0;" > <div class="d-flex1">'+
           '<div class="badge"><img class="img-sm rounded-circle  mr-2 " src= "'+value.image_name+'"  alt="profile image"></div>'+
           '<div class="badge"><div class="font-weight-bold mt-2">'+value.full_name+'</div></div>'+
           '</div></td>';
   td2 = '<td style="display: none"></td>';
   td3 = '<td style=" display: none;"></td>';
   td4 = '<td style=" display: none;"></td>';
   td5 = '<td style=" display: none;"></td>';
   td6 = '<td style=" display: none;"></td>';   
   td7 = '<td style=" display: none;"></td>';   
   
   tr = '<tr>'+td1+td2+td3+td4+td5+td6+td7+'</tr>';   
   $("#table1").append(tr);


   td1 = '<td class="font-weight-bold pt-2 pb-2">Calendar Date</td>';
   td2 = '<td class="font-weight-bold pt-2 pb-2">Employee Schedule</td>';
   td3 = '<td class="font-weight-bold pt-2 pb-2">Actual Shift</td>';
   td4 = '<td class="font-weight-bold pt-2 pb-2">Status</td>';
   td5 = '<td class="font-weight-bold pt-2 pb-2">Shift Difference</td>';   
   td6 = '<td class="font-weight-bold pt-2 pb-2 notexport">Supervisor Comment</td>';
   td7 = '<td class="font-weight-bold pt-2 pb-2 notexport" style=" display: none;" >Supervisor Comment</td>';
   tr = '<tr class="table-info ">'+td1+td2+td3+td4+td5+td6+td7+'</tr>';
   $("#table1").append(tr);
}

function Addrow(value)
{
    var rowCount = $('#table1 tbody tr').length; 
    rowCount++;  
    
    td1 = '<td class="pl-0 pr-0 print"><table class="table table-bordered table-striped"><tr><td><div class="d-sm-flex justify-content-between pt-1" ><div class="badge">'+value.calendar_date+'</div></div></td></tr></table></td>';  
    
    td2 = '<td class="pl-0 pr-0 print">'+
            '<table class="table table-bordered table-striped">'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Regular Clock Start : </div><div class="badge" >'+(value.schedule_clocktime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_clocktime_start)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Regular Clock Finish : </div><div class="badge" >'+(value.schedule_clocktime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_clocktime_end)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Break Start : </div><div class="badge" >'+(value.schedule_breaktime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_breaktime_start)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Break Finish : </div><div class="badge" >'+(value.schedule_breaktime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_breaktime_end)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Meal Start : </div><div class="badge" >'+(value.schedule_mealtime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_mealtime_start)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Meal Finish : </div><div class="badge" >'+(value.schedule_mealtime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_mealtime_end)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Overtime Start : </div><div class="badge" >'+(value.schedule_overtime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_overtime_start)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Overtime Finish : </div><div class="badge" >'+(value.schedule_overtime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.schedule_overtime_end)+'</div></div></td></tr>\n'+
            '</table>';
           '</td>';
   
    td3 = '<td class="pl-0 pr-0 print" >'+        
            '<table class="table table-bordered table-striped">';
        if(typeof value.actual_category_timeoff !== "undefined")
        {
            td3 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Timeoff Start : </div><div class="badge" >'+(value.actual_timeoff_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_timeoff_start)+'</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Timeoff Finish : </div><div class="badge" >'+(value.actual_timeoff_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_timeoff_end)+'</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';
                    
        }
        else
        {
            td3 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Regular Clock Start : </div><div class="badge" >'+(value.actual_clocktime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_clocktime_start)+'</div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Regular Clock Finish : </div><div class="badge" >'+(value.actual_clocktime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_clocktime_end)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Break Start : </div><div class="badge" >'+(value.actual_breaktime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_breaktime_start)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Break Finish : </div><div class="badge" >'+(value.actual_breaktime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_breaktime_end)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Meal Start : </div><div class="badge" >'+(value.actual_mealtime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_mealtime_start)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Meal Finish : </div><div class="badge" >'+(value.actual_mealtime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_mealtime_end)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Overtime Start : </div><div class="badge" >'+(value.actual_overtime_start=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_overtime_start)+'</div></div></td></tr>\n'+
            '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Overtime Finish : </div><div class="badge" >'+(value.actual_overtime_end=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_overtime_end)+'</div></div></td></tr>\n';
        }
            
        td3 +=  '</table>'+
           '</td>';    
    
    td4 = '<td class="pl-0 pr-0 print">'+        
            '<table class="table table-bordered table-striped">';
        if(typeof value.actual_category_timeoff !== "undefined")
        {
            td4 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Timeoff Start : </div><div class="badge" >'+(value.actual_timeoff_status=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_timeoff_status)+'</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >Timeoff Finish : </div><div class="badge" >'+(value.actual_timeoffstatus_by=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_timeoffstatus_by)+'</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';
        }
        else
        {
            td4 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >'+(value.actual_clockstatus=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_clockstatus)+(value.actual_clockstatus_by=== undefined ? '&nbsp;&nbsp;&nbsp;' : '&nbsp; By &nbsp;'+value.actual_clockstatus_by)+'</div></div></td></tr>\n'+'<tr><td></td></tr>\n'+'<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >'+(value.actual_breakstatus=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_breakstatus)+(value.actual_breakstatus_by=== undefined ? '&nbsp;&nbsp;&nbsp;' : '&nbsp; By &nbsp;'+value.actual_breakstatus_by)+'</div></div></td></tr>\n'+'<tr><td></td></tr>\n'+'<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >'+(value.actual_mealstatus=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_mealstatus)+(value.actual_mealstatus_by=== undefined ? '&nbsp;&nbsp;&nbsp;' : '&nbsp; By &nbsp;'+value.actual_mealstatus_by)+'</div></div></td></tr>\n'+'<tr><td></td></tr>\n'+'<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold" >'+(value.actual_overtimestatus=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.actual_overtimestatus)+(value.actual_overtimestatus_by=== undefined ? '&nbsp;&nbsp;&nbsp;' : '&nbsp; By &nbsp;'+value.actual_overtimestatus_by)+'</div></div></td></tr>\n'+'<tr><td></td></tr>\n';
        }
            
        td4 +=  '</table>'+
           '</td>';
   
    td5 = '<td class="pl-0 pr-0 print">'+
            '<table class="table table-bordered table-striped">'+
            '<tr class="printabled"><td class="print"><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_clock_start_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_clock_start_difference)+'</div></div></td></tr>\n'+
            '<tr class="printabled"><td class="print"><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_clock_end_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_clock_end_difference)+'</div></div></td></tr>\n'+
            '<tr class="printabled"><td class="print"><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_break_start_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_break_start_difference)+'</div></div></td></tr>\n'+
            '<tr class="printabled"><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_break_end_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_break_end_difference)+'</div></div></td></tr>\n'+
            '<tr class="printabled"><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_meal_start_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_meal_start_difference)+'</div></div></td></tr>\n'+
            '<tr class="printabled"><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_meal_end_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_meal_end_difference)+'</div></div></td></tr>\n'+
            '<tr class="printabled"><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_overtime_start_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_overtime_start_difference)+'</div></div></td></tr>\n'+
            '<tr class="printabled"><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+(value.shift_overtime_end_difference=== undefined ? '&nbsp;&nbsp;&nbsp;' : value.shift_overtime_end_difference)+'</div></div></td></tr>\n'+
            '</table>';
           '</td>';
    
    
    
    
    td6 = '<td class="pl-0 pr-0">'+        
            '<table class="table table-bordered table-striped">';
        if(typeof value.actual_timeoffstatus_comment !== "undefined")
        {
            var comment = "";
            comment = (value.actual_timeoffstatus_comment=== undefined) ? '' : value.actual_timeoffstatus_comment;   
            if(comment=='')
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>';                
            }
            else
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" ><button type="button" class="btn btn-default ml-0 p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button></div></div></td></tr>';                
            }
            td6 += '<tr><td ><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></td></tr>'+
                     '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>';
                    
        }
        else
        {

            var comment = "";
            comment = (value.actual_clockstatus_comment=== undefined) ? '' : value.actual_clockstatus_comment;   
            if(comment=='')
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>';                
            }
            else
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" ><button type="button" class="btn btn-default ml-0 p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button></div></div></td></tr>';                
            }
            td6 += '<tr><td ><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></td></tr>';            
            
            
            comment = (value.actual_breakstatus_comment=== undefined) ? '' : value.actual_breakstatus_comment;
            if(comment=='')
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>';                
            }
            else
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" ><button type="button" class="btn btn-default ml-0 p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button></div></div></td></tr>';
            }
            td6 +='<tr ><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></div></td></tr>';
            
            
            comment = (value.actual_mealstatus_comment=== undefined) ? '' : value.actual_mealstatus_comment;  
            
            if(comment=='')
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>';                
            }
            else
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" ><button type="button" class="btn btn-default ml-0 p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button></div></div></td></tr>';
            }
            td6 +='<tr ><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></div></td></tr>';
            
            comment = (value.actual_overtimestatus_comment=== undefined) ? '' : value.actual_overtimestatus_comment;
            
            if(comment=='')
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>';                
            }
            else
            {
                td6 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" ><button type="button" class="btn btn-default ml-0 p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button></div></div></td></tr>';
            }
            td6 +='<tr ><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></div></td></tr>';
        }
            
        td6 +=  '</table>'+
           '</td>';
    
    
    
    
        td7 = '<td class="pl-0 pr-0" style=" display: none;">'+        
            '<table class="table table-bordered table-striped">';
        if(typeof value.actual_timeoffstatus_comment !== "undefined")
        {
            var comment = "";
            comment = (value.actual_timeoffstatus_comment=== undefined) ? '' : value.actual_timeoffstatus_comment;   
            if(comment=='')
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';                
            }
            else
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+comment+'</div></div></td></tr>\n';                
            }
            td7 += '<tr><td ><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></td></tr>\n'+
                     '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n'+
                    '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';
                    
        }
        else
        {

            var comment = "";
            comment = (value.actual_clockstatus_comment=== undefined) ? '' : value.actual_clockstatus_comment;   
            if(comment=='')
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';                
            }
            else
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+comment+'</div></div></td></tr>\n';                
            }
            td7 += '<tr><td ><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></td></tr>\n';            
            
            
            comment = (value.actual_breakstatus_comment=== undefined) ? '' : value.actual_breakstatus_comment;
            if(comment=='')
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';
            }
            else
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+comment+'</div></div></td></tr>\n';
            }
            td7 +='<tr ><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></div></td></tr>\n';
            
            
            comment = (value.actual_mealstatus_comment=== undefined) ? '' : value.actual_mealstatus_comment;  
            
            if(comment=='')
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';                
            }
            else
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+comment+'</div></div></td></tr>\n';
            }
            td7 +='<tr ><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></div></td></tr>\n';
            
            comment = (value.actual_overtimestatus_comment=== undefined) ? '' : value.actual_overtimestatus_comment;
            
            if(comment=='')
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div></div></td></tr>\n';                
            }
            else
            {
                td7 += '<tr><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >'+comment+'</div></div></td></tr>\n';
            }
            td7 +='<tr ><td><div class="d-sm-flex justify-content-between pt-1"><div class="badge" >&nbsp;&nbsp;</div></div></td></tr>\n';
        }
            
        td7 +=  '</table>'+
           '</td>';
       
           
    tr = '<tr class="printabled">'+td1+td2+td3+td4+td5+td6+td7+'</tr>';
    
    $("#table1").append(tr);
}

function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
} 


//$('#table1').DataTable().buttons(0,0).trigger();
</script>
</body>
</html>
