<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
$employee_id 	= 0;

$user_role = $_SESSION['login_user_array']['user_role'];

if(isset($_REQUEST['p']) && $_REQUEST['p']=="true")
{
	$attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
	if($attendance_flag!="Y"){
		header("location:".SITEURL."dashboard/");
	}
}
if($user_role=='Manager')
{
    $employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
}

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");

$selected_category = isset($_GET['catg'])?$_GET['catg']:'';
$report_title = "";
if($selected_category=="reg")
{
    $report_title = "Daily Regular Time Report";
}
else if($selected_category=="break")
{
    $report_title = "Daily Break Time Report";
}
else if($selected_category=="meal")
{
    $report_title = "Daily Meal Time Report";
}
else if($selected_category=="ot")
{
    $report_title = "Daily Overtime Report";
}
else if($selected_category=="leave")
{
    $report_title = "Leave Usage Report";
}
else if($selected_category=="missed")
{
    $report_title = "Missed Time Cards Report";
}
else if($selected_category=="all")
{
    $report_title = "Daily Time Card Report";
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | <?php echo $report_title; ?></title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>

</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Attendance Tracking</li>
										<li class="breadcrumb-item" aria-current="page"><a href="<?php echo SITEURL."attendance-tracking/reports/"; ?>">Reports</a></li>
                                        <li class="breadcrumb-item active" aria-current="page"><?php echo $report_title; ?></li>
									</ol>
								</nav>
								<div class="border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
											<h4 class="card-title mb-3"><?php echo $report_title; ?></h4>
									</div>
									<div class="row">
										<div class="col-md-12">
											<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
												<input type="hidden" id="h_catg" value="<?php echo $selected_category; ?>">
												<div class="row">
													<div class="col-md-2">
														<div class="form-group">
															<label>Employee Name</label>
															<select class="js-example-basic-single form-control srch_dd" name="search_employee_user_id" id="search_employee_user_id">
																	<option value="">--Select All--</option>
																	<?php
																	if($_SESSION['login_user_array']['user_role']=="Admin")
																	{
																		$qry = "select * from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."' order by full_name ";
																	}
																	else
																	{
																		if(isset($_REQUEST['p']) && $_REQUEST['p']=="true"){
																			$qry = "SELECT * FROM `cxs_user` WHERE user_id IN (SELECT member_userid FROM `cxs_projects_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='".$_SESSION['login_user_array']['user_id']."' AND pm.company_id = '".$_SESSION['login_user_array']['company_id']."')) AND company_id = '".$_SESSION['login_user_array']['company_id']."' order by full_name ";
																		}else{
																			$supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");                            
																			$qry = "select * from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.employee_id = '".$supervisor_id."'  or cxs_employee.supervisor_id = '".$supervisor_id."') order by full_name ";
																		}
																	}
																	
																	$selectQuery 	= $qry;/*"SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";*/
																	$RunUserQuery	= mysqli_query($conn, $selectQuery);
																	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																	if($StdNumRows>0)
																	{
																		while($rows=mysqli_fetch_assoc($RunUserQuery)){
																			$user_id 	= $rows["user_id"];                                                                                                           
																			$full_name 	= $rows["full_name"];
																		?>
																		<option value="<?php echo $user_id; ?>"><?php echo stripslashes($full_name); ?></option>
																		<?php
																		}
																	}
																	?>
															</select>
															<span class = "not-valid-tip" id="emp_msg"></span>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Date - From</label>
															<div id="datepicker-popup" class="input-group date datepicker">
																<input type="text" class="form-control srch_txt" name="text_fromdate" id="text_fromdate" value="<?php echo $text_search_from_default; ?>">
																<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
															</div>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Date - To</label>
															<div id="datepicker-popup2" class="input-group date datepicker">
																<input type="text" class="form-control srch_txt" name="text_todate" id="text_todate" value="<?php echo $text_search_to_default; ?>">
																<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
															</div>
														</div>
													</div>

													<div class="col-md-2" style="display: none;">
														<div class="form-group">
															<label>Time Category</label>
															<select class="js-example-basic-single form-control srch_dd" name="combo_time_category" id="combo_time_category">                                                                                                
																<?php
																	if($selected_category=="all")
																	{
																		echo '<option value="All">All Types</option>';
																	}
																	else if($selected_category=="reg")
																	{
																		echo '<option value="Regular">Regular</option>';
																	}
																	else if($selected_category=="break")
																	{
																		echo '<option value="Break">Break</option>';
																	}
																	else if($selected_category=="meal")
																	{
																		echo '<option value="Meal">Meal</option>';
																	}
																	else if($selected_category=="ot")
																	{
																		echo '<option value="ot">Overtime</option>';
																	}
																	else if($selected_category=="leave")
																	{
																		echo '<option value="Leave">Leave/PTO</option>';
																	}
																	else if($selected_category=="missed")
																	{
																		echo '<option value="Missed">Missed Attendance</option>';
																	}
																
																?>
																
															</select>
															<span class = "not-valid-tip" id="emp_msg"></span>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group pt-3">
															<button type="button" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
														</div>
													</div>
												</div>
												<div class="row">
													<?php if($selected_category=="all"  || $selected_category=="missed")
													{?>
														<div class="col-md-12 col-center">
													<?php }
													else { //if($selected_category=="all")                                                                                    
													?>
														<div class="col-md-6 col-center">
												<?php } ?>        
												
                                                                                                                    <div id="result_data">
                                                                                                                        
                                                                                                                        
                                                                                                                        
                                                                                                                        
                                                                                                                        
                                                                                                                    </div>
													</div>    
												</div>    
											</form>
										</div>
									</div>
									<div id="results" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
        <?php require_once 'email_popup.php';?>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<!-- endinject -->
<script type="text/javascript">
$(document).ready(function() 
{
	// $('.datepicker').datepicker({
	// 	format: "mm/dd/yyyy",
	// 	enableOnReadonly: true,
	// 	todayHighlight: true,
	// 	autoclose: true,
	// 	orientation: "bottom"
	// });

    setDatePicker('#text_fromdate','#text_todate');	

    var selected_catg = $("#h_catg").val();
    if(selected_catg=="all")
    {
        $("#combo_time_category").val('All');
    }
    else if(selected_catg=="reg")        
    {
        $("#combo_time_category").val('Regular');
    }
    else if(selected_catg=="meal")
    {
        $("#combo_time_category").val('Meal');
    }
    else if(selected_catg=="break")
    {
        $("#combo_time_category").val('Break');
    }
    else if(selected_catg=="ot")
    {
        $("#combo_time_category").val('ot');
    }
    else if(selected_catg=="leave")
    {
        $("#combo_time_category").val('Leave');
    }
    else if(selected_catg=="missed")
    {
        $("#combo_time_category").val('Missed');
    }
    $('#combo_time_category').select2();
});     


$("#cmdSearchRecord").click(function()
{
   /*  if ( $.fn.DataTable.isDataTable('#table_attendance') ) 
        {
            $('#table_attendance').DataTable().destroy();
        }
        $('#table_attendance tbody').empty();   
        
    flag = 1;
   
    if(flag==1)
    {
        getReportData();
       
    }*/
        
    if($("#text_fromdate").val()!='' && $("#text_todate").val()!='')
    {
        $.ajax({
         url: SITEURL+"aj/timeoff/",
         method: "POST",
         data: {REQUEST: 'check_date_validation',text_fromdate:$("#text_fromdate").val(),text_todate:$("#text_todate").val()},
         beforeSend: function() 
         {
                 $(".rploader").fadeIn(800);
         },
         success: function (response)
         {  
             setTimeout(function()
             {
                 $(".rploader").fadeOut(800);
                 if(response.succ==0)
                 {
                     flag = 0;
                     alert(response.msg);
                     /*$("#text_todate").val("");*/
                     $("#text_todate").focus();
                 }
                 else
                 {
                     getReportData();
                 }
             },1000);   
         }
         });
    }
});
/*********************************/
function getReportData()
{
    var selected_user_id = $("#search_employee_user_id").val();
    var text_fromdate = $("#text_fromdate").val();
    var text_todate = $("#text_todate").val();
    var selected_category = $("#combo_time_category").val();
    if(selected_category=="Regular")
    {
        selected_category = "clock";
    }
    else if(selected_category=="Leave")
    {
        selected_category = "time_off";
    }
    $.ajax({
		url: SITEURL+"aj/attendance-tracking/3/",
		method: "POST",
		data: {REQUEST: 'get_attendance_data_new',selected_user_id:selected_user_id,text_fromdate:text_fromdate, text_todate:text_todate,selected_category:selected_category,p:"<?php echo (isset($_REQUEST['p']) && $_REQUEST['p']=="true")?"true":"" ?>",is_html:true},
		beforeSend: function(){
			/*$(".loading-div").fadeIn(800);*/
                        $(".rploader").fadeIn(800);
		},
		success: function (response)
		{  
			setTimeout(function()
			{
                            /*$(".loading-div").hide();*/
                            $(".rploader").fadeOut(800);
                            $("#result_data").html(response);
                            
                            dataTableForReportGroup("table_attendance");
                            $("#table_attendance_filter").hide(); 
                            $('[data-toggle="popover"]').popover();
                        },500);
		}
	});    

    
    /*$.ajax({
		url: "ajax3.php",
		method: "POST",
		data: {REQUEST: 'get_attendance_data',selected_user_id:selected_user_id,text_fromdate:text_fromdate, text_todate:text_todate,selected_category:selected_category,p:"<?php echo (isset($_REQUEST['p']) && $_REQUEST['p']=="true")?"true":"" ?>"},
		beforeSend: function(){
			$(".loading-div").fadeIn(800);
		},
		success: function (response)
		{  
			setTimeout(function()
			{
				$(".loading-div").hide();
				
				console.log(response);
				if(response.succ==1)
				{
					if (!jQuery.isEmptyObject(response.data))
					{
						$.each( response.data, function( key, value ) 
						{
							if(value.full_name!=undefined)
							{
								AddHeadingRow(value);
							}
							else if(value.Total_RegularTimeHours!=undefined)
							{
								AddLastRow(value);
							}
							else
							{
								Addrow(value);
							}
						});
					}
				}
				//dataTableForReportGroup("table_attendance");
				dataTableForReportGroup("table_attendance");
				$("#table_attendance_filter").hide();  
				 
				
				
			},500);
		}
	});   */     
}
function AddHeadingRow(value)
{ 
    var selected_catg = $("#h_catg").val();
    if(selected_catg=="all" || selected_catg=="missed")
    {
         td1 = '<td  colspan="8"  align="center" style=" border-right-width: 0;" > <div class="d-flex1">'+
                '<div class="badge"><img class="img-sm rounded-circle  mr-2 " src= "'+value.image_name+'"  alt="profile image"></div>'+
                '<div class="badge"><div class="font-weight-bold mt-2">'+value.full_name+'</div></div>'+
                '</div></td>';
        td2 = '<td style="display: none"></td>';
        td3 = '<td style=" display: none;"></td>';
        td4 = '<td style=" display: none;"></td>';
        td5 = '<td style=" display: none;"></td>';
        td6 = '<td style=" display: none;"></td>';
        td7 = '<td style=" display: none;"></td>';
        td8 = '<td style=" display: none;"></td>';

        tr = '<tr>'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';   
        $("#table_attendance").append(tr);
        
        
        td1 = '<td class="font-weight-bold pt-2 pb-2">Calendar Date</td>';
        td2 = '<td class="font-weight-bold pt-2 pb-2">Clock Time</td>';
        td3 = '<td class="font-weight-bold pt-2 pb-2">Break Time</td>';
        td4 = '<td class="font-weight-bold pt-2 pb-2">Meal Time</td>';
        td5 = '<td class="font-weight-bold pt-2 pb-2">Overtime</td>';
        td6 = '<td class="font-weight-bold pt-2 pb-2">Time off</td>';
        td7 = '<td class="font-weight-bold pt-2 pb-2">Time Off Comment</td>';
        td8 = '<td class="font-weight-bold pt-2 pb-2">Project Task</tr>';    
        tr = '<tr class="table-info ">'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';
        $("#table_attendance").append(tr);
    }
    else if(selected_catg=="reg" || selected_catg=="meal" || selected_catg=="break" || selected_catg=="ot")
    {
        td1 = '<td  colspan="2"  align="center" style=" border-right-width: 0;" > <div class="d-flex1">'+
        '<div class="badge"><img class="img-sm rounded-circle  mr-2 " src= "'+value.image_name+'"  alt="profile image"></div>'+
        '<div class="badge"><div class="font-weight-bold mt-2">'+value.full_name+'</div></div>'+
        '</div></td>';
        td2 = '<td style="display: none"></td>';

        tr = '<tr>'+td1+td2+'</tr>';   
        $("#table_attendance").append(tr);

        td1 = '<td class="font-weight-bold pt-2 pb-2">Calendar Date</td>';
        if(selected_catg=="reg")
        {
            td2 = '<td class="font-weight-bold pt-2 pb-2">Clock Time</td>';
        }
        else if(selected_catg=="break")
        {
            td2 = '<td class="font-weight-bold pt-2 pb-2">Break Time</td>';
        }
        else if(selected_catg=="meal")
        {
            td2 = '<td class="font-weight-bold pt-2 pb-2">Meal Time</td>';
        }
        else if( selected_catg=="ot")
        {
            td2 = '<td class="font-weight-bold pt-2 pb-2">OverTime</td>';
        }
        tr = '<tr class="table-info ">'+td1+td2+'</tr>';
        $("#table_attendance").append(tr);
    }        
    else if(selected_catg=="leave")
    {
        td1 = '<td  colspan="3"  align="center" style=" border-right-width: 0;" > <div class="d-flex1">'+
        '<div class="badge"><img class="img-sm rounded-circle  mr-2 " src= "'+value.image_name+'"  alt="profile image"></div>'+
        '<div class="badge"><div class="font-weight-bold mt-2">'+value.full_name+'</div></div>'+
        '</div></td>';
        td2 = '<td style="display: none"></td>';
        td3 = '<td style="display: none"></td>';
        tr = '<tr>'+td1+td2+td3+'</tr>';   
        $("#table_attendance").append(tr);
        
        td1 = '<td class="font-weight-bold pt-2 pb-2">Calendar Date</td>';
        td2 = '<td class="font-weight-bold pt-2 pb-2">Time off</td>';
        td3 = '<td class="font-weight-bold pt-2 pb-2">Time Off Comment</td>';
        
        tr = '<tr>'+td1+td2+td3+'</tr>';   
        $("#table_attendance").append(tr);
    }
    else if(selected_catg=="missed")
    {
        $("#combo_time_category").val('Missed');
    }
   
}

function AddLastRow(value)
{
    var selected_catg = $("#h_catg").val();
    if(selected_catg=="all" || selected_catg=="missed")
    {
        td1 = '<td class="font-weight-bold"> Total Hours </td>';
        td2 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_RegularTimeHours+' hours</td>';
        td3 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_BreakTimeHours+' hours</td>';
        td4 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_MealTimeHours+' hours</td>';
        td5 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_OverTimeHours+' hours</td>';
        td6 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_LeaveDays+' days</td>';
        td7 = '<td></td>';
        td8 = "<td></td>";    
        tr = '<tr style="background-color: #c6c7ca;">'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';        
    }
    else if(selected_catg=="reg" || selected_catg=="meal" || selected_catg=="break" || selected_catg=="ot")
    {
        td1 = '<td class="font-weight-bold"> Total Hours </td>';
        if(selected_catg=="reg")
        {
            td2 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_RegularTimeHours+' hours</td>';
        }
        if(selected_catg=="break")
        {
            td2 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_BreakTimeHours+' hours</td>';
        }
        if(selected_catg=="meal")
        {
            td2 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_MealTimeHours+' hours</td>';
        }
        if(selected_catg=="ot")
        {
            td2 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_OverTimeHours+' hours</td>';
        }    
     
        tr = '<tr style="background-color: #c6c7ca;">'+td1+td2+'</tr>';        
    }    
    else if(selected_catg=="leave")
    {
        td1 = '<td class="font-weight-bold"> Total Days </td>';        
        td2 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_LeaveDays+' days</td>';
        td3 = '<td></td>';        
        tr = '<tr style="background-color: #c6c7ca;">'+td1+td2+td3+'</tr>';     
    }
    $("#table_attendance").append(tr);
}
function Addrow(value)
{
    var selected_catg = $("#h_catg").val();    
    var rowCount = $('#table_attendance tbody tr').length; 
    rowCount++;  
    if(selected_catg=="all" || selected_catg=="missed")
    {
        td1 = '<td>'+value.calendar_date+'</td>';
        td2 = "<td></td>";
        if(value.time_type_clock!=undefined)
        {
            td2 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Start : </div><div class="badge">'+value.clock_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.clock_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Status : </div><div class="badge">'+value.clock_time_status+'</div></div>';
                    if(value.clock_time_statusby!='')
                    {
                        td2+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Approved / Rejected By : </div><div class="badge">'+value.clock_time_statusby+'</div></div>';
                    }    
           td2+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_clock+' hours]</div></div>'
                    '</td>';            
        }
        td3 = "<td></td>";
        if(value.time_type_break!=undefined)
        {
            td3 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Start : </div><div class="badge">'+value.break_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Finish : </div><div class="badge">'+value.break_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Status : </div><div class="badge">'+value.break_time_status+'</div></div>';
                    if(value.break_time_statusby!='')
                    {
                        td3+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Approved / Rejected By : </div><div class="badge">'+value.break_time_statusby+'</div></div>';
                    }    
           td3+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_break+' hours]</div></div>'
                    '</td>';            
        }
        td4 = "<td></td>";
        if(value.time_type_meal!=undefined)
        {
            td4 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Start : </div><div class="badge">'+value.meal_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Finish : </div><div class="badge">'+value.meal_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Status : </div><div class="badge">'+value.meal_time_status+'</div></div>';
                    if(value.meal_time_statusby!='')
                    {
                        td4+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Approved / Rejected By : </div><div class="badge">'+value.meal_time_statusby+'</div></div>';
                    }    
           td4+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_meal+' hours]</div></div>'
                '</td>';            
        }
        td5 = "<td></td>";        
        if(value.time_type_overtime!=undefined)
        {
            td5 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Start : </div><div class="badge">'+value.over_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.over_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Status : </div><div class="badge">'+value.overtime_status+'</div></div>';
                    if(value.overtime_statusby!='')
                    {
                        td5+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Approved / Rejected By : </div><div class="badge">'+value.overtime_statusby+'</div></div>';
                    }    
           td5+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_overtime+' hours]</div></div>'
                    '</td>';            
        }
        td6 = "<td></td>";
        td7 = "<td></td>";
        
        if(value.time_type_leave!=undefined)
        {   
            td6 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Start : </div><div class="badge">'+value.timeoff_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.timeoff_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Status : </div><div class="badge">'+value.leave_time_status+'</div></div>';
            if(value.leave_time_status!='')
            {
                td6+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Approved / Rejected By : </div><div class="badge">'+value.leave_time_statusby+'</div></div>';
            }  
            td6+='<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_leavetime+']</div></div>'
            td6 += '</td>';
            
            td7 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">'+value.leave_time_reason+'</div></div>'+                
              '</td>';
        }
        td8 = "<td></td>";
        tr = '<tr data-node-id="'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';
    }
    else if(selected_catg=="reg" || selected_catg=="meal" || selected_catg=="break" || selected_catg=="ot")
    {
        td1 = '<td>'+value.calendar_date+'</td>';
        td2 = "<td></td>";
        
        
        if(value.time_type_clock!=undefined)
        {
            td2 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Start : </div><div class="badge">'+value.clock_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.clock_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_clock+' hours]</div></div>'
                    '</td>';
            
            tr = '<tr data-node-id="'+rowCount+'">'+td1+td2+'</tr>';
        }
        else if(value.time_type_break!=undefined)
        {
            td2 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Start : </div><div class="badge">'+value.break_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Finish : </div><div class="badge">'+value.break_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_break+' hours]</div></div>'
                    '</td>';
            
            tr = '<tr data-node-id="'+rowCount+'">'+td1+td2+'</tr>';
        }
        else if(value.time_type_meal!=undefined)
        {
            td2 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Start : </div><div class="badge">'+value.meal_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Finish : </div><div class="badge">'+value.meal_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_meal+' hours]</div></div>'
                    '</td>';
            
            tr = '<tr data-node-id="'+rowCount+'">'+td1+td2+'</tr>';
        }
    }        
    else if(selected_catg=="leave")
    {
        td1 = '<td>'+value.calendar_date+'</td>';        
        td2 = "<td></td>";
        td3 = "<td></td>";
        if(value.time_type_leave!=undefined)
        {
            /*td2 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">'+value.time_type_leave+'</div></div>'+                    
                    '</td>';            */
            str_status = value.leave_time_status;
            if(value.leave_time_statusby!='')
            {
                str_status += " ("+value.leave_time_statusby+")";
            }        
            td2 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold"> Start : </div><div class="badge">'+value.timeoff_time_start+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.timeoff_time_end+'</div></div>'+
                    '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Status : </div><div class="badge">'+str_status+'</div></div>';
            td3 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">'+value.leave_time_reason+'</div></div>'+                
              '</td>';
        }
        tr = '<tr data-node-id="'+rowCount+'">'+td1+td2+td3+'</tr>';
    }    
    
    $("#table_attendance").append(tr);
}

function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
} 
</script>
</body>
</html>
