<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
$employee_id     = 0;

$user_role         = $_SESSION['login_user_array']['user_role'];

if ($user_role == 'Manager') {
    $employee_id = getvalue("cxs_employee", "employee_id", " WHERE user_id='" . $_SESSION['login_user_array']['user_id'] . "'");
}

$text_search_from_default    = "";
$text_search_to_default        = "";

$text_search_from_default    = date('m/01/Y');
$text_search_to_default        = date("m/t/Y");
?>
<!DOCTYPE html>
<html lang="en">

<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Attendance Working Hours</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css" />
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<style>
.report-table td {
    padding: 12px 12px !important;
}
</style>
</head>

<body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
        <!-- partial:partials/_navbar.html -->
        <?php include_once("top.php"); ?>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:partials/_settings-panel.html -->
            <?php include_once("left.php");  ?>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="row">
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                            <li class="breadcrumb-item">Attendance Tracking</li>
                                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo SITEURL."attendance-tracking/reports/"; ?>">Reports</a></li>
                                            <li class="breadcrumb-item active" aria-current="page">Attendance Working Hours Report</li>
                                        </ol>
                                    </nav>
                                    <div class="border pt-3 pb-3 pl-3 pr-3">
                                        <div class="d-flex flex-wrap justify-content-between pb-3">
                                            <h4 class="card-title mb-3">Attendance Working Hours Report <i class="fa fa-info-circle ml-3" style="cursor:pointer;" title="Run this report to generate listing of hours worked by various time category."></i></h4>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <!--<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">-->
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>Employee</label>
                                                            <select class="js-example-basic-single form-control srch_dd" name="search_employee_user_id" id="search_employee_user_id">
                                                                <option value="">--Select All--</option>
                                                                <?php
                                                                if ($_SESSION['login_user_array']['user_role'] == "Admin") {
                                                                    $qry = "select * from cxs_user where company_id = '" . $_SESSION['login_user_array']['company_id'] . "' order by full_name ";
                                                                } else {
                                                                    if (isset($_REQUEST['p']) && $_REQUEST['p'] == "true") {
                                                                        $qry = "SELECT * FROM `cxs_user` WHERE user_id IN (SELECT member_userid FROM `cxs_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='" . $_SESSION['login_user_array']['user_id'] . "' AND pm.company_id = '" . $_SESSION['login_user_array']['company_id'] . "')) AND company_id = '" . $_SESSION['login_user_array']['company_id'] . "' order by full_name ";
                                                                    } else {
                                                                        $supervisor_id = getvalue("cxs_employee", "employee_id", "where company_id='" . $_SESSION['login_user_array']['company_id'] . "' and user_id = '" . $_SESSION['user_id'] . "'");
                                                                        $qry = "select * from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id where cxs_user.company_id = '" . $_SESSION['login_user_array']['company_id'] . "' and (cxs_employee.employee_id = '" . $supervisor_id . "'  or cxs_employee.supervisor_id = '" . $supervisor_id . "') order by full_name ";
                                                                    }
                                                                }
                                                                $selectQuery     = $qry; //$selectQuery 	= "SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";		
                                                                $RunUserQuery    = mysqli_query($conn, $selectQuery);
                                                                $StdNumRows     = mysqli_num_rows($RunUserQuery);
                                                                if ($StdNumRows > 0) {
                                                                    while ($rows = mysqli_fetch_assoc($RunUserQuery)) {
                                                                        $user_id     = $rows["user_id"];
                                                                        $full_name     = $rows["full_name"];
                                                                ?>
                                                                        <option value="<?php echo $user_id; ?>"><?php echo stripslashes($full_name); ?></option>
                                                                <?php
                                                                    }
                                                                }
                                                                ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>Category Type</label>
                                                            <select class="js-example-basic-single form-control srch_dd" name="search_category_type" id="search_category_type">
                                                                <option value="">--Select All--</option>
                                                                <option value="clock">Regular Time</option>
                                                                <option value="break">Break Time</option>
                                                                <option value="meal">Meal Time</option>
                                                                <option value="overtime">Overtime</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>Duration</label>
                                                            <select class="js-example-basic-single form-control srch_dd" name="search_duration" id="search_duration">
                                                                <option value="current_month">Current Month</option>
                                                                <option value="last_month">Last Month</option>
                                                                <option value="last_quarter">Last Quarter</option>
                                                                <option value="last_6_month">Last 6 Months</option>
                                                                <option value="year_to_date">Year to Date</option>
                                                                <option value="custom">Custom</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>Date - From</label>
                                                            <div id="datepicker-popup" class="input-group date datepicker ">
                                                                <input type="text" class="form-control srch_txt form_date" name="text_fromdate" id="text_fromdate" value="<?php echo $text_search_from_default; ?>">
                                                                <span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>Date - To</label>
                                                            <div id="datepicker-popup2" class="input-group date datepicker ">
                                                                <input type="text" class="form-control srch_txt form_date" name="text_todate" id="text_todate" value="<?php echo $text_search_to_default; ?>">
                                                                <span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-1">
                                                        <div class="form-group">
                                                            <button type="button" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large" style="margin-top:30px;">Go</button>
                                                        </div>
                                                    </div>
                                                </div>


                                                <!--</form>-->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <h4 id="project_lbl" class="card-title mb-2"></h4>
                                            </div>
                                        </div>
                                        <div class="loading-div" style="display:none;">
                                            <img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;">
                                        </div>
                                        <div id="results" class=""></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
    <!-- endinject -->
    <script type="text/javascript">
        // $('.form_date').datepicker({
        //     format: 'mm/dd/yyyy',
        //     defaultDate: '',
        //     autoclose: true,
        //     todayHighlight: true
        // });
        $(document).ready(function() {
            setDatePicker('#text_fromdate','#text_todate');	
        });
        $("#search_duration").change(function() {
            getdate();
        });

        function getdate() {
            if ($("#search_duration").val() == "custom") {
                $("#text_fromdate").val("");
                $("#text_todate").val("");

                $('#text_fromdate').datepicker("update");
                $('#text_todate').datepicker("update");
            } else {
                $.ajax({
                    url: SITEURL+"aj/attendance-report/",
                    method: "POST",
                    data: {
                        REQUEST: 'get_date_value',
                        duration_value: $("#search_duration").val()
                    },
                    beforeSend: function() {
                        $(".rploader").fadeIn(200);
                    },
                    success: function(response) {
                        setTimeout(function() {
                            $(".rploader").fadeOut(200);
                            if (response.succ == 1) {
                                $("#text_fromdate").val(response.start_date);
                                $("#text_todate").val(response.end_date);

                                $('#text_fromdate').datepicker("update");
                                $('#text_todate').datepicker("update");
                            }
                        }, 800);
                    }
                });
            }
        }

        $('#cmdSearchRecord').on('click', function() {
            if ($("#search_employee_user_id").val() == "") {
                alert("Please select employee.");
                $("#search_employee_user_id").focus();
                return 0;
            }
            if ($("#text_fromdate").val() == "") {
                alert("Please enter from date.");
                $("#text_fromdate").focus();
                return 0;
            }
            if ($("#text_todate").val() == "") {
                alert("Please enter to date.");
                $("#text_todate").focus();
                return 0;
            } else {
                $.ajax({
                    url: SITEURL+"aj/timeoff/",
                    method: "POST",
                    data: {
                        REQUEST: 'check_date_validation',
                        text_fromdate: $("#text_fromdate").val(),
                        text_todate: $("#text_todate").val()
                    },
                    beforeSend: function() {
                        $(".rploader").fadeIn(800);
                    },
                    success: function(response) {
                        setTimeout(function() {
                            $(".rploader").fadeOut(800);
                            if (response.succ == 0) {
                                alert(response.msg);
                                $("#text_todate").focus();
                            } else {
                                getData();
                            }
                        }, 1000);
                    }
                });

            }
        });


        /*********************************/
        function getData() {

            var search_employee_user_id = $("#search_employee_user_id").val();
            var search_category_type = $("#search_category_type").val();
            var text_fromdate = $("#text_fromdate").val();
            var text_todate = $("#text_todate").val();
            $.ajax({
                url: SITEURL+"aj/attendance-report/",
                method: "POST",
                data: {
                    REQUEST: 'get_attendance_working_hours',
                    is_html: true,
                    search_employee_user_id: search_employee_user_id,
                    search_category_type: search_category_type,
                    text_fromdate: text_fromdate,
                    text_todate: text_todate
                },
                beforeSend: function() {
                    $("#results").fadeOut(500);
                    $(".loading-div").fadeIn(800);
                },
                success: function(response) {
                    setTimeout(function() {
                        $(".loading-div").hide();
                        $("#results").html(response);
                        $("#results").fadeIn(500);
                    }, 500);
                    setTimeout(function() {
                        var table = $('#table_issue_log_register').DataTable({
                            "aaSorting": [],
                            "dom": 'lBfrtip',
                            buttons: [
                                [{
                                        text: 'Excel',
                                        action: function(e, dt, node, config) {
                                            show_excel_data();
                                        }
                                    },
                                    'pdf'
                                ]
                            ]
                        });

                        $('#table_issue_log_register tfoot th.searc').each(function() {
                            var title = $(this).text();
                            $(this).html('<input type="text" class="form-control custom-class" placeholder="' + title + '" />');
                        });

                        // Apply the search
                        table.columns().every(function() {
                            var that = this;
                            $('input', this.footer()).on('keyup change', function() {
                                if (that.search() !== this.value) {
                                    that
                                        .search(this.value)
                                        .draw();
                                }
                            });
                        });

                        $("#table_issue_log_register_filter").hide();
                    }, 1000);

                }
            });
        }


        function show_excel_data() {
            var total_clock_hrs = $("#lbltotal_clock").text();
            var total_break_hrs = $("#lbltotal_break").text();
            var total_meal_hrs = $("#lbltotal_meal").text();
            var total_ot_hrs = $("#lbltotal_ot").text();
            var total_working_hours = $("#lbltotal_working_hours").text();
            var total_regular_row = "";
            var total_break_row = "";
            var total_meal_row = "";
            var total_ot_row = "";
            var total_working_hours_row = "";

            if ($("#lbltotal_clock").is(":visible")) {
                total_regular_row = '<tr><td>Regular Time :</td><td class="text-right">' + total_clock_hrs + '</td></tr>';
            }

            if ($("#lbltotal_break").is(":visible")) {
                total_break_row = '<tr><td>Break Time :</td><td>' + total_break_hrs + '</td></tr>';
            }

            if ($("#lbltotal_meal").is(":visible")) {
                total_meal_row = '<tr><td>Meal Time :</td><td>' + total_meal_hrs + '</td></tr>';
            }

            if ($("#lbltotal_ot").is(":visible")) {
                total_ot_row = '<tr><td>Overtime :</td><td>' + total_ot_hrs + '</td></tr>';
            }

            if ($("#lbltotal_clock").is(":visible") && $("#lbltotal_ot").is(":visible")) {
                total_working_hours_row = '<tr><td>Total Working Hours :</td><td>' + total_working_hours + '</td></tr>';
            }

            $('#table_issue_log_register').dataTable({
                "destroy": true,
                "aaSorting": [],
                "bPaginate": false
            });

            /*
            $("#results").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Project Task Status Report by Task Owner</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({


            '<div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr class="empty-row"></tr><tr class="empty-row"></tr><tr><td colspan="2"><strong style="font-size:18px">Total time duration:</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr>'+
            */

            var category_type_row = "";
            var date_from_to_row = "";
            var s1 = "";
            s1 = $("search_category_type").val();
            if ($("#search_category_type").val() != '') {
                category_type_row = '<tr><td>Category Type : </td><td>' + $("#search_category_type :selected").text() + '</td></tr>';
            }

            date_from_to_row = '<tr><td>From Date : </td><td>' + $("#text_fromdate").val() + '</td><td>To Date : </td><td>' + $("#text_todate").val() + '</td></tr>';

            $("#results").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Attendance Working Hours Report</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>' +
                '<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td>Employee : </td><td>' + $("#search_employee_user_id :selected").text() + '</td></tr>' + category_type_row + date_from_to_row +
                '</table>').append('<div class="row texcl">' +
                '<div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr class="empty-row"></tr><tr class="empty-row"></tr><tr><td colspan="2"><strong style="font-size:18px">Total time duration:</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr>' +
                total_regular_row +
                total_break_row +
                total_meal_row +
                total_ot_row +
                '<tr class="empty-row"></tr>' +
                total_working_hours_row +
                '</table></div></div>').table2excel({
                exclude: ".noExl",
                name: "Attendance Working Hours Report",
                filename: "Attendance Working Hours.xls",
                fileext: ".xls",
                preserveColors: true,
                /*exclude_img: true,
                exclude_links: true,
                exclude_inputs: true*/
            });
            $(".texcl").remove();

            setTimeout(function() {
                var table = $('#table_issue_log_register').DataTable({
                    "aaSorting": [],
                    "dom": 'lBfrtip',
                    "bPaginate": true,
                    "destroy": true,
                    buttons: [
                        [{
                                text: 'Excel',
                                action: function(e, dt, node, config) {
                                    show_excel_data();
                                }
                            },
                            'pdf'
                        ]
                    ]
                });

                $('#table_issue_log_register tfoot th.searc').each(function() {
                    var title = $(this).text();
                    $(this).html('<input type="text" class="form-control custom-class" placeholder="' + title + '" />');
                });

                // Apply the search
                table.columns().every(function() {
                    var that = this;
                    $('input', this.footer()).on('keyup change', function() {
                        if (that.search() !== this.value) {
                            that
                                .search(this.value)
                                .draw();
                        }
                    });
                });

                $("#table_issue_log_register_filter").hide();
            }, 1000);
        }





        /*
        $('#table_issue_log_register').dataTable({
                "destroy": true,
                "aaSorting":[],
                "dom": 'lBfrtip',              
                buttons: [                  
                    [
                        {
                            text: 'excel',
                            action: function ( e, dt, node, config ) {show_excel_data();}
                        },
                        'pdf'
                   ]]
        });
        $('#table_issue_log_register tfoot th.searc').each( function () 
        {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
            });   
            
         // Apply the search
        				$('#table_issue_log_register').columns().every(function (){
        					var that = this;
        					$( 'input', this.footer() ).on( 'keyup change', function () {
        						if ( that.search() !== this.value ) {
        							that
        								.search( this.value )
        								.draw();
        						}
        					});
        				}); 
        				
        				$("#table_issue_log_register_filter").hide();
                                        
                                      */
    </script>
</body>

</html>