<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}
if(isset($_REQUEST['p']) && $_REQUEST['p']=="true"){
	$attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
	if($attendance_flag!="Y"){
		header("location:".SITEURL."dashboard/");
	}
}
$employee_id 	= 0;

$user_role 		= $_SESSION['login_user_array']['user_role'];

if($user_role=='Manager'){
	$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
}

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Employee Schedule Report</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">

<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link href="datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<!-- endinject -->
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Attendance Tracking</li>
										<li class="breadcrumb-item" aria-current="page"><a href="<?php echo SITEURL."attendance-tracking/reports/"; ?>">Reports</a></li>
										<li class="breadcrumb-item active" aria-current="page">Employee Schedule Reports</li>
									</ol>
								</nav>
								<div class="border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Employee Schedule Report</h4>
									</div>
									<div class="row">
										<div class="col-md-12">
											<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
												<div class="row">
													<div class="col-md-2">
														<div class="form-group">
															<label>Employee Name</label>
															<select class="js-example-basic-single form-control srch_dd" name="search_employee_user_id" id="search_employee_user_id">
																<option value="">--Select All--</option>
																<?php
																/*$where = " WHERE company_id='".$_SESSION['login_user_array']['company_id']."'";
																if($user_role=="Manager"){
																		$where .= " AND (supervisor_id='".$employee_id."' OR user_id='".$_SESSION['login_user_array']['user_id']."')";
																}else if($user_role=="User"){
																		$where .= " AND user_id='".$_SESSION['login_user_array']['user_id']."'";
																}*/
																if($_SESSION['login_user_array']['user_role']=="Admin")
																{
																	$qry = "select * from cxs_user where company_id = '".$_SESSION['login_user_array']['company_id']."' order by full_name ";
																}
																else
																{
																	if(isset($_REQUEST['p']) && $_REQUEST['p']=="true"){
																		$qry = "SELECT * FROM `cxs_user` WHERE user_id IN (SELECT member_userid FROM `cxs_projects_team_members` WHERE team_id IN (SELECT pt.team_id FROM `cxs_projects_manager` pm INNER JOIN `cxs_projects_teams` pt ON pm.project_id=pt.project_id WHERE pm.user_id='".$_SESSION['login_user_array']['user_id']."' AND pm.company_id = '".$_SESSION['login_user_array']['company_id']."')) AND company_id = '".$_SESSION['login_user_array']['company_id']."' order by full_name ";
																	}else{
																		$supervisor_id=getvalue("cxs_employee","employee_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");                            
																		$qry = "select * from cxs_user inner join cxs_employee on cxs_employee.user_id = cxs_user.user_id where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."' and (cxs_employee.employee_id = '".$supervisor_id."'  or cxs_employee.supervisor_id = '".$supervisor_id."') order by full_name ";
																	}
																}
																$selectQuery 	= $qry; //$selectQuery 	= "SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";		
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																		/*$user_id 	= $rows["user_id"];
																		$employee_id= $rows["employee_id"];
																		$full_name 	= $rows["first_name"]." ".$rows["last_name"];*/
																		$user_id 	= $rows["user_id"];                                                                                                           
																		$full_name 	= $rows["full_name"];
																	?>
																	<option value="<?php echo $user_id; ?>"><?php echo stripslashes($full_name); ?></option>
																	<?php
																	}
																}
																?>
															</select>
															<span class = "not-valid-tip" id="emp_msg"></span>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Date - From</label>
															<div id="datepicker-popup" class="input-group date datepicker">
																	<input type="text" class="form-control srch_txt" name="text_fromdate" id="text_fromdate" value="<?php echo $text_search_from_default; ?>">
																	<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
															</div>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
																<label>Date - To</label>
																<div id="datepicker-popup2" class="input-group date datepicker">
																		<input type="text" class="form-control srch_txt" name="text_todate" id="text_todate" value="<?php echo $text_search_to_default; ?>">
																		<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
																</div>
														</div>
													</div>


													<div class="col-md-2">
															<div class="form-group pt-3">
																	<button type="button" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
															</div>
													</div>
												</div>

												<div class="table-responsive">
													<table class="table table-bordered" id="table_employee_schedule">
														<thead style="display: none;">
															<tr class="table-info">
																<th>Schedule Work Date</th>
																<th>Regular Time</th>
																<th>Break Time</th>
																<th>Meal Time</th>
																<th>Overtime</th>
																<th>Time off</th>
																<th>Time Off Comment</th>
																<th>Project Task</th>                                                            
<!--                                                                                                                <th>Action</th>-->
															</tr>
														</thead>
														<tbody>


														</tbody>
													</table>
												</div>
											</form>
										</div>
									</div>
<!--									<div class="loading-div" style="display:none;">
										<img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
									</div>-->
									<div id="results" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery-simple-tree-table.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>

<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script type="text/javascript">
$(document).ready(function() {
	// $('.datepicker').datepicker({
	// 	format: "mm/dd/yyyy",
	// 	enableOnReadonly: true,
	// 	todayHighlight: true,
	// 	autoclose: true,
	// 	orientation: "bottom"
	// });
	setDatePicker('#text_fromdate','#text_todate');	
});     


$("#cmdSearchRecord").click(function()
{
     if ( $.fn.DataTable.isDataTable('#table_employee_schedule') ) 
        {
            $('#table_employee_schedule').DataTable().destroy();
        }
        $('#table_employee_schedule tbody').empty();   
        
    /*var flag = 1;
   /* $("#emp_msg").text("");
    if($("#search_employee_user_id").val()=='')
    {
        flag = 0;        
        $("#emp_msg").text("This field is required.");
        $("#search_employee_user_id").focus();
    }*/
    if($("#text_fromdate").val()!='' && $("#text_todate").val()!='')
    {
        $.ajax({
         url: SITEURL+"aj/timeoff/",
         method: "POST",
         data: {REQUEST: 'check_date_validation',text_fromdate:$("#text_fromdate").val(),text_todate:$("#text_todate").val()},
         beforeSend: function() 
         {
                 $(".rploader").fadeIn(800);
         },
         success: function (response)
         {  
             setTimeout(function()
             {
                 $(".rploader").fadeOut(800);
                 if(response.succ==0)
                 {
                     flag = 0;
                     alert(response.msg);
                     /*$("#text_todate").val("");*/
                     $("#text_todate").focus();
                 }
                 else
                 {
                     getReportData();
                 }
             },1000);   
         }
         });
    }
    /*    
    if(flag==1)
    {
       getReportData();        
    }*/
});
/*********************************/
function getReportData()
{
    var selected_user_id = $("#search_employee_user_id").val();
    var text_fromdate = $("#text_fromdate").val();
    var text_todate = $("#text_todate").val();
    $.ajax({
		url: SITEURL+"aj/attendance-tracking/3/",
		method: "POST",		
        data: {REQUEST: 'get_employee_schedule_data',selected_user_id:selected_user_id,text_fromdate:text_fromdate, text_todate:text_todate,p:"<?php echo (isset($_REQUEST['p']) && $_REQUEST['p']=="true")?"true":"" ?>"},
		beforeSend: function(){
        	/*$(".loading-div").fadeIn(800);*/
                $(".rploader").fadeIn(800);
		},
		success: function (response) {  
			setTimeout(function()
			{
				/*$(".loading-div").hide();*/
				$(".rploader").fadeOut(800);
				console.log(response);
				if(response.succ==1)
				{
					if (!jQuery.isEmptyObject(response.data))
					{
						$.each( response.data, function( key, value ) 
						{
							if(value.full_name!=undefined)
							{
								AddHeadingRow(value);
							}
							else if(value.Total_RegularTimeHours!=undefined)
							{
								AddLastRow(value);
							}
							else
							{
								Addrow(value);
							}
						});
					}
				}
				dataTableForReportGroup("table_employee_schedule");
				$("#table_employee_schedule_filter").hide();  
				 
				
				
			},500);
		}
	});        
}
function AddHeadingRow(value)
{ 
    //<td colspan="3" align="center">N/A</td>
    //td1 = '<td colspan="8"  > <div class="d-flex">'+
    td1 = '<td  colspan="8"  align="center" style=" border-right-width: 0;" > <div class="d-flex1">'+
                '<div class="badge"><img class="img-sm rounded-circle  mr-2 " src= "'+value.image_name+'"  alt="profile image"></div>'+
                '<div class="badge"><div class="font-weight-bold mt-2">'+value.full_name+'</div></div>'+
                '</div></td>';
    td2 = '<td style="display: none"></td>';
    td3 = '<td style=" display: none;"></td>';
    td4 = '<td style=" display: none;"></td>';
    td5 = '<td style=" display: none;"></td>';
    td6 = '<td style=" display: none;"></td>';
    td7 = '<td style=" display: none;"></td>';
    td8 = '<td style=" display: none;"></td>';
        
   /*     td2 = '<td style=" border-right-width: 0;"></td>';
        td3 = '<td style=" border-right-width: 0;"></td>';
        td4 = '<td style=" border-right-width: 0;"></td>';
        td5 = '<td style=" border-right-width: 0;"></td>';
        td6 = '<td style=" border-right-width: 0;"></td>';
        td7 = '<td style=" border-right-width: 0;"></td>';
        td8 = '<td></td>';*/
    tr = '<tr>'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';   
    $("#table_employee_schedule").append(tr);
    
    td1 = '<td class="font-weight-bold pt-2 pb-2">Schedule Work Date</td>';
    td2 = '<td class="font-weight-bold pt-2 pb-2">Regular Time</td>';
    td3 = '<td class="font-weight-bold pt-2 pb-2">Break Time</td>';
    td4 = '<td class="font-weight-bold pt-2 pb-2">Meal Time</td>';
    td5 = '<td class="font-weight-bold pt-2 pb-2">Overtime</td>';
    td6 = '<td class="font-weight-bold pt-2 pb-2">Time off</td>';
    td7 = '<td class="font-weight-bold pt-2 pb-2">Time Off Comment</td>';
    td8 = '<td class="font-weight-bold pt-2 pb-2">Project Task</tr>';    
    tr = '<tr class="table-info ">'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';
    $("#table_employee_schedule").append(tr);
}

function AddLastRow(value)
{
    td1 = '<td class="font-weight-bold"> Total Hours </td>';
    td2 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_RegularTimeHours+' hours</td>';
    td3 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_BreakTimeHours+' hours</td>';
    td4 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_MealTimeHours+' hours</td>';
    td5 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_OverTimeHours+' hours</td>';
    td6 = '<td class="text-right pt-2 pb-2 font-weight-bold">'+value.Total_LeaveDays+' days</td>';
    td7 = '<td></td>';
    td8 = "<td></td>";    
    tr = '<tr style="background-color: #c6c7ca;">'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';
    $("#table_employee_schedule").append(tr);
}
function Addrow(value)
{
    td1 = '<td>'+value.schedule_date+'</td>';
    td2 = "<td></td>";
    td3 = "<td></td>";
    td4 = "<td></td>";
    td5 = "<td></td>";
    td6 = "<td></td>";
    td7 = "<td></td>";
    td8 = "<td></td>";
    td9 = "<td></td>";
    if(value.schedule_time_regular!=undefined)
    {
        td2 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Start : </div><div class="badge">'+value.regular_time_start+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.regular_time_end+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_regular+' hours]</div></div>'
                '</td>';
    }
    if(value.schedule_time_break!=undefined)
    {
        td3 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Start : </div><div class="badge">'+value.break_time_start+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.break_time_end+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_break+' hours]</div></div>'
                '</td>';
    }
    if(value.schedule_time_meal!=undefined)
    {
        td4 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Start : </div><div class="badge">'+value.meal_time_start+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.meal_time_end+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_meal+' hours]</div></div>'
                '</td>';
    }
    if(value.schedule_time_overtime!=undefined)
    {
        td5 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Start : </div><div class="badge">'+value.overtime_time_start+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge font-weight-bold">Finish : </div><div class="badge">'+value.overtime_time_end+'</div></div>'+
                '<div class="d-sm-flex justify-content-between pt-1"><div class="badge">&nbsp;&nbsp;</div><div class="badge">['+value.TimeDuration_overtime+' hours]</div></div>'
                '</td>';
    }
    if(value.schedule_time_leave!=undefined)
    {
        td6 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">'+value.schedule_time_leave+'</div></div>'+                
              '</td>';
    }
    if(value.schedule_time_leave!=undefined)
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-1"><div class="badge">'+value.leave_time_reason+'</div></div>'+                
              '</td>';
    }
    var rowCount = $('#table_employee_schedule tbody tr').length; 
    rowCount++;  
    /*tr = '<tr id="row'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td8+td9+'</tr>';
    */    
    tr = '<tr data-node-id="'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td8+'</tr>';
    $("#table_employee_schedule").append(tr);
    
}

function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
} 
</script>
</body>
</html>
