<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('m/01/Y');
$text_search_to_default		= date("m/t/Y");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Invoice Payments Report</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Invoicing</li>
										<li class="breadcrumb-item"><a href="<?php echo SITEURL."invoicing/reports/"; ?>">Reports</a></li>
										<li class="breadcrumb-item active" aria-current="page">Invoice Payments</li>
									</ol>
								</nav>
								<div class="border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Invoice Payments Report</h4>
									</div>
									<div class="row">
										<div class="col-md-12">
											<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
												<div class="row">
													<div class="col-md-3">
														<div class="form-group">
															<label>Client Name</label>
															<select class="js-example-basic-single " name="search_client_id" id="search_client_id" style="width:100%">
																<option value="">--Please Select--</option>
																<?php
																$selectQuery 	= "SELECT * FROM `cxs_clients` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' AND created_by='".$_SESSION['login_user_array']["user_email"]."' ORDER BY client_name";		
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																	?>
																	<option value="<?php echo $rows['id']; ?>"><?php echo stripslashes($rows['client_name']); ?></option>
																	<?php
																	}
																}
																?>
															</select>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Invoice Date - From</label>
															<div id="datepicker-popup" class="input-group date datepicker">
																<input type="text" class="form-control form_datetime srch_txt" name="search_from" id="search_from" value="<?php echo $text_search_from_default; ?>">
																<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
															</div>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Invoice Date - To</label>
															<div id="datepicker-popup2" class="input-group date datepicker">
																<input type="text" class="form-control form_datetime srch_txt" name="search_to" id="search_to" value="<?php echo $text_search_to_default; ?>">
																<span class="input-group-addon input-group-append border-left"> <span class="typcn typcn-calendar-outline input-group-text "></span> </span> 
															</div>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Mode of Payment </label><br>
															<select id="search_mode_of_payment" name="search_mode_of_payment" class="js-example-basic-single" style="width:100%" >
															   <option value="">--Please Select--</option>
															   <option value="Check">Check</option>
															   <option value="ACH">ACH</option>
															   <option value="Wire">Wire</option>
															   <option value="Gateway">Gateway</option>
														   </select>
														</div>
													</div>
													<div class="col-md-1">
														<div class="form-group pt-3">
															<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
														</div>
													</div>
												</div>
												
											</form>
										</div>
									</div>
									<div class="loading-div" style="display:none;">
										<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
									</div>
									<div id="results" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script type="text/javascript">
$(document).ready(function() {
	$('#search_form').on('submit', function (e) {
		e.preventDefault();
		getInvoiceReportData();
	});
	$('.datepicker .form_datetime').datepicker({
		format: "mm/dd/yyyy",
		enableOnReadonly: true,
		todayHighlight: true,
		autoclose: true,
		orientation: "bottom"
	});
});
/*********************************/
function getInvoiceReportData(){
	$.ajax({
		url: SITEURL+ "aj/invoices/",
		method: "POST",
		data:"REQUEST=get_report_invoice_payments_data&is_html=true&"+$('#search_form').serialize(),
		beforeSend: function() {
			$("#results_tab_2").fadeOut(500);
			$(".loading-div").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div").hide();
				$("#results").html(response);
				$("#results").fadeIn(500);				
			},500);
			setTimeout(function(){
				var table = $('#table_invoice_payments_report').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						'excel',
						'pdf',
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_invoice_payments_report tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				}); 
				/**/
				$("#table_invoice_payments_report_filter").hide();
			},1000);
		}
	});
}
</script>
</body>
</html>
