<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
$employee_id 	= 0;

$user_role 		= $_SESSION['login_user_array']['user_role'];

if($user_role=='Manager'){
	$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
}

$text_search_from_default	= "";
$text_search_to_default		= "";

$text_search_from_default	= date('01-m-Y');
$text_search_to_default		= date("t-m-Y");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Expense Entry Report</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Time Tracking</li>
										<li class="breadcrumb-item active" aria-current="page">Report</li>
									</ol>
								</nav>
								<div class="border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Timesheet Entry Report</h4>
									</div>
									<div class="row">
										<div class="col-md-12">
											<form action="" id="search_form" class="custom-form" style="padding:0px !important;" method="post">
												<div class="row">
													<div class="col-md-2">
														<div class="form-group">
															<label>Timesheet Name</label>
															<select class="js-example-basic-single form-control" name="search_timesheet_id" id="search_timesheet_id">
																<option value="">All</option>
																<?php
																$where = " WHERE company_id='".$_SESSION['login_user_array']['company_id']."'";
																if($user_role=="Manager"){
																	//$where .= " AND (user_id IN (SELECT user_id FROM `cxs_employee` WHERE supervisor_id='".$employee_id."') OR user_id='".$_SESSION['login_user_array']['user_id']."')";
																}else if($user_role=="User"){
																	$where .= " AND user_id='".$_SESSION['login_user_array']['user_id']."'";
																}
																$selectQuery 	= "SELECT * FROM `cxs_time_entry_header` $where ORDER BY timesheet_id DESC";		
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																		$timesheet_id 	= $rows["timesheet_id"];
																		$timesheet_name	= $rows["timesheet_name"];
																	?>
																	<option value="<?php echo $timesheet_id; ?>"><?php echo stripslashes($timesheet_name); ?></option>
																	<?php
																	}
																}
																?>
															</select>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Employee Name</label>
															<select class="js-example-basic-single form-control srch_dd" name="search_employee_user_id" id="search_employee_user_id">
																<option value="">All</option>
																<?php
																$where = " WHERE company_id='".$_SESSION['login_user_array']['company_id']."'";
																if($user_role=="Manager"){
																	//$where .= " AND (supervisor_id='".$employee_id."' OR user_id='".$_SESSION['login_user_array']['user_id']."')";
																}else if($user_role=="User"){
																	$where .= " AND user_id='".$_SESSION['login_user_array']['user_id']."'";
																}
																$selectQuery 	= "SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";		
																$RunUserQuery	= mysqli_query($conn, $selectQuery);
																$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																if($StdNumRows>0){
																	while($rows=mysqli_fetch_assoc($RunUserQuery)){
																		$user_id 	= $rows["user_id"];
																		$employee_id= $rows["employee_id"];
																		$full_name 	= $rows["first_name"]." ".$rows["last_name"];
																	?>
																	<option value="<?php echo $user_id; ?>"><?php echo stripslashes($full_name); ?></option>
																	<?php
																	}
																}
																?>
															</select>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group">
															<label>Timesheet Status</label>
															<select class="js-example-basic-single form-control srch_dd" name="search_timesheet_status" id="search_timesheet_status">
																<option value="">All</option>
																<option value="N">Open</option>
																<option value="Y">Closed</option>								
															</select>
														</div>
													</div>
													<div class="col-md-2">
														<div class="form-group pt-3">
															<button type="submit" name="cmdSearchRecord" id="cmdSearchRecord" class="btn btn-primary btn-large mt-3" value="Search">Search</button>
														</div>
													</div>
												</div>
												
											</form>
										</div>
									</div>
									<div class="loading-div" style="display:none;">
										<img src="<?php echo SITEURL; ?>images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
									</div>
									<div id="results" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
<?php /*****************Modal Area*****************/ ?>
<div class="modal fade pr-0" id="modal_view_time_entry" style="overflow:hidden;">
	<div class="modal-dialog  modal-xl mt-0" role="document">
		<!--<form id='form1' >-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close main-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div id="results_view_time_entry">
					<iframe src="" width="100%" style="height: 100vh;" frameborder="0"></iframe>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /*****************Modal Area*****************/ ?>
<!-- base:js -->
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js?t=1"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/chart.js/Chart.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script type="text/javascript">
$(document).ready(function() {
	$('#search_form').on('submit', function (e) {
		e.preventDefault();
		getTimesheetReportData();
	});
});
/*********************************/
function getTimesheetReportData(){
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		data:"REQUEST=get_report_timesheet_entry_data&is_html=true&"+$('#search_form').serialize(),
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results").html(response);			
			},500);
			setTimeout(function(){
				var table = $('#table_report_timesheet_entry').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						'excel',
						'pdf',
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_report_timesheet_entry tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				});
				/**/
				$("#table_report_timesheet_entry_filter").hide();
			},1000);
		}
	});
}
/*********************************************/
function viewTimesheet(timesheet_id,user_id){
	//$("#results_view_time_entry").find('iframe').attr('src','tt-time-entry.php?timesheet_id='+timesheet_id+'&user_id='+user_id+'&is_view=true&k=true');
	$("#results_view_time_entry").find('iframe').attr('src',SITEURL+'time-tracking/timesheet/view/i/'+timesheet_id+'/'+user_id+'/');
	
	setTimeout(function(){
		var modal_html = $("#results_view_time_entry iframe").contents().find("#modal1").html();
		$("#results_view_time_entry iframe").contents().find(".container-fluid").remove();
		$("#results_view_time_entry iframe body").append('<div class="modal fade pr-0" id="modal1" ></div>');
		$("#results_view_time_entry iframe #modal1").append(modal_html);
		
		$("#modal_view_time_entry").modal("show");
	},1500); 
}
</script>
</body>
</html>
