<?php
require_once "conn.php";
require_once "functions.php";
require_once "connect_zoho_api.php";

$subscription_id 	= "";
$proudct_id			= "";
$product_name		= "";
$plan_name			= "";
$plan_code			= "";
$customer_id		= "";

$first_name 	= "";
$last_name 		= "";
$company_name 	= "";
$email			= "";

if(isset($_REQUEST['subid']) && $_REQUEST['subid']!="" && !isset($_SESSION['subid'])){
//if(isset($_REQUEST['subid']) && $_REQUEST['subid']!=""){
	
	$subscription_id = $_REQUEST['subid'];
	$_SESSION['subid'] = $subscription_id;
	$results = getSubscriptionData("subscriptions/".$subscription_id);
	/*echo "<pre>";
	print_r($results);
	die;*/
	$subscription_id 	= $results->subscription->subscription_id;
	$proudct_id			= $results->subscription->product_id;
	$product_name		= $results->subscription->product_name;
	$plan_name			= $results->subscription->plan->name;
	$plan_code			= $results->subscription->plan->plan_code;
	$customer_id		= $results->subscription->customer_id;
	$price				= $results->subscription->plan->price;
	$interval_unit		= $results->subscription->interval_unit;
	$trial_ends_at		= setDate($results->subscription->trial_ends_at,"Y-m-d");
	$trial_remaining_days = $results->subscription->trial_remaining_days;
	$subscription_number		= $results->subscription->subscription_number;
	$zoho_subscription_status	= $results->subscription->status;
	
	$first_name_arr = explode("@",$results->subscription->customer->email);
	$first_name 	= $first_name_arr[0];
	$last_name 		= $results->subscription->customer->last_name;
	$company_name 	= $results->subscription->customer->company_name;
	$email 			= $results->subscription->customer->email;
	
	$reg_status 	= "";
	
	if(getTotalRecord("cxs_user","user_id"," WHERE user_email='".$email."'")>0){
		$reg_status = "error";
	}else{
		$reg_status = "success";
		$login_source = 'Coexsys';
		if($reg_status=="success"){
			date_default_timezone_set("America/Los_Angeles");
			$currTz = date_default_timezone_get();
			$date = new DateTime("now", new DateTimeZone($currTz) );
			$curDate = $date->format('Y-m-d');
			$curTime = $date->format('Y-m-d H:i:s');
			
			$user_plan = "";
			if($proudct_id==ENTERPRISE_PRODUCT_ID){
				$user_plan = "ENTERPRISE";
				
				if($plan_code=="PM-MONTHLY"){
					$license_arr = array("projects_flag");
				}else if($plan_code=="PM-YEARLY"){
					$license_arr = array("projects_flag");
				}else if($plan_code=="TE-MONTHLY"){
					$license_arr = array("timekeeping_flag");
				}else if($plan_code=="TE-YEARLY"){
					$license_arr = array("timekeeping_flag");
				}else if($plan_code=="ATT-MONTHLY"){
					$license_arr = array("attendance_flag");
				}else if($plan_code=="ATT-YEARLY"){
					$license_arr = array("attendance_flag");
				}else if($plan_code=="ISS-MONTHLY"){
					$license_arr = array("issue_tracking_flag");
				}else if($plan_code=="ISS-YEARLY"){
					$license_arr = array("issue_tracking_flag");
				}else if($plan_code=="EXP-MONTHLY"){
					$license_arr = array("expense_flag");
				}else if($plan_code=="EXP-YEARLY"){
					$license_arr = array("expense_flag");
				}else if($plan_code=="BUND-MONTHLY"){
					$license_arr = array("projects_flag","timekeeping_flag","attendance_flag");
				}else if($plan_code=="BUND-YEARLY"){
					$license_arr = array("projects_flag","timekeeping_flag","attendance_flag");
				}else if($plan_code=="SUIT-MONTHLY"){
					$license_arr = array("projects_flag","timekeeping_flag","attendance_flag","expense_flag","issue_tracking_flag");
				}else if($plan_code=="SUIT-YEARLY"){
					$license_arr = array("projects_flag","timekeeping_flag","attendance_flag","expense_flag","issue_tracking_flag");
				}
				
			}else if($proudct_id==SELF_EMP_PRODUCT_ID){
				$user_plan = "SELFEMPLOYED";
				
				if($plan_code=="SE-MONTHLY"){
					$license_arr = array("projects_flag","timekeeping_flag","attendance_flag","expense_flag","issue_tracking_flag","invoicing_flag");
				}else if($plan_code=="SE-YEARLY"){
					$license_arr = array("projects_flag","timekeeping_flag","attendance_flag","expense_flag","issue_tracking_flag","invoicing_flag");
				}
			}
			
			$upassword = randomPassword(8);
			
			$user_type = "Try";
			
			$ArrUsers = array();
			$ArrLicenseProduct = array();
			
			$ArrUsers['full_name'] 		= $first_name." ".$last_name;
			$ArrUsers['user_email'] 	= $email;
			//$ArrUsers['zoho_email'] 	= $zoho_email;
			$ArrUsers['upassword'] 		= $upassword;
			
			$ArrUsers['user_plan'] 		= $user_plan;
			$ArrUsers['company_name'] 	= $company_name;
			$ArrUsers['login_source'] 	= $login_source;
			$ArrUsers['user_status'] 	= 'Active';
			$ArrUsers['user_role'] 		= 'Admin';
			$ArrUsers['user_type'] 		= $user_type;
			$ArrUsers['created_by'] 	= $email;
			$ArrUsers['last_udpated_by']= $email;
			$ArrUsers['creation_date'] 		= $curTime ;                
			$ArrUsers['created_timezone'] 	= $currTz;
			$ArrUsers['last_update_date'] 	= $curTime ;                
			$ArrUsers['updated_timezone'] 	= $currTz;
			$ArrUsers['company_id']			= $customer_id;
			$ArrUsers['user_timezone']		= $currTz;
			
			
			/**/
			foreach($license_arr as $license){
				$ArrLicenseProduct[$license] = "Y";
			}
			
			//$ArrLicenseProduct['hostedpage_id'] 	= $hostedpage_id;
			$ArrLicenseProduct['subscription_id'] 	= $subscription_id;
			$ArrLicenseProduct['proudct_id'] 		= $proudct_id;
			$ArrLicenseProduct['product_name'] 		= $product_name;
			$ArrLicenseProduct['plan_name'] 		= $plan_name;
			$ArrLicenseProduct['plan_code'] 		= $plan_code;
			$ArrLicenseProduct['customer_id'] 		= $customer_id;
			$ArrLicenseProduct['account_status'] 	= "active";
			
			$ArrLicenseProduct['plan_price'] 			= $price;
			$ArrLicenseProduct['interval_unit'] 		= $interval_unit;
			$ArrLicenseProduct['trial_ends_at'] 		= $trial_ends_at;
			$ArrLicenseProduct['trial_remaining_days'] 	= $trial_remaining_days;
			$ArrLicenseProduct['subscription_number'] 		= $subscription_number;
			$ArrLicenseProduct['zoho_subscription_status'] 	= $zoho_subscription_status;
			
			$ArrLicenseProduct['company_id']		= $customer_id;
			$ArrLicenseProduct['created_by'] 		= $email;
			$ArrLicenseProduct['last_udpated_by'] 	= $email;
			$ArrLicenseProduct['creation_date'] 	= $curTime ;                
			$ArrLicenseProduct['created_timezone'] 	= $currTz;
			$ArrLicenseProduct['last_update_date'] 	= $curTime ;                
			$ArrLicenseProduct['updated_timezone'] 	= $currTz;
			
			/*echo "<pre>";
			print_r($ArrUsers);
			die;*/
			/**/
			$user_id = user_create_zoho($ArrUsers,$ArrLicenseProduct);
			$_SESSION["IS_VIEW_EMAIL"] = "true";
		}
	}
}else{
	//$reg_status = "success";
	header("Location:".SITEURL);
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Sign Up Confimation</title>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css?t=<?php echo time(); ?>">
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
</head>
<body>
<div class="rploader"><img src="<?php echo SITEURL; ?>images/89.gif" alt=""></div>
<div class="container-scroller">
	<div class="container-fluid page-body-wrapper full-page-wrapper">
		<div class="content-wrapper d-flex align-items-center text-center error-page bg-white">
			<div class="row flex-grow">
				<div class="col-lg-10 mx-auto text-white">
					<div class="row align-items-center d-flex flex-row">
						<div class="col-md-12">
							<div class="mb-4"> <img src="<?php echo SITEURL; ?>images/main_logo.png" alt=""> </div>
						</div>
						<?php if($reg_status=="success"){ ?>
						<div class="col-md-5">
							<svg class="checkmark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52">
							  <circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none"/>
							  <path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8"/>
							</svg>
						</div>
						<div class="col-lg-7 error-page-divider text-left">
							<h2 class="text-black">Congratulations!</h2>
							<h3 class="font-weight-light text-black">Thank you for subscribing to <?php echo $plan_name; ?>!</h3>
							<h3 class="font-weight-light text-black">Your subscription details have been emailed to <strong><?php echo $email; ?></strong></h3>
							<h3 class="font-weight-light text-black mt-4">You can also view subscription details <a href="<?php echo SITEURL."signup-confirmation/details/".md5($user_id)."/".$upassword."/".md5($subscription_id); ?>" class="common-edit-link" target="_blank">here</a></h3>
						</div>
						<div class="col-12 text-center mt-5"> <a class="btn btn-primary" href="<?php echo SITEURL; ?>">Login here</a> </div>
						<?php }else{ ?>
						<div class="col-md-5">
							<svg class="checkmark_error" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52">
							  <circle class="checkmark__circle__error" cx="26" cy="26" r="25" fill="none"/>
							  <path class="checkmark__check" fill="none" d="M14.1 14.1l23.8 23.8 m0,-23.8 l-23.8,23.8"/>
							</svg>
						</div>
						<div class="col-lg-7 error-page-divider  text-left">
							<h2 class="text-black">Something is not right!</h2>
							<h3 class="font-weight-light text-black">The account with this email already exists in our database.</h3>
							<h3 class="font-weight-light text-black">Please <a href="<?php echo SITEURL; ?>" class="common-edit-link">login</a> or <a href="<?php echo SITEURL."reset-password/"; ?>" class="common-edit-link">reset password</a>.</h3>
							
						</div>
						<div class="col-12 text-center mt-5"> 
						<a class="btn btn-primary font-weight-bold" href="<?php echo SITEURL; ?>">Login Here</a> 
						<strong class="ml-3 mr-3">OR</strong>
						<a class="btn btn-gray font-weight-bold" href="<?php echo SITEURL."reset-password/"; ?>">Reset Password</a> 
						</div>
						<?php } ?>
					</div>
					<div class="row mt-5">
						
					</div>
				</div>
			</div>
		</div>
		<!-- content-wrapper ends -->
	</div>
</div>
<script>
	var SITEURL = '<?php echo SITEURL; ?>';
</script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>vendors/timezone/jstz.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/timezone/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/timezone/moment-timezone.min.js"></script>
<!-- endinject -->
</body>
</html>
