<?php
require_once "conn.php";
require_once "functions.php";				
check_login();
if(CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}

$current_company_name = getvalue("cxs_company","company_name","where id = '".$_SESSION['login_user_array']['company_id']."'");
$current_company_id = $_SESSION['login_user_array']['company_id'];
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Subscription(s)</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<link rel = "stylesheet" href = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/css/bootstrap-datetimepicker.min.css">
<style>
.popover {
	z-index:9999;
}
.nav-tabs.nav-tabs-vertical-custom .nav-link {
	border-color: rgb(90 88 88 / 20%);
	color: #000000;
}
.nav-tabs.nav-tabs-vertical-custom .nav-link.active {
	color: #ffffff;
	border-color: rgb(90 88 88 / 20%);/*border-color: rgb(106 102 102 / 20%);*/
}
.nav-tabs.nav-tabs-vertical-custom {
	background: rgba(41, 68, 124,0.2);
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: 20px;
}
.alert-fill-info {
	color: #000000;
	background-color: #d3d3d3;
	border-color: #d3d3d3;
}
table tbody tr:hover table{
    background: #fff4f6 !important;
}

.user-apps{
	margin-bottom: 0 !important;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Common Setups</li>
										<li class="breadcrumb-item active" aria-current="page">Subscription(s)</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-2">
						<ul class="nav nav-tabs nav-tabs-vertical-custom" role="tablist">
							<li class="nav-item"> <a class="nav-link active pl-1 pr-1 text-center" id="tab1-custom" data-toggle="tab" href="#tab1_content" role="tab" aria-controls="tab1_content" aria-selected="false"> Subscription(s) </a> </li>
							<li class="nav-item"> <a class="nav-link pl-1 pr-1 text-center" id="tab2-custom" data-toggle="tab" href="#tab2_content" role="tab" aria-controls="tab2_content" aria-selected="true"> Site Primary Contact </a> </li>
						</ul>
					</div>
					<div class="col-md-10">
						<div class="tab-content tab-content-vertical tab-content-vertical-custom pl-0 pr-0 pb-0">
							<div class="tab-pane fade active show" id="tab1_content" role="tabpanel" aria-labelledby="tab1-custom">
								<div class="card">
									<div class="card-body">
										<div class="d-flex flex-wrap justify-content-between">
											<h4 class="card-title mb-3">Subscription(s)</h4>
											<!-- <div class="text-right">
												<a href="#" class="btn btn-primary btn-sm" target="_blank">Access Customer Portal</a>
											</div> -->
										</div>
										<div class="row">
											<div class="col-md-12" id="results_subscription_plans_details"></div>
										</div>										
										
										<div class="row mt-3">
											<div class="col-md-12">
												<a href="<?php echo SITEURL."account/subscriptions/lists/"; ?>" target="_blank" class="btn btn-sm btn-primary mr-2" title="Open in new tab"><i class="fa fa-external-link"></i></a>
												<?php if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ ?>
												<a href="javascript:void(0);" class="btn btn-sm btn-primary" id="btn_clear_sel" title="Display All Users and Plans">Display All Users</a>
												<?php } ?>
											</div>
										</div>
										
										<div class="row mt-3">
											<div class="col-md-12">
												<h3 class="mt-2" id="plan_selected"></h3>
											</div>
										</div>
										
										<div id="subscription_result"></div>
									
									</div>
								</div>
							</div>
							<div class="tab-pane fade " id="tab2_content" role="tabpanel" aria-labelledby="tab2-custom">
								<div class="card">
									<div class="card-body">
										<div class="alert alert-fill-info font-weight-bold" role="alert"> <i class="typcn typcn-warning"></i> ATTENTION: Coexsys Support will use following contacts below to reach out to primary point of contacts for your organization. Coexsys will use these contacts for communication related to billing,
											payments, subscriptions and other major announcements related to the product and upgrades. </div>
										<div class="d-flex flex-wrap justify-content-between">
											<div>
												<h4 class="card-title mb-3" style="float:left" >Site Primary Contact &nbsp;&nbsp;
													<h5 style="float:left"> <?php echo " [".$current_company_name." - ".$current_company_id."]"; ?> </h5>
												</h4>
											</div>
										</div>
										<form id="form_contact" action="" method="post">
											<div class="row">
												<div class="col-md-4">
													<div class="form-group">
														<label>First Name</label>
														<input type="text" class="form-control requirefieldcls" name="text_first_name" id="text_first_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter First Name." autocomplete="off">
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
														<label>Last Name</label>
														<input type="text" class="form-control requirefieldcls" name="text_last_name" id="text_last_name" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Last Name." autocomplete="off">
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
														<label>Email</label>
														<input type="text" class="form-control requirefieldcls" name="text_email" id="text_email" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Email." autocomplete="off">
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
														<label>Phone Type</label>
														<select class="js-example-basic-single requirefieldcls" name="combo_phone_type" id="combo_phone_type" style="width:100%">
															<option value="Mobile"> Mobile</option>
															<option value="Desk"> Desk</option>
															<option value="Home"> Home</option>
														</select>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
														<label>Phone</label>
														<input type="text" class="form-control requirefieldcls" name="text_phone" id="text_phone" data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Enter Phone.">
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-check mt-5">
														<label class="form-check-label" >
														<input type="checkbox" class="form-check-input" id="check_send_invoice_email" name="check_send_invoice_email" value ="1">
														Send Invoice Email <i class="input-helper" ></i> </label>
													</div>
												</div>
											</div>
											<div class="text-right">
												<input type="hidden" id="h_contact_id" name="h_contact_id" value="">
												<input type="button" class="btn btn-sm btn-primary" value="Save" id="cmdSave">
											</div>
										</form>
										<div id="contact_result"></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**************Modal Area****************/ ?>
<?php if($_SESSION['login_user_array']['user_plan']!="SELFEMPLOYED"){ ?>
<div class="modal fade" id="user_subscription_data_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog swal-modal mt-1" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Subscription(s) Details</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-1">
				<div class="row">
					<div class="col-md-12">
						<form action="" method="post" id="form_subscription">
							<div id="user_subscription_data_div"></div>
						</form>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" id="btn_subscribe_confirm" onClick="updateUserSubscription();">Confirm</button>
			</div>
		</div>
	</div>
</div>
<?php } ?>
<?php /**************Modal Area****************/ ?>
<script>
var is_load_sub_plan = true;
</script>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<!-- endinject -->
<script>
var a = "";
$(document).ready(function(){
 /* a = $("#table_subsriptions tbody").html();

	dataTableCreateCommonOrderOff("table_subsriptions");            
	$("#table_subsriptions_filter").hide();*/
	
	$("#text_phone").inputmask("mask", {"mask": "(999) 999-9999"});
	getSubscriptionPlansDetails();
	getSubscriptions();
	GetContactData();
	$("#btn_clear_sel").click(function(){
		$(".mn-license-block, .mn-plan-details").removeClass("selected");
		$("#plan_selected").html('');
		getSubscriptions();
	});
});  

function searchSubscription(){
	var search_plan_code = $("#search_plan_code").val();
	getSubscriptions(search_plan_code);
}

function getSubscriptionPlansDetails(){
	   
	$.ajax({
		url: SITEURL+"aj/subscriptions/",
		method: "POST",
		data: {REQUEST: 'get_subscription_plans_details',is_html:true},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results_subscription_plans_details").html(response);
				$(".btn-plan").click(function(){
					$(".mn-license-block, .mn-plan-details").removeClass("selected");
					$(this).parent().addClass("selected");
					$(".mn-plan-details").addClass("selected");
					
					var search_plan_code		= $(this).parent().data("plan_code");
					getSubscriptions(search_plan_code);
					
					var plan_name 		= $("#plan_block_"+search_plan_code+" .plan_name").val();
					var plan_price 		= $("#plan_block_"+search_plan_code+" .plan_price").val();
					var plan_type 		= $("#plan_block_"+search_plan_code+" .plan_type").val();
					
					$("#plan_selected").html('Plan Selected: <span class="text-secondary"><strong>'+plan_name+'</strong> (Enterprise Plan - '+plan_type+')</span>');
				});
			},500);
		}
	});

}

    
function show_excel_data()
{
    
   $('#table_subsriptions').dataTable({
        "destroy": true,
        "aaSorting":[],
		"bPaginate": false
	});

   
	$("#subscription_result").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Subscriptions</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
			exclude: ".noExl",
			name: "Subsriptions Report",
			filename: "Subsriptions.xls",
			fileext: ".xls",
			preserveColors: true,
			/*exclude_img: true,
			exclude_links: true,
			exclude_inputs: true*/
	});
	$(".texcl").remove();
                    
    setTimeout(function()
    {
            var table = $('#table_subsriptions').DataTable({				
            "aaSorting":[],
            "dom": 'lBfrtip',  
            "bPaginate": true,
            "destroy": true,
            buttons: [                  
                [
                    {
                        text: 'Excel',
                        action: function ( e, dt, node, config ) {show_excel_data();}
                    },
                    'pdf'
               ]],
           
            }); 

            $('#table_subsriptions tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
            });     

            // Apply the search
            table.columns().every(function (){
                    var that = this;
                    $( 'input', this.footer() ).on( 'keyup change', function () {
                            if ( that.search() !== this.value ) {
                                    that
                                            .search( this.value )
                                            .draw();
                            }
                    });
            }); 

            $("#table_subsriptions_filter").hide();
    },1000);
}


$("#cmdSave").click(function()
{
    if($("#text_first_name").val()=="")
    {
        alert("Please enter first name.");
        $("#text_first_name").focus();
        return false;
    }
    
    if($("#text_last_name").val()=="")
    {
        alert("Please enter last name.");
        $("#text_last_name").focus();
        return false;
    }
    
    if($("#text_email").val()=="")
    {
        alert("Please enter email.");
        $("#text_email").focus();
        return false;
    }
    
    if (!isEmail($("#text_email").val()) )
    {
        alert("Please enter valid email.");
        $("#text_email").focus();
        return false;
    }
    
    if(!$("#text_phone").inputmask("isComplete") && $("#text_phone").val()!="")
    {
        alert("Please enter phone.");
        $("#text_phone").focus();
        return false;
    }
    
    var formdata   = $('#form_contact').serialize();
    
    	$.ajax({
			url: SITEURL+"aj/subscriptions/",
			method: "POST",
			beforeSend: function() {
					$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_contact',form1: formdata},
			success: function (response)
			{ 
				
				setTimeout(function()
				{
					$(".rploader").fadeOut(800);
					if(response.msg!='')
					{
						alert(response.msg);
						$("#text_email").focus();
					}
					else
					{
						ClearContactElements();
						GetContactData();
					}                            
				},1000); 
			}
	}); 
    
});

function ClearContactElements()
{
    $("#text_first_name").val("");
    $("#text_last_name").val("");
    $("#text_email").val("");
    $("#combo_phone_type").val("Mobile");
    $("#combo_phone_type").select2();
    $("#text_phone").val("");    
    $("#check_send_invoice_email").prop("checked",false);
    $("#h_contact_id").val("");
    setDropdownRequiredBackground();
}


function GetContactData()
{
    $("#contact_result").html("");
    $.ajax({
		url: SITEURL+"aj/subscriptions/",
		method: "POST",
		beforeSend: function() 
		{
			$(".rploader").fadeIn(500);
			$("#contact_result").fadeOut(500);
		},
		data: {REQUEST: 'get_contact_data',is_html:true},
		success: function (response)
		{ 
			setTimeout(function()
			{
				$(".rploader").fadeOut(500);
				$("#contact_result").html(response.trim());
				$("#contact_result").fadeIn(500);
				
				/*dataTableCreateCommonOrderOff("table_schedule_support");            
				$("#table_schedule_support_filter").hide();*/


				var table = $('#table_schedule_support').DataTable( {
					/*  "searching": false,*/
					columnDefs: [ 
									{ targets: [-1], orderable: false},                    
									],
									"order": [],
					"dom": 'lBfrtip',              
						buttons: [                  
								[
											'excel',
											/* {
												text: 'Excel',
												action: function ( e, dt, node, config ) {show_excel_data();}
											},*/
											'pdf',
											{
													text: 'Email',
													action: function ( e, dt, node, config ) {
													//$("#modal_email").show(); 
													show_emaimodal();
													}
											}
								]]
					}); 

					$('#table_schedule_support tfoot th.searc').each( function () {
							var title = $(this).text();
							$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
					});     

					// Apply the search
					table.columns().every(function (){
							var that = this;
							$( 'input', this.footer() ).on( 'keyup change', function () {
									if ( that.search() !== this.value ) {
											that
										.search( this.value )
										.draw();
									}
							});
					}); 
					var sortBy = 0;
					table.order([])
							.draw();
					$("#table_schedule_support_filter").hide();
				
				$('[data-toggle="popover"]').popover();
				
			},500); 
			
			
		}
	}); 
}


function editContact(contact_id)
{

    $(".rploader").fadeIn(800);
    setTimeout(function(){
    $(".rploader").fadeOut(800);
    ClearContactElements();
    
    $("#text_first_name").val($("#text_first_name_"+contact_id).text().trim());    
    $("#text_last_name").val($("#text_last_name_"+contact_id).text().trim());
    $("#text_email").val($("#text_email_"+contact_id).text().trim());
    $("#text_phone").val($("#text_phone_"+contact_id).text().trim());
    $("#combo_phone_type").val($("#combo_phone_type_"+contact_id).text().trim());
    $("#combo_phone_type").select2();
    var checkbox_value = $("#check_send_invoice_email_"+contact_id).text().trim();
    $("#check_send_invoice_email").prop("checked",checkbox_value=="Y"?true:false);     
    $("#h_contact_id").val(contact_id);
    
    setDropdownRequiredBackground();
    },1000);
}

function deleteContact(contact_id)
{
    var r = confirm("Are you sure you want to delete?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/subscriptions/",
			method: "POST",
			data: {REQUEST: 'delete_contact_data',contact_id:contact_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					ClearContactElements();
                                        GetContactData();
				},1000);
			}
		});
	}
}
$("#cmdNew").click(function()
    {
        ClearContactElements();
        $("#text_first_name").focus();
    });
    
    
$("#tab2-custom").click(function()
{
    setTimeout(function()
    {
        ClearContactElements();
        },1000);
});    

$("#tab1-custom").click(function()
{
    //$("#table_subsriptions").DataTable().clear().destroy();
    setTimeout(function()
    {
    $(".rploader").fadeOut(800);
    if ( $.fn.DataTable.isDataTable('#table_subsriptions') ) 
    {
        $('#table_subsriptions').DataTable().clear().destroy();
    }
    $("#table_subsriptions tbody").append(a);
     dataTableCreateCommonOrderOff("table_subsriptions");            
    $("#table_subsriptions_filter").hide();
    },1000);
});
</script>
</body>
</html>
