<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries()==0){
	header("location:".SITEURL."dashboard/");
}    
?>
<!DOCTYPE html>
<html lang="en">

<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Tech Support</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">

<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />  
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
<link rel = "stylesheet" href = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/css/bootstrap-datetimepicker.min.css"> 
<style>
.popover{
  z-index:9999;
}

.nav-tabs.nav-tabs-vertical-custom .nav-link {

    border-color: rgb(90 88 88 / 20%);
    color: #000000;
}

.nav-tabs.nav-tabs-vertical-custom .nav-link.active {
    color: #ffffff;
    border-color: rgb(90 88 88 / 20%);
    /*border-color: rgb(106 102 102 / 20%);*/
}

.nav-tabs.nav-tabs-vertical-custom {
    background: rgba(41, 68, 124,0.2);
}


.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 16px;
}
/*
.ajax-upload-dragdrop {
 
    width: 420px !important;
}*/
  </style>
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">                            
                            <div class="card">
                                <div class="card-body">                                    
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb breadcrumb-help">
                                            <li class="breadcrumb-item">Common Setups</li>
                                            <li class="breadcrumb-item active" aria-current="page">Tech. Support</li>
                                        </ol>
                                    </nav>
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-2">
                          <ul class="nav nav-tabs nav-tabs-vertical-custom" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active pl-1 pr-1 text-center" id="home-tab-custom" data-toggle="tab" href="#tab1_content" role="tab" aria-controls="tab1_content" aria-selected="false">
                                    Open a Support Request
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link pl-1 pr-1 text-center" id="schedule-tab" data-toggle="tab" href="#tab2_content" role="tab" aria-controls="tab2_content" aria-selected="true">
                                    Schedule a Call
                                </a>
                            </li>
                          </ul>
                        </div>
                        <div class="col-md-10">
                            <div class="tab-content tab-content-vertical tab-content-vertical-custom pl-0 pr-0 pb-0">
                                <div class="tab-pane fade active show" id="tab1_content" role="tabpanel" aria-labelledby="home-tab-custom">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <h4 class="card-title mb-3">Open a Support Request</h4>
                                            </div>
                                            <div class="text-right pb-2">  
                                                <button class="btn btn-primary btn-icon" title="Add Issue" id="cmdAddIssue"><i class="fa fa-plus"></i></button>
                                            </div>
                                            <div class="table-responsive">
                                                <table class="table table-bordered" id="table_tech_support">
                                                    <thead>
                                                       <tr class='table-info'>
                                                            <th width="10%"> Support Number</th>
                                                            <th> Requestor User name</th>
                                                            <th> Requestor Full Name</th>
                                                            <th> Priority</th>
                                                            <th> Issue Status</th>
                                                            <th> Last Updated By</th>
                                                            <th width="10%"> Last Updated Date</th>
                                                            <th width="10%">Action</th>
                                                       </tr>    
                                                   </thead> 
                                                   <tfoot>
                                                        <th class="searc">Support Number</th>
                                                        <th class="searc">Requestor User name</th>
                                                        <th class="searc">Requestor Full Name</th>
                                                        <th class="searc">Priority</th>
                                                        <th class="searc">Issue Status</th>
                                                        <th class="searc">Last Updated By</th>
                                                        <th class="searc">Last Updated Date</th>
                                                        <th></th>
                                                </tfoot>
                                                   <tbody>

                                                   </tbody>
                                                </table>
                                            </div>    
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="tab2_content" role="tabpanel" aria-labelledby="profile-tab-custom">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="d-flex flex-wrap justify-content-between">
                                                <h4 class="card-title mb-3">Schedule a Call</h4>
                                                <?php /*?><button class="btn btn-primary btn-icon mr-2" title="Schedule a Call" id="cmdNewSchedule"><i class="fa fa-plus"></i></button><?php */?>
                                            </div>
                                            <form id="form_schedule" action="" method="post">
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Reason</label>    
                                                        <select class="js-example-basic-single requirefieldcls" name="combo_schedule_reason" id="combo_schedule_reason" style="width:100%">                                                        
                                                                <option value="Technical Help"> Technical Help</option>
                                                                <option value="Billing Help"> Billing Help</option>
                                                                <option value="Bug / Fix"> Bug / Fix</option>
                                                                <option value="Other">Other</option>
                                                        </select>
                                                    </div>    
                                                </div>
                                                
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Description</label>
                                                        <textarea  class="form-control requirefieldcls" rows="4" id="text_schedule_description" name="text_schedule_description"></textarea>
                                                    </div>    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Phone</label>
                                                        <input type="text" class="form-control requirefieldcls" name="text_schedule_phone" id="text_schedule_phone" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Phone.">
                                                        <!--<input type="text" class="form-control brow requirefieldcls" id="text_phone" name="text_phone" value="" />-->
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Schedule Date</label>                                                        
                                                        <div class="input-group date datepicker form_date ">
                                                            <input type="text" class="form-control requirefieldcls" id="text_schedule_date" name="text_schedule_date" autocomplete="off">
                                                            <span class="input-group-addon input-group-append border-left">
                                                              <span class="typcn typcn-calendar-outline input-group-text"></span>
                                                            </span>
                                                        </div>
                                                        <div  class="mt-2"><span class="mt-2" id="span_text_schedule_date"></span></div>
                                                    </div>
                                                </div>
                                                
                                                
                                                
                                                <?php
                                                    $tzlist = DateTimeZone::listIdentifiers(DateTimeZone::ALL);
                                                    /*IntlTimeZone::createTimeZone($value)->getDisplayName();*/
                                                    $default_timezone = $_SESSION['login_user_array']['user_timezone']
                                                 ?>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Schedule Time Zone</label> 
                                                        <select class="js-example-basic-single requirefieldcls" style="width:100%" name="combo_schedule_timezone" id="combo_schedule_timezone">
                                                            <option value = "" selected>-Select TimeZone-</option>
                                                            <?php
                                                                foreach($tzlist as $key => $value)
                                                                {
                                                                    $is_selected = "";
                                                                    if($default_timezone==$value)
                                                                    {
                                                                        $is_selected = "selected";
                                                                    }
                                                            ?>
                                                                    <option value="<?php echo $value;?>" <?php echo $is_selected; ?> > <?php echo  $value. " (".convertStringToOffset($value).")"; ?> </option>
                                                        <?php  }
                                                            ?>
                                                        </select> 
                                                        <span class="not-valid-tip" id="combo_schedule_timezone_msg"></span>
                                                    </div>
                                                </div> 
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Schedule Time</label>
                                                        <div class="input-group date form_time" id="to_time" data-target-input="nearest">
                                                            <div class="input-group " data-target="#to_time" data-toggle="datetimepicker">
                                                                <input type="text" id="text_to_time" name="text_to_time" value="" class="form-control datetimepicker-input  timepicker_css requirefieldcls" data-target="#to_time"  autocomplete="off">
                                                              <div class="input-group-addon input-group-append"><i class="typcn typcn-time input-group-text"></i></div>
                                                              <span class="not-valid-tip"  id="span_time_msg"></span>
                                                            </div>
                                                        </div>
                                                        
                                                        
                                                        
                                                        
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="text-right">
                                                <input type="hidden" id="h_schedule_id" name="h_schedule_id" value="">
                                                <input type="button" class="btn btn-sm btn-primary" value="Schedule" id="cmdSend">
                                            </div>
                                            </form>   
                                            
                                            <div id="schedule_result"></div>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                  </div>

     
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  <!--
    hide on 17 July 2021
    <div class="modal fade pr-0" id="modal_update_issue">
        <div class="modal-dialog modal-xl mt-0 " role="document">                
            <div class="modal-content">
                <div class="modal-header pb-1">
                    <h2 class="pl-3 modal-title" >Update Issue</h2>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                          <span aria-hidden="true">&times;</span>                    
                    </button>
                </div>
                <div class="modal-body pt-2 ">
                    <form id="form2" method="post">
                        <div class="row">                        
                            <div class="col-lg-12 grid-margin">                            
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title mb-3">Update Issue</h4>
                                        <div class="row updates-tab">
                                            <textarea class="form-control requirefieldcls" id="text_update_issue" name="text_update_issue" rows='4' value=""></textarea>
                                        </div>
                                        <div class="text-right mt-3">
                                            <input type="hidden" id="h_issueid" name="h_issueid" value="">
                                            <button class="btn btn-primary btn-sm" type="button" id="cmdPost">Post</button>
                                        </div>

                                        <div class="timeline" id="div_timeline">  
                                                
                                        </div>
                                    </div>
                                </div>
                            </div>

                    </div>   
                    </form>
                </div>    
            </div>
        </div>
    </div>
  -->
  
  
  <div class="modal fade pr-0" id="modal_new_issue">
        <div class="modal-dialog modal-xl mt-0 " role="document">                
            <div class="modal-content">
                <div class="modal-header pb-1">
                    <h2 class="pl-3 modal-title" >Technical Support</h2>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                          <span aria-hidden="true">&times;</span>                    
                    </button>
                </div>

                <div class="modal-body pt-2 ">

                        <div class="row">                        
                            <div class="col-xl-12 d-flex grid-margin stretch-card"> 
                                <div class="card">
                                    <div class="card-body">
                                        <div class="d-flex flex-wrap justify-content-between">
                                            <h4 class="card-title mb-3">Technical Support</h4>
                                            
                                            <div>
                                                <button type="button" class="btn btn-primary btn-sm" id="btn_close_resolve" disabled="" >Close / Resolve</button>
                                                <button class="btn btn-primary btn-sm" id ="cmdSave1" >Save</button>
                                            </div>
                                        </div>
                                        <div class="row manage-issue-tab">
                                            <div class="col-md-2">
                                                <ul style="list-style: none;">
                                                    <li>
                                                        <div>Support Number:</div>
                                                        <label class="badge badge-success" id="lbl_issuenum"></label>   <!-- ISS.PROJECT.1 -->
                                                    </li>

                                                    <li>
                                                        <div>Created By:</div>
                                                        <label class="badge badge-success" id="lbl_createdby"></label>
                                                    </li>

                                                     <li>
                                                        <div>Last Updated By:</div>
                                                        <label class="badge badge-success" id="lbl_updatedby"></label>
                                                    </li>

                                                     <li>
                                                        <div>Date Created:</div>
                                                        <label class="badge badge-success" id="lbl_created_date"></label>
                                                    </li>

                                                     <li>
                                                        <div>Date Last Updated:</div>
                                                        <label class="badge badge-success" id="lbl_updated_date"></label>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="col-md-10">
                                                <div class="row">
                                                    
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>Issue Priority</label>
                                                            <div class="d-flex">
                                                                <select class="js-example-basic-single requirefieldcls" style="width:100%;" id="combo_issue_priority" name="combo_issue_priority">
                                                                    <option value="Critical"> Critical</option>
                                                                    <option value="High"> High</option>
                                                                    <option value="Medium"> Medium</option>
                                                                    <option value="Low"> Low</option>
                                                                </select>                                                               
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>Status</label>
                                                            <select class="js-example-basic-single requirefieldcls " style="width:100%;" id="combo_status" name="combo_status">
                                                                <option value="Open"> Open</option>
                                                                <option value="Work in Process"> Work in Process</option>
                                                                <option value="Testing"> Testing</option>
                                                                <option value="Acceptance Testing"> Acceptance Testing</option>
                                                                <option value="Closed"> Closed</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label>Issue Requester Name</label>
                                                            
                                                            <div class="d-flex">
                                                                <select class="js-example-basic-single requirefieldcls" style="width:100%;" id="combo_requestor" name="combo_requestor">
                                                                    <option value="">-Select-</option>
                                                                    <?php
                                                                        $qry = "select * from cxs_employee where company_id='".$_SESSION['login_user_array']['company_id']."' order by first_name,last_name ";
                                                                        $result = mysqli_query($conn,$qry);
                                                                        if(mysqli_num_rows($result)>0)
                                                                        {
                                                                            while($row = mysqli_fetch_assoc($result))
                                                                            {
                                                                                $is_selected = "";
                                                                                if($_SESSION['login_user_array']['user_plan']=="SELFEMPLOYED")
                                                                                {
                                                                                    $is_selected = "selected";
                                                                                }
                                                                                ?>
                                                                                <option value='<?php echo $row['employee_id']; ?>'  > <?php echo $row['first_name'].' '.$row['last_name']; ?></option>
                                                                    <?php   }
                                                                        }
                                                                    ?>
                                                                </select>
                                                                <img class="img-sm rounded-circle mb-md-0 ml-2 mr-2" id = "user_img" src="images/faces/default_face.png" alt="profile image">                                                                
                                                            </div>
                                                            <div>
                                                                <span class="not-valid-tip" id="span_requestor"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>Issue Type</label>
                                                            <div class="d-flex">
                                                                <select class="js-example-basic-single requirefieldcls" style="width:100%;" id="combo_issue_type" name="combo_issue_type">
                                                                    <option value="">-Select-</option>
                                                                    <option value="Bug Fix">Bug Fix</option>
                                                                    <option value="How To Help">How To Help</option>
                                                                    <option value="Feature Request">Feature Request</option>
                                                                    <option value="New Report Request">New Report Request</option>
                                                                    <option value="Billing Question">Billing Question</option>
                                                                    <option value="Access Requests">Access Requests</option>
                                                                    <option value="Other">Other</option>
                                                                </select>                                                               
                                                            </div>
                                                            <div>
                                                                <span class="not-valid-tip" id="span_issue_type"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>


<!--
                                                <div class="text-right">
                                                        <button class="btn btn-primary btn-sm">Save</button>
                                                </div>-->
                                            </div>
                                        </div>
                                    </div>
                                </div>    
                            </div>

                            <div class="col-lg-12 grid-margin">                            
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title mb-3">Short Description</h4>
                                        <textarea class="" id='textarea_shortdescription' name='textarea_shortdescription' rows = 6></textarea>
                                        <div class="text-right mt-3">
                                            <input type="hidden" id="h_selectedid" name="h_selectedid" value="">
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-12 grid-margin">                            
                                <div class="card">
                                    <div class="card-body">
                                            <h4 class="card-title mb-3">Upload Attachments</h4>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>Title</label>
                                                    <input id="text_attachment_title" name="text_attachment_title" type="text" class="form-control requirefieldcls"  data-toggle="popover" data-trigger="focus" data-html="true" data-content="Please Attachment Title" value="" >
                                                    <input type="hidden" id="h_attachment_cnt" name="h_attachment_cnt" value="">
                                                </div>
                                            </div>    
                                        
                                            <div class="col-md-4">
                                                <div class="d-flex">
                                                    
                                                    <div class="file-upload-wrapper">
                                                        <div id="fileuploader">Upload</div>
                                                        <input type="hidden" id="h_attachment_file_name" class="brow" value="">
                                                        <input type="hidden" id="h_attachment_file_format" class="brow" value="">
                                                        <input type="hidden" id="h_attachment_upload_date" class="brow" value="">
                                                    </div>
                                                    
                                                    <div class="pl-2">
                                                        <button class="btn btn-primary mt-3 pl-2 pr-2" id="cmd_support_attach">Attach</button>
                                                    </div> 
                                                    
                                                </div>    
                                            </div>
                                            <div class="col-md-5">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered" id="table_tech_support_attachment">
                                                        <thead class='table-info'>
                                                            <tr>
                                                                <th>Seq.</th>
                                                                <th>Attachment Title</th>
                                                                <th>File Name</th>
                                                                <th>Type</th>
                                                                <th>Date Uploaded</th>
                                                                <th>Action</th>
                                                            </tr>                                                                        
                                                        </thead>
                                                        <tbody id="tbody_tech_support_attachment">
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>    
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-lg-12 grid-margin">                            
                                <div class="card">
                                    <div class="card-body" id="div_close_resolve">
                                        <div class="form-inline">
                                            <h4 class="card-title mb-3">Close & Resolve</h4>                                                                
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <label>Resolved By</label>                                                        
                                                <select class="js-example-basic-single requirefieldcls" id="combo_resolved_by" style="width:100%;">
                                                    <option value=""> -Select- </option>
                                                    <?php
                                                    $qry = "select user_id,full_name from cxs_user where cxs_user.company_id = '".$_SESSION['login_user_array']['company_id']."'  order by full_name";
                                                    $result = mysqli_query($conn,$qry);
                                                    if(mysqli_num_rows($result)>0)      
                                                    {
                                                        while($row = mysqli_fetch_assoc($result))
                                                        {?>
                                                            <option value="<?php echo $row['user_id']; ?>"> <?php echo $row['full_name'];  ?></option>
                                                <?php   }
                                                    }
                                                ?>      
                                                </select>
                                                <div>
                                                    <span class="not-valid-tip" id="span_resolved_by"></span>
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <label>Date Resolved</label>                                                        
                                                <input type="text" class="form-control form_date requirefieldcls" id="resolved_date" name="resolved_date" autocomplete="off">
                                            </div>
                                            <div class="col-md-4">
                                                <label>Solution Approach</label>
                                                <select class="js-example-basic-single requirefieldcls" id="combo_resolved_issue_how" style="width:100%;">
                                                    <option value="">-Select-</option>
                                                    <option value="Closed/Resolved by Issue Originator">Closed/Resolved by Issue Originator</option>
                                                    <option value="Customer Not Responding">Customer Not Responding</option>
                                                    <option value="Duplicate Ticket">Duplicate Ticket</option>  
                                                    <option value="Not Resolvable">Not Resolvable</option>  
                                                    <option value="Permanently Solved">Permanently Solved</option>  
                                                    <option value="Problem Stays, workaround provided">Problem Stays, workaround provided</option>
                                                    <option value="Not a defect">Not a defect</option>
                                                </select>
                                                <div>
                                                    <span class="not-valid-tip" id="span_resolved_issue_how"></span>
                                                </div>
                                            </div>

                                            <div class="col-md-12 pt-3">
                                                <label>Resolution Notes</label>
                                                <textarea class="form-control requirefieldcls" id ="text_resolution_notes" rows="5" placeholder="Describe here, 240 characters"></textarea>
                                            </div>                                                                
                                        </div>

<!--                                                <div class="text-right mt-3">
                                            <button class="btn btn-primary btn-sm" id ="cmdSaveCloseResolve" >Save</button>
                                        </div>
                                        <div class="text-center">
                                            <label id="msg_close_resolve_save" class="badge badge-info" style="display:none;">Record has been updated.</label>
                                        </div>-->
                                    </div>
                                </div>
                            </div>    
                            
                            <div class="col-lg-12 grid-margin">
                                <div class="text-right pt-4">
                                        <!--<button class="btn btn-primary btn-sm" id ="cmdSaveAll" >Save</button>-->
                                        <button class="btn btn-primary btn-sm" type = "button" id="cmdSave" name="cmdSave">Save</button>
                                </div>
                            </div>
                            
                            
                            <div class="col-lg-12 grid-margin">                            
                                <div class="card">
                                    <div class="card-body">
                                        <div class="">
                                            <ul class="nav nav-tabs" role="tablist">
                                                <li class="nav-item">
                                                  <a class="nav-link active" id="tab-1" data-toggle="tab" href="#tab-content-1" role="tab" aria-controls="tab-content-1" aria-selected="true">Activity Trail</a>
                                                </li>
                                                <li class="nav-item">
                                                  <a class="nav-link" id="tab-2" data-toggle="tab" href="#tab-content-2" role="tab" aria-controls="tab-content-2" aria-selected="false">Update History</a>
                                                </li>
                                            </ul>

                                            <div class="tab-content">
                                                <div class="tab-pane fade show active" id="tab-content-1" role="tab-content-1" aria-labelledby="tab-1">
                                                    <div id="div_activity_trail"></div>
                                                </div>

                                                <div class="tab-pane fade" id="tab-content-2" role="tab-content-2" aria-labelledby="tab-2">
                                                    <div class="row">                        
                                                        <div class="col-lg-12 grid-margin">                            
                                                            <div class="card">
                                                                <div class="card-body">
                                                                    <h4 class="card-title mb-3">Update Issue</h4>
                                                                    <div class="row updates-tab">
                                                                        <textarea class="form-control requirefieldcls" rows='4' id="text_update_issue1" ></textarea>
                                                                    </div>
                                                                    <div class="text-right mt-3">
                                                                        <button class="btn btn-primary btn-sm" id="cmdPost1">Post</button>
                                                                    </div>

                                                                    <div class="timeline" id="div_timeline1">  
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>   
                                                </div>
                                            </div>                                                    
                                        </div>
                                    </div>
                                </div>
                            </div>

                           
                            
                        </div>

                </div>
            </div>
        </div>
    </div>   
<input id="my-file" type="file" name="my-file" style="display: none;" accept="image/*" onChange="" />

<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>  
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>  
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>  
<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script> 

<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script> 
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>  
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script> 
<script src="<?php echo SITEURL; ?>js/select2.js"></script> 
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>dist/jquery.table2excel.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.inputmask.js" type="text/javascript"></script>
<!-- endinject -->  
<script>
   $('.form_date').datepicker(
{
    format:'mm/dd/yyyy',
    defaultDate: '',
    autoclose : true,
    todayHighlight: true
});         

$('.form_time').datetimepicker({
                format: 'LT',       
                 debug: false,                                 
                 keepOpen:false
              });
$(document).ready(function()
{ 
    $("#text_schedule_phone").inputmask("mask", {"mask": "(999) 999-9999"});
    Display_TechSupportData();
    GetScheduleSupportData();
    
});

function Display_TechSupportData()
{
    $('#user_img').attr('src', SITEURL+'images/faces/default_face.png'); 
    if ( $.fn.DataTable.isDataTable('#table_tech_support') ) 
    {
        $('#table_tech_support').DataTable().clear().destroy();
    }
   // $("#table_tech_support tbody").empty();
   
    $.ajax({
         url: SITEURL+"aj/tech-support/",
         method:"POST",
         data:{REQUEST:'getTechSupportData'},
         success:function(response)
         {
             console.log(response);
             if (!jQuery.isEmptyObject(response.data))
            {
                var tr = "";
                 $.each( response.data, function( key, value ) 
                {
                    var val_format = " class = 'font-weight-bold'";
                    if(value.is_read=="Y")
                    {
                        val_format = "";
                    }
                    td1 = "<td"+val_format+" style='text-align: center !important;'>"+value.issue_id+"</td>";
                    td2 = "<td"+val_format+">"+value.requestor_username+"</td>";
                    td3 = "<td"+val_format+">"+value.requestor_fullname+"</td>";
                    td4 = "<td"+val_format+">"+value.priority+"</td>";
                    td5 = "<td"+val_format+">"+value.issue_status+"</td>";
                    td6 = "<td"+val_format+">"+value.last_updated_by_name+"</td>";
                    td7 = "<td"+val_format+"><span class='d-none'>"+value.last_update_date_original+"</span><span>"+value.last_update_date+"</span></td>";
                    
                    func1 = 'edit_record('+value.issue_id+',0)';
                    func2 = 'edit_record('+value.issue_id+',1)';
                    func3 = 'update_issue_record('+value.issue_id+')';
                    
                    /*
                     * '<button class="btn  ml-0 mr-2 pl-0 pr-0" title="Update Ticket Record" onclick="'+func3+'"><i class="fa fa-refresh" aria-hidden="true"></i></button>'+
                     */
                    
                    td8 = '<td><div class="text-center">'+
                            '<button class="btn  ml-0 mr-2 pl-0 pr-0" title="Edit Record" onclick="'+func1+'"><i class="fa fa-pencil" aria-hidden="true"></i></button>'+
                            '<button class="btn  ml-0 mr-2 pl-0 pr-0" title="View Record" onclick="'+func2+'"><i class="fa fa-info" aria-hidden="true"></i></button>'+                            
                            '<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.data_content_eye_icon+'" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>'+                            
                            '</div></td>';
                    
                    /*td6 = '<td><div class="text-center">'+
                           '<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="123" > <i class=" fa fa-eye"></i> </button>'+ 
                            '</div></td>';*/
                    tr+="<tr>"+td1+td2+td3+td4+td5+td6+td7+td8+"</tr>";
                   
                });
                 $("#table_tech_support tbody").append(tr);
                 setTitle();
                 
                /*dataTableCreateCommonOrderOn("table_tech_support",0);
                $("#table_tech_support_filter").hide(); */
//                dataTableCreateCommonOrderOff("table_tech_support");            
//                $("#table_tech_support_filter").hide();

                
                       
            }
            var table = $('#table_tech_support').DataTable( {
                          /*  "searching": false,*/
                            columnDefs: [ 
                                          { targets: [-1], orderable: false},                    
                                          ],
                                          "order": [],
                            "dom": 'lBfrtip',              
                             buttons: [                  
                                     [
                                                  'excel',
                                                 /* {
                                                        text: 'Excel',
                                                        action: function ( e, dt, node, config ) {show_excel_data();}
                                                    },*/
                                                  
                                                  {
                                                          text: 'Email',
                                                          action: function ( e, dt, node, config ) {
                                                          //$("#modal_email").show(); 
                                                          show_emaimodal();
                                                          }
                                                  }
                                     ]]
                          }); 

                          $('#table_tech_support tfoot th.searc').each( function () {
                                  var title = $(this).text();
                                  $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
                          });     

                          // Apply the search
                           table.columns().every(function (){
                                  var that = this;
                                  $( 'input', this.footer() ).on( 'keyup change', function () {
                                          if ( that.search() !== this.value ) {
                                                  that
                                                .search( this.value )
                                                .draw();
                                          }
                                  });
                          }); 
                          var sortBy = 0;
                          table.order([])
                                  .draw();
                          $("#table_tech_support_filter").hide();
         }
     });
}
if ($("#textarea_shortdescription").length) {
    tinymce.init({
      selector: '#textarea_shortdescription',
	  setup: function (editor) {
			editor.on('change', function () {
				editor.save();
			});
		},
	  file_picker_callback: function (callback, value, meta) {
		if (meta.filetype == 'image') {
			var input = document.getElementById('my-file');
			input.click();
			input.onchange = function () {
				var file = input.files[0];
				var reader = new FileReader();
				reader.onload = function (e) {
					callback(e.target.result, {
						alt: file.name
					});
				};
				reader.readAsDataURL(file);
			};
		}
	},
      height: 500,
      theme: 'modern',
      plugins: [
			'advlist autolink lists link charmap print preview hr anchor pagebreak',
			'searchreplace wordcount visualblocks visualchars code fullscreen',
			'insertdatetime nonbreaking save table contextmenu directionality',
			'emoticons template paste textcolor colorpicker textpattern codesample toc help'
		],
		toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link ',
		toolbar2: 'print preview | forecolor backcolor emoticons | codesample help',
      image_advtab: true,
      templates: [{
          title: 'Test template 1',
          content: 'Test 1'
        }
      ],
      content_css: []
    });
  }
  
    $("#cmdAddIssue").click(function()
    {
        SetPopupBlank();
        $("#modal_new_issue").modal("show");       
    });
    function SetPopupBlank()
  {
    $("#h_selectedid").val('');
    $("#lbl_issuenum").text('');
    $("#lbl_created_date").text('');
    $("#lbl_updated_date").text('');
    $("#lbl_createdby").text('');
    $("#lbl_updatedby").text('');
    $("#combo_issue_priority").val('Low');
    $('#combo_issue_priority').select2('');    
    
    $("#combo_status").val('Open');    
    $('#combo_status').select2();
    
    var user_plan = "<?php echo $_SESSION['login_user_array']['user_plan']; ?>";
    if(user_plan=='SELFEMPLOYED')
    {
        $("#combo_requestor").prop("selectedIndex", 1).val();
        
    }
    else
    {
        $("#combo_requestor").val('');
    }
    $('#combo_requestor').select2();
    $("#combo_issue_type").val('');
    $('#combo_issue_type').select2();    
    
        
    $("#issue_attachment").val('');
    $(".ajax-file-upload-statusbar").text("");
    $('#table_tech_support_attachment tbody').empty();
    
    BlankCloseResolvedElements();
    $("#div_close_resolve :input").prop("disabled", true);
    
    $("#div_activity_trail").empty();
    $("#div_timeline1").empty();
    $("#text_update_issue1").val('');
    
    var ed = tinyMCE.get('textarea_shortdescription');                
    ed.setProgressState(1); // Show progress
    window.setTimeout(function() 
    {
        ed.setProgressState(0); // Hide progress
        ed.setContent('');
    }, 1000);
    
    
    $('#user_img').attr('src', '<?php echo SITEURL; ?>images/faces/default_face.png');    
    
    setDropdownRequiredBackground();
    
    $("#text_attachment_title").val("");
    $(".ajax-file-upload-container").html("");
    
    form_element_correct($("#span_requestor"));
    form_element_correct($("#span_issue_type"));
    form_element_correct($("#span_resolved_by"));
    form_element_correct($("#span_resolved_issue_how"));
    form_element_correct($("#resolved_date"));
    form_element_correct($("#text_resolution_notes"));
        
    $("#text_update_issue1").val("");
  }
  
  $("#cmdPost1").click(function()
  {
        var issue_id = $("#h_selectedid").val();        
        var update_text = $("#text_update_issue1").val();
        if($("#text_update_issue1").val()=="")
        {
            alert("Please enter update issue");
            $("#text_update_issue1").focus();
            return 0;
        }
        
        $.ajax({
            url: SITEURL+"aj/tech-support/",
            method:"POST",        
            data: {REQUEST: 'save_issue_update_data1',update_text:update_text,issue_id:issue_id},
            beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
            success:function(response)
            {
                setTimeout(function()
                {
                    $(".rploader").fadeOut(800);
                    $("#text_update_issue1").val('');
                    $("#div_timeline1").empty();
                    if (!jQuery.isEmptyObject(response.history_data))
                    {
                        data = GenerateTimeline(response.history_data);
                        $("#div_timeline1").append(data);
                    }
                    setTimeout(function()
                    {
                        getActivityData();
                    },500);
                },1000);
            }
        });
  });
  

function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
}   

function BlankCloseResolvedElements()
{
    $("#combo_resolved_by").val("");
    $('#combo_resolved_by').select2();
    $("#resolved_date").val("");
    $("#combo_resolved_issue_how").val("");
    $('#combo_resolved_issue_how').select2();
    $("#text_resolution_notes").val("");
    setDropdownRequiredBackground();
}



function edit_record(selected_id,mode)
  {
    SetPopupBlank();
    $("#h_selectedid").val(selected_id);
    $.ajax({
        url: SITEURL+"aj/tech-support/",
        method:"POST",
        data: {REQUEST: 'get_Issue_data',issue_id:selected_id},
        beforeSend: function() 
        {
            $(".rploader").fadeIn(800);
        },
        success:function(response)
        {
        setTimeout(function()
        {
            $(".rploader").fadeOut(800);
            console.log(response);
            //if (!jQuery.isEmptyObject(response.issue_data))            
            //{
            if (!jQuery.isEmptyObject(response.issue_data[0]))
            {    
                $("#btn_close_resolve").prop("disabled",false);
                $("#lbl_issuenum").text(response.issue_data[0]['issue_id']);
                $("#lbl_created_date").text(response.issue_data[0]['creation_date']+' '+response.issue_data[0]['created_timezone']);
                $("#lbl_updated_date").text(response.issue_data[0]['last_update_date']+' '+response.issue_data[0]['updated_timezone']);
                $("#lbl_createdby").text(response.issue_data[0]['created_by']);
                $("#lbl_updatedby").text(response.issue_data[0]['last_udpated_by']);
                $("#combo_issue_priority").val(response.issue_data[0]['priority']);
                $('#combo_issue_priority').select2();                
                
                $("#combo_status").val(response.issue_data[0]['issue_status']);
                $('#combo_status').select2();
                
                $("#combo_requestor").val(response.issue_data[0]['requstor_empid']==0?'':response.issue_data[0]['requstor_empid']);
                $('#combo_requestor').select2();
                $("#combo_requestor").change();
                
                $("#combo_issue_type").val(response.issue_data[0]['issue_type']);
                $('#combo_issue_type').select2();
                $("#combo_issue_type").change();
                
                var ed = tinyMCE.get('textarea_shortdescription');
                // Do you ajax call here, window.setTimeout fakes ajax call
                ed.setProgressState(1); // Show progress
                window.setTimeout(function() {
                    ed.setProgressState(0); // Hide progress
                    ed.setContent(response.issue_data[0]['short_descr']);
                }, 3000);
                
                
                
                $("#combo_resolved_by").val(response.issue_data[0].resolved_by_id);  
                $('#combo_resolved_by').select2();
                $("#resolved_date").val(response.issue_data[0].resolved_date);  
                $("#combo_resolved_issue_how").val(response.issue_data[0].resolved_issue_how);  
                $('#combo_resolved_issue_how').select2();
                $("#text_resolution_notes").val(response.issue_data[0].resolved_reason); 

                if(response.issue_data[0].issue_status=="Closed")
                {
                    $("#div_close_resolve :input").prop("disabled", false);
                }
                else
                {
                    $("#div_close_resolve :input").prop("disabled", true);

                }

                var counter = 1;
                $('#table_issue_attachment tbody').empty();
                $.each( response.issue_data, function( key, value ) 
                {
                    if(value.file_name!='')
                    {
                        //'<td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td>'+
                        var attachment_url = "img/uploads/tech_support_attachment/"+value.file_name;
                        var row = '<tr id="attachment_row_id_'+counter+'">'+
                        '<td> <a href ="'+attachment_url+'" download>'+value.file_name+'<input type="hidden" value="'+value.attachment_id+'"></td>'+
                        '<td> '+value.file_format+'</td>'+
                        '<td>'+value.uploade_date+'</td>'+
                        '<td><button class="btn  btn-sm delete_record" type = "button" ><i class="fa fa-trash"></i></button></td>'+                                    
                        '</tr>';
                
                
                
                        text_attachment_title = value.attachment_title;
                        h_attachment_file_name = value.file_name;
                        h_attachment_file_format = value.file_format;
                        h_attachment_upload_date = value.uploade_date;


                        markup = '<tr id="attachment_row_id_'+counter+'"><td>'+counter+'</td><td>'+text_attachment_title+'<input type="hidden" class="form-control" id="text_attachment_title_'+counter+'" name="text_attachment_title_'+counter+'" value="'+text_attachment_title+'" /></td>'+
                                            '<td><a href ="'+attachment_url+'" download>'+h_attachment_file_name+'</a><input type="hidden" class="form-control" id="h_attachment_file_name_'+counter+'" name="h_attachment_file_name_'+counter+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+counter+'" name="h_attachment_file_format_'+counter+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+counter+'" name="h_attachment_upload_date_'+counter+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete_record1 delete-att-row" data-attachment_row_id="'+counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
                                    
                
                        $("#table_tech_support_attachment tbody").append(markup);
                        counter++;
                    }    
                });
                setDropdownRequiredBackground();

                $("#combo_issue_priority").focus();
                
                
                if(response.issue_data[0].current_user_id_email!=response.issue_data[0].created_by)
                {
                    $("#combo_issue_priority").select2({disabled:'readonly'});
                    $("#combo_status").select2({disabled:'readonly'});
                    $("#combo_requestor").select2({disabled:'readonly'});
                    $("#combo_issue_type").select2({disabled:'readonly'});
                    
                    var ed = tinyMCE.get('textarea_shortdescription');
                    ed.setMode('readonly');


                    //$("#issue_attachment").prop("readonly",true);
                    $('#cmd_support_attach').prop('disabled', true); 
                }
                
                else
                {
                    $("#combo_issue_priority").removeAttr("disabled");
                    $("#combo_status").removeAttr("disabled");
                    $("#combo_requestor").removeAttr("disabled");
                    $("#combo_issue_type").removeAttr("disabled");
                    
                    var ed = tinyMCE.get('textarea_shortdescription');
                    ed.setMode('contenteditable');
                    
                    //$("#issue_attachment").prop("readonly",true);
                    $('#cmd_support_attach').prop('disabled', false); 
                }
                
                if(response.issue_data[0].resolved_by_id!=0)
                {
                    $("#cmdSave").prop("disabled",true);
                    $("#cmdSave1").prop("disabled",true);
                    $("#btn_close_resolve").prop("disabled",true);
                    $("#cmdPost1").prop("disabled",true);
                }
                else if(response.issue_data[0].resolved_by_id==0)
                {
                    $("#cmdSave").prop("disabled",false);
                    $("#cmdSave1").prop("disabled",false);
                    $("#btn_close_resolve").prop("disabled",false);
                    $("#cmdPost1").prop("disabled",false);
                }
                
                
                
            }
            /*
            setTimeout(function()
            {
                show_issue_tracking_update_history();
            },500);*/
            $("#modal_new_issue").modal("show");
            getActivityData();
            
        },1000); 
            /*if(mode==0)
            {
                $("#form1 :input").prop("disabled", false);
            }
            else if(mode=1)
            {
                $("#form1 :input").prop("disabled", true);
            }*/
        }
    });
    
  }
  
  
  $("#cmdSave33,#cmdSave333").click(function()
  {
    
        var formdata = $('#form1').serialize();         
        var ed = tinyMCE.get('textarea_shortdescription');
        console.log(ed.getContent());
        var short_description = ed.getContent();
    
        $.ajax({
            url: SITEURL+"aj/tech-support/",
            method: "POST",
            data: {REQUEST: 'save_Issue_data',form1:formdata,short_description:short_description},
            success: function (response)
            {  
                $("#modal_new_issue").modal("hide");
                //location.reload(); 
                
            } 
        });    
  });
  
  $("#cmdSave,#cmdSave1").click(function()
{
    var flag = true;
    var combo_issue_priority = $("#combo_issue_priority").val();
    var combo_status = $("#combo_status").val();
    var combo_requestor = $("#combo_requestor").val();
    var combo_issue_type = $("#combo_issue_type").val();
    
    var selected_id = $("#h_issue_id").val();
    
    form_element_correct($("#span_requestor"));
    form_element_correct($("#span_issue_type"));
    if($("#combo_requestor").val()=="")
    {
        form_element_empty_err($("#span_requestor"));               
        flag = false;
        alert("Please select Issue Requestor");
        $("#combo_requestor").focus();
        return false;
    }
    if($("#combo_issue_type").val()=="")
    {
        form_element_empty_err($("#span_issue_type"));
        $("#combo_issue_type").focus();
        flag = false;
        return false;
    }
    
    //var short_description = $("#text_short_description").val();
    var ed = tinyMCE.get('textarea_shortdescription');    
    var short_description = ed.getContent();
    
    
    var h_selectedid = $("#h_selectedid").val();
    
    var resolved_by = $("#combo_resolved_by").val();
    var resolved_date = $("#resolved_date").val();
    var resolved_issue_how = $("#combo_resolved_issue_how").val();
    var resolution_notes = $("#text_resolution_notes").val();

    if($("#combo_status").val()=="Closed")
    {
      
        form_element_correct($("#span_resolved_by"));
        form_element_correct($("#span_resolved_issue_how"));
        form_element_correct($("#resolved_date"));
        form_element_correct($("#text_resolution_notes"));
        
        if(resolved_by == "")
        {
            form_element_empty_err($("#span_resolved_by"));   
            flag = false;
            alert("Please select Resolved by");
            $("#combo_resolved_by").focus();
            return false;
        }
        if(resolved_date == "")
        {
            form_element_empty_err($("#resolved_date"));   
            flag = false;
            alert("Please enter resolve date");
            $("#resolved_date").focus();
            return false;
        }
        if(resolved_issue_how == "")
        {
            form_element_empty_err($("#span_resolved_issue_how"));   
            flag = false;
            alert("Please select solution approach");
            $("#combo_resolved_issue_how").focus();
            return false;
        }
        if(resolution_notes == "")
        {
            form_element_empty_err($("#text_resolution_notes"));
            alert("Please enter resolution notes.");
            $("#text_resolution_notes").focus();
            flag = false;
            return false;
        }
    }
    var filename_list = [];
    var filentype_list = [];
    var attachment_title_list = [];
    $('#tbody_tech_support_attachment tr').each(function(n) 
    {
        filename_list.push($(this).find("td:eq(2)").text());
        filentype_list.push($(this).find("td:eq(3)").text());
        attachment_title_list.push($(this).find("td:eq(1)").text());
    });
    
    
    var TotalAttachmentCount = $('#tbody_tech_support_attachment tr').length;
    $("#h_attachment_cnt").val(TotalAttachmentCount);
    
    if (flag==true)
    {
        $.ajax({
            url: SITEURL+"aj/tech-support/",
            method: "POST",
            beforeSend: function() {
                $(".rploader").fadeIn(800);
			},
            data: {REQUEST: 'save_Issue_data',combo_issue_priority:combo_issue_priority,combo_status:combo_status,combo_requestor:combo_requestor,combo_issue_type:combo_issue_type,h_selectedid:h_selectedid,
                    short_description:short_description,resolved_by:resolved_by,resolved_date:resolved_date,resolved_issue_how:resolved_issue_how,resolution_notes:resolution_notes
                    ,filename_list:filename_list,filentype_list:filentype_list,attachment_title_list:attachment_title_list,attachment_count:$("#h_attachment_cnt").val()},
            success: function (response)
            {  
                setTimeout(function()
                {
                    $(".rploader").fadeOut(800);
                    if(response.succ==1)
                    {
                        alert("Thank you for submitting a support request. A Coexsys representative will respond to your ticket soon");
                        location.reload();                       
                    }
                },1000); 
            } 
        });
    }    
});
 $("#btn_close_resolve").click(function()
{
    $("#combo_status").val('Closed');
    $("#combo_status").select2();
    setDropdownRequiredBackground();
    $("#combo_status").change(); 
}); 
$("#combo_status").change(function()
{
    /* && $("#text_resolution_notes").val()=='' */
   if($(this).val()=="Closed" )   
   {   
        $('html, body, #modal_new_issue').animate(
         {
             scrollTop: $("#div_close_resolve").offset().top-500
         },2500,'linear');

        $("#div_close_resolve :input").prop("disabled", false);
        $("#msg_close_resolve_save").text("First fill Close & Resolve");
        $("#msg_close_resolve_save").show().delay(5000).fadeOut();
        $("#combo_resolved_by").focus();
   }
   else
   {
       $("#div_close_resolve :input").prop("disabled", true);
       BlankCloseResolvedElements();
   }
});
function getActivityData()
    {
        $.ajax({
            url: SITEURL+"aj/tech-support/",
            method: "POST",		
            data: {REQUEST: 'get_tech_support_issue_activity_trail',issue_id:$("#h_selectedid").val(),is_html:true},
            beforeSend: function() 
            {
                $("#results_tab_2").fadeOut(500);
                $(".loading-div").fadeIn(800);
            },
            success: function (response)
            { 
                
                setTimeout(function()
                {
                    show_issue_tracking_update_history();
                },500);
                setTimeout(function()
                {
                    $(".loading-div").hide();
                    $("#div_activity_trail").html(response);
                    $("#div_activity_trail").fadeIn(500);

                },1000);
            }
        });
    }



/******************/
(function($) {
	'use strict';
	if ($("#fileuploader").length) {
		
		var uploadObj = $("#fileuploader").uploadFile({
			url: SITEURL+"aj/upload-attachment/issue-tracking/tech_support/",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"image/*, application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
				var attachment_data_arr = data.split("~");
				$("#h_attachment_file_name").val(attachment_data_arr[0]);
				$("#h_attachment_file_format").val(attachment_data_arr[1]);
				$("#h_attachment_upload_date").val(attachment_data_arr[2]);
				$("#fileuploader input[type=file]").attr("disabled","disabled");
        	}
		});
	}
})(jQuery);

$("#cmd_support_attach").click(function(){
	form_element_correct($("#text_attachment_title"));
	form_element_correct($("#fileuploader"));
	
	
        var attach_counter = $('#table_tech_support_attachment tbody tr').length;
	var text_attachment_title 	= $("#text_attachment_title").val();
	var h_attachment_file_name	= $("#h_attachment_file_name").val();
	var h_attachment_file_format= $("#h_attachment_file_format").val();
	var h_attachment_upload_date= $("#h_attachment_upload_date").val();
        attach_counter = parseInt(attach_counter)+1;
        
	if(text_attachment_title==""){
		//alert("Please select attachment type.");
		form_element_empty_err($("#text_attachment_title"));
		return false;
	}else if(h_attachment_file_name=="" || h_attachment_file_format=="" || h_attachment_upload_date==""){
		//alert("Something went wrong. Please uplaod attachment file again.");
		form_element_empty_err($("#fileuploader"));
		return false;
	}else{
		var markup = '<tr id="attachment_row_id_'+attach_counter+'"><td>'+attach_counter+'</td><td>'+text_attachment_title+'<input type="hidden" class="form-control" id="text_attachment_title_'+attach_counter+'" name="text_attachment_title_'+attach_counter+'" value="'+text_attachment_title+'" /></td><td>'+h_attachment_file_name+'<input type="hidden" class="form-control" id="h_attachment_file_name_'+attach_counter+'" name="h_attachment_file_name_'+attach_counter+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+attach_counter+'" name="h_attachment_file_format_'+attach_counter+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+attach_counter+'" name="h_attachment_upload_date_'+attach_counter+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+attach_counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+attach_counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
		
		$("#tbody_tech_support_attachment").append(markup);
		
		//$("#projects_attachment_div").find(".brow").val("");
		//$("#combo_attachment_type").select2();
		$(".ajax-file-upload-container").html("");
		$("#fileuploader input[type=file]").removeAttr("disabled");
		attach_counter++;
                $("#text_attachment_title").val("");
		//$("#h_projects_attachment_cnt").val(h_projects_attachment_cnt);
		//$("#modal_msg_invoice_payments").text("");
	}
});

$(".delete-att-row").click(function()
{
    $(this).closest('tr').empty();
});

function deleteAttachmentRow(row_id){
	$("#"+row_id).remove();
	var h_client_attachment_cnt = $("#h_client_attachment_cnt").val();
	h_client_attachment_cnt--;
	$("#h_client_attachment_cnt").val(h_client_attachment_cnt);
}
$("#cmdSend").click(function()
{
    if($("#text_schedule_description").val()=="")
    {
        alert("Please enter description");
        $("#text_schedule_description").focus();
        return 0;
    }    
    if(!$("#text_schedule_phone").inputmask("isComplete") && $("#text_schedule_phone").val()!="")
    {
        alert("Please enter phone.");
        $("#text_schedule_phone").focus();
        return 0;
    }
    if($("#text_schedule_date").val()=="")
    {
        alert("Please enter schedule date.");
        $("#text_schedule_date").focus();
        return 0;
    }
    if($("#combo_schedule_timezone").val()=="")
    {
        alert("Please select timezone.");
        $("#combo_schedule_timezone").focus();
        return 0;
    }
    if($("#text_to_time").val()=="")
    {
        alert("Please enter time.");
        $("#text_to_time").focus();
        return 0;
    }
    
    
    var formdata   = $('#form_schedule').serialize();
    
    $.ajax({
        url: SITEURL+"aj/tech-support/",
        method: "POST",
        beforeSend: function() {
                $(".rploader").fadeIn(800);
        },
        data: {REQUEST: 'save_schedule_support',form1: formdata},
        success: function (response)
        {
            setTimeout(function()
            {
                alert("Your call schedule request has been received and confirmed. we will look forward to connecting as per the schedule");
                $(".rploader").fadeOut(800);
                ClearScheduleSupportElements();
                GetScheduleSupportData();
            },1000); 
        }
    }); 
    
});

function ClearScheduleSupportElements()
{
    $("#combo_schedule_reason").val("Technical Help");
    $("#combo_schedule_reason").select2();
    $("#text_schedule_description").val("");
    $("#text_schedule_phone").val("");
    $("#text_schedule_date").val("");
    $("#combo_schedule_timezone").val('<?php echo $default_timezone;?>');
    $("#combo_schedule_timezone").select2();
    $("#text_to_time").val("");
    $("#h_schedule_id").val("");
    setDropdownRequiredBackground();
}
function GetScheduleSupportData()
{
    $("#schedule_result").html("");
    $.ajax({
        url: SITEURL+"aj/tech-support/",
        method: "POST",
        beforeSend: function() 
        {
            $(".rploader").fadeIn(500);
            $("#schedule_result").fadeOut(500);
        },
        data: {REQUEST: 'get_schedule_support_data',is_html:true},
        success: function (response)
        { 
            setTimeout(function()
            {
                $(".rploader").fadeOut(500);
                $("#schedule_result").html(response.trim());
                $("#schedule_result").fadeIn(500);
                
                //dataTableCreateCommonOrderOff("table_schedule_support");            
                //$("#table_schedule_support_filter").hide();
                
                var table = $('#table_schedule_support').DataTable( {
                            "info": false,
                            "paging":false,				  
                            "autoWidth": false,
                            columnDefs: [ 
                                        { targets: [-1], orderable: false},   
                                        { "width": "7%", "targets": 0 },
                                        { "width": "7%", "targets": 1 },
                                        { "width": "10%", "targets": 2 },
                                        { "width": "10%", "targets": 3 },
                                        { "width": "10%", "targets": 4 },
                                        { "width": "10%", "targets": 5 },
                                        { "width": "5%", "targets": 6 }
                            ],
                            
                            "dom": 'lBfrtip',              
                            buttons: [                  
                                [
                                        'excel',
                                        
                                        {
                                            text: 'Email',
                                            action: function ( e, dt, node, config ) {
                                            //$("#modal_email").show(); 
                                            show_emaimodal();
                                            }
                                        }
                                ]]
                        }); 
        
                $('#table_schedule_support tfoot th.searc').each( function () {
                    var title = $(this).text();
                    $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
                });     
            
                // Apply the search
                table.columns().every( function () 
                    {
                    var that = this;
                    $( 'input', this.footer() ).on( 'keyup change', function () {
                        if ( that.search() !== this.value ) {
                            that
                                                .search( this.value )
                                                .draw();
                        }
                    });
                });
        
                var sortBy = 0;
                table.order([])
                    .draw();
        
                $("#table_schedule_support_filter").hide();
                $('[data-toggle="popover"]').popover();
                
            },500);
        }
    }); 
}

function show_excel_data()
{
    
   $('#table_schedule_support').dataTable({
        "destroy": true,
        "aaSorting":[],
    "bPaginate": false
});

   
$("#schedule_result").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Schedule a Call</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
                            exclude: ".noExl",
                            name: "Schedule a Call",
                            filename: "tech_support_schedule.xls",
                            fileext: ".xls",
                            preserveColors: true,
                            /*exclude_img: true,
                            exclude_links: true,
                            exclude_inputs: true*/
                    });
                    $(".texcl").remove();
                    
    setTimeout(function()
    {
            var table = $('#table_schedule_support').DataTable({				
            "aaSorting":[],
            "dom": 'lBfrtip',  
            "bPaginate": true,
            "destroy": true,columnDefs: [ 
                                    { targets: [-1], orderable: false},                    
                                    ],
            buttons: [                  
                [
                    {
                        text: 'Excel',
                        action: function ( e, dt, node, config ) {show_excel_data();}
                    },
                    'pdf',
                    'pdf'
               ]]
            }); 

            $('#table_schedule_support tfoot th.searc').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
            });     

            // Apply the search
            table.columns().every(function (){
                    var that = this;
                    $( 'input', this.footer() ).on( 'keyup change', function () {
                            if ( that.search() !== this.value ) {
                                    that
                                            .search( this.value )
                                            .draw();
                            }
                    });
            }); 

            $("#table_schedule_support_filter").hide();
    },1000);
}

function editSchedule(schedule_id)
{
    $(".rploader").fadeIn(800);
    setTimeout(function(){
    $(".rploader").fadeOut(800);
    ClearScheduleSupportElements();

    $("#combo_schedule_reason").val($("#combo_schedule_reason_"+schedule_id).text().trim());
    $("#combo_schedule_reason").select2();
    $("#text_schedule_description").val($("#text_schedule_description_"+schedule_id).text().trim());
    $("#text_schedule_phone").val($("#text_schedule_phone_"+schedule_id).text().trim());
    $("#text_schedule_date").val($("#text_schedule_date_"+schedule_id).text().trim());
    $("#combo_schedule_timezone").val($("#combo_schedule_timezone_"+schedule_id).text().trim());
    $("#combo_schedule_timezone").select2();
    $("#text_to_time").val($("#text_to_time_"+schedule_id).text().trim());        
    $("#h_schedule_id").val(schedule_id);
    
    setDropdownRequiredBackground();
    },1000);
}

function deleteSchedule(schedule_id)
{
    var r = confirm("Are you sure you want to delete?");
	if(r){
		$.ajax({
			url: SITEURL+"aj/tech-support/",
			method: "POST",
			data: {REQUEST: 'delete_schedule_data',schedule_id:schedule_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}
					ClearScheduleSupportElements();
                    GetScheduleSupportData();
				},1000);
			}
		});
	}
}
function deleteSchedule123(schedule_id)
{
    $.ajax({
        url: SITEURL+"aj/tech-support/",
        method:"POST",
        data: {REQUEST: 'get_tech_support_history_data',issue_id:issue_id},
        success:function(response1)
        {
            $("#text_update_issue1").focus();

            $("#div_timeline1").empty();
            console.log(response1);
            var data = "";
            if (!jQuery.isEmptyObject(response1.history_data))
            {
                data = GenerateTimeline(response1.history_data);
                $("#div_timeline1").append(data);
            }
            if (!jQuery.isEmptyObject(response1.attachment_data))
            {
                AttachmentTable(response1.attachment_data);
            }
        }
    });
}
    function show_issue_tracking_update_history()
    {
      var issue_id = $("#h_selectedid").val();

      $.ajax({
        url: SITEURL+"aj/tech-support/",
        method:"POST",
        data: {REQUEST: 'get_tech_support_history_data',issue_id:issue_id},
        success:function(response1)
        {
            $("#text_update_issue1").focus();

            $("#div_timeline1").empty();
            console.log(response1);
            var data = "";
            if (!jQuery.isEmptyObject(response1.history_data))
            {
                data = GenerateTimeline(response1.history_data);
                $("#div_timeline1").append(data);
            }
           /* if (!jQuery.isEmptyObject(response1.attachment_data))
            {
                AttachmentTable(response1.attachment_data);
            }*/
        }
      });
    }
    
    function AttachmentTable(attachment_data)
    {
        var markup = "";
        var attach_counter = 1;
        $('#table_issue_attachment tbody').empty();
        $.each( attachment_data, function( key, value ) 
        {
            
            //row = "<tr><td>"+seq+"</td><td>"+value.attachment_title+"</td><td>"+value.file_name+"</td><td>"+value.file_format+"</td><td>"+value.creation_date+"</td><td"
            text_attachment_title = value.attachment_title;            
            h_attachment_file_name = value.file_name;
            h_attachment_file_format = value.file_format;
            h_attachment_upload_date = value.creation_date;
            markup = '<tr id="attachment_row_id_'+attach_counter+'"><td>'+attach_counter+'</td><td>'+text_attachment_title+'<input type="hidden" class="form-control" id="text_attachment_title_'+attach_counter+'" name="text_attachment_title_'+attach_counter+'" value="'+text_attachment_title+'" /></td><td>'+h_attachment_file_name+'<input type="hidden" class="form-control" id="h_attachment_file_name_'+attach_counter+'" name="h_attachment_file_name_'+attach_counter+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+attach_counter+'" name="h_attachment_file_format_'+attach_counter+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+attach_counter+'" name="h_attachment_upload_date_'+attach_counter+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+attach_counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+attach_counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
            $("#tbody_tech_support_attachment").append(markup);
            attach_counter++;
        });
    }
    function GenerateTimeline(history_data)
  {
      
     var div_data = ""; 
    $.each( history_data, function( key, value ) 
    {
        var inverted_class = "";
        if(key%2==1)
        {
            inverted_class = "timeline-wrapper-success timeline-inverted";
        }
        else 
        {
            inverted_class = "timeline-wrapper-warning ";
        }
        var img_src = "";
        if (value.image_name=="")
        {
            img_src = SITEURL+"images/faces/default_face.png";
        }
        else
        {
            img_src = SITEURL+"img/uploads/user_images/"+value.image_name;
        } 
        data = "";
        data += '<div class="timeline-wrapper '+inverted_class+'">';
        data += '<div class="timeline-badge"></div>';
        data += '<div class="timeline-panel">';

        data += '<div class="timeline-heading">';
        data += '<div class="d-flex align-items-center pb-3 border-bottom">';
        data += '<img class="img-sm rounded-circle" src="'+img_src+'" alt="profile">';
        data += '<h6 class=" pl-3 timeline-title">Date: '+value.creation_date+'<br>'+value.created_timezone+'</h6>';
        data += '</div>';
        data += '</div>';


        data += '<div class="timeline-body pt-3">';
        data += '<h6 class="timeline-title"><label class="text-secondary">'+value.last_udpated_by+'</label> Updated</h6>';
        data += '<p>'+ value.update_issue+'</p>';        
        data += '</div>';

        data += '</div>';
        data += '</div>';
        div_data += data;
        //$("#div_timeline").append(data);
    });
    return div_data;
  }
  
  $("#combo_requestor").change(function()
  {  
      if($("#combo_requestor").val()!='')
      {
          form_element_correct($("#span_requestor"));
      }
      
  });
  
  
  
  $("#combo_issue_type").change(function()
  {  
      if($("#combo_issue_type").val()!='')
      {
          form_element_correct($("#span_issue_type"));
      }
  });
  
  $("#combo_resolved_by").change(function()
  {  
      if($("#combo_resolved_by").val()!='')
      {
          form_element_correct($("#span_resolved_by"));
      }
  });
  
  $("#resolved_date").change(function()
  {  
      if($("#resolved_date").val()!='')
      {
          form_element_correct($("#resolved_date"));
      }
  });
  
  $("#combo_resolved_issue_how").change(function()
  {  
      if($("#combo_resolved_issue_how").val()!='')
      {
          form_element_correct($("#span_resolved_issue_how"));
      }
  });
  
  
  $("#text_resolution_notes").change(function()
  {  
      if($("#text_resolution_notes").val()!='')
      {
          form_element_correct($("#text_resolution_notes"));
      }
  });
  
  
$("#cmdNewSchedule").click(function()
{
    ClearScheduleSupportElements();
});


$("#schedule-tab").click(function()
{
    ClearScheduleSupportElements();
});
</script>
<!--Start of Tawk.to Script-->

<script type="text/javascript">
var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/60f97dd7d6e7610a49ac80b5/1fb7975fp';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
})();
</script>
<!--End of Tawk.to Script-->
</body>

</html>
