<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Time Tracking Create/View Task</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Time Tracking</li>
										<li class="breadcrumb-item">Create/View Task</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="d-flex flex-wrap justify-content-between">
									<h4 class="card-title mb-3 mt-2">Create/View Task</h4>
									<!--<button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>-->
								</div>
								<?php
								if($_SESSION['login_user_array']['user_role']!="User"){
								?>
								<form id="task_form" action="" method="post">
									<input type="hidden" id="h_task_id" name="h_task_id" value="">
									<div class="row">
										<div class="col-md-4">
											<div class="form-group">
												<label>Task</label>
												<input typ="text" class="form-control requirefieldcls brow" id="text_task_name" name="text_task_name" style="text-transform: uppercase;">
											</div>
										</div>
										<div class="col-md-2">
											<div class="form-group">
												<label>Start Date</label>
												<input type="text" class="form-control requirefieldcls brow form_datetime" id="text_task_start_date" name="text_task_start_date">
											</div>
										</div>
										<div class="col-md-2">
											<div class="form-group">
												<label>Status</label>
												<select class="js-example-basic-single requirefieldcls brow" id="combo_task_status" name="combo_task_status" style="width:100%;">
													<option value="Active">Active</option>
													<option value="Inactive">Inactive</option>
												</select>
											</div>
										</div>
										<!-- <div class="col-md-2">
											<div class="form-group">
												<label>Type</label>
												<select class="js-example-basic-single requirefieldcls brow" name="combo_task_type" id="combo_task_type" style="width:100%;">
													<option value="Manual">Manual</option>
													<option value="Stopwatch">Stopwatch</option>
												</select>
											</div>
										</div> -->
										<div class="col-md-2 mt-4">
											<button type ="button" class="btn btn-primary mt-1" id="cmd_time_tracking_task_save">Save</button>
										</div>
									</div>
								</form>
								<?php
								}
								?>
								<div class="row">
									<div class="col-md-12">
										<div class="text-center">
											<div class="loading-div-time_tracking_tasks">
												<img src="<?php echo SITEURL; ?>images/891.gif" alt="Loading...">
											</div>
										</div>
										<div id="results_time_tracking_tasks" class=""></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script type="text/javascript" src="<?php echo SITEURL; ?>js/jquery.numeric.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<!-- endinject -->
<script>
$(document).ready(function(){
	$('.form_datetime').datepicker({
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true
	});
	/************************************/
	getTimeTrackingTasksData();
});
/******************************************/
function getTimeTrackingTasksData(){
	
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		data: {REQUEST: 'get_time_tracking_tasks_data',is_html:true},
		beforeSend: function() {
			$("#results_time_tracking_tasks").fadeOut(500);
			$(".loading-div-time_tracking_tasks").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$(".loading-div-time_tracking_tasks").hide();
				$("#results_time_tracking_tasks").html(response);
				$("#results_time_tracking_tasks").fadeIn(500);
				var table = $('#table_time_tracking_tasks').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0,-1], orderable: false},                    
						],
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_time_tracking_tasks tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
												.search( this.value )
												.draw();
						}
					});
				});
				
				var sortBy = 0;
				table.order([sortBy, 'asc'])
					.draw();
				
				$("#table_time_tracking_tasks_filter").hide();
				/**/
				$('[data-toggle="popover"]').popover();
			},1000);
		}
	});
}
$("#cmd_time_tracking_task_save").click(function (){
	var flag = true;
	
	form_element_correct($("#text_task_name"));
	form_element_correct($("#text_task_start_date"));
	
	if($("#text_task_name").val()==""){
		form_element_empty_err($("#text_task_name"));               
		flag = false;
	}
	if($("#text_task_start_date").val()==""){
		form_element_empty_err($("#text_task_start_date"));               
		flag = false;
	}
	
	var formdata 		= $('#task_form').serialize(); 
	var task_id 		= $("#h_task_id").val();
	
	if(flag == true){
		$.ajax({
			url: SITEURL+"aj/time-tracking/",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_time_tracking_tasks_data',form1: formdata,task_id1:task_id},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again.");
					}else{
						$("#task_form").find(".brow").val("");
						$("#h_task_id").val("");
						$("#combo_task_status").select2("destroy");
						$("#combo_task_status").val("Active");
						//$("#combo_task_type").val("Manual");
						$("#combo_task_status").select2();
						getTimeTrackingTasksData();
					}   
				},1000); 
			}
		});
	}
});
function editTimeTrackingTasks(task_id){
	$("#h_task_id").val(task_id);
	
	$("#combo_task_status").select2("destroy");
	
	$("#text_task_name").val($("#text_task_name_"+task_id).text().trim());
	$("#text_task_start_date").val($("#text_task_start_date_"+task_id).text().trim());
	//alert($("#text_task_start_date_"+task_id).text().trim());
	$("#combo_task_status").val($("#combo_task_status_"+task_id).text().trim());
	//$("#combo_task_type").val($("#combo_task_type_"+task_id).text().trim());
	
	$("#combo_task_status").select2();
}
</script>
</body>
</html>
