<?php
    require_once "conn.php";
    check_login();
    if (CheckCommonSetupEntries()==0)
    {
        header("location:admin.php");
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Time Tracking Feeds</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
  
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
  
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
</head>

 <body class="sidebar-light sidebar-icon-only">
    <div class="container-scroller">
      <!-- partial:partials/_navbar.html -->
      <?php include_once("top.php"); ?>
      <!-- partial -->
        <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_settings-panel.html -->
        <?php include_once("left.php");  ?>
        <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">                
                    <div class="row">                        
                        <div class="col-lg-12 grid-margin">                            
                            <div class="card">
                                <div class="card-body">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                          <li class="breadcrumb-item">Time Tracking</li>
                                          <li class="breadcrumb-item">Feeds</li>
                                        </ol>
                                    </nav>                                    
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Total of Hours Breakdown by Project</h4>                                         
                                        <button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                    </div>
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div>
                                            <div class="d-md-flex mb-4">
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Straight Time
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Overtime
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Leaves
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>

                                                <div class="mr-5 mb-4 mt-2">
                                                    <i class="fa fa-refresh"></i>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        
                                        <div class="mr-5 mb-4">
                                            <button type="button" class="btn btn-primary btn-sm pr-3">Previous 5</button> 
                                            <button type="button" class="btn btn-primary btn-sm ">Next 5</button>
                                        </div>
                                        
                                    </div>
                                    
                                    
                                    
                                    <div class="d-md-flex mb-4">
                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_chart_1" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_chart_2" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_chart_3" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_chart_4" class="chart_feeds_menu"></div>
                                        </div>
                                        
                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_chart_5" class="chart_feeds_menu"></div>
                                        </div>
                                        
                                    </div>
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>
                        
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Hours by Team</h4>                                         
                                        <button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                    </div>
                                    
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div>
                                            <div class="d-md-flex mb-4">
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Straight Time
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Overtime
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Leaves
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>

                                                <div class="mr-5 mb-4 mt-2">
                                                    <i class="fa fa-refresh"></i>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        
                                        <div class="mr-5 mb-4">
                                            <button type="button" class="btn btn-primary btn-sm pr-3">Previous 5</button> 
                                            <button type="button" class="btn btn-primary btn-sm ">Next 5</button>
                                        </div>
                                        
                                    </div>
                                    
                                    
                                    <div class="d-md-flex mb-4">
                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_team_chart1" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_team_chart2" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_team_chart3" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_team_chart4" class="chart_feeds_menu"></div>
                                        </div>
                                        
                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_team_chart5" class="chart_feeds_menu"></div>
                                        </div>
                                        
                                    </div>
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>
                        
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Hours by Pay Period</h4>                                         
                                        <button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                    </div>
                                    
                                    
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div>
                                            <div class="d-md-flex mb-4">
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Straight Time
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Overtime
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Leaves
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>

                                                <div class="mr-5 mb-4 mt-2">
                                                    <i class="fa fa-refresh"></i>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        
                                        <div class="mr-5 mb-4">
                                            <button type="button" class="btn btn-primary btn-sm pr-3">Previous 5</button> 
                                            <button type="button" class="btn btn-primary btn-sm ">Next 5</button>
                                        </div>
                                        
                                    </div>
                                    
                                    <div class="d-flex">
                                        <img class="img-sm rounded-circle mb-md-0 mr-2" src="images/faces/face3.jpg" alt="profile image">
                                        <div class="pt-3 pl-3"><h3>John Smith</h3></div>
                                    </div>
                                    
                                    <div class="d-md-flex mb-4">
                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_payperiod_chart1" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_payperiod_chart2" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_payperiod_chart3" class="chart_feeds_menu"></div>
                                        </div>

                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_payperiod_chart4" class="chart_feeds_menu"></div>
                                        </div>
                                        
                                        <div class="mr-5 mb-4 w-20">
                                            <div id="hours_by_payperiod_chart5" class="chart_feeds_menu"></div>
                                        </div>
                                        
                                    </div>
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Hours by Time Entry Status</h4>                                         
                                        <button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                    </div>
                                    
                                    
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div>
                                            <div class="d-md-flex mb-4">
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Straight Time
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Overtime
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>
                                                <div class="mr-5 mb-4">
                                                    <div class="form-check">
                                                        <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input" id="check_observed">
                                                            Leaves
                                                          <i class="input-helper"></i>
                                                        <i class="input-helper"></i><i class="input-helper"></i></label>
                                                    </div>
                                                </div>

                                                <div class="mr-5 mb-4 mt-2">
                                                    <i class="fa fa-refresh"></i>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        
                                        <div class="mr-5 mb-4">
                                            <button type="button" class="btn btn-primary btn-sm pr-3">Previous 5</button> 
                                            <button type="button" class="btn btn-primary btn-sm ">Next 5</button>
                                        </div>
                                        
                                    </div>
                                    
                                    <div class="d-flex">
                                        <img class="img-sm rounded-circle mb-md-0 mr-2" src="images/faces/face3.jpg" alt="profile image">
                                        <div class="pt-3 pl-3"><h3>John Smith</h3></div>
                                    </div>
                                    
                                    <div class="d-md-flex mb-4">
                                        <div class=" mb-4  w-100">
                                            <div id="hours_by_timeentry_chart" class="flot-chart"></div>
                                        </div>
                                    </div>
                                    
                                    
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-xl-12 d-flex grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <h4 class="card-title mb-3 mt-2 ml-3">Title</h4>                                         
                                        <button type="button" class="btn mt-2 pt-0 ml-0 pl-0 mr-0 pr-0"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
                                    </div>
                                    
                                    <div class="table-responsive">
                                        <table class="table table-striped">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>

                                                              <p class="text-muted">January 27 at 04:40 PM</p>
                                                            </div>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        <div class="message-body">
                                                            <div class="sender-details">
                                                                <img class="img-sm rounded-circle mr-3" src="images/faces/face1.jpg" alt="">
                                                                <div class="details">
                                                                    <p class="sender-email">
                                                                      Ruchir Vaishnav
                                                                      <a href="#">ruchir@dgs.com</a>
                                                                      &nbsp;<i class="typcn typcn-user-multiple-plus"></i>
                                                                    </p>
                                                                    <p class="msg-subject" title="Subject Line">
                                                                        aaron.airozo has updated the Title of a Task in AD ETS Strategic Goals 2020
                                                                    </p>
                                                                </div>
                                                            </div>
                                                            <div class="message-content">
                                                              <p>Hi ,</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p>AE3-T3 ETS Goal 3 - Feasibility Analysis for Technology Platform Transformation Conduct a feasibility and business continuity analysis for the replacement of the DGS HR Legacy platform that ETS uses to support DGS applications and databases and moving them to a modern technology.</p>
                                                              <p><br><br>Regards,<br></p>
                                                            </div>
                                                            <p class="text-muted">January 27 at 04:40 PM</p>
                                                            <div class="attachments-sections text-right" style="font-size: xx-large;cursor:pointer">
                                                                <i class="typcn typcn-link"></i>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>


                                            </tbody>
                                        </table>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>    
                        
                        
                    </div>
                </div>
            </div>    
        </div>    
    </div>
        <!-- main-panel ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
  <!-- base:js -->
  
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>  
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>  
  <script src="js/tooltips.js"></script>
  <script src="js/popover.js"></script>
  
    <script src="datatables.net/jquery.dataTables.js"></script>
    <script src="datatables.net-bs4/dataTables.bootstrap4.js"></script> 

    <link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
    <script src="datatables.net-bs4/dataTables.buttons.min.js"></script>  
    <script src="datatables.net-bs4/jszip.min.js"></script> 
    <script src="datatables.net-bs4/buttons.html5.min.js"></script>  
    <script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
    <script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
    <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    
    <script src="vendors/raphael/raphael.min.js"></script>
    <script src="vendors/morris.js/morris.min.js"></script>
    
    
    <!-- plugin js for this page -->
  <script src="vendors/flot/jquery.flot.js"></script>
  <script src="vendors/flot/jquery.flot.resize.js"></script>
  <script src="vendors/flot/jquery.flot.categories.js"></script>
  <script src="vendors/flot/jquery.flot.fillbetween.js"></script>
  <script src="vendors/flot/jquery.flot.stack.js"></script>
  
  
  <!-- End plugin js for this page -->
    
     <script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
  <!-- endinject -->  
    <script>
       
    if ($("#hours_chart_1").length) {
    Morris.Bar({
      element: 'hours_chart_1',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'Project1',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_chart_2").length) {
    Morris.Bar({
      element: 'hours_chart_2',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'Project2',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_chart_3").length) {
    Morris.Bar({
      element: 'hours_chart_3',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'Project3',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_chart_4").length) {
    Morris.Bar({
      element: 'hours_chart_4',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'Project4',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_chart_5").length) {
    Morris.Bar({
      element: 'hours_chart_5',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'Project5',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    
    if ($("#hours_by_team_chart1").length) {
    Morris.Bar({
      element: 'hours_by_team_chart1',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'John Smith',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_by_team_chart2").length) {
    Morris.Bar({
      element: 'hours_by_team_chart2',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'John Smith',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_by_team_chart3").length) {
    Morris.Bar({
      element: 'hours_by_team_chart3',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'John Smith',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_by_team_chart4").length) {
    Morris.Bar({
      element: 'hours_by_team_chart4',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'John Smith',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_by_team_chart5").length) {
    Morris.Bar({
      element: 'hours_by_team_chart5',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'John Smith',
          a: 100,
          b: 90,
          c:65
        },
        
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    
    if ($("#hours_by_payperiod_chart1").length) {
    Morris.Bar({
      element: 'hours_by_payperiod_chart1',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'January',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'February',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'March',
          a: 80,
          b: 90,
          c:65
        },
        {
          y: 'April',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'May',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'June',
          a: 100,
          b: 90,
          c:65
        },
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_by_payperiod_chart2").length) {
    Morris.Bar({
      element: 'hours_by_payperiod_chart2',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'January',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'February',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'March',
          a: 80,
          b: 90,
          c:65
        },
        {
          y: 'April',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'May',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'June',
          a: 100,
          b: 90,
          c:65
        },
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    if ($("#hours_by_payperiod_chart3").length) {
    Morris.Bar({
      element: 'hours_by_payperiod_chart3',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'January',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'February',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'March',
          a: 80,
          b: 90,
          c:65
        },
        {
          y: 'April',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'May',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'June',
          a: 100,
          b: 90,
          c:65
        },
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    
    
    
    if ($("#hours_by_payperiod_chart4").length) {
    Morris.Bar({
      element: 'hours_by_payperiod_chart4',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'Jan',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'Feb',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'Mar',
          a: 80,
          b: 90,
          c:65
        },
        {
          y: 'Apr',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'May',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'Jun',
          a: 100,
          b: 90,
          c:65
        },
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
    
    if ($("#hours_by_payperiod_chart5").length) {
    Morris.Bar({
      element: 'hours_by_payperiod_chart5',
      barColors: ['#63CF72', '#F36368', '#76C1FA', '#FABA66'],
      data: [{
          y: 'January',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'February',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'March',
          a: 80,
          b: 90,
          c:65
        },
        {
          y: 'April',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'May',
          a: 100,
          b: 90,
          c:65
        },
        {
          y: 'June',
          a: 100,
          b: 90,
          c:65
        },
      ],
      xkey: 'y',
      ykeys: ['a', 'b','c'],
      labels: ['Straight Time', 'Overtime','Leaves']
    });
    }
    
   (function($) {
  'use strict';  
  $.contextMenu({
    selector: '.chart_feeds_menu',
    callback: function(key, options) 
    {
      
    },
    items: {
      "run_report": {name: "Run Report"},      
      "send_to": {name: "Send Message To",
          "items": {
              "JohnSmith1": {"name": "John Smith"},
              "JohnSmith2": {"name": "John Smith"},
              
            }
        },
      "announcement": {name: "Announcement"},
      "enter_time": {name: "Enter Time"},
      "approve_time": {name: "Approve Time"},
  }
  });
  })(jQuery);
  
  
  /*---------------------
   ----- Stacked Bar CHART -----
   ---------------------*/

  var d1 = [
    [0, 30],
    [1, 35],
    [2, 35],
    [3, 30],
    [4, 30],
    [5, 30],
    [6, 35],
    [7, 33],
    [8, 34],
    [9, 33],
    [10, 32],
    [11, 50]
  ];
  var d2 = [
    [0, 50],
    [1, 40],
    [2, 45],
    [3, 60],
    [4, 50],
    [5, 33],
    [6, 36],
    [7, 31],
    [8, 32],
    [9, 36],
    [10, 40],
    [11, 20]
  ];
  var d3 = [
    [0, 40],
    [1, 50],
    [2, 35],
    [3, 25],
    [4, 40],
    [5, 30],
    [6, 32],
    [7, 50],
    [8, 35],
    [9, 33],
    [10, 40],
    [11, 50]
  ];

  var stackedData = [{
      data: d1,
      color: "#76C1FA"
    },
    {
      data: d2,
      color: "#63CF72"
    },
    {
      data: d3,
      color: "#F36368"
    }
  ];
  if ($("#hours_by_timeentry_chart").length) {
      $.plot("#hours_by_timeentry_chart", stackedData, {
        series: {
          stack: 0,
          lines: {
            show: false,
            fill: true,
            steps: false
          },
          bars: {
            show: true,
            fill: true,
            barWidth: 0.6
          },
        },
        grid: {
          borderWidth: 0,
          labelMargin: 10,
          hoverable: true,
          clickable: true,
          mouseActiveRadius: 6,
        },
        
      }
        
        );
    }
  
    </script>
</body>

</html>
