<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:admin.php");
}
$employee_id 	= 0;

$user_role 		= $_SESSION['login_user_array']['user_role'];

if($user_role=='Manager'){
	$employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Time Tracking Feeds</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Time Tracking</li>
										<li class="breadcrumb-item active" aria-current="page">Feeds</li>
									</ol>
								</nav>
								<div class=" border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-3">
										<h4 class="card-title mb-3">Timesheet Reports</h4>
										<div class="form-inline pt-3">
											<button class="btn btn-primary btn-icon" title="Filter Expense Reports" id="cmdBtnFeedFilter"><i class="fa fa-filter"></i> </button>
										</div>
									</div>
									<?php //include("exp-recent-exp-report.php"); ?>
									<div class="loading-div">
										<img src="images/891.gif" alt="" style="margin-bottom: 10%;;margin-top:10%;padding-left:48%;" >
									</div>
									<div id="results_recent_timesheet_report" class=""></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xl-6 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class=" border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-2 ">
										<h4 class="card-title mb-3">Timesheet by Pay Periods</h4>
									</div>
									<div class="row pb-2">
										<div class="col-xl-5 mt-2 text-right">Pay Period</div>
										<div class="col-xl-5 pl-0">
											<?php
											$default_pay_period = date('M-Y');
											?>
											<select class="js-example-basic-single" id="combo_chart_pay_period" style="width:100%;" onChange="updateChart(this.value,'pieChart_timesheet_by_pay_period');">
												<option value="<?php echo $default_pay_period; ?>"><?php echo $default_pay_period; ?></option>
											</select>
										</div>
									</div>
									<div class="row ml-0 mr-0 pb-2">
										<div class="col-xl-12 border pt-2 pb-2 pl-2 pr-2" id="chartContainer">
											
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-xl-6 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class=" border pt-3 pb-3 pl-3 pr-3">
									<div class="d-flex flex-wrap justify-content-between pb-2 ">
										<h4 class="card-title mb-3">Timesheet by Project</h4>
										<button type="button" class="btn pl-0 pr-0 cl_exp_report" id = "btnExpProject"><i class="fa fa-external-link" style="font-size: 20px;"></i></button>
									</div>
									<div class="row pb-2">
										<div class="col-xl-2 mt-2 text-right">Project</div>
										<div class="col-xl-5 pl-0">
											<select class="js-example-basic-single" id="combo_project_id" style="width:100%;" onChange="updateChart2();">
												<option value="">--Please Select--</option>
												<?php
												$selectQuery 	= "SELECT * FROM `cxs_projects` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY project_number";
												$RunUserQuery	= mysqli_query($conn, $selectQuery);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
														$project_id		= $rows['project_id'];
														$project_number	= $rows['project_number'];
														$project_name	= $rows['project_name'];
													?>
													<option value="<?php echo $project_id; ?>"><?php echo $project_number.":".$project_name; ?></option>
													<?php
													}
												}
												?>
											</select>
										</div>
										<div class="col-xl-2 mt-2 text-right">Pay Period</div>
										<div class="col-xl-3 pl-0">
											<?php
											$default_pay_period = date('M-Y');
											?>
											<select class="js-example-basic-single" id="combo_chart_pay_period2" style="width:100%;" onChange="updateChart2();">
												<option value="<?php echo $default_pay_period; ?>"><?php echo $default_pay_period; ?></option>
											</select>
										</div>
									</div>
									<div class="row ml-0 mr-0 pb-2">
										<!--<div class="col-xl-12 border pt-2 pb-2 pl-2 pr-2">
											<canvas class = "cl_exp_report" id="pieChart_timesheet_project_project1" style="cursor: pointer;"></canvas>
										</div>-->
										<div class="col-xl-12 border pt-2 pb-2 pl-2 pr-2" id="chartContainer2">
											
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /*****************Modal Area*****************/ ?>
<div class="modal fade" id="feed_filter_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg mt-5" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Filter</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div class="align-items-stretch exp-spend-analysis" id="feed_filter_modal_area">
					<div class="mail-list-container bg-white">
						<div class="mail-list mt-4">
							<div class="row">
								<?php if($user_role!="User"){ ?>
								<div class="col-md-3 col-centered">
									<div class="exp-spend-analysis-left border-left border-right border-bottom">
										<div class="left-title">
											<div class="form-check">
												<label class="form-check-label">
												<input type="checkbox" class="form-check-input check_all" data-cls="check_all_emp" name="check_all_emp" id="check_all_emp" <?php if($user_role=="Manager"){ ?> checked <?php } ?>>
												By Employee<i class="input-helper"></i>
												</label>
											</div>
										</div>
										<div class="add-items d-flex">
											<input type="text" id="text_search_by_emp" name="text_search_by_emp" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_emp">
										</div>
										<div class="new-list-wrapper">
											<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_emp">
												<?php
												$where = " WHERE company_id='".$_SESSION['login_user_array']['company_id']."'";
												if($user_role=="Manager"){
													$where .= " AND (supervisor_id='".$employee_id."' OR user_id='".$_SESSION['login_user_array']['user_id']."')";
												}else if($user_role=="User"){
													$where .= " AND user_id='".$_SESSION['login_user_array']['user_id']."'";
												}
												$selectQuery 	= "SELECT * FROM `cxs_employee` $where ORDER BY first_name ASC";		
												$RunUserQuery	= mysqli_query($conn, $selectQuery);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
														$user_id 	= $rows["user_id"];
														$employee_id= $rows["employee_id"];
														$full_name 	= $rows["first_name"]." ".$rows["last_name"];
														
													?>
													<li class="<?php echo strtolower(str_replace(" ","-",$full_name)); ?>">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_emp check_single" data-single_cls="check_all_emp" type="checkbox" name="check_employee_user_id" value="<?php echo $user_id; ?>" <?php if($user_role=="Manager"){ ?> checked <?php } ?>>
																<?php echo $full_name; ?>
															</label>
														</div>
													</li>
													<?php 
													}
												}
												?>
											</ul>
										</div>
									</div>
								</div>
								<?php } ?>
								<div class="col-md-3 col-centered">
									<div class="exp-spend-analysis-left border-left border-right border-bottom">
										<div class="left-title">
											<div class="form-check">
												<label class="form-check-label">
												<input type="checkbox" class="form-check-input check_all" data-cls="check_all_pay_period" name="check_all_pay_period" id="check_all_pay_period">
												By Pay Period<i class="input-helper"></i>
												</label>
											</div>
										</div>
										<div class="add-items d-flex">
											<input type="text" id="text_search_by_exp_type" name="text_search_by_exp_type" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_pay_period">
										</div>
										<div class="new-list-wrapper">
											<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_pay_period">
												<?php
												$selectQuery 	= "SELECT DISTINCT pay_period FROM `cxs_time_entry_header` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY pay_period ASC";
												$RunUserQuery	= mysqli_query($conn, $selectQuery);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
														$pay_period	= stripslashes($rows['pay_period']);
													?>
													<li class="<?php echo strtolower(str_replace(" ","-",$pay_period)); ?>">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_pay_period check_single" data-single_cls="check_all_pay_period" type="checkbox" name="check_pay_period" value="<?php echo $pay_period; ?>" <?php if($pay_period==$default_pay_period){ ?> checked <?php } ?>>
																<?php echo $pay_period; ?>
															</label>
														</div>
													</li>
													<?php 
													}
												}
												?>
											</ul>
										</div>
									</div>
								</div>
								<div class="col-md-3 col-centered">
									<div class="exp-spend-analysis-left border-left border-right border-bottom">
										<div class="left-title">
											<div class="form-check">
												<label class="form-check-label">
												<input type="checkbox" class="form-check-input check_all" data-cls="check_all_status" name="check_all_status" id="check_all_status" <?php if($user_role=="Manager"){ ?> checked <?php } ?>>
												By Status<i class="input-helper"></i>
												</label>
											</div>
										</div>
										<div class="add-items d-flex">
											<input type="text" id="text_search_by_exp_type" name="text_search_by_status" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_status">
										</div>
										<div class="new-list-wrapper">
											<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_status">
												<?php
												$selectQuery 	= "SELECT DISTINCT action_type FROM `cxs_time_entry_approval_activity` WHERE company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY action_type DESC";
												$RunUserQuery	= mysqli_query($conn, $selectQuery);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
														$action_type	= ucwords(strtolower($rows['action_type']));
													?>
													<li class="<?php echo strtolower(str_replace(" ","-",$action_type)); ?>">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_status check_single" data-single_cls="check_all_status" type="checkbox" name="check_status" value="<?php echo $action_type; ?>" <?php if($user_role=="Manager"){ ?> checked <?php } ?>>
																<?php echo $action_type; ?>
															</label>
														</div>
													</li>
													<?php 
													}
												}
												?>
											</ul>
										</div>
									</div>
								</div>
								<?php if($user_role=="Admin"){ ?>
								<div class="col-md-3 col-centered">
									<div class="exp-spend-analysis-left border-left border-right border-bottom">
										<div class="left-title">
											<div class="form-check">
												<label class="form-check-label">
												<input type="checkbox" class="form-check-input check_all" data-cls="check_all_approver" name="check_all_approver" id="check_all_approver">
												By Approver<i class="input-helper"></i>
												</label>
											</div>
										</div>
										<div class="add-items d-flex">
											<input type="text" id="text_search_by_emp" name="text_search_by_approver" class="form-control todo-list-input search_txt" data-search_ul_id="check_list_by_approver">
										</div>
										<div class="new-list-wrapper">
											<ul class="d-flex flex-column todo-list todo-list-custom" id="check_list_by_approver">
												<?php
												//$selectQuery 	= "SELECT * FROM `cxs_employee` WHERE employee_id IN (SELECT DISTINCT supervisor_id FROM `cxs_employee` WHERE supervisor_id!=0)";
												$selectQuery 	= "SELECT * FROM `cxs_user` WHERE user_id IN (SELECT User_Id FROM `cxs_expense_approval_emp` WHERE cxs_expense_approval_emp.User_Id=cxs_user.user_id AND cxs_expense_approval_emp.Expense_Approval_Flag='Y') AND company_id='".$_SESSION['login_user_array']['company_id']."' ORDER BY full_name ASC";
												$RunUserQuery	= mysqli_query($conn, $selectQuery);
												$StdNumRows 	= mysqli_num_rows($RunUserQuery);
												if($StdNumRows>0){
													while($rows=mysqli_fetch_assoc($RunUserQuery)){
														$user_id 	= $rows["user_id"];
														$full_name 	= $rows["full_name"];
														
													?>
													<li class="<?php echo strtolower(str_replace(" ","-",$full_name)); ?>">
														<div class="form-check">
															<label class="form-check-label">
																<input class="checkbox check_all_approver check_single" data-single_cls="check_all_approver" type="checkbox" name="check_approver_user_id" value="<?php echo $user_id; ?>">
																<?php echo $full_name; ?>
															</label>
														</div>
													</li>
													<?php 
													}
												}
												?>
											</ul>
										</div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary"  id="cmd_feed_filter_modal_apply" title="Apply" onClick="getRecentTimesheetData(true);">Apply</button>
				<button type="button" class="btn btn-light" title="Clear" onClick="window.location.href=''">Clear</button>
			</div>
		</div>
	</div>
</div>
<div class="modal fade pr-0" id="modal_view_time_entry" style="overflow:hidden;">
	<div class="modal-dialog  modal-xl mt-0" role="document">
		<!--<form id='form1' >-->
		<div class="modal-content" style="background: #e8eff9;">
			<div class="modal-header pb-1 pt-1">
				<button type="button" class="close main-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div id="results_view_time_entry">
					<iframe src="" width="100%" style="height: 100vh;" frameborder="0"></iframe>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /*****************Modal Area*****************/ ?>
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="datatables.net-bs4/buttons.colVis.min.js"></script>
<script src="vendors/chart.js/Chart.min.js"></script>
<script src="js/custom.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script> 
var doughnutPieData = {
	datasets: [{
		data: [30, 40, 50],
	  	backgroundColor: [
			'rgba(54, 162, 235, 0.5)',
			'rgba(255, 206, 86, 0.5)',
			'rgba(75, 192, 192, 0.5)',
			'rgba(153, 102, 255, 0.5)',
			'rgba(255, 159, 64, 0.5)',
			'rgba(255, 99, 132, 0.5)',
		
	  	],
	  	borderColor: [
			'rgba(54, 162, 235, 1)',
			'rgba(255, 206, 86, 1)',
			'rgba(75, 192, 192, 1)',
			'rgba(153, 102, 255, 1)',
			'rgba(255, 159, 64, 1)',
			'rgba(255,99,132,1)'
	  	],
	}],
	
	// These labels appear in the legend and in the tooltips when hovering different arcs
	labels: [      
	  'Blue',
	  'Yellow',
	  'Red',
	]
};

var doughnutPieOptions = {
responsive: true,
animation: {
  animateScale: true,
  animateRotate: true
}
};

if($("#pieChart_timesheet_payperiod_project1").length){
	var pieChartCanvas = $("#pieChart_timesheet_payperiod_project1").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
		type: 'pie',
		data: doughnutPieData,
		options: doughnutPieOptions
	});
}

if ($("#pieChart_timesheet_project_project1").length) 
{
	var pieChartCanvas = $("#pieChart_timesheet_project_project1").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
	  type: 'pie',
	  data: doughnutPieData,
	  options: doughnutPieOptions
	});
}

if ($("#pieChart_timesheet_teammember_project1").length) 
{
	var pieChartCanvas = $("#pieChart_timesheet_teammember_project1").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
	  type: 'pie',
	  data: doughnutPieData,
	  options: doughnutPieOptions
	});
}

if ($("#pieChart_timesheet_teammember_project2").length) 
{
	var pieChartCanvas = $("#pieChart_timesheet_teammember_project2").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
	  type: 'pie',
	  data: doughnutPieData,
	  options: doughnutPieOptions
	});
}

if ($("#pieChart_timesheet_teammember_project3").length) 
{
	var pieChartCanvas = $("#pieChart_timesheet_teammember_project3").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
	  type: 'pie',
	  data: doughnutPieData,
	  options: doughnutPieOptions
	});
}

if ($("#pieChart_timesheet_teammember_project4").length) 
{
	var pieChartCanvas = $("#pieChart_timesheet_teammember_project4").get(0).getContext("2d");
	var pieChart = new Chart(pieChartCanvas, {
	  type: 'pie',
	  data: doughnutPieData,
	  options: doughnutPieOptions
	});
}
</script>
<script type="text/javascript">
$(document).ready(function(){
	setTimeout(function(){
		getRecentTimesheetData('<?php echo ($user_role=="Manager")?true:false; ?>','<?php echo ($user_role=="Admin")?"false":"true"; ?>');
	},1000);
});
/********************/
function getRecentTimesheetData(is_filter,is_page_load=true){
	
	var check_employee_user_id = new Array();
	var check_pay_period = new Array();
	var check_status = new Array();
	var check_approver_user_id = new Array();
	
	if(is_filter==true){
		
		$(".close").click();
		
		if($("input:checkbox[name=check_employee_user_id]").length){
			$("input:checkbox[name=check_employee_user_id]:checked").each(function() { 
			   check_employee_user_id.push($(this).val());
			});
		}
		
		$("input:checkbox[name=check_pay_period]:checked").each(function() { 
		   check_pay_period.push($(this).val());
		});
		
		if(check_pay_period.length>0){
			$("#combo_chart_pay_period").select2('destroy');
			$("#combo_chart_pay_period").html("");
			for (var i = 0; i < check_pay_period.length; ++i) {
				$("#combo_chart_pay_period").append('<option value="'+check_pay_period[i]+'">'+check_pay_period[i]+'</option>')
			}
			/**************************/
			$("#combo_chart_pay_period2").select2('destroy');
			$("#combo_chart_pay_period2").html("");
			for (var i = 0; i < check_pay_period.length; ++i) {
				$("#combo_chart_pay_period2").append('<option value="'+check_pay_period[i]+'">'+check_pay_period[i]+'</option>')
			}
			$(".js-example-basic-single").select2();
		}
		
		$("input:checkbox[name=check_status]:checked").each(function() { 
		   check_status.push($(this).val());
		});
		
		if($("input:checkbox[name=check_approver_user_id]").length){
			$("input:checkbox[name=check_approver_user_id]:checked").each(function() { 
			   check_approver_user_id.push($(this).val());
			});
		}
		
	}
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'get_recent_timesheet_entry_data',is_page_load1:is_page_load,is_filter1:is_filter,is_html:true,check_employee_user_id1:check_employee_user_id,check_pay_period1:check_pay_period,check_status1:check_status,check_approver_user_id1:check_approver_user_id},
		beforeSend: function() {
			$("#results_tab_2").fadeOut(500);
			$(".loading-div").fadeIn(800);
		},
		success: function (response){ 
			
			setTimeout(function(){
				$(".loading-div").hide();
				$("#results_recent_timesheet_report").html(response);
				$("#results_recent_timesheet_report").fadeIn(500);				
			},500);
			setTimeout(function(){
				var table = $('#table_recent_timesheet_entry').DataTable( {
				/*"searching": false,*/
				"aaSorting":[],
				"dom": 'lBfrtip',              
				buttons: [                  
				   [
						'excel',
						'pdf',
						{
							text: 'Email',
							action: function ( e, dt, node, config ) {
							//$("#modal_email").show(); 
							show_emaimodal();
							}
						}
				   ]]
				}); 
				
				$('#table_recent_timesheet_entry tfoot th.searc').each( function () {
				var title = $(this).text();
				$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
				
				// Apply the search
				table.columns().every(function (){
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
								.search( this.value )
								.draw();
						}
					});
				}); 
				/**/
				$("#table_recent_timesheet_entry_filter").hide();
				/*****************/
				setChart('pieChart_timesheet_by_pay_period');
				/*****************/
			},1000);
		}
	});
}
/*****************************/
$('#cmdBtnFeedFilter').click(function(){
	$('#feed_filter_modal').modal('show');
	setTimeout(function(){
		$('.search_txt').on('keyup', function () {
			var search_ul_id = $(this).data("search_ul_id");
			$('#'+search_ul_id+' li').removeClass("li-show").addClass("li-hide");
			var str = $(this).val();
			str = str.replace(" ","-");
			$('#'+search_ul_id+' li[class*="'+str+'"]').removeClass("li-hide").addClass("li-show");
			//alert(str);
			if(str.length == 0) {
				$('#'+search_ul_id+' li').removeClass("li-hide").addClass("li-show");
			}
		});
		$(".new-list-wrapper").mCustomScrollbar("destroy");
		$(".new-list-wrapper").mCustomScrollbar({  // custom scroll bar plugin
			theme:"light-2",  // custom scroll theme set
			axis: "y",     // custom scroll ver,hor scroll
		});
		/*******************/
		$(".check_all").change(function() {
			var cls = $(this).data("cls");
			if($(this).is(':checked')){
				$("."+cls).prop('checked',true);
			}else{
				$("."+cls).prop('checked',false);
			}
		});
		$(".check_single").change(function(){
			var single_cls = $(this).data("single_cls");
			if(!$(this).is(':checked')) {
				$("#"+single_cls).prop('checked',false);
			}
			if($('.'+single_cls+':checked').length == $('.'+single_cls).length) {
			   $("#"+single_cls).prop('checked',true);
			}
		});
	},400);
	
});
/*****************************/
function setChart(chart_type){
	if(chart_type=="pieChart_timesheet_by_pay_period"){
		document.getElementById("chartContainer").innerHTML = '&nbsp;';
		if($("#data_pay_period").val()!="" && $("#label_pay_period").val()!=""){
			
			var data_pay_period 	= $("#data_pay_period").val().split(",");
			var label_pay_period 	= $("#label_pay_period").val().split(",");
			
			var doughnutPieData = {
				datasets: [{
					data: data_pay_period,
					backgroundColor: [
						'rgba(54, 162, 235, 0.5)',
						'rgba(255, 206, 86, 0.5)',
						'rgba(75, 192, 192, 0.5)',
						'rgba(153, 102, 255, 0.5)',
						'rgba(255, 159, 64, 0.5)',
						'rgba(255, 99, 132, 0.5)',
					
					],
					borderColor: [
						'rgba(54, 162, 235, 1)',
						'rgba(255, 206, 86, 1)',
						'rgba(75, 192, 192, 1)',
						'rgba(153, 102, 255, 1)',
						'rgba(255, 159, 64, 1)',
						'rgba(255,99,132,1)'
					],
				}],
				
				// These labels appear in the legend and in the tooltips when hovering different arcs
				labels: label_pay_period
			};
			
			var doughnutPieOptions = {
				responsive: true,
				animation: {
					animateScale: true,
					animateRotate: true
				}
			};
			document.getElementById("chartContainer").innerHTML = '<canvas id="pieChart_timesheet_by_pay_period" style="cursor: pointer;"></canvas>';
			
			var pieChartCanvas = $("#pieChart_timesheet_by_pay_period").get(0).getContext("2d");
			var pieChart = new Chart(pieChartCanvas, {
				type: 'pie',
				data: doughnutPieData,
				options: doughnutPieOptions
			});
		}
	}
}

function updateChart(val,chart_type){
	var check_employee_user_id = new Array();
	var check_pay_period = new Array();
	var check_status = new Array();
	var check_approver_user_id = new Array();
	
	$("input:checkbox[name=check_employee_user_id]:checked").each(function() { 
	   check_employee_user_id.push($(this).val());
	});
	
	$("input:checkbox[name=check_pay_period]:checked").each(function() { 
	   check_pay_period.push($(this).val());
	});
	
	
	$("input:checkbox[name=check_status]:checked").each(function() { 
	   check_status.push($(this).val());
	});
	
	if($("input:checkbox[name=check_approver_user_id]").length){
		$("input:checkbox[name=check_approver_user_id]:checked").each(function() { 
		   check_approver_user_id.push($(this).val());
		});
	}
	
	if(chart_type=='pieChart_timesheet_by_pay_period'){
		$.ajax({
			url: "ajax_project.php",
			method: "POST",
			data: {REQUEST: 'update_timesheet_feed_chart_by_pay_period',combo_chart_pay_period:val,check_employee_user_id1:check_employee_user_id,check_status1:check_status,check_approver_user_id1:check_approver_user_id},
			success: function (response){ 
				$("#combo_chart_pay_period").val(val);
				$("#data_pay_period").val(response.data_pay_period);
				$("#label_pay_period").val(response.label_pay_period);
				setChart('pieChart_timesheet_by_pay_period');
			}
		});
	}
}
function updateChart2(){
	var check_employee_user_id = new Array();
	var check_pay_period = new Array();
	var check_status = new Array();
	var check_approver_user_id = new Array();
	
	var project_id 	= $("#combo_project_id").val();
	var pay_period	= $("#combo_chart_pay_period2").val();
	
	$("input:checkbox[name=check_employee_user_id]:checked").each(function() { 
	   check_employee_user_id.push($(this).val());
	});
	
	$("input:checkbox[name=check_pay_period]:checked").each(function() { 
	   check_pay_period.push($(this).val());
	});
	
	
	$("input:checkbox[name=check_status]:checked").each(function() { 
	   check_status.push($(this).val());
	});
	
	if($("input:checkbox[name=check_approver_user_id]").length){
		$("input:checkbox[name=check_approver_user_id]:checked").each(function() { 
		   check_approver_user_id.push($(this).val());
		});
	}
	
	$.ajax({
		url: "ajax_project.php",
		method: "POST",
		data: {REQUEST: 'update_timesheet_feed_chart_by_pay_period2',project_id:project_id,pay_period:pay_period,check_employee_user_id1:check_employee_user_id,check_status1:check_status,check_approver_user_id1:check_approver_user_id},
		success: function (response){ 
			var data_pay_period2 	= response.data_pay_period;
			var label_pay_period2 	= response.label_pay_period;
			/************************************/
			
			document.getElementById("chartContainer2").innerHTML = '&nbsp;';
			if(data_pay_period2!="" && label_pay_period2!=""){
				
				var data_pay_period 	= data_pay_period2.split(",");
				var label_pay_period 	= label_pay_period2.split(",");
				
				var doughnutPieData = {
					datasets: [{
						data: data_pay_period,
						backgroundColor: [
							'rgba(54, 162, 235, 0.5)',
							'rgba(255, 206, 86, 0.5)',
							'rgba(75, 192, 192, 0.5)',
							'rgba(153, 102, 255, 0.5)',
							'rgba(255, 159, 64, 0.5)',
							'rgba(255, 99, 132, 0.5)',
						
						],
						borderColor: [
							'rgba(54, 162, 235, 1)',
							'rgba(255, 206, 86, 1)',
							'rgba(75, 192, 192, 1)',
							'rgba(153, 102, 255, 1)',
							'rgba(255, 159, 64, 1)',
							'rgba(255,99,132,1)'
						],
					}],
					
					// These labels appear in the legend and in the tooltips when hovering different arcs
					labels: label_pay_period
				};
				
				var doughnutPieOptions = {
					responsive: true,
					animation: {
						animateScale: true,
						animateRotate: true
					}
				};
				document.getElementById("chartContainer2").innerHTML = '<canvas id="pieChart_timesheet_by_pay_period2" style="cursor: pointer;"></canvas>';
				
				var pieChartCanvas = $("#pieChart_timesheet_by_pay_period2").get(0).getContext("2d");
				var pieChart = new Chart(pieChartCanvas, {
					type: 'pie',
					data: doughnutPieData,
					options: doughnutPieOptions
				});
			}
		}
	});
}
/*********************************************/
function viewTimesheet(timesheet_id,user_id){
	$("#results_view_time_entry").find('iframe').attr('src','tt-time-entry.php?timesheet_id='+timesheet_id+'&user_id='+user_id+'&is_view=true&k=true');
	//var iframe   = $("#results_view_time_entry iframe").contents();
	//var	loginBox = $("#results_view_time_entry iframe").contents().find("#modal1").html();
	
	setTimeout(function(){
		var modal_html = $("#results_view_time_entry iframe").contents().find("#modal1").html();
		$("#results_view_time_entry iframe").contents().find(".container-fluid").remove();
		$("#results_view_time_entry iframe body").append('<div class="modal fade pr-0" id="modal1" ></div>');
		$("#results_view_time_entry iframe #modal1").append(modal_html);
		
		$("#modal_view_time_entry").modal("show");
	},1500); 
}
</script>
</body>
</html>