<?php
require_once "conn.php";
require_once("functions.php");
check_login();
if (CheckCommonSetupEntries()==0)
{
	header("location:".SITEURL."dashboard/");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Time Tracking Time Entry</title>
<!-- base:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<link href="<?php echo SITEURL; ?>datepicker/datepicker.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_toggle.css">
<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/fullcalendar/fullcalendar.min.css">
<style>
/* .flot-chart-container {
    min-height: 0px !important;
      }*/
     .popover {
	z-index:9999;
}
.modal {
	overflow-y:auto;
}
td.details-control {
	background: url('images/icons/details_open.png') no-repeat center center;
	cursor: pointer;
}
tr.shown td.details-control {
	background: url('images/icons/details_close.png') no-repeat center center;
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb breadcrumb-help">
										<li class="breadcrumb-item">Time Tracking</li>
										<li class="breadcrumb-item">Time Keeping</li>
									</ol>
								</nav>
								<div class="d-flex flex-wrap justify-content-between">
									<h4 class="card-title mb-3 mt-2 ml-3">Time Keeping</h4>
								</div>
								<div class="row">
									<div class="col-md-4 col-center">
										<div class="text-center">
											<div class="form-group">
												<label>Employee Name</label>
												<select id="user_id" name="user_id" class="js-example-basic-single" style="width:100%">
													<option value="">--Please Select--</option>
													<?php
													$user_role 		= $_SESSION['login_user_array']['user_role'];
													$where = " WHERE company_id='".$_SESSION['login_user_array']['company_id']."'";
													if($user_role=="Manager"){
														$where .= " AND user_role='User'";
													}
													$selectQuery 	= "SELECT * FROM `cxs_user` $where ORDER BY full_name ASC";		
													$RunUserQuery	= mysqli_query($conn, $selectQuery);
													$StdNumRows 	= mysqli_num_rows($RunUserQuery);
													if($StdNumRows>0){
														while($rows=mysqli_fetch_assoc($RunUserQuery)){
															$user_id 	= $rows["user_id"];
															$full_name 	= $rows["full_name"];
															
														?>
														<option value="<?php echo $user_id; ?>"><?php echo $full_name; ?></option>
														<?php 
														}
													}
													?>
												</select>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-xl-12 d-flex grid-margin stretch-card" id="results_div" style="display:none !important;">
						<div class="card">
							<div class="card-body">
								<div id="results"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<div class="modal fade pr-0" id="modal_view_time_entry" style="overflow:hidden;">
	<div class="modal-dialog  modal-xl mt-0" role="document">
		<!--<form id='form1' >-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close main-close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
			</div>
			<div class="modal-body pt-0">
				<div id="results_view_time_entry">
					<iframe src="" width="100%" style="height: 100vh;" frameborder="0"></iframe>
				</div>
			</div>
		</div>
	</div>
</div>
<?php /**********Modal Area***********/ ?>
<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
<script src="<?php echo SITEURL; ?>js/template.js"></script>
<script src="<?php echo SITEURL; ?>js/settings.js"></script>
<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
<script src="<?php echo SITEURL; ?>js/popover.js"></script>
<script src="<?php echo SITEURL; ?>datepicker/bootstrap-datepicker.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
<script src="<?php echo SITEURL; ?>js/select2.js"></script>
<script src="<?php echo SITEURL; ?>vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="<?php echo SITEURL; ?>js/custom.js"></script>
<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>
<script>
$(document).ready(function(){
	$("#user_id").change(function(){
		if($(this).val()!=""){
			var user_id = $(this).val();
			getTimeEntryLandingData(user_id);
		}
	});
});
function getTimeEntryLandingData(user_id){
	$.ajax({
		url: SITEURL+"aj/time-tracking/",
		method: "POST",
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		data: {REQUEST: 'get_time_entry_landing_data',is_html:true,user_id: user_id},
		success: function (response){ 
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				$("#results").html(response);
				$("#results_div").fadeIn(800); 
				$(".btn-view-time-entry").click(function(){
					var timesheet_id = $(this).data("timesheet_id");
					//$("#results_view_time_entry").find('iframe').attr('src','tt-time-entry.php?timesheet_id='+timesheet_id+'&user_id='+user_id+'&is_view=true&k=true');
					$("#results_view_time_entry").find('iframe').attr('src',SITEURL+'time-tracking/timesheet/view/i/'+timesheet_id+'/'+user_id+'/');
					
					setTimeout(function(){
						var modal_html = $("#results_view_time_entry iframe").contents().find("#modal1").html();
						$("#results_view_time_entry iframe").contents().find(".container-fluid").remove();
						$("#results_view_time_entry iframe body").append('<div class="modal fade pr-0" id="modal1" ></div>');
						$("#results_view_time_entry iframe #modal1").append(modal_html);
						
						$("#modal_view_time_entry").modal("show");
					},1500); 
					//iframe.append(loginBox);
					
					
				});
			},1000); 
		}
	});
}
</script>
</body>
</html>
