<?php
    require_once "conn.php";
    require_once "functions.php";
//    error_reporting(0);
    check_login();
    if (CheckCommonSetupEntries()==0)
    {
        header("location:admin.php");
    }    
    $user_id 			= $_SESSION['login_user_array']["user_id"];
    $employee_id = getvalue("cxs_employee","employee_id"," WHERE user_id='".$user_id."'");
    $selectQuery 	= "SELECT * FROM `cxs_employee` WHERE user_id='".$user_id."'";
    $RunUserQuery	= mysqli_query($conn, $selectQuery);
    $rows			= mysqli_fetch_assoc($RunUserQuery);

    $first_name = $rows["first_name"];
    $last_name 	= $rows["last_name"];
    $full_name	= $first_name." ".$last_name;
    $image_name	= getvalue("cxs_user","image_name"," WHERE user_id='".$user_id."'");
    if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
            $user_img_url = "img/uploads/user_images/".$image_name;
    }else{
            $user_img_url = "images/faces/default_face.png";
    }

    $actual_current_month	= date("m");
    $current_year 		= date("Y");
    $current_month		= date("m");
    $current_pay_period 	= date('M-Y');
    $current_pay_period1	= $current_pay_period;
    $first_day_this_month_cal = date('Y-m-01');
    $first_day_this_month = date('m/01/Y');
    $last_day_this_month  = date('m/t/Y');
    $max_date	= explode("/",$last_day_this_month)[1];
    //$max_date = date("Y-m-d",strtotime("tomorrow"));
    $pay_period 	= date('M-Y'); 
    
    $currTz = isset($_SESSION['login_user_array']['user_timezone'])?$_SESSION['login_user_array']['user_timezone']:"";                
    $date = new DateTime("now", new DateTimeZone($currTz) );
    $curDate = $date->format('m/d/Y');
    date_default_timezone_set($currTz);
?>
<!DOCTYPE html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Coexsys | Working Hours</title>
<!-- base:css -->
<link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
<link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
<link rel="stylesheet" href="datatables.net-bs4/dataTables.bootstrap4.css">
<!-- endinject -->
<!-- plugin css for this page -->
<!-- End plugin css for this page -->
<!-- inject:css -->
<link rel="stylesheet" href="vendors/font-awesome/css/font-awesome.min.css"/>
<link rel="stylesheet" href="vendors/select2/select2.min.css">
<link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/custom.css">
<!-- endinject -->
<link rel="shortcut icon" href="images/main_logo_mini.png" />
<script src="vendors/js/vendor.bundle.base.js"></script>
<link rel="stylesheet" href="css/custom_r.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="css/jquery.mCustomScrollbar.css?t=<?php echo time(); ?>">
<link rel="stylesheet" href="vendors/jquery-contextmenu/jquery.contextMenu.min.css">
<!--<link href="datepicker/datepicker.css" rel="stylesheet">-->
<link rel="stylesheet" href="vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
<link rel="stylesheet" href="css/custom_toggle.css">
<link rel="stylesheet" href="vendors/fullcalendar/fullcalendar.min.css">
<link rel="stylesheet" href="css/iconsmind.css">
<link rel="stylesheet" href="css/custom_button1.css?t=<?php echo time(); ?>">
</script>
<!--    <link rel = "stylesheet" href = "https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css">  -->
<link rel = "stylesheet" href = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/css/bootstrap-datetimepicker.min.css">
<style>
.container123 {
	margin-top : 5px;
	margin-left : 10px;
	width : 600px;
}
.time-entry-detail{
	height:370px;
}
@media screen and (max-width: 992px) {
	.time-entry-detail{
		height:auto !important;
	}
}
</style>
</head>
<body class="sidebar-light sidebar-icon-only">
<div class="container-scroller">
	<!-- partial:partials/_navbar.html -->
	<?php include_once("top.php"); ?>
	<!-- partial -->
	<div class="container-fluid page-body-wrapper">
		<!-- partial:partials/_settings-panel.html -->
		<?php include_once("left.php");  ?>
		<!-- partial -->
		<div class="main-panel">
			<div class="content-wrapper">
				<div class="row">
					<div class="col-lg-12 grid-margin">
						<div class="card">
							<div class="card-body">
								<nav aria-label="breadcrumb">
									<ol class="breadcrumb">
										<li class="breadcrumb-item">Working Hours</li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<!-- First Region-->
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="d-flex flex-wrap justify-content-between pb-2">
									<h2 class="card-title add_title">Working Hours </h2>
								</div>
								<form method="post">
									<div class="row">
										<div class="col-xl-12 d-flex grid-margin stretch-card">
											<div class="card">
												<div class="card-body">
													<div class="row">
														<div class="col-md-4">
															<div class="d-flex"> <img class="img-sm rounded-circle mb-md-0 mr-2 ml-2" src="<?php echo $user_img_url; ?>" alt="">
																<h4 class="card-title  mb-3 mt-2 ml-3"><?php echo $full_name; ?>'s Daily Attendance</h4>
															</div>
														</div>
														<div class="col-md-4">
															<div class="row">
																<div class="col-md-12">
																	<div class="d-flex">
																		<h4>Pay Period: </h4>
																		<h4 class="pl-1" id="pay_period"><?php echo $pay_period; ?></h4>
																	</div>
																</div>
															</div>
															<div id="timesheet_entry_status_counter_div">
																<div class="row">
																	<div class="col-md-3">
																		<label class="badge badge-light">Working (0)</label>
																	</div>
																	<div class="col-md-3">
																		<label class="badge badge-light">Submitted (0)</label>
																	</div>
																	<div class="col-md-3">
																		<label class="badge badge-light">Approved (0)</label>
																	</div>
																	<div class="col-md-3">
																		<label class="badge badge-light">Rejected (0)</label>
																	</div>
																</div>
															</div>
														</div>
														<div class="col-md-3">
															<?php 
                                                                    $supervisor_id=getvalue("cxs_employee","supervisor_id","where company_id='".$_SESSION['login_user_array']['company_id']."' and user_id = '".$_SESSION['user_id']."'");                                                                    
                                                                    $supervisor_full_name = "";
                                                                    if($supervisor_id=='0' || $supervisor_id=="")
                                                                    {
                                                                       $supervisor_user_id = $_SESSION['login_user_array']['user_id'];
                                                                    }
                                                                    else
                                                                    {
                                                                       $supervisor_user_id = getvalue("cxs_employee","user_id"," where employee_id = '".$supervisor_id."'");
                                                                    }   
                                                                     $supervisor_full_name  = getvalue("cxs_user","full_name"," where user_id = '".$supervisor_user_id."'");
                                                                        
                                                                    ?>
															<div class="form-group">
																<lable style="font-size: 1rem;font-weight:500;margin-bottom:20px;display:block;">Approver Name: </lable>
																<label><?php echo $supervisor_full_name; ?></label>
															</div>
														</div>
														<div class="col-md-1">
															<div class="row">
																<div class="col-md-12">
																	<div class="row">
																		<div class="col-md-2 text-right">
																			<h3><i class="fa fa-info-circle" title="<?php if($last_update_date!=""){ echo "Last time you were here on ".$last_update_date; } ?>"></i></h3>
																		</div>
																	</div>
																</div>
																<?php 
                                                                            
                                                                            ?>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
					<!-- First Region End-->
					<!-- Second Region-->
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<form id="time_entry_form" action="" method="post">
									<!--                                                <input type="hidden" id="h_timesheet_id" name="h_timesheet_id" value="<?php echo $timesheet_id; ?>">
                                                <input type="hidden" id="h_timesheet_name" name="h_timesheet_name" value="<?php echo $timesheet_name; ?>">-->
									<input type="hidden" id="h_pay_period" name="h_pay_period" value="<?php echo $pay_period; ?>">
									<!--                                                <input type="hidden" id="h_timesheet_line_id" name="h_timesheet_line_id" value="">-->
									<div class="row">
										<div class="col-md-4">
											<!--                                                                <div class="card-title">Enter Time</div>-->
										</div>
										<div class="col-md-4 d-flex justify-content-center" id="div_middle1">
											<div class="form-inline time_entry_date_div"> <i class="fa fa-arrow-circle-o-left pr-2 main-prv main-nxt-disable" title="Previous Date" data-date_field_type="time_entry_date"></i>
												<input type="text" class="form-control form_datetime requirefieldcls" id="text_attendance_date" name="text_attendance_date" >
												<i class="fa fa-arrow-circle-o-right pl-2 main-nxt main-prv-disable" title="Next Date" data-date_field_type="time_entry_date"></i> </div>
										</div>
										<div class="col-md-4 d-flex justify-content-end">
											<div class="form-inline"> <i class="fa fa-file-text-o pl-3 cr-point" style="font-size: 2rem;" title="Form" id="title_form"></i> <i class="fa fa-table pl-3 cr-point" style="font-size: 2rem;" title="Grid" id="title_grid"></i> <i class="fa fa-calendar-o pl-3 cr-point" style="font-size: 2rem;" title="Calendar" id="title_calendar"></i> </div>
										</div>
									</div>
									<div class="row pt-3">
										<div class="col-md-4"> &nbsp; </div>
										<div class="col-md-4 d-flex justify-content-center" id="div_middle2">
											<div class="form-inline">
												<h4 class="pr-3" id="selected_full_date"></h4>
											</div>
										</div>
									</div>
									<div class="row pt-4">
										<div class="col-md-12" id="entry_type_div">
											<div class="d-flex flex-wrap center-box">
												<div class="form-check mr-2" style="display:inline-block;">
													<label class="form-check-label">
													<input type="radio" class="form-check-input check_data_sort" name="check_data_sort" value="task_only">
													<i class="input-helper"></i> Task Only </label>
												</div>
												<div class="form-check mr-2" style="display:inline-block;">
													<label class="form-check-label">
													<input type="radio" class="form-check-input check_data_sort" name="check_data_sort" value="leave_only">
													<i class="input-helper"></i> Leave Only </label>
												</div>
												<div class="form-check mr-2" style="display:inline-block;">
													<label class="form-check-label">
													<input type="radio" class="form-check-input check_data_sort" name="check_data_sort" value="all" checked>
													<i class="input-helper"></i> All </label>
												</div>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<div class="d-flex flex-wrap pt-2 pb-2 center-box">
												<div id="project_step1" class="badge step_button_color disabled-color mb-3 btn_time_entry_status" style="background-color: #1b81ff !important;" data-status="Working"> Working</div>
												<div id="project_step1_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
												<div id="project_step2" class="badge step_button_color disabled-color mb-3 btn_time_entry_status" style="background-color: #1b81ff !important;" data-status="Submitted">Submitted</div>
												<div id="project_step2_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
												<div id="project_step3" class="badge step_button_color disabled-color mb-3 btn_time_entry_status" style="background-color: #1b81ff !important;" data-status="Rejected">Rejected</div>
												<div id="project_step3_line" class="border-class-proj mr-custom-proj disabled-color"> </div>
												<div id="project_step4" class="badge step_button_color disabled-color mb-3 btn_time_entry_status" style="background-color: #1b81ff !important;" data-status="Approved">Approved</div>
											</div>
										</div>
									</div>
									<div class="text-center mt-3">
										<h6 id="title_divform" class="badge badge-light">Daily Attendance by <?php echo $full_name; ?></h6>
									</div>
									<div class="row">
										<div class="col-md-12">
											<div class="d-flex flex-wrap pt-2 pb-2 center-box">
												<div class="form-inline">
													<div class="form-check pb-2 pr-3">
														<label class="form-check-label">
														<!--<input type="radio" class="form-check-input" name="time_options" <?php if($last_selected_task_id>0 || $last_selected_leave_id==""){ ?> checked="" <?php } ?> value="task">-->
														<input type="radio" class="form-check-input" name="working_options" id="radio_attendance_type" checked value="attendance">
														Attendance type <i class="input-helper"></i><i class="input-helper"></i></label>
													</div>
													<div class="form-check pb-2 pr-3">
														<label class="form-check-label">
														<!--<input type="radio" class="form-check-input" name="time_options" <?php if($last_selected_leave_id>0){ ?> checked="" <?php } ?> value="leave">-->
														<input type="radio" class="form-check-input" name="working_options" id="radio_leave_time" value="leave">
														Leave Time <i class="input-helper"></i><i class="input-helper"></i></label>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class=" border1" id="div_form">
										<div class="row pt-3">
											<div class="col-md-6" >
												<div class="time-entry-header">
													<h3>1. Attendance</h3>
												</div>
												<div class="time-entry-detail" id="div_attendance">
													<div class="row">
														<div class="col-md-4 col-xs-12 mb-1">
															<div class="d-flex flex-row align-items-center save_reocrd p-2" id="lbl_clock_in">
																<?php /*?><h3 class="mb-1">Clock In</h3>
																<h6 class="mb-1 pl-2 pt-2" >&nbsp;</h6><?php */?>
																<button class="button-3d mx-auto">
																	<div class="button-3d__content">
																		<p class="button-3d__text">Clock In <i class="fa fa-sign-in"></i></p>
																	</div>
																</button>
																<input type="hidden" id="h_clock_in" name="h_clock_in">
															</div>
														</div>
														<div class="col-md-4 col-xs-12 mb-1">
															<div class="d-flex flex-row align-items-center save_reocrd p-2" id="lbl_clock_out">
																<?php /*?><h3 class="mb-1">Clock Out</h3>
																<h6 class="mb-1 pl-2 pt-2" >&nbsp;</h6><?php */?>
																<button class="button-3d mx-auto">
																	<div class="button-3d__content">
																		<p class="button-3d__text">Clock Out <i class="fa fa-sign-out"></i></p>
																	</div>
																</button>
																<input type="hidden" id="h_clock_out" name="h_clock_out">
															</div>
														</div>
													</div>
													<div class="row">
														<div class="col-md-4 col-xs-12 mb-1">
															<div class="d-flex flex-row align-items-center save_reocrd p-2" id="lbl_break_start">
																<?php /*?><h3 class="mb-1">Start Break</h3>
																<h6 class="mb-1 pl-2 pt-2" >&nbsp;</h6><?php */?>
																<button class="button-3d mx-auto">
																	<div class="button-3d__content">
																		<p class="button-3d__text">Start Break <i class="fa fa-play-circle"></i></p>
																	</div>
																</button>
																<input type="hidden" id="h_start_break" name="h_start_break">
															</div>
														</div>
														<div class="col-md-4 col-xs-12 mb-1">
															<div class="d-flex flex-row align-items-center save_reocrd p-2" id="lbl_break_stop">
																<?php /*?><h3 class="mb-1">Stop Break</h3>
																<h6 class="mb-1 pl-2 pt-2" >&nbsp;</h6><?php */?>
																<button class="button-3d mx-auto">
																	<div class="button-3d__content">
																		<p class="button-3d__text">Stop Break <i class="fa fa-pause-circle"></i></p>
																	</div>
																</button>
																<input type="hidden" id="h_stop_break" name="h_stop_break">
															</div>
														</div>
													</div>
													<div class="row">
														<div class="col-md-4 col-xs-12 mb-1">
															<div class="d-flex flex-row align-items-center save_reocrd p-2" id="lbl_meal_start">
																<?php /*?><h3 class="mb-1">Start Meal</h3>
																<h6 class="mb-1 pl-2" >&nbsp;</h6><?php */?>
																<button class="button-3d mx-auto">
																	<div class="button-3d__content">
																		<p class="button-3d__text">Start Meal <i class="fa fa-play-circle"></i></p>
																	</div>
																</button>
																<input type="hidden" id="h_start_meal" name="h_start_meal">
															</div>
														</div>
														<div class="col-md-4 col-xs-12 mb-1">
															<div class="d-flex flex-row align-items-center save_reocrd p-2" id="lbl_meal_stop">
																<?php /*?><h3 class="mb-1">Stop Meal</h3>
																<h6 class="mb-1 pl-2" >&nbsp;</h6><?php */?>
																<button class="button-3d mx-auto">
																	<div class="button-3d__content">
																		<p class="button-3d__text">Stop Meal <i class="fa fa-pause-circle"></i></p>
																	</div>
																</button>
																<input type="hidden" id="h_stop_meal" name="h_stop_meal">
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="col-md-3" >
												<div class="time-entry-header">
													<h3>2. Leaves</h3>
												</div>
												<!--<div class="time-entry-detail block-2 <?php if($last_selected_task_id==0 && $last_selected_leave_id==0){ ?> time-entry-detail-disable1 <?php } ?>">-->
												<div class="time-entry-detail block-2 time-entry-detail-disable " id = "div_leave">
													<div class="row">
														<div class="col-md-12">
															<div id="time_entry_leave">
																<div class="form-group">
																	<select class="js-example-basic-single requirefieldcls form-control mt-2" id="combo_attendance_type" name="combo_attendance_type" style="width:100%;">
																		<option value="">---Please Select---</option>
																		<?php
                                                                                                    $qry = "SELECT * FROM cxs_leave WHERE enable_flag='Y' AND company_id = '".$_SESSION['login_user_array']['company_id']."' ORDER BY id";
                                                                                                    $result = mysqli_query($conn,$qry);
                                                                                                    if (mysqli_num_rows($result)>0){
                                                                                                            while($row = mysqli_fetch_assoc($result)){
                                                                                                            ?>
																		<!--                                                                                                        <option value="<?php echo $row['id']; ?>" <?php if($last_selected_leave_id==$row['id']){ ?> selected <?php } ?>><?php echo stripslashes($row['leave_name']); ?></option>-->
																		<option value="<?php echo $row['id']; ?>" ><?php echo stripslashes($row['leave_name']); ?></option>
																		<?php
                                                                                                            }
                                                                                                    }
                                                                                                    ?>
																	</select>
																</div>
																<div class="form-group text-center">
																	<div class="row">
																		<div class="col-md-12">
																			<div class="form-group mb-1">
																				<label>From Time</label>
																				<div class="input-group date form_time" id="text_leave_start_time" data-target-input="nearest">
																					<div class="input-group " data-target="#text_leave_start_time" data-toggle="datetimepicker">
																						<input type="text" id="text_start_time" name="text_start_time"  class="form-control datetimepicker-input" data-target="#text_leave_start_time">
																						<div class="input-group-addon input-group-append"><i class="typcn typcn-calendar-outline input-group-text"></i></div>
																						<span class="not-valid-tip"  id="span_start_time_msg"></span> </div>
																				</div>
																			</div>
																		</div>
																		<div class="col-md-12">
																			<div class="form-group mb-1">
																				<label>To Time</label>
																				<div class="input-group date form_time" id="text_leave_end_time" data-target-input="nearest">
																					<div class="input-group " data-target="#text_leave_end_time" data-toggle="datetimepicker">
																						<input type="text" id="text_end_time" name="text_end_time" class="form-control datetimepicker-input" data-target="#text_leave_end_time">
																						<div class="input-group-addon input-group-append"><i class="typcn typcn-calendar-outline input-group-text"></i></div>
																						<span class="not-valid-tip"  id="span_end_time_msg"></span> </div>
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
																<div class="form-group text-center"> </div>
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="col-md-3">
												<div class="time-entry-header">
													<h3>3. Enter Comments (if any)</h3>
												</div>
												<!--<div class="time-entry-detail block-3 <?php //if($last_selected_task_id==0 && $last_selected_leave_id==0){ ?> time-entry-detail-disable1 <?php //} ?>">-->
												<div class="time-entry-detail block-3" id="div_comments">
													<div class="form-group mt-2">
														<h5>Comment</h5>
														<textarea class="form-control tt-time" id="text_comment" name="text_comment" rows="12"></textarea>
														<div class="inv-cls"></div>
														<!--<div class="inv-cls <?php if($last_selected_task_id==0 && $last_selected_leave_id==0){ ?>invisible_div2<?php } ?>"></div>-->
													</div>
												</div>
											</div>
										</div>
										<div class="row mt-3">
											<div class="col-md-12 text-right">
												<div class="form-group">
													<?php //if($is_closed!="Y"){ ?>
													<a href="javascript:void(0);" class="btn btn-primary btn-sm" id="cmd_attendance_save">Save</a> <a href="javascript:void(0);" class="btn btn-secondary btn-sm ml-2" id="cmd_attendance_submit">Submit</a>
													<?php //} ?>
												</div>
											</div>
											<div class="col-md-12 text-center">
												<label id="msg_save" class="badge badge-info"></label>
											</div>
										</div>
										<div class="d-flex flex-wrap justify-content-between pt-3">
											<div class="card-title">Previously Entered Time on This Day</div>
										</div>
										<div id="result_time_entry_on_this_day"></div>
									</div>
								</form>
								<div class=" border1" id="div_calendar">
									<h4 class="card-title">Time Entry - Calendar View</h4>
									<div id="calendar" class="full-calendar"></div>
								</div>
								<div class=" border1" id="div_grid">
									<?php /*?><div class="d-flex flex-wrap justify-content-between">
                                                        <div>&nbsp;</div>
                                                        <div class="mb-3 ">
                                                                <button type="button" class="btn btn-primary btn-sm mt-2 mr-3" title="Previous Record"><i class="typcn typcn-chevron-left" aria-hidden="true"></i></button>
                                                        </div>
                                                </div><?php */?>
									<div id="result_all_time_entry"></div>
								</div>
							</div>
						</div>
					</div>
					<!-- Second Region End-->
					<!-- Third Region -->
					<!-- Second Region-->
					<div class="col-xl-12 d-flex grid-margin stretch-card">
						<div class="card">
							<div class="card-body">
								<div class="d-flex flex-wrap justify-content-between">
									<div class="card-title">My Work Schedule</div>
									<?php
									$attendance_flag = getvalue("cxs_licensed_products","attendance_flag"," WHERE user_id='".$_SESSION['login_user_array']['user_id']."'");
									if($attendance_flag=="Y"){
									?>
									<div class="form-inline work_schedule_date_div"> <i class="fa fa-arrow-circle-o-left pr-2 main-prv work-date-disable" style="font-size: 2rem;" title="Previous Date" data-date_field_type="work_schedule_date"></i>
										<input type="text" class="form-control form_datetime" id="text_work_schedule_date" name="text_work_schedule_date" readonly>
										<i class="fa fa-arrow-circle-o-right pl-2 main-nxt work-date-disable" style="font-size: 2rem;" title="Next Date" data-date_field_type="work_schedule_date"></i> </div>
									<?php
									}else{
									?>
									<div class="row">
										<div class="col-md-12">
											<div style="display:block;"> In order to access My Work Schedule, Please <a href="javascript:void(0);">subscribe</a> to Attendance Tracking Application </div>
										</div>
									</div>
									<?php
									}
									?>
								</div>
								<?php if($attendance_flag=="Y"){ ?>
								<div class="table-responsive pt-3">
									<table id="table_my_work_schedule" class="table table-bordered">
										<thead>
											<tr class="table-info">
												<th colspan='2' originalh-title='12:00 AM'><span>12:00 AM - 01:00 AM</span></th>
												<?php
												for($hour=1; $hour <= 23; $hour++)
												{
													if($hour>12)
													{
														$hour1 = $hour-12;
														
													}
													else
													{
														$hour1 = $hour;
													}
													$hour2=$hour1+1;
													if(($hour+1)>12)
													{
														$hour2 = ($hour+1)-12;
														
													}
													$hour1 = str_pad($hour1, 2, '0', STR_PAD_LEFT);
													//echo "<th colspan='2'><span>".($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM")."</span></th>";  
													$title_value = ($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM");
													$hour2 = str_pad($hour2, 2, '0', STR_PAD_LEFT);
													if($hour<=22)
													{
														echo "<th colspan='2' originalh-title='".$title_value."'><span>".($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM")." - ".(($hour+1) >= 12 ? $hour2.":00 PM": $hour2.":00 AM")."</span></th>";
													}
													else
													{
														echo "<th colspan='2' originalh-title='".$title_value."'><span>".($hour >= 12 ? $hour1.":00 PM": $hour1.":00 AM")." - ".(($hour+1) >= 12 ? $hour2.":00 AM": $hour2.":00 AM")."</span></th>";
													}
													
												}
											?>
												<th>Action
													</td>
											</tr>
										</thead>
										<tbody>
											<tr class="table-light11" id="tr_daily_1" >
												<?php
													$start_time = '00:00';

													for($hour=1; $hour <= 24; $hour++)
													{

														$start_time = date('h:i A',strtotime($start_time));
														//echo "<td class='context-menu-access ' id ='cell".$hour."'><div customerid='1'>&nbsp;</div></td>";
														echo "<td class='tdvalue' original-title='".$start_time."' ></td>";

														$new_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));
														echo "<td class='tdvalue' original-title='".$new_time."' ></td>";

														$start_time = $new_time;
														$start_time =  date('h:i A',strtotime('+30 minutes',strtotime($start_time)));

													} ?>
												<!--<td class='context-menu-access ' ><div customerid='1'>&nbsp;</div></td>-->
												<td class="text-center"><button type='button' id='cmdEyeIcon' class='btn btn-default ml-0 mr-2 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='' > <i class=' fa fa-eye'></i> </button></td>
											</tr>
										</tbody>
									</table>
								</div>
								<?php
								}
								?>
							</div>
						</div>
					</div>
					<!-- Third Region End-->
				</div>
			</div>
		</div>
		<!-- main-panel ends -->
	</div>
	<!-- page-body-wrapper ends -->
	<div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
		<div class="modal-dialog swal-modal" role="document">
			<div class="modal-content">
				<div class="modal-body pt-0">
					<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
					<div class="swal-title" style="">Are you sure?</div>
					<div class="swal-text" style="">You won't be delete this record?</div>
					<input type="hidden" id="h_deleteid" value="">
					<input type="hidden" id="h_current_row" value="">
				</div>
				<!--<div class="modal-footer">              
                  <button type="button" class="btn btn-primary btn-icon"  id="cmd_modal2_save" title="Save Record"><i class="fa fa-save"></i></button> <!-- data-dismiss="modal" --
                </div>
                -->
				<div class="swal-footer">
					<div class="swal-button-container">
						<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModalDelete">OK</button>
					</div>
					<div class="swal-button-container">
						<button class="swal-button swal-button--cancel btn btn-danger" id="cmdModalCancel">Cancel</button>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="modal fade" id="modal2" tabindex="-1" role="dialog" >
		<div class="modal-dialog swal-modal" role="document">
			<div class="modal-content">
				<div class="modal-header pt-4 pb-2" style="    border-bottom-style: none;">
					<!--                    <h5 class="modal-title" id="exampleModalLabel-3">Select Time</h5>-->
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
				</div>
				<div class="modal-body pt-0">
					<div class="swal-icon swal-icon--warning"> <span class="swal-icon--warning__body"> <span class="swal-icon--warning__dot"></span> </span> </div>
					<!--<center>-->
					<!--<center>-->
					<div class ="row">
						<div class="col-md-6 col-center">
							<div class="form-group text-center">
								<label>Select Time</label>
								<div class="input-group date form_time" id="text_select_time" data-target-input="nearest">
									<div class="input-group " data-target="#text_select_time" data-toggle="datetimepicker">
										<input type="text" id="text_time" class="form-control datetimepicker-input" data-target="#text_select_time">
										<div class="input-group-addon input-group-append"><i class="typcn typcn-calendar-outline input-group-text"></i></div>
										<span class="not-valid-tip"  id="span_time_msg"></span> </div>
								</div>
							</div>
						</div>
					</div>
					<!--</center>-->
					<input type="hidden" id="h_current_field" value="">
					<input type="hidden" id="h_device_nickname" value="">
					<input type="hidden" id="h_current_field_value" value="">
					<div style="text-align: right;">
						<div class="swal-button-container">
							<button class="swal-button swal-button--confirm btn btn-primary" id="cmdModal2OK">OK</button>
						</div>
						<div class="swal-button-container">
							<button class="swal-button swal-button--cancel btn btn-danger" id="cmdModal2Cancel">Cancel</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- container-scroller ends-->
</div>
<!-- container-scroller page-body-wrapper ends-->
<!-- base:js -->
<script src="js/off-canvas.js"></script>
<script src="js/hoverable-collapse.js"></script>
<script src="js/template.js"></script>
<script src="js/settings.js"></script>
<script src="js/todolist.js"></script>
<script src="js/tooltips.js"></script>
<script src="js/popover.js"></script>
<!--<script src="datepicker/bootstrap-datepicker.js?t=<?php echo time(); ?>"></script>-->
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
<script src="vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
<script src="datatables.net/jquery.dataTables.js"></script>
<script src="datatables.net-bs4/dataTables.bootstrap4.js"></script>
<link rel="stylesheet" href="datatables.net-bs4/buttons.dataTables.min.css">
<script src="datatables.net-bs4/dataTables.buttons.min.js"></script>
<script src="datatables.net-bs4/jszip.min.js"></script>
<script src="datatables.net-bs4/buttons.html5.min.js"></script>
<script src="datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
<script src="datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<script src="js/select2.js"></script>
<script src="vendors/flot/jquery.flot.js"></script>
<script src="vendors/flot/jquery.flot.resize.js"></script>
<script src="vendors/flot/jquery.flot.categories.js"></script>
<script src="vendors/flot/jquery.flot.fillbetween.js"></script>
<script src="vendors/flot/jquery.flot.stack.js"></script>
<script src="vendors/flot/jquery.flot.pie.js"></script>
<!--<script src="js/flot-chart.js"></script>-->
<script src="vendors/jquery-contextmenu/jquery.contextMenu.min.js"></script>
<script src="vendors/moment/moment.min.js"></script>
<script src="vendors/fullcalendar/fullcalendar.min.js"></script>
<script src="js/custom.js"></script>
<script type="text/javascript" src="js/jquery.numeric.min.js"></script>
<script src="js/jquery.mCustomScrollbar.js"></script>
<script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
<script src="js/custom_r.js?t=<?php echo time(); ?>"></script>
<!-- endinject -->
<script>
    
    
$('.form_time').datetimepicker({
      format: 'LT',
       
    });
  function labelFormatter(label, series) 
  {
      return "<div style='font-size:8pt; text-align:center; padding:2px; color:white;'>" + label + "</div>";    
  }

function labelFormatter1(label, series) {
  return "<div style='font-size:7pt; text-align:center; padding:2px; color:white;'>" + label +"</div>";    
}
  
$(document).ready(function(){
   $("#div_form").fadeIn(500);
   $("#div_calendar").fadeOut(300); 
   $("#div_grid").fadeOut(300);
   $("#entry_type_div").fadeOut(300);
   <?php
		if($actual_current_month!=$current_month){
			$set_date = $first_day_this_month;
		}else{
			$set_date = date("m/d/Y");
		}
		?>
		$('#text_attendance_date').val('<?php echo $set_date; ?>');
		setTimeout(function(){
			$('#text_attendance_date').trigger('changeDate');
                        selected_working_options("radio_attendance_type");
		},1000);
});
    
$("#title_form").click(function(){
	$("#div_form").fadeIn(500);
	$("#div_calendar").fadeOut(300); 
	$("#div_grid").fadeOut(300);
	$("#entry_type_div").fadeOut(300);
	
	$("#div_middle1").children().fadeIn(500);
	$("#div_middle2").children().fadeIn(500);
	$("#div_record_save").children().fadeIn(500);
	$("#title_divform").fadeIn(500);
});
    
$("#title_calendar").click(function(){
	$("#div_form").fadeOut(300);
	$("#div_calendar").fadeIn(500); 
	$("#div_grid").fadeOut(300);
	$("#entry_type_div").fadeIn(300);
	
	$("#div_middle1").children().fadeOut(300);
	$("#div_middle2").children().fadeOut(300);
	$("#div_record_save").children().fadeIn(500);
	$("#title_divform").fadeOut(300);
});
    
    
$("#title_grid").click(function(){
	$("#div_form").fadeOut(300);
	$("#div_calendar").fadeOut(300); 
	$("#div_grid").fadeIn(500);
	$("#entry_type_div").fadeIn(300);
	
	$("#div_middle1").children().fadeOut(300);
	$("#div_middle2").children().fadeOut(300);
	$("#div_record_save").children().fadeOut(300);
	$("#title_divform").fadeOut(300);
});
    
    
    
    
$(".md-time-entry").click(function(){
	$('#modal_timeentry').modal('show'); 
});
	
     
	/*$("#btnTimeEntryClose").click(function()
	{
		$('#modal_timeentry').modal('toggle');
	});*/
  

    //'ajax': 'https://api.myjson.com/bins/16lp6',
/* Formatting function for row details - modify as you need */
function format ( d ) {
    // `d` is the original data object for the row
    return '<div class ="table-responsive"><table class="table table-border "  bgcolor="#ECECEC" >'+
            
        '<thead><tr>'+     
            '<th></th>'+
            '<th class="ml-0 pl-0">Time In</th>'+
            '<th class="ml-0 pl-0">Time Out</th>'+
            '<th class="ml-0 pl-0">Break Time Start</th>'+
            '<th class="ml-0 pl-0">Break Time End</th>'+
            '<th class="ml-0 pl-0">Start Meal</th>'+
            '<th class="ml-0 pl-0">Stop Meal</th>'+
            '<th class="ml-0 pl-0">Overt Time Start</th>'+
            '<th class="ml-0 pl-0">Overt Time End</th>'+
        '</tr></thead><tbody>'+
        
        '<tr>'+     
            '<td></td>'+
            '<td class="ml-0 pl-0">'+d.time_in+'</td>'+            
            '<td class="ml-0 pl-0">'+d.time_out+'</td>'+
            '<td class="ml-0 pl-0">'+d.break_time_start+'</td>'+            
            '<td class="ml-0 pl-0">'+d.break_time_end+'</td>'+
            '<td class="ml-0 pl-0">'+d.start_meal+'</td>'+            
            '<td class="ml-0 pl-0">'+d.stop_meal+'</td>'+
            '<td class="ml-0 pl-0">'+d.overtime_start+'</td>'+            
            '<td class="ml-0 pl-0">'+d.overtime_end+'</td>'+
        '</tr></tbody>'+        
    '</table></div>';
}
$(document).ready(function()
{
   $("#task_time_type2").children().hide(); 
   
   
   var table = $('#table_attendance_tab').DataTable({
        "ajax": "json/time-card-json.txt",
        'columns': [
            {
                'className': 'details-control',
                'orderable':  false,
                'data': null,                
                'defaultContent': ''
            },
            { 
              'orderable': false,              
              'defaultContent': '<button class="btn btn-primary btn-sm notes1 mt-5 mb-5">Note</button> '
            },
            { 'data': 'date' },
            { 'data': 'total' },
            { 'data': 'note','visible':false },
        ],
        "buttons": [['excel' ,'pdf'],{text: 'Email'}],
        'order': [[2, 'asc']],
        'searching':false,
        'paging':false
    });

    // Add event listener for opening and closing details
    $('#table_attendance_tab tbody').on('click', 'td.details-control', function(){
        var tr = $(this).closest('tr');
        var row = table.row( tr );

        if(row.child.isShown()){
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else 
        {
            // Open this row
            row.child(format(row.data())).show();
            tr.addClass('shown');
        }
    });

});
</script>
<script>
/***********************************/
$(document).ready(function(){
	
	$(".new-timesheet-close").click(function(){
		$("#modal_new_timesheet").modal("toggle");
		$(".modal-backdrop").removeAttr("style");
		setTimeout(function(){
			$("body").addClass("modal-open");
		},500);
	});
	/***********************************/
	
	/***********************************/
	//$("#btn_current_pay_period_edit").click(function(){
//		var view_mode = false;
//		initModal(view_mode);
//		$('#text_attendance_date').val('<?php echo date("m/d/Y"); ?>');
//		$('#text_attendance_date').trigger('changeDate');
//	});
//	/***********************************/
//	$("#btn_current_pay_period_view").click(function(){
//		var view_mode = true;
//		initModal(view_mode);
//	});
//	/***********************************/
	<?php
	if(isset($_REQUEST['timesheet_id']) && $_REQUEST['timesheet_id']>0){
		if(isset($_REQUEST['is_view']) && $_REQUEST['is_view']=="true"){
		?>
		var view_mode = true;
		<?php 
		}else{
		?>
		var view_mode = false;
		<?php
		}
		?>
		initModal(view_mode);
		<?php
	}
	?>
	/***********************************/
	$(".open_modal").click(function(){
		var view_mode = false;
		initModal(view_mode);
	});
	/***********************************/
	$(".check_data_sort").change(function(){
		$(".btn_time_entry_status").addClass("disabled-color");
		//getAttendanceData();
		//getAllTimeEntryData();
		drawCalendar();
	});
	$(".btn_time_entry_status").click(function(){
		getAttendanceData($(this).data("status"));
		getAllTimeEntryData($(this).data("status"));
		$(".btn_time_entry_status").addClass("disabled-color");
		$(this).removeClass("disabled-color");
		var sts = $(this).data("status");
		drawCalendar(sts);
	});
	/***********************************/
	$('#text_attendance_date').datepicker({
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true,
		startDate:'<?php echo $first_day_this_month; ?>',
		endDate:'<?php echo $last_day_this_month; ?>'
	}).on('changeDate', function(ev) {
		/*var newDate = new Date(ev.date);
		//var newDate = changeTimezone(newDate, "America/New_York");
		var day 		= newDate.toLocaleString("en", { day: "numeric" });
		var day_name	= newDate.toLocaleString("en", { weekday: "long" });
		var month_name	= newDate.toLocaleString("en", { month: "long" });
		var year		= newDate.toLocaleString("en", { year: "numeric" });*/
		
		//var full_date	= day_name+", "+month_name+" "+day+", "+year;
		var full_date = getFullDate($("#text_attendance_date").val());
		
		$(".time_entry_date_div .main-nxt").parent().find(".main-nxt-disable").removeClass("main-nxt-disable");
		$(".time_entry_date_div .main-prv").parent().find(".main-prv-disable").removeClass("main-prv-disable");
		/****************/
		var max_date 		= '<?php echo $max_date; ?>';
		var min_date		= "1";
		var newDate = new Date(ev.date);
		var dd = newDate.getDate();
		if(dd==max_date){
			$(".time_entry_date_div .main-nxt").addClass("main-nxt-disable");
		}
		if(dd==min_date){
			$(".time_entry_date_div .main-prv").addClass("main-nxt-disable");
		}
		/****************/
		getAttendanceData();
		/****************/
		//getTimeEntryActivityTrailData();
		/****************/
		//loadExpenseAttendanceData();
		/****************/
		$("#text_work_schedule_date").val($("#text_attendance_date").val());
		setTimeout(function(){
			$(".work_schedule_date_div .main-prv,.work_schedule_date_div .main-nxt").removeClass("work-date-disable");
			$("#text_work_schedule_date").datepicker('update');
			//getMyWorkSchedule();
		},1000);
	});
	/***********************************/
	$('#text_work_schedule_date').datepicker({
		format:'mm/dd/yyyy',
		defaultDate: '',
		autoclose : true,
	}).on('changeDate', function(ev) {
		$(".work_schedule_date_div .main-prv,.work_schedule_date_div .main-nxt").removeClass("work-date-disable");
		getMyWorkSchedule();
	});
	/***********************************/
	$(".main-nxt").click(function(){
		if($(this).data("date_field_type")=="time_entry_date"){
			if($("#text_attendance_date").val()!=""){
				next("text_attendance_date",true);
			}
		}else{
			if($("#text_work_schedule_date").val()!=""){
				next("text_work_schedule_date",false);
			}
		}
		
	});
	$(".main-prv").click(function(){
		if($(this).data("date_field_type")=="time_entry_date"){
			if($("#text_attendance_date").val()!=""){
				prev("text_attendance_date",true);
			}
		}else{
			if($("#text_work_schedule_date").val()!=""){
				prev("text_work_schedule_date",false);
			}
		}
		
	});
	/***********************************/
	/*$(".time-entry-detail-disable").click(function(){
		check_is_selected_task();
	});*/
	/***********************************/
	
	$(".tt-tasks-close").click(function(){
		$("#time_tracking_task_modal").modal("toggle");
		$(".modal-backdrop").removeAttr("style");
		setTimeout(function(){
			$("body").addClass("modal-open");
		},500);
		$("#text_timesheet_task_keyword").val("");
	});
	$(".modal-close").click(function(){
		$(".tt-tasks-close").click();
	});
	
	/***********************************/
	
	/***********************************/
	//getTimesheetEntryStatusCounter();
});
/***********************************/

/***********************************/
function changeTimezone(date, ianatz) {

  // suppose the date is 12:00 UTC
  var invdate = new Date(date.toLocaleString('en-US', {
    timeZone: ianatz
  }));

  // then invdate will be 07:00 in Toronto
  // and the diff is 5 hours
  var diff = date.getTime() - invdate.getTime();

  // so 12:00 in Toronto is 17:00 UTC
  return new Date(date.getTime() - diff); // needs to substract

}
function getFullDate(date){
	var full_date = "";
	$.ajax({
		url: "ajax_time_tracking_task.php",
		method: "POST",
		data: {REQUEST: 'get_full_date',date1:date},
		success: function (response){ 
			$("#selected_full_date").text(response.full_date+" PDT");
		}
	});
}
function next(id,date_validation) {
	var currentDate = $("#"+id).val();
	
	var date 	= new Date(currentDate);
	//var date 	= changeTimezone(date, "America/New_York");
	var newDate = new Date(date);
	//var newDate = changeTimezone(newDate, "America/New_York");
	
	newDate.setDate(newDate.getDate() + 1);
	var dd = newDate.getDate();
	var mm = newDate.getMonth() + 1;
	var y = newDate.getFullYear();
	var max_date 		= '<?php echo $max_date; ?>';
	var current_month 	= '<?php echo $current_month; ?>';
	
	if(dd<=max_date && mm==current_month && date_validation==true){
		if(dd<10){
			dd="0"+dd;
		}
		if(mm<10){
			mm="0"+mm;
		}
		var someFoarmat = mm+"/"+dd+"/"+y;
		$("#"+id).val(someFoarmat);
		$("#"+id).datepicker('update');                
		if(dd==max_date){
			$(".time_entry_date_div .main-nxt").addClass("main-nxt-disable");
		}
	}else if(date_validation==false){
		if(dd<10){
			dd="0"+dd;
		}
		if(mm<10){
			mm="0"+mm;
		}
		var someFoarmat = mm+"/"+dd+"/"+y;
		$("#"+id).val(someFoarmat);
		$("#"+id).datepicker('update');
	}        
        getAttendanceData();
}
function prev(id,date_validation) {
	var currentDate = $("#"+id).val();
	
	var date 	= new Date(currentDate);
	//var date 	= changeTimezone(date, "America/New_York");
	var newDate = new Date(date);
	//var newDate = changeTimezone(newDate, "America/New_York");
	
	newDate.setDate(newDate.getDate() - 1);
	var dd = newDate.getDate();
	var mm = newDate.getMonth() + 1;
	var y = newDate.getFullYear();
	var min_date = 1;
	var current_month 	= '<?php echo $current_month; ?>';
	
	if(dd>=min_date && mm==current_month && date_validation==true){
		if(dd<10){
			dd="0"+dd;
		}
		
		if(mm<10){
			mm="0"+mm;
		}
		
		var someFoarmat = mm+"/"+dd+"/"+y;
		$("#"+id).val(someFoarmat);
		$("#"+id).datepicker('update');
		if(dd==min_date){
			$(".time_entry_date_div .main-prv").addClass("main-prv-disable");
		}
	}else if(date_validation==false){
		if(dd<10){
			dd="0"+dd;
		}
		
		if(mm<10){
			mm="0"+mm;
		}
		var someFoarmat = mm+"/"+dd+"/"+y;
		$("#"+id).val(someFoarmat);
		$("#"+id).datepicker('update');
	}
        
        getAttendanceData();
}

/*******************************************************/
$("#cmd_attendance_save").click(function ()
{
    working_hours_entry("save")
});
$("#cmd_attendance_submit").click(function (){
    working_hours_entry("submit")
});
function working_hours_entry(type)
{
	var flag = true;
	$("#msg_save").text("");
	
	form_element_correct($("#text_attendance_date"));
	$("#text_attendance_date").parent().find(".not-valid-tip").removeClass("err-msg-2");
	
        form_element_correct($("#combo_attendance_type"));
        $("#combo_attendance_type").parent().find(".not-valid-tip").removeClass("err-msg-2");
        
        form_element_correct($("#span_start_time_msg"));
        form_element_correct($("#span_end_time_msg"));
        
	if($("#text_attendance_date").val()==""){
		form_element_empty_err($("#text_attendance_date")); 
		$("#text_attendance_date").focus(); 
		$("#text_attendance_date").parent().find(".not-valid-tip").addClass("err-msg-2");      
		flag = false;
		return false;
	}
        
        if ($("#radio_attendance_type").prop("checked")) 
        {
            if($("#h_clock_in").val()=="")
            {
                $("#msg_save").text("Please enter atleast single attendance.");
                flag = false;
                return false;
            }
        }
        else if ($("#radio_leave_time").prop("checked")) 
        {
            if ($("#combo_attendance_type").val()=="")
            {
                form_element_empty_err($("#combo_attendance_type")); 
		$("#combo_attendance_type").focus(); 
		$("#combo_attendance_type").parent().find(".not-valid-tip").addClass("err-msg-2");      
		flag = false;
		return false;
            }
            
            if ($("#text_start_time").val()=="")
            {
                form_element_empty_err($("#span_start_time_msg")); 
		$("#text_start_time").focus(); 
		$("#span_start_time_msg").addClass("err-msg-2");                 
		flag = false;
		return false;
            }
            
            if ($("#text_end_time").val()=="")
            {
                form_element_empty_err($("#span_end_time_msg")); 
		$("#text_end_time").focus(); 
		$("#span_end_time_msg").addClass("err-msg-2");                 
		flag = false;
		return false;
            }
        }
	var formdata = $('#time_entry_form').serialize(); 	
        var calendar_date = $("#text_attendance_date").val();
        
	//data: {REQUEST: 'save_time_entry_data',form1: formdata,approver_id1:approver_id,timesheet_line_id1:timesheet_line_id,type1:type},
	if(flag == true)
        {
		$.ajax({
			url: "ajax_working_hours.php",
			method: "POST",
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			data: {REQUEST: 'save_working_hours',form1: formdata,calendar_date:calendar_date},
			success: function (response){ 
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0)
                                        {
                                            alert("Something went wrong. Please try again.");
					}else
                                        {
						//window.location.href="";
						//$("#h_timesheet_id").val(response.timesheet_id);
						clean_form();
						getAttendanceData();				
					}   
				},1000); 
			}
		});
	}
}
/**************************************/

function clean_form()
{
	$(".tt-time").parent().find(".inv-cls").addClass("invisible_div");	
	$("textarea.tt-time").val("");
	$("textarea.tt-time").attr("disabled","disabled");
	//$("#text_comment").parent().find(".inv-cls").addClass("invisible_div2");	
	
	$("#leave_id").select2("destroy");
	$("#leave_id").val("");
	$("#leave_id").select2();
	//$(".block-2,.block-3").addClass("time-entry-detail-disable");	
}

(function($) {
  'use strict';
	$(function() {
		if ($('#calendar').length) {
			drawCalendar();
		}
	});
})(jQuery);
function drawCalendar(sts=''){
	$('#calendar').fullCalendar('destroy');
	$('#calendar').fullCalendar({
		header: {
			left: 'prev,next',
			center: 'title',
			right: 'month'
		},
		defaultDate: '<?php echo $first_day_this_month_cal; ?>',
		navLinks: true, // can click day/week names to navigate views
		editable: false,
		eventLimit: false, // allow "more" link when too many events
		viewRender: function(view, element) {
		  var b = $('#calendar').fullCalendar('getDate');
		  //getCalendarData(b.format('L'),sts);
		}
	});
}

function htmlDecode(input){
	var e = document.createElement('div');
	e.innerHTML = input;
	return e.childNodes[0].nodeValue;
}
function setCalendarBg(){
	//setTimeout(function(){
		$('.fc-title').each(function(){
			var a = $(this).html();
			$(this).parent().html('<span class="fc-title">'+htmlDecode($(this).html())+'</span>');
		});
		$('.cal-approved').each(function(){
			$(this).closest('a').addClass("cal-approved-back")
		});
		$('.cal-working').each(function(){
			$(this).closest('a').addClass("cal-working-back")
		});
		$('.cal-submitted').each(function(){
			$(this).closest('a').addClass("cal-submitted-back")
		});
		$('.cal-rejected').each(function(){
			$(this).closest('a').addClass("cal-rejected-back")
		});
		$('.cal-leave').each(function(){
			$(this).closest('a').addClass("cal-leave-back")
		});
	//},500);
}
/*********************************************************/
function getTimeEntryActivityTrailData(){
	var time_entry_date = $("#text_attendance_date").val();
	if(time_entry_date!=""){
		$.ajax({
			url: "ajax_time_tracking_task.php",
			method: "POST",
			data: {REQUEST: 'get_time_entry_activity_trail_data',is_html:true,time_entry_date1:time_entry_date},
			success: function (response){  
				setTimeout(function(){
					$("#result_time_entry_activity_trail_div").html(response);
				},1000);
				
			}
		});
	}
}
/***********************************************************/

/***********************************************************/
function Addrow(value)
{
    td1 = '<td>'+value.calendar_date+'</td>';
    td2 = '<td>'+value.time_card+'</td>';
    td3 = '<td>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+
            '<div class="badge font-weight-bold">From </div> <div class="badge">'+value.time_in_stamp+'</div>';
        if(value.card_reason!='' || value.missed_in_reason!='' || value.missed_out_reason!='' )
        {
            if(value.card_reason!='')
            {
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_reason+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
            else
            {
                var comment = value.missed_in_reason+"<br />"+value.missed_out_reason;
                td3 += '<div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+comment+'" data-original-title="" title="" > <i class="typcn typcn-document-text"></i> </button> </div>';
            }
        } 
        else
        {
            td3 += '<div class="badge">&nbsp;&nbsp;</div>';
        }
    td3 +=   '</div>'+
        '<div class="d-sm-flex justify-content-between pt-2 pb-2">'+            
            '<div class="badge font-weight-bold">To </div> <div class="badge">'+value.time_out_stamp+'</div>'+
            '<div class="badge">&nbsp;&nbsp;</div>'+
        '</div>'+
        '</td>';   
  
    td4 = '<td>'+value.TimeDuration+'</td>';
    td5 = '<td>'+value.submitted_on+'</td>';
    td6 = '<td>'+value.submitted_by+'</td>';
    if(value.card_status_note!='')
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div><div class="badge"><button type="button" class="btn btn-default ml-0  p-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+value.card_status_note+'"> <i class="typcn typcn-document-text"></i> </button> </div></td>';
    }
    else
    {
        td7 = '<td><div class="d-sm-flex justify-content-between pt-2 pb-2">'+value.card_status+'</div></td>';
    }
    if(value.card_status_note=="")
    {
        td8 = '<td></td>'; 
    }
    else
    {
        td8 = '<td class="text-center"><input type="hidden" value="'+value.card_status_note+'"> <button type="button" class="btn btn-primary h_note">...</button> </td>';
    }
    var data_content = value.data_content_eye_icon;
    var rowCount = $('#table_attendance_data tbody tr').length; 
    rowCount++;
    func1 = 'edit_record('+value.session_id+','+rowCount+')';
    if(value.card_status=="Rejected" && value.time_card!= "PTO (Out of Office)")
    {
        button1 = '<button class="btn  ml-0 mr-2 pl-0 pr-0" title="Edit Record" onclick="'+func1+'"><i class="fa fa-pencil" aria-hidden="true"></i></button>';
    }
    else
    {
        button1 = '';
    }
    td9 = '<td class="text-center">'+
            '<button type="button" class="btn btn-default ml-0 mr-2 pl-0 pr-0 celldatacontent" data-trigger="focus" data-container="body" data-toggle="popover" data-html="true" data-placement="left" data-content="'+data_content+'" data-original-title="" title="" > <i class=" fa fa-eye"></i> </button>'+
            button1+'</td>';
                            
           
    tr = '<tr id="row'+rowCount+'">'+td1+td2+td3+td4+td5+td6+td7+td9+'</tr>';
    $("#table_attendance_data").append(tr);
    
}
/**********************************************************/
function setTitle()
{
   $(".celldatacontent").each(function(index)
   {
       $(this).popover('show');
       $(this).popover('hide');
    });
}
/**********************************************************/
function closeTimesheet(timesheet_id){
	var r = confirm("Are you sure you want to close this timesheet?");
	if(r){
		$.ajax({
			url: "ajax_time_tracking_task.php",
			method: "POST",
			data: {REQUEST: 'close_timesheet',timesheet_id:timesheet_id},
			beforeSend: function() {
				$(".rploader").fadeIn(800);
			},
			success: function (response){  
				setTimeout(function(){
					$(".rploader").fadeOut(800);
					if(response.succ==0){
						alert("Something went wrong. Please try again or check your time entry status.");
					}else{
						window.location.href="";
					}
				},1000);
			}
		});
	}
}
/**********************************************************/
function getTimesheetEntryStatusCounter(){
	var timesheet_id = $("#h_timesheet_id").val();
	$.ajax({
		url: "ajax_time_tracking_task.php",
		method: "POST",
		data: {REQUEST: 'get_timesheet_entry_status_counter_data',is_html:true,timesheet_id:timesheet_id},
		success: function (response){  
			setTimeout(function(){
				$("#timesheet_entry_status_counter_div").html(response);
			},1000);
			
		}
	});
}
    $("#cmdModal2OK").click(function()
    {
        $("#span_time_msg").text("");
        form_element_correct($("#span_time_msg"));
        if($("#text_time").val()=="")
        {
            form_element_empty_err($("#span_time_msg")); 
            $("#text_time").focus();
        }
        else
        {   
            attendance_type_check();         
        }
    });
    $("#cmdModal2Cancel").click(function()
    {
        $("#span_time_msg").text("");
        $("#modal2").modal("hide");
    });
    
    function function1(v1)
    {
        $("#cmd_attendance_submit").attr("disabled",true);
        $("#cmd_attendance_submit").addClass("disabledbutton");
        
        if (v1=="lbl_break_start")
        {
            $("#lbl_break_start").addClass("disabledbutton");
            $("#lbl_meal_start").addClass("disabledbutton");
            $("#lbl_clock_out").addClass("disabledbutton");

            $("#lbl_clock_in").addClass("disabledbutton");
            $("#lbl_break_stop").removeClass("disabledbutton");
            $("#lbl_meal_stop").addClass("disabledbutton");             
        }
        else if (v1=="lbl_meal_start")
        {
            $("#lbl_break_start").addClass("disabledbutton");
            $("#lbl_meal_start").addClass("disabledbutton");
            $("#lbl_clock_out").addClass("disabledbutton");

            $("#lbl_clock_in").addClass("disabledbutton");
            $("#lbl_break_stop").addClass("disabledbutton");
            $("#lbl_meal_stop").removeClass("disabledbutton");            
        }
        else if (v1=="lbl_break_stop")
        {
            $("#lbl_break_start").addClass("disabledbutton");
            $("#lbl_meal_start").addClass("disabledbutton");
            $("#lbl_clock_out").removeClass("disabledbutton");            
            $("#lbl_clock_in").addClass("disabledbutton");
            $("#lbl_break_stop").addClass("disabledbutton");
            $("#lbl_meal_stop").addClass("disabledbutton");
            if($("#h_start_meal").val()=="")
            {
                $("#lbl_meal_start").removeClass("disabledbutton");
            }
        }
        else if (v1=="lbl_meal_stop")
        {
            $("#lbl_break_start").addClass("disabledbutton");
            $("#lbl_meal_start").addClass("disabledbutton");
            $("#lbl_clock_out").removeClass("disabledbutton");

            $("#lbl_clock_in").addClass("disabledbutton");
            $("#lbl_break_stop").addClass("disabledbutton");
            $("#lbl_meal_stop").addClass("disabledbutton");
            if($("#h_start_break").val()=="")
            {
                $("#lbl_break_start").removeClass("disabledbutton");
            }
        }
        else if (v1=="lbl_clock_out")
        {
            $("#lbl_break_start").addClass("disabledbutton");
            $("#lbl_meal_start").addClass("disabledbutton");
            $("#lbl_clock_out").addClass("disabledbutton");

            $("#lbl_clock_in").addClass("disabledbutton");
            $("#lbl_break_stop").addClass("disabledbutton");
            $("#lbl_meal_stop").addClass("disabledbutton");
            if($("#h_clock_in").val()=="")
            {
                $("#lbl_clock_in").removeClass("disabledbutton");
            }
            $("#cmd_attendance_submit").attr("disabled",false);
            $("#cmd_attendance_submit").removeClass("disabledbutton");
        }
        else if (v1=="lbl_clock_in")
        {
            $("#lbl_break_start").removeClass("disabledbutton");
            $("#lbl_meal_start").removeClass("disabledbutton");
            $("#lbl_clock_out").removeClass("disabledbutton");
            
            $("#lbl_clock_in").addClass("disabledbutton");
            $("#lbl_break_stop").addClass("disabledbutton");
            $("#lbl_meal_stop").addClass("disabledbutton");
            
        }
    }
    
    
    function attendance_type_check()
    {
        var v1 = $("#h_current_field").val();
        var calendar_date = $("#text_attendance_date").val();
        var flag = "";
        
        var selected_time_value = $("#text_time").val();
        
        form_element_correct($("#span_time_msg"));

        if (v1=="lbl_clock_in")
        {
            flag = 1;
            $("#lbl_break_start").removeClass("disabledbutton");
            $("#lbl_meal_start").removeClass("disabledbutton");
            $("#lbl_clock_out").removeClass("disabledbutton");
            
            $("#lbl_clock_in").addClass("disabledbutton");
            $("#lbl_break_stop").addClass("disabledbutton");
            $("#lbl_meal_stop").addClass("disabledbutton");
            
            $("#"+v1).children().eq(1).html(selected_time_value);            
            $("#"+v1).children().eq(2).val(selected_time_value);
            $("#modal2").modal("hide");
        }
        else
        {
            var old_time = "";
            var break_stop_time = "";
            var meal_stop_time = "";
            
            if (v1=="lbl_break_start" || v1=="lbl_meal_start" )
            {
                old_time = $("#h_clock_in").val();
            }            
            else if (v1=="lbl_break_stop")
            {
                old_time = $("#h_start_break").val();
            }
            else if (v1=="lbl_meal_stop")
            {
                old_time = $("#h_start_meal").val();
            }
            else if(v1=="lbl_clock_out")
            {
                old_time = $("#h_clock_in").val();
                break_stop_time = $("#h_stop_break").val();
                meal_stop_time = $("#h_stop_meal").val();
            }

            $.ajax({
                    url: "ajax_working_hours.php",
                    method: "POST",
                    data: {REQUEST: 'validate_working_time',entered_time:selected_time_value,clock_in_time:old_time,calendar_date:calendar_date,break_stop_time:break_stop_time,meal_stop_time:meal_stop_time},
                    beforeSend: function() {
                            $(".rploader").fadeIn(800);
                    },
                    success: function (response){ 
                            setTimeout(function()
                            {
                                $(".rploader").fadeOut(800);                                    
                                flag = response.succ;
                                
                                if(flag==1)
                                {
                                    function1(v1);
                                    $("#"+v1).children().eq(1).html(selected_time_value);            
                                    $("#"+v1).children().eq(2).val(selected_time_value);
                                    $("#modal2").modal("hide");
                                }                                
                                else
                                {
                                    //alert("Please enter valid time");
                                    $("#span_time_msg").text("Please enter valid time");                                    
                                }
                            },1000); 
                    }
            });
        }
    }
    
    $(".save_reocrd").click(function()
    {
        var current_id = $(this).attr("id");
        $("#h_current_field").val(current_id);
        $("#text_time").val("");
        $("#modal2").modal("show");
    });
    
    function getAttendanceData()
    {
        var attendance_date = $("#text_attendance_date").val();        
        getFullDate($("#text_attendance_date").val());
        if(attendance_date!=""){
                $.ajax({
                        url: "ajax_working_hours.php",
                        method: "POST",
                        beforeSend: function() {
                                $(".rploader").fadeIn(800);
                        },
                        data: {REQUEST: 'get_attendance_on_this_day_data',attendance_date:attendance_date},
                        success: function (response){  
                                $(".rploader").fadeOut(500);
                                setTimeout(function()
                                {
                                    var v1 = "";
                                    var selected_time_value = "";
                                    
                                    v1 = "lbl_clock_in";
                                    $("#"+v1).children().eq(1).html("");
                                    $("#"+v1).children().eq(2).val("");
                                    $("#lbl_clock_in").removeClass("disabledbutton");
                                    
                                    v1 = "lbl_clock_out";
                                    $("#"+v1).children().eq(1).html("");
                                    $("#"+v1).children().eq(2).val("");
                                    $("#lbl_clock_out").addClass("disabledbutton");
                                    
                                    v1 = "lbl_break_start";
                                    $("#"+v1).children().eq(1).html("");
                                    $("#"+v1).children().eq(2).val("");
                                    $("#lbl_break_start").addClass("disabledbutton");
                                    
                                    v1 = "lbl_break_stop";
                                    $("#"+v1).children().eq(1).html("");
                                    $("#"+v1).children().eq(2).val("");
                                    $("#lbl_break_stop").addClass("disabledbutton");
                                    
                                    v1 = "lbl_meal_start";
                                    $("#"+v1).children().eq(1).html("");
                                    $("#"+v1).children().eq(2).val("");
                                    $("#lbl_meal_start").addClass("disabledbutton");
                                    
                                    v1 = "lbl_meal_stop";
                                    $("#"+v1).children().eq(1).html("");
                                    $("#"+v1).children().eq(2).val("");
                                    $("#lbl_meal_stop").addClass("disabledbutton");
                                    $("#text_comment").val("");
                                    
                                    if(response.succ==1)
                                    { 
                                        //console.log("khyati".response.attendance_data.length);
                                        if (!jQuery.isEmptyObject(response.attendance_data))
                                        {
                                            $("#radio_attendance_type").prop('checked',true);
                                            $("#text_comment").val(response.attendance_data['comments']);                                        
                                        
                                            selected_time_value = response.attendance_data['clock_in'];
                                            if(selected_time_value!='' && typeof selected_time_value !== "undefined")
                                            {
                                                v1 = "lbl_clock_in";
                                                $("#"+v1).children().eq(1).html(selected_time_value);            
                                                $("#"+v1).children().eq(2).val(selected_time_value);
                                                $("#lbl_clock_in").addClass("disabledbutton");
                                            }

                                            selected_time_value = response.attendance_data['clock_out'];                                        
                                            if(selected_time_value!='' && typeof selected_time_value !== "undefined")
                                            {
                                                v1 = "lbl_clock_out";
                                                $("#"+v1).children().eq(1).html(selected_time_value);            
                                                $("#"+v1).children().eq(2).val(selected_time_value);
                                                $("#lbl_clock_out").addClass("disabledbutton");
                                            }

                                            selected_time_value = response.attendance_data['break_start'];
                                            if(selected_time_value!='' && typeof selected_time_value !== "undefined")
                                            {
                                                v1 = "lbl_break_start";
                                                $("#"+v1).children().eq(1).html(selected_time_value);            
                                                $("#"+v1).children().eq(2).val(selected_time_value);
                                                $("#lbl_break_start").addClass("disabledbutton");
                                            }

                                            selected_time_value = response.attendance_data['break_stop'];
                                            if(selected_time_value!='' && typeof selected_time_value !== "undefined")
                                            {
                                                v1 = "lbl_break_stop";
                                                $("#"+v1).children().eq(1).html(selected_time_value);            
                                                $("#"+v1).children().eq(2).val(selected_time_value);
                                                $("#lbl_break_stop").addClass("disabledbutton");
                                            }

                                            selected_time_value = response.attendance_data['meal_start'];
                                            if(selected_time_value!='' && typeof selected_time_value !== "undefined")
                                            {
                                                v1 = "lbl_meal_start";
                                                $("#"+v1).children().eq(1).html(selected_time_value);            
                                                $("#"+v1).children().eq(2).val(selected_time_value);
                                                $("#lbl_meal_start").addClass("disabledbutton");
                                            }

                                            selected_time_value = response.attendance_data['meal_stop'];
                                            if(selected_time_value!='' && typeof selected_time_value !== "undefined")
                                            {
                                                v1 = "lbl_meal_stop";
                                                $("#"+v1).children().eq(1).html(selected_time_value);            
                                                $("#"+v1).children().eq(2).val(selected_time_value);
                                                $("#lbl_meal_stop").addClass("disabledbutton");
                                            }   

                                            v1 = response.last_entry;
                                            function1(v1);
                                        }
                                        else if (!jQuery.isEmptyObject(response.time_off_data))
                                        {
                                            $("#radio_leave_time").prop('checked',true);
                                            $("#combo_attendance_type").val(response.time_off_data['leave_id']);
                                            $("#combo_attendance_type").select2();
                                            
                                            $("#text_start_time").val(response.time_off_data['start_time']);
                                            $("#text_end_time").val(response.time_off_data['end_time']); 
                                        }
                                        $("#result_time_entry_on_this_day").html(response.table);
                                        
                                        var table = $('#table_attendance_leave').DataTable( {
				  "info": false,
				  "paging":false,
				  columnDefs: [ 
						{ targets: [0], orderable: false},                    
						],
                                    "aaSorting": [],            
				  "dom": 'lBfrtip',              
				   buttons: [                  
					   [
							/*'excel',*/
							/*'pdf',*/
							{
								text: 'Email',
								action: function ( e, dt, node, config ) {
								//$("#modal_email").show(); 
								show_emaimodal();
								}
							}
					   ]]
				}); 
				
				$('#table_attendance_leave tfoot th.searc').each( function () {
					var title = $(this).text();
					$(this).html( '<input type="text" class="form-control custom-class" placeholder="'+title+'" />' );
				});     
					
				// Apply the search
				table.columns().every( function () 
					 {
					var that = this;
					$( 'input', this.footer() ).on( 'keyup change', function () {
						if ( that.search() !== this.value ) {
							that
                                                        .search( this.value )
                                                        .draw();
						}
					});
				});
				
				var sortBy = 0;
				table.draw();
				
				$("#table_attendance_leave_filter").hide();
                                        
                                        
                                    }    
                                },1000);
                                
                                
                          
                               
                          
                          
                          
                        }
                });
        }
    }

    $("input[type='radio']").change(function() 
    {
        var current_id = $(this).attr('id');
        selected_working_options(current_id);
    });
    
    function selected_working_options(current_id)
    {
        getAttendanceData();
        if(current_id=="radio_attendance_type")
        {
            $("#lbl_clock_in").addClass("save_reocrd");
            $("#lbl_clock_out").addClass("save_reocrd");
            $("#lbl_break_start").addClass("save_reocrd");
            $("#lbl_break_stop").addClass("save_reocrd");
            $("#lbl_meal_start").addClass("save_reocrd");
            $("#lbl_meal_stop").addClass("save_reocrd");
            
            $("#combo_attendance_type").val("");
            $("#combo_attendance_type").select2();
            $("#combo_attendance_type").attr("disabled", true);
            
            $("#text_start_time").attr("disabled", true);
            $("#text_end_time").attr("disabled", true);
            
            $("#div_attendance").removeClass("time-entry-detail-disable");
            $("#div_leave").addClass("time-entry-detail-disable");
        }
        else if(current_id=="radio_leave_time")
        {
            v1 = "lbl_clock_in";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_clock_out";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_clock_out";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_clock_out";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_clock_out";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_break_start";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_break_stop";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_meal_start";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            v1 = "lbl_meal_stop";
            $("#"+v1).children().eq(1).html("");
            $("#"+v1).children().eq(2).val("");            
            $("#"+v1).removeClass("save_reocrd");
            
            $("#combo_attendance_type").attr("disabled", false);
            $("#text_start_time").attr("disabled", false);
            $("#text_end_time").attr("disabled", false);
            $("#div_attendance").addClass("time-entry-detail-disable");
            $("#div_leave").removeClass("time-entry-detail-disable");
        }
    }
    function editRecord(session_id,attendance_type)
    {
        if(attendance_type!= 'time_off')
        {
            if(attendance_type=="clock")
            {
                if($("#h_clock_in").val()!='')
                {
                    $("#lbl_clock_in").removeClass("disabledbutton");
                }    
                if($("#h_clock_out").val()!='')
                {
                    $("#lbl_clock_out").removeClass("disabledbutton");
                }    
            }
            else if(attendance_type=="break")
            {
                if($("#h_start_break").val()!='')
                {
                    $("#lbl_break_start").removeClass("disabledbutton");
                }   
                if($("#h_stop_break").val()!='')
                {
                    $("#lbl_break_stop").removeClass("disabledbutton");
                }    
            }
            else if(attendance_type=="meal")
            {
                if($("#h_start_meal").val()!='')
                {
                    $("#lbl_meal_start").removeClass("disabledbutton");
                }    
                if($("#h_stop_meal").val()!='')
                {
                    $("#lbl_meal_stop").removeClass("disabledbutton");
                }    
            }
        }
        else
        {
            
        }
        
    }
</script>
</body>
</html>
