<?php
require_once "conn.php";
require_once("functions.php");
require_once "connect_zoho_api.php";
$response			= array();
$enterprise_plans 	= array();
$self_emp_plans 	= array();

//product_id = 2781997000000074090 = enterprise
//product_id = 2781997000000074426 = self employed

$results = getSubscriptionData("plans?filter_by=PlanStatus.ACTIVE");
foreach($results->plans as $result){
	
	if($result->product_id=="2781997000000074090"){
		
		$header_response = get_headers("https://subscriptions.zoho.com/Templates_PlanImage_".$result->plan_code.".zbfs?product_digest=2-b06ff32b63d2cec05c4004bbe4aab456ca0e2ef64b2fcd5031307abf988d90b41984a5e3abcdd9a358bcad6fd428a6fdf2dc94b2314f0b89cdc51d8ddc5526b9", 1);

		if ( strpos( $header_response[0], "404" ) !== false ) {
			//$img = "https://js.zohostatic.com/books/zfwidgets/assets/images/plan.png";
			$image_url = "images/plan.png";
		} else {
			$img = "https://subscriptions.zoho.com/Templates_PlanImage_".$result->plan_code.".zbfs?product_digest=2-b06ff32b63d2cec05c4004bbe4aab456ca0e2ef64b2fcd5031307abf988d90b41984a5e3abcdd9a358bcad6fd428a6fdf2dc94b2314f0b89cdc51d8ddc5526b9";
			$image = file_get_contents($img);
			$extension = pathinfo(parse_url($img, PHP_URL_PATH), PATHINFO_EXTENSION);
			$image_name = strtolower(str_replace(" ","-",($result->name)."__".($result->plan_code))).'.'.$extension;
			$image_url	= 'images/plan/'.$image_name;
			file_put_contents($image_url, $image);
		}
		
		$enterprise_plans[] = array(
							"interval_unit" => $result->interval_unit,
							"image_url" 	=> $image_url,
							"plan_code" 	=> $result->plan_code,
							"plan_name" 	=> $result->name,
							"plan_price" 	=> $result->recurring_price,
							"plan_url" 		=> $result->url,
							"store_markup_description" => $result->store_markup_description,
						);
	}else{	
		
		$header_response = get_headers("https://subscriptions.zoho.com/Templates_PlanImage_".$result->plan_code.".zbfs?product_digest=2-b06ff32b63d2cec05c4004bbe4aab456ca0e2ef64b2fcd5031307abf988d90b41984a5e3abcdd9a358bcad6fd428a6fdf2dc94b2314f0b89cdc51d8ddc5526b9", 1);

		if ( strpos( $header_response[0], "404" ) !== false ) {
			//$img = "https://js.zohostatic.com/books/zfwidgets/assets/images/plan.png";
			$image_url = "images/plan.png";
		} else {
			$img = "https://subscriptions.zoho.com/Templates_PlanImage_".$result->plan_code.".zbfs?product_digest=2-b06ff32b63d2cec05c4004bbe4aab456ca0e2ef64b2fcd5031307abf988d90b41984a5e3abcdd9a358bcad6fd428a6fdf2dc94b2314f0b89cdc51d8ddc5526b9";
			$image = file_get_contents($img);
			$extension = pathinfo(parse_url($img, PHP_URL_PATH), PATHINFO_EXTENSION);
			$image_name = strtolower(str_replace(" ","-",($result->name)."__".($result->plan_code))).'.'.$extension;
			$image_url	= 'images/plan/'.$image_name;
			file_put_contents($image_url, $image);
		}
				
		$self_emp_plans[] = array(
							"interval_unit" => $result->interval_unit,
							"image_url" 	=> $image_url,
							"plan_code" 	=> $result->plan_code,
							"plan_name" 	=> $result->name,
							"plan_price" 	=> $result->recurring_price,
							"plan_url" 		=> $result->url,
							"store_markup_description" => $result->store_markup_description,
						);
	}
}

$response['plans'] = array("enterprise_plans"=>$enterprise_plans, "self_emp_plans"=>$self_emp_plans);

$fp = fopen('zoho_plans.json', 'w');
fwrite($fp, json_encode($response));
fclose($fp);

echo "1";
?>